<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}


$menu_id = $_GET['menu_id'];
$comp_id = clean_data($_SESSION["comp_id"]);
$emp_id = clean_data($_SESSION["VALID_USER_ID"]);

$inactive = find_value("users_menu", 'inactive', " and emp_id = '$emp_id' AND menu_id = '$menu_id'  AND inactive = 'N'");

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");


$insert_allowed = find_value("users_menu", 'insert_allowed', " and emp_id = '$emp_id' AND menu_id = '$menu_id'  AND insert_allowed = 'Y'");

$update_allowed = find_value("users_menu", 'update_allowed', " and emp_id = '$emp_id' AND menu_id = '$menu_id'  AND update_allowed = 'Y'");

$delete_allowed = find_value("users_menu", 'delete_allowed', " and emp_id = '$emp_id' AND menu_id = '$menu_id'  AND delete_allowed = 'Y'");

$rate_decimals=find_value('v_system','rate_decimals',"");
$qty_decimals=find_value('v_system','qty_decimals',"");


$stock_name = clean_data($_GET["stock_name"]);
$stock_code = clean_data(substr($_GET["stock_code"],0,12));
$rate = clean_data($_GET["rate"]);


?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Barcode | <?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <!--<link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">-->
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">

    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link href="vendors/bootstrap-editable/css/bootstrap-editable.css" rel="stylesheet" type="text/css" />
    <link href="vendors/DataTables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
    <link href="vendors/DataTables/buttons.bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="vendors/DataTables/jquery.dataTables_themeroller.css" rel="stylesheet" type="text/css" />
</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">Bracode</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index">Home</a>&nbsp;&nbsp;<i
                            class="fa fa-angle-right"></i>&nbsp;&nbsp;
                    </li>
                    <li class="active">Barcode</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">






                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-body">

                                <div class="container">
                                    <div style="margin: 10%;">
                                        <h2 class="text-center">BARCODE GENERATOR</h2>
                                        <form class="form-horizontal" method="post" action="barcode_process.php" target="_blank">
                                            <div class="form-group">
                                                <label class="control-label col-sm-2" for="product">Product:</label>
                                                <div class="col-sm-10">
                                                    <input autocomplete="OFF" type="text" class="form-control" id="stock_name" name="stock_name" value="<?php echo $stock_name;?>">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-sm-2" for="product_id">Product ID:</label>
                                                <div class="col-sm-10">
                                                    <input autocomplete="OFF" type="text" class="form-control" id="stock_code" name="stock_code" value="<?php echo $stock_code;?>">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-sm-2" for="rate">Rate</label>
                                                <div class="col-sm-10">
                                                    <input autocomplete="OFF" type="text" class="form-control" id="rate"  name="rate" value="<?php echo round($rate);?>">
                                                </div>
                                            </div>





                                            <div class="form-group">
                                                <label class="control-label col-sm-2" for="print_qty">Barcode Quantity</label>
                                                <div class="col-sm-10">
                                                    <input autocomplete="OFF" type="print_qty" class="form-control" id="print_qty"  name="print_qty" value="1" readonly>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <div class="col-sm-offset-2 col-sm-10">
                                                    <button type="submit" class="btn btn-primary">Submit</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>










                            </div>
                        </div>
                    </div>
                </div>






            </div>
        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <!--    <script src="vendors/iCheck/icheck.min.js"></script>
    -->    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>
    <script src="vendors/bootstrap-editable/js/bootstrap-editable.min.js"></script>
    <!-- BOOT BOX ALERT -->
    <script src="js/bootbox.min.js" type="text/javascript"></script>




    <script src="vendors/DataTables/jquery.dataTables.js" type="text/javascript"></script>
    <script src="vendors/DataTables/dataTables.bootstrap.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/dataTables.buttons.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.bootstrap.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/jszip.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/pdfmake.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/vfs_fonts.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.html5.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.print.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.colVis.min.js" type="text/javascript"></script>


    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">


        /*  $('.table').dataTable({
              "lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
              "bLengthChange": true


          });*/

        $('.table').DataTable( {
            //lengthChange: true,
            "bLengthChange": true,
            "order": [[ 0, "asc" ]],
            "lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
            "order": [ 0, "desc" ],
            "pageLength": 6000,
            dom: 'Bfrtip',
            buttons: [
                //'copy', 'csv', 'excel', 'pdf', 'print', 'colvis',
                'copy', 'csv', 'excel',

                {
                    extend: 'pdfHtml5',
                    title: name,
                    orientation: 'landscape',
                    pageSize: 'LEGAL'
                },


                {
                    extend: 'print',
                    title: name,

                    customize: function ( win ) {
                        $(win.document.body)
                            .css( 'font-size', '10pt' )
                            .prepend(
                                //'<img src="http://datatables.net/media/images/logo-fade.png" style="position:absolute; top:0; left:0;" />'
                            );

                        $(win.document.body).find( 'table' )
                            .addClass( 'compact' )
                            .css( 'font-size', 'inherit' );
                    },






                    exportOptions: {
                        columns: ':visible'
                    }
                },
                'colvis'
            ],
            columnDefs: [ {
                //targets: 0,
                visible: false
            }

            ]

        } );













        /*******************START ADD NEW ENTERY*****************/
        function item_add() {

            var acct_id = $('#acct_id').val();
            var acct_name = $('#acct_name').val();
            var o_qty = $('#o_qty').val();
            var s_rate = $('#s_rate').val();
            var p_rate = $('#prate').val();

            var staxp = $('#staxp').val();
            var cat_id = $('#cat_id').val();
            var type_id = $('#type_id').val();
            var party_stock_code = $('#party_stock_code').val();
            var unit_name = $('#unit_name').val();
            var specs = $('#specs').val();
            var mol = $('#mol').val();
            var mol_qty = $('#mol_qty').val();

            var dealer_rate = $('#dealer_rate').val();
            var msrp = $('#msrp').val();
            var imp_exp = $('#imp_exp').val();
            var pack_size = $('#pack_size').val();

            var action = 'add_item';

            if (acct_name == "") {
                alert("Please Enter Stock Name");
                $('#acct_name').focus();
            }

            else if (cat_id == "") {
                alert("Please Select Category.");
                $('#cat_id').focus();
            }


            else {
                var dataString = 'acct_id=' + acct_id +
                    '&acct_name=' + acct_name +
                    '&o_qty=' + o_qty +
                    '&s_rate=' + s_rate +
                    '&p_rate=' + p_rate +
                    '&staxp=' + staxp +
                    '&cat_id=' + cat_id +
                    '&type_id=' + type_id +
                    '&party_stock_code=' + party_stock_code +
                    '&unit_name=' + unit_name +
                    '&specs=' + specs +
                    '&mol=' + mol +
                    '&mol_qty=' + mol_qty +
                    '&dealer_rate=' + dealer_rate +
                    '&msrp=' + msrp +
                    '&imp_exp=' + imp_exp +
                    '&pack_size=' + pack_size +
                    '&action=' + action ;

                $.ajax({
                    type: "POST",
                    url: "process/master_process.php",
                    data: dataString,
                    success: function (result) {
                        // alert(result);
                        window.location = "items?menu_id=5.3"

                    }
                });

            }
        }
        /*******************END ADD NEW ENTERY*****************/











        /*******************START GETDETAIL EDIT ID*****************/
        function GetDetails(id) {
            // Add User ID to the hidden field for furture usage
            $("#hidden_user_id").val(id);

            var action = 'edit_item';


            var dataString = 'id=' + id +
                '&action=' + action;

            $.ajax({
                type: "POST",
                url: "ajax/get_details.php",
                data: dataString,
                success: function (data, status) {
                    // PARSE json data
                    var user = JSON.parse(data);
                    // Assing existing values to the modal popup fields


                    mol = user.mol;



                    if(mol == 'Y')
                    {
                        //$('#update_mol').prop('checked');
                        $("#update_mol").attr('checked', true);
                    }


                    $("#update_acct_id").val(user.stock_code);
                    $("#update_acct_name").val(user.description);
                    $("#update_o_qty").val(user.o_qty);
                    $("#update_s_rate").val(user.s_rate);
                    $("#update_p_rate").val(user.p_rate);
                    $("#update_staxp").val(user.staxp);
                    $("#update_cat_id").val(user.cat_id);
                    $("#update_type_id").val(user.type_id);
                    $("#update_party_stock_code").val(user.party_stock_code);
                    $("#update_unit_name").val(user.unit);
                    $("#update_specs").val(user.specs);
                    $("#update_mol").val(user.mol);
                    $("#update_mol_qty").val(user.mol_qty);
                    $("#update_dealer_rate").val(user.dealer_rate);
                    $("#update_msrp").val(user.msrp);
                    $("#update_imp_exp").val(user.imp_exp);
                    $("#update_pack_size").val(user.pack_size);
                }
            });

            // Open modal popup
            $("#update_user_modal").modal("show");
        }
        /*******************END GETDETAIL EDIT ID*****************/


        /*******************START UPDATE DETAIL EDIT ID*****************/
        function UpdateDetails() {

            var update_acct_name = $('#update_acct_name').val();
            var update_o_qty = $('#update_o_qty').val();
            var update_s_rate = $('#update_s_rate').val();
            var update_p_rate = $('#update_p_rate').val();
            var update_staxp = $('#update_staxp').val();
            var update_cat_id = $('#update_cat_id').val();
            var update_type_id = $('#update_type_id').val();
            var update_party_stock_code = $('#update_party_stock_code').val();
            var update_unit_name = $('#update_unit_name').val();
            var update_specs = $('#update_specs').val();
            // var update_mol = $('#update_mol').val();

            var update_mol_qty = $('#update_mol_qty').val();
            var update_dealer_rate = $('#update_dealer_rate').val();
            var update_msrp = $('#update_msrp').val();
            var update_imp_exp = $('#update_imp_exp').val();
            var update_pack_size = $('#update_pack_size').val();

            if( $("#update_mol").prop('checked'))
            {
                update_mol = 'Y'

            }
            else
            {
                update_mol = 'N'
            }

            // get hidden field value
            var id = $("#hidden_user_id").val();

            var action = 'edit_item';


            // Update the details by requesting to the server using ajax
            var dataString = 'id=' + id +
                '&update_acct_name=' + update_acct_name +
                '&update_o_qty=' + update_o_qty +
                '&update_s_rate=' + update_s_rate +
                '&update_p_rate=' + update_p_rate +
                '&update_staxp=' + update_staxp +
                '&update_cat_id=' + update_cat_id +
                '&update_type_id=' + update_type_id +
                '&update_party_stock_code=' + update_party_stock_code +
                '&update_unit_name=' + update_unit_name +
                '&update_specs=' + update_specs +
                '&update_mol=' + update_mol +
                '&update_mol_qty=' + update_mol_qty +
                '&update_dealer_rate=' + update_dealer_rate +
                '&update_msrp=' + update_msrp +
                '&update_imp_exp=' + update_imp_exp +
                '&update_pack_size=' + update_pack_size +
                '&action=' + action;
            $.ajax({
                type: "POST",
                url: "ajax/update_details.php",
                data: dataString,
                success: function (data, status) {

                    //alert(data);
                    // hide modal popup
                    $("#update_user_modal").modal("hide");

                    window.location = "items?menu_id=5.3"

                }
            });

        }
        /*******************END UPDATE DETAIL EDIT ID*****************/




        /*******************START DELETE ITEM*****************/
        $(".table").delegate("tbody tr", "click", function (event) {


            $(document).ready(function () {


                $('.delete_product').click(function (e) {
                    e.preventDefault();
                    var pid = $(this).attr('data-id');
                    var parent = $(this).parent("td").parent("tr");
                    bootbox.dialog({
                        message: "Are you sure you want to Delete ?",
                        title: "<i class='glyphicon glyphicon-trash'></i> Delete !",
                        buttons: {
                            success: {
                                label: "No",
                                className: "btn-success",
                                callback: function () {
                                    $('.bootbox').modal('hide');
                                }
                            },
                            danger: {
                                label: "Delete!",
                                className: "btn-danger",
                                callback: function () {
                                    $.post('del_master.php', {'item_delete': pid})
                                        .done(function (response) {
                                            bootbox.alert(response);
                                            parent.fadeOut('slow');
                                        })
                                        .fail(function () {
                                            bootbox.alert('Something Went Wrog ....');
                                        })

                                    //window.location = "show_item_description.php"

                                }
                            }
                        }
                    });


                });

            });
        });
        /*******************END DELETE ITEM*****************/

        $(".table").delegate("tbody tr", "click", function (event) {
            $('.p_rate').editable();
            $('.stock_name').editable();
        })

    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->












</body>
</html>