<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

$comp_id = clean_data($_SESSION["comp_id"]);
$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");


$login_page = find_value('v_system', 'login_page', '');


?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">
    <link type="text/css" rel="stylesheet"
          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">BACKUP SYSTEM</div>
                </div>

                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">

                <?php
                if($auth_id != '9' )
                {
                    ?>
                    <script type="text/javascript">
                        var unaothrize =  "Un Athorized To View";
                        alert(unaothrize);
                        window.location = "index";
                    </script>

                    <?php
                }
                else
                {
                ?>


                <?php
                /****************START CLOSING DATE  QUERY**************/
                try {
                    $slquery = "SELECT
                                    s.date_close
                                FROM
                                    system s";
                    $slresult = $dbcon->prepare($slquery);
                    $slresult->execute(array());
                } catch (PDOException $e) {
                    echo "Error : " . $e->getMessage();
                }
                $slrow = $slresult->fetch(PDO::FETCH_OBJ);
                /****************END CLOSING DATE  QUERY**************/
                ?>


                <table id="sale_datatable" class="table  table-striped table-bordered nowrap">
                    <tr>
                        <th>Backup</th>
                        <td>

                           <input type="hidden" name="repost_type" id="repost_type" value="UI">
                            <button onclick="backup()" type="button" name="UI" class="btn btn-primary waves-effect waves-light f-left md-trigger"
                            ><i class="icofont icofont-plus m-r-5"></i>
                                Backup
                            </button>


                            <a href="backup_email_process.php" target="_blank">
                                <button type="button" class="btn btn-blue waves-effect waves-light f-left md-trigger"
                                ><i class="icofont icofont-plus m-r-5"></i>
                                    Backup Email
                                </button>
                            </a>

                      <!--

                            <button onclick="send_email()" type="button" name="UI" class="btn btn-green waves-effect waves-light f-left md-trigger"
                            ><i class="icofont icofont-plus m-r-5"></i>
                                Backup Email
                            </button>
-->
                            <div id="view"></div>

                        </td>
                    </tr>

                </table>





            </div>
            <?php } ?>
        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>
    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
    <script src="vendors/bootstrap-editable/js/bootstrap-editable.min.js"></script>
    <script src="js/bootbox.min.js" type="text/javascript"></script>



    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">

        //sale invoice post
        function backup()
        {

            var repost_type = $('#repost_type').val();
            var action = 'DB';

            //var post = $('#post').val();

            var status=confirm("Are you sure want to Post Data.");

            if(status==true)
            {
                var datastring = 'repost_type=' + repost_type + '&action=' + action;

                $.ajax({
                    type:"POST",
                    url:"process/backup_process",
                    data: datastring,
                    beforeSend: function()
                    {
                        $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Please Wait.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                    },
                    success: function(result)
                    {
                        $('#view').html(result);

                    }
                });
            }
        }

        function send_email()
        {

            var repost_type = $('#repost_type').val();
            var action = 'email';

            //var post = $('#post').val();

            var status=confirm("Are you sure want to Send Email.");

            if(status==true)
            {
                var datastring = 'repost_type=' + repost_type + '&action=' + action;

                $.ajax({
                    type:"POST",
                    url:"backup_email_process",
                    data: datastring,
                    beforeSend: function()
                    {
                        $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Please Wait.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                    },
                    success: function(result)
                    {
                        $('#view').html(result);

                    }
                });
            }
        }


        $('.closing_date').editable({

            placement: 'left'
        });

    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->









</body>
</html>