<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_ID"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);
        $year_id = clean_data($_POST['year_id']);
        $voucher_type = clean_data($_POST['voucher_type']);


        $login_page = find_value('v_system', 'login_page', '');

        $and = "";


        $and .= " AND m.comp_id = '$comp_id'";
        $and .= " AND m.year_id = '$year_id'";
        $and .= " AND (substr(m.voucher_id,1,2)) = '$voucher_type'";


        $and .= " and (m.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";


        try {
            $sl_query = "SELECT DISTINCT m.voucher_id, m.voucher_date,  m.posted, m.comp_id, m.year_id
                                                    FROM voucher m 
                                                    LEFT JOIN voucherdet d ON m.voucher_id = d.voucher_id AND m.comp_id = d.comp_id AND m.year_id = d.year_id
                                                    WHERE 1=1  $and ORDER BY  m.voucher_date DESC";

            $query_m = $dbcon->prepare($sl_query);
            $query_m->execute(array());
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }




        ?>


        <table  id="show_datatable" class="table table-hover table-striped table-bordered table-advanced tablesorter tb-sticky-header table-advanced table-sm">
            <thead>
            <tr>
                <th>VOUCHER ID</th>
                <th>VOUCHER DATE</th>

                <th>POSTED</th>
                <th>ACTION</th>
            </tr>
            </thead>
            <tbody>
            <?php
            /****************START SHOW QUERY DATA****************/
            /****************START SHOW QUERY DATA****************/
            while ($rows = $query_m->fetch(PDO::FETCH_OBJ)) {

                if ($rows->posted == 'on') {
                    $posted_status = "Yes";
                } else {
                    $posted_status = "No";
                }


                ?>
                <tr>
                    <td><?php echo($rows->voucher_id); ?></td>
                    <td><?php echo format_date_trim_time($rows->voucher_date); ?></td>
                    <td><?php echo($posted_status); ?></td>
                    <td>
                        <a href="jv_detail?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'&p_comp_id=<?php echo $rows->comp_id;?>&p_year_id=<?php echo $rows->year_id;?>"><span class=" btn btn-blue">Detail</span></a>
                    </td>
                </tr>
                <?php
            }
            /****************START SHOW QUERY DATA****************/
            ?>

            </tbody>
        </table>


        <?php

    }
}



?>

