<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
//variables
$emp_id = $_SESSION['VALID_USER_NAME'];

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$add = clean_data($_GET['add']);
$_SESSION['add'] = $add;

$comp_id = clean_data($_GET["comp_id"]);
$year_id = clean_data($_GET["year_id"]);
$v_id = clean_data($_GET["v_id"]);

if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $comp_id = clean_data($_SESSION["comp_id"]);


    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($comp_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, comp_id) VALUES (?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id =  $v_id;

    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';

    //MAXIMUM INVOICE ID CHK QUERY
    try
    {
        $Maxquery_invoice =  "SELECT LPAD(IFNULL(max(substr(v.bill_no,-4)),0)+1,4,'0') v_id FROM sl_order v
		WHERE v.comp_id = ? ";
        $max_query_inv = $dbcon->prepare($Maxquery_invoice);
        $max_query_inv->execute(array($comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max_invoice = $max_query_inv->fetch(PDO::FETCH_OBJ);
    $invoiceNo = $row_max_invoice->v_id;
    $invoice_no = $loc_id.$invoiceNo;

    $v_date = date('d-m-Y');

    $discount_voucher_id = "";
    $return_cash = "";
    $bill_type = '';
    $sp = "";
    $invoice_no = "";
    $discp_m = "";
    $disc_amt_m = "";
    $net_amt = "";
    $net_payable = "";
    $adv_amt = "";
    $dc_amt = "";
}
else //EDIT
{

    try
    {
        $edit_query =  "SELECT * FROM sl_order m  WHERE m.voucher_id = ? AND m.comp_id = ? AND m.year_id = ? ";

        //echo $edit_query;

        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucher_date = $rowm->voucher_date;
    $change_date =date_create($voucher_date);
    $v_date = date_format($change_date,'d-m-Y');
    $acct_id = $rowm->acct_id;
    $customer_name = $rowm->customer_name;
    $customer_phone = $rowm->customer_phone;
    $customer_cash = $rowm->customer_cash;
    $return_cash = $rowm->return_cash;
    $bill_type = $rowm->bill_type;
    $invoice_no = $rowm->bill_no;
    $sp = $rowm->sp_id;
    $discount_voucher_id = $rowm->discount_voucher_no;
    $discp_m = $rowm->discp;
    $disc_amt_m = $rowm->disc_amt;
    $net_amt = $rowm->net_amt;
    $net_payable = $rowm->net_payable;
    $adv_amt = $rowm->adv_amt;
    $dc_amt = $rowm->dc_amt;

    $new_base_voucher_id= $rowm->base_voucher_id;
    $base_doc= $rowm->base_doc;
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>

<style>
    .btn-file {
        position: relative;
        overflow: hidden;
    }
    .btn-file input[type=file] {
        position: absolute;
        top: 0;
        right: 0;
        min-width: 100%;
        min-height: 100%;
        font-size: 100px;
        text-align: right;
        filter: alpha(opacity=0);
        opacity: 0;
        outline: none;
        background: white;
        cursor: inherit;
        display: block;
    }

    #img-upload{
        width: 100%;
    }
</style>

<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title"><?php echo $title;?></div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index.php">Home</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li><a href="<?php echo $menu_link;?>"><?php echo $title;?> Showcase</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active"><?php echo $title;?></li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->

            <!--BEGIN CONTENT-->
            <div class="page-content">

                <form class="form-horizontal"  name="sale_invoice"  id="sale_invoice">

                    <div class='row'>
                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>
                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>
                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                            <input type="hidden" name="table" id="table" value="<?php echo $table?>"/>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>
                        </div>
                    </div>

                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap small">
                                            <thead>
                                            <tr>

                                                <!-- VOUCHER ID -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="voucher_id" id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly>
                                                </td>

                                                <!-- DATE -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date;?>" >
                                                </td>



                                                <!-- SALE TYPE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Customer</label>
                                                    <i data-target="#modal-default" data-toggle="modal" class="fa fa-plus pull-right  " style="font-size: 20px;"></i>

                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT p.acct_id, concat(p.acct_id, '-', p.acct_name) acct_name FROM v_party p  ORDER BY p.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select style="width:100%;"  name="acct_id" id="acct_id" class="acct_id remove_acct_id">

                                                        <?php
                                                        $debtors = find_value('company', 'debtors', " AND comp_id = '$comp_id'");
                                                        ?>


                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {
                                                            if($add == 'Y') {

                                                                if ($debtors == $p_row->acct_id) {
                                                                    echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                                } else {

                                                                    echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';


                                                                }
                                                            }

                                                            else {
                                                                if ($acct_id == $p_row->acct_id) {
                                                                    echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                                }

                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';

                                                            }
                                                        }
                                                        ?>
                                                    </select>


                                                    <input type="text" class="form-control"  id="party_bal" readonly placeholder="Party Balance">
                                                </td>
                                            </tr>


                                            <tr>

                                                <!-- INVOICE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Inv No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="inv_no"id="inv_no" autocomplete="on"  value="<?php echo $invoice_no;?>">
                                                </td>


                                                <td></td>
                                                <td></td>



                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Godown:</label>
                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT l.loc_id, l.loc_name FROM location l ORDER BY l.loc_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="loc_id" id="loc_id" class="acct_id">


                                                        <?php
                                                        $loc_id = find_value('location', 'loc_id', " AND comp_id = '$comp_id'");
                                                        ?>

                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {
                                                            if($add == 'Y')
                                                            {
                                                                if ($loc_id == $p_row->loc_id) {
                                                                    echo '<option  value="' . $p_row->loc_id . '" selected>' . $p_row->loc_name . '</option>';

                                                                } else {

                                                                    echo '<option  value="' . $p_row->loc_id . '">' . $p_row->loc_name . '</option>';

                                                                }
                                                            }
                                                            else {
                                                                if ($location_id == $p_row->loc_id) {
                                                                    echo '<option  value="' . $p_row->loc_id . '"selected>' . $p_row->loc_name . '</option>';

                                                                }
                                                            }



                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>

                                            <tr>
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Base Document</label></td>
                                                <td>
                                                    <select style="width:100%;"  name="base_doc" id="base_doc" class="acct_ids">
                                                        <option value=""></option>
                                                        <?php

                                                        if($add != 'Y') {

                                                            if ($base_doc == 'QT') {
                                                                echo '<option  value="' . "QT" . '"selected>' . "Quote" . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "QT" . '">' . "Quote" . '</option>';

                                                            }

                                                            if ($base_doc == 'SO') {
                                                                echo '<option  value="' . "SO" . '"selected>' . "Order" . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "SO" . '">' . "Order" . '</option>';

                                                            }

                                                            if ($base_doc == 'DC') {
                                                                echo '<option  value="' . "DC" . '"selected>' . "Delivery Challan" . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "DC" . '">' . "Delivery Challan" . '</option>';

                                                            }


                                                            if ($base_doc == 'OG') {
                                                                echo '<option  value="' . "OG" . '"selected>' . "Gatepass" . '</option>';


                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "OG" . '">' . "Gatepass" . '</option>';

                                                            }

                                                        }
                                                        else
                                                        {
                                                            ?>

                                                            <option value="QT">Quote</option>
                                                            <option value="SO">Order</option>
                                                            <option value="DC">Delivery Challan</option>
                                                            <option value="OG">Gatepass</option>
                                                        <?php } ?>
                                                    </select>
                                                </td>


                                                <td> <div id="loaderc"></div> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Base Voucher ID</label></td>




                                                <td>
                                                    <select style="width:100%;"  name="base_voucher_id" id="base_voucher_id" class="acct_id">

                                                        <?php
                                                        if($add != 'Y') {

                                                            if($base_doc == 'QT') {
                                                                try {
                                                                    $p_query = "SELECT p.voucher_id FROM sl_quote p  ORDER BY p.voucher_id ASC ";

                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                } catch (PDOException $e) {
                                                                    echo "Error : " . $e->getMessage();
                                                                }
                                                            }

                                                            if($base_doc == 'SO')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_order p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }

                                                            if($base_doc == 'DC')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_dc p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }

                                                            if($base_doc == 'OG')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_gp p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }



                                                            while ($p_row = $p_result->fetch(PDO::FETCH_OBJ)) {

                                                                if ($new_base_voucher_id == $p_row->voucher_id) {
                                                                    echo '<option  value="' . $p_row->voucher_id . '"selected>' . $p_row->voucher_id . '</option>';

                                                                } else {
                                                                    echo '<option  value="' . $p_row->voucher_id . '">' . $p_row->voucher_id . '</option>';
                                                                }
                                                            }

                                                        }

                                                        ?>

                                                        <option value=""></option>

                                                    </select>
                                                </td>

                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Company Voucher</label>
                                                </td>
                                                <?php

                                                $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

                                                try {
                                                    $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c 
				LEFT JOIN users_comp uc on c.comp_id = uc.comp_id
				WHERE uc.emp_id = '$emp_id' ORDER BY c.comp_id";
                                                    $q = $dbcon->prepare($comp_sql);
                                                    $q->execute();
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select style="width:100%;"  name="comp_id" id="comp_id" class="acct_id">




                                                        <?php




                                                        while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($comp_id == $p_row->comp_id)
                                                            {
                                                                echo '<option  value="' . $p_row->comp_id . '"selected>' . $p_row->comp_name . '</option>';

                                                            }
                                                            else
                                                            {

                                                                echo '<option  value="' . $p_row->comp_id . '">' . $p_row->comp_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>













                                            </tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">


                                    <table class="table table-bordered table-responsive table-hover addrow_sale small" id="addrow">
                                        <thead >
                                        <tr>
                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th width="8%" style="text-align: center;">SR</th>
                                            <th width="12%" style="text-align: center;">STOCK CODE</th>
                                            <th width="22%" style="text-align: center;">ITEM NAME</th>
                                            <?php
                                            if($sale_form == 'mli_sale_invoice')
                                            {
                                                ?>
                                                <th   style="text-align: center; width: 10%">COLOR</th>
                                                <th  style="text-align: center;  width: 10%">SIZE</th>
                                            <?php } ?>
                                            <th width="15%" style="text-align: center;">AVAILABLE QTY</th>
                                            <th width="10%" style="text-align: center;">PACK SIZE</th>
                                            <th width="10%" style="text-align: center;">PACK QTY</th>
                                            <th width="10%" style="text-align: center;">QTY</th>
                                            <th width="10%" style="text-align: center;">RATE</th>
                                            <th width="10%" style="text-align: center;">AMOUNT</th>
                                        </tr>

                                        </thead>




                                        <?php

                                        try
                                        {
                                            $edit_query =  "SELECT
	d.*,
	
	v.bal_qty,
	i.description,
	r.description color_name,
	r.color_id


FROM
	sl_orderdet d
LEFT JOIN item i ON d.stock_code = i.stock_code
LEFT JOIN v_current_qty v ON i.stock_code = v.stock_code
LEFT JOIN color r ON d.color_id = r.color_id
  
   WHERE d.voucher_id = '$v_id' and d.comp_id = '$comp_id' AND d.year_id = '$year_id'  ORDER BY d.lineitem/1";
                                            //echo $edit_query;

                                            $resultd = $dbcon->prepare($edit_query);
                                            $resultd->execute(array());
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }



                                        $cnt = 0;
                                        $itemtot = '';
                                        $tot_qty = '';
                                        $o_qty = '';
                                        while($rowd = $resultd->fetch(PDO::FETCH_OBJ))
                                        {
                                            $lineitem = $rowd->lineitem;
                                            $cnt = $lineitem;
                                            $itemtot += $rowd->itemtot;

                                            $tot_qty += $rowd->qty;

                                            $o_qty += $rowd->bal_qty;


                                            ?>

                                            <!----------------------------------------------------------------------------------------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------SALE INVOICE DETAIL EDIT FORM---------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------------------------------------------------------------------------->
                                            <tr class="addrow_sale">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input type="text" data-type="stock_code" name="stock_code[]" class="form-control  autocomplete_txt stock_code" id="stockcode_<?php echo $cnt;?>" value="<?php echo $rowd->stock_code;?>" maxlength="11">
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->description ;?>">
                                                </td>





                                                <td>
                                                    <input type="text" class="form-control available_qty " name="available_qty[]" id="availableqty_<?php echo $cnt;?>" value="<?php echo $o_qty;?>" readonly />
                                                </td>

                                                <!-- PACK SIZE -->
                                                <td>
                                                    <input type="text" class="form-control qty changesNo qty grand_tot_qty" name="pack_size[]" id="packsize_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->pack_size);?>" />
                                                </td>


                                                <!-- PACK QUANTITY -->
                                                <td>
                                                    <input type="text" class="form-control qty changesNo qty grand_tot_qty" name="pack_qty[]" id="packqty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->pack_qty);?>" />
                                                </td>

                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="number" class="form-control qty changesNo qty grand_tot_qty" name="qty[]" id="qty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->qty);?>" />
                                                </td>

                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]" id="orate_<?php echo $cnt;?>"  value="<?php echo round($rowd->rate);?>"/>
                                                </td>


                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]" id="itemtot_<?php echo $cnt;?>" readonly value="<?php echo round($rowd->itemtot);?>"/>
                                                </td>
                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>



                                        <!----------------------------------------------------------------------------------------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------SALE INVOICE DETAIL ADD FORM---------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------------------------------------------------------------------------->


                                        <?php  $numberofrow = 1; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>

                                            <tr class="addrow_sale">
                                                <!-- CHECKBOX FOR ADD NEW FORM FIELD -->
                                                <td>
                                                    <input class="case" type="checkbox" id="disable_<?php echo $counter;?>"/>
                                                </td>

                                                <!-- LINEITEM -->
                                                <td style="width: 60px;">
                                                    <?php $lineitem += 1;?>
                                                    <input type="text" class="form-control " name="lineitem[]<?php echo $counter;?>"  id="lineitem_1" value="<?php echo $lineitem;?>" readonly  />
                                                </td>

                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input  type="text"  data-type="stock_code" name="stock_code[]"  class="form-control   autocomplete_txt stock_code" id="stockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off" maxlength="11" autofocus >
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" autocomplete="off"  size="30">
                                                </td>

                                                <?php
                                                if($sale_form == 'mli_sale_invoice')
                                                {
                                                    ?>

                                                    <!-- COLOR -->

                                                    <td>
                                                        <input type="text" data-type="description" name="color_name[]"  class="form-control description autocomplete_color " id="colorname_<?php if($add == "Y") {
                                                            echo $counter;
                                                        }

                                                        else
                                                        {
                                                            echo $lineitem;
                                                        }
                                                        ?>" autocomplete="off"  size="30">

                                                        <input type="hidden" data-type="description" name="color_id[]"  class="form-control" id="colorid_<?php if($add == "Y") {
                                                            echo $counter;
                                                        }

                                                        else
                                                        {
                                                            echo $lineitem;
                                                        }
                                                        ?>" autocomplete="off"  size="30">
                                                    </td>



                                                    <!-- SIZE -->
                                                    <td>
                                                        <input type="text" data-type="size" name="size[]"  class="form-control description autocomplete_size " id="size_<?php if($add == "Y") {
                                                            echo $counter;
                                                        }

                                                        else
                                                        {
                                                            echo $lineitem;
                                                        }
                                                        ?>" autocomplete="off"  >

                                                        <input type="hidden" data-type="description" name="size_id[]"  class="form-control" id="sizeid_<?php if($add == "Y") {
                                                            echo $counter;
                                                        }

                                                        else
                                                        {
                                                            echo $lineitem;
                                                        }
                                                        ?>" autocomplete="off"  >
                                                    </td>

                                                <?php } ?>



                                                <td>
                                                    <input data-toggle="modal" data-target="#view-modal" data-id="" type="text" class="form-control available_qty getuser " name="available_qty[]<?php echo $counter;?>" id="availableqty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly />

                                                </td>

                                                <!-- PACK SIZE  -->
                                                <td>
                                                    <input type="text"  class="form-control qty  changesNo qty grand_tot_qty"  name="pack_size[]<?php echo $counter;?>" id="packsize_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>



                                                <!-- PACK QUANTITY -->
                                                <td>
                                                    <input type="text"  class="form-control qty  changesNo qty grand_tot_qty"  name="pack_qty[]<?php echo $counter;?>" id="packqty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>

                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="number"  class="form-control qty  changesNo qty grand_tot_qty" maxlength="2" name="qty[]<?php echo $counter;?>" id="qty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>

                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]<?php echo $counter;?>" id="orate_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  />
                                                </td>






                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]<?php echo $counter;?>" id="itemtot_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly/>
                                                </td>
                                            </tr>
                                        <?php } ?>


                                        <thead>
                                        <tr>

                                            <?php
                                            if($sale_form == 'mli_sale_invoice')
                                            {
                                                ?>
                                                <td></td>
                                                <td></td>
                                            <?php } ?>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td   align="right" >

                                                <input type="text" class="form-control  grandtot_qty" name="grandtot_qty" id="grandtot_qty" autocomplete="off"  readonly value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_qty'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_qty'] = $tot_qty;
                                                }

                                                echo round($_SESSION['tot_qty']);?>" style="width: 100px;  font-weight: bold;" /></td>


                                            <td >


                                            </td>
                                            <td></td>



                                            <td width="10%" colspan="1" align="right">
                                                <input type="text" class="form-control  grandtot " name="grandtot" id="grandtot" autocomplete="off" readonly   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['itemtot'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['itemtot'] = $itemtot;
                                                }

                                                echo round($_SESSION['itemtot']);?>" style="width: 100px;  font-weight: bold;" />
                                            </td>
                                        </tr>


                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td align="right">
                                                <b>Discount %</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  discp_m" name="discp_m" id="discp_m" value="<?php echo round($discp_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"/>
                                            </td>
                                            <td align="right">
                                                <b>Amount</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  disc_amt_m" name="disc_amt_m" id="disc_amt_m" value="<?php echo round($disc_amt_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" />
                                            </td>
                                        </tr>



                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Freight</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  dc_amt" name="dc_amt" id="dc_amt" value="<?php echo round($dc_amt); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" />
                                            </td>
                                        </tr>








                                        <tr>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Total Amount</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  net_amt" name="net_amt" id="net_amt" value="<?php echo round($net_amt); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" readonly/>
                                            </td>
                                        </tr>

                                        </thead>

                                    </table>


                                    <div id="view"></div>
                                    <div class='row'>
                                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>

                                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>
                                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                                            <input type="hidden" name="table" id="table" value="<?php echo $table?>"/>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                                        </div>
                                    </div>


                </form>



                <div id="view-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none; ">
                    <div class="modal-dialog">
                        <div class="modal-content">

                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                <h4 class="modal-title">
                                    <i class="glyphicon glyphicon-info-sign"></i> LOCATION CURRENT STOCK
                                </h4>
                            </div>

                            <div class="table-responsive">
                                <div class="modal-body" >

                                    <div id="modal-loader" style="display: none; text-align: center;">
                                        <img src="dist/img/ajax-loader.gif">
                                    </div>

                                    <!-- content will be load here -->
                                    <div id="dynamic-content"></div>

                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            </div>

                        </div>
                    </div>
                </div><!-- /.modal -->






            </div>

        </div>
    </div>



    <!-------------------------START FIRST LEVEL ACCOUNT ADD MODEL--------------->



    <div id="modal-default" tabindex="-1" role="dialog" aria-labelledby="modal-default-label" aria-hidden="true" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" data-dismiss="modal" aria-hidden="true" class="close">&times;</button>
                    <h4 id="modal-default-label" class="modal-title">ADD NEW</h4></div>
                <div class="modal-header">
                    <button type="button" data-dismiss="modal" class="btn btn-default">Close</button>
                    <button type="button" class="btn btn-primary" onClick="chartofacct_add()">Save changes</button>
                    <div id="result"></div>
                </div>


                <div class="modal-body">

                    <?php

                    //MAXIMUM ID CHK QUERY
                    try
                    {
                        $Maxquery =  "SELECT LPAD(IFNULL(max(substr(v.acct_id,-4)),0)+1,4,'0') acct_id  FROM nom v WHERE  substr(acct_id,1,6) = '261000' and LENGTH(acct_id) = 10";
                        $max_query = $dbcon->prepare($Maxquery);
                        $max_query->execute(array());
                    }
                    catch(PDOException $e)
                    {
                        echo "Error : ". $e->getMessage();
                    }





                    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
                    $coa_acct_id = '261000'.$row_max->acct_id;
                    ?>

                    <fieldset>
                        <legend>Account:</legend>

                        <div class="form-body pal">

                            <div class="form-group"><label for="inputEmail" class="control-label">Date: <span class='require'>*</span></label>
                                <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                                    <input type="text" name="acct_date" id="acct_date"  class="form-control acct_date"  value="<?php echo date('Y-m-d');?>" />
                                </div>
                            </div>



                            <div class="form-group"><label for="inputEmail" class="control-label">Account ID: <span class='require'>*</span></label>
                                <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="so_acct_id" id="so_acct_id"  class="form-control" value="<?php echo $coa_acct_id;?>" readonly  /></div>
                            </div>

                            <div class="form-group"><label for="inputEmail" class="control-label">Account Name: <span class='require'>*</span></label>
                                <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="acct_name" id="acct_name"  class="form-control check_acct_name" /></div>
                                <span class="result_acctname"></span>
                            </div>

                            <div class="form-group"><label for="inputUsername" class="control-label">Account Type:<span class='require'>*</span></label>

                                <?php
                                try
                                {
                                    $col_query =  "SELECT s.acct_id acct_id, concat(s.acct_id,' - ',s.acct_name) acct_name FROM acct_type s  ORDER BY 1 ";

                                    $col_result = $dbcon->prepare($col_query);
                                    $col_result->execute(array());
                                }
                                catch(PDOException $e)
                                {
                                    echo "Error : ". $e->getMessage();
                                }

                                ?>

                                <select class="form-control acct_id" name="acct_type" id="acct_type">
                                    <option></option>
                                    <?php
                                    while($col_row = $col_result->fetch(PDO::FETCH_OBJ))
                                    {
                                        echo '<option  value="' . $col_row->acct_id . '">' . $col_row->acct_name . '</option>';

                                    }
                                    ?>

                                </select>

                            </div>


                            <fieldset>
                                <legend>Party Detail:</legend>

                                <div class="form-group"><label for="inputEmail" class="control-label">Credit Limit: <span class='require'>*</span></label>
                                    <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="credit_limit" id="credit_limit"  class="form-control" /></div>
                                    <span class="result_acctname"></span>
                                </div>



                                <div class="form-group"><label for="inputUsername" class="control-label"> Select City: <span class='require'>*</span></label>

                                    <?php
                                    try
                                    {
                                        $col_query =  "SELECT s.city_id acct_id, s.city_name acct_name FROM city s  ORDER BY s.city_id ASC ";

                                        $col_result = $dbcon->prepare($col_query);
                                        $col_result->execute(array());
                                    }
                                    catch(PDOException $e)
                                    {
                                        echo "Error : ". $e->getMessage();
                                    }

                                    ?>

                                    <select class="form-control acct_id" name="city_id" id="city_id">
                                        <option></option>
                                        <?php
                                        while($col_row = $col_result->fetch(PDO::FETCH_OBJ))
                                        {
                                            echo '<option  value="' . $col_row->acct_id . '">' . $col_row->acct_name . '</option>';

                                        }
                                        ?>

                                    </select>

                                </div>





                                <div class="form-group"><label for="inputUsername" class="control-label"> Select Agent: <span class='require'>*</span></label>

                                    <?php
                                    try
                                    {
                                        $col_query =  "SELECT s.acct_id, s.acct_name FROM sp s  ORDER BY 1 ";
                                        $col_result = $dbcon->prepare($col_query);
                                        $col_result->execute(array());
                                    }
                                    catch(PDOException $e)
                                    {
                                        echo "Error : ". $e->getMessage();
                                    }

                                    ?>

                                    <select class="form-control acct_id" name="sp_id" id="sp_id">
                                        <option></option>
                                        <?php
                                        while($col_row = $col_result->fetch(PDO::FETCH_OBJ))
                                        {
                                            echo '<option  value="' . $col_row->acct_id . '">' . $col_row->acct_id . '-'. $col_row->acct_name . '</option>';

                                        }
                                        ?>

                                    </select>

                                </div>









                                <div class="form-group"><label for="inputUsername" class="control-label"> Select Region: <span class='require'>*</span></label>

                                    <?php
                                    try
                                    {
                                        $col_query =  "SELECT r.reg_id, r.reg_name FROM regions r  ORDER BY r.reg_id ASC ";

                                        $col_result = $dbcon->prepare($col_query);
                                        $col_result->execute(array());
                                    }
                                    catch(PDOException $e)
                                    {
                                        echo "Error : ". $e->getMessage();
                                    }

                                    ?>

                                    <select class="form-control acct_id " name="reg_id" id="reg_id">
                                        <option></option>
                                        <?php
                                        while($col_row = $col_result->fetch(PDO::FETCH_OBJ))
                                        {
                                            echo '<option  value="' . $col_row->reg_id . '">' . $col_row->reg_id . '-'. $col_row->reg_name . '</option>';

                                        }
                                        ?>

                                    </select>

                                </div>


                                <div class="form-group"><label for="inputEmail" class="control-label">Address <span class='require'>*</span></label>
                                    <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="address" id="address"  class="form-control" /></div>
                                </div>


                                <div class="form-group"><label for="inputEmail" class="control-label">Email <span class='require'>*</span></label>
                                    <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="email" name="email" id="email"  class="form-control" required /></div>
                                </div>

                                <div class="form-group"><label for="inputEmail" class="control-label">Phone NO <span class='require'>*</span></label>
                                    <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="phone_no" id="phone_no"  class="form-control" placeholder="03211234567" /></div>
                                </div>


                                <div class="form-group"><label for="inputEmail" class="control-label">NTN <span class='require'>*</span></label>
                                    <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="ntn" id="ntn"  class="form-control"  /></div>
                                </div>


                                <div class="form-group"><label for="inputEmail" class="control-label">Sale Tax No <span class='require'>*</span></label>
                                    <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="stax_no" id="stax_no"  class="form-control"  />

                                    </div>
                                </div>



                                <div class="form-group"><label for="inputEmail" class="control-label">CNIC NO <span class='require'>*</span></label>
                                    <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                                        <input type="text" name="cnic_no" id="cnic_no"  class="form-control"  />

                                    </div>
                                </div>



                                <!--------------START UPLOAD DOCUMENT---------------->
                                <form id="image_upload_form" method="post" enctype="multipart/form-data" action='coa_upload.php'
                                      autocomplete="off">
                                    <div class="alert alert-danger hide"></div>
                                    <div class="alert alert-success hide"></div>
                                    <div class="col-md-12">
                                        <div class="form-group">

                                            <div class="input-group">

                                                <input type="text" class="form-control" id="input_image_text" readonly >

                                                <span class="input-group-btn">
				                <span class="btn btn-success btn-file">
				                    Browse… <input type="file" id="photoimg" name="photoimg" />
                                </span>
                                                                <input type="hidden" id="f_acct_id" name="f_acct_id" />
				                <button type="submit" class="btn btn-warning">
				                    <i class="glyphicon glyphicon-upload"></i> upload
				                </button>
				            </span>
                                            </div>
                                        </div>
                                    </div>
                                </form>

                                <!--------------END UPLOAD DOCUMENT---------------->
                                <div id="acct_id_hd"></div>
                            </fieldset>
                        </div>
                </div>

                <div class="modal-footer">

                    <button type="button" data-dismiss="modal" class="btn btn-default">Close</button>
                    <button type="button" class="btn btn-primary" onClick="chartofacct_add()">Save changes</button>
                    <div id="result"></div>
                </div>
            </div>
        </div>
    </div>
    <!-------------------------END FIRST LEVEL ACCOUNT ADD MODEL--------------->

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>

    <!---------------------------START JAVASCRIPT-------------------------------->

    <?php
    $login_page = find_value('v_system', 'login_page', '');

    if($login_page == 'login-ec')
    {
        $select_file = 'select_stock_order';
    }
    else
    {
        $select_file = 'kt_select_stock';
    }
    ?>
    <script type="text/javascript">

        function sale_invoice_add()
        {
            //declare variables master form
            var comp_id = $('#comp_id').val();

            var v_date = $('#v_date').val();
            var v_id = $('#v_id').val();
            var acct_id = $('#acct_id').val();
            var customer_name = $('#customer_name').val();
            var customer_phone = $('#customer_phone').val();
            var customer_cash = $('#customer_cash').val();
            var return_cash = $('#return_cash').val();
            var sp = $('#sp_id').val();

            //declare variables detail form
            var stock_code = $('#stockcode_1').val();
            var particulars = $('#particulars').val();
            var qty = $('#qty_1').val();
            var rate = $('#rate').val();
            var itemtot = $('#itemtot').val();
            var grand_tot = $('#grandtot').val();

            //check condition
            if(v_date == "")
            {
                alert("Please Enter Date");
                $('#v_date').focus();
            }

            else if(acct_id == "Select Sale Type")
            {
                alert("Please Select Sale Type");
                $('#acct_id').focus();
            }

            else if(stock_code == "")
            {
                alert("Please Select Stock Code");
                $('#stockcode_1').focus();
            }

            else if(stock_code.length > 11)
            {
                alert("Please Select Correct Code");
                $('#stockcode_1').focus();
            }

            else if(qty == "" || qty == '0' )
            {
                alert("Please Enter Quantity");
                $('#qty_1').focus();
            }

            else if(rate == "")
            {
                alert("Please Enter Rate");
                $('#rate').focus();
            }

            else
            {
                var formdata = $('#sale_invoice').serializeArray();

                $.ajax({
                    type:"POST",
                    url:"process/sale_order_process",
                    data:$.param(formdata),
                    beforeSend: function()
                    {
                        $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                    },
                    success: function(result)
                    {
                        //alert(result);
                        //alert('Voucher has been successfully submitted.');
                        window.location = "<?php echo $menu_detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>";
                    }
                });
                $('#savedata').addClass("disabled");
            }
        }

        //LOAD DROP DOWN WITH BASE DOC VOUCHER ID
        $('#base_doc').change(function(){
            var base_doc = $('#base_doc').val();
            var datasend = 'base_doc='+base_doc ;

            $('#loaderc').fadeIn(400).html('<img src="images/pageloader/images/loader1.gif" align="absmiddle">');

            $.ajax({
                type:"POST",
                data:datasend,
                url:'ajax/select_base_voucher_id.php',
                cache:false,
                success:function(msg){

                    //alert(msg);

                    $('#base_voucher_id').html(msg);
                    $('#loaderc').fadeOut("slow");
                }
            });
        });

        /**********************START AUTO LOAD ITEM LIST**********************/
        $("#base_voucher_id").on("change", function() {

            var base_doc =  $("#base_doc").val();
            var base_voucher_id =  $("#base_voucher_id").val();
            var action  = 'voucher_load';
            var dataString = 'base_doc=' + base_doc +  '&base_voucher_id=' + base_voucher_id + '&action=' + action ;

            $.ajax({
                type: "POST",
                data: dataString,
                url: "ajax/get_sale_quote_voucher.php",
                dataType: "json",
                success: function(JSONObject) {
                    var peopleHTML = "";

                    // Loop through Object and create peopleHTML
                    var i = 1;

                    for (var key in JSONObject) {
                        if (JSONObject.hasOwnProperty(key)) {
                            //$("#v_date").val(JSONObject[key]["voucher_date"]);

                            $("#acct_id").val(JSONObject[key]["acct_id"]);
                            $("#ntn").val(JSONObject[key]["ntn"]);
                            $("#stax_no").val(JSONObject[key]["stax_no"]);
                            $("#inv_no").val(JSONObject[key]["bill_no"]);
                            $("#net_amt").val(JSONObject[key]["net_amt"]);
                            $("#adv_amt").val(JSONObject[key]["adv_amt"]);
                            $("#invoice_tot").val(JSONObject[key]["grandtot"]);
                            $("#grandtot_qty").val(JSONObject[key]["q_tot"]);
                            $("#stax").val(JSONObject[key]["tot_stax_rate"]);
                            $("#grandtot").val(JSONObject[key]["grandtot"]);

                            peopleHTML += '<tr class="addrow_sale">';
                            peopleHTML += '<td><input class="case" type="checkbox"/></td>';
                            peopleHTML += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+JSONObject[key]["lineitem"]+'"/></td>';
                            peopleHTML += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" value="'+JSONObject[key]["stock_code"]+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
                            peopleHTML += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" value="'+JSONObject[key]["stock_name"]+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';
                            peopleHTML += '<td><input type="number" name="available_qty[]" id="availableqty_'+i+'" value="'+JSONObject[key]["qty"]+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                            peopleHTML += '<td><input type="number" name="qty[]" id="qty_'+i+'" value="'+JSONObject[key]["qty"]+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                            peopleHTML += '<td><input type="text" name="rate[]" id="orate_'+i+'" value="'+JSONObject[key]["rate"]+'" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                            peopleHTML += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" value="'+JSONObject[key]["item_tot"]+'" class="form-control itemtot changesNo totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

                            peopleHTML += '</tr>';
                            i++;
                        }
                    }

                    // Replace table’s tbody html with peopleHTML
                    $("#addrow tbody").html(peopleHTML);
                    $('.remove_acct_id').select2('destroy')

                }
            });
        });
        /**********************END AUTO LOAD ITEM LIST**********************/



        //autocomplete script sale invoice select stock code
        $(document).on('focus','.autocomplete_txt',function(){
            type = $(this).data('type');

            if(type =='stock_code' )autoTypeNo=0;
            if(type =='description' )autoTypeNo=1;


            $(this).autocomplete({
                source: function( request, response ) {
                    $.ajax({
                        url : '<?php echo $select_file;?>',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function( data ) {
                            response( $.map( data, function( item ) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data : item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 1,

                select: function( event, ui ) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    $('#stockcode_'+id[1]).val(names[0]);
                    $('#description_'+id[1]).val(names[1]);
                    $('#availableqty_'+id[1]).val(names[2]);
                    $('#orate_'+id[1]).val(names[3]);

                    s_rate =  $('#orate_'+id[1]).val();
                    s_qty =  $('#qty_'+id[1]).val();



                    $('#itemtot_' + id[1]).val(1 * names[2]);


                    $('#availableqty_'+id[1]).data('id',names[0]); //sette




                    $('#orate_' + id[1]).focus();

                    calculateTotal();
                    calculateTotal_qty();
                    calculateInvoiceTotal();
                    calculateNetAmount();

                }
            });

        });



        $(document).on('change', '#check_all', function () {
            $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
        });



        //delete the selected table row

        $(".delete_sale").on('click', function () {
            $('.case:checkbox:checked').parents("tr").remove();
            $("#check_all").prop("checked", false);
            calculateTotal();
            calculateTotal_qty();
        });

        //add table rows

        var i = $('.addrow_sale').length;

        $(".addmore_sale").on('click',function(){
            html = '<tr>';
            html += '<td><input class="case" type="checkbox"/></td>';
            html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
            html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
            html += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';
            html += '<td><input type="text" name="available_qty[]" id="availableqty_'+i+'" class="form-control available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
            html += '<td><input type="text" name="pack_size[]" id="packsize_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off"  ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="pack_qty[]" id="packqty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off"  ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="number" name="qty[]" id="qty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="rate[]" id="orate_'+i+'" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
            $('#addrow').append(html);
            i++;
        });

        //date picker
        $('#v_date').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true
        });


        //dropdown with search
        $(".acct_id").select2();


        //price change
        $(document).on('change keyup blur','.changesNo',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");
            avqty = $('#availableqty_' + id[1]).val();
            pack_size = $('#packsize_' + id[1]).val();
            pack_qty = $('#packqty_' + id[1]).val();
            qty = $('#qty_' + id[1]).val();
            orate = $('#orate_' + id[1]).val();

            if(pack_size != '' && pack_qty !=  '') {
                qty = (parseFloat(pack_size) * parseFloat(pack_qty));
                $('#qty_' + id[1]).val(qty);
            }

            $('#itemtot_'+id[1]).val( parseFloat(orate)*parseFloat(qty)   );


            //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

            calculateTotal();
            calculateTotal_qty();
            calculateInvoiceTotal();
            calculateNetAmount();

        });




        /*****************START DISCOUNT PERCENTAGE**************/
        $(document).on('change keyup blur', '.changesdiscp', function () {
            grandtot = $('#grandtot').val();
            qty = $('#qty_' + id[1]).val();
            orate = $('#orate_' + id[1]).val();
            discp = $('#discp_' + id[1]).val();

            $('#itemtot_'+id[1]).val( parseFloat(orate)*parseFloat(qty) * (1 - discp / 100) );
        });
        /*****************END DISCOUNT PERCENTAGE**************/




        /****************START INVOICE TOTAL****************/
        function calculateInvoiceTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '') grandtot += parseFloat($(this).val());
            });
            $('#invoice_tot').val(grandtot);
            itemtot += grandtot;
        }
        /****************END INVOICE TOTAL****************/



        /****************START NET AMOUNT AFTER DISCOUNT****************/
        function calculateNetAmount() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '') grandtot += parseFloat($(this).val());
            });
            $('#net_amt').val(grandtot);
            itemtot += grandtot;
        }
        /****************END NET AMOUNT AFTER DISCOUNT****************/



        /*****************START MASTER DISCOUNT PERCENTAGE**************/
        $(document).on('change keyup blur', '#discp_m', function () {
            grandtot = $('#grandtot').val();
            discp_m = $('#discp_m').val();
            net_amt = $('#net_amt').val();

            $('#net_amt').val(parseFloat(grandtot) * (1 - discp_m / 100));

            $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));

            $('#disc_amt_m').val( (parseFloat(grandtot)* discp_m) / 100  );

        });
        /*****************END MASTER DISCOUNT PERCENTAGE**************/


        /*****************START MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/
        $(document).on('change keyup blur', '#disc_amt_m', function () {
            grandtot = $('#grandtot').val();
            disc_amt_m = $('#disc_amt_m').val();






            $('#net_amt').val(parseFloat(grandtot) - parseFloat(disc_amt_m));

            $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m));

        });
        /*****************END MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/




        /*****************START FREIGHT AMOUNT*************/
        $(document).on('change keyup blur', '#dc_amt', function () {
            grandtot = $('#grandtot').val();
            dc_amt = $('#dc_amt').val();
            disc_amt_m = $('#disc_amt_m').val();


            if(disc_amt_m == '')
            {
                $('#net_amt').val(parseFloat(grandtot) + parseFloat(dc_amt));

                $('#invoice_tot').val(parseFloat(grandtot) + parseFloat(dc_amt));

            }
            else
            {
                $('#net_amt').val(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt));

                $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt));
            }




        });
        /*****************END FREIGHT AMOUNT*************/







        /*****************START MASTER DISCOUNT PERCENTAGE**************/
        /*$(document).on('change keyup blur', '#discp_m', function () {
         grandtot = $('#grandtot').val();
         discp_m = $('#discp_m').val();
         adv_amt = $('#adv_amt').val();

         if ($('#adv_amt').val() != '') {
         $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100) - parseFloat(adv_amt));
         }
         else
         {
         $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));
         }

         });*/
        /*****************END MASTER DISCOUNT PERCENTAGE**************/



        /*****************START ADVANCE AMOUNT**************/
        $(document).on('change keyup blur', '#adv_amt', function () {
            grandtot = $('#grandtot').val();
            adv_amt = $('#adv_amt').val();
            discp_m = $('#discp_m').val();
            net_amt = $('#net_amt').val();

            disc_amt_m = $('#disc_amt_m').val();


            // $('#invoice_tot').val(Math.round(parseFloat(net_amt) * (1 - discp_m / 100) - parseFloat(adv_amt)) );

            $('#invoice_tot').val(Math.round(parseFloat(net_amt)  - parseFloat(adv_amt)) );




        });
        /*****************END ADVANCE AMOUNT**************/







        //total price calculation
        function calculateTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '')grandtot += parseFloat($(this).val());
            });
            $('#grandtot').val(grandtot);
            itemtot += grandtot;

            var grand_tot = $('#grandtot').val();

            //alert(grand_tot);
            var freight_tot = $('#freight').val();
            var inv_tot = parseFloat(grand_tot) - parseFloat(freight_tot);

            $('#invoice_tot').val(inv_tot);


        }

        //total pqty calculation
        function calculateTotal_qty() {
            grandtot_qty = 0;
            qty = 0;
            $('.grand_tot_qty').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_qty').val(grandtot_qty);
            qty += grandtot_qty;
        }




        //customer cash calculate
        $(document).on('change keyup blur', '#customer_cash', function () {

            grandtot = $('#grandtot').val();
            customer_cash = $('#customer_cash').val();
            //invoice_tot = $('#invoice_tot').val();


            $('#return_cash').val(parseFloat(customer_cash) - parseFloat(grandtot));

        });

        /* $('input').keypress(function(event){
         if(event.which == '13')	//ENTER
         {
         var tabIndex = $(this).attr('tabIndex');

         var all_inputs = $(this).closest('table').find('input:visible');
         var inputs = all_inputs.filter(function() {
         return $(this).attr("tabIndex") > tabIndex;
         })

         if(inputs.length != 0)
         {
         inputs = $(inputs).sort(function(a,b){
         return $(a).attr('tabIndex')-$(b).attr('tabIndex');
         });
         }
         else
         {
         inputs = $(all_inputs).sort(function(a,b){
         return $(a).attr('tabIndex')-$(b).attr('tabIndex');
         });
         }


         var elem = inputs.eq( inputs.index(this)+ 1 );
         if(elem.length == 0)
         elem = inputs.eq(0);

         elem.focus();
         event.preventDefault();
         }
         });

         */








        var i = $('.addrow_sale').length;

        $(document).on('keyup', '.totalLinePrice', function(e) {
            var code = (e.keyCode ? e.keyCode : e.which);
            if (code == 13) {
                html = '<tr>';
                html += '<td><input class="case" type="checkbox"/></td>';
                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
                html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
                html += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';
                html += '<td><input type="text"  name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="off"></td>';
                html += '<td><input type="text" name="available_qty[]" id="availableqty_'+i+'" class="form-control available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                html += '<td><input type="number" name="qty[]" id="qty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                html += '<td><input type="text" name="rate[]" id="orate_'+i+'" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                html += '<td><input type="text" name="discp[]" id="discp_' + i + '" class="form-control discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                html += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" class="form-control discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                html += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                html += '</tr>';
                $('#addrow').append(html);
                //$(this).focus().select();
                i++;
            }
        });

        $(document).on('keydown', '.form-control', function(e) {
            var code = (e.keyCode ? e.keyCode : e.which);
            if (code == 13) {
                var index = $('.form-control').index(this) + 1;
                $('.form-control').eq(index).focus();
            }
        });







        $( "#acct_id" ).change(function() { //can use #id here too

            var acct_id = $('#acct_id').val();
            var dataString = 'acct_id=' + acct_id ;

            $.ajax({
                type: 'post',
                url: 'ajax/get_party_bal.php',
                data:dataString,
                success: function (result) {
                    $('#party_bal').val(result);
                }
            });
        });







        /**********************START STATION COST DETAIL MODAL*******************/
        $(document).ready(function(){

            $(document).on('click', '.getuser', function(e){

                e.preventDefault();

                var uid = $(this).data('id');   // it will get id of clicked row

                //alert(uid);

                $('#dynamic-content').html(''); // leave it blank before ajax call
                $('#modal-loader').show();      // load ajax loader

                $.ajax({
                    url: 'ajax/get_loc_current_stock.php',
                    type: 'POST',
                    data: 'id='+uid,
                    dataType: 'html'
                })
                    .done(function(data){
                        console.log(data);
                        $('#dynamic-content').html('');
                        $('#dynamic-content').html(data); // load response
                        $('#modal-loader').hide();		  // hide ajax loader
                    })
                    .fail(function(){
                        $('#dynamic-content').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                        $('#modal-loader').hide();
                    });

            });

        });

        /**********************END STATION COST DETAIL MODAL*******************/







        /***************************START AUTOCOMPLETE COLOR******************/
        $(document).on('focus', '.autocomplete_color', function () {
            type = $(this).data('type');

            if (type == 'description') autoTypeNo = 0;

            $(this).autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: 'select_color.php',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function (data) {
                            response($.map(data, function (item) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data: item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 1,

                select: function (event, ui) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    $('#colorname_' + id[1]).val(names[0]);
                    $('#colorid_' + id[1]).val(names[1]);

                }
            });

        });
        /***************************END AUTOCOMPLETE COLOR******************/







        /***************************START AUTOCOMPLETE SIZE******************/
        $(document).on('focus', '.autocomplete_size', function () {
            type = $(this).data('type');

            if (type == 'size') autoTypeNo = 0;

            $(this).autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: 'select_size.php',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function (data) {
                            response($.map(data, function (item) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data: item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 1,

                select: function (event, ui) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    $('#size_' + id[1]).val(names[0]);
                    $('#sizeid_' + id[1]).val(names[1]);

                }
            });

        });
        /***************************END AUTOCOMPLETE SIZE******************/







        //date picker
        $('.acct_date').datepicker({
            format: 'yyyy-mm-dd',
            autoclose: true
        });










        /****************START FIRST LEVEL ACCOUNT SUBMIT FROM AJAX***************/
        function chartofacct_add() {
            var acct_id = $('#so_acct_id').val();
            var acct_name = $('#acct_name').val();
            var acct_type = $('#acct_type').val();
            var reg_id = $('#reg_id').val();
            var address = $('#address').val();
            var email = $('#email').val();
            var phone_no = $('#phone_no').val();
            var credit_limit = $('#credit_limit').val();
            var ntn = $('#ntn').val();
            var stax_no = $('#stax_no').val();
            var city_id = $('#city_id').val();
            var sp_id = $('#sp_id').val();
            var acct_date = $('#acct_date').val();
            var cnic_no = $('#cnic_no').val();


            var action = 'first_level_form';


            if (acct_date == "") {
                alert("Please Select Account Opeining Date");
                $('#acct_date').focus();
            }

            else if (acct_id == "") {
                alert("Please Enter Account Id");
                $('#acct_id').focus();
            }
            else if (acct_name == "") {
                alert("Please Enter Account Name");
                $('#acct_name').focus();
            }



            else {
                var dataString = '&acct_id=' + acct_id +
                    '&acct_name=' + acct_name +
                    '&acct_type=' + acct_type +
                    '&reg_id=' + reg_id +
                    '&address=' + address +
                    '&email=' + email +
                    '&phone_no=' + phone_no +
                    '&credit_limit=' + credit_limit +
                    '&ntn=' + ntn +
                    '&stax_no=' + stax_no +
                    '&city_id=' + city_id +
                    '&sp_id=' + sp_id +
                    '&acct_date=' + acct_date +
                    '&cnic_no=' + cnic_no +
                    '&action=' + action;

                $.ajax({
                    type: "POST",
                    url: "process/master_process.php",
                    data: dataString,
                    success: function (result) {
                        //alert(result);
                        window.location = "sale_order?&add=Y";




                    }
                });

            }

        }
        /****************END FIRST LEVEL ACCOUNT SUBMIT FROM AJAX***************/


        jQuery(document).ready(function(){
            $('#photoimg').on('change', function() {
                var label = $(this).val().replace(/\\/g, '/').replace(/.*\//, ''),
                    input = $('#input_image_text').val(label);
                $('.alert').addClass('hide');
                $('.alert').removeClass('show');

            });

            var frm = $('#image_upload_form');

            frm.submit(function (e) {
                e.preventDefault();
                var formData = new FormData();
                formData.append('photoimg', $('#photoimg')[0].files[0]);
                formData.append('f_acct_id', $('#f_acct_id').val());


                $.ajax({
                    type: frm.attr('method'),
                    url: frm.attr('action'),
                    data: formData,
                    dataType: "json",
                    processData: false,  // tell jQuery not to process the data
                    contentType: false,  // tell jQuery not to set contentType

                    success: function (data) {
                        console.log(data['error']);
                        if(data.error == 1) {
                            $('.alert-danger').removeClass('hide').addClass('show').html(data['msg']);
                        } else {
                            $('.alert-success').removeClass('hide').addClass('show').html('Uploaded');

                        }

                        $('#input_image_text').val('');

                    },
                    error: function (data) {
                        console.log(data);
                        $('.alert-danger').removeClass('hide').addClass('show').html(data);
                    },
                });
            });
        });




    </script>
    <!---------------------------START JAVASCRIPT-------------------------------->








</body>
</html>