<?php

session_start();
include("include/dbconnect.php");
include("include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
    exit();
}

$image = $_POST['image'];
$v_id = $_POST['v_id'];
$comp_id = $_POST['f_comp_id'];
$year_id = clean_data($_SESSION["year_id"]);

$dir = "whatsapp/sale_invoice/";
if (!file_exists($dir)) {
    mkdir($dir, 0777);
}
$dirPath = "whatsapp/sale_invoice/$comp_id/";
if (!file_exists($dirPath)) {
    mkdir($dirPath, 0777);
}
//$filename = "whatsapp/sale_invoice/$comp_id/".$v_id.".png";
$login_page = find_value("v_system", 'login_page', '');


//$location = "upload/";

$image_parts = explode(";base64,", $image);

$image_base64 = base64_decode($image_parts[1]);

//$filename = "screenshot_".uniqid().'.jpeg';


$filename = $comp_id.'-'.$v_id.'.jpg';

$file = $dirPath . $filename;

file_put_contents($file, $image_base64);



try {
    $vd_query = "SELECT m.acct_id, d.voucher_id, m.sms_no, m.posted, m.net_payable, p.acct_name, c.comp_name, n.cash,
       m.customer_name, m.customer_phone
                             FROM sl_invoice m 
                             LEFT JOIN sl_invoicedet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND m.voucher_id = d.voucher_id  
                             LEFT JOIN v_party p on m.acct_id=p.acct_id
                             LEFT JOIN company c on m.comp_id=c.comp_id
                             LEFT JOIN nom n on m.acct_id = n.acct_id
                             WHERE m.voucher_id = '$v_id' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'";
    $vd_result = $dbcon->prepare($vd_query);
    $vd_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}




$d_row = $vd_result->fetch(PDO::FETCH_OBJ);


$m_voucher_id = $d_row->voucher_id;
$acct_id = $d_row->acct_id;
$acct_name = $d_row->acct_name;
$net_payable = round($d_row->net_payable);
$comp_name = $d_row->comp_name;
$c_sms_no = $d_row->sms_no;
$cash = $d_row->cash;
$customer_name = $d_row->customer_name;
$customer_phone = $d_row->customer_phone;




if($cash == 'Y') {

    if ($comp_id == 'BT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923347215358,923478910927';

    }
    else if ($comp_id == 'IT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923347215358,923467854078';

    }
    else if ($comp_id == 'KT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923347215358,923080553638,923444089787,923320322222';

    }

    else  if ($comp_id == 'ZT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923347215358,923430990064';

    }
    else  if ($comp_id == 'CA') {
        $sms_no = $c_sms_no . ',' . '923315452150,923347215358,923006040502, 923439267049';

    }
    else  if ($comp_id == 'SF') {
        $sms_no = $c_sms_no . ',' . '923315452150,923347215358  ';

    }
    else  if ($comp_id == 'NG') {

        if($customer_phone != '')
        {
            //$sms_no = $customer_phone . ',' . '923315452150,923347215358';
            $sms_no = $customer_phone;

        }
        else
        {
            //$sms_no = $c_sms_no . ',' . '923315452150,923347215358';
        }




    }
    else
    {
        $sms_no = '923315452150,923347215358,923165452150';
    }


}


if($cash == 'N') {

    if ($comp_id == 'BT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923190926250,923350810000,923075990000,923478910927';

    }
    else if ($comp_id == 'IT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923190926250,923350810000,923075990000,923467854078';

    }
    else if ($comp_id == 'KT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923190926250,923350810000,923075990000,923080553638,923444089787,923320322222';

    }

    else  if ($comp_id == 'ZT') {
        $sms_no = $c_sms_no . ',' . '923315452150,923190926250,923350810000,923075990000,923430990064';

    }
    else  if ($comp_id == 'CA') {
        $sms_no = $c_sms_no . ',' . '923315452150,923190926250,923350810000,923075990000,923006040502,923439267049,923450921020';

    }
    else  if ($comp_id == 'SF') {
        $sms_no = $c_sms_no . ',' . '923315452150,923190926250,923350810000,923075990000,923450921020';

    }
    else  if ($comp_id == 'NG') {
        $sms_no = $c_sms_no . ',' . '923315452150,923347215358';

    }
    else
    {
        $sms_no =  '923315452150,923190926250,923165452150';
    }

}
//923429388190
//$sms_no = '923315452150,923347215358';

//$sms_no = '923214604022';
if (!empty($sms_no) && empty(find_value('sl_invoice', 'sms_time', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$m_voucher_id'"))) {


    $online_path = "whatsapp/sale_invoice/$comp_id/$filename";
    $to = $sms_no;
    $file_url = 'https://kafeeltraders.com/click/finance/' . $online_path;
    //$file_url = 'http://localhost/projects/finance/' . $online_path;





    //f_whats_app_api_image($to, $file_url, $filename);





    $curl = curl_init();

     curl_setopt_array($curl, array(
         CURLOPT_URL => "https://api.ultramsg.com/instance10452/messages/image",
         CURLOPT_RETURNTRANSFER => true,
         CURLOPT_ENCODING => "",
         CURLOPT_MAXREDIRS => 10,
         CURLOPT_TIMEOUT => 30,
         CURLOPT_SSL_VERIFYHOST => 0,
         CURLOPT_SSL_VERIFYPEER => 0,
         CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
         CURLOPT_CUSTOMREQUEST => "POST",
         CURLOPT_POSTFIELDS => "token=ncp7ygzt3zcuav15&to=" . $to . "&image=" . $file_url . "&caption=" . $filename . "&referenceId=&nocache=",
         CURLOPT_HTTPHEADER => array(
             "content-type: application/x-www-form-urlencoded"
         ),
     ));


     $response = curl_exec($curl);

     $err = curl_error($curl);


     curl_close($curl);

     if ($err) {
         echo "cURL Error #:" . $err;
     } else {
         echo $response;
     }



    $datetime = date('Y-m-d H:i:s');
    try {
        $edit_m_query = "UPDATE sl_invoice SET sms_time = '$datetime'
				                     WHERE voucher_id = '$m_voucher_id' and comp_id = '$comp_id' and year_id = '$year_id'";
        $result_edit_m = $dbcon->prepare($edit_m_query);
        $result_edit_m->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    if(file_exists($online_path))
    {

        $createDeletePath = $online_path;

    }

    if($createDeletePath == true)
    {
        unlink($createDeletePath);
    }


}