<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

$year_id = ($_SESSION["year_id"]);
$comp_id = ($_SESSION["comp_id"]);

/************START EDIT ITEM PURCHASE RATE*************/
if ($_POST['name'] == 'p_rate') {
    $id = $_POST['pk'];
    $p_rate = $_POST['value'];




    try {
        $s_query = "UPDATE item SET p_rate = ? 
			WHERE  stock_code = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($p_rate, $id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

}
/************END EDIT ITEM PURCHASE RATE*************/







/************START EDIT ITEM STOCK NAME*************/
if ($_POST['name'] == 'stock_name') {
    $id = $_POST['pk'];
    $stock_name = $_POST['value'];





    try {
        $s_query = "UPDATE item SET description = ? 
			WHERE  stock_code = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($stock_name, $id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


}
/************END EDIT ITEM STOCK NAME*************/




/************START CLOSING DATE UPDATE*************/
if ($_POST['name'] == 'closing_date') {
    $id = $_POST['pk'];
    $closing_date = $_POST['value'];
    $comp_id = clean_data($_SESSION["comp_id"]);

    if($comp_id == 'KT') {
        $f_closing_date = find_value("v_system", "date_close", "");


        if ($closing_date > $f_closing_date) {
            try {
                $s_query = "UPDATE system SET date_close = ?";
                $results = $dbcon->prepare($s_query);
                $results->execute(array($closing_date));
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }

            echo "Date successfully updated!";

        } else {
            echo "Date Cannot be update backwards!";
        }

    }

if($comp_id == 'TT') {


    try {
        $s_query = "UPDATE system SET date_close = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($closing_date));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    echo "Date successfully updated!";


}


}
/************START CLOSING DATE UPDATE*************/





/************START USER INACTIVE *************/
if ($_POST['name'] == 'user_inactive') {
    $id = $_POST['pk'];
    $user_inactive = $_POST['value'];

    try {
        $s_query = "UPDATE users SET inactive = '$user_inactive' WHERE emp_id = '$id'";
        $results = $dbcon->prepare($s_query);
        $results->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END USER INACTIVE *************/



/************START USER COMPANY *************/
if ($_POST['name'] == 'user_company') {
    $id = $_POST['pk'];
    $user_company = $_POST['value'];

    try {
        $s_query = "UPDATE users_comp SET inactive = '$user_company' WHERE emp_id = '$id'";
        $results = $dbcon->prepare($s_query);
        $results->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END USER COMPANY *************/




/************START USER COMPANY *************/
if ($_POST['name'] == 'user_menu') {
    $id = $_POST['pk'];
    $user_menu = $_POST['value'];

    try {
        $s_query = "UPDATE users_menu SET inactive = '$user_menu' WHERE emp_id = '$id'";
        $results = $dbcon->prepare($s_query);
        $results->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END USER COMPANY *************/








/************START COMPANY NAME UPDATE*************/
if ($_POST['name'] == 'comp_name') {
    $id = $_POST['pk'];
    $compName = $_POST['value'];

    try {
        $s_query = "UPDATE system SET comp_name = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($compName));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

}

/************END COMPANY NAME UPDATE*************/







/************START SYSTEM CASH ACCOUNT  *************/
if ($_POST['name'] == 'cash_id') {
    $id = $_POST['pk'];
    $cash_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET cash_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cash_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM CASH ACCOUNT  *************/


/************START SYSTEM BANK ACCOUNT  *************/
if ($_POST['name'] == 'bank_id') {
    $id = $_POST['pk'];
    $bank_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET bank_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($bank_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM BANK ACCOUNT  *************/



/************START SYSTEM CREDITOR ACCOUNT  *************/
if ($_POST['name'] == 'credit_id') {
    $id = $_POST['pk'];
    $credit_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET creditor_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($credit_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM CREDITOR ACCOUNT  *************/



/************START SYSTEM S TAX ID ACCOUNT  *************/
if ($_POST['name'] == 'stax_id') {
    $id = $_POST['pk'];
    $stax_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET stax_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($stax_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM S TAX ID ACCOUNT  *************/



/************START SYSTEM DISCONT ID ACCOUNT  *************/
if ($_POST['name'] == 'disc_id') {
    $id = $_POST['pk'];
    $disc_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET disc_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($disc_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM DISCONT ID ACCOUNT  *************/



/************START SYSTEM debtor ID ACCOUNT  *************/
if ($_POST['name'] == 'debtor_id') {
    $id = $_POST['pk'];
    $debtor_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET debtor_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($debtor_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM debtor ID ACCOUNT  *************/




/************START SYSTEM ADVANCE ID ACCOUNT  *************/
if ($_POST['name'] == 'adv_id') {
    $id = $_POST['pk'];
    $adv_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET adv_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($adv_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM DISCONT ID ACCOUNT  *************/



/************START SYSTEM sale tax id sale ID ACCOUNT  *************/
if ($_POST['name'] == 'stax_id_sl') {
    $id = $_POST['pk'];
    $stax_id_sl = $_POST['value'];

    try {
        $s_query = "UPDATE system SET stax_id_sl = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($stax_id_sl));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM sale tax id sale  ID ACCOUNT  *************/



/************START SYSTEM DISCONT ID ACCOUNT  *************/
if ($_POST['name'] == 'disc_id_sl') {
    $id = $_POST['pk'];
    $disc_id_sl = $_POST['value'];

    try {
        $s_query = "UPDATE system SET disc_id_sl = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($disc_id_sl));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM DISCONT ID ACCOUNT  *************/



/************START SYSTEM ADVANCE SALE ID ACCOUNT  *************/
if ($_POST['name'] == 'adv_id_sl') {
    $id = $_POST['pk'];
    $adv_id_sl = $_POST['value'];

    try {
        $s_query = "UPDATE system SET adv_id_sl = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($adv_id_sl));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM ADVANCE SALE  ID ACCOUNT  *************/



/************START SYSTEM DISCONT ID ACCOUNT  *************/
if ($_POST['name'] == 'stock_id') {
    $id = $_POST['pk'];
    $stock_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET stock_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($stock_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM DISCONT ID ACCOUNT  *************/



/************START SYSTEM DISCONT ID ACCOUNT  *************/
if ($_POST['name'] == 'turnover_id') {
    $id = $_POST['pk'];
    $turnover_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET turnover_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($turnover_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM DISCONT ID ACCOUNT  *************/



/************START SYSTEM DISCONT ID ACCOUNT  *************/
if ($_POST['name'] == 'cogs_id') {
    $id = $_POST['pk'];
    $cogs_id = $_POST['value'];

    try {
        $s_query = "UPDATE system SET cogs_id = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cogs_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM DISCONT ID ACCOUNT  *************/



/************START SYSTEM EMAIL ID*************/
if ($_POST['name'] == 'email') {
    $id = $_POST['pk'];
    $email = $_POST['value'];

    try {
        $s_query = "UPDATE system SET email = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($email));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM EMAIL ID*************/




/************START SYSTEM Qty_decimal ID*************/
if ($_POST['name'] == 'qty_decimal') {
    $id = $_POST['pk'];
    $qty_decimal = $_POST['value'];

    try {
        $s_query = "UPDATE system SET qty_decimal = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($qty_decimal));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM EMAIL ID*************/



/************START SYSTEM LOGIN PAGE ID*************/
if ($_POST['name'] == 'login_page') {
    $id = $_POST['pk'];
    $login_page = $_POST['value'];

    try {
        $s_query = "UPDATE system SET login_page = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($login_page));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM LOGIN PAGE ID*************/


/************START SYSTEM EMAIL ID*************/
if ($_POST['name'] == 'sale_form') {
    $id = $_POST['pk'];
    $sale_form = $_POST['value'];

    try {
        $s_query = "UPDATE system SET sale_form = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($sale_form));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM EMAIL ID*************/




/************START SYSTEM ratedecimals ID*************/
if ($_POST['name'] == 'rate_decimals') {
    $id = $_POST['pk'];
    $rate_decimals = $_POST['value'];

    try {
        $s_query = "UPDATE system SET rate_decimals = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($rate_decimals));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM ratedecimals ID*************/




/************START SYSTEM  STAX P *************/
if ($_POST['name'] == 'staxp') {
    $id = $_POST['pk'];
    $rate_decimals = $_POST['value'];

    try {
        $s_query = "UPDATE system SET staxp = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($rate_decimals));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM  STAX P *************/



/************START SYSTEM  USER REPORT DAYS *************/
if ($_POST['name'] == 'user_rep_days') {
    $id = $_POST['pk'];
    $user_rep_days = $_POST['value'];

    try {
        $s_query = "UPDATE system SET user_rep_days = ?";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($user_rep_days));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END SYSTEM  USER REPORT DAYS *************/






/************START VOUCHER DUE DATE*************/
if ($_POST['name'] == 'due_date') {
    $id = $_POST['pk'];
    $due_date = $_POST['value'];
    $year_id = clean_data($_SESSION["year_id"]);
    $comp_id = clean_data($_SESSION["comp_id"]);
    try {
        $s_query = "UPDATE voucher SET due_date = '$due_date'where comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$id'";
        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/************END VOUCHER DUE DATE*************/


/************START VOUCHER DUE AMOUNT*************/
if ($_POST['name'] == 'due_amt') {
    $id = $_POST['pk'];
    $due_amt = clean_data($_POST['value']);
    $year_id = ($_SESSION["year_id"]);
    $comp_id = ($_SESSION["comp_id"]);
    try {
        $s_query = "UPDATE voucher SET due_amt = '$due_amt' where comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$id'";
        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

echo $s_query;
}
/************END VOUCHER DUE AMOUNT*************/








?>










