<?php
session_start();
//include db connection
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_ID'] == false)
{
    header("location: login");
}

/*******************START VARIABLES***********************/
$voucher_type = clean_data($_GET['voucher_type']);
$_SESSION['voucher_type'] = $voucher_type;

$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'");
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

$v_id = clean_data($_GET['v_id']);
$_SESSION['v_id'] = $v_id;

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$insert_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
$update_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
$delete_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");
$post_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and post_allowed='Y' and menu_id = '$menu_id'");
$unpost_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and unpost_allowed='Y' and menu_id = '$menu_id'");
$print_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and print_allowed='Y' and menu_id = '$menu_id'");



/*******************END VARIABLES***********************/


$and = " AND (substring(v.voucher_id,1,2)) = '$voucher_type'";
$and .= " AND d.voucher_id = '$v_id'";
$and .= " AND v.comp_id = '$comp_id'";
$and .= " AND v.year_id = '$year_id'";

try
{
    $voucher_query =  "SELECT v.emp_id, v.acct_id_cs_1 acct_id, v.voucher_id, n.acct_name, v.emp_id, v.voucher_date, v.particulars,  c.acct_name cur_name, v.er, v.posted
	FROM voucher v 
	LEFT JOIN voucherdet d ON v.comp_id = d.comp_id AND v.year_id = d.year_id AND  v.voucher_id = d.voucher_id 
	LEFT JOIN v_nom n ON v.acct_id_cs_1 = n.acct_id 
	LEFT JOIN currency c ON c.acct_id = v.cur_id
	WHERE 1=1  $and";
    $voucher_result = $dbcon->prepare($voucher_query);
    $voucher_result->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

$v_row = $voucher_result->fetch(PDO::FETCH_OBJ);

$v_emp_id = $v_row->emp_id;
$voucher_date = $v_row->voucher_date;
$posted = $v_row->posted;

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->


    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title">JOURNAL VOUCHER DETAIL</div>
            </div>
            <ol class="breadcrumb page-breadcrumb pull-right">
                <li><i class="fa fa-home"></i>&nbsp;<a href="index.php">Home</a>&nbsp;&nbsp;<i
                            class="fa fa-angle-right"></i>&nbsp;&nbsp;
                </li>
                <li><a href="show_jv_voucher?voucher_type=<?php echo $voucher_type;?>">SHOW JOURNAL VOUCHER</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                <li class="active">JOURNAL VOUCHER DETAIL</li>
            </ol>
            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content">


            <div class="row">

                <!---------------------START NEW VOUCHER------------------->
                <?php
                if(!empty($insert_allowed) or ($auth_id == '9' ))
                {
                    ?>
                    <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                        <input type="hidden" name="add" value="Y">
                        <input type="hidden" name="comp_id" id="comp_id" value="<?php echo $comp_id;?>">
                        <input type="hidden" name="year_id" id="year_id" value="<?php echo $year_id;?>">
                        <input type="hidden" name="v_id" id="v_id" value="<?php echo $v_id;?>">
                        <input type="hidden" name="voucher_type" id="voucher_type" value="<?php echo $voucher_type;?>">
                        <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                        <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                            <i class="icon-user icon-white"></i></button>
                    </form>
                <?php }?>
                <!---------------------END NEW VOUCHER------------------->


                <!--------------START EDIT  BUTTON---------------->
                <?php
                if ( $posted != 'on' &&  ( !empty($update_allowed) || ($auth_id == '9'))) {
                    ?>
                    <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                        <input type="hidden" name="add" value="N">
                        <input type="hidden" name="comp_id" id="comp_id" value="<?php echo $comp_id;?>">
                        <input type="hidden" name="year_id" id="year_id" value="<?php echo $year_id;?>">
                        <input type="hidden" name="v_id" id="v_id" value="<?php echo $v_id;?>">
                        <input type="hidden" name="voucher_type" id="voucher_type" value="<?php echo $voucher_type;?>">
                        <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                        <input type="submit" class="btn  waves-effect waves-light" value="Edit">
                    </form>
                <?php }
                ?>
                <!--------------END EDIT BUTTON---------------->

                <!--------------START POST BUTTON---------------->

                <?php
                $label = 'Post';
                if ($posted == 'on') {
                    $label = 'Un-Post';
                }
                if ((($emp_id == $v_emp_id || $auth_id == '8') && $voucher_date > $date_close) || $auth_id == '9') {
                    ?>
                    <input type="hidden" name="comp_id" id="comp_id" value="<?php echo $comp_id; ?>">
                    <input type="hidden" name="year_id" id="year_id" value="<?php echo $year_id; ?>">
                    <input type="hidden" name="v_id" id="v_id" value="<?php echo $v_id; ?>">
                    <input type="hidden" name="voucher_type" id="voucher_type" value="<?php echo $voucher_type; ?>">
                    <input type="hidden" name="post" id="post" value="<?php echo $posted; ?>">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id; ?>">
                    <input type="hidden" name="table" id="table" value="<?php echo $table; ?>">
                    <button type="button" class="btn btn-success" onClick="post_voucher()"><?php echo $label; ?> <i class="zmdi zmdi-check"></i>
                    </button>
                    <?php
                }
                ?>
                <!--------------END POST BUTTON---------------->

                <!--------------START DELETE VOUCHER BUTTON---------------->
                    <?php
                    if ($posted != 'on' && ((!empty($delete_allowed)) || ($auth_id == '9'))) {
                        ?>
                    <button type="button" class="btn btn-danger" onClick="delete_voucher('<?php echo $v_id;?>','<?php echo $comp_id;?>','<?php echo $year_id;?>','<?php echo $table;?>')">Delete<i class="zmdi zmdi-delete"></i></button>
                <?php }
                ?>
                <!--------------END DELETE VOUCHER BUTTON---------------->

                <?php
                if ($posted == 'on' && ((!empty($print_allowed)) || ($auth_id == '9')))
                {
                    $detail = find_value("menu", "menu_print", " and menu_id='$menu_id'");
                    if(empty($detail))
                        $detail = "pdf_voucher_jv";
                    ?>
                    <!--------------START PRINT PDF BUTTON---------------->
                    <a href="<?php echo $detail;?>?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''" target="_blank"><button class="btn btn-default"><u>P</u>RINT <i class="zmdi zmdi-print"></i></button></a>
                    <!--------------END PRINT PDF BUTTON---------------->
                <?php } ?>


                <!--------------START DUPLICATE VOUCHER BUTTON---------------->

                <a href="duplicate_voucher?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>"> <button class="btn btn-red pull-right">Duplicate Voucher<i class="zmdi zmdi-print"></i></button></a>

                <!--------------END DUPLICATE VOUCHER BUTTON----------------










            </div>


            <br clear="all"><br clear="all">

            <!-------------START MASTER TABLE---------------->

            <div class="table-responsive">
                    <table class="table table-bordered  ">
                        <tr>
                            <td><b>Cost Center ID:</b></td>
                            <td><?php echo $v_row->acct_id;?></td>
                            <td><b>Voucher ID:</b></td>
                            <td><?php echo $v_row->voucher_id;?></td>
                        </tr>

                        <tr>
                            <td>Cost Center Name:</td>
                            <td><?php echo $v_row->acct_name;?></td>
                            <td><b>Voucher Date:</b></td>
                            <td><?php echo format_date($voucher_date);?></td>

                        </tr>

                        <tr>
                            <td></td>


                            <td></td>
                            <td><b>User ID:</b></td>
                            <td><?php echo ($v_row->emp_id);?></td>
                        </tr>

                        <tr>
                            <td><b>Currency:</b></td>
                            <td><?php echo $v_row->cur_name;?></td>
                            <td><b>Exchange Rate:</b></td>
                            <td><?php echo $v_row->er; ?></td>
                        </tr>


                    </table>
            </div>




<!-------------END MASTER TABLE---------------->

            <div class="table-responsive">
                    <table  class="table table-striped table-bordered">
                        <thead>
                        <tr>
                            <th>SR NO.</th>
                            <th>ACCOUNT ID</th>
                            <th>ACCOUNT NAME</th>
                            <th>V NO</th>
                            <th>PARTICULARS</th>
                            <th>COST CENTER</th>
                            <th>DEBIT</th>
                            <th>CREDIT</th>
                            <?php
                            if($posted == 'on')
                            {
                                ?>
                                <?php
                            }
                            else
                            {
                                ?>

                                <th>DELETE</th>
                            <?php } ?>
                        </tr>
                        </thead>

                        <tbody>

                        <?php

                        /*******************************************************************
                         ********mysql query CashPayment Voucher Display*********************
                         *******************************************************************/

                        $and = " AND (substring(d.voucher_id,1,2)) = '$voucher_type'";
                        $and .= " AND d.voucher_id = '$v_id'";
                        $and .= " AND d.comp_id = '$comp_id'";
                        $and .= " AND d.year_id = '$year_id'";





                        try
                        {
                            $vd_query =  "SELECT d.voucher_id, d.lineitem, d.acct_id ,debit, credit, n.acct_name, d.particulars, d.v_no, d.acct_id_cs, nc.acct_name acct_name_cs
 	FROM voucherdet d  
 	LEFT JOIN v_nom n ON d.acct_id = n.acct_id 
    LEFT JOIN v_nom nc ON d.acct_id_cs = nc.acct_id 
 	WHERE 1=1  $and order by d.lineitem/1";
                            $vd_result = $dbcon->prepare($vd_query);
                            $vd_result->execute(array());
                        }
                        catch(PDOException $e)
                        {
                            echo "Error : ". $e->getMessage();
                        }

                        $debit_tot = '';
                        $credit_tot = '';
                        $srno = '';
                        while($d_row = $vd_result->fetch(PDO::FETCH_OBJ))
                        {
                            $srno += 1;
                            $v = $d_row->voucher_id;

                            $debit_tot += $d_row->debit;
                            $credit_tot += $d_row->credit;

                            ?>

                            <tr>
                                <td><?php echo $d_row->lineitem;?></td>
                                <td><?php echo ($d_row->acct_id);?></td>
                                <td><?php echo ($d_row->acct_name);?></td>
                                <td><?php echo ($d_row->v_no);?></td>
                                <td><?php echo ($d_row->particulars);?></td>
                                <td><?php echo ($d_row->acct_name_cs);?></td>
                                <td><?php echo format_number($d_row->debit, 2);?></td>
                                <td><?php echo format_number($d_row->credit,2);?></td>
                                <?php
                                if ($posted != 'on' && ((!empty($delete_allowed)) || ($auth_id == '9'))) {
                                    ?>


                                    <td>
                                        <a  class="text-muted delete_product"  onclick="delete_single('<?php echo $v_id;?>','<?php echo $d_row->lineitem;?>','<?php echo $comp_id;?>','<?php echo $year_id;?>','<?php echo $table;?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                                    </td>

                                    <?php
                                } else {
                                    ?>

                                    <td>
                                    </td>




                                <?php } ?>


                            </tr>
                            <?php
                        }
                        ?>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>

                            <td align="right"><b>Total</b></td>
                            <td><input type="hidden" class="form-control subTotal" name="debit_tot" id="debit_tot" autocomplete="off"  readonly value="<?php echo ($debit_tot);?>" style="width: 150px;"/><b><?php echo format_number($debit_tot,2);?></b></td>
                            <td><input type="hidden" class="form-control credit_tot" name="credit_tot" id="credit_tot" autocomplete="off"  readonly value="<?php echo ($credit_tot);?>" style="width: 150px;"/><b><?php echo format_number($credit_tot,2);?></b></td>
                        </tr>
                        </tbody>
                    </table>
            </div>

        </div>
        <!---------------END PAGE CONTENT----------------->
    </div>
    <!---------------END PAGE WRAPPER----------------->
</div>
<!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
<script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>



    <script type="text/javascript">

        /****************START SINGLE ITEM DELETE LINEITEM WISE**************/
        function delete_single(voucherid,lineitem, comp_id, year_id, table)
        {

            p_menu_id = '<?php echo $menu_id;?>';
            voucher_type = '<?php echo  $voucher_type ;?>';

            var status=confirm("Are you sure want to Single Entery Delete");
            if(status==true)
            {
                var datastring = 'voucherid=' + voucherid  +
                    '&lineitem=' + lineitem  +
                    '&comp_id=' + comp_id  +
                    '&year_id=' + year_id +
                    '&voucher_type=' + voucher_type +
                    '&p_menu_id=' + p_menu_id +
                    '&table=' + table +
                    '&action=' + 'delete_lineitem';
                $.ajax({
                    type:"POST",
                    url:"delete_voucher",
                    data: datastring,
                    success: function(result)
                    {
//                        alert(result);
                        window.location = "<?php echo $menu_detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>&voucher_type=<?php echo $voucher_type;?>"
                    }
                });
            }
        }
        /****************END SINGLE ITEM DELETE LINEITEM WISE**************/

        function delete_voucher(voucherid, comp_id, year_id, table)
        {

            p_menu_id = '<?php echo $menu_id;?>';
            voucher_type = '<?php echo  $voucher_type ;?>';

            var status=confirm("Are you sure want to Full Voucher Delete");
            if(status==true)
            {
                var datastring = 'voucherid=' + voucherid +
                    '&comp_id=' + comp_id  +
                    '&year_id=' + year_id +
                    '&table=' + table +
                    '&voucher_type=' + voucher_type +
                    '&p_menu_id=' + p_menu_id +
                    '&action=' + 'delete_voucher';

                $.ajax({
                    type:"POST",
                    url:"delete_voucher",
                    data: datastring,
                    success: function(result)
                    {
                        //alert(result);
                        window.location = "<?php echo $menu_link;?>?voucher_type=<?php echo $voucher_type;?>";
                    }
                });
            }
        }


        /****************START POST VOUCHER**************/
        function post_voucher() {
            var comp_id = $('#comp_id').val();
            var year_id = $('#year_id').val();
            var v_id = $('#v_id').val();
            var voucher_type = $('#voucher_type').val();
            var post = $('#post').val();
            var table = $('#table').val();
            var p_menu_id = '<?php echo $menu_id;?>';

            var debit_tot = $('#debit_tot').val();
            var credit_tot = $('#credit_tot').val();

            if (debit_tot != credit_tot) {
                alert("UnBalance Voucher Cannot be saved.");


            } else {

                var status = confirm("Are you sure want to <?php echo $label;?> Data.");
                if (status == true) {
                    var datastring = 'comp_id=' + comp_id +
                        '&year_id=' + year_id +
                        '&v_id=' + v_id +
                        '&voucher_type=' + voucher_type +
                        '&p_menu_id=' + p_menu_id +
                        '&post=' + post +
                        '&table=' + table;

                    $.ajax({
                        type: "POST",
                        url: "process/post_voucher.php",
                        data: datastring,
                        success: function (result) {
                            //alert(result)
                            var voucher_id = result;
                            window.location = "<?php echo $menu_detail;?>?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"
                        }

                    });

                }
            }
        }
        /****************END POST VOUCHER**************/


    </script>

</body>
</html>