<?php
session_start();
//include db connection
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");

}
/****************************************************************
 *****************************Add Voucher*************************
 ****************************************************************/

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");

$comp_name = $_SESSION["COMP_NAME"];

$add = clean_data($_GET['add']);

$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$p_year_id = clean_data($_GET['year_id']);
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}





$p_comp_id = clean_data($_GET['comp_id']);

if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}


if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $voucher_type = clean_data($_GET['voucher_type']);

    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));

    $s_closing_date = format_date_yyyy($close_date);





    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id = $voucher_type . $v_id;
    // END MAXIMUM VOUCHER ID CHK QUERY













    $acct_id_cs_1 = "";


}
else
{
    $voucher_type = clean_data($_GET['voucher_type']);
    $v_id = clean_data($_GET['v_id']);



    try
    {
        $edit_query =  "SELECT v.acct_id, v.voucher_date,acct_id_cs_1, cur_id, er FROM voucher v  WHERE v.voucher_id = ? AND v.comp_id = ? AND v.year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);

    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));

    $acct_id = $rowm->acct_id;
    $acct_id_cs_1 = $rowm->acct_id_cs_1;
    $cur_id = $rowm->cur_id;
    $er = $rowm->er;


}



$unposted_v = find_value("voucher", "count(voucher_id)", " and  (posted is null or posted = '') and substr(voucher_id,1,2) = '$voucher_type' and comp_id = '$comp_id' and year_id = '$year_id'  ");

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Add Journal Voucher | <?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->



        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">New Journal Voucher</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index">Home</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li><a href="show_voucher?voucher_type=<?php echo $voucher_type;?>">Show Jv Voucher</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active">Jv Voucher</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">


                <form class="form-horizontal"  name="jv_voucher"  id="jv_voucher">

                    <div class="row">
                        <div class='col-xs-12 '>
                            <button class="btn btn-danger delete" type="button">- Delete</button>
                            <button class="btn btn-success addmore_gl" type="button">+ Add Mo<u>r</u>e</button>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="jv_add()"/>

                            <div class="view"></div>
                        </div>
                        <div class="col-lg-6">
                            <h4> Unposted Vouchers:  <?php echo $unposted_v; ?> </h4>
                        </div>
                    </div>
                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->
                    <input type="hidden" class="form-control" name="p_menu_id" id="p_menu_id" value="<?php echo $menu_id; ?>">

                    <input type="hidden" class="form-control" name="voucher_type" id="voucher_type"
                           value="<?php echo $voucher_type; ?>">

                    <input type="hidden" class="form-control" name="add" id="add"
                           value="<?php echo $add; ?>">
                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                           value="<?php echo $comp_id; ?>">

                    <input type="hidden" class="form-control" name="p_year_id" id="p_year_id"
                           value="<?php echo $year_id; ?>">


                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>

                                                <!------------------------VOUCHER ID----------------->
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label></td>
                                                <td><input type="text" class="form-control"  name="voucher_id"id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly style="width: 150px;"></td>

                                                <!------------------------VOUCHER DATE----------------->
                                                <td>  <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label></td>
                                                <td><input readonly type="text" class="form-control" name="v_date" id="v_date" placeholder="Date"  value="<?php echo ($v_date);?>" style="width: 150px;"></td>


                                                <!------------------------COST CENTRE----------------->
                                                <td>  <label  class="control-label pull-right" style="font-weight: bold; color: black;">Cost Centre One:</label></td>
                                                <td style="width: 200px;"> <select style="width:200px"  name="cost_centre_one" id="cost_centre_one" class="debit_acct_id">
                                                        <option></option>
                                                        <option></option>
                                                        <?php
                                                        //$acct_id_cs_1 = $row['acct_id_cs'];
                                                        $andcs = '';
                                                        $andcs .= " AND n.acct_id LIKE '%99%'";
//                                                        $andcs .= " AND n.comp_id = '$comp_id'";

                                                        try
                                                        {
                                                            $query_cs =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM cost_centre n WHERE 1=1 
                                                                         ORDER BY n.acct_name ASC";
                                                            $cs_result = $dbcon->prepare($query_cs);
                                                            $cs_result->execute(array());
                                                        }
                                                        catch(PDOException $e)
                                                        {
                                                            echo "Error : ". $e->getMessage();
                                                        }




                                                        while($rowcs = $cs_result->fetch(PDO::FETCH_OBJ))

                                                        {
                                                            $selected = '';
                                                            if($acct_id_cs_1 == $rowcs->acct_id)
                                                            {
                                                                echo '<option  value="'.$rowcs->acct_id.'" selected>'.$rowcs->acct_name.'</option>';
                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="'.$rowcs->acct_id.'">'.$rowcs->acct_name.'</option>';
                                                            }

                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Currency:</label></td>
                                                <td><select style="width:300px" name="cur_id" id="cur_id"
                                                            class="debit_acct_id">
                                                        <option></option>
                                                        <?php


                                                        try {
                                                            $query_cur = "SELECT c.cur_id, c.cur_name  FROM currency c ORDER BY cur_id ASC";
                                                            $cs_result = $dbcon->prepare($query_cur);
                                                            $cs_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowcs = $cs_result->fetch(PDO::FETCH_OBJ)) {

                                                            if ($cur_id == $rowcs->cur_id) {
                                                                echo '<option  value="' . $rowcs->cur_id . '" selected>' . $rowcs->cur_name . '</option>';
                                                            } else {
                                                                echo '<option  value="' . $rowcs->cur_id . '">' . $rowcs->cur_name . '</option>';
                                                            }

                                                        }
                                                        ?>
                                                    </select>
                                                </td>


                                                <!-- EXCHANGE RATE-->
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">ER:</label></td>
                                                <td><input type="text" class="form-control" name="er" id="er" value="<?php echo $er; ?>"></td>

                                            </tr>

                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">


                                    <table class="table table-bordered table-responsive gl_addrow" id="addrow">
                                        <thead>
                                        <tr>
                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th style="width: 150px; text-align: center;">SR</th>
                                            <th style="width: 500px; text-align: center;">ACCOUNT NAME</th>
                                            <th style="width: 100px; text-align: center;">V.NO</th>
                                            <th style="width: 400px; text-align: center;">PARTICULARS</th>
                                            <th style="width: 400px; text-align: center;">COST CENTER</th>
                                            <th>DEBIT</th>
                                            <th>CREDIT</th>
                                        </tr>
                                        </thead>



                                        <!--////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                                       /////////////////////////////////////////////////////detail from/////////////////////////////////////////////////////////////////
                                       //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////-->

                                        <?php


                                        //EDIT QUERY FOR JV VOUCHER
                                        try
                                        {
                                            $edit_vdquery =  "SELECT d.voucher_id,  d.acct_id, d.lineitem,  d.particulars, debit, credit, d.v_no, d.acct_id_cs
                                                                FROM voucherdet d 
                                                                WHERE d.comp_id = '$comp_id' and d.voucher_id = '$v_id'  AND year_id = '$year_id' and substring(d.lineitem,-1) <> '.' order by d.lineitem/1";
                                            $edit_vdresult = $dbcon->prepare($edit_vdquery);
                                            $edit_vdresult->execute(array());
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        //QUERY FOR DEBIT TOTAL
                                        try
                                        {
                                            $q_debit =  "SELECT sum(debit) debit
 FROM voucherdet d WHERE d.comp_id = ? and d.voucher_id = ? and year_id = ?";
                                            $q_debit_result = $dbcon->prepare($q_debit);
                                            $q_debit_result->execute(array($comp_id, $v_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }
                                        $q_debit_row = $q_debit_result->fetch(PDO::FETCH_OBJ);
                                        $debit_tot = $q_debit_row->debit;


                                        //QUERY FOR CREDIT TOTAL
                                        try
                                        {
                                            $q_credit =  "SELECT sum(credit) credit
 FROM voucherdet d WHERE d.comp_id = ? and d.voucher_id = ? AND year_id = ?";
                                            $q_credit_result = $dbcon->prepare($q_credit);
                                            $q_credit_result->execute(array($comp_id, $v_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }
                                        $q_credit_row = $q_credit_result->fetch(PDO::FETCH_OBJ);
                                        $credit_tot = $q_credit_row->credit;


                                        $cnt = 0;
                                        while($rowvd = $edit_vdresult->fetch(PDO::FETCH_OBJ))
                                        {

                                        $lineitem = $rowvd->lineitem;
                                        $cnt = $lineitem;
                                        $acct_id = $rowvd->acct_id;
                                        $acct_id_cs = $rowvd->acct_id_cs;


                                        ?>

                                        <tr class="gl_addrow">
                                            <td><input class="case" type="checkbox"  value="<?php echo $lineitem;?>"/></td>
                                            <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>

                                            <!------------------------------------------account name------------------------------------------------->

                                            <td>
                                                <select  name="debit_acct_id[]<?php echo $cnt;?>" id="debitacctid_<?php echo $cnt;?>" class=" form-control debit_acct_id">

                                                    <?php

                                                    $emp_id =  clean_data($_SESSION["VALID_USER_ID"]);
                                                    $u_comp_id=find_value('users','comp_id'," and emp_id='$emp_id'");

                                                    $and_ca = "";
                                                  /*  if ($u_comp_id != '')
                                                    {
                                                        $and_ca = " and n.comp_id = '$u_comp_id'";
                                                    }*/


                                                    try
                                                    {
                                                        $p_query =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE 1 = 1 $and_ca and length(acct_id) = 10  and n.is_inactive <> 'Y' ORDER BY n.acct_name ASC";
                                                        $p_result = $dbcon->prepare($p_query);
                                                        $p_result->execute(array());
                                                    }
                                                    catch(PDOException $e)
                                                    {
                                                        echo "Error : ". $e->getMessage();
                                                    }


                                                    while($rowd = $p_result->fetch(PDO::FETCH_OBJ))
                                                    {
                                                        if($acct_id == $rowd->acct_id)
                                                        {
                                                            echo '<option  value="'.$rowd->acct_id.'" selected>'.$rowd->acct_name.'</option>';
                                                        }
                                                        else
                                                        {
                                                            echo '<option  value="'.$rowd->acct_id.'">'.$rowd->acct_name.'</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>

                                            <td> <input type="text" class="form-control" name="v_no[]<?php echo $cnt;?>" id="v_no<?php echo $cnt;?>" value="<?php echo $rowvd->v_no;?>"  style="width: 60px;"/></td>
                                            <td> <input type="text" class="form-control " name="particulars[]<?php echo $cnt;?>" id="particulars_<?php echo $cnt;?>" value="<?php echo $rowvd->particulars;?>" style="width: 300px;" /></td>




                                            <!------------------------------------------Cost Center name------------------------------------------------->

                                            <td>
                                                <select  name="acct_id_cs[]<?php echo $cnt;?>" id="acctidcs_<?php echo $cnt;?>" class=" form-control debit_acct_id">

                                                    <?php

                                                    try
                                                    {
                                                        $p_result = $dbcon->prepare($query_cs);
                                                        $p_result->execute(array());
                                                    }
                                                    catch(PDOException $e)
                                                    {
                                                        echo "Error : ". $e->getMessage();
                                                    }


                                                    echo '<option  value="">'.'</option>';
                                                    while($rowd = $p_result->fetch(PDO::FETCH_OBJ))
                                                    {
                                                        if($acct_id_cs == $rowd->acct_id)
                                                        {
                                                            echo '<option  value="'.$rowd->acct_id.'" selected>'.$rowd->acct_name.'</option>';
                                                        }
                                                        else
                                                        {
                                                            echo '<option  value="'.$rowd->acct_id.'">'.$rowd->acct_name.'</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>




                                            <!------------------------------------------debit------------------------------------------------>

                                            <td> <input type="text" class="form-control debit_1 totalLinePrice changesNo" name="debit_amount[]<?php echo $cnt;?>" id="debit_<?php echo $cnt;?>" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php
                                                $debit_show='';
                                                if($rowd['DEBIT'] != '0')
                                                {
                                                    $debit_show = ($rowvd->debit);
                                                }
                                                echo ($debit_show);?>" style="width: 100px;" /></td>

                                            <!------------------------------------------credit------------------------------------------------>
                                            <td> <input type="text" class="form-control credit_1 totalLinePrice_credit changesNo_credit" name="credit_amount[]<?php echo $cnt;?>" id="credit_<?php echo $cnt;?>" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="<?php

                                                $credit_show='';
                                                if($rowd['CREDIT'] != '0')
                                                {
                                                    $credit_show = ($rowvd->credit);
                                                }
                                                echo ($credit_show);?>" style="width: 100px;" /></td>
                                        </tr>

                                        <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>


                                        <!--------------------------------------------------NEW JV VOUCHER--------------------------------------->




                                        <?php $numberofrow = 10; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>
                                            <tr class="gl_addrow">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td><?php $lineitem += 1;?>

                                                    <input type="text" class="form-control" name="lineitem[]<?php echo $counter;?>" size="1" value="<?php echo $lineitem;?>" readonly /></td>

                                                <!------------------------------------------account name------------------------------------------------->

                                                <td>
                                                    <select  name="debit_acct_id[]<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }

                                                    ?>" id="debitacctid_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }?>" class=" form-control debit_acct_id">
                                                        <option></option>
                                                        <?php

                                                        $emp_id =  clean_data($_SESSION["VALID_USER_ID"]);
                                                        $u_comp_id=find_value('users','comp_id'," and emp_id='$emp_id'");

                                                        $and_ca = "";
                                                      /*  if ($u_comp_id != '')
                                                        {
                                                            $and_ca = " and n.comp_id = '$u_comp_id'";
                                                        }*/


                                                        try
                                                        {
                                                            $p_query =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE 1 = 1 $and_ca and length(acct_id) = 10 and n.is_inactive <> 'Y' ORDER BY n.acct_name ASC";
                                                            $p_result = $dbcon->prepare($p_query);
                                                            $p_result->execute(array());
                                                        }
                                                        catch(PDOException $e)
                                                        {
                                                            echo "Error : ". $e->getMessage();
                                                        }


                                                        while($rowd = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {


                                                            echo '<option  value="'.$rowd->acct_id.'">'.$rowd->acct_name.'</option>';

                                                        }
                                                        ?>
                                                    </select>
                                                </td>

                                                <!------------------------------------------voucher NO------------------------------------------------->

                                                <td> <input type="text" class="form-control " name="v_no[]<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }

                                                    ?>"  id="v_no"  style="width: 60px;"/></td>

                                                <!------------------------------------------particular------------------------------------------------>

                                                <td> <input type="text" class="form-control" name="particulars[]<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }

                                                    ?>" size="80" style="width: 300px;" /></td>


                                                <!------------------------------------------cost center name------------------------------------------------->

                                                <td>
                                                    <select  name="acct_id_cs[]<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }

                                                    ?>" id="acctidcs_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }?>" class=" form-control acct_id">
                                                        <option></option>
                                                        <?php

                                                        try
                                                        {
                                                            $p_result = $dbcon->prepare($query_cs);
                                                            $p_result->execute(array());
                                                        }
                                                        catch(PDOException $e)
                                                        {
                                                            echo "Error : ". $e->getMessage();
                                                        }


                                                        while($rowd = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {


                                                            echo '<option  value="'.$rowd->acct_id.'">'.$rowd->acct_name.'</option>';

                                                        }
                                                        ?>
                                                    </select>
                                                </td>

                                                <!------------------------------------------debit------------------------------------------------>

                                                <td> <input type="text" class="form-control debit_1 totalLinePrice changesNo" name="debit_amount[]<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }

                                                    ?>" id="debit_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }?>" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" style="width: 100px;" /></td>

                                                <!------------------------------------------credit------------------------------------------------>
                                                <td> <input type="text" class="form-control credit_1 totalLinePrice_credit changesNo_credit" name="credit_amount[]<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }

                                                    ?>" id="credit_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }?>" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" style="width: 100px;" /></td>

                                            </tr>
                                        <?php }?>

                                        <thead>
                                        <tr>
                                            <td></td>
                                            <td align="right" colspan="6" ><input type="text" class="form-control subTotal" name="debit_tot" id="debit_tot" autocomplete="off"  readonly value="<?php echo ($debit_tot);?>" style="width: 150px;"/></td>

                                            <td  align="right"><input type="text" class="form-control credit_tot" name="credit_tot" id="credit_tot" autocomplete="off"  readonly value="<?php echo ($credit_tot);?>" style="width: 150px;"/></td>

                                        </tr>
                                        </thead>



                                    </table>

                                    <div class="view"></div>

                                    <div class="row">
                                        <div class='col-xs-12 '>
                                            <button class="btn btn-danger delete" type="button">- Delete</button>
                                            <button class="btn btn-success addmore_gl" type="button">+ Add Mo<u>r</u>e</button>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="jv_add()"/>
                                            <!--<input type="button" class="btn btn-default" name="savedata" value="Back" onClick="history.go(-1);"/>-->
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END DETAIL TABLE---------------------------->




                </form>




            </div>

        </div>

        <!--END FOOTER--></div>
    <!--END PAGE WRAPPER--></div>
</div>
<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
<script src="vendors/select2/select2.min.js"></script>
<script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>


<!---------------------------START JAVASCRIPT-------------------------------->

<script type="text/javascript">
    <?php

    //ADD MORE FIELD SHOW ACCOUNTS
    try
    {
        $query_am_acct_id =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(n.acct_id) = 10 and n.is_inactive <> 'Y' ORDER BY n.acct_name ASC";
        $result_am_acct_id = $dbcon->prepare($query_am_acct_id);
        $result_am_acct_id->execute(array());
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }
    $options = '';
    $options = "<option></option>";
    while($row_am_acct_id = $result_am_acct_id->fetch(PDO::FETCH_OBJ))
    {

        $options .= "<option value='{$row_am_acct_id->acct_id}'>{$row_am_acct_id->acct_name}</option>";
    }
    ?>



    var option1 = "<?php echo $options; ?>";



    <?php

    //ADD MORE FIELD SHOW ACCOUNTS
    try
    {
        $nom_query =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10 and acct_id like '99%' ORDER BY n.acct_id ASC";
        $nom_result = $dbcon->prepare($nom_query);
        $nom_result->execute(array());
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }
    $cs_options = '';
    $cs_options = "<option></option>";
    while($row_nom = $nom_result->fetch(PDO::FETCH_OBJ))
    {

        $cs_options .= "<option value='{$row_nom->acct_id}'>{$row_nom->acct_name}</option>";
    }
    ?>


    var cs_option = "<?php echo $cs_options; ?>";



    //add table rows
    var i = $('.gl_addrow').length;

    $(".addmore_gl").on('click',function(){

        html = '<tr>';
        html += '<td><input class="case" type="checkbox"/></td>';
        html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
        html += '<td><select name="debit_acct_id[]" id="debit_acct_id_'+i+'" class=" form-control" >'+option1+'</select></td>';
        html += '<td><input type="text" data-type="v_no" name="v_no[]" id="v_no_'+i+'" class="form-control" autocomplete="on" style="width: 60px;"></td>';
        html += '<td><input type="text" data-type="particulars" name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="on" style="width: 300px;"></td>';

        html += '<td><select name="acct_id_cs[]" id="acctidcs'+i+'" class=" form-control" >'+cs_option+'</select></td>';


        html += '<td><input type="text" data-type="debit_amount" name="debit_amount[]" id="debit_'+i+'" class="form-control debit_1 totalLinePrice changesNo" autocomplete="on" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" style="width: 100px;" ></td>';
        html += '<td><input type="text" data-type="credit_amount" name="credit_amount[]" id="credit_'+i+'" class="form-control credit_1 totalLinePrice_credit changesNo_credit" autocomplete="on" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" style="width: 100px;"></td>';

        html += '</tr>';
        $('#addrow').append(html);
        i++;

        $('select') .select2();
    });



    //to check all checkbox
    $(document).on('change','#check_all',function(){
        $('input[class = case]:checkbox').prop("checked",$(this).is(':checked'))
    });

    //delete the selected table row
    $(".delete").on('click',function(){



       // var data = $('.case:checkbox:checked').parents("tr").remove();

        var data = $('.case:checkbox:checked').parents("tr").remove();


        $("#check_all").prop("checked",false);




        calculateTotal();
        calculateTotal_qty();

    });



    //SAVE JV FROM
    function jv_add()
    {

        //declare variables master form
        var v_date = $('#v_date').val();
        var v_id = $('#voucher_id').val();

        //declare variables detail form
        var jv_acct_id = $('#debitacctid_1').val();
        var jv_acct_id_2 = $('#debitacctid_2').val();
        var v_no = $('#v_no').val();
        var particulars = $('#particulars').val();
        var cost_centre_one = $('#cost_centre_one').val();
        var acct_id_cs = $('#acct_id_cs').val();
        var debit = $('#debit_1').val();
        var credit = $('#credit_2').val();


        var debit_tot = $('#debit_tot').val();
        var credit_tot = $('#credit_tot').val();

        var closing_date = '<?php echo $s_closing_date;?>';


        //check condition
        if(v_id == "")
        {
            alert("Please Enter Voucher ID");
            $('#v_id').focus();
        }

       else if(v_date == "")
        {
            alert("Please Enter Date");
            $('#v_date').focus();
        }


       /* else if (v_date <= closing_date ) {
            alert("Alert ! Date Should Be Greater Then Closing Date.");

        }*/


        else if(jv_acct_id == "")
        {
            alert("Please Select Debit Account");
            $('#jv_acct_id').focus();
        }



        /*else if(debit == "")
        {
            alert("Please Enter Debit Amount");
            $('#debit_1').focus();
        }

        else if(jv_acct_id_2 == "")
        {
            alert("Please Select Credit Account");
            $('#debitacctid_2').focus();
        }

        else if(credit == "")
        {
            alert("Please Enter Credit Amount");
            $('#credit_2').focus();
        }*/

        else if(debit_tot != credit_tot)
        {
            alert("UnBalance Voucher Cannot be saved.");
            $('#debit_1').focus();
        }

        else
        {
            var formdata = $('#jv_voucher').serializeArray()

            $.ajax({
                type:"POST",
                url:"process/jv_process.php",
                data:$.param(formdata),
                beforeSend: function()
                {
                    $(".view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },

                success: function(result)
                {
                    //alert(result);
                    //alert("Voucher Has Been Successfully Saved");
                    //window.location = "show_jv_voucher.php?voucher_type=<?php echo $voucher_type;?>&posted=''"
                    window.location = "<?php echo $menu_detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>&voucher_type=<?php echo $voucher_type;?>";

                }
            });

            $('#savedata').addClass("disabled");

        }
    }


    <!----------------------------ACCT NAME SHOW----------------------------->

    $(".debit_acct_id").select2();
    $(".acct_id").select2();




    //DEBIT PRICE TOTAL
    $(document).on('change keyup blur','.changesNo',function(){
        id_arr = $(this).attr('id');
        id = id_arr.split("_");
        price = $('.debit_'+id[1]).val();
        calculateTotal();
    });

    //DEBIT TOTAL PRICE CALCULATION
    function calculateTotal(){
        subTotal = 0 ; total = 0;
        $('.totalLinePrice').each(function(){
            if($(this).val() != '' )subTotal += parseFloat( $(this).val() );
        });
        $('#debit_tot').val( subTotal.toFixed(2));
        total += subTotal;
    }


    //CREDIT PRICE CHANGE
    $(document).on('change keyup blur','.changesNo_credit',function(){
        id_arr = $(this).attr('id');
        id = id_arr.split("_");
        //quantity = $('#quantity_'+id[1]).val();
        price = $('.credit_'+id[1]).val();
        //if(price !='' ) $('.total_'+id[1]).val( (parseFloat(price)));
        calculateTotal_credit();
    });

    //CREDIT TOTAL PRICE CALCULATION
    function calculateTotal_credit(){
        credit_tot = 0 ; total_credit = 0;
        $('.totalLinePrice_credit').each(function(){
            if($(this).val() != '' )credit_tot += parseFloat( $(this).val() );
        });
        $('#credit_tot').val( credit_tot.toFixed(2));
        total_credit += credit_tot;
    }

    <?php
    if($auth_id == '9')
    {
    ?>
    $('#v_date').datepicker({
        format: 'dd-mm-yyyy',
        autoclose: true
    });

    <?php } ?>




    /**********************START ADD MORE SHORTCUT KEYS*********************/
        <?php

        //ADD MORE FIELD SHOW ACCOUNTS
        try
        {
            $nom_query =  "SELECT n.acct_id, concat(n.acct_name,'-',n.acct_id) acct_name   FROM nom n WHERE length(n.acct_id) = 10  ORDER BY n.acct_id ASC";
            $nom_result = $dbcon->prepare($nom_query);
            $nom_result->execute(array());
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }
        $options = '';
        $options = "<option></option>";
        while($row_nom = $nom_result->fetch(PDO::FETCH_OBJ))
        {

            $options .= "<option value='{$row_nom->acct_id}'>{$row_nom->acct_name}</option>";
        }
        ?>



    var option = "<?php echo $options; ?>";


    //add table rows
    var i = $('.gl_addrow').length;


    $.ctrl('R', function () {

        html = '<tr>';
        html += '<td><input class="case" type="checkbox"/></td>';
        html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
        html += '<td><select name="debit_acct_id[]" id="debit_acct_id_'+i+'" class="">'+option+'</select></td>';
        html += '<td><input type="text" data-type="v_no" name="v_no[]" id="v_no_'+i+'" class="form-control" autocomplete="on" style="width: 60px;"></td>';
        html += '<td><input type="text" data-type="particulars" name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="on" style="width: 300px;"></td>';
        html += '<td><input type="text" data-type="debit_amount" name="debit_amount[]" id="debit_'+i+'" class="form-control debit_1 totalLinePrice changesNo" autocomplete="on" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" style="width: 100px;" ></td>';
        html += '<td><input type="text" data-type="credit_amount" name="credit_amount[]" id="credit_'+i+'" class="form-control credit_1 totalLinePrice_credit changesNo_credit" autocomplete="on" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" style="width: 100px;"></td>';

        html += '</tr>';
        $('#addrow').append(html);
        i++;

        $('select') .select2();
    });

    /**********************END ADD MORE SHORTCUT KEYS*********************/


    /**********************START SAVE SHORTCUT KEYS*********************/
    $.ctrl('S', function () {
        //declare variables master form
        var v_date = $('#v_date').val();
        var v_id = $('#v_id').val();

        //declare variables detail form
        var jv_acct_id = $('#debitacctid_1').val();
        var jv_acct_id_2 = $('#debitacctid_2').val();
        var v_no = $('#v_no').val();
        var particulars = $('#particulars').val();
        var cost_centre = $('#cost_centre').val();
        var debit = $('#debit_1').val();
        var credit = $('#credit_2').val();


        var debit_tot = $('#debit_tot').val();
        var credit_tot = $('#credit_tot').val();


        //check condition
        if(v_date == "")
        {
            alert("Please Enter Date");
            $('#v_date').focus();
        }
        else if(jv_acct_id == "")
        {
            alert("Please Select Debit Account");
            $('#jv_acct_id').focus();
        }

        /*else if(debit == "")
         {
         alert("Please Enter Debit Amount");
         $('#debit_1').focus();
         }

         else if(jv_acct_id_2 == "")
         {
         alert("Please Select Credit Account");
         $('#debitacctid_2').focus();
         }

         else if(credit == "")
         {
         alert("Please Enter Credit Amount");
         $('#credit_2').focus();
         }*/

        else if(debit_tot != credit_tot)
        {
            alert("UnBalance Voucher Cannot be saved.");
            $('#debit_1').focus();
        }

        else
        {
            var formdata = $('#jv_voucher').serializeArray()

            $.ajax({
                type:"POST",
                url:"process/jv_process.php",
                data:$.param(formdata),
                beforeSend: function()
                {
                    $(".view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },

                success: function(result)
                {
                    //alert(result);
                    //alert("Voucher Has Been Successfully Saved");
                    //window.location = "show_jv_voucher.php?voucher_type=<?php echo $voucher_type;?>&posted=''"
                    window.location = "jv_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"

                }
            });

            $('#savedata').addClass("disabled");

        }
    });

    /**********************START SAVE SHORTCUT KEYS*********************/





</script>

<!---------------------------END JAVASCRIPT-------------------------------->








</body>
</html>