<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}
//variables
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = $_SESSION['voucher_type'];


$menu_id = clean_data($_GET['menu_id']);
$p_comp_id = clean_data($_GET['comp_id']);

$p_year_id = clean_data($_GET['year_id']);
if (empty($p_year_id)) {
    $year_id = clean_data($_SESSION["year_id"]);
} else {

    $year_id =  $p_year_id;
}

if (empty($p_comp_id)) {
    $comp_id = clean_data($_SESSION["comp_id"]);
} else {

    $comp_id =  $p_comp_id;
}

$add = clean_data($_GET['add']);
$_SESSION['add'] = $add;
$emp_id = $_SESSION['VALID_USER_NAME'];
$loc_id =  $_SESSION["short_name"];

$f_disc_limit = find_value("users", "disc_limit", " and  emp_id = '$emp_id'");
if($f_disc_limit == '')
{
    $f_disc_limit = 0;
}

$f_disc_status = find_value("users", "discount", " and  emp_id = '$emp_id'");

$discount_readonly = '';
if($f_disc_status != 'Y')
{
    $discount_readonly = 'readonly';
}



if ($add == "Y") {
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
    $voucher_type = $_SESSION['voucher_type'];
    $comp_id = clean_data($_SESSION["comp_id"]);


    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));



    //MAXIMUM VOUCHER ID CHK QUERY
    try {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if (empty($v_id)) {
        $v_id = 1;
    }


    //MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    $v_id =  $v_id;



    // END MAXIMUM VOUCHER ID CHK QUERY



    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';





    //MAXIMUM INVOICE ID CHK QUERY
    try {
        $Maxquery_invoice =  "SELECT LPAD(IFNULL(max(substr(v.bill_no,-4)),0)+1,4,'0') v_id FROM sl_invoice v
		WHERE v.comp_id = ? ";
        $max_query_inv = $dbcon->prepare($Maxquery_invoice);
        $max_query_inv->execute(array($comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    $row_max_invoice = $max_query_inv->fetch(PDO::FETCH_OBJ);
    $invoiceNo = $row_max_invoice->v_id;
    $invoice_no = $loc_id . $invoiceNo;







    $discount_voucher_id = "";
    $return_cash = "";
    $bill_type = '';
    $sp = "";
    $invoice_no = "";
    $discp_m = "";
    $disc_amt_m = "";
    $net_amt = "";
    $net_payable = "";
    $adv_amt = "";
    $dc_amt = "";
    $location_id = "";
} else //EDIT
{
    $voucher_type = clean_data($_SESSION['voucher_type']);
    $v_id = clean_data($_GET['v_id']);


    try {
        $edit_query =  "SELECT * FROM sl_invoice m  WHERE m.voucher_id = ? AND m.comp_id = ? AND m.year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));
    $acct_id = $rowm->acct_id;
    $customer_name = $rowm->customer_name;
    $customer_phone = $rowm->customer_phone;
    $customer_cash = $rowm->customer_cash;
    $return_cash = $rowm->return_cash;
    $bill_type = $rowm->bill_type;
    $invoice_no = $rowm->bill_no;
    $sp_id = $rowm->sp_id;
    $discount_voucher_id = $rowm->discount_voucher_no;
    $discp_m = $rowm->discp;
    $disc_amt_m = $rowm->disc_amt;
    $net_amt = $rowm->net_amt;
    $net_payable = $rowm->net_payable;
    $adv_amt = $rowm->adv_amt;
    $dc_amt = $rowm->dc_amt;
    $location_id = $rowm->loc_id;
    $base_doc = $rowm->base_doc;
    $base_voucher_id = $rowm->base_voucher_id;

    $new_base_voucher_id = substr($base_voucher_id, 4, 6);
}




?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title><?php echo $row->acct_name; ?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html">
    <!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">


    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">


    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change" class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="css/kt.css">




</head>

<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a>
    <!--END BACK TO TOP-->
    <!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">SALE INVOICE</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index.php">Home</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li><a href="show_sale_invoice?voucher_type=<?php echo $voucher_type; ?>&posted=<?php echo $posted; ?>">Show Sale Invoice</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active">Sale Invoice</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">

                <form class="form-horizontal" name="sale_invoice" id="sale_invoice">


                    <br clear="all">
                    <input type="hidden" class="form-control" name="p_menu_id" id="p_menu_id" value="<?php echo $menu_id; ?>">

                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id" value="<?php echo $comp_id; ?>">

                    <!------------------------START MASTER TABLE---------------------------->
                    <div class="row">
                        <div class="col-sm-12">

                            <div class="row">

                                            <div class="col-lg-8 col-md-8 col-sm-12">


                                                        <div class="form-group">

                                                            <div class="input-group">

                                                                <input  id="proname_1" name="proname" class="form-control form-control-lg" type="text" placeholder="Product Name / Stock Code" autocomplete="off" autofocus/>

                                                                <div class="input-group-addon">
                                                                    <i class="fa fa-barcode" aria-hidden="true"></i>

                                                                </div>
                                                            </div>
                                                        </div>


                                                <i class="fa fa-trash-o delete_sale" data-toggle="tooltip" data-placement="top" title="Delete Product" style="position: relative; margin-top: 20px; font-size: 24px; "></i>



                                                    <div class="sale_scroll">
                                                    <table class="table table-bordered table-responsive table-hover addrow_sale small" id="addrow">
                                                        <thead>
                                                        <tr>
                                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox" /></th>
                                                            <th width="5%" style="text-align: center;">Sr</th>
                                                            <th width="10%" style="text-align: center;">Code</th>
                                                            <th width="18%" style="text-align: center;">Item Name</th>

                                                            <th width="10%" style="text-align: center;">Current Qty</th>
                                                            <th width="10%" style="text-align: center;">Qty</th>

                                                            <th width="10%" style="text-align: center;">Rate</th>
                                                            <th width="10%" style="text-align: center;">Disc %</th>
                                                            <th width="10%" style="text-align: center;">Disc Amt</th>
                                                            <th width="10%" style="text-align: center;">Amount</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody class="tbody">


                                                        </tbody>
                                                    </table>
                                                </div>




                                            </div>




                                <div class="col-lg-4 col-md-4 col-sm-12">


                                    <div class="panel">
                                        <div class="panel-block">
                                    <table class="table table-bordered" >
                                                <tbody>
                                                <tr>
                                                    <td>
                                                        <input type="hidden" class="form-control" name="voucher_id" id="voucher_id" placeholder="voucher id" value="<?php echo $v_id; ?>" readonly>
                                                        <input type="hidden" class="form-control" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date; ?>">

                                                        <label class="control-label pull-right" style="font-weight: bold; color: black;">Customer</label>
                                                    </td>
                                                    <?php
                                                    /* $and = "";
                                                     if($comp_id == 'CA')
                                                     {
                                                         $and  .= " and p.reg_id IN('010102', '010101')";

                                                     }*/

                                                    $emp_id =  clean_data($_SESSION["VALID_USER_ID"]);
                                                    $u_comp_id=find_value('users','comp_id'," and emp_id='$emp_id'");

                                                    $and_ca = "";
                                                    if ($u_comp_id != '')
                                                    {
                                                        $and_ca = " and p.comp_id = '$u_comp_id'";
                                                    }


                                                    try {
                                                        $p_query =  "SELECT p.acct_id, concat(p.acct_name,'-',p.acct_id) acct_name FROM v_party p WHERE 1= 1 $and_ca  ORDER BY p.acct_id ASC ";

                                                        $p_result = $dbcon->prepare($p_query);
                                                        $p_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    ?>

                                                    <td>
                                                        <select style="width:300px;" name="acct_id" id="acct_id" class="acct_id">

                                                            <?php
                                                            $debtors = find_value('company', 'debtors', " AND comp_id = '$comp_id'");

                                                            ?>


                                                            <?php
                                                            while ($p_row = $p_result->fetch(PDO::FETCH_OBJ)) {
                                                                if ($add == 'Y') {

                                                                    if ($debtors == $p_row->acct_id) {
                                                                        echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';
                                                                    } else {

                                                                        echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                                    }
                                                                } else {
                                                                    if ($acct_id == $p_row->acct_id) {
                                                                        echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';
                                                                    }

                                                                    echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                                }
                                                            }
                                                            ?>
                                                        </select>


                                                        <input type="text" class="form-control" id="party_bal" readonly placeholder="Party Balance">

                                                        <input type="text" class="form-control" id="credit_limit" readonly placeholder="Credit Limit">


                                                    </td>
                                                </tr>


                                                <tr>
                                                    <td style="font-size: 14px;">Quantity</td>
                                                    <td class="text-right font-weight-700">

                                                        <input type="text" id="grandtot_qty" name="grandtot_qty" class="form-control form-control-lg grandtot_qty" readonly>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td style="font-size: 14px;">Subtotal</td>

                                                    <td class="text-right font-weight-700">
                                                        <input type="text" id="grandtot" name="grandtot" class="form-control form-control-lg" readonly>
                                                    </td>
                                                </tr>


                                                <tr>

                                                    <td align="right">
                                                        <b>Disc %</b>
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control  discp_m" name="discp_m" id="discp_m"  autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"  />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <b>Disc Amt</b>
                                                    </td>
                                                    <td >
                                                        <input type="text" class="form-control  disc_amt_m" name="disc_amt_m" id="disc_amt_m"  autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"   />
                                                    </td>
                                                </tr>


                                                <tr>

                                                    <td align="right">
                                                        <b>Invoice Amount</b>
                                                    </td>
                                                    <td >
                                                        <input type="text" class="form-control  net_amt" name="net_amt" id="net_amt" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" readonly />
                                                    </td>
                                                </tr>

                                                <tr>

                                                    <td align="right">
                                                        <b>Advance</b>
                                                    </td>
                                                    <td >
                                                        <input type="text" class="form-control  adv_amt" name="adv_amt" id="adv_amt"  autocomplete="off" />
                                                    </td>
                                                </tr>



                                                <tr >

                                                    <td align="right">
                                                        <b>Total</b>
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control  invoice_tot" name="invoice_tot" id="invoice_tot"  autocomplete="off" readonly value="<?php echo $return_cash; ?>" />
                                                    </td>
                                                </tr>





                                                <tr>


                                                    <td align="right">

                                                        <b>Customer Cash</b>

                                                    </td>

                                                    <td >

                                                        <input type="text" class="form-control  customer_cash" name="customer_cash" id="customer_cash" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" />

                                                    </td>

                                                </tr>



                                                <tr >





                                                    <td align="right">

                                                        <b>Return Cash</b>

                                                    </td>

                                                    <td>

                                                        <input type="text" class="form-control  invoice_tot" name="return_cash" id="return_cash" autocomplete="off" readonly  />

                                                    </td>

                                                </tr>

                                                <tr>
                                                    <td align="right"><b>Invoice Status</b></td>

                                                    <td>

                                                        <select class="form-control" name="inv_status" id="inv_status">
                                                            <option value="Invoice">Invoice</option>
                                                            <option value="Hold">Hold</option>

                                                        </select>

                                                    </td>

                                                </tr>


                                                <tr>
                                                    <td colspan="2">
                                                        <input type="button" class="btn btn-success btn-lg savedata" name="savedata2" id="savedata2" value="Save" onClick="sale_invoice_add()" style="width: 100%;" />

                                                    </td>
                                                </tr>

                                                </tbody>
                                            </table>
                                        </div>
                                    </div>



                            </div>






                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->





                </form>





            </div>

        </div>
    </div>





    <!-----------------------------------------------------START SELECT ITEM FROM ENTER------------------------------------>


    <div id="search_item_modal" tabindex="-1" role="dialog" aria-labelledby="modal-default-label" aria-hidden="true" class="modal fade">
        <div class="modal-dialog modal-lg">
            <div class="modal-content rounded_box">
                <div class="modal-header">
                    <h2 class="modal-title " id="exampleModalLabel"><i class="fa fa-file" style="font-size: 30px;"></i> Select Products</h2>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-body pal">

                        <div class="col-12">




                            <button class="btn btn-primary pull-left form-control-lg" id="add_search_item" type="button" style="width: 150px;">Select</button>
                            <style>
                                #item_select_datatable_info {
                                    margin-top: 11px;
                                }
                            </style>


                            <!-- content will be load here -->
                            <div id="dynamic-content_item"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-----------------------------------------------END SELECT ITEM FROM ENTER------------------------------------>



















        <script src="js/jquery-1.10.2.min.js"></script>
        <script src="js/jquery-migrate-1.2.1.min.js"></script>
        <script src="js/jquery-ui.js"></script>
        <!--loading bootstrap js-->
        <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
        <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
        <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
        <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
        <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
        <script src="vendors/iCheck/icheck.min.js"></script>
        <script src="vendors/iCheck/custom.min.js"></script>
        <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
        <script src="vendors/jquery-highcharts/highcharts.js"></script>
        <script src="js/jquery.menu.js"></script>
        <script src="vendors/jquery-pace/pace.min.js"></script>
        <script src="vendors/holder/holder.js"></script>
        <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
        <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
        <script src="vendors/moment/moment.js"></script>
        <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
        <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
        <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
        <script type="text/javascript" src="js/main.js"></script>
        <!--LOADING SCRIPTS FOR PAGE-->
        <script src="vendors/select2/select2.min.js"></script>
        <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>
        <!-- BOOT BOX ALERT -->
        <script src="js/bootbox.min.js" type="text/javascript"></script>

        <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>
        <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
        <script type="text/javascript" src="vendors/shortcut.js"></script>


        <!---------------------------START JAVASCRIPT-------------------------------->
        <script type="text/javascript">





            //add table rows

            i = $('.addrow_sale').length;


            $(".addmore_sale").on('click', function() {

                add_more_row();

            });

            function add_more_row(){
                html = '<tr style="font-size=5px">';
                html += '<td><input class="case" type="checkbox"/></td>';
                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly size="1" value="' + i + '"/></td>';
                html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" class="form-control autocomplete_txt stock_code" autocomplete="off" ></td>';
                html += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" class="form-control autocomplete_txt item_name" autocomplete="off" autofocus></td>';
                html += '<td><input type="text"  name="particulars[]" id="particulars_' + i + '" class="form-control" autocomplete="off"></td>';
                html += '<td><input type="text" name="available_qty[]" id="availableqty_' + i + '" class="form-control available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                html += '<input type="hidden" name="s_rate[]" id="srate_' + i + '" class="form-control available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                html += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                /*
                            html += '<td><input type="number" name="bouns_qty[]" id="bounsqty_'+i+'" class="form-control" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                */

                html += '<td><input type="text" name="rate[]" id="orate_' + i + '" class="form-control rate changesNo_rate orate" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                html += '<td><input type="text" name="discp[]" id="discp_' + i + '" class="form-control discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                html += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" class="form-control discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';

                html += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

                html += '</tr>';
                $('#addrow').append(html);
                i++;

                $('.item_name').focus();
            }


            /*******************START GET ITEM LIST FORM ENTER****************/

            //r = 1;
            $('#proname_1').keypress(function(e) {


                if (e.which == 13) {



                    var proname_1 = $("#proname_1").val();
                    html = '';
                    var action = 'search_item';
                    var dataString = 'proname_1=' + proname_1 + '&action=' + action;

                    $.ajax({
                        type: "POST",
                        url: "search_item",
                        data: dataString,
                        beforeSend: function () {
                            $("#stock_loader").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                        },
                        success: function(data) {
                            var rowCount = $('.addrow_sale').length;


                            if (rowCount == 2) {

                                $('.case:checkbox:checked').parents("tr").remove();

                            }

                            $('#stock_loader').hide();
                            var json = JSON.parse(data);
                            //console.log(json);

                            var status = json[0].status;
                            var count = json[0].count;
                            var result = json[0].result;
                            var text = '';


                            if(status == 1)
                            {
                                var new_stock_code = result[0]['stock_code'];
                            }
                            $('#view_qty').hide();






                            var q = 1;
                            pro_tot = 0;


                            if (status == 2) {



                                var string = '<table id="table-1"  class="table  table-borderless font-size-14 vouchers_datatable rounded_box  table-hover" width="100%" >' +
                                    '<thead style="font-weight: bold; color: black; text-align: center">' +
                                    '<tr>' +
                                    '<th><input id="check_all_item" class="ml-10" type="checkbox"/></th>' +
                                    '<th>Product Code</th>' +
                                    '<th>Product Name</th>' +
                                    '<th>In Stock</th>' +
                                    '<th>Sale Price</th>' +


                                    '</tr>' +
                                    '</thead>' +

                                    '<tbody class="text-black text-center">'



                                for (i = 0; i < result.length; i++) {




                                    string += "<tr>" +
                                        '<td>' + '<input class="case_item" type="checkbox" id="basic_checkbox_3" />' + '</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">' + result[i]['stock_code'] + '</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">' + result[i]['description'] + '</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">0</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">' + result[i]['s_rate'] + '</td>' +


                                        "</tr>";

                                }
                                string += '</tbody> </table>';
                                $("#dynamic-content_item").html(string);
                                $('#search_item_modal').modal('show');


                                /************************************START ADD DATATABLE**********************/
                                var select_item_table = $('#table-1').DataTable({
                                    "language": {
                                        "emptyTable": "No data available",
                                        sLengthMenu: "  _MENU_ ",
                                        /*searchPlaceholder: "Search...."*/
                                    },
                                    "lengthChange": false,
                                    dom: 'lfrtip',
                                    // Configure the drop down options.
                                    lengthMenu: [
                                        [10, 25, 50, -1],
                                        ['10', '25', '50', 'All']
                                    ],
                                    "pageLength": 1000,
                                    "rowHeight": 'auto',
                                    "order": [
                                        [0, "ASC"]
                                    ]
                                });

                                /************************************END ADD DATATABLE**********************/





                                /*************************START SEARCH ITEM SELECT CHECKBOX*****************/
                                $(document).on('change', '#check_all_item', function() {
                                    $('input[class = case_item]:checkbox').prop("checked", $(this).is(':checked'))
                                });


                                $("#add_search_item").on("click", function() {


                                    var checkedRows = [];
                                    $("tbody tr").each(function () {
                                        if ($(this).find("input[type=checkbox]").is(":checked")) {

                                            var $row = $(this).closest('tr');

                                            var product = {
                                                procode: $row.find('td').eq(1).text(),
                                                prname: $row.find('td').eq(2).text(),
                                                s_rate: $row.find('td').eq(4).text(),
                                                tot_cost: 1 * $row.find('td').eq(4).text(),
                                                bal_qty: $row.find('td').eq(3).text(),





                                            };

                                            var item_code = product.procode;


                                            // Check if code exists
                                            var exists = false;
                                            $('#addrow tbody tr').each(function (tr) {
                                                var currentRow = $(this).closest("tr");
                                                var item_code = currentRow.find("td:eq(2) input").val();


                                                if (item_code == product.procode) {


                                                    // Flag exists
                                                    exists = true;
                                                    $(this).data('qty', parseInt(q) + parseInt($(this).find('.qty').val()));

                                                    // Update table with new value
                                                    $('.qty', this).val($(this).data('qty'));
                                                    $('.qty', this).html($(this).data('qty'));
                                                    //$('.qty', this).val(qty);

                                                    var qtyeee = currentRow.find("td:eq(6) input").val();
                                                    var rate = currentRow.find("td:eq(7) input").val();

                                                    currentRow.find("td:eq(10) input").val(qtyeee * rate );


                                                }

                                            });

                                            if (!exists) {
                                                i = $('.addrow_sale').length;



                                                //pro_tot = q * product.s_rate;
                                                html = '<tr style="font-size=5px"  class="addrow_sale" >';
                                                html += '<td><input class="case" type="checkbox"/></td>';
                                                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control form-control-sm" readonly size="1" value="' + i + '"/></td>';
                                                html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" class="form-control form-control-sm autocomplete_txt stock_code" autocomplete="off" value="' + product.procode + '"></td>';
                                                html += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" class="form-control form-control-sm autocomplete_txt" autocomplete="off" value="' + product.prname + '" ></td>';
                                                html += '<td><input type="text"  name="particulars[]" id="particulars_' + i + '" class="form-control form-control-sm" autocomplete="off"></td>';
                                                html += '<td><input type="text" name="available_qty[]" id="availableqty_' + i + '" class="form-control form-control-sm available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly value="' + product.bal_qty + '" ></td>';
                                                html += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control form-control-sm qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + q + '"></td>';


                                                html += '<td><input type="text" name="rate[]" id="orate_' + i + '" class="form-control rate changesNo_rate orate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + product.s_rate + '" ></td>';
                                                html += '<td><input type="text" name="discp[]" id="discp_' + i + '" class="form-control form-control-sm discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"  ></td>';
                                                html += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" class="form-control form-control-sm discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly  ></td>';

                                                html += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control form-control-sm totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly value="' + product.tot_cost + '"></td>';

                                                html += '</tr>';
                                                $('#addrow').append(html);
                                                i++;
                                            }

                                            calculateTotal();
                                            calculateTotal_qty();
                                            calculateInvoiceTotal();
                                            calculateNetAmount();

                                            $("#search_item_modal").modal("hide");
                                            $('#view_qty').hide();

                                        }

                                        if ($(this).find("input[type=checkbox]").is(":checked")) {

                                            $(this).find("input[type=checkbox]").prop("checked", false);

                                            $('#check_all_item').prop("checked", false);

                                        }

                                    });


                                });




                                /*************************END SEARCH ITEM SELECT CHECKBOX*****************/

                            }


                            else if (status == 1) {



                                // Check if code exists
                                var exists = false;
                                $('#addrow tbody tr').each(function(tr) {
                                    var currentRow = $(this).closest("tr");
                                    var item_code = currentRow.find("td:eq(2) input").val();

                                    var itemtot = currentRow.find("td:eq(10) input").val()


                                    if (item_code == new_stock_code) {


                                        // Flag exists
                                        exists = true;
                                        $(this).data('qty', parseInt(q) + parseInt($(this).find('.qty').val()));

                                        // Update table with new value
                                        $('.qty', this).val($(this).data('qty'));
                                        $('.qty', this).html($(this).data('qty'));
                                        //$('.qty', this).val(qty);




                                        var qtyeee = currentRow.find("td:eq(6) input").val();
                                        var rate = currentRow.find("td:eq(7) input").val();

                                        currentRow.find("td:eq(10) input").val(qtyeee * rate );



                                    }



                                });

                                if (!exists) {


                                    qty = 1;
                                    orate = result[0]['s_rate'];

                                    pro_tot = getNum(parseFloat((orate * qty)).toFixed());

                                    // i = $('.addrow_sale').length;

                                    i = $('.addrow_sale').length;


                                    html = '<tr style="font-size=5px" class="addrow_sale"  >';
                                    html += '<td><input class="case" type="checkbox"/></td>';
                                    html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control form-control-sm" readonly size="1" value="' + i + '"/></td>';
                                    html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" class="form-control form-control-sm autocomplete_txt stock_code" autocomplete="off" value="' + result[0]['stock_code'] + '"></td>';
                                    html += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" class="form-control form-control-sm autocomplete_txt" autocomplete="off" value="' + result[0]['stock_name'] + '" ></td>';
                                    html += '<td><input type="text" name="available_qty[]" id="availableqty_' + i + '" class="form-control form-control-sm available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly value="' + result[0]['bal_qty'] + '"></td>';
                                    html += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control form-control-sm qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + q + '"></td>';


                                    html += '<td><input type="text" name="rate[]" id="orate_' + i + '" class="form-control rate changesNo_rate orate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + result[0]['s_rate'] + '" ></td>';
                                    html += '<td><input type="text" name="discp[]" id="discp_' + i + '" class="form-control form-control-sm discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                                    html += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" class="form-control form-control-sm discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"  readonly ></td>';

                                    html += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control form-control-sm totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly value="' + pro_tot + '"></td>';

                                    html += '</tr>';
                                    $('#addrow').append(html);
                                    i++;


                                }

                                var proname_1 = $("#proname_1").val('');

                                calculateTotal();
                                calculateTotal_qty();
                                calculateInvoiceTotal();
                                calculateNetAmount();


                            } else {


                                alert('No data available');
                                $('#proname_1').val('');


                            }



                        }

                    })
                }



            });
            /*******************END GET ITEM LIST FORM ENTER****************/
























            //autocomplete script sale invoice select stock code
            $(document).on('focus', '.autocomplete_txt', function() {

                //            $("#acct_id").trigger("change");

                type = $(this).data('type');

                if (type == 'stock_code') autoTypeNo = 0;
                if (type == 'description') autoTypeNo = 1;


                $(this).autocomplete({
                    source: function(request, response) {
                        $.ajax({
                            url: 'kt_select_stock.php',
                            dataType: "json",
                            method: 'post',
                            data: {
                                name_startsWith: request.term,
                                type: type
                            },
                            success: function(data) {




                                response($.map(data, function(item) {
                                    var code = item.split("|");
                                    return {
                                        label: code[autoTypeNo],
                                        value: code[autoTypeNo],
                                        data: item
                                    }
                                }));
                            }
                        });
                    },
                    autoFocus: true,
                    minLength: 3,

                    select: function(event, ui) {
                        var names = ui.item.data.split("|");
                        id_arr = $(this).attr('id');
                        id = id_arr.split("_");
                        $('#stockcode_' + id[1]).val(names[0]);
                        $('#description_' + id[1]).val(names[1]);
                        $('#availableqty_' + id[1]).val(names[2]);
                        $('#orate_' + id[1]).val(names[3]);
                        $('#srate_' + id[1]).val(names[4]);


                        s_rate = $('#orate_' + id[1]).val();
                        s_qty = $('#qty_' + id[1]).val(1);





                        $('#itemtot_' + id[1]).val(1 * names[3]);


                        $('#availableqty_' + id[1]).data('id', names[0]); //sette

                        $('#qty_' + id[1]).focus();
                        $('#qty_' + id[1]).select();




                        //add_more_row()
                        calculateTotal();
                        calculateTotal_qty();
                        calculateInvoiceTotal();
                        calculateNetAmount();

                    }
                });

            });





            function sale_invoice_add() {

                //declare variables master form
                var v_date = $('#v_date').val();
                var v_id = $('#v_id').val();
                var acct_id = $('#acct_id').val();
                var customer_name = $('#customer_name').val();
                var customer_phone = $('#customer_phone').val();
                var customer_cash = $('#customer_cash').val();
                var return_cash = $('#return_cash').val();
                var sp = $('#sp_id').val();
                var comp_id = $('#comp_id').val();
                var credit_limit = $('#credit_limit').val();
                var net_amt = $('#net_amt').val();
                var party_bal = $('#party_bal').val();





                //declare variables detail form
                var stock_code = $('#stockcode_1').val();


                var particulars = $('#particulars').val();
                var qty = $('#qty_1').val();
                var rate = $('#rate').val();
                var discp = $('#discp').val();
                var itemtot = $('#itemtot').val();
                var grand_tot = $('#grandtot').val();
                var invoice_tot = $('#invoice_tot').val();

                var add = '<?php echo $add; ?>';
                var v_id = '<?php echo $v_id; ?>';

                var condtion = parseFloat(customer_cash) < invoice_tot;

                function validatePhone($phone) {
                    var phoneReg = /^((92)?)(3)([0-9]{9})$/;
                    return phoneReg.test( $phone );
                }



                /*  //price change
                  $(document).on('change blur', '.changesNo', function() {
                      id_arr = $(this).attr('id');
                      id = id_arr.split("_");

                      qty = $('#qty_' + id[1]).val(0);

                   alert(qty)

                  });
  */


                //check condition
                if (v_id == "") {
                    alert("Please Enter Voucher ID!");
                    $('#v_date').focus();
                } else if (v_date == "") {
                    alert("Please Enter Date");
                    $('#v_date').focus();
                } else if (acct_id == "") {
                    alert("Please Select Party");
                    $('#acct_id').focus();
}
                else if (stock_code == "") {
                    alert("Please Select Stock Code");
                    $('#stockcode_1').focus();

                }
                else if (qty == "" || qty == 0) {


                    alert("Please Enter Quantity");
                    $('#qty_1').focus();

                } else if (rate == "") {
                    alert("Please Enter Rate");
                    $('#rate').focus();
                }

                    else if (parseInt(credit_limit) - (parseInt(party_bal) + parseInt(net_amt)) < 0 && parseInt(credit_limit) > 0)
                    {
                    alert("Donot Allow Invoice Becasue Party Credit limit Exceed.");
                    $('#rate').focus();
                }


                else {
                    var formdata = $('#sale_invoice').serializeArray();

                    $.ajax({
                        type: "POST",
                        url: "process/zt_sale_inv_process.php",
                        data: $.param(formdata),
                        beforeSend: function() {
                            $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                        },
                        success: function(result) {


                            alert(result);
                            new_v_id = result;
                            //alert('Voucher has been successfully submitted.');
                            //window.location = "kt_sl_inv_detail.php?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''&p_comp_id="+comp_id;


                           /* if(add == 'Y') {
                                new_v_id = result;
                                //alert(result);
                                //alert('Voucher has been successfully submitted.');
                                //window.location = "sl_inv_detail.php?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''"

                                window.location = "kt_sl_inv_detail?v_id=" + new_v_id + "&voucher_type=<?php echo $voucher_type; ?>&posted=''&p_comp_id=<?php echo $comp_id; ?>&p_year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>";
                            }*/
                            if(add == 'Y') {
                                new_v_id = result;

                                var status = confirm("Are you sure want to Print!");
                                if (status == true) {

                                    var pdf_url =



                                    $(document).ready(function () {

                                            //$("#dialog").dialog({modal: true, height: 590, width: 1005 });
                                            var w = window.open("", "popupWindow", "width=600, height=400, scrollbars=yes");
                                            var $w = $(w.document.body);
                                            $w.html("kt_pdf_sl_print?v_id=" + new_v_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id; ?>");

                                    });








                                    //window.print();
                                    //console.log("printed");
                                }

                                //window.location = "kt_sl_inv_detail?v_id=" + new_v_id + "&voucher_type=<?php echo $voucher_type; ?>&posted=''&p_comp_id=<?php echo $comp_id; ?>&p_year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>";
                            }

                            //new_v_id = result;
                            //alert('Voucher has been successfully submitted.');
                            //window.location = "kt_sl_inv_detail.php?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''&p_comp_id="+comp_id;
                            //window.location = "kt_sl_inv_detail?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''&p_comp_id=<?php echo $comp_id; ?>&p_year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>";
                            //window.location = "kt_sl_inv_detail?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''&p_comp_id=<?php echo $comp_id; ?>&p_year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>";




                        }
                    });
                    //$('.savedata').addClass("disabled");
                }




            }


            $(document).on('change', '#check_all', function() {
                $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
            });



            //delete the selected table row

            $(".delete_sale").on('click', function() {
                $('.case:checkbox:checked').parents("tr").remove();
                $("#check_all").prop("checked", false);
                calculateTotal();
                calculateTotal_qty();
            });




            //date picker
            $('#v_date').datepicker({
                format: 'dd-mm-yyyy',
                autoclose: true
            });


            //dropdown with search
            $(".acct_id").select2();


            //price change
            $(document).on('change keyup blur', '.changesNo', function() {
                id_arr = $(this).attr('id');
                id = id_arr.split("_");
                avqty = $('#availableqty_' + id[1]).val();
                s_rate = $('#srate_' + id[1]).val();

                qty = $('#qty_' + id[1]).val();
                orate = $('#orate_' + id[1]).val();
                discp = $('#discp_' + id[1]).val();

                //$('#qty_' + id[1]).val(0);

                $('#itemtot_' + id[1]).val(parseFloat(orate) * parseFloat(qty) * (1 - discp / 100));


                $('#discamt_' + id[1]).val((parseFloat(orate) * parseFloat(qty) * discp) / 100);



                /*  if (parseFloat(qty) > parseFloat(avqty)) {

                      var msg = "You Donot Have Required Quantity!"
                      $('#view_qty').html(msg);


                  }*/

                if (parseFloat(qty) > parseFloat(avqty)) {

                    alert("You Donot Have Required Quantity!");

                    qty = $('#qty_' + id[1]).val('');

                }

                if (parseFloat(qty) <= 0)

                {

                    alert("You Donot Have Required Quantity!");

                    qty = $('#qty_' + id[1]).val(' ');

                    $('#qty_' + id[1]).focus();



                }


                if(orate == '')
                {
                    $('#orate_' + id[1]).val(0);
                }

                if (parseFloat(orate) < parseFloat(s_rate) && parseFloat(s_rate) > 0) {
                    var msg = "Cannot sell less than minimum retail price of " + parseFloat(s_rate) + "!"
                    $('#view_qty').html(msg);
                    $("#savedata").hide();
                    $("#savedata2").hide();
                    $(".delete_sale").hide();
                    $(".addmore_sale").hide();
                } else {
                    $("#savedata").show();
                    $("#savedata2").show();
                    $(".delete_sale").show();
                    $(".addmore_sale").show();

                }

                /* $('.qty').keyup(function() {
                     $('#view_qty').hide();


                 });*/

                //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

                calculateTotal();
                calculateTotal_qty();
                calculateInvoiceTotal();
                calculateNetAmount();

            });





            //price change
            $(document).on('change keyup blur', '.changesNo_rate', function() {
                id_arr = $(this).attr('id');
                id = id_arr.split("_");
                avqty = $('#availableqty_' + id[1]).val();
                s_rate = $('#srate_' + id[1]).val();

                qty = $('#qty_' + id[1]).val();
                orate = $('#orate_' + id[1]).val();
                discp = $('#discp_' + id[1]).val();
                credit_limit = $('#credit_limit').val();
                net_amt = $('#net_amt').val();
                party_bal = $('#party_bal').val();
                //$('#qty_' + id[1]).val(0);

                $('#itemtot_' + id[1]).val(parseFloat(orate) * parseFloat(qty) * (1 - discp / 100));


                $('#discamt_' + id[1]).val((parseFloat(orate) * parseFloat(qty) * discp) / 100);


                if(orate == '')
                {
                    $('#orate_' + id[1]).val(0);
                }

                if (parseFloat(orate) < parseFloat(s_rate) && parseFloat(s_rate) > 0) {
                    var msg = "Cannot sell less than minimum retail price of " + parseFloat(s_rate) + "!"
                    $('#view_qty').html(msg);
                    $("#savedata").hide();
                    $("#savedata2").hide();
                    $(".delete_sale").hide();
                    $(".addmore_sale").hide();
                } else {
                    $("#savedata").show();
                    $("#savedata2").show();
                    $(".delete_sale").show();
                    $(".addmore_sale").show();

                }



                calculateTotal();
                calculateTotal_qty();
                calculateInvoiceTotal();
                calculateNetAmount();

            });


            /*****************START DISCOUNT PERCENTAGE**************/
            $(document).on('change keyup blur', '.changesdiscp', function() {
                grandtot = $('#grandtot').val();
                qty = $('#qty_' + id[1]).val();
                orate = $('#orate_' + id[1]).val();
                discp = $('#discp_' + id[1]).val();


                $('#itemtot_' + id[1]).val(parseFloat(orate) * parseFloat(qty) * (1 - discp / 100));




            });
            /*****************END DISCOUNT PERCENTAGE**************/




            /****************START INVOICE TOTAL****************/
            function calculateInvoiceTotal() {
                grandtot = 0;
                itemtot = 0;
                $('.totalLinePrice').each(function() {
                    if ($(this).val() != '') grandtot += parseFloat($(this).val());
                });
                $('#invoice_tot').val(grandtot);
                itemtot += grandtot;
            }
            /****************END INVOICE TOTAL****************/



            /****************START NET AMOUNT AFTER DISCOUNT****************/
            function calculateNetAmount() {
                grandtot = 0;
                itemtot = 0;
                $('.totalLinePrice').each(function() {
                    if ($(this).val() != '') grandtot += parseFloat($(this).val());
                });
                $('#net_amt').val(grandtot);
                itemtot += grandtot;
            }
            /****************END NET AMOUNT AFTER DISCOUNT****************/



            /*****************START MASTER DISCOUNT PERCENTAGE**************/
            $(document).on('change keyup blur', '#discp_m', function() {
                grandtot = $('#grandtot').val();
                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();

                $('#net_amt').val(parseFloat(grandtot) * (1 - discp_m / 100));

                $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));

                $('#disc_amt_m').val((parseFloat(grandtot) * discp_m) / 100);

            });
            /*****************END MASTER DISCOUNT PERCENTAGE**************/


            /*****************START MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/
            $(document).on('change keyup blur', '#disc_amt_m', function() {
                grandtot = $('#grandtot').val();
                disc_amt_m = $('#disc_amt_m').val();






                $('#net_amt').val(parseFloat(grandtot) - parseFloat(disc_amt_m));

                $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m));

            });
            /*****************END MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/


            /*****************START MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/
            $(document).on('change  blur', '#disc_amt_m', function() {
                grandtot = $('#grandtot').val();
                disc_amt_m = $('#disc_amt_m').val();

                disc_limit = <?php echo $f_disc_limit;?>;



                if(disc_limit != 0) {
                    if (disc_amt_m > disc_limit) {
                        alert("Discount Limit Must Be Less Then From " + disc_limit)
                        $('#disc_amt_m').val(0);
                    }
                }



            });
            /*****************END MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/




            /*****************START FREIGHT AMOUNT*************/
            $(document).on('change keyup blur', '#dc_amt', function() {
                grandtot = $('#grandtot').val();
                dc_amt = $('#dc_amt').val();
                disc_amt_m = $('#disc_amt_m').val();


                if (disc_amt_m == '') {
                    $('#net_amt').val(parseFloat(grandtot) + parseFloat(dc_amt));

                    $('#invoice_tot').val(parseFloat(grandtot) + parseFloat(dc_amt));

                } else {
                    $('#net_amt').val(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt));

                    $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt));
                }




            });
            /*****************END FREIGHT AMOUNT*************/







            /*****************START MASTER DISCOUNT PERCENTAGE**************/
            /*$(document).on('change keyup blur', '#discp_m', function () {
             grandtot = $('#grandtot').val();
             discp_m = $('#discp_m').val();
             adv_amt = $('#adv_amt').val();

             if ($('#adv_amt').val() != '') {
             $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100) - parseFloat(adv_amt));
             }
             else
             {
             $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));
             }

             });*/
            /*****************END MASTER DISCOUNT PERCENTAGE**************/



            /*****************START ADVANCE AMOUNT**************/
            $(document).on('change keyup blur', '#adv_amt', function() {
                grandtot = $('#grandtot').val();
                adv_amt = $('#adv_amt').val();
                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();

                disc_amt_m = $('#disc_amt_m').val();


                // $('#invoice_tot').val(Math.round(parseFloat(net_amt) * (1 - discp_m / 100) - parseFloat(adv_amt)) );

                $('#invoice_tot').val(Math.round(parseFloat(net_amt) - parseFloat(adv_amt)));




            });
            /*****************END ADVANCE AMOUNT**************/







            //total price calculation
            function calculateTotal() {
                grandtot = 0;
                itemtot = 0;
                $('.totalLinePrice').each(function() {
                    if ($(this).val() != '') grandtot += parseFloat($(this).val());
                });
                $('#grandtot').val(grandtot);
                itemtot += grandtot;

                var grand_tot = $('#grandtot').val();

                //alert(grand_tot);


                var freight_tot = $('#freight').val();

                var inv_tot = parseFloat(grand_tot) - parseFloat(freight_tot);

                $('#invoice_tot').val(inv_tot);


            }

            //total pqty calculation
            function calculateTotal_qty() {
                grandtot_qty = 0;
                qty = 0;
                $('.grand_tot_qty').each(function() {
                    if ($(this).val() != '') grandtot_qty += parseFloat($(this).val());
                });
                $('#grandtot_qty').val(grandtot_qty);
                qty += grandtot_qty;
            }





            //customer cash calculate


            $(document).on('change keyup blur', '#customer_cash', function() {

                grandtot = $('#net_payable').val();
                customer_cash = $('#customer_cash').val();
                cust_bal = $('#cust_bal').val();
                net_payable = $('#net_payable').val();

                invoice_tot = $('#invoice_tot').val();

                if (cust_bal == '')

                {

                    $('#return_cash').val(parseFloat(customer_cash) - parseFloat(invoice_tot));

                } else

                {

                    $('#return_cash').val(parseFloat(customer_cash) - parseFloat(invoice_tot));

                }

            });









































            $("#party_bal").hide();
            $("#credit_limit").hide();
            $("#acct_id").change(function() {
                var acct_id = $('#acct_id').val();
                var action = 'party_bal';

                var dataString = 'acct_id=' + acct_id + '&action=' + action;
                $.ajax({
                    type: "POST",
                    url: "ajax/get_party_bal.php",
                    data: dataString,
                    success: function(data, status) {


                        // PARSE json data
                        var user = JSON.parse(data);
                        // Assing existing values to the modal popup fields

                        $("#party_bal").show();
                        $("#credit_limit").show();

                        $("#party_bal").val((user.bal_amt));
                        $("#credit_limit").val(user.credit_limit);
                        $("#sms_no").val(user.phone);




                    }
                });
            });








            /**********************START STATION COST DETAIL MODAL*******************/
            $(document).ready(function() {

                $(document).on('click', '.getuser', function(e) {

                    e.preventDefault();

                    var uid = $(this).data('id'); // it will get id of clicked row

                    //alert(uid);

                    $('#dynamic-content').html(''); // leave it blank before ajax call
                    $('#modal-loader').show(); // load ajax loader

                    $.ajax({
                        url: 'ajax/get_loc_current_stock.php',
                        type: 'POST',
                        data: 'id=' + uid,
                        dataType: 'html'
                    })
                        .done(function(data) {
                            console.log(data);
                            $('#dynamic-content').html('');
                            $('#dynamic-content').html(data); // load response
                            $('#modal-loader').hide(); // hide ajax loader
                        })
                        .fail(function() {
                            $('#dynamic-content').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                            $('#modal-loader').hide();
                        });

                });

            });

            /**********************END STATION COST DETAIL MODAL*******************/






            //LOAD DROP DOWN WITH BASE DOC VOUCHER ID
            $('#base_doc').change(function() {
                var base_doc = $('#base_doc').val();


                var datasend = 'base_doc=' + base_doc;

                $('#loaderc').fadeIn(400).html('<img src="images/ajax-loader.gif" align="absmiddle">');

                $.ajax({

                    type: "POST",
                    data: datasend,
                    url: 'ajax/select_base_voucher_id.php',
                    cache: false,
                    success: function(msg) {

                        //alert(msg);

                        $('#base_voucher_id').html(msg);

                        $('#loaderc').fadeOut("slow");

                    }

                });




            });




            /**********************START AUTO LOAD ITEM LIST**********************/
            $("#base_voucher_id").on("change", function() {

                var base_doc = $("#base_doc").val();

                var base_voucher_id = $("#base_voucher_id").val();

                var action = 'voucher_load';


                var dataString = 'base_doc=' + base_doc + '&base_voucher_id=' + base_voucher_id + '&action=' + action;



                $.ajax({
                    type: "POST",
                    data: dataString,
                    url: "ajax/get_sale_quote_voucher.php",
                    dataType: "json",
                    success: function(JSONObject) {
                        var peopleHTML = "";

                        // Loop through Object and create peopleHTML
                        var i = 1;

                        for (var key in JSONObject) {
                            if (JSONObject.hasOwnProperty(key)) {

                                $(".show_order_date").show();
                                $("#order_date").val(JSONObject[key]["voucher_date"]);




                                // $("#acct_id").val(JSONObject[key]["acct_id"]);
                                $("#acct_id").val(JSONObject[key]["acct_id"]);
                                $("#acct_id").select2().trigger('change');

                                $("#net_amt").val(JSONObject[key]["net_amt"]);
                                $("#adv_amt").val(JSONObject[key]["adv_amt"]);
                                $("#invoice_tot").val(JSONObject[key]["net_payable"]);

                                $("#grandtot_qty").val(JSONObject[key]["q_tot"]);

                                $("#grandtot").val(JSONObject[key]["grandtot"]);




                                peopleHTML += '<tr>';
                                peopleHTML += '<td><input class="case" type="checkbox"/></td>';
                                peopleHTML += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly size="1" value="' + JSONObject[key]["lineitem"] + '"/></td>';
                                peopleHTML += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" value="' + JSONObject[key]["stock_code"] + '" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
                                peopleHTML += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" value="' + JSONObject[key]["stock_name"] + '" class="form-control autocomplete_txt" autocomplete="off" ></td>';
                                peopleHTML += '<td><input type="text"  name="particulars[]" id="particulars_' + i + '" value="" class="form-control" autocomplete="off" ></td>';
                                peopleHTML += '<td><input type="text" name="available_qty[]" id="availableqty_' + i + '" value="" class="form-control available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                                peopleHTML += '<td><input type="number" name="qty[]" id="qty_' + i + '" value="' + JSONObject[key]["qty"] + '" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                                peopleHTML += '<td><input type="text" name="rate[]" id="orate_' + i + '" value="' + JSONObject[key]["rate"] + '" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                                peopleHTML += '<td><input type="text" name="discp[]" id="discp_' + i + '" value="' + JSONObject[key]["discp"] + '" class="form-control discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                                peopleHTML += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" value="' + JSONObject[key]["disc_amt"] + '" class="form-control discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                                peopleHTML += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" value="' + JSONObject[key]["itemtot"] + '" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                                peopleHTML += '</tr>';
                                i++;


                            }
                        }

                        // Replace table’s tbody html with peopleHTML
                        $("#addrow tbody").html(peopleHTML);
                        $('.remove_acct_id').select2('destroy');
                    }
                });
            });
            /**********************END AUTO LOAD ITEM LIST**********************/

            $(document).on('keypress', '.orate', function(event) {

                var keycode = (event.keyCode ? event.keyCode : event.which);
                if(keycode == '13'){
                    s_rate = $('#srate_' + id[1]).val();
                    orate = $('#orate_' + id[1]).val();
                    if(orate == '')
                    {
                        $('#orate_' + id[1]).val(0);
                    }

                    if (parseFloat(orate) < parseFloat(s_rate) && parseFloat(s_rate) > 0) {
                        var msg = "Cannot sell less than minimum retail price of " + parseFloat(s_rate) + "!"
                        $('#view_qty').html(msg);
                        $("#savedata").hide();
                        $("#savedata2").hide();
                        $(".delete_sale").hide();
                        $(".addmore_sale").hide();
                    } else {
                        $("#savedata").show();
                        $("#savedata2").show();
                        $(".delete_sale").show();
                        $(".addmore_sale").show();
                        add_more_row();

                    }

                }
            });


            $(document).on('keypress', '.qty', function(event) {

                var keycode = (event.keyCode ? event.keyCode : event.which);
                if(keycode == '13'){
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    var index =  $('#orate_' + id[1]).focus();
                    $('#orate_' + id[1]).select();

                }
            });



            $(document).on('keypress', '.disc_amt_m', function(event) {

                var keycode = (event.keyCode ? event.keyCode : event.which);
                if(keycode == '13'){

                    var index =  $('#dc_amt').focus();
                    $('#dc_amt').select();

                }

            });

            $(document).on('keypress', '.dc_amt', function(event) {
                var keycode = (event.keyCode ? event.keyCode : event.which);
                if(keycode == '13'){

                    var index =  $('#adv_amt').focus();
                    $('#adv_amt').select();

                }

            });


            $(document).on('keypress', '.adv_amt', function(event) {
                var keycode = (event.keyCode ? event.keyCode : event.which);
                if(keycode == '13'){

                    var index =  $('#b_adv_amt').focus();
                    $('#b_adv_amt').select();

                }

            });

            shortcut.add("Ctrl+R",function() {
                add_more_row();
            });

            shortcut.add("Ctrl+S",function() {
                sale_invoice_add();
            });
        </script>
        <!---------------------------START JAVASCRIPT-------------------------------->








</body>

</html>