<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}

/*****************START VARIABLES*************************/
$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');
$login_page = find_value("v_system", 'login_page', '');
$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

$v_id = clean_data($_GET['v_id']);
$_SESSION['v_id'] = $v_id;

/*****************END VARIABLES*************************/
$comp_name = clean_data($_SESSION["COMP_NAME"]);
$phone = clean_data($_SESSION["phone"]);
$address = clean_data($_SESSION["address"]);



?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title><?php echo $row->acct_name; ?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html">
    <!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change" class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="css/custom.css">
    <link type="text/css" rel="stylesheet" href="vendors/fancybox-master/dist/jquery.fancybox.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/paper-css-master/paper.css">
</head>

<body class="sidebar-icons">



    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a>
    <!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include('header.php'); ?>
    <!--END TOPBAR-->


    <!----------START WRAPPER--------->
    <div id="wrapper">


        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->
        <?php

        $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
        $update_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
        $delete_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");

        $and = '';

        $and .= " AND m.voucher_id = '$v_id'";
        $and .= " and m.comp_id = '$comp_id'";
        $and .= " and m.year_id = '$year_id'";


        try {
            $sl_detail_query =  "SELECT
    m.voucher_id,
    m.voucher_date,
    m.comp_id,
    m.year_id,
    p.acct_name,
    m.customer_name,
    m.customer_phone,
    m.bill_no,
    s.acct_name sp_name,
    m.discount_voucher_no,
    m.customer_cash,
    m.return_cash,
    m.acct_id,
    m.discp,
    m.net_amt,
    m.adv_amt,
    m.disc_amt,
    m.net_payable,
    m.dc_amt,
    
    m.order_id,
    l.loc_name,
    m.emp_id,
    m.sms_no,
    m.base_doc,
    m.base_voucher_id,
    m.posted,
    date_format(m.post_date, \"%h:%i %p\") post_date,
       m.order_date,
       m.inv_status,
       m.created_by,
       m.updated_by,
       p.phone,
       n.cash,
       m.particulars
    FROM sl_invoice m
    LEFT JOIN sl_invoicedet d ON m.voucher_id = d.voucher_id
    AND m.comp_id = d.comp_id AND m.year_id = d.year_id
    LEFT JOIN v_party p ON m.acct_id = p.acct_id
    LEFT JOIN sp s ON s.acct_id = m.sp_id
    LEFT JOIN location l ON l.loc_id = m.loc_id
    LEFT JOIN nom n on m.acct_id = n.acct_id
    WHERE 1=1  $and";
            $sl_detail_result = $dbcon->prepare($sl_detail_query);
            $sl_detail_result->execute(array());
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }

        $detail_row = $sl_detail_result->fetch(PDO::FETCH_OBJ);
        $v_emp_id = $detail_row->emp_id;
        $voucher_date = $detail_row->voucher_date;
        $posted = $detail_row->posted;
        $cash = $detail_row->cash;
        $purchase_note = $detail_row->particulars;
        $_SESSION['p_comp_id'] = $detail_row->comp_id;
        $_SESSION['p_year_id'] = $detail_row->year_id;

        /*****************END MYSQL MASTER TABLE QUERY*************************/

        $_SESSION['cash_acct'] = $detail_row->acct_id;
        $base_doc = $detail_row->base_doc;

        if ($base_doc == 'QT') {
            $new_base_doc = 'Quote';
        }

        if ($base_doc == 'SO') {
            $new_base_doc = 'Order';
        }

        if ($base_doc == 'DC') {
            $new_base_doc = 'Delivery Challan';
        }

        if ($base_doc == 'OG') {
            $new_base_doc = 'Gatepass';
        }
        if ($base_doc == 'PL') {
            $new_base_doc = 'Purchase Invoice';
        }

        $acct_id = $detail_row->acct_id;
        $acct_name = $detail_row->acct_name;
        $customer_name = $detail_row->customer_name;
        $customer_phone = $detail_row->customer_phone;



        if ($detail_row->order_date != '0000-00-00' && $detail_row->order_date !=  1970 - 01 - 01) {
            $order_date = format_date_yyyy($detail_row->order_date);
        }


        $base_v_id = substr($detail_row->base_voucher_id,-6);


        $currentDateTime =  $detail_row->post_date;
        $newDateTime = date('h:i', strtotime($currentDateTime));

        $party_acct_id = $detail_row->acct_id;

        $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                                     FROM v_vouchers v where v.acct_id = '$party_acct_id' and cash<>'Y') v "  , 'bal_amt', '' );


        ?>
        <!---------------START PAGE WRAPPER----------------->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title"><?php echo $title; ?></div>
                </div>

                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index.php">Home</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;
                    </li>
                    <li><a href="show_purchase_invoice.php?voucher_type=<?php echo $voucher_type; ?>">Show Sale Invoice</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active">Sale Invoice Detail</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!---------------START PAGE CONTENT----------------->
            <div class="page-content" id="html-content-holder">

                <!--------------START TOOLBAR---------------->
                <!--------------START ADD NEW BUTTON---------------->
                <?php
                if (!empty($insert_allowed) or ($auth_id == '9')) {

           ?>

                    <form method="get" action="<?php echo $menu_cmd; ?>" style='float: left; padding: 0px;'>
                        <input type="hidden" name="add" value="Y">
                        <input type="hidden" name="menu_id" value="<?php echo $menu_id; ?>">
                        <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                            <i class="icon-user icon-white"></i>
                        </button>
                    </form>
                <?php }  ?>
                <!--------------END ADD NEW BUTTON---------------->

                <!--------------START EDIT  BUTTON---------------->
                <?php
                if ($posted != 'on' && (($emp_id == $v_emp_id || $auth_id == '8') && ($voucher_date > $date_close) && !empty($update_allowed) || ($auth_id == '9'))) {
                ?>
                    <form method="get" action="<?php echo $menu_cmd; ?>" style='float: left; padding: 0px;'>
                        <input type="hidden" name="add" value="N">
                        <input type="hidden" name="menu_id" value="<?php echo $menu_id; ?>">
                        <input type="hidden" name="v_id" value="<?php echo $detail_row->voucher_id; ?>">
                        <input type="hidden" name="comp_id" value="<?php echo $comp_id; ?>">
                        <input type="hidden" name="year_id" value="<?php echo $year_id; ?>">
                        <input type="submit" class="btn  waves-effect waves-light" value="Edit">
                    </form>
                <?php }
                ?>
                <!--------------END EDIT BUTTON---------------->

                <!--------------START POST BUTTON---------------->

                <?php
                $label = 'Post';
                if ($posted == 'on') {
                    $label = 'Un-Post';
                }


                if ((($emp_id == $v_emp_id || $auth_id == '8') && $voucher_date > $date_close) || $auth_id == '9') {
                ?>
                    <input type="hidden" name="comp_id" id="comp_id" value="<?php echo $comp_id; ?>">
                    <input type="hidden" name="year_id" id="year_id" value="<?php echo $year_id; ?>">
                    <input type="hidden" name="v_id" id="v_id" value="<?php echo $v_id; ?>">
                    <input type="hidden" name="voucher_type" id="voucher_type" value="<?php echo $voucher_type; ?>">
                    <input type="hidden" name="post" id="post" value="<?php echo $posted; ?>">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id; ?>">
                    <input type="hidden" name="table" id="table" value="<?php echo $table; ?>">
                    <button type="button" class="btn btn-success" onClick="post_voucher()"><?php echo $label; ?> <i class="zmdi zmdi-check"></i>
                    </button>
                <?php
                }
                ?>
                <!--------------END POST BUTTON---------------->

                <!--------------START DELETE VOUCHER BUTTON---------------->
                <?php
                if ($posted != 'on' && ((!empty($delete_allowed)) && ($voucher_date > $date_close) || ($auth_id == '9'))) {
                ?>
                    <button type="button" class="btn btn-danger" onClick="delete_voucher('<?php echo $v_id; ?>','<?php echo $comp_id; ?>','<?php echo $year_id; ?>','<?php echo $table; ?>')">Delete<i class="zmdi zmdi-delete"></i></button>
                <?php }
                ?>
                <!--------------END DELETE VOUCHER BUTTON---------------->


                <?php
                if ($posted == 'on') {


                if($login_page == 'login-ng')
                {

                    $detail = find_value("menu", "menu_print", " and menu_id='$menu_id'");
                    ?>

                    <a href="#"><button class="btn btn-icon btn-dark"  onClick="print_voucher('<?php echo $v_id; ?>','<?php echo $comp_id; ?>','<?php echo $year_id; ?>')" data-toggle="tooltip" data-placement="top" title="Print"><i class="fa fa-print"></i> Print </button></a>

                <?php } else {


                    $detail = find_value("menu", "menu_print", " and menu_id='$menu_id'");


                 ?>

                    <!--------------START PRINT PDF BUTTON---------------->
                    <a href="<?php echo $detail; ?>?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>" target="_blank"><button class="btn btn-default"><u>P</u>RINT <i class="zmdi zmdi-print"></i></button></a>


                    <a href="kt_pdf_sl_print_tcpdf?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>" target="_blank"><button class="btn btn-dark">Print Urdu <i class="zmdi zmdi-print"></i></button></a>
                    <a href="print_sl_inv_a4?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>" target="_blank"><button class="btn btn-dark">Print Urdu <i class="zmdi zmdi-print"></i></button></a>

<!--                    <a href="wa_img_sl_invoice?v_id=<?php /*echo $v_id; */?>&comp_id=<?php /*echo $comp_id; */?>&year_id=<?php /*echo $year_id; */?>" target="_blank"><button class="btn btn-success">Whats App <i class="zmdi zmdi-print"></i></button></a>
-->

                    <!--------------END PRINT PDF BUTTON---------------->
                <?php  } ?>
                <!--------------END TOOLBAR---------------->

                <?php } ?>

                <?php
                if ($posted == 'on') {
                ?>
                    <!--------------START UPLOAD DOCUMENT---------------->
                    <?php
                    $voucher_id =  $voucher_type . $v_id;

                    $files = ("dist/" . $db_name . "/vouchers/" . $comp_id . $year_id . $voucher_id . ".jpg");
                    if (!file_exists($files)) {
                    ?>
                        <button type="button" class="btn btn-warning" id="show_file_box">
                            <i class="glyphicon glyphicon-file"></i> Upload Document
                        </button>
                    <?php } else { ?>
                        <a id="single_1" href="<?php echo $files; ?>">
                            <button type="button" class="btn btn-warning">
                                <i class="glyphicon glyphicon-file"></i> View Document
                            </button>
                        </a>
                    <?php } ?>
                    <a id="single_1" href="<?php echo $files; ?>">
                        <button type="button" class="btn btn-warning" id="view_doc">
                            <i class="glyphicon glyphicon-file"></i> View Document
                        </button>
                    </a>

                    <form id="image_upload_form" method="post" enctype="multipart/form-data" action='upload.php' autocomplete="off">
                        <div class="alert alert-danger hide"></div>
                        <div class="alert alert-success hide"></div>
                        <div class="col-md-6">
                            <div class="form-group">

                                <div class="input-group">

                                    <input type="text" class="form-control" id="input_image_text" readonly>
                                    <span class="input-group-btn">
                                        <span class="btn btn-success btn-file">
                                            Browse… <input type="file" id="photoimg" name="photoimg" />
                                        </span>
                                        <button type="submit" class="btn btn-warning">
                                            <i class="glyphicon glyphicon-upload"></i> upload
                                        </button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>

                    <!--------------END UPLOAD DOCUMENT---------------->
                <?php } ?>







                <!--------------START HOLD  BUTTON---------------->
                <?php
                if ($posted == 'on' && (($emp_id == $v_emp_id || $auth_id == '8') && ($voucher_date > $date_close) && $inv_status == 'Hold' || ($auth_id == '9'))) {
                    ?>
                    <form method="get" action="<?php echo $menu_cmd; ?>" style='float: right; padding: 0px;'>
                        <input type="hidden" name="add" value="N">
                        <input type="hidden" name="menu_id" value="<?php echo $menu_id; ?>">
                        <input type="hidden" name="v_id" value="<?php echo $detail_row->voucher_id; ?>">
                        <input type="hidden" name="comp_id" value="<?php echo $comp_id; ?>">
                        <input type="hidden" name="year_id" value="<?php echo $year_id; ?>">
                        <input type="submit" class="btn btn-blue  waves-effect waves-light" value="Hold Invoice">
                    </form>
                <?php }
                ?>
                <!--------------END HOLD BUTTON---------------->



                <div id="view"></div>


                <br clear="all"><br clear="all">


                <!-------------START MASTER TABLE---------------->

                <div class="table-responsive">
                    <table class="table dt-responsive table-striped table-bordered nowrap">
                        <thead>
                            <tr>
                                <th>Date:</th>
                                <td>
                                    <?php echo format_date($detail_row->voucher_date) . ' ' . $detail_row->post_date;
                                    ?>
                                </td>

                                <th>Voucher ID:</th>
                                <td><?php echo $detail_row->voucher_id;

                                    $_SESSION['party_acct_id'] = $detail_row->acct_id;

                                    ?></td>

                                <th>Account Name:</th>
                                <td><?php echo $detail_row->acct_name; ?></td>
                            </tr>

                            <tr>

                                <th>Customer Name:</th>
                                <td><?php echo $detail_row->customer_name; ?></td>

                                <th>Customer Phone:</th>
                                <td><?php echo $detail_row->customer_phone; ?></td>

                                <th>Invoice Status:</th>
                                <td><?php echo $detail_row->inv_status; ?></td>




                            </tr>

                            <tr>



                                <th>Customer SMS:</th>
                                <td><?php echo $detail_row->sms_no; ?></td>

                                <th>Location:</th>
                                <td><?php echo $detail_row->loc_name; ?></td>
                                <th>Invoice No:</th>
                                <td><?php echo $detail_row->bill_no; ?></td>
                            </tr>

                            <tr>


                                <td></td>
                                <td></td>
                                <th>SalesMan:</th>
                                <td><?php echo $detail_row->sp_name; ?></td>

                                <th>Prepared By</th>
                                <td><?php echo $detail_row->emp_id; ?></td>
                            </tr>
                            <tr>

                                <th>Base Document:</th>
                                <td><?php echo $new_base_doc; ?></td>
                                <th>Base Voucher ID:</th>
                                <td>
                                    <?php
                                    /*if($base_doc == 'PL')
                                    {
                                        $base_voucher = 'pl_inv_detail';
                                        $menu_id = '2.1';
                                    }
                                    if($base_doc == 'SO')
                                    {
                                        $base_voucher = 'sl_order_detail';
                                        $menu_id = '1.2';
                                    }*/
                                    ?>
                                   <!-- <a href="<?php /*echo $base_voucher;*/?>?comp_id=<?php /*echo $comp_id;*/?>&year_id=<?php /*echo $year_id;*/?>&v_id=<?php /*echo $base_v_id; */?>&menu_id=<?php /*echo $menu_id;*/?>" target="_blank">

                                    </a>-->
                                    <?php echo $detail_row->base_voucher_id; ?>
                                </td>
                                <th>Order Date:</th>
                                <td><?php echo $order_date; ?></td>




                            </tr>


                            <tr>

                                <th>Created By:</th>
                                <td><?php echo $detail_row->created_by; ?></td>
                                <th>updated By:</th>
                                <td>
                                    <?php echo $detail_row->updated_by; ?>
                                </td>
                                <td></td>
                                <td></td>





                            </tr>
                            <thead>

                    </table>
                </div>

                <!-------------END MASTER TABLE---------------->

                <table id="advanced-table" class="table dt-responsive table-striped table-bordered nowrap">
                    <thead>
                        <tr>
                            <th>SR NO.</th>

                            <th>STOCK CODE</th>

                            <th>DESCRIPTION</th>
                            <th>PARTICULARS</th>
                            <th>QTY</th>
                            <th>SCHEME</th>
                            <th>RATE</th>
                            <th>DISCOUNT%</th>
                            <th>DISC AMOUNT</th>



                            <th>AMOUNT</th>
                            <?php if ($posted == '') {
                            ?>

                                <th>DELETE</th>
                            <?php } else {
                            ?>

                            <?php } ?>
                        </tr>
                    </thead>

                    <tbody>
                        <?php
                        //sale invoice detail query
                        $and = '';

                        $and .= " AND d.voucher_id = '$v_id'";
                        $and .= " and d.comp_id = '$comp_id' ";
                        $and .= " and d.year_id = '$year_id' ";




                        try {
                            $sl_d_query =  "SELECT
       m.voucher_date,
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount,
	d.sharing,
	d.avg_rate,
	d.disc_amt,
       m.sms_time,
       m.wa_sms_time,
       d.bouns_qty
 	FROM sl_invoice m 
 	LEFT JOIN sl_invoicedet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id AND m.year_id = d.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = m.comp_id

	WHERE 1=1 $and ORDER BY d.lineitem/1";






                            $sl_d_result = $dbcon->prepare($sl_d_query);
                            $sl_d_result->execute(array());
                        } catch (PDOException $e) {
                            echo "Error : " . $e->getMessage();
                        }




                        $srno = 0;
                        $qty_tot = 0;
                        $amount_tot = 0;
                        $rate_tot = 0;
                        $disc_tot = 0;

                        $tot_sharing_amount = "";

                        $start_date = date('Y-01-01');



                        while ($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ)) {
                            $srno += 1;
                            $v = $d_row->voucher_id;

                            $qty_tot += $d_row->qty;
                            $rate_tot += $d_row->rate;
                            $disc_tot += $d_row->discp;
                            $amount_tot += $d_row->itemtot;

                            $s_v_id = $d_row->voucher_id;
                            $stock_code = $d_row->stock_code;
                            $v_date = $d_row->voucher_date;



                            $_SESSION['avg_rate'] = $d_row->avg_rate;



                            $sms_time = $d_row->sms_time;
                            $wa_sms_time = $d_row->wa_sms_time;

                           /* if(empty($sms_time) && empty($wa_sms_time)  && strlen($s_v_id) == 6 )
                            {
                                update_avg_rates($comp_id ,$year_id , '', "''", $start_date, $v_date, '', $stock_code);
                            }*/


                        ?>
                            <tr>
                                <td><?php echo $d_row->lineitem; ?></td>
                                <td><?php echo $d_row->stock_code; ?></td>

                                <td><?php echo $d_row->description; ?></td>
                                <td><?php echo $d_row->particulars; ?></td>
                                <td><?php echo number_format($d_row->qty); ?></td>
                                <td><?php echo number_format($d_row->bouns_qty); ?></td>
                                <td><?php echo number_format($d_row->rate); ?></td>
                                <td><?php echo round($d_row->discp); ?></td>
                                <td><?php echo round($d_row->disc_amt); ?></td>

                                <td><?php echo number_format($d_row->itemtot); ?></td>




                                <?php
                                if ($posted != 'on' && ((!empty($delete_allowed)) && ($voucher_date > $date_close) || ($auth_id == '9'))) {
                                    ?>

                                    <td>
                                        <a class="text-muted delete_product" onclick="delete_single('<?php echo $v_id; ?>','<?php echo $d_row->lineitem; ?>','<?php echo $comp_id; ?>','<?php echo $year_id; ?>','<?php echo $table; ?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                                    </td>
                                <?php } ?>

                            </tr>
                        <?php
                        }
                        ?>


                        <tr>





                            <td></td>
                            <td></td>
                            <td></td>


                            <td align="right"><b>Total</b></td>
                            <td><b><?php echo $qty_tot; ?></b></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>



                            <td>
                                <b><?php echo format_number($amount_tot, 0);
                                    $_SESSION['sale_amount'] = $amount_tot;
                                    ?></b>
                            </td>




                        </tr>

                        <tr>

                            <?php if ($posted == '') {
                                ?>
                                <td colspan="9" rowspan="9" style="padding: 10px 10px 20px 0">
                                    <textarea  class="purchase_note" name="purchase_note" id="purchase_note" cols="60" rows="10" style="width: 100%" readonly><?php echo $purchase_note;?></textarea>
                                </td>

                            <?php } ?>

                            <?php if ($posted == 'on') {
                                ?>
                                <td colspan="8" rowspan="8" style="padding: 10px 10px 20px 0">
                                    <textarea  class="purchase_note" name="purchase_note" id="purchase_note" cols="60" rows="10" style="width: 100%" readonly><?php echo $purchase_note;?></textarea>
                                </td>

                            <?php } ?>


                            <td><b>Discount</b></td>
                            <td><?php echo number_format($detail_row->discp); ?></td>

                        </tr>


                        <tr>
                            <td><b>Discount Amount</b></td>
                            <td><?php echo number_format($detail_row->disc_amt); ?></td>


                        </tr>

                        <tr>
                            <td><b>Freight</b></td>
                            <td><?php echo number_format($detail_row->dc_amt); ?></td>


                        </tr>


                        <tr>
                            <td><b>Invoice Amount</b></td>
                            <td><?php echo number_format($detail_row->net_amt); ?></td>


                        </tr>

                        <tr>
                            <td><b>Advance</b></td>
                            <td><?php echo number_format($detail_row->adv_amt);

                            $_SESSION['adv_amt'] = $detail_row->adv_amt;
                                ?>
                            </td>


                        </tr>


                        <tr>
                            <td><b>Total Invoice</b></td>
                            <td><?php echo number_format($detail_row->net_payable); ?></td>

                        </tr>

                        <tr>
                            <td><b>Customer Cash</b></td>
                            <td><?php echo number_format($detail_row->customer_cash);?></td>


                        </tr>
                    <tr>
                        <td><b>Return Cash</b></td>
                        <td><?php echo number_format($detail_row->return_cash);?></td>
                    </tr>
                    </tbody>
                </table>








            </div>
            <!---------------END PAGE CONTENT----------------->



            <?php
            if($posted == 'on')
            {


                $address = find_value("company", 'add_line1', " and comp_id  = '$comp_id'");
                $phone = find_value("company", 'phone', " and comp_id  = '$comp_id'");
                $mobile = find_value("company", 'mobile', " and comp_id  = '$comp_id'");
                $f_comp_name = find_value("company", 'comp_name', " and comp_id  = '$comp_id'");
                ?>

                <!-----------------------------------Start Whats App Send SMS---------------------------------------------------------->

                <?php


                if($login_page == 'kt')
                {
                    $f_comp_name = 'Nizami Group of Companies';
                }


                 if($comp_id == 'CA')
                {
                    $f_comp_name = 'Nizami Group of Companies';
                    $f_phone = "Branch: 0606-372446<br>";
                    $f_phone .= "Head Office: 0966-855745  <br>";
                    $f_phone .= "Kifayat (SO) - 0345-0921020<br>";
                    $f_phone .= "Yaseen - 0343-9267049 <br>";


                }





                if($comp_id == 'KT')
                {
                    $branch = 'Branch # 1';
                }
                if($comp_id == 'IT')
                {
                    $branch = 'Branch # 2';
                }
                if($comp_id == 'BT')
                {
                    $branch = 'Branch # 3';
                }
                if($comp_id == 'HT')
                {
                    $branch = 'Branch # 4';
                }
                if($comp_id == 'RF')
                {
                    $branch = 'Branch # 5';
                }



                if($acct_id == '2710000001')
                {
                    if($customer_name != '')
                    {
                        $acct_name = 'Walk in Customer';
                        $acct_name_2 = $customer_name . '-'. $customer_phone;
                    }

                }
                else
                {
                    $acct_name = $acct_name . '- ' .$detail_row->phone;
                }



                ?>


                <div class="page-content A5 html-content-wa" id="html-content-holder" style="display: none;"      >
                    <div class="sheet padding-15mm" id="advanced-tablee">
                        <!-- <div class="row">
                             <img src="images/kt.png" class="img " width="90" height="90">
                         </div>-->
                        <table border="0" >
                            <tr >

                               <!-- <td style="width: 20%" rowspan="5" >
                                    <img src="images/kt.png" class="img " width="90" height="90">

                                </td>-->


                                <td style="     font-weight: bold; ">
                                    <?php
                                    if($comp_id == 'SF')
                                    {
                                    ?>
                                        <h2 style="width: 100%;  text-align: center; font-size: 40px; font-weight: bold; ">Warehouse</h2>


                                    <?php } else {?>
                                        <h2 style="width: 100%;  text-align: right; font-size: 30px; font-weight: bold; "><?php echo $f_comp_name;?></h2>

                                    <?php } ?>

                                </td>

                            </tr>
                            <tr>
                                <td style="width: 100%; font-size: 14px; text-align: center; font-weight: bold; ">

                                    <?php echo $branch;?>
                                </td>

                            </tr>

                            <tr>
                                <td style="width: 100%; font-size: 14px; font-weight: bold; text-align: center; ">
                                    <?php echo $address;?>

                                </td>

                            </tr>

                            <tr>
                                <td style="width: 100%; font-size: 14px; text-align: center; font-weight: bold; ">

                                    <?php echo $f_phone?>
                                    <img src="images/wa_logo.png" class="img " width="30" height="30"> 0326-5990000
                                    <br>
                                    <img src="images/wa_logo.png" class="img " width="30" height="30"> 0334-7215358


                                    <br>
                                    <?php
                                    if($comp_id == 'SF')
                                    {
                                    ?>

                                        Kifayat (SO) - 0345-0921020
                                        <br>
                                        Head Office - 0966-855745


                                        <br>

                                    <?php } ?>

                                </td>

                            </tr>


                            <tr>
                                <td style="width: 100%; font-size: 14px; text-align: center; font-weight: bold; ">
                                   <!-- <img src="images/wa_logo.png" class="img " width="30" height="30"> 03449382007-->
                                </td>

                            </tr>



                        </table>

                        <br clear="all">


                        <table  class="table table-bordered">
                            <tr>
                                <th style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    Time
                                </th>
                                <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    <?php echo $newDateTime;?>
                                </td>

                                <th style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    Prepared By
                                </th>
                                <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    <?php echo $emp_id;?>
                                </td>

                            </tr>
                            <tr>
                                <th style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    Inv No
                                </th>
                                <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    <?php echo $v_id;?>
                                </td>

                                <th style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    Inv Date
                                </th>
                                <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    <?php echo format_date_yyyy($voucher_date);?>
                                </td>

                            </tr>


                            <tr>

                                <th style="width: 20%; border: 0px solid #000000; font-size: 14px;" colspan="2">
                                    <?php echo $acct_name ?>
                                </th>

                                <th style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                   Total Balance
                                </th>
                                <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                                    <?php echo format_number($p_bal,0);?>
                                </td>

                            </tr>


                            <tr>

                                <th style="width: 20%; border: 0px solid #000000; font-size: 14px;" colspan="4">
                                    <?php echo ($acct_name_2);?>
                                </th>



                            </tr>


                        </table>





                        <table  class="table table-bordered"  >
                            <thead>

                            <tr >


                                <th >Description</th>

                                <th >Qty</th>
                                <th style="text-align: center;" >Price</th>

                                <th style="text-align: right;" >Amount</th>



                            </tr>
                            </thead>


                            <tbody>
                            <?php
                            //sale invoice detail query
                            $and = '';

                            $and .= " AND d.voucher_id = '$v_id'";
                            $and .= " and d.comp_id = '$comp_id' ";
                            $and .= " and d.year_id = '$year_id' ";




                            try {
                                $sl_d_query =  "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount,
	d.sharing,
	d.avg_rate,
	d.disc_amt,
      m.disc_amt
       
 	FROM sl_invoice m 
 	LEFT JOIN sl_invoicedet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id AND m.year_id = d.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = m.comp_id

	WHERE 1=1 $and ORDER BY d.lineitem/1";






                                $sl_d_result = $dbcon->prepare($sl_d_query);
                                $sl_d_result->execute();
                            } catch (PDOException $e) {
                                echo "Error : " . $e->getMessage();
                            }




                            $srno = 0;
                            $qty_tot = 0;
                            $amount_tot = 0;
                            $rate_tot = 0;
                            $disc_tot = 0;

                            $tot_sharing_amount = "";

                            while ($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ)) {
                                $srno += 1;
                                $v = $d_row->voucher_id;

                                $qty_tot += $d_row->qty;
                                $rate_tot += $d_row->rate;
                                $disc_tot += $d_row->discp;
                                $amount_tot += $d_row->itemtot;
                                $disc_amt = $d_row->disc_amt;


                                $_SESSION['avg_rate'] = $d_row->avg_rate;

                                $total_amt  = $amount_tot - $disc_amt;





                                ?>
                                <tr >
                                    <td > <?php echo $d_row->description; ?></span></td>
                                    <td ><?php echo number_format($d_row->qty); ?></td>
                                    <td style="text-align: right;  "><?php echo format_number($d_row->rate,0); ?></td>
                                    <td style="text-align: right; "><?php echo format_number($d_row->itemtot,0); ?></td>




                                </tr>
                                <?php
                            }
                            ?>

                            </tbody>
                        </table>

                        <table   class="table table-bordered" cellspacing="0" cellpadding="5" >
                            <tr >
                                <td style="font-weight: bold; width: 26%" >Subtotal</td>
                                <td style="text-align: left; width: 32%;  "><b><?php echo format_number($qty_tot,0); ?></b></td>

                                <td style="text-align: right; width: 49%; "><b><?php echo format_number($amount_tot,0); ?></b></td>


                            </tr>



                            <tr >
                                <td style="width: 46%; font-weight: bold; ">Discount</td>
                                <td></td>
                                <td style="text-align: right; width: 29%; "><b><?php echo number_format($detail_row->disc_amt,0); ?></b></td>
                            </tr>


                            <tr >
                                <td style="width: 46%; font-weight: bold; ">Total</td>
                                <td></td>
                                <td style="text-align: right; width: 29%; "><b><?php echo number_format($total_amt,0); ?></b></td>
                            </tr>


                            <tr >
                                <td style="width: 46%; font-weight: bold; ">Cash Paid</td>
                                <td></td>
                                <td style="text-align: right; width: 29%; "><b><?php echo number_format($detail_row->customer_cash,0); ?></b></td>
                            </tr>

                            <tr >
                                <td style="width: 46%; font-weight: bold;">Cash Return</td>
                                <td></td>
                                <td style="text-align: right; width: 29%; "><b><?php echo number_format($detail_row->return_cash,0); ?></b></td>
                            </tr>




                        </table>

                        <?php
                        if($cash == 'N')
                        {
                        ?>
                        <style>
                            @font-face {
                                font-family: urdu-font-jameel;
                                src: url('css/JameelNooriNastaleeqRegular.ttf');
                            }
                            /*@import url('https://fonts.googleapis.com/css2?family=Noto+Nastaliq+Urdu:wght@500&display=swap');*/
                            #ur-font{
                                font-family: 'urdu-font-jameel', serif;
                            }
                        </style>

                            <h2 style="float: right;">نوٹ:</h2>

                        <h3 style="float: right; text-align: center;" id="ur-font">
                            "انوائیس کے اوپر دئیے گئے ٹوٹل بیلنس کو ضرور ٹیلی کریں فرق کی صورت میں 24 گھنٹے کے اندر اپنے کھاتہ کو دیئے گئے کسٹمر سپورٹ سے تصدیق کر لیں بصورت دیگرانوائیس   ٹوٹل بیلنس ہی تصور کیا جائے گا
                              "

                        </h3>
                        <br clear="all"> <br clear="all">

                        <p style="text-align: center; font-weight: bold; font-size: 16px;"> 0320 00 00 605 :کسٹمر سپورٹ</p>


                        <?php } ?>

                    </div>









                </div>


                <!-----------------------------------End Whats App Send SMS---------------------------------------------------------->




            <?php } ?>





        </div>
        <!---------------END PAGE WRAPPER----------------->
    </div>
    <!----------END WRAPPER--------->













    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script>
    <!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <!--CORE JAVASCRIPT-->
    <script src="js/main.js"></script>
    <!--LOADING SCRIPTS FOR PAGE-->

    <!-- BOOT BOX ALERT -->
    <script src="js/bootbox.min.js" type="text/javascript"></script>
    <script src="vendors/fancybox-master/dist/jquery.fancybox.min.js"></script>
    <script src="vendors/html2canvas.min.js"></script>



    <script type="text/javascript">



        function screenshot(){
            $('.html-content-wa').show();
            html2canvas(document.querySelector("#advanced-tablee")).then(canvas => {
                //document.body.appendChild(canvas);

                // Get base64URL
                var base64URL = canvas.toDataURL('image/jpeg').replace('image/jpeg', 'image/octet-stream');
                var v_id = '<?php echo $v_id;?>';
                var f_comp_id = '<?php echo $comp_id;?>';



                var dataString = 'base64URL=' + base64URL +
                    '&v_id=' + v_id +
                    '&f_comp_id=' + f_comp_id;

                $.ajax({
                    url: 'img_sl_invoice.php',
                    type: 'post',
                    data: {image: base64URL, v_id: v_id, f_comp_id: f_comp_id},
                    success: function(data){
                        //alert(data);

                        console.log('Upload successfully');
                        $('.html-content-wa').hide();
                    }
                });
            });
        }

        post = '<?php echo $posted;?>';


            $(window).on('load', function () {
                if(post == 'on') {
                    screenshot();

                }
            });





















        //delete single enteryvoucher
        function delete_single(voucherid, lineitem, comp_id, year_id, table) {

            p_menu_id = '<?php echo $menu_id;?>';

            var status = confirm("Are you sure want to Single Entery Delete");
            if (status == true) {
                var datastring = 'voucherid=' + voucherid + '&lineitem=' + lineitem + '&comp_id=' + comp_id + '&year_id=' + year_id + '&table=' + table + '&action=' + 'delete_lineitem';
                $.ajax({
                    type: "POST",
                    url: "delete_voucher",
                    data: datastring,
                    success: function(result) {
                        //alert(result);
                        window.location = "<?php echo $menu_detail; ?>?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>"
                    }
                });
            }
        }

        //delete voucher
        function delete_voucher(voucherid, comp_id, year_id, table) {
            var status = confirm("Are you sure want to Full Voucher Delete");

            p_menu_id = '<?php echo $menu_id;?>';

            if (status == true) {
                var datastring = 'voucherid=' + voucherid +
                    '&comp_id=' + comp_id +
                    '&year_id=' + year_id +
                    '&table=' + table +
                    '&p_menu_id=' + p_menu_id +
                    '&action=' + 'delete_voucher';

                $.ajax({
                    type: "POST",
                    url: "delete_voucher",
                    data: datastring,
                    success: function(result) {
                        //alert(result);
                        window.location = "<?php echo $menu_link; ?>&menu_id=<?php echo $menu_id; ?>"
                    }
                });
            }
        }

        //sale invoice post
        function post_voucher() {
            var comp_id = $('#comp_id').val();
            var year_id = $('#year_id').val();
            var v_id = $('#v_id').val();
            var voucher_type = $('#voucher_type').val();
            var post = $('#post').val();
            var table = $('#table').val();
            var p_menu_id = '<?php echo $menu_id;?>';
            var v_date = '<?php echo $detail_row->voucher_date;?>';
            posted = '<?php echo $posted;?>';
            var status = confirm("Are you sure want to <?php echo $label; ?> Data.");

            if (status == true) {
                var datastring = 'comp_id=' + comp_id +
                    '&year_id=' + year_id +
                    '&v_id=' + v_id +
                    '&voucher_type=' + voucher_type +
                    '&post=' + post +
                    '&p_menu_id=' + p_menu_id +
                    '&v_date=' + v_date +
                    '&table=' + table;

                $.ajax({
                    type: "POST",
                    url: "process/kt_sale_inv_post.php",
                    data: datastring,
                        beforeSend: function() {
                            plsWaitDiv('body', 'show');
                        },
                    success: function(result) {
                        //alert(result);

                        var voucher_id = result;


                        <?php
                        if($login_page == 'login-ng')
                        {
                        ?>
                        if(posted == '')
                        {
                            window.open("ng_print_sale_inv?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id; ?>");

                        }
                        <?php
                        }

                        else
                            {

                            ?>
                        window.open("kt_pdf_sl_print?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id; ?>");


                    <?php } ?>


                        window.location = "<?php echo $menu_detail; ?>?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type; ?>&posted=''&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>";
                    }
                });
            }
        }



















        /*************START BEFORE SAVE PLEASE WAIT MSG SHOW OVERLAY***********/
        function plsWaitDiv(selector, visibility) {
            if ('show' == visibility) {
                $(selector).css('position', 'relative');
                $(selector).append('<div  class="plswait_overlay">Please wait<span class="dots"><span>.</span><span>.</span><span>.</span></span></div>');
            } else {
                $(selector).css('position', 'static');
                $('.plswait_overlay').remove();
            }
        }


        /*************START BEFORE SAVE PLEASE WAIT MSG SHOW OVERLAY***********/


        $('#show_file_box').on('click', function() {
            $('#image_upload_form').show();

        });


        jQuery(document).ready(function() {
            $('#photoimg').on('change', function() {
                var label = $(this).val().replace(/\\/g, '/').replace(/.*\//, ''),
                    input = $('#input_image_text').val(label);
                $('.alert').addClass('hide');
                $('.alert').removeClass('show');

            });

            var frm = $('#image_upload_form');

            frm.submit(function(e) {
                e.preventDefault();
                var formData = new FormData();
                formData.append('photoimg', $('#photoimg')[0].files[0]);


                $.ajax({
                    type: frm.attr('method'),
                    url: frm.attr('action'),
                    data: formData,
                    dataType: "json",
                    processData: false, // tell jQuery not to process the data
                    contentType: false, // tell jQuery not to set contentType

                    success: function(data) {
                        console.log(data['error']);
                        if (data.error == 1) {
                            $('.alert-danger').removeClass('hide').addClass('show').html(data['msg']);
                        } else {
                            $('.alert-success').removeClass('hide').addClass('show').html('Uploaded');
                            console.log(data);
                            $('#image_upload_form').delay(1000).fadeOut('slow');
                            $('#show_file_box').hide();
                            $('#view_doc').show();


                        }

                    },
                    error: function(data) {
                        console.log(data);
                        $('.alert-danger').removeClass('hide').addClass('show').html(data);
                    },
                });
            });
        });






        $(document).ready(function() {
            $("#single_1").fancybox({
                helpers: {
                    title: {
                        type: 'float'
                    }
                }
            });
        })








        function print_voucher(voucherid, comp_id, year_id) {

            p_menu_id = '<?php echo $menu_id;?>';

            var datastring = 'voucherid=' + voucherid +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +

                '&p_menu_id=' + p_menu_id +

                '&action=' + 'print_voucher';

            bootbox.dialog({
                message: "Are you sure you want to Print this ?",
                title: "<i class='glyphicon glyphicon-print'></i> Print",
                buttons: {

                    dark: {
                        label: "Sale Invoice",
                        className: "btn-dark btn-md w-150",
                        callback: function() {

                            window.open ("<?php echo $detail; ?>?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&p_type=SL", '_blank');


                        }


                    },

                    success: {
                        label: "Sale Invoice A4",
                        className: "btn-success btn-md w-150",
                        callback: function() {

                            window.open ("print_sl_inv_a4?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&p_type=SL", '_blank');


                        }


                    },

                    warning: {
                        label: "Delivery Challan",
                        className: "btn-warning btn-md w-150 ",
                        callback: function () {


                            window.open("ng_print_sale_inv_qty?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&p_type=DC", '_blank');


                        }
                    }

                },
                onEscape: false,
                backdrop: true,
            });

        }







































    </script>






</body>

</html>