<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
if ($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = clean_data($_POST['comp_id']);

$acct_id = clean_data($_POST['acct_id']);
$cat_id = clean_data($_POST['cat_id']);
$loc_id = clean_data($_POST['loc_id']);

$qty_decimals=find_value('v_system','qty_decimals','');
$amt_decimals=find_value('v_system','amt_decimals','');
/*****************START MYSQL VARIABLES**************/


/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {

    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
} else {
    $comp_name = find_value('v_system', 'comp_name', "");

}
/*************END FINDE COMPANY NAME*****************/


$and = "";

#  BK      $and = " and i.stock_code>='3449'";


$and_comp = "";


if ($comp_id != "All") {

    $and_comp .= " and v.comp_id = '$comp_id'";


} else {
    $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
				LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
				WHERE uc.emp_id = '$emp_id' )";


}


if ($acct_id != "All") {
    $and .= " and v.stock_code = '$acct_id'";
}


if ($cat_id != "All") {
    $and .= " and i.cat_id = '$cat_id'";
}


$and .= " and (v.db_qty is not null or v.cr_qty is not null)";


if ($loc_id != "All") {
    $and .= " and v.loc_id = '$loc_id'";
}


/*****************END MYSQL VARIABLES**************/


?>

<h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name; ?></h1>
<div class="table-responsive">

    <?php


    /*****************START GRAND TOTAL VARIABLES**************/
    $g_tot_dbqty = 0;
    $g_tot_crqty = 0;
    $g_bal = 0;
    $g_acct_id = '';
    /*****************END GRAND TOTAL VARIABLES**************/

    //group query date
    $g_voucher_Date = '';


    $g_o_qty_tot = 0;
    $g_o_amt_tot = 0;

    $g_db_qty_tot = 0;
    $g_db_amt_tot = 0;

    $g_cr_qty_tot = 0;
    $g_cr_amt_tot = 0;

    $g_bal_qty_tot = 0;
    $g_bal_amt_tot = 0;
    $g_acct_id = '';
    $g_acct_name = '';
    /*
                $g_acct_id = $mrow['acct_id'];
                $g_acct_name = $mrow['acct_name'];
    */

    $bal = 0;
    /***************END MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/


    ?>

    <?php

    try {

        $d_query = "SELECT   
    o.type_id cat_id, 
    upper(o.type_name) cat_name,   
    upper(o.party_name) description,
    o.o_qty,
    o.o_amt
FROM
    (
    SELECT
        v.type_id,
        v.type_name,
        v.party_id,
        v.party_name,
        sum(ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0)) o_qty,
        sum(ifnull(v.db_amt, 0) - ifnull(v.cr_amt, 0)) o_amt
    FROM
        v_loading_stk v
    WHERE
        v.voucher_date <= '$new_to_date' $and $and_comp
    GROUP BY
        v.type_id,
        v.party_id,
        v.party_name
) o
    WHERE (o.o_qty<>0)
       and (o.type_name is not null)
    order by o.type_name, o.party_name
";

//echo $d_query;
        $d_result = $dbcon->prepare($d_query);
        $d_result->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    // echo $d_query;


    $no_row = $d_result->rowCount();


    if ($no_row != 0) {

    ?>








<?php


$cat_id = '';
$serno = 0;
while ($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {


if ($cat_id <> $report_row['cat_id']){

if ($serno > 0) {

    ?>
    <tr>
        <td align="right"><b>Total</b></td>
        <td align=right><b><?php echo format_number(($o_qty_tot), $qty_decimals); ?></b></td>
        <td></td>
        <td align=right><b><?php echo format_number(($o_amt_tot), 0); ?></b></td>

    </tr>
    <?php

    $o_qty_tot = 0;
    $o_amt_tot = 0;

    $db_qty_tot = 0;
    $db_amt_tot = 0;

    $cr_qty_tot = 0;
    $cr_amt_tot = 0;

    $bal_qty_tot = 0;
    $bal_amt_tot = 0;
}

$serno = 0;

$cat_id = $report_row['cat_id'];
$g_acct_id = $report_row['cat_id'];
$g_acct_name = $report_row['cat_name'];
?>
    <table class="table table-bordered table-striped table-responsive" id="datatablee">
        <thead>
        <tr>
            <th><?php echo $g_acct_name; ?></th>
        </tr>
        </thead>
    </table>

    <table border="1" width="100%" cellpadding="2" style=font-family:verdana,tohama; style=font-size:11px;>
        <tr>
            <td width="30%" rowspan="2" align="left" bgcolor="#3399FF"><b><font color="#FFFFFF">Party Name</font></b>
            </td>
            </td>

            <td width="20%" colspan="3" bgcolor="#3399FF">
                <p align="center"><b><font color="#FFFFFF">Closing</font></b></p>
            </td>

        </tr>

        <tr>
            <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Qty</font></b></td>
            <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Rate</font></b></td>
            <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Amount</font></b></td>
        </tr>


        <?php
        }

        $o_qty_tot += $report_row['o_qty'];
        $o_amt_tot += $report_row['o_amt'];

        $g_o_qty_tot += $report_row['o_qty'];
        $g_o_amt_tot += $report_row['o_amt'];

        $o_rate = '';
        if ($report_row['o_qty'] <> 0)
            $o_rate = $report_row['o_amt'] / $report_row['o_qty'];

        $serno = $serno + 1;

        ?>

        <tr>

            <td>
                <a href="stock_ledger?from_date=<?php echo($from_date); ?>&to_date=<?php echo($to_date); ?>&compid=<?php echo($comp_id); ?>&stock_code=<?php echo($report_row['stock_code']); ?>&ledger=N"
                   target="_blank"><?php echo $report_row['description']; ?></a></td>
            <td align=right><?php echo format_number($report_row['o_qty'], $qty_decimals); ?></td>
            <td align=right><?php echo format_number($o_rate, 2); ?></td>
            <td align=right><?php echo format_number($report_row['o_amt'], $amt_decimals); ?></td>
        </tr>
        <?php

        }




        ?>


        <?php
        }
        }
?>
        <tr>

            <td align="right"><b>Total</b></td>
            <td align=right><b><?php echo format_number(($o_qty_tot), $qty_decimals); ?></b></td>
        <td></td>
        <td align=right><b><?php echo format_number(($o_amt_tot), $amt_decimals); ?></b></td>

        </tr>
        <?php

        }
        ?>

                    <tr>
                        <td align="right"><b>Grand Total</b></td>
                        <td align=right><b><?php echo format_number(($g_o_qty_tot), $qty_decimals); ?></b></td>
                        <td></td>
                        <td align=right><b><?php echo format_number(($g_o_amt_tot), $amt_decimals); ?></b></td>

                    </tr>

                </table>

        </div>
