<?php
session_start();
ob_start();
$_SESSION['db'] = 'click_click';
$db = $_SESSION['db'];
$_SESSION['db_un'] = 'cnlxidtp_clickso';
$_SESSION['db_pwd'] = "passKlick...123";

if(isset($db)) {

//Include the database connection file
    include("include/dbconnect.php");
    include("include/functions.php");
error_reporting(0);

    $error = "";
//Check to see if the submit button has been clicked to process data
    if (isset($_POST['submitted']) && $_POST['submitted'] == "yes") {
        //variables Assignments
        $comp_id = clean_data($_POST['comp_id']);
        $year_id = clean_data($_POST['year_id']);
        $user_name = clean_data($_POST['username']);
        $user_password = clean_data($_POST['user_password']);


        //query
        try {
            $validate_user_information = "SELECT
	u.emp_id,
	u.password,
	u.emp_name,
	c.comp_name,
	c.comp_id,
	c.phone,
	c.add_line1

	
FROM
	users u
LEFT JOIN users_comp uc ON u.emp_id = uc.emp_id
LEFT JOIN company c ON c.comp_id = uc.comp_id

WHERE c.comp_id = '$comp_id' AND u.emp_id = '$user_name' AND u.password = '$user_password' AND u.inactive <> 'Y' AND uc.inactive <> 'Y'";
            $q = $dbcon->prepare($validate_user_information);
            $q->execute(array());

        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }


        //Validate against empty fields
        if ($comp_id == "" || $year_id == "" || $user_name == "" || $user_password == "") {
            $error = '<br><div class="info">Sorry, all fields are required to log into your account. Thanks.</div><br>';
        } elseif ($q->rowCount() == 1) //Check if the information of the user are valid or not
        {
            //The submitted info of the user are valid therefore, grant the user access to the system by creating a valid session for this user and redirect this user to the welcome page

            $get_user_information = $q->fetch(PDO::FETCH_OBJ);
            $_SESSION["VALID_USER_ID"] = $get_user_information->emp_id;
            $_SESSION["COMP_NAME"] = clean_data($get_user_information->comp_name);
            $_SESSION["VALID_USER_NAME"] = strtolower($user_name);
            $_SESSION["comp_id"] = clean_data($get_user_information->comp_id);
            $_SESSION["year_id"] = $year_id;
            $_SESSION["phone"] = strip_tags($get_user_information->phone);
            $_SESSION["address"] = strip_tags($get_user_information->add_line1);

            $_SESSION["un"] = $un;
            $_SESSION["qty_decimals"] = find_value('v_system','qty_decimals','');
            $_SESSION["rate_decimals"] = find_value('v_system','rate_decimals','');
            $_SESSION["amt_decimals"] = 0;

            header("location: index");
        } else {
            //The submitted info the user are invalid therefore, display an error message on the screen to the user
            $error = '<br><div class="info">*Sorry, you have provided incorrect information. Please enter correct user information to proceed. Thanks.</div><br>';
        }

    }
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!--Loading bootstrap css-->
    <link type="text/css" href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,800italic,400,700,800">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-ui-1.10.3.custom/css/ui-lightness/jquery-ui-1.10.3.custom.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/pink-violet.css" id="theme-change" class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link rel="shortcut icon" href="images/favicon.ico">
</head>
<body id="signin-page">
<div class="page-form">
    <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" class="form">

        <div class="body-content">

            <h3 style="text-align: center;"><?php echo $row->acct_name;?></h3>
            <h4 style="text-align: center;">Sign In to</h4>


            <!----------START COMPANY LOAD FROM DATABASE------------->
            <div class="form-group">
                <select class="form-control" name="comp_id" id="comp_id">

                     <?php
                    try {
                        $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c WHERE 1=1 ORDER BY c.comp_id ASC";
                        $q = $dbcon->prepare($comp_sql);
                        $q->execute();
                    }
                    catch(PDOException $e)
                    {
                        echo "Error : ". $e->getMessage();
                    }

                    while($comp_row = $q->fetch(PDO::FETCH_OBJ))
                    {
                        echo '<option value="'.$comp_row->comp_id.'">'.$comp_row->comp_name.'</option>';
                    }
                    ?>
                </select>
            </div>
            <!----------END COMPANY LOAD FROM DATABASE------------->



            <!----------START YEAR LOAD FROM DATABASE------------->
            <div class="form-group">
                <select class="form-control" name="year_id" id="year_id">

                    <?php
                    try
                    {
                        $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";
                        $q = $dbcon->prepare($comp_sql);
                        $q->execute();
                    }
                    catch(PDOException $e)
                    {
                        echo "Error : ". $e->getMessage();
                    }

                    while($comp_row = $q->fetch(PDO::FETCH_OBJ))
                    {
                        echo '<option value="'.$comp_row->year_id.'">'.$comp_row->year_name.'</option>';
                    }
                    ?>
                </select>
            </div>
            <!----------END YEAR LOAD FROM DATABASE------------->






            <div class="form-group">
                <div class="input-icon right"><i class="fa fa-user"></i><input type="text" placeholder="Username" name="username" id="username" class="form-control"></div>
            </div>
            <div class="form-group">
                <div class="input-icon right"><i class="fa fa-key"></i><input type="password" placeholder="Password" name="user_password" id="user_password" class="form-control"></div>
            </div>

            <div class="form-group pull-right">
                <input type="hidden" name="submitted" id="submitted" value="yes">
                <button type="submit" class="btn btn-success">Log In
                    &nbsp;<i class="fa fa-chevron-circle-right"></i></button>
            </div>
            <div class="clearfix"></div>

            <hr>

            <div class="row">
                <div class="col-md-10">
                    <p>WELCOME TO <?php echo($row->acct_name); ?></p>

                </div>



                <div class="col-md-2">
                    <img src="images/click.jpg" alt="small-logo.png" width="25" height="25">
                </div>
            </div>
        </div>

        <!-- SHOW ERROR -->
        <div style="color:#FF2327; font-weight:bold;"><?php echo $error; ?></div>
    </form>
</div>
<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script>
<!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script>//BEGIN CHECKBOX & RADIO
    $('input[type="checkbox"]').iCheck({
        checkboxClass: 'icheckbox_minimal-grey',
        increaseArea: '20%' // optional
    });
    $('input[type="radio"]').iCheck({
        radioClass: 'iradio_minimal-grey',
        increaseArea: '20%' // optional
    });
    //END CHECKBOX & RADIO</script>
</body>
</html>