<?php
session_start();
ob_start();

$_SESSION['db'] = 'pwwatmno_erp_kt';
$db = $_SESSION['db'];
$_SESSION['db_un'] = 'pwwatmno';
$_SESSION['db_pwd'] = "passKlick...123";


if (isset($db)) {

    //Include the database connection file
    include("../include/dbconnect.php");
    include("../include/functions.php");
    require_once("../geoplugin/geoplugin.class.php");

    //error_reporting(0);

    $error = "";
    //Check to see if the submit button has been clicked to process data
    if (isset($_POST['submitted']) && $_POST['submitted'] == "yes") {
        //variables Assignments
        $comp_id = clean_data($_POST['comp_id']);
        $year_id = clean_data($_POST['year_id']);
        $user_name = clean_data($_POST['username']);
        $user_password = clean_data($_POST['user_password']);


        //query
        try {
            $validate_user_information = "SELECT
	u.emp_id,
	u.password,
	u.emp_name,
	c.comp_name,
	c.comp_id,
	c.phone,
	c.add_line1,
	c.outlet_percentage,
	c.short_name,
	c.outlet_margin
	
FROM
	users u
LEFT JOIN users_comp uc ON u.emp_id = uc.emp_id
LEFT JOIN company c ON c.comp_id = uc.comp_id

WHERE c.comp_id = ? AND u.emp_id = ? AND u.password = ? AND u.inactive <> 'Y' AND uc.inactive <> 'Y'";
            $q = $dbcon->prepare($validate_user_information);
            $q->execute(array($comp_id, $user_name, $user_password));
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }


        //Validate against empty fields
        if ($comp_id == "" || $year_id == "" || $user_name == "" || $user_password == "") {
            $error = '<br><div class="info">Sorry, all fields are required to log into your account. Thanks.</div><br>';
        } elseif ($q->rowCount() == 1) //Check if the information of the user are valid or not
        {
            //The submitted info of the user are valid therefore, grant the user access to the system by creating a valid session for this user and redirect this user to the welcome page

            $get_user_information = $q->fetch(PDO::FETCH_OBJ);
            $_SESSION["VALID_USER_ID"] = $get_user_information->emp_id;
            $_SESSION["COMP_NAME"] = clean_data($get_user_information->comp_name);
            $_SESSION["VALID_USER_NAME"] = strtolower($user_name);
            $_SESSION["comp_id"] = clean_data($get_user_information->comp_id);
            $_SESSION["year_id"] = $year_id;
            $_SESSION["phone"] = strip_tags($get_user_information->phone);
            $_SESSION["address"] = strip_tags($get_user_information->add_line1);
            $_SESSION["outlet_p"] = strip_tags($get_user_information->outlet_percentage);
            $_SESSION["short_name"] = strip_tags($get_user_information->short_name);
            $_SESSION["outlet_margin"] = strip_tags($get_user_information->outlet_margin);
            $_SESSION["un"] = $un;
            $_SESSION["qty_decimals"] = find_value('v_system', 'qty_decimals', '');
            $_SESSION["rate_decimals"] = find_value('v_system', 'rate_decimals', '');
            $_SESSION["amt_decimals"] = 0;



            $_SESSION['last_login_timestamp'] = time();

            $_SESSION['expire'] = $_SESSION['last_login_timestamp'] + (1 + 60);



            /*********************START USERS LOG****************/
            $geoplugin = new geoPlugin();
            $geoplugin->locate();
            $login_in_date = date('d-m-Y h:i:s A', time());
            $countryName = $geoplugin->countryName;
            $city = $geoplugin->city;
            $country_code = $geoplugin->countryCode;
            $currencyCode = $geoplugin->currencyCode;
            $currencySymbol = $geoplugin->currencySymbol;
            $timeZone = $geoplugin->timezone;
            $uip =  $geoplugin->ip;
            $user_browser = $_SERVER['HTTP_USER_AGENT'];
            $comp_id = $_SESSION["comp_id"];
            //$log_uip = $_SERVER['REMOTE_ADDR'];

            try {
                $s_query = "INSERT INTO users_log (uid,username,userip, loginTime, country_name, city, country_code, 
                       currency_code, currency_symbol, time_zone, user_browser, comp_id )
                VALUES ('" . $_SESSION['VALID_USER_ID'] . "','" . $_SESSION['VALID_USER_NAME'] . "','$uip', '$login_in_date', '$countryName', '$city',
                '$country_code', '$currencyCode', '$currencySymbol', '$timeZone', '$user_browser', '$comp_id')";
                $results = $dbcon->prepare($s_query);
                $results->execute(array());
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }



            /*  $sms_msg = 'Login Time : ' . date('d-m-Y h:i:s A', time());
              $sms_msg .= ' User Id : ' . $_SESSION['VALID_USER_ID'];
              $sms_msg .=  ' IP : ' . $geoplugin->ip;
              $sms_msg .= ' City: ' . $geoplugin->city;
              $sms_msg .= ' Comp : ' . $_SESSION["comp_id"];

              $username = '923454993726';
              $pass = 'Pakistanlahore1234';
              $mask = 'KafelTrader';
              $to = '923445452150';
              $message = $sms_msg;

              $url = "https://telenorcsms.com.pk:27677/corporate_sms2/api/sendsms.jsp?msisdn=" . $username . "&password=" . $pass . "&mask=" . urlencode($mask) . "&to=" . urlencode($to) . "&text=" . urlencode($message);

              isSiteAvailible($url);*/



            /*********************END USERS LOG****************/




            /****************************************Start Whats App SMS***************************************/

            //$date = date('m/d/Y h:i:s p', time());

            $date = date('Y-m-d H:i:s');
            $f_date =  date("g:i a", strtotime($date));
            $current_time = $f_date;
            $sunrise = "6:00 pm";
            $sunset = "11:55 pm";
            $date1 = DateTime::createFromFormat('h:i a', $current_time);
            $date2 = DateTime::createFromFormat('h:i a', $sunrise);
            $date3 = DateTime::createFromFormat('h:i a', $sunset);

            if ($date1 > $date2 && $date1 < $date3) {


                $sms_msg = 'Login Time : ' . date('d-m-Y h:i:s A', time());
                $sms_msg .= ' User Id : ' . $_SESSION['VALID_USER_ID'];
                $sms_msg .= ' IP : ' . $geoplugin->ip;
                $sms_msg .= ' City: ' . $geoplugin->city;
                $sms_msg .= ' Comp : ' . $_SESSION["comp_id"];

                //$to = '923214604022,923445452150';


                $curl = curl_init();

                curl_setopt_array($curl, array(
                    CURLOPT_URL => "https://api.ultramsg.com/instance10452/messages/chat",
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_SSL_VERIFYHOST => 0,
                    CURLOPT_SSL_VERIFYPEER => 0,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => "token=ncp7ygzt3zcuav15&to=" . $to . "&body=" . $sms_msg . "&priority=10&referenceId=",
                    CURLOPT_HTTPHEADER => array(
                        "content-type: application/x-www-form-urlencoded"
                    ),
                ));

                $response = curl_exec($curl);
                $err = curl_error($curl);
            }
            /****************************************Start Whats App SMS***************************************/







            header("location: index");
        } else {
            //The submitted info the user are invalid therefore, display an error message on the screen to the user
            $error = '<br><div class="info">*Sorry, you have provided incorrect information. Please enter correct user information to proceed. Thanks.</div><br>';
        }
    }
}

?>


<!DOCTYPE html>
<html lang="en">


<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Login | Kafeel Traders</title>
<!--    <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">-->
    <!-- google font -->
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet" type="text/css" />
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link href="assets/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="assets/css/ionicons.css" rel="stylesheet" type="text/css">
    <link href="assets/css/simple-line-icons.css" rel="stylesheet" type="text/css">
    <link href="assets/css/jquery.mCustomScrollbar.css" rel="stylesheet">
    <link href="assets/css/style.css" rel="stylesheet">
    <link href="assets/css/responsive.css" rel="stylesheet">

</head>

<body class="bg_darck">

    <div class="sufee-login d-flex align-content-center flex-wrap">
        <div class="container">
            <div class="login-content">


                <div class="login-form">

                    <div class="logo">


                        <img src="../images/kt.png" class="img-thumbnail text-center" style=" width: 20%;  margin-bottom: 10px;">


                    </div>

                    <br clear="all">


                    <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" class="form">

                        <!----------START COMPANY LOAD FROM DATABASE------------->
                        <div class="form-group">
                            <label>Company</label>
                            <select class="form-control" name="comp_id" id="comp_id">

                                <option value="SB" selected>Sales Collection</option>


                            </select>
                        </div>
                        <!----------END COMPANY LOAD FROM DATABASE------------->



                        <!----------START YEAR LOAD FROM DATABASE------------->
                        <div class="form-group">
                            <label>Year</label>
                            <select class="form-control" name="year_id" id="year_id">

                                <?php
                                try {
                                    $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";
                                    $q = $dbcon->prepare($comp_sql);
                                    $q->execute();
                                } catch (PDOException $e) {
                                    echo "Error : " . $e->getMessage();
                                }

                                while ($comp_row = $q->fetch(PDO::FETCH_OBJ)) {
                                    echo '<option value="' . $comp_row->year_id . '">' . $comp_row->year_name . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                        <!----------END YEAR LOAD FROM DATABASE------------->



                        <div class="form-group">
                            <label>Username</label>
                            <input type="text" class="form-control" placeholder="Username" name="username" id="username">
                        </div>
                        <div class="form-group">
                            <label>Password</label>
                            <input type="password" class="form-control" placeholder="Password" name="user_password" id="user_password">
                        </div>

                        <input type="hidden" name="submitted" id="submitted" value="yes">

                        <button type="submit" class="btn btn-success btn-flat m-b-30 m-t-30">Sign in</button>

                        <div class="register-link m-t-15 text-center">
                            <div style="color:#FF2327; font-weight:bold;"><?php echo $error; ?></div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="assets/js/jquery.min.js"></script>
    <script type="text/javascript" src="assets/js/popper.min.js"></script>
    <script type="text/javascript" src="assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="assets/js/jquery.dcjqaccordion.2.7.js"></script>
    <script src="assets/js/custom.js" type="text/javascript"></script>
</body>


<!-- Mirrored from theembazaar.com/demo/themesfolios/intellir-mobile/v1/page-login.html by HTTrack Website Copier/3.x [XR&CO'2014], Wed, 22 Mar 2023 10:36:19 GMT -->
</html>
