<?php
session_start();
//include db connection
include("../include/dbconnect.php");
include("../include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");

}
/****************************************************************
 *****************************Add Voucher*************************
 ****************************************************************/
$voucher_type = clean_data($_GET['voucher_type']);
$menu_id = $_GET['menu_id'];
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");

$add = clean_data($_GET['add']);
$year_id = clean_data($_SESSION["year_id"]);
//$comp_id = clean_data($_SESSION["comp_id"]);

$p_year_id = clean_data($_POST['year_id']);
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}

$p_comp_id = clean_data($_POST['comp_id']);

if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}

$cs = find_value("v_system", 'cs', '');
$sms = find_value("v_system", 'sms', '');

if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');

    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));

    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id = $voucher_type . $v_id;
    // END MAXIMUM VOUCHER ID CHK QUERY
    $acct_id_cs_1 = "";
}
else
{
    $v_id = clean_data($_GET['v_id']);
    try
    {
        $edit_query =  "SELECT v.acct_id, v.voucher_date,acct_id_cs_1, cur_id, er FROM voucher v  WHERE v.voucher_id = ? AND v.comp_id = ? AND year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);

    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));


    $acct_id = $rowm->acct_id;
    $acct_id_cs_1 = $rowm->acct_id_cs_1;
    $cur_id = $rowm->cur_id;
    $er = $rowm->er;


}




//find cash or bank
$cash_id = 's.cash_id';
if(substr($voucher_type,0,1) == 'B')
    $cash_id = 's.bank_id';



#$and = " and n.acct_id LIKE concat('26100004','%')";
try
{
    $f_query =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n, system s WHERE length(n.acct_id) = 10   ORDER BY n.acct_name ASC";
    $f_result = $dbcon->prepare($f_query);
    $f_result->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


//lable change debit and credit
if(substr($voucher_type,-1) == 'P')
{
    $name_master = 'Credit:';
}
else
{
    $name_master = 'Debit:';
}



//lable change debit and credit
if(substr($voucher_type,-1) == 'P')
{
    $name_detail = 'Debit';
}
else
{
    $name_detail = 'Credit';
}


if($voucher_type == 'CP')
{
    $h_name = 'CASH PAYMENT VOUCHER';
}
if($voucher_type == 'BP')
{
    $h_name = 'BANK PAYMENT VOUCHER';
}
if($voucher_type == 'CR')
{
    $h_name = 'CASH RECEIPTS VOUCHER';
}
if($voucher_type == 'BR')
{
    $h_name = 'BANK RECEIPTS VOUCHER';
}

?>

<?php include('header.php'); ?>
<?php include('left.php'); ?>




    <div class="content_wrapper">
        <div class="container-fluid">
            <!-- breadcrumb -->
            <div class="page-heading">
                <div class="row d-flex align-items-center">
                    <div class="col-12">
                        <div class="page-breadcrumb">
                            <h1>Dashboard</h1>
                        </div>
                    </div>
                    <div class="col-12  d-md-flex">
                        <div class="breadcrumb_nav">
                            <ol class="breadcrumb">
                                <li>
                                    <i class="fa fa-home"></i>
                                    <a class="parent-item" href="index">Home</a>
                                    <i class="fa fa-angle-right"></i>
                                </li>
                                <li class="active">
                                    Add Receipt Voucher
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <!-- breadcrumb_End -->

            <!-- Section -->
            <section class="chart_section">

                <div class="row">


                    <div class="col-12">
                        <div class="card card-shadow mb-4">
                            <div class="card-header">
                                <div class="card-title">
                                   Add Receipt Voucher
                                </div>
                            </div>
                            <div class="card-body">
                                <form class="form-horizontal"  name="payment_voucher"  id="payment_voucher" action="#" method="post">
                                    <input type="hidden" class="form-control" name="voucher_type" id="voucher_type"
                                           value="<?php echo $voucher_type; ?>">

                                    <input type="hidden" class="form-control" name="add" id="add"
                                           value="<?php echo $add; ?>">

                                    <input type="hidden" class="form-control" name="p_menu_id" id="p_menu_id" value="<?php echo $menu_id; ?>">

                                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                                           value="<?php echo $comp_id; ?>">

                                    <input type="hidden" class="form-control" name="p_year_id" id="p_year_id"
                                           value="<?php echo $year_id; ?>">


                                    <div class="form-group">
                                        <!--<label for="exampleInputEmail1">Date:</label>-->
                                        <input type="hidden" class="form-control" name="v_date" id="v_date"
                                               placeholder="Date" readonly value="<?php echo($v_date); ?>">

                                    </div>

                                    <div class="form-group">
                                        <!--<label for="exampleInputEmail1">Voucher ID:</label>-->
                                        <input type="hidden" class="form-control" name="voucher_id" id="voucher_id"
                                               placeholder="voucher id" value="<?php echo $v_id; ?>" readonly>

                                    </div>





                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Customers:</label>

                                        <select   name="credit_acct_name" id="credit_acct_name"
                                                  class="debit_acct_id form-control">

                                            <option value="">Select Customer Name</option>

                                            <?php

                                            $and = '';

                                            $and .= " and (n.acct_id LIKE '261000%' OR acct_id = '1310000003')";
                                            $and .= " and length(n.acct_id) = 10";
                                            try {
                                                $p_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id, n.comp_id  FROM nom n
                                                                WHERE length(n.acct_id) = 10 $and ORDER BY n.acct_id ASC";
                                                $p_result = $dbcon->prepare($p_query);
                                                $p_result->execute(array());
                                            } catch (PDOException $e) {
                                                echo "Error : " . $e->getMessage();
                                            }
                                            while ($rowp = $p_result->fetch(PDO::FETCH_OBJ)) {

                                                echo '<option  value="' . $rowp->acct_id . '">' . $rowp->acct_name . '</option>';

                                            }
                                            ?>
                                        </select>

                                    </div>

                                    <div class="form-group">
                                        <label for="exampleInputPassword1">Balance</label>
                                        <input type="text" class="form-control" id="party_bal" readonly placeholder="Party Balance">
                                    </div>


                                    <div class="form-group">
                                        <label for="exampleInputPassword1">Amount</label>
                                        <input type="number" class="form-control" id="debit_amount"  name="debit_amount"  placeholder="Amount">
                                    </div>


                                    <div class="form-group">
                                        <label for="exampleInputPassword1">Next Follow up date</label>
                                        <input type="text" class="form-control" id="next_due_date"  name="next_due_date"  placeholder="Date">
                                    </div>

                                    <div class="form-group">
                                        <label for="exampleInputPassword1">Next Follow up Amount</label>
                                        <input type="number" class="form-control" id="next_due_amt"  name="next_due_amt"  placeholder="Next Due Amount">
                                    </div>


                                    <div class="form-group">
                                        <label for="exampleInputPassword1">Remarks</label>
                                        <textarea class="form-control" id="particulars" name="particulars"></textarea>

                                    </div>


                                    <button type="button" id="savedata" onClick="voucher_add()" class="btn btn-primary w-100">Save</button>
                                </form>

                            </div>
                        </div>
                    </div>

                </div>



            </section>
            <!-- Section_End -->

        </div>
    </div>



<?php include('footer.php'); ?>


<script type="text/javascript">
    $(".debit_acct_id").select2();
    //date picker
    $('#next_due_date').datepicker({
        format: 'dd-mm-yyyy',
        autoclose: true
    });




    function voucher_add()
    {
        //declare variables master form
        var v_date = $('#v_date').val();
        var v_id = $('#voucher_id').val();
        var credit_acct_name = $('#credit_acct_name').val();
        var debit_amount = $('#debit_amount').val();
        var next_due_date = $('#next_due_date').val();
        var next_due_amt = $('#next_due_amt').val();
        var particulars = $('#particulars').val();
        var p_comp_id = $('#p_comp_id').val();
        var p_year_id = $('#p_year_id').val();
        var p_menu_id = $('#p_menu_id').val();
        var add = 'Y';
        var voucher_type = 'CR';

        if(v_id == "")
        {
            alert("Please Enter Voucher ID");
            $('#v_id').focus();
        }


        else if(v_date == "")
        {
            alert("Please Enter Date");
            $('#v_date').focus();
        }
        else if(credit_acct_name == "")
        {
            alert("Please Select Customer Account");
            $('#credit_acct_name').focus();
        }

        else if(debit_amount == "")
        {
            alert("Please Enter Debit Amount");
            $('#debit_amount').focus();
        }
        else if(debit_amount == "")
        {
            alert("Please Enter Debit Amount");
            $('#debit_amount').focus();
        }

        else
        {

            var datastring = 'v_date=' + v_date +
                '&v_id=' + v_id +
                '&credit_acct_name=' + credit_acct_name +
                '&debit_amount=' + debit_amount +
                '&particulars=' + particulars +
                '&next_due_date=' + next_due_date +
                '&next_due_amt=' + next_due_amt +
                '&add=' + add +
                '&voucher_type=' + voucher_type +
                '&p_comp_id=' + p_comp_id +
                '&p_year_id=' + p_year_id +
                '&p_menu_id=' + p_menu_id +

                '&action=add_receipt_voucher';
            $.ajax({
                type:"POST",
                url:"m_voucher_process.php",
                data: datastring,
                beforeSend: function()
                {
                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {
                    //alert(result)
                    alert("Cash Receipt Voucher Successfully Saved!");
                    window.location = "m_add_voucher?add=Y&menu_id=3.2.1&&voucher_type=CR";
                }
            });

            $('#savedata').addClass("disabled");
        }


    }










    $("#credit_acct_name").change(function() {
        var acct_id = $('#credit_acct_name').val();
        var action = 'party_bal';

        var dataString = 'acct_id=' + acct_id + '&action=' + action;
        $.ajax({
            type: "POST",
            url: "../ajax/get_party_bal",
            data: dataString,
            success: function(data, status) {

                // PARSE json data
                var user = JSON.parse(data);
                $("#party_bal").val(user.bal_amt);


                $("#phone_no").val(user.phone);
                $("#s_address").val(user.address)


            }
        });
    });

</script>
