<?php

session_start();

include("include/dbconnect.php");

include("include/functions.php");

if ($_SESSION['VALID_USER_NAME'] == false) {

    header("location: login");
}

//variables



$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);

$voucher_type = $_SESSION['voucher_type'];

$comp_id = clean_data($_SESSION["comp_id"]);

$add = clean_data($_GET['add']);

$_SESSION['add'] = $add;

$emp_id = $_SESSION['VALID_USER_NAME'];



$year_id = $_SESSION["year_id"];





date_default_timezone_set("Asia/Karachi");







$p_year_id = clean_data($_GET['year_id']);

if (empty($p_year_id)) {

    $year_id = clean_data($_SESSION["year_id"]);
} else {



    $year_id =  $p_year_id;
}



if (empty($p_comp_id)) {

    $comp_id = clean_data($_SESSION["comp_id"]);
} else {



    $comp_id =  $p_comp_id;
}



if ($add == "Y") {

    $lineitem = 0;

    $acct_id = '';

    $voucher_date = date('d-m-Y');

    $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);

    $voucher_type = $_SESSION['voucher_type'];

    $comp_id = clean_data($_SESSION["comp_id"]);





    /* $close_date = find_value('v_system', 'date_close', '');

    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));*/



    $v_date = date('d-m-Y');

    //MAXIMUM VOUCHER ID CHK QUERY

    try {

        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v

		WHERE v_type = ? and comp_id = ? ";

        $max_query = $dbcon->prepare($Maxquery);

        $max_query->execute(array($voucher_type, $comp_id));
    } catch (PDOException $e) {

        echo "Error : " . $e->getMessage();
    }



    $row_max = $max_query->fetch(PDO::FETCH_OBJ);

    $v_id = $row_max->v_id;

    if (empty($v_id)) {

        $v_id = 1;
    }





    //MAXIMUM VOUCHER ID INSERT NEW ID QUERY

    try {

        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";

        $insert_max = $dbcon->prepare($InserMaxquery);

        $insert_max->execute(array($v_id, $voucher_type, $comp_id));
    } catch (PDOException $e) {

        echo "Error : " . $e->getMessage();
    }



    $v_id =  $v_id;

    // END MAXIMUM VOUCHER ID CHK QUERY











    $discount_voucher_id = "";

    $return_cash = "";

    $outlet_percentage = "";

    $outlet_invoice = "";
} else //EDIT

{

    $voucher_type = clean_data($_SESSION['voucher_type']);

    $v_id = clean_data($_GET['v_id']);



    $_SESSION['v_id'] = $v_id;



    $year_id = $_SESSION["year_id"];





    try {

        $edit_query =  "SELECT * FROM mo m  WHERE m.voucher_id = ? AND m.comp_id = ? AND m.year_id = ?";

        $edit_result = $dbcon->prepare($edit_query);

        $edit_result->execute(array($v_id, $comp_id, $year_id));
    } catch (PDOException $e) {

        echo "Error : " . $e->getMessage();
    }



    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);



    $voucherdate = $rowm->voucher_date;

    $v_date = date('d-m-Y', strtotime($voucherdate));

    $m_stock_code = $rowm->stock_code;

    $m_rm_amt = $rowm->rm_amt;

    $m_adj_amt = $rowm->adj_amt;

    $m_amount = $rowm->amount;

    $m_qty = $rowm->qty;

    $m_rate = $rowm->rate;

    $m_color_id = $rowm->color_id;

    $m_size_id = $rowm->size_id;
}



?>

<!DOCTYPE html>

<html lang="en">

<head>

    <title><?php echo $row->acct_name; ?></title>

    <meta charset="utf-8">

    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta http-equiv="cache-control" content="no-cache">

    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">

    <link rel="shortcut icon" href="images/icons/favicon.html">

    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">

    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">

    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html">
    <!--Loading bootstrap css-->

    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">

    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">

    <!--LOADING STYLESHEET FOR PAGE-->

    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">

    <!--Loading style vendors-->

    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">

    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-timepicker/css/bootstrap-timepicker.min.css">

    <!--Loading style-->

    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">

    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change" class="style-change color-change">

    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">

    <link type="text/css" rel="stylesheet" href="css/custom.css">

</head>

<body class="sidebar-icons">

    <div>



        <a id="totop" href="#"><i class="fa fa-angle-up"></i></a>
        <!--END BACK TO TOP-->
        <!--BEGIN TOPBAR-->







        <!--BEGIN TOPBAR-->

        <?php include('header.php'); ?>

        <!--END TOPBAR-->









        <div id="wrapper">
            <!--BEGIN SIDEBAR MENU-->

            <!--BEGIN SIDEBAR MENU-->

            <?php include('left.php'); ?>

            <!--END SIDEBAR MENU-->



            <!--BEGIN PAGE WRAPPER-->

            <div id="page-wrapper">
                <!--BEGIN TITLE & BREADCRUMB PAGE-->

                <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">

                    <div class="page-header pull-left">

                        <div class="page-title">NEW MANUFACTRING ORDER</div>

                    </div>

                    <div class="clearfix"></div>

                </div>

                <!--END TITLE & BREADCRUMB PAGE-->







                <!--BEGIN CONTENT-->

                <div class="page-content">



                    <form class="form-horizontal" name="sale_invoice" id="sale_invoice">



                        <div class='row'>

                            <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>

                                <input type="button" class="btn btn-blue" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()" />

                            </div>

                        </div>



                        <br clear="all">



                        <!------------------------START MASTER TABLE---------------------------->

                        <div class="row">

                            <div class="col-sm-12">

                                <div class="card">

                                    <div class="card-block">

                                        <div class="table-responsive">



                                            <!---------------------START MASTER FORM------------------------->

                                            <fieldset class="scheduler-border">

                                                <legend class="scheduler-border">MO</legend>







                                                <table class="table dt-responsive  table-bordered nowrap small">

                                                    <thead>

                                                        <tr>



                                                            <!-- VOUCHER ID -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>

                                                            </td>

                                                            <td>

                                                                <input type="text" class="form-control" name="voucher_id" id="voucher_id" placeholder="voucher id" value="<?php echo $v_id; ?>" readonly style="width: 150px;">

                                                            </td>



                                                            <!-- DATE -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>

                                                            </td>

                                                            <td style="width: 150px;">

                                                                <input type="text" class="form-control v_date" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date; ?>" style="width: 150px;">

                                                            </td>









                                                            <!-- PRODUCT ID-->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Product</label>

                                                            </td>

                                                            <?php

                                                            try {

                                                                $p_query =  "SELECT i.stock_code, i.description FROM item i left join prod_cat c on i.cat_id=c.cat_id ORDER BY i.stock_code ASC ";



                                                                $p_result = $dbcon->prepare($p_query);

                                                                $p_result->execute(array());
                                                            } catch (PDOException $e) {

                                                                echo "Error : " . $e->getMessage();
                                                            }



                                                            ?>



                                                            <td colspan="3">

                                                                <select style="width: 400px;" name="m_stock_code" id="m_stock_code" class="acct_id">

                                                                    <option></option>

                                                                    <?php

                                                                    while ($p_row = $p_result->fetch(PDO::FETCH_OBJ)) {



                                                                        if ($m_stock_code == $p_row->stock_code) {

                                                                            echo '<option  value="' . $p_row->stock_code . '"selected>' . $p_row->description . '</option>';
                                                                        } else {

                                                                            echo '<option  value="' . $p_row->stock_code . '">' . $p_row->description . '</option>';
                                                                        }
                                                                    }

                                                                    ?>

                                                                </select>

                                                            </td>

                                                        </tr>





                                                        <tr>









                                                            <!-- COLOR-->

                                                            <!--<td>

                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Color</label>

                                                </td>

                                                <?php

                                                /*                                                try

                                                {

                                                    $p_query =  "SELECT i.color_id acct_id, i.description acct_name FROM color i  ORDER BY 2 ";



                                                    $p_result = $dbcon->prepare($p_query);

                                                    $p_result->execute(array());

                                                }

                                                catch(PDOException $e)

                                                {

                                                    echo "Error : ". $e->getMessage();

                                                }



                                                */ ?>



                                                <td>

                                                    <select style="width:100%;"  name="m_color_id" id="m_color_id" class="acct_id">

                                                    <option></option>

                                                        <?php

                                                        /*                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))

                                                        {



                                                            if ($m_color_id == $p_row->acct_id)

                                                            {

                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';



                                                            }

                                                            else

                                                            {

                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';

                                                            }

                                                        }

                                                        */ ?>

                                                    </select>

                                                </td>-->

                                                            <!-- SIZE-->

                                                            <!--  <td>

                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Size:</label>

                                                </td>

                                                <?php

                                                /*                                                try

                                                {

                                                    $p_query =  "SELECT i.size_id acct_id, i.size acct_name FROM size i  ORDER BY 2 ";



                                                    $p_result = $dbcon->prepare($p_query);

                                                    $p_result->execute(array());

                                                }

                                                catch(PDOException $e)

                                                {

                                                    echo "Error : ". $e->getMessage();

                                                }



                                                */ ?>



                                                <td>

                                                    <select style="width:100%;"  name="m_size_id" id="m_size_id" class="acct_id">

                                                    <option></option>

                                                        <?php

                                                        /*                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))

                                                        {



                                                            if ($m_size_id == $p_row->acct_id)

                                                            {

                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';



                                                            }

                                                            else

                                                            {

                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';

                                                            }

                                                        }

                                                        */ ?>

                                                    </select>

                                                </td>-->



                                                            <!-- Raw Material Amount -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Raw Material Cost</label>

                                                            </td>

                                                            <td>

                                                                <input type="number" class="form-control changesNo" name="m_rm_amt" id="m_rm_amt" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($m_rm_amt, 0); ?>">

                                                            </td>



                                                            <!-- Adj Amount -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Overheads</label>

                                                            </td>



                                                            <td>

                                                                <input type="number" class="form-control changesNo" name="m_adj_amt" id="m_adj_amt" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowm->adj_amt, 0); ?>">

                                                            </td>





                                                        </tr>



                                                        <tr>





                                                            <!-- Amount -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Total Cost</label>

                                                            </td>

                                                            <td>

                                                                <input type="number" class="form-control changesNo" name="m_amount" id="m_amount" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($m_amount, 0); ?>" readonly>

                                                            </td>





                                                            <!-- TARGET QUANTITY -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Target Qty</label>

                                                            </td>

                                                            <td>

                                                                <input type="number" class="form-control changesNo" name="target_qty" id="target_qty" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo ($target_qty); ?>">

                                                            </td>









                                                            <!-- QUANTITY -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Units Produced</label>

                                                            </td>

                                                            <td>

                                                                <input type="number" class="form-control changesNo" name="m_qty" id="m_qty" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo ($m_qty); ?>">

                                                            </td>



                                                            <!-- RATE -->

                                                            <td>

                                                                <label class="control-label pull-right" style="font-weight: bold; color: black;">Cost Per Unit</label>

                                                            </td>



                                                            <td>

                                                                <input type="number" class="form-control" name="m_rate" id="m_rate" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo $m_rate; ?>" readonly>

                                                            </td>





                                                        </tr>





                                                    </thead>

                                                </table>

                                            </fieldset>

                                            <!----------------------------------END MASTER FORM------------------------------------>



                                            <!------------------------START BATCH BLOCK---------------------------->

                                            <div class="row">

                                                <div class="col-sm-12">

                                                    <div class="card">

                                                        <div class="card-block">



                                                            <fieldset class="scheduler-border">

                                                                <legend class="scheduler-border">BATCH PRODUCED</legend>





                                                                <table class="table table-bordered table-responsive table-hover addrow_batch small" id="addrow_batch">

                                                                    <thead>

                                                                        <tr>

                                                                            <th width="8%" style="text-align: center;">SR</th>

                                                                            <th width="12%" style="text-align: center;">STOCK CODE</th>

                                                                            <th width="22%" style="text-align: center;">ITEM NAME</th>
                                                                            <th width="10%" style="text-align: center;">PACK SIZE</th>
                                                                            <th width="10%" style="text-align: center;">TOTAL PACK SIZE</th>



                                                                            <th width="10%" style="text-align: center;">QTY</th>

                                                                            <th width="10%" style="text-align: center;">BATCH DATE/TIME</th>

                                                                        </tr>



                                                                    </thead>



                                                                    <?php



                                                                    try {

                                                                        $edit_query =  "SELECT d.ser_no lineitem, d.stock_code, d.qty, d.batch_date, i.description, i.pack_size

                                                            FROM mo_batch d 

                                                            LEFT JOIN item i ON d.stock_code = i.stock_code

                                                            WHERE d.voucher_id = '$v_id' 

                                                            and d.comp_id = '$comp_id' 

                                                            AND d.year_id = '$year_id' 

                                                            ORDER BY d.ser_no/1";



                                                                        $resultd = $dbcon->prepare($edit_query);

                                                                        $resultd->execute(array());
                                                                    } catch (PDOException $e) {

                                                                        echo "Error : " . $e->getMessage();
                                                                    }



                                                                    $cnt = 0;

                                                                    $lineitem = 0;

                                                                    $tot_qty = '';

                                                                    while ($rowd = $resultd->fetch(PDO::FETCH_OBJ)) {

                                                                        $lineitem = $rowd->lineitem;

                                                                        $cnt = $lineitem;

                                                                        $batch_date = $rowd->batch_date;

                                                                        $tot_qty += $rowd->qty;

                                                                    ?>



                                                                        <!----------------------------------------------------------------------------------------------------------------------

                                                                    ------------------------------------------------------------------------------------------------------------------------

                                                                    ----------------------------------------------------EDIT FORM---------------------------------------

                                                                    ------------------------------------------------------------------------------------------------------------------------

                                                                    ----------------------------------------------------------------------------------------------------------------------->

                                                                        <tr class="addrow_batch">

                                                                            <td> <input type="text" class="form-control" name="batch_lineitem[]" size="1" value="<?php echo $lineitem; ?>" readonly /></td>



                                                                            <!-- STOCK CODE -->

                                                                            <td style="width: 130px;">

                                                                                <input type="text" data-type="stock_code" name="batch_stock_code[]" class="form-control stock_code b_autocomplete_txt " id="batchstockcode_<?php echo $cnt; ?>" value="<?php echo $rowd->stock_code; ?>" maxlength="11">

                                                                            </td>



                                                                            <!-- DESCRIPTION -->

                                                                            <td>

                                                                                <input type="text" data-type="description" name="batch_description[]" class="form-control description b_autocomplete_txt " id="batchdescription_<?php echo $cnt; ?>" autocomplete="off" size="30" value="<?php echo $rowd->description; ?>">

                                                                            </td>


                                                                            <!-- PACK SIZE -->

                                                                            <td>

                                                                                <input type="number" class="form-control changes_pack_size" name="b_pack_size[]" id="bpacksize_<?php echo $cnt; ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->pack_size); ?>" />

                                                                            </td>


                                                                            <!-- TOTAL PACK SIZE -->

                                                                            <td>

                                                                                <input type="number" class="form-control changes_pack_size" name="total_b_pack_size[]" id="totalbpacksize_<?php echo $cnt; ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"  />

                                                                            </td>

                                                                            <!-- QUANTITY -->

                                                                            <td>

                                                                                <input type="number" class="form-control b_change_qty qty changesNo qty grand_tot_qty" name="batch_qty[]" id="batchqty_<?php echo $cnt; ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->qty); ?>" />

                                                                            </td>



                                                                            <!-- BATCH DATE/TIME -->

                                                                            <td>

                                                                                <input type="text" class="form-control labour_date" name="batch_batch_date[]" id="batchbatchdate_<?php echo $cnt; ?>" value="<?php echo $batch_date; ?>" />

                                                                            </td>



                                                                        </tr>



                                                                    <?php

                                                                    }

                                                                    $_SESSION['batch_cnt'] = $cnt;

                                                                    ?>



                                                                    <!----------------------------------------------------------------------------------------------------------------------

                                                                ------------------------------------------------------------------------------------------------------------------------

                                                                ----------------------------------------------------ADD FORM---------------------------------------

                                                                ------------------------------------------------------------------------------------------------------------------------

                                                                ----------------------------------------------------------------------------------------------------------------------->



                                                                    <?php $numberofrow = 5; ?> <?php for ($counter = 1; $counter <= $numberofrow; $counter++) {
                                                                                                    $_SESSION['batch_cnt'] += 1; ?>



                                                                        <tr class="addrow_batch">



                                                                            <!-- LINEITEM -->

                                                                            <td style="width: 60px;">

                                                                                <?php $lineitem += 1; ?>

                                                                                <input type="text" class="form-control " name="batch_lineitem[]<?php echo $counter; ?>" id="batchlineitem_" value="<?php echo $lineitem; ?>" readonly />



                                                                            </td>



                                                                            <!-- STOCK CODE -->

                                                                            <td style="width: 130px;">

                                                                                <input type="text" data-type="stock_code" name="batch_stock_code[]" class="form-control  stock_code  b_autocomplete_txt" id="batchstockcode_<?php



                                                                                                                                                                                                                            if ($add == "Y") {

                                                                                                                                                                                                                                echo $counter;
                                                                                                                                                                                                                            } else {

                                                                                                                                                                                                                                echo $lineitem;
                                                                                                                                                                                                                            }



                                                                                                                                                                                                                            ?>" autocomplete="off" maxlength="11" autofocus>

                                                                            </td>



                                                                            <!-- DESCRIPTION -->

                                                                            <td>

                                                                                <input type="text" data-type="description" name="batch_description[]" class="form-control description b_autocomplete_txt " id="batchdescription_<?php if ($add == "Y") {

                                                                                                                                                                                                                                    echo $counter;
                                                                                                                                                                                                                                } else {

                                                                                                                                                                                                                                    echo $lineitem;
                                                                                                                                                                                                                                }

                                                                                                                                                                                                                                ?>" autocomplete="off" size="30">

                                                                            </td>




                                                                            <!-- PACK SIZE -->

                                                                            <td>

                                                                                <input type="number" class="form-control changes_pack_size" name="b_pack_size[]<?php echo $counter; ?>" id="bpacksize_<?php if ($add == "Y") {

                                                                                    echo $counter;
                                                                                } else {

                                                                                    echo $lineitem;
                                                                                }

                                                                                ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly />

                                                                            </td>


                                                                            <!-- TOTAL PACK SIZE -->

                                                                            <td>

                                                                                <input type="number" class="form-control tot_pack_size changes_pack_size" name="total_b_pack_size[]<?php echo $counter; ?>" id="totalbpacksize_<?php if ($add == "Y") {

                                                                                    echo $counter;
                                                                                } else {

                                                                                    echo $lineitem;
                                                                                }

                                                                                ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly />

                                                                            </td>



                                                                            <!-- QUANTITY -->

                                                                            <td>

                                                                                <input type="number" class="form-control qty b_change_qty  changesNo qty grand_tot_qty"  name="batch_qty[]<?php echo $counter; ?>" id="batchqty_<?php if ($add == "Y") {

                                                                                                                                                                                                                                    echo $counter;
                                                                                                                                                                                                                                } else {

                                                                                                                                                                                                                                    echo $lineitem;
                                                                                                                                                                                                                                }

                                                                                                                                                                                                                                ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" />

                                                                            </td>



                                                                            <!-- BATCH DATE  -->

                                                                            <td>

                                                                                <input type="text" class="form-control labour_date" name="batch_batch_date[]<?php echo $counter; ?>" id="batchbatchdate_<?php if ($add == "Y") {

                                                                                                                                                                                                            echo $counter;
                                                                                                                                                                                                        } else {

                                                                                                                                                                                                            echo $lineitem;
                                                                                                                                                                                                        }

                                                                                                                                                                                                        ?>" value="<?php echo date('Y-m-d h:i:s'); ?>" />

                                                                            </td>





                                                                        </tr>

                                                                    <?php } ?>



                                                                    <thead>

                                                                        <tr>



                                                                            <td></td>
                                                                            <td></td>
                                                                            <td></td>

                                                                            <td></td>

                                                                            <td align="right">



                                                                                <input type="text" class="form-control  b_tot_pack_size" name="b_tot_pack_size" id="b_tot_pack_size" autocomplete="off" readonly  style="width: 100px;  font-weight: bold;" />
                                                                            </td>

                                                                            <td align="right">



                                                                                <input type="text" class="form-control  grandtot_qty" name="grandtot_qty" id="grandtot_qty" autocomplete="off" readonly value="<?php



                                                                                                                                                                                                                if ($add == "Y") {

                                                                                                                                                                                                                    $_SESSION['tot_qty'] = 0;
                                                                                                                                                                                                                } else {

                                                                                                                                                                                                                    $_SESSION['tot_qty'] = $tot_qty;
                                                                                                                                                                                                                }



                                                                                                                                                                                                                echo round($_SESSION['tot_qty']); ?>" style="width: 100px;  font-weight: bold;" />
                                                                            </td>



                                                                        </tr>



                                                                    </thead>



                                                                </table>



                                                                <div class='row'>

                                                                    <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>

                                                                        <button class="btn btn-success addmore_batch" type="button">+ Add More</button>

                                                                    </div>

                                                                </div>



                                                            </fieldset>

                                                            <!------------------------END BATCH BLOCK---------------------------->



                                                            <!---------------------START STOCK ISSUE DATE FORM------------------------->

                                                            <fieldset class="scheduler-border">

                                                                <legend class="scheduler-border">Stock Issue Date</legend>



                                                                <div class="issue_date">

                                                                    <table class="table table-bordered addrow_issue_date small" id="date_row">

                                                                        <thead>

                                                                            <tr>

                                                                                <th>Sr</th>

                                                                                <th>Date</th>

                                                                            </tr>

                                                                        </thead>



                                                                        <?php



                                                                        try {

                                                                            $edit_query =  "SELECT * FROM mo_issue d

                                                            WHERE d.voucher_id = '$v_id' 

                                                            and d.comp_id = '$comp_id' 

                                                            AND d.year_id = '$year_id' 

                                                            ORDER BY d.ser_no/1";



                                                                            $resultd = $dbcon->prepare($edit_query);

                                                                            $resultd->execute(array());
                                                                        } catch (PDOException $e) {

                                                                            echo "Error : " . $e->getMessage();
                                                                        }



                                                                        $rm_cnt = 0;

                                                                        $itemtot = '';

                                                                        $tot_qty = '';

                                                                        $o_qty = '';

                                                                        while ($rowd = $resultd->fetch(PDO::FETCH_OBJ)) {

                                                                            $rm_lineitem = $rowd->ser_no;

                                                                            $rm_cnt = $rm_lineitem;

                                                                            $rm_v_date = format_date_yyyy($rowd->voucher_date);





                                                                        ?>



                                                                            <tr class="addrow_issue_date">

                                                                                <td class="btnSelect">

                                                                                    <input type="text" class="form-control issued_lineitem" name="issued_lineitem[]<?php echo $rm_cnt; ?>" id="issuedlineitem_<?php echo $rm_cnt; ?>" readonly style="width: 150px;" value="<?php echo $rm_lineitem; ?>">

                                                                                </td>



                                                                                <td class="btnSelect">

                                                                                    <input type="text" class="form-control issued_lineitem v_date p_date" name="issue_date[]<?php echo $rm_cnt; ?>" id="pdate_<?php echo $rm_cnt; ?>" readonly style="width: 150px;" value="<?php echo $rm_v_date; ?>">

                                                                                </td>

                                                                            </tr>



                                                                        <?php

                                                                        }

                                                                        $_SESSION['rm_cnt'] = $rm_cnt;



                                                                        ?>



                                                                        <?php

                                                                        if ($add == 'Y' || $rm_cnt == 0) {

                                                                        ?>

                                                                            <?php $numberofrow = 1; ?><?php for ($counter = 1; $counter <= $numberofrow; $counter++) { ?>

                                                                            <tr class="addrow_issue_date">

                                                                                <td class="btnSelect">

                                                                                    <?php $rm_lineitem += 1; ?>

                                                                                    <input type="text" class="form-control issued_lineitem " name="issued_lineitem[]<?php echo $counter; ?>" id="issuedlineitem_<?php echo $counter; ?>" readonly style="width: 150px;" value="<?php echo $rm_lineitem; ?>">

                                                                                </td>



                                                                                <td class="btnSelect">

                                                                                    <input type="text" class="form-control issued_lineitem v_date p_date" name="issue_date[]<?php echo $counter; ?>" id="pdate_<?php echo $counter; ?>" readonly style="width: 150px;">

                                                                                </td>

                                                                            </tr>

                                                                    <?php }
                                                                                                    }

                                                                    ?>



                                                                    </table>



                                                                </div>



                                                                <div class='row'>

                                                                    <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>

                                                                        <button class="btn btn-success addmore_issue_date" type="button">+ Add More</button>

                                                                    </div>

                                                                </div>

                                                            </fieldset>

                                                            <!---------------------END STOCK ISSUE DATE FORM------------------------->

                                                        </div>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                        <!------------------------END MASTER TABLE---------------------------->







                                        <!------------------------START STOCK ISSUE BLOCK---------------------------->

                                        <div class="row">

                                            <div class="col-sm-12">

                                                <div class="card">

                                                    <div class="card-block">



                                                        <fieldset class="scheduler-border">

                                                            <legend class="scheduler-border">Stock Issue Detail</legend>



                                                            <table class="table table-bordered table-responsive table-hover addrow_issue small" id="addrow_issue">

                                                                <thead>

                                                                    <tr>

                                                                        <th width="8%" style="text-align: center;">SR</th>

                                                                        <th width="12%" style="text-align: center;">STOCK CODE</th>

                                                                        <th width="22%" style="text-align: center;">ITEM NAME</th>
                                                                        <th width="10%" style="text-align: center;">PACK SIZE</th>



                                                                        <th width="10%" style="text-align: center;">QTY</th>

                                                                        <th width="10%" style="text-align: center;">YIELD</th>

                                                                        <th width="10%" style="text-align: center;">RATE</th>



                                                                        <th width="10%" style="text-align: center;">AMOUNT</th>

                                                                    </tr>



                                                                </thead>



                                                                <?php



                                                                try {

                                                                    $edit_query =  "SELECT d.*, i.description , i.pack_size

                                                            FROM mo_issue_det d 

                                                            LEFT JOIN item i ON d.stock_code = i.stock_code

                                                            WHERE d.voucher_id = '$v_id' 

                                                            and d.comp_id = '$comp_id' 

                                                            AND d.year_id = '$year_id' 

                                                            ORDER BY d.lineitem/1";



                                                                    $resultd = $dbcon->prepare($edit_query);

                                                                    $resultd->execute(array());
                                                                } catch (PDOException $e) {

                                                                    echo "Error : " . $e->getMessage();
                                                                }



                                                                $cnt = 0;

                                                                $lineitem = 0;

                                                                $itemtot = '';

                                                                $tot_qty = '';

                                                                $o_qty = '';

                                                                while ($rowd = $resultd->fetch(PDO::FETCH_OBJ)) {

                                                                    $lineitem = $rowd->lineitem;

                                                                    $cnt = $lineitem;

                                                                    $itemtot += $rowd->itemtot;

                                                                    $tot_qty += $rowd->qty;



                                                                ?>



                                                                    <!----------------------------------------------------------------------------------------------------------------------

                                                                ------------------------------------------------------------------------------------------------------------------------

                                                                ----------------------------------------------------EDIT FORM---------------------------------------

                                                                ------------------------------------------------------------------------------------------------------------------------

                                                                ----------------------------------------------------------------------------------------------------------------------->

                                                                    <tr class="addrow_issue">

                                                                        <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem; ?>" readonly /></td>





                                                                        <!-- STOCK CODE -->

                                                                        <td style="width: 130px;">

                                                                            <input type="text" data-type="stock_code" name="stock_code[]" class="form-control  autocomplete_txt stock_code" id="stockcode_<?php echo $cnt; ?>" value="<?php echo $rowd->stock_code; ?>" maxlength="11">

                                                                        </td>



                                                                        <!-- DESCRIPTION -->

                                                                        <td>

                                                                            <input type="text" data-type="description" name="description[]" class="form-control description autocomplete_txt " id="description_<?php echo $cnt; ?>" autocomplete="off" size="30" value="<?php echo $rowd->description; ?>">

                                                                        </td>



                                                                        <!-- PACK SIZE -->

                                                                        <td>

                                                                            <input readonly type="text"  name="pack_size[]" class="form-control tot_issue_pack_size " id="packsize_<?php echo $cnt; ?>" autocomplete="off" value="<?php echo $rowd->pack_size; ?>">

                                                                        </td>

                                                                        <!-- QUANTITY -->

                                                                        <td>

                                                                            <input type="number" class="form-control qty changesNo qty grand_tot_qty" name="qty[]" id="qty_<?php echo $cnt; ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo ($rowd->qty); ?>" />

                                                                        </td>



                                                                        <!-- QUANTITY -->

                                                                        <td>

                                                                            <input type="number" class="form-control qty changesNo qty grand_tot_qty" name="yield[]" id="yield_<?php echo $cnt; ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->yield); ?>" />

                                                                        </td>



                                                                        <!-- RATE -->

                                                                        <td>

                                                                            <input type="text" class="form-control  changesNo orate" name="rate[]" id="orate_<?php echo $cnt; ?>" value="<?php echo round($rowd->rate); ?>" readonly />

                                                                        </td>

                                                                        <!-- TOTAL AMOUNT -->

                                                                        <td>

                                                                            <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]" id="itemtot_<?php echo $cnt; ?>" readonly value="<?php echo round($rowd->itemtot); ?>" />

                                                                        </td>

                                                                    </tr>



                                                                <?php

                                                                }

                                                                $_SESSION['cnt'] = $cnt;

                                                                ?>







                                                                <!----------------------------------------------------------------------------------------------------------------------

                                                            ------------------------------------------------------------------------------------------------------------------------

                                                            ----------------------------------------------------Add FORM---------------------------------------

                                                            ------------------------------------------------------------------------------------------------------------------------

                                                            ----------------------------------------------------------------------------------------------------------------------->



                                                                <?php $numberofrow = 1; ?> <?php for ($counter = 1; $counter <= $numberofrow; $counter++) { ?>



                                                                    <tr class="addrow_issue">



                                                                        <!-- LINEITEM -->

                                                                        <td style="width: 60px;">

                                                                            <?php $lineitem += 1; ?>

                                                                            <input type="text" class="form-control " name="lineitem[]<?php echo $counter; ?>" id="lineitem_1" value="<?php echo $lineitem; ?>" readonly />







                                                                        </td>



                                                                        <!-- STOCK CODE -->

                                                                        <td style="width: 130px;">

                                                                            <input type="text" data-type="stock_code" name="stock_code[]" class="form-control   autocomplete_txt stock_code" id="stockcode_<?php



                                                                                                                                                                                                            if ($add == "Y") {

                                                                                                                                                                                                                echo $counter;
                                                                                                                                                                                                            } else {

                                                                                                                                                                                                                echo $lineitem;
                                                                                                                                                                                                            }





                                                                                                                                                                                                            ?>" autocomplete="off" maxlength="11" autofocus>

                                                                        </td>



                                                                        <!-- DESCRIPTION -->

                                                                        <td>

                                                                            <input type="text" data-type="description" name="description[]" class="form-control description autocomplete_txt " id="description_<?php if ($add == "Y") {

                                                                                                                                                                                                                    echo $counter;
                                                                                                                                                                                                                } else {

                                                                                                                                                                                                                    echo $lineitem;
                                                                                                                                                                                                                }

                                                                                                                                                                                                                ?>" autocomplete="off" size="30">

                                                                        </td>




                                                                        <!-- PACK SIZE -->

                                                                        <td>

                                                                            <input type="number" class="form-control tot_issue_pack_size "  name="pack_size[]<?php echo $counter; ?>" id="packsize_<?php if ($add == "Y") {

                                                                                echo $counter;
                                                                            } else {

                                                                                echo $lineitem;
                                                                            }

                                                                            ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly />

                                                                        </td>




                                                                        <!-- QUANTITY -->

                                                                        <td>

                                                                            <input type="number" class="form-control qty  changesNo qty issue_grand_tot_qty" maxlength="2" name="qty[]<?php echo $counter; ?>" id="qty_<?php if ($add == "Y") {

                                                                                                                                                                                                                    echo $counter;
                                                                                                                                                                                                                } else {

                                                                                                                                                                                                                    echo $lineitem;
                                                                                                                                                                                                                }

                                                                                                                                                                                                                ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" />

                                                                        </td>





                                                                        <!-- YIELD -->

                                                                        <td>

                                                                            <input type="number" class="form-control qty  changesNo qty grand_tot_qty" name="yield[]<?php echo $counter; ?>" id="yield_<?php if ($add == "Y") {

                                                                                                                                                                                                            echo $counter;
                                                                                                                                                                                                        } else {

                                                                                                                                                                                                            echo $lineitem;
                                                                                                                                                                                                        }

                                                                                                                                                                                                        ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly />

                                                                        </td>













                                                                        <!-- RATE -->

                                                                        <td>

                                                                            <input type="text" class="form-control  changesNo orate" name="rate[]<?php echo $counter; ?>" id="orate_<?php if ($add == "Y") {

                                                                                                                                                                                        echo $counter;
                                                                                                                                                                                    } else {

                                                                                                                                                                                        echo $lineitem;
                                                                                                                                                                                    }

                                                                                                                                                                                    ?>" readonly />

                                                                        </td>





                                                                        <!-- TOTAL AMOUNT -->

                                                                        <td>

                                                                            <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]<?php echo $counter; ?>" id="itemtot_<?php if ($add == "Y") {

                                                                                                                                                                                                    echo $counter;
                                                                                                                                                                                                } else {

                                                                                                                                                                                                    echo $lineitem;
                                                                                                                                                                                                }

                                                                                                                                                                                                ?>" readonly />

                                                                        </td>

                                                                    </tr>

                                                                <?php } ?>





                                                                <thead>

                                                                    <tr>





                                                                        <td></td>

                                                                        <td></td>

                                                                        <td></td>

                                                                        <td align="right">



                                                                            <input type="text" class="form-control  issue_g_tot_pack_size" name="issue_g_tot_pack_size" id="issue_g_tot_pack_size" autocomplete="off" readonly  style="width: 100px;  font-weight: bold;" />
                                                                        </td>

                                                                        <td align="right">



                                                                            <input type="text" class="form-control  isse_grandtot_qty" name="grandtot_qty" id="issue_grandtot_qty" autocomplete="off" readonly value="<?php



                                                                                                                                                                                                            if ($add == "Y") {

                                                                                                                                                                                                                $_SESSION['tot_qty'] = 0;
                                                                                                                                                                                                            } else {

                                                                                                                                                                                                                $_SESSION['tot_qty'] = $tot_qty;
                                                                                                                                                                                                            }



                                                                                                                                                                                                            echo ($_SESSION['tot_qty']); ?>" style="width: 100px;  font-weight: bold;" />
                                                                        </td>





                                                                        <td>





                                                                        </td>











                                                                        <td width="10%" colspan="2" align="right">

                                                                            <input type="text" class="form-control  grandtot " name="grandtot" id="grandtot" autocomplete="off" readonly value="<?php



                                                                                                                                                                                                if ($add == "Y") {

                                                                                                                                                                                                    $_SESSION['itemtot'] = 0;
                                                                                                                                                                                                } else {

                                                                                                                                                                                                    $_SESSION['itemtot'] = $itemtot;
                                                                                                                                                                                                }



                                                                                                                                                                                                echo round($_SESSION['itemtot']); ?>" style="width: 100px;  font-weight: bold;" />

                                                                        </td>

                                                                    </tr>













                                                                </thead>



                                                            </table>







                                                            <div class='row'>

                                                                <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>

                                                                    <button class="btn btn-success addmore_issue" type="button">+ Add More</button>

                                                                </div>

                                                            </div>



                                                        </fieldset>

                                                        <!------------------------END STOCK ISSUE BLOCK---------------------------->



                                                        <br clear="all"><br clear="all"><br clear="all">











                                                        <fieldset>

                                                            <legend style="background-color: #0FA015">Labour:</legend>



                                                            <table class="table table-bordered table-responsive table-hover batch_addrow_sale small" id="batch_addrow">

                                                                <thead>

                                                                    <tr>

                                                                        <th width="2%"><input id="check_all" class="formcontrol" type="checkbox" /></th>

                                                                        <th width="3%" style="text-align: center;">SR</th>

                                                                        <th width="12%" style="text-align: center;">Account</th>

                                                                        <th width="12%" style="text-align: center;">Detail</th>

                                                                        <th width="15%" style="text-align: center;">Work From</th>

                                                                        <th width="15%" style="text-align: center;">Work To</th>

                                                                        <th width="10%" style="text-align: center;">Rate</th>

                                                                        <th width="10%" style="text-align: center;">Amount</th>

                                                                    </tr>



                                                                </thead>



                                                                <?php



                                                                try {

                                                                    $edit_query =  "SELECT * 

                                                            FROM mo_labour l

                                                            WHERE l.voucher_id = '$v_id' 

                                                            and l.comp_id = '$comp_id' 

                                                            AND l.year_id = '$year_id' 

                                                            ORDER BY l.lineitem/1";



                                                                    $resultd = $dbcon->prepare($edit_query);

                                                                    $resultd->execute(array());
                                                                } catch (PDOException $e) {

                                                                    echo "Error : " . $e->getMessage();
                                                                }











                                                                $b_cnt = 0;

                                                                $itemtot = '';

                                                                $tot_qty = '';

                                                                $o_qty = '';

                                                                while ($row_l = $resultd->fetch(PDO::FETCH_OBJ)) {

                                                                    $l_lineitem = $row_l->lineitem;

                                                                    $l_cnt = $l_lineitem;





                                                                    $tot_qty += $row_l->qty;



                                                                    $b_v_date = format_date_yyyy($row_l->voucher_date);





                                                                    $l_acct_id = $row_l->acct_id;



                                                                    $work_from = $row_l->work_from;



                                                                    $work_to = $row_l->work_to;

                                                                    $detail = $row_l->detail;







                                                                ?>



                                                                    <!----------------------------------------------------------------------------------------------------------------------

                                                ------------------------------------------------------------------------------------------------------------------------

                                                ----------------------------------------------------LABOUR EDIT FORM---------------------------------------

                                                ------------------------------------------------------------------------------------------------------------------------

                                                ----------------------------------------------------------------------------------------------------------------------->

                                                                    <tr class="batch_addrow_sale">

                                                                        <td><input class="case" type="checkbox" /></td>

                                                                        <td> <input type="text" class="form-control" name="l_lineitem[]" size="1" value="<?php echo $l_lineitem; ?>" readonly /></td>





                                                                        <!-- ACCOUNT ID -->

                                                                        <td style="width: 130px;">

                                                                            <select style="width: 300px;" name="l_acct_id[]<?php echo $l_cnt; ?>" id="debitacctid_<?php echo $l_cnt; ?>" class=" form-control debit_acct_id">



                                                                                <?php



                                                                                try {

                                                                                    $p_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE substr(acct_id,1,6)='101014' and length(acct_id) = 10 ORDER BY n.acct_name ASC";

                                                                                    $p_result = $dbcon->prepare($p_query);

                                                                                    $p_result->execute(array());
                                                                                } catch (PDOException $e) {

                                                                                    echo "Error : " . $e->getMessage();
                                                                                }





                                                                                while ($rowd = $p_result->fetch(PDO::FETCH_OBJ)) {





                                                                                    if ($l_acct_id == $rowd->acct_id) {

                                                                                        echo '<option  value="' . $rowd->acct_id . '" selected>' . $rowd->acct_name . '</option>';
                                                                                    } else {





                                                                                        echo '<option  value="' . $rowd->acct_id . '">' . $rowd->acct_name . '</option>';
                                                                                    }
                                                                                }



                                                                                ?>

                                                                            </select>

                                                                        </td>









                                                                        <!-- DETAIL -->

                                                                        <td>

                                                                            <input type="text" class="form-control detail" name="detail[]" id="detail_<?php echo $l_cnt; ?>" value="<?php echo $detail; ?>" />

                                                                        </td>





                                                                        <!-- WORK FROM -->

                                                                        <td>

                                                                            <input type="text" class="form-control labour_date" name="work_from[]" id="workfrom_<?php echo $l_cnt; ?>" value="<?php echo $work_from; ?>" />

                                                                        </td>





                                                                        <!-- WORK TO -->

                                                                        <td>

                                                                            <input type="text" class="form-control labour_date" name="work_to[]" id="workto_<?php echo $l_cnt; ?>" value="<?php echo $work_to; ?>" />

                                                                        </td>





                                                                        <!-- RATE -->

                                                                        <td>

                                                                            <input type="number" class="form-control" name="l_rate[]" id="rate_<?php echo $l_cnt; ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($row_l->rate); ?>" />

                                                                        </td>





                                                                        <!-- AMOUNT -->

                                                                        <td>

                                                                            <input type="number" class="form-control" name="l_amount[]" id="amount_<?php echo $l_cnt; ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($row_l->amount); ?>" />

                                                                        </td>







                                                                    </tr>



                                                                <?php

                                                                }

                                                                $_SESSION['l_cnt'] = $l_cnt;

                                                                ?>







                                                                <!----------------------------------------------------------------------------------------------------------------------

                                            ------------------------------------------------------------------------------------------------------------------------

                                            ----------------------------------------------------LABOUR ADD FORM---------------------------------------

                                            ------------------------------------------------------------------------------------------------------------------------

                                            ----------------------------------------------------------------------------------------------------------------------->





                                                                <?php $batchrow = 1; ?> <?php for ($bcounter = 1; $bcounter <= $batchrow; $bcounter++) { ?>



                                                                    <tr class="batch_addrow_sale">

                                                                        <!-- CHECKBOX FOR ADD NEW FORM FIELD -->

                                                                        <td>

                                                                            <input class="case" type="checkbox" id="disable_<?php echo $bcounter; ?>" />

                                                                        </td>



                                                                        <!-- LINEITEM -->

                                                                        <td style="width: 60px;">

                                                                            <?php $l_lineitem += 1; ?>

                                                                            <input type="text" class="form-control " name="l_lineitem[]<?php echo $bcounter; ?>" id="llineitem_" value="<?php echo $l_lineitem; ?>" readonly />

                                                                        </td>



                                                                        <!-- STOCK CODE -->

                                                                        <td style="width: 130px;">

                                                                            <select name="l_acct_id[]<?php if ($add == "Y") {

                                                                                                            echo $bcounter;
                                                                                                        } else {

                                                                                                            echo $l_lineitem;
                                                                                                        }



                                                                                                        ?>" id="debitacctid_<?php if ($add == "Y") {

                                                                                                    echo $bcounter;
                                                                                                } else {

                                                                                                    echo $l_lineitem;
                                                                                                }



                                                                                    ?>" class=" form-control debit_acct_id">

                                                                                <option></option>

                                                                                <?php



                                                                                                try {

                                                                                                    $act_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE substr(acct_id,1,6)='101014' and  length(acct_id) = 10  ORDER BY n.acct_name ASC";

                                                                                                    $act_result = $dbcon->prepare($act_query);

                                                                                                    $act_result->execute(array());
                                                                                                } catch (PDOException $e) {

                                                                                                    echo "Error : " . $e->getMessage();
                                                                                                }



                                                                                                while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {

                                                                                                    $actid = $rowact->acct_id;

                                                                                                    $acct_name = $rowact->acct_name;



                                                                                                    if (strlen($actid) == '10') {

                                                                                                        //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';

                                                                                                        echo '<option value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                                                                    }
                                                                                                }

                                                                                ?>

                                                                            </select>

                                                                        </td>



                                                                        <td>

                                                                            <input type="text" class="form-control detail " name="detail[]<?php echo $counter; ?>" id="detail_<?php if ($add == "Y") {

                                                                                                                                                                                    echo $counter;
                                                                                                                                                                                } else {

                                                                                                                                                                                    echo $lineitem;
                                                                                                                                                                                }

                                                                                                                                                                                ?>" />

                                                                        </td>









                                                                        <td>

                                                                            <input type="text" class="form-control labour_date" name="work_from[]<?php echo $bcounter; ?>" id="workfrom_<?php if ($add == "Y") {

                                                                                                                                                                                            echo $bcounter;
                                                                                                                                                                                        } else {

                                                                                                                                                                                            echo $l_lineitem;
                                                                                                                                                                                        }

                                                                                                                                                                                        ?>" value="<?php echo date('Y-m-d h:i:s'); ?>" />

                                                                        </td>





                                                                        <td>

                                                                            <input type="text" class="form-control labour_date" name="work_to[]<?php echo $bcounter; ?>" id="workto_<?php if ($add == "Y") {

                                                                                                                                                                                        echo $bcounter;
                                                                                                                                                                                    } else {

                                                                                                                                                                                        echo $l_lineitem;
                                                                                                                                                                                    }

                                                                                                                                                                                    ?>" value="<?php echo date('Y-m-d h:i:s'); ?>" />

                                                                        </td>









                                                                        <!-- RATE -->

                                                                        <td>

                                                                            <input type="text" class="form-control  l_changesNo orate" name="l_rate[]<?php echo $bcounter; ?>" id="orate_<?php if ($add == "Y") {

                                                                                                                                                                                            echo $bcounter;
                                                                                                                                                                                        } else {

                                                                                                                                                                                            echo $l_lineitem;
                                                                                                                                                                                        }

                                                                                                                                                                                        ?>" value="93" />

                                                                        </td>





                                                                        <!-- TOTAL AMOUNT -->

                                                                        <td>

                                                                            <input type="text" class="form-control itemtot l_totalLinePrice" name="l_itemtot[]<?php echo $bcounter; ?>" id="litemtot_<?php if ($add == "Y") {

                                                                                                                                                                                                        echo $bcounter;
                                                                                                                                                                                                    } else {

                                                                                                                                                                                                        echo $l_lineitem;
                                                                                                                                                                                                    }

                                                                                                                                                                                                    ?>" readonly />

                                                                        </td>





                                                                    </tr>

                                                                <?php } ?>







                                                                <thead>

                                                                    <tr>

                                                                        <td></td>

                                                                        <td></td>

                                                                        <td></td>

                                                                        <td></td>

                                                                        <td></td>

                                                                        <td></td>

                                                                        <td></td>





                                                                        <td align="right">



                                                                            <input type="text" class="form-control  l_grandtot" name="l_grandtot" id="l_grandtot" autocomplete="off" readonly value="<?php



                                                                                                                                                                                                        if ($add == "Y") {

                                                                                                                                                                                                            $_SESSION['tot_qty'] = 0;
                                                                                                                                                                                                        } else {

                                                                                                                                                                                                            $_SESSION['tot_qty'] = $tot_qty;
                                                                                                                                                                                                        }



                                                                                                                                                                                                        echo round($_SESSION['tot_qty']); ?>" style="width: 100px;  font-weight: bold;" />
                                                                        </td>







                                                                    </tr>



                                                                </thead>



                                                            </table>

                                                        </fieldset>





                                                        <div class='row'>

                                                            <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>

                                                                <button class="btn btn-success labour_addmore_sale" type="button">+ Add More</button>

                                                            </div>

                                                        </div>







                                                        <hr>











                    </form>







                </div>



            </div>

        </div>

        <script src="js/jquery-1.10.2.min.js"></script>

        <script src="js/jquery-migrate-1.2.1.min.js"></script>

        <script src="js/jquery-ui.js"></script>
        <!--loading bootstrap js-->

        <script src="vendors/bootstrap/js/bootstrap.min.js"></script>

        <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>

        <script src="js/html5shiv.js"></script>

        <script src="js/respond.min.js"></script>

        <script src="vendors/metisMenu/jquery.metisMenu.js"></script>

        <script src="vendors/slimScroll/jquery.slimscroll.js"></script>

        <script src="vendors/jquery-cookie/jquery.cookie.js"></script>

        <script src="vendors/iCheck/icheck.min.js"></script>

        <script src="vendors/iCheck/custom.min.js"></script>

        <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>

        <script src="vendors/jquery-highcharts/highcharts.js"></script>

        <script src="js/jquery.menu.js"></script>

        <script src="vendors/jquery-pace/pace.min.js"></script>

        <script src="vendors/holder/holder.js"></script>

        <script src="vendors/responsive-tabs/responsive-tabs.js"></script>

        <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>

        <script src="vendors/moment/moment.js"></script>

        <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

        <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>

        <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

        <script src="vendors/bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js"></script>

        <script src="vendors/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>

        <script type="text/javascript" src="js/main.js"></script>
        <!--LOADING SCRIPTS FOR PAGE-->

        <script src="vendors/select2/select2.min.js"></script>

        <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>



        <!---------------------------START JAVASCRIPT-------------------------------->

        <script type="text/javascript">
            /* $('.issue_date').slimScroll({

            "width": '100%',

            "height": '100px',

            "wheelStep": 10,

            "scrollTo": "100px"

        });*/









            /**************************START AUTO INSERT DATE ROW************************/

            var r = $('.addrow_issue_date').length;

            $(".addmore_issue_date").on('click', function() {

                html = '<tr>';

                html += '<td><input type="text" data-type="lineitem" name="issued_lineitem[]"  id="issuedlineitem_' + r + '" class="form-control issued_lineitem" readonly value="' + r + '" style="width: 150px;"/></td>';

                html += '<td><input type="text"  name="issued_lineitem[]" id="pdate_' + r + '" class="form-control v_date p_date " autocomplete="off" readonly style="width: 150px;"></td>';

                html += '</tr>';

                $('#date_row').append(html);

                r++;







                var JSONObject = '';

                var peopleHTML = "";



                // Loop through Object and create peopleHTML

                var i = 1;



                peopleHTML += '<tr>';

                peopleHTML += '<td><input class="case" type="checkbox"/></td>';

                peopleHTML += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly size="1" value="' + i + '"/></td>';

                peopleHTML += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '"  class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';

                peopleHTML += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '"  class="form-control autocomplete_txt" autocomplete="off" ></td>';

                peopleHTML += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control qty changesNo grand_tot_qty"  autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                peopleHTML += '<td><input type="number" name="yield[]" id="yield_' + i + '" class="form-control qty changesNo grand_tot_qty"  autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';



                peopleHTML += '<td><input type="text" name="rate[]" id="orate_' + i + '" class="form-control changesNo rate"  autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                peopleHTML += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control totalLinePrice" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

                peopleHTML += '</tr>';

                i++;







                // Replace table’s tbody html with peopleHTML

                $("#addrow tbody").html(peopleHTML);



                //date picker

                $('.v_date').datepicker({

                    format: 'dd-mm-yyyy',

                    autoclose: true

                });

            });







            /**************************END AUTO INSERT DATE ROW************************/





            //autocomplete script sale invoice select stock code

            $(document).on('focus', '.b_autocomplete_txt', function() {

                type = $(this).data('type');



                if (type == 'stock_code') autoTypeNo = 0;

                if (type == 'description') autoTypeNo = 1;





                $(this).autocomplete({

                    source: function(request, response) {

                        $.ajax({

                            url: 'kt_select_tra_stock.php',

                            dataType: "json",

                            method: 'post',

                            data: {

                                name_startsWith: request.term,

                                type: type

                            },

                            success: function(data) {

                                response($.map(data, function(item) {

                                    var code = item.split("|");

                                    return {

                                        label: code[autoTypeNo],

                                        value: code[autoTypeNo],

                                        data: item

                                    }

                                }));

                            }

                        });

                    },

                    autoFocus: true,

                    minLength: 1,



                    select: function(event, ui) {

                        var names = ui.item.data.split("|");

                        id_arr = $(this).attr('id');

                        id = id_arr.split("_");

                        $('#batchstockcode_' + id[1]).val(names[0]);

                        $('#batchdescription_' + id[1]).val(names[1]);

                        $('#bpacksize_' + id[1]).val(names[2]);


                        calculate_total_issue_pack_size();


                    }

                });



            });

















            //autocomplete script sale invoice select stock code

            $(document).on('focus', '.autocomplete_txt', function() {

                type = $(this).data('type');



                if (type == 'stock_code') autoTypeNo = 0;

                if (type == 'description') autoTypeNo = 1;





                $(this).autocomplete({

                    source: function(request, response) {

                        $.ajax({

                            url: 'kt_select_tra_stock.php',

                            dataType: "json",

                            method: 'post',

                            data: {

                                name_startsWith: request.term,

                                type: type

                            },

                            success: function(data) {

                                response($.map(data, function(item) {

                                    var code = item.split("|");

                                    return {

                                        label: code[autoTypeNo],

                                        value: code[autoTypeNo],

                                        data: item

                                    }

                                }));

                            }

                        });

                    },

                    autoFocus: true,

                    minLength: 1,



                    select: function(event, ui) {

                        var names = ui.item.data.split("|");

                        id_arr = $(this).attr('id');

                        id = id_arr.split("_");

                        $('#stockcode_' + id[1]).val(names[0]);
                        $('#description_' + id[1]).val(names[1]);
                        $('#packsize_' + id[1]).val(names[2]);




                        calculateTotal();
                        calculateTotal_qty();
                        calculateTotal_qty_detail();
                        calculate_total_issue_pack_size();




                    }

                });



            });



            function sale_invoice_add()

            {



                //declare variables master form

                var v_date = $('#v_date').val();

                var v_id = $('#v_id').val();

                var m_stock_code = $('#m_stock_code').val();

                var target_qty = $('#target_qty').val();



                var pdate_1 = $('#pdate_1').val();

                var comp_id = $('#comp_id').val();



                var issue_date = $('#pdate_1').val();


                var b_g_tot = $('#b_tot_pack_size').val();
               var issue_pack_size_tot = $('#issue_g_tot_pack_size').val();




                if (v_date == "")

                {

                    alert("Please Enter Date");

                    $('#v_date').focus();

                } else if (issue_date == "")

                {

                    alert("Please Select Issue Date");

                    $('#pdate_1').focus();

                }
                else if ( (b_g_tot > issue_pack_size_tot) ||  (b_g_tot <  issue_pack_size_tot))

                {

                    alert("Please Qty Must Be Match With Issue Stock.");



                }




                else

                {

                    var formdata = $('#sale_invoice').serializeArray();



                    $.ajax({

                        type: "POST",

                        url: "process/mo_process.php",

                        data: $.param(formdata),

                        beforeSend: function()

                        {

                            $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');

                        },

                        success: function(result)

                        {

                            //alert(result);

                            //alert('Voucher has been successfully submitted.');

                            //window.location = "sl_inv_detail.php?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''"

                            // window.location = "mo_detail?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''";

                            window.location = "mo_detail?v_id=<?php echo $v_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted=''&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>";

                        }

                    });

                    //                $('#savedata').addClass("disabled");

                }


            }





            $(document).on('change', '#check_all', function() {

                $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))

            });







            //delete the selected table row



            $(".delete_sale").on('click', function() {

                $('.case:checkbox:checked').parents("tr").remove();

                $("#check_all").prop("checked", false);

                calculateTotal();

                calculateTotal_qty();

            });



            /****************************START ADD MORE ROW BATCH*********************/

            //       var i = $('.addrow_batch').length;



            $(".addmore_batch").on('click', function() {



                var i = <?php $_SESSION['batch_cnt'] += 1;
                        echo $_SESSION['batch_cnt']; ?>;



                html = '<tr>';

                html += '<td><input type="text" data-type="lineitem" name="batch_lineitem[]"  id="batchlineitem_' + i + '" class="form-control" readonly size="1" value="' + i + '"/></td>';

                html += '<td><input type="text" data-type="stock_code" name="batch_stock_code[]" id="batchstockcode_' + i + '" class="form-control b_autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';

                html += '<td><input type="text" data-type="description" name="batch_discription[]" id="batchdescription_' + i + '" class="form-control b_autocomplete_txt" autocomplete="off" ></td>';

                html += '<td><input type="number" name="batch_qty[]" id="batchqty_' + i + '" class="form-control qty " autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                html += '<td><input type="text" name="batch_batch_date[]" id="batchbatchdate_' + i + '" class="form-control qty " autocomplete="off" ondrop="return false;"  </td>';



                html += '</tr>';

                $('#addrow_batch').append(html);

            });

            /****************************END ADD MORE ROW BATCH*********************/





            /****************************START ADD MORE ROW STOCK ISSUE DETAIL*********************/

            var i = $('.addrow_issue').length;

            $(".addmore_issue").on('click', function() {



                html = '<tr>';

                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly size="1" value="' + i + '"/></td>';

                html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';

                html += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" class="form-control autocomplete_txt" autocomplete="off" ></td>';

                html += '<td><input type="number" name="pack_size[]" id="packsize_' + i + '" class="form-control tot_issue_pack_size" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';


                html += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                html += '<td><input readonly type="number" name="yield[]" id="yield_' + i + '" class="form-control qty changesNo grand_tot_qty"  autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';



                html += '<td><input readonly type="text" name="rate[]" id="orate_' + i + '" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                html += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';



                html += '</tr>';

                $('#addrow_issue').append(html);

                i++;

            });

            /****************************END ADD MORE ROW STOCK ISSUE DETAIL*********************/









            /****************************START ADD MORE ROW LABOR*********************/





            <?php



            //ADD MORE FIELD SHOW ACCOUNTS

            try {

                $nom_query =  "SELECT n.acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10  ORDER BY n.acct_name ASC";

                $nom_result = $dbcon->prepare($nom_query);

                $nom_result->execute(array());
            } catch (PDOException $e) {

                echo "Error : " . $e->getMessage();
            }

            $options = '';

            $options = "<option></option>";

            while ($row_nom = $nom_result->fetch(PDO::FETCH_OBJ)) {



                $options .= "<option value='{$row_nom->acct_id}'>{$row_nom->acct_name}</option>";
            }

            ?>

            //add table rows





            var option = "<?php echo $options; ?>";





            var b = $('.batch_addrow_sale').length;

            $(".labour_addmore_sale").on('click', function() {





                html = '<tr>';

                html += '<td><input class="case" type="checkbox"/></td>';

                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly size="1" value="' + b + '"/></td>';

                html += '<td><select name="acct_id[]" id="acctid_' + i + '" class=" form-control debit_acct_id" >' + option + '</select></td>';

                html += '<td><input type="text" name="detail[]" id="detail_' + b + '" class="form-control"></td>';



                html += '<td><input type="text" name="work_from[]" id="workfrom_' + b + '" class="form-control labour_date"></td>';

                html += '<td><input type="text" name="work_to[]" id="workto_' + b + '" class="form-control labour_date"></td>';

                html += '<td><input type="text" name="l_rate[]" id="orate_' + b + '" class="form-control  l_changesNo"></td>';

                html += '<td><input type="text" name="l_itemtot[]" id="litemtot_' + b + '" class="form-control itemtot l_totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';

                html += '</tr>';

                $('#batch_addrow').append(html);

                b++;











                $('.labour_date').datetimepicker({

                    format: 'YYYY-MM-DD HH:mm:ss'



                });







            });

            /****************************START ADD MORE ROW STOCK BATCH*********************/















            //date picker

            $('.v_date').datepicker({

                format: 'dd-mm-yyyy',

                autoclose: true

            });





            //dropdown with search

            $(".acct_id").select2();





            //total price calculation

            function calculateTotal() {



                var m_rm_amt = $('#m_rm_amt').val();

                var m_adj_amt = $('#m_adj_amt').val();



                if (m_rm_amt == '')

                    m_rm_amt = 0;



                $('#m_amount').val(parseFloat(m_rm_amt) + parseFloat(m_adj_amt));

                $('#m_rate').val(parseFloat($('#m_amount').val()) / parseFloat($('#m_qty').val()));





            }







            //price change

            $(document).on('change keyup blur', '.changesNo', function() {



                calculateTotal();



            });











            /**********************START STATION COST DETAIL MODAL*******************/

            $(document).ready(function() {



                $(document).on('click', '.getuser', function(e) {



                    e.preventDefault();



                    var uid = $(this).data('id'); // it will get id of clicked row



                    //alert(uid);



                    $('#dynamic-content').html(''); // leave it blank before ajax call

                    $('#modal-loader').show(); // load ajax loader



                    $.ajax({

                            url: 'ajax/get_loc_current_stock.php',

                            type: 'POST',

                            data: 'id=' + uid,

                            dataType: 'html'

                        })

                        .done(function(data) {

                            console.log(data);

                            $('#dynamic-content').html('');

                            $('#dynamic-content').html(data); // load response

                            $('#modal-loader').hide(); // hide ajax loader

                        })

                        .fail(function() {

                            $('#dynamic-content').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');

                            $('#modal-loader').hide();

                        });



                });



            });



            /**********************END STATION COST DETAIL MODAL*******************/

























            /**********************START GET DETAIL FROM ISSUE DATE********************/

            <?php

            if ($add == 'N') {

            ?>

                $(document).on('click keyup blur', '.issued_lineitem', function() {

                    id_arr = $(this).attr('id');

                    id = id_arr.split("_");

                    issuedlineitem = $('#issuedlineitem_' + id[1]).val();



                    $.ajax({

                        type: "POST",

                        data: {

                            "issuedlineitem": issuedlineitem

                        },

                        url: "ajax/get_mo_detail.php",

                        dataType: "json",

                        success: function(JSONObject) {







                            var peopleHTML = "";



                            // Loop through Object and create peopleHTML

                            var i = 1;



                            for (var key in JSONObject) {

                                if (JSONObject.hasOwnProperty(key)) {





                                    peopleHTML += '<tr>';

                                    peopleHTML += '<td><input class="case" type="checkbox"/></td>';

                                    peopleHTML += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly size="1" value="' + i + '"/></td>';

                                    peopleHTML += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" value="' + JSONObject[key]["stock_code"] + '" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';

                                    peopleHTML += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" value="' + JSONObject[key]["stock_name"] + '" class="form-control autocomplete_txt" autocomplete="off" ></td>';

                                    peopleHTML += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control qty changesNo grand_tot_qty" value="' + JSONObject[key]["qty"] + '" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                                    peopleHTML += '<td><input type="text" name="rate[]" id="orate_' + i + '" class="form-control changesNo rate" value="' + JSONObject[key]["rate"] + '" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                                    peopleHTML += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control totalLinePrice" autocomplete="off" value="' + JSONObject[key]["itemtot"] + '" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

                                    peopleHTML += '</tr>';

                                    i++;





                                }

                            }



                            // Replace table’s tbody html with peopleHTML

                            $("#addrow tbody").html(peopleHTML);

                        }

                    });



                });

            <?php } ?>



            /**********************END GET DETAIL FROM ISSUE DATE********************/

























            $(document).on('change keyup blur', '.changesNo', function() {

                id_arr = $(this).attr('id');

                id = id_arr.split("_");

                qty = $('#qty_' + id[1]).val();

                orate = $('#orate_' + id[1]).val();

                packsize = $('#packsize_' + id[1]).val();








                if (orate != '') {

                    var final_amt = $('#itemtot_' + id[1]).val(parseFloat(orate) * parseFloat(qty));
                }



                $('#issue_g_tot_pack_size').val(parseFloat(qty * packsize));

                calculateTotal_detail();
                calculateTotal_qty_detail();
                calculate_total_issue_pack_size();







            });









            function calculateTotal_detail() {

                grandtot = 0;

                itemtot = 0;

                $('.totalLinePrice').each(function() {

                    if ($(this).val() != '') grandtot += parseFloat($(this).val());

                });

                $('#grandtot').val(grandtot);

                itemtot += grandtot;



                var grand_tot = $('#grandtot').val();



                //alert(grand_tot);





                var freight_tot = $('#freight').val();



                var inv_tot = parseFloat(grand_tot) - parseFloat(freight_tot);



                $('#invoice_tot').val(inv_tot);





            }



            //total pqty calculation

            function calculateTotal_qty_detail() {

                grandtot_qty = 0;

                qty = 0;

                $('.issue_grand_tot_qty').each(function() {

                    if ($(this).val() != '') grandtot_qty += parseFloat($(this).val());

                });

                $('#issue_grandtot_qty').val(grandtot_qty);

                qty += grandtot_qty;

            }















            $(document).on('change keyup blur', '.l_changesNo', function() {

                id_arr = $(this).attr('id');

                id = id_arr.split("_");



                orate = $('#orate_' + id[1]).val();



                $('#litemtot_' + id[1]).val(parseFloat(orate));



                calculateTotal_labour();

            });







            /*      $('.labour_date').datepicker({

           format: 'yyyy-mm-dd',

           autoclose: true

       });





       $('.labour_date').datepicker({

           format: 'yyyy-mm-dd',

           autoclose: true

       });

*/





            //total pqty calculation

            function calculateTotal_labour() {

                grandtot_qty = 0;

                qty = 0;

                $('.l_totalLinePrice').each(function() {

                    if ($(this).val() != '') grandtot_qty += parseFloat($(this).val());

                });

                $('#l_grandtot').val(grandtot_qty);

                qty += grandtot_qty;

            }





            $('.labour_date').datetimepicker({

                format: 'YYYY-MM-DD HH:mm:ss'



            });





















            /**********************START AUTO LOAD ITEM LIST**********************/

            $("#target_qty").on("change", function() {



                var target_qty = $("#target_qty").val();



                var m_stock_code = $("#m_stock_code").val();



                var pdate_1 = $('#pdate_1').val();



                $('#pdate_1').datepicker({

                    format: 'mm/dd/yyyy',

                }).datepicker("setDate", 'now');









                var action = 'tf_load';





                var dataString = 'm_stock_code=' + m_stock_code + '&target_qty=' + target_qty + '&action=' + action;







                $.ajax({

                    type: "POST",

                    data: dataString,

                    url: "ajax/get_tf_voucher",

                    dataType: "json",

                    success: function(JSONObject) {

                        var peopleHTML = "";



                        // Loop through Object and create peopleHTML

                        var i = 1;



                        for (var key in JSONObject) {

                            if (JSONObject.hasOwnProperty(key)) {

                                //$("#v_date").val(JSONObject[key]["voucher_date"]);





                                $("#grandtot_qty").val(JSONObject[key]["q_tot"]);

                                $("#grandtot").val(JSONObject[key]["item_tot"]);



                                $("#m_rm_amt").val(JSONObject[key]["item_tot"]);









                                peopleHTML += '<tr>';

                                peopleHTML += '<td><input class="case" type="checkbox"/></td>';

                                peopleHTML += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly  value="' + JSONObject[key]["lineitem"] + '"/></td>';

                                peopleHTML += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" value="' + JSONObject[key]["stock_code"] + '" class="form-control autocomplete_txt stock_code" autocomplete="off" ></td>';

                                peopleHTML += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" value="' + JSONObject[key]["stock_name"] + '" class="form-control autocomplete_txt" autocomplete="off" ></td>';

                                peopleHTML += '<td><input type="number" name="qty[]" id="qty_' + i + '" value="' + JSONObject[key]["qty"] + '" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                                peopleHTML += '<td><input type="number" name="yield[]" id="qty_' + i + '"  class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';



                                peopleHTML += '<td><input type="text" name="rate[]" id="orate_' + i + '" value="' + JSONObject[key]["rate"] + '" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';

                                peopleHTML += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" value="' + JSONObject[key]["itemtot"] + '" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

                                peopleHTML += '</tr>';

                                i++;





                            }

                        }



                        // Replace table’s tbody html with peopleHTML

                        $("#addrow tbody").html(peopleHTML);

                    }

                });

            });

            /**********************END AUTO LOAD ITEM LIST**********************/

























            //It restrict the non-numbers

            var specialKeys = new Array();

            specialKeys.push(8, 46); //Backspace

            function IsNumeric(e) {

                var keyCode = e.which ? e.which : e.keyCode;

                console.log(keyCode);

                var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);

                return ret;

            }





            //stop backspace

            $(document).keydown(function(e) {

                var element = e.target.nodeName.toLowerCase();

                if (element != 'input' && element != 'textarea') {

                    if (e.keyCode === 8) {

                        return false;

                    }

                }

            });





            /********************START CALCULATE GRAND QTY TOTAL***********************/
            function calculateTotal_qty() {
                grandtot_qty = 0;
                qty = 0;
                $('.grand_tot_qty').each(function () {
                    if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
                });
                $('#grandtot_qty').val(grandtot_qty);
                qty += grandtot_qty;
            }
            /********************END CALCULATE GRAND QTY TOTAL***********************/









            $(document).on('change keyup blur', '.b_change_qty', function() {

                id_arr = $(this).attr('id');
                id = id_arr.split("_");
                batchqty = $('#batchqty_' + id[1]).val();

                bpacksize = $('#bpacksize_' + id[1]).val();
                totalbpacksize_ = $('#totalbpacksize_' + id[1]).val();

                stock_issue_pack_size = $('#packsize_' + id[1]).val();




                    $('#totalbpacksize_' + id[1]).val(parseFloat(bpacksize * batchqty));


               batch_total_pack_size =  $('#totalbpacksize_' + id[1]).val();










                calculate_total_pack_size();
            });





            /********************START CALCULATE GRAND QTY TOTAL***********************/
            function calculate_total_pack_size() {
                grandtot_qty = 0;
                qty = 0;
                $('.tot_pack_size').each(function () {
                    if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
                });
                $('#b_tot_pack_size').val(grandtot_qty);
                qty += grandtot_qty;
            }
            /********************END CALCULATE GRAND QTY TOTAL***********************/



            /********************START CALCULATE GRAND QTY TOTAL***********************/
            function calculate_total_issue_pack_size() {
                grandtot_qty = 0;
                qty = 0;
                $('.tot_issue_pack_size').each(function () {
                    if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
                });
                $('#issue_g_tot_pack_size').val(grandtot_qty);
                qty += grandtot_qty;
            }
            /********************END CALCULATE GRAND QTY TOTAL***********************/








        </script>

        <!---------------------------END JAVASCRIPT-------------------------------->



















</body>

</html>