<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);

        $acct_id = clean_data($_POST['acct_id']);

        $qty_decimals=find_value('v_system','qty_decimals','');
        $rate_decimals=$_SESSION["rate_decimals"];

        /*****************START MYSQL VARIABLES**************/

        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {

            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");

        }
        /*************END FINDE COMPANY NAME*****************/



        $and_comp = "";
        if ($comp_id != "All") {
            $and_comp .= " and v.comp_id = '$comp_id'";
        }
        else
        {
            $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
                        LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
                        WHERE uc.emp_id = '$emp_id' )";
        }




        $and = '';
        if ($acct_id != "All") {
            $and .= " and v.acct_id = '$acct_id'";
        }


//        $and .= " and (v.db_amt is not null or v.cr_amt is not null)";
        /*****************END MYSQL VARIABLES**************/



?>

        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>

<div class="table-responsive">
        <?php


        /*****************START GRAND TOTAL VARIABLES**************/
        $g_tot_dbqty = 0;
        $g_tot_crqty = 0;
        $g_bal = 0;
        $g_stax_tot = 0;
        $g_add_stax_tot = 0;
        $g_qty_tot = 0;
        $g_disc_amt = 0;

        $g_acct_id = '';
        /*****************END GRAND TOTAL VARIABLES**************/

        //group query date
        $g_voucher_Date = '';


        /***************START MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/
        try {
            $msqlquery = "SELECT v.acct_id, v.acct_name
FROM
	v_party v
	WHERE 1=1  $and";

//echo $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }

        while($mrow = $q_result->fetch(PDO::FETCH_ASSOC)) {
            $g_acct_id = $mrow['acct_id'];
            $g_acct_name = $mrow['acct_name'];
            $bal = 0;
            /***************END MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/


            /***************START MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

            try {
                $ob_query = "SELECT
	sum(ifnull(v.debit,0) - ifnull(v.credit,0)) o_bal
	FROM
	v_vouchers v
	WHERE 1=1
	and v.acct_id = '$g_acct_id' and v.voucher_date < '$new_from_date' $and_comp ";
#echo $ob_query;
                $ob_result = $dbcon->prepare($ob_query);
                $ob_result->execute();
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }



            $ob_row = $ob_result->fetch(PDO::FETCH_ASSOC);

            $bal = $ob_row['o_bal'];

            /***************END MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

            ?>

            <?php


            $and = " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

            try {
                $d_query = "SELECT concat(v.comp_id,v.year_id,v.voucher_id) v_id, v.comp_id, v.voucher_id,v.voucher_date, 
                v.cr_amt debit_amount, v.db_amt credit_amount, v.disc_amt, concat(ifnull(v.particulars,''), if(v.particulars is null,'',' / '), ifnull(i.description,'')) particulars, if(ifnull(v.db_qty,0)=0,v.cr_qty, v.db_qty) qty, v.rate, v.stax-v.add_stax stax, v.add_stax
		FROM v_p_vouchers v
		LEFT JOIN item i on v.stock_code=i.stock_code
		
		WHERE 1=1
		 AND v.party_id = '$g_acct_id'  $and $and_comp
		 order by v.voucher_date, v.voucher_id, v.lineitem";
#echo $d_query;
                $d_result = $dbcon->prepare($d_query);
                $d_result->execute();
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }

            // echo $d_query;


            $no_row = $d_result->rowCount();


            if ($bal != 0 or $no_row != 0) {

                ?>






                <table class="table table-bordered table-striped table-responsive" id="datatablee">
                    <thead>
                    <tr>
                        <th><?php echo $g_acct_id . ' - ' . $g_acct_name; ?></th>
                        <td align="right"><b>Opening Balance = <?php echo format_number_drcr($bal,$amt_decimals); ?> </td>
                    </tr>
                    </thead>
                </table>

                <table class="table table-bordered table-striped">
                    <tr>
                        <th>Sr</th>
                        <th>DATE</th>
                        <th>VOUCHER ID</th>
                        <th>PARTICULARS</th>
                        <td align="right"><b>QUANTITY</td>
                        <td align="right"><b>RATE</td>
                        <td align="right"><b>DISCOUNT</td>

                        <?php if ($_SESSION["sales_tax"] == 'Y'){
                        ?>
                            <td align="right"><b>SALES TAX</td>
                            <td align="right"><b>ADD</td>
                        <?php
                        }
                        ?>

                        <td align="right"><b>DEBIT</td>
                        <td align="right"><b>CREDIT</td>
                        <td align="right"><b>BALANCE</td>

                    </tr>
                    <?php



                    $serno = 0;
                    $debit_amount_tot = 0;
                    $credit_amount_tot = 0;
                    $qty_tot = 0;
                    $disc_amt_tot = 0;
                    $stax_tot = 0;
                    $add_stax_tot = 0;

                    while ($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {
                        $serno = $serno + 1;
                        $debit_amount_tot += $report_row['debit_amount'];
                        $credit_amount_tot += $report_row['credit_amount'];
                        $qty_tot += $report_row['qty'];
                        $disc_amt_tot += $report_row['disc_amt'];
                        $stax_tot += $report_row['stax'];
                        $add_stax_tot += $report_row['add_stax'];

                        $bal = $bal + $report_row['debit_amount'] - $report_row['credit_amount'];



                        $voucherID = substr($report_row['voucher_id'],0,10);

                        $vouchertype = substr($report_row['voucher_id'],0,2);


                        if(substr( $report_row['voucher_id'],0,1) == 'C' )
                        {
                            $link_voucher = 'payment_detail';
                        }


                        if(substr( $report_row['voucher_id'],0,2) == 'SL' )
                        {
                            $link_voucher = 'sl_inv_detail';
                        }

                        if(substr( $report_row['voucher_id'],0,2) == 'PL' )
                        {
                            $link_voucher = 'pl_inv_detail';
                        }

                        if(substr( $report_row['voucher_id'],0,2) == 'JV' )
                        {
                            $link_voucher = 'jv_detail';
                        }

                        if(substr( $report_row['voucher_id'],0,2) == 'ST' )
                        {
                            $link_voucher = 'stock_transfer_detail';
                        }


                        ?>

                        <tr>
                            <td><?php echo($serno); ?></td>

                            <td><?php echo format_date($report_row['voucher_date']); ?></td>
                            <td><a href="<?php echo $link_voucher;?>?v_id=<?php echo $voucherID;?>&voucher_type=<?php echo $vouchertype;?>&posted='on'" target="_blank"><?php echo substr($report_row['v_id'],4); ?></a></td>


                            <td><?php echo $report_row['particulars']; ?></td>
                            <td align="right"><?php echo format_number($report_row['qty'],$qty_decimals); ?></td>
                            <td align="right"><?php echo format_number($report_row['rate'],$rate_decimals); ?></td>
                            <td align="right"><?php echo format_number($report_row['disc_amt'],$amt_decimals); ?></td>

                            <?php if ($_SESSION["sales_tax"] == 'Y'){
                                ?>
                                <td align="right"><?php echo format_number($report_row['stax'],$amt_decimals); ?></td>
                                <td align="right"><?php echo format_number($report_row['add_stax'],$amt_decimals); ?></td>
                                <?php
                            }
                            ?>

                            <td align="right"><?php echo format_number($report_row['debit_amount'],$amt_decimals); ?></td>
                            <td align="right"><?php echo format_number($report_row['credit_amount'],$amt_decimals); ?></td>
                            <td align="right"><?php echo format_number_drcr($bal,$amt_decimals); ?></td>
                        </tr>
                        <?php

                    }
                    ?>
                    <tr>


                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td align="right"><b><?php echo format_number(($qty_tot), $qty_decimals); ?></b></td>
                        <td></td>
                        <td align="right"><b><?php echo format_number(($disc_amt_tot), $amt_decimals); ?></b></td>

                        <?php if ($_SESSION["sales_tax"] == 'Y'){
                            ?>
                            <td></td>
                            <td></td>
                            <?php
                        }
                        ?>

                        <td align="right"><b><?php echo format_number(($debit_amount_tot), $amt_decimals); ?></b></td>
                        <td align="right"><b><?php echo format_number(($credit_amount_tot), $amt_decimals); ?></b></td>
                        <td align="right"></td>
                    </tr>
                    <?php


                    $g_tot_dbqty += $debit_amount_tot;
                    $g_tot_crqty += $credit_amount_tot;
                    $g_qty_tot += $qty_tot;
                    $g_disc_amt += $disc_amt_tot;
                    $g_stax_tot += $stax_tot;
                    $g_add_stax_tot += $add_stax_tot;


                    ?>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td align="right"><b>Grand Total</b></td>
                        <td align="right"><b><?php echo format_number(($g_qty_tot), $qty_decimals); ?></b></td>
                        <td></td>
                        <td align="right"><b><?php echo format_number(($g_disc_amt), $amt_decimals); ?></b></td>

                        <?php if ($_SESSION["sales_tax"] == 'Y'){
                            ?>
                            <td></td>
                            <td></td>
                            <?php
                        }
                        ?>

                        <td align="right"><b><?php echo format_number(($g_tot_dbqty), $amt_decimals); ?></b></td>
                        <td align="right"><b><?php echo format_number(($g_tot_crqty), $amt_decimals); ?></b></td>
                    </tr>

                </table>


                <?php
            }
        }
    }


}



?>
</div>
