<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

set_time_limit ( 30000000 );

if(isset($_POST['action']) && !empty($_POST['action']))
{
if ($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$from_date = clean_data($_POST['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = clean_data($_POST['comp_id']);

$acct_id = clean_data($_POST['acct_id']);
$cat = clean_data($_POST['cat']);

$qty_decimals = find_value('v_system', 'qty_decimals', '');

/*****************START MYSQL VARIABLES**************/

/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {

    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
} else {
    $comp_name = find_value('v_system', 'comp_name', "");

}
/*************END FINDE COMPANY NAME*****************/

$party_type='C';

if ($cat=='3')
$party_type='S';


#$and = " and p.party_type='$cat'";

$and = "";

$and_comp = "";


if ($comp_id != "All") {

    $and_comp .= " and v.comp_id = '$comp_id'";


} else {
    $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
				LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
				WHERE uc.emp_id = '$emp_id' )";


}


if ($acct_id != "All") {
    $and .= " and p.acct_id = '$acct_id'";
}


$and .= " and (v.db_amt<>0 or v.cr_amt<>0)";
/*****************END MYSQL VARIABLES**************/


?>

<h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name; ?></h1>

<div class="table-responsive">
    <?php


    /*****************START GRAND TOTAL VARIABLES**************/
    $g_tot_dbqty = 0;
    $g_tot_crqty = 0;
    $g_bal = 0;
    $g_stax_tot = 0;
    $g_add_stax_tot = 0;
    $g_qty_tot = 0;

    $g_acct_id = '';
    /*****************END GRAND TOTAL VARIABLES**************/

    //group query date
    $g_voucher_Date = '';


    /***************END MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

    ?>

    <?php

    try {
        $d_query = "SELECT p.acct_id party_id, p.acct_name party_name, o.o_bal, v.qty, v.stax, v.add_stax, v.debit_amount, v.credit_amount
FROM v_party p
LEFT JOIN 
(SELECT  v.party_id, sum(v.cr_amt-v.db_amt) o_bal

		FROM v_p_vouchers v
		WHERE 1=1 $and $and_comp
		  and v.voucher_date < '$new_from_date '
		GROUP BY v.party_id
) o on p.acct_id=o.party_id
LEFT JOIN 
(SELECT  v.party_id, 
                                    v.party_name,
                                    sum(v.cr_amt) debit_amount, 
                                    sum(v.db_amt) credit_amount, 
                                    sum(if(v.db_qty is null,v.db_qty, v.cr_qty)) qty, 
                                    sum(v.stax) stax, 
                                    sum(v.add_stax) add_stax
		FROM v_p_vouchers v
		WHERE 1=1 $and $and_comp
		  and v.voucher_date between '$new_from_date ' and '$new_to_date ' 
		GROUP BY v.party_id
) v on p.acct_id=v.party_id

		WHERE 1=1 and p.party_type='$party_type'
		ORDER BY p.acct_name";
#echo $d_query;
        $d_result = $dbcon->prepare($d_query);
        $d_result->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    // echo $d_query;


    ?>


    <table class="table table-bordered table-striped">
        <tr>
            <th>SER</th>
            <th>PARTY</th>
            <td align="right"><b>OPENING</td>
            <td align="right"><b>QUANTITY</td>
            <td align="right"><b>SALES TAX</td>
            <td align="right"><b>ADD SALES TAX</td>
            <td align="right"><b>DEBIT</td>
            <td align="right"><b>CREDIT</td>
            <td align="right"><b>BALANCE</td>

        </tr>
        <?php


        $serno = 0;
        $debit_amount_tot = 0;
        $credit_amount_tot = 0;
        $qty_tot = 0;
        $stax_tot = 0;
        $add_stax_tot = 0;
        $o_bal_tot = 0;
        $bal_tot = 0;

        while ($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {
            $serno = $serno + 1;
            $debit_amount_tot += $report_row['debit_amount'];
            $credit_amount_tot += $report_row['credit_amount'];
            $qty_tot += $report_row['qty'];
            $stax_tot += $report_row['stax'];
            $add_stax_tot += $report_row['add_stax'];

            $bal = $report_row['o_bal'] + $report_row['debit_amount'] - $report_row['credit_amount'];
            $o_bal_tot += $report_row['o_bal'];
            $bal_tot += $bal;


            ?>

            <tr>
                <td><?php echo($serno); ?></td>

                <td><?php echo $report_row['party_name']; ?></td>
                <td align="right"><?php echo format_number_drcr($report_row['o_bal'], 0); ?></td>
                <td align="right"><?php echo format_number($report_row['qty'], $qty_decimals); ?></td>
                <td align="right"><?php echo format_number($report_row['stax'], 0); ?></td>
                <td align="right"><?php echo format_number($report_row['add_stax'], 0); ?></td>
                <td align="right"><?php echo format_number($report_row['debit_amount'], 0); ?></td>
                <td align="right"><?php echo format_number($report_row['credit_amount'], 0); ?></td>
                <td align="right"><?php echo format_number_drcr($bal, 0); ?></td>
            </tr>
            <?php

        }
        ?>
        <tr>


            <td></td>
            <td></td>
            <td align="right"><b><?php echo format_number_drcr($o_bal_tot, 0); ?></td>
            <td align="right"><b><?php echo format_number(($qty_tot), $qty_decimals); ?></b></td>
            <td align="right"><b><?php echo format_number(($stax_tot), 0); ?></b></td>
            <td align="right"><b><?php echo format_number(($add_stax_tot), 0); ?></b></td>
            <td align="right"><b><?php echo format_number(($debit_amount_tot), 0); ?></b></td>
            <td align="right"><b><?php echo format_number(($credit_amount_tot), 0); ?></b></td>
            <td align="right"><b><?php echo format_number_drcr($bal_tot, 0); ?></td>
        </tr>
        <?php


        ?>

    </table>


    <?php
    }
    }


?>
</div>
