<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");

//require_once ("fpdf/fpdf.php");
require_once ("fpdf/pdf_js.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}


/*****************START VARIABLES***************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);
$comp_id = clean_data($_SESSION["comp_id"]);
$comp_name = clean_data($_SESSION["COMP_NAME"]);
$phone = clean_data($_SESSION["phone"]);
$address = clean_data($_SESSION["address"]);
$_SESSION['v_id']= $_GET['v_id'];
$v_id = clean_data($_SESSION['v_id']);
$year_id = clean_data($_SESSION["year_id"]);
/*****************END VARIABLES***************/


class PDF extends PDF_JavaScript
{
    /************START PAGE HEADER*********/
    function Header()
    {
        include("include/dbconnect.php");

        $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
        $voucher_type = clean_data($_SESSION['voucher_type']);
        $comp_id = clean_data($_SESSION["comp_id"]);
        $comp_name = clean_data($_SESSION["COMP_NAME"]);
        $phone = clean_data($_SESSION["phone"]);
        $address = clean_data($_SESSION["address"]);
        $_SESSION['v_id']= $_GET['v_id'];
        $v_id = clean_data($_SESSION['v_id']);
        $year_id = clean_data($_SESSION["year_id"]);


        // Line break
        $this->Ln(-6);

        $this->SetLeftMargin(3);
        // Logo
        //$this->Image('assets/images/logo.png',10,6,20);
        $this->SetFont('Arial','B',12);
        // Move to the right

        // $this->Cell(60, 4, 'KAFEEL TRADER', 0,2, 'C');

        $this->SetFont('Arial','B',12);
        $this->Cell(55, 4, ($comp_name), 0,1, 'C');


        $this->SetFont('Arial','B',7);

        $this->Cell(70, 5, ($address), 0,1, 'C');

        $this->Cell(70, 3, ($phone), 0,1, 'C');



        // Line break
        $this->Ln(3);




        /*****************START MASTER TABLE QUERY*****************/

        /*****************START VARIABLES***************/
        include("include/dbconnect.php");
        $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
        $voucher_type = clean_data($_SESSION['voucher_type']);
        $comp_id = clean_data($_SESSION["comp_id"]);
        $comp_name = clean_data($_SESSION["COMP_NAME"]);
        $phone = clean_data($_SESSION["phone"]);
        $address = clean_data($_SESSION["address"]);
        $_SESSION['v_id']= $_GET['v_id'];
        $v_id = clean_data($_SESSION['v_id']);
        $year_id = clean_data($_SESSION["year_id"]);


        $and = " AND d.voucher_id = '$v_id'";
        $and .= " AND v.comp_id = '$comp_id'";
        $and .= " AND v.year_id = '$year_id'";
        $and .= " AND substr(d.lineitem,-1)='.'";

        try
        {
            $voucher_query =  "SELECT v.acct_id, v.voucher_id, v.voucher_date, d.particulars , c.comp_name,c.add_line1,c.phone,c.email, p.acct_name, p.acct_id
	FROM voucher v 
	LEFT JOIN voucherdet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id AND v.year_id = d.year_id
	LEFT JOIN company c ON c.comp_id = d.comp_id
	LEFT JOIN v_party p ON p.acct_id = d.acct_id
	
	WHERE 1=1  $and";
            //echo $voucher_query;

            $voucher_result = $dbcon->prepare($voucher_query);
            $dbcon->exec("SET NAMES 'utf8';");
            $voucher_result->execute(array());
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }





        $report_row = $voucher_result->fetch(PDO::FETCH_ASSOC);

        $party_acct_id = $report_row['acct_id'];

        $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
FROM v_vouchers v where  v.acct_id = '$party_acct_id' AND acct_id not in ('2610000462', '2610000463', '2610000464')) v "  , 'bal_amt', '' );


        $this->SetFont('Arial', '', 8);


        $this->Cell(40, 0, 'Inv No: '. ($report_row['voucher_id']), 0, 0, 'L');
        $this->SetFont('Arial', '', 8);

        $this->Cell(0, 0, 'Inv Date: '.format_date($report_row['voucher_date']), 0,0, 'L');
        $this->Ln(3);


        $this->Cell(40, 5, ''. substr($report_row['acct_name'],0,15), 0, 'L');


        $this->SetFont('Arial', '', 8);




 //       $this->Cell(1, 5, 'Balance: '.format_number_drcr($p_bal,0), 0,0, 'L');





        $this->Ln(5);




        /*****************END MASTER TABLE QUERY*****************/

        $this->SetLeftMargin(5);
        $this->SetFont('Arial', 'B', 7);
        $this->Cell(6, 6, 'Sr', 1);
        $this->Cell(45, 6, 'Particulars', 1);
        $this->Cell(12, 6, 'Amount', 1, 1, 'L');

        $this->SetFont('Arial', '', 8);



    }

// Page footer
    /*   function Footer()
       {
           // Position at 1.5 cm from bottom
           $this->SetY(-15);
           // Arial italic 8
           $this->SetFont('Arial','I',8);
           // Page number
           $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
       }*/



    function AutoPrint($printer='')
    {
        // Open the print dialog
        if($printer)
        {
            $printer = str_replace('\\', '\\\\', $printer);
            $script = "var pp = getPrintParams();";
            $script .= "pp.interactive = pp.constants.interactionLevel.full;";
            $script .= "pp.printerName = '$printer'";
            $script .= "print(pp);";
        }
        else
            $script = 'print(true);';
        $this->IncludeJS($script);
    }

}

//$pdf = new PDF_AutoPrint();

$pdf = new PDF();

$pdf->AliasNbPages();
$pdf->AddPage("P", array(73,200));
$pdf->SetAutoPageBreak(false);

$debit = 'd.credit';
if (substr($voucher_type, 1, 1) == 'R')
    $debit = 'd.debit';

$and = " AND (substring(d.voucher_id,1,2)) = '$voucher_type'";
$and .= " AND d.voucher_id = '$v_id'";
$and .= " AND d.comp_id = '$comp_id'";
$and .= " AND d.year_id = '$year_id'";
$and .= " AND substring(d.lineitem,-1) = '.'";


try {
    $vd_query = "SELECT d.voucher_id, d.acct_id, d.lineitem, d.acct_id f1, n.acct_name, d.particulars, $debit amount
 	FROM voucherdet d  
 	LEFT JOIN nom n ON d.acct_id = n.acct_id 
 	WHERE 1=1  $and ORDER BY d.lineitem/1 asc";

    $vd_result = $dbcon->prepare($vd_query);
    $vd_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}


$sr = "";
$g_tot = "";
$tot_qty = "";
while ($rd_row = $vd_result->fetch(PDO::FETCH_ASSOC)) {

    $party_acct_id = $rd_row['acct_id'];

    $p_bal = '';
        /*
    $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                          FROM v_vouchers v where  v.acct_id = '$party_acct_id' ) v "  , 'bal_amt', '' );
*/

    $g_tot += $rd_row['amount'];
    $tot_qty += $rd_row['qty'];


    $sr += 1;

    $pdf->SetFont('Arial', '', 7);
    $pdf->Cell(6, 4, $sr, 1);
    $pdf->Cell(45, 4, substr($rd_row['particulars'],0,30), 1);
    $pdf->Cell(12, 4, number_format($rd_row['amount']), 1, 1, 'R');


}
$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(9);
$pdf->Cell(15,4,'Total',0);

$pdf->Cell(28);
$pdf->Cell(25,4,format_number($g_tot,0,0), 'R');


$pdf->Ln(5);

$nw=new NumbersToWords();

$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(1);
$pdf->Cell(10,8,'Amount in word:',0);
$pdf->Cell(8);
$pdf->SetFont('Arial', '', 6);
$pdf->Cell(15,8,$nw->convert($g_tot),0);








/*********************************START SEND SMS*************************/
//$login_page = find_value('v_system', 'login_page', '');
$login_page = 'kt';
$posted = 'on';
if ($login_page == 'kt' && substr($voucher_type, 1, 1) == 'R' && $posted == 'on') {



    try {
        $vd_query = "SELECT d.acct_id, d.voucher_id,  credit amount, sms_no, posted, d.lineitem
  FROM voucher m LEFT JOIN  voucherdet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND m.voucher_id = d.voucher_id  
  WHERE m.voucher_id = '$v_id' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'  AND substring(d.lineitem,-1) <> '.'";

        $vd_result = $dbcon->prepare($vd_query);
        $vd_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    $d_row = $vd_result->fetch(PDO::FETCH_OBJ);

        $voucher_id = $d_row->voucher_id;
        $acct_id = $d_row->acct_id;
        $amount = round($d_row->amount);
        $c_sms_no = $d_row->sms_no;
        $sms_no = '923449382007';
        //$sms_no = $c_sms_no;
        $lineitem = $d_row->lineitem;

        $o_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                               FROM v_vouchers v where  v.acct_id = '$acct_id' AND acct_id not in ('2610000462', '2610000463', '2610000464')) v ", 'bal_amt', '');

        $balance = format_number_drcr($o_bal, 0);

        if (!empty($sms_no)) {



            $dir = "whatsapp/receiving/";
            if (!file_exists($dir)) {
                mkdir($dir, 0777);
            }
            $dirPath = "whatsapp/receiving/$comp_id/";
            if (!file_exists($dirPath)) {
                mkdir($dirPath, 0777);
            }
            $filename = "whatsapp/receiving/$comp_id/" . $d_row->voucher_id . ".pdf";


            $pdf->Output($filename, 'F');
            $f_name = $comp_id.'-'.$d_row->voucher_id;
            //$to = $sms_no;
            $file_url = 'https://kafeeltraders.com/click/finance/'.$filename;


            $curl = curl_init();

            curl_setopt_array($curl, array(
                CURLOPT_URL => "https://api.ultramsg.com/instance10452/messages/document",
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_SSL_VERIFYHOST => 0,
                CURLOPT_SSL_VERIFYPEER => 0,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "POST",
                CURLOPT_POSTFIELDS => "token=ncp7ygzt3zcuav15&to=" . $to . "&filename=" . $f_name . "&document=" . $file_url . "&referenceId=&nocache=",
                CURLOPT_HTTPHEADER => array(
                    "content-type: application/x-www-form-urlencoded"
                ),
            ));

            $response = curl_exec($curl);
            $err = curl_error($curl);


            $datetime = date('Y-m-d H:i:s');

           /* try {

                $edit_m_query = "UPDATE voucher SET sms_time = '$datetime' 
             WHERE voucher_id = '$voucher_id' and comp_id = '$comp_id' and year_id = '$year_id'";
                $result_edit_m = $dbcon->prepare($edit_m_query);
                $result_edit_m->execute(array());
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }*/
        }

}

if(file_exists($filename))
{

    $createDeletePath = $filename;

}

if($createDeletePath == true)
{
    unlink($createDeletePath);
}

/*********************************ED SEND SMS*************************/




$pdf->AutoPrint();

$pdf->Output();
ob_end_flush();
?>






