<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");

//require_once ("fpdf/fpdf.php");
require_once ("fpdf/pdf_js.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

/*****************START VARIABLES***************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);
$comp_id = clean_data($_SESSION["comp_id"]);
$comp_name = clean_data($_SESSION["COMP_NAME"]);
$phone = clean_data($_SESSION["phone"]);
$address = clean_data($_SESSION["address"]);
$_SESSION['v_id']= $_GET['v_id'];
$v_id = clean_data($_SESSION['v_id']);
$year_id = clean_data($_SESSION["year_id"]);
/*****************END VARIABLES***************/


class PDF extends PDF_JavaScript
{
    /************START PAGE HEADER*********/
    function Header()
    {
        include("include/dbconnect.php");

        $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
        $voucher_type = clean_data($_SESSION['voucher_type']);
        $comp_id = clean_data($_SESSION["comp_id"]);
        $comp_name = clean_data($_SESSION["COMP_NAME"]);
        $phone = clean_data($_SESSION["phone"]);
        $address = clean_data($_SESSION["address"]);
        $_SESSION['v_id']= $_GET['v_id'];
        $v_id = clean_data($_SESSION['v_id']);
        $year_id = clean_data($_SESSION["year_id"]);


        // Line break
        $this->Ln(-6);

        $this->SetLeftMargin(3);
        // Logo
        //$this->Image('assets/images/logo.png',10,6,20);
        $this->SetFont('Arial','B',12);
        // Move to the right

        // $this->Cell(60, 4, 'KAFEEL TRADER', 0,2, 'C');

        $this->SetFont('Arial','B',12);
        $this->Cell(55, 4, ($comp_name), 0,1, 'C');


        $this->SetFont('Arial','B',7);

        $this->Cell(70, 5, ($address), 0,1, 'C');

        $this->SetFont('Arial','BU',7);
        $this->Cell(70, 3, ($phone), 0,1, 'C');



        // Line break
        $this->Ln(5);




        /*****************START MASTER TABLE QUERY*****************/

        /*****************START VARIABLES***************/
        include("include/dbconnect.php");

        $voucher_type = $_GET['voucher_type'];
        $comp_id = $_GET['comp_id'];
        $year_id = $_GET['year_id'];
        $v_id = $_GET['v_id'];
        $lineitem= $_GET['lineitem'];
        $amount= $_GET['amount'];

        $and = " AND v.voucher_id = '$v_id'";
        $and .= " AND v.comp_id = '$comp_id'";
        $and .= " AND v.year_id = '$year_id'";
        $and .= " AND d.lineitem = '$lineitem'";

        try
        {
            $voucher_query =  "SELECT d.acct_id, v.voucher_id, v.voucher_date, v.post_date, d.particulars , c.comp_name,c.add_line1,c.phone,c.email, p.acct_name
                                FROM voucher v 
                                LEFT JOIN voucherdet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id AND v.year_id = d.year_id
                                LEFT JOIN company c ON c.comp_id = d.comp_id
                                LEFT JOIN v_party p ON p.acct_id = d.acct_id	
                                WHERE 1=1  $and";
            //echo $voucher_query;

            $voucher_result = $dbcon->prepare($voucher_query);
            $dbcon->exec("SET NAMES 'utf8';");
            $voucher_result->execute(array());
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }

        $report_row = $voucher_result->fetch(PDO::FETCH_ASSOC);

        $party_acct_id = $report_row['acct_id'];

        $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                              FROM v_vouchers v where  v.acct_id = '$party_acct_id') v "  , 'bal_amt', '' );
        $_SESSION['p_bal'] = $p_bal;

        $currentDateTime =  $report_row['post_date'];
        $newDateTime = date('h:i', strtotime($currentDateTime));

        $this->SetFont('Arial', '', 8);

        $this->Cell(40, 0, 'Receipt No: '. ($report_row['voucher_id']), 0, 0, 'L');
        $this->SetFont('Arial', '', 8);

        $this->Cell(1);
        $this->Cell(0, 0, 'Date: '.format_date($report_row['voucher_date']) . ' ' . ($newDateTime), 0,0, 'L');
        $this->Ln(3);

        $this->Cell(40, 5, 'Name: '. $report_row['acct_name'], 0, 'L');


        $this->Ln(3);
        $this->SetFont('Arial', '', 8);
        $this->Cell(22);
        $this->Cell(10, 6, 'Previous Balance:    '.format_number_drcr($p_bal+$amount,0), 0,0, 'L');

        $this->Ln(8);

        /*****************END MASTER TABLE QUERY*****************/

        $this->SetLeftMargin(4);
        $this->SetFont('Arial', 'B', 7);
        $this->Cell(44, 7, 'Particulars', 1);
        $this->Cell(20, 7, 'Amount', 1, 1, 'R');

        $this->SetFont('Arial', '', 8);



    }

// Page footer
    /*   function Footer()
       {
           // Position at 1.5 cm from bottom
           $this->SetY(-15);
           // Arial italic 8
           $this->SetFont('Arial','I',8);
           // Page number
           $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
       }*/



    function AutoPrint($printer='')
    {
        // Open the print dialog
        if($printer)
        {
            $printer = str_replace('\\', '\\\\', $printer);
            $script = "var pp = getPrintParams();";
            $script .= "pp.interactive = pp.constants.interactionLevel.full;";
            $script .= "pp.printerName = '$printer'";
            $script .= "print(pp);";
        }
        else
            $script = 'print(true);';
        $this->IncludeJS($script);
    }

}

//$pdf = new PDF_AutoPrint();

$pdf = new PDF();

$pdf->AliasNbPages();
$pdf->AddPage("P", array(73,200));
$pdf->SetAutoPageBreak(false);

$lineitem= $_GET['lineitem'];

$debit = 'd.debit';
if (substr($voucher_type, 1, 1) == 'R')
    $debit = 'd.credit';

$and = " AND (substring(d.voucher_id,1,2)) = '$voucher_type'";
$and .= " AND d.voucher_id = '$v_id'";
$and .= " AND d.comp_id = '$comp_id'";
$and .= " AND d.year_id = '$year_id'";
$and .= " AND d.lineitem = '$lineitem'";


try {
    $vd_query = "SELECT d.voucher_id, d.acct_id, d.lineitem, d.acct_id f1, n.acct_name, d.particulars, $debit amount
 	FROM voucherdet d  
 	LEFT JOIN nom n ON d.acct_id = n.acct_id 
 	WHERE 1=1  $and ORDER BY d.lineitem/1 asc";
//echo $vd_query;

    $vd_result = $dbcon->prepare($vd_query);
    $vd_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}


$sr = "";
$g_tot = "";
$tot_qty = "";
while ($rd_row = $vd_result->fetch(PDO::FETCH_ASSOC)) {

    $party_acct_id = $rd_row['acct_id'];

    $p_bal = '';
        /*
    $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                          FROM v_vouchers v where  v.acct_id = '$party_acct_id' ) v "  , 'bal_amt', '' );
*/

    $g_tot += $rd_row['amount'];
    $tot_qty += $rd_row['qty'];


    $sr += 1;

    $pdf->SetFont('Arial', '', 9);
    $pdf->Cell(44, 7, substr($rd_row['particulars'],1,30), 1);
    $pdf->Cell(20, 7, number_format($rd_row['amount']),'1','', 'R');


}
$pdf->Ln(8);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(32);
$pdf->Cell(15,4,'Balance:',0);

//$pdf->Cell(4);
$pdf->Cell(20,4,format_number_drcr($_SESSION['p_bal'],0), '');


$pdf->Ln(5);

$nw=new NumbersToWords();

$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(1);
$pdf->Cell(60,8,'Received with thanks Rs:',0);
$pdf->Cell(2);
$pdf->Ln(5);
$pdf->SetFont('Arial', '', 8);
$pdf->Cell(60,8,$nw->convert($g_tot),0);







/*********************************START SEND SMS*************************/
//$login_page = find_value('v_system', 'login_page', '');
$login_page = 'kt';
$posted = 'on';
if ($login_page == 'kt' && substr($voucher_type, 1, 1) == 'R' && $posted == 'on') {



    try {
        $vd_query = "SELECT d.acct_id, d.voucher_id,  credit amount, sms_no, posted, d.lineitem
  FROM voucher m LEFT JOIN  voucherdet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND m.voucher_id = d.voucher_id  
  WHERE m.voucher_id = '$v_id' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id' AND d.lineitem = '$lineitem'";

        $vd_result = $dbcon->prepare($vd_query);
        $vd_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    while ($d_row = $vd_result->fetch(PDO::FETCH_OBJ)) {

        $voucher_id = $d_row->voucher_id;
        $acct_id = $d_row->acct_id;
        $amount = round($d_row->amount);
        $c_sms_no = $d_row->sms_no;
        //$sms_no = '923445452150,923214604022';
        $sms_no = $c_sms_no;
        $lineitem = $d_row->lineitem;

        $o_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                               FROM v_vouchers v where  v.acct_id = '$acct_id' AND acct_id not in ('2610000463', '2610000804', '2610000790', '2610000464', '2610000462', '2610001116', '2610000886', '2610000789', '2610001164', '2610001191')) v ", 'bal_amt', '');

        $balance = format_number_drcr($o_bal, 0);

        if (!empty($sms_no) && empty(find_value('voucherdet', 'sms_time', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucher_id' and lineitem = '$lineitem' "))) {



            $dir = "whatsapp/receiving/";
            if (!file_exists($dir)) {
                mkdir($dir, 0777);
            }
            $dirPath = "whatsapp/receiving/$comp_id/";
            if (!file_exists($dirPath)) {
                mkdir($dirPath, 0777);
            }
            $filename = "whatsapp/receiving/$comp_id/" . $d_row->voucher_id . ".pdf";


            $pdf->Output($filename, 'F');
            $f_name = $comp_id.'-'.$d_row->voucher_id;
            //$to = $sms_no;
            $file_url = 'https://kafeeltraders.com/click/finance/'.$filename;


            $curl = curl_init();

            curl_setopt_array($curl, array(
                CURLOPT_URL => "https://api.ultramsg.com/instance10452/messages/document",
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_SSL_VERIFYHOST => 0,
                CURLOPT_SSL_VERIFYPEER => 0,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "POST",
                CURLOPT_POSTFIELDS => "token=ncp7ygzt3zcuav15&to=" . $to . "&filename=" . $f_name . "&document=" . $file_url . "&referenceId=&nocache=",
                CURLOPT_HTTPHEADER => array(
                    "content-type: application/x-www-form-urlencoded"
                ),
            ));

            $response = curl_exec($curl);
            $err = curl_error($curl);


            $datetime = date('Y-m-d H:i:s');

            try {

                $edit_m_query = "UPDATE voucherdet SET sms_time = '$datetime' 
             WHERE voucher_id = '$voucher_id' and comp_id = '$comp_id' and year_id = '$year_id' and lineitem = '$lineitem'";
                $result_edit_m = $dbcon->prepare($edit_m_query);
                $result_edit_m->execute(array());
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }
        }
    }
}

if(file_exists($filename))
{

    $createDeletePath = $filename;

}

if($createDeletePath == true)
{
    unlink($createDeletePath);
}

/*********************************ED SEND SMS*************************/


$pdf->AutoPrint();

$pdf->Output();
ob_end_flush();
?>






