<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

/*****************START VARIABLES*************************/
$rate_decimals=find_value('v_system','rate_decimals','');
$qty_decimals=find_value('v_system','qty_decimals','');
$amt_decimals=find_value('v_system','amt_decimals','');

$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');
//$voucher_type = 'PL';
$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

$v_id = clean_data($_GET['v_id']);
$_SESSION['v_id']= $v_id;

/*****************END VARIABLES*************************/


?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Purchase Invoice Detail | <?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="css/custom.css">

    <link type="text/css" rel="stylesheet" href="vendors/fancybox-master/dist/jquery.fancybox.min.css">
</head>
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->

    <?php
    /*****************START MYSQL MASTER TABLE QUERY*************************/
    $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
    $update_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
    $delete_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");

    $and = '';
    $and .= " AND m.voucher_id = '$v_id'";
    $and .= " and m.comp_id = '$comp_id'";
    $and .= " and m.year_id = '$year_id'";

    try
    {
    $sl_detail_query =  "SELECT
    m.voucher_id,
    m.voucher_date,
    m.comp_id,
    p.acct_name,
    m.customer_name,
    m.customer_phone,
    m.bill_no,
    s.acct_name sp_name,
    m.discount_voucher_no,
    m.customer_cash,
    m.return_cash,
    m.acct_id,
    m.discp,
    m.net_amt,
    m.adv_amt,
    m.disc_amt,
    m.net_payable,
    m.dc_amt,
    l.loc_name,
    m.emp_id,
    m.bill_date,
    n.acct_name cs_1_name,
    m.posted,
    m.sl_v_id,
    m.base_voucher_id,
    m.base_doc,
    m.particulars

    FROM pl_invoice m
    LEFT JOIN v_party p ON m.acct_id = p.acct_id
    LEFT JOIN sp s ON s.acct_id = m.sp_id
    LEFT JOIN location l ON l.loc_id = m.loc_id
    LEFT JOIN nom n ON m.acct_id_cs_1 = n.acct_id
    WHERE 1=1  $and ";

    //echo $sl_detail_query;

    $sl_detail_result = $dbcon->prepare($sl_detail_query);
    $sl_detail_result->execute(array());
    }
    catch(PDOException $e)
    {
    echo "Error : ". $e->getMessage();
    }

    $detail_row = $sl_detail_result->fetch(PDO::FETCH_OBJ);
    /*****************END MYSQL MASTER TABLE QUERY*************************/

    $_SESSION['cash_acct'] = $detail_row->acct_id;

    $v_emp_id = $detail_row->emp_id;

    $voucher_date = $detail_row->voucher_date;
    $posted = $detail_row->posted;

    $base_v_id = substr($detail_row->base_voucher_id,-6);

    $purchase_note = $detail_row->particulars;
    $find_acct_id = $detail_row->acct_id;
    $base_doc = $detail_row->base_doc;

    if ($base_doc == 'QT') {
        $new_base_doc = 'Quote';
    }

    if ($base_doc == 'SO') {
        $new_base_doc = 'Purchase Order';
    }

    if ($base_doc == 'GR') {
        $new_base_doc = 'Purchase GRN';
    }

    if ($base_doc == 'OG') {
        $new_base_doc = 'Gatepass';
    }


    ?>
    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title">Purchase Invoice</div>
            </div>
            <ol class="breadcrumb page-breadcrumb pull-right">
                <li><i class="fa fa-home"></i>&nbsp;<a href="index">Dashboard</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                <li><a href="show_purchase_invoice?menu_id=<?php echo $menu_id;?>">Purchase Invoice List</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                <li class="active">Purchase INvoice Detail</li>
            </ol>
            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content">

            <div class="panel">
                <div class="panel-body">


            <!--------------START TOOLBAR---------------->
            <!--------------START ADD NEW BUTTON---------------->
            <?php
            if(!empty($insert_allowed) or ($auth_id == '9' ))
            {
                ?>

            <?php
            if($comp_id == 'ZT')
            {
                ?>
                <form method="get"action="purchase_invoice_bar?add=Y&menu_id=2.1" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="Y">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                        <i class="icon-user icon-white"></i>
                    </button>
                </form>
            <?php }
            else
            {
                ?>

                <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="Y">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                        <i class="icon-user icon-white"></i>
                    </button>
                </form>
            <?php } } ?>
            <!--------------END ADD NEW BUTTON---------------->

            <!--------------START EDIT  BUTTON---------------->
            <?php
            if ($posted != 'on' && ( ($emp_id == $v_emp_id || $auth_id == '8') && ($voucher_date > $date_close) && !empty($update_allowed) || ($auth_id == '9'))) {
                ?>
                <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="N">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <input type="hidden" name="v_id" value="<?php echo $detail_row->voucher_id;?>">
                    <input type="hidden" name="comp_id" value="<?php echo $comp_id;?>">
                    <input type="hidden" name="year_id" value="<?php echo $year_id;?>">
                    <input type="submit" class="btn  waves-effect waves-light" value="Edit">
                </form>
            <?php }
            ?>
            <!--------------END EDIT BUTTON---------------->

            <!--------------START POST BUTTON---------------->

            <?php
            $label = 'Post';
            if ($posted == 'on') {
                $label = 'Un-Post';
            }


            if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && $voucher_date > $date_close) || $auth_id == '9' ) {
                ?>
                <input type="hidden" name="comp_id" id="comp_id" value="<?php echo $comp_id;?>">
                <input type="hidden" name="year_id" id="year_id" value="<?php echo $year_id;?>">
                <input type="hidden" name="v_id" id="v_id" value="<?php echo $v_id;?>">
                <input type="hidden" name="voucher_type" id="voucher_type" value="<?php echo $voucher_type;?>">
                <input type="hidden" name="post" id="post" value="<?php echo $posted;?>">
                <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                <input type="hidden" name="table" id="table" value="<?php echo $table;?>">
                <button type="button" class="btn btn-success" onClick="post_voucher()"><?php echo $label; ?> <i class="zmdi zmdi-check"></i>
                </button>
                <?php
            }
            ?>
            <!--------------END POST BUTTON---------------->

            <!--------------START DELETE VOUCHER BUTTON---------------->
            <?php
            if ($posted != 'on' && ((!empty($delete_allowed)) && ($voucher_date > $date_close) || ($auth_id == '9'))) {
                ?>
                <button type="button" class="btn btn-danger" onClick="delete_voucher('<?php echo $v_id;?>','<?php echo $comp_id;?>','<?php echo $year_id;?>','<?php echo $table;?>')">Delete<i class="zmdi zmdi-delete"></i></button>
            <?php }
            ?>
            <!--------------END DELETE VOUCHER BUTTON---------------->

            <?php
            if($posted == 'on'){
                $detail = find_value("menu", "menu_print", " and menu_id='$menu_id'");
                ?>
                <!--------------START PRINT PDF BUTTON---------------->
                <a href="<?php echo $detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>" target="_blank"><button class="btn btn-default"><u>P</u>RINT <i class="zmdi zmdi-print"></i></button></a>
                <!--------------END PRINT PDF BUTTON---------------->
            <?php } ?>
            <!--------------END TOOLBAR---------------->

            <?php
            if($posted == 'on')
            {
                ?>
                <!--------------START UPLOAD DOCUMENT---------------->




                <?php

                $voucher_id =  $voucher_type.$v_id;

                $files = ("dist/".$db_name."/vouchers/".$comp_id.$year_id.$voucher_id.".jpg");



                if(!file_exists($files))
                {
                    ?>
                    <button type="button" class="btn btn-warning" id="show_file_box" >
                        <i class="glyphicon glyphicon-file"></i> Upload Document
                    </button>


                <?php } else { ?>



                    <a id="single_1" href="<?php echo $files;?>">
                        <button type="button" class="btn btn-warning" >
                            <i class="glyphicon glyphicon-file"></i> View Document
                        </button>
                    </a>
                <?php } ?>

                <a id="single_1" href="<?php echo $files;?>">
                    <button type="button" class="btn btn-warning" id="view_doc" >
                        <i class="glyphicon glyphicon-file"></i> View Document
                    </button>
                </a>



                <form id="image_upload_form" method="post" enctype="multipart/form-data" action='upload.php'
                      autocomplete="off">
                    <div class="alert alert-danger hide"></div>
                    <div class="alert alert-success hide"></div>
                    <div class="col-md-6">
                        <div class="form-group">

                            <div class="input-group">

                                <input type="text" class="form-control" id="input_image_text" readonly >
                                <span class="input-group-btn">
				                <span class="btn btn-success btn-file">
				                    Browse… <input type="file" id="photoimg" name="photoimg" />
				                </span>
				                <button type="submit" class="btn btn-warning">
				                    <i class="glyphicon glyphicon-upload"></i> upload
				                </button>
				            </span>
                            </div>
                        </div>
                    </div>
                </form>

                <!--------------END UPLOAD DOCUMENT---------------->
            <?php }?>




            <div id="view"></div>


            <br clear="all"><br clear="all">

            <!-------------START MASTER TABLE---------------->

            <div class="table-responsive">
                <table class="table dt-responsive table-striped table-bordered nowrap">
                    <thead>
                    <tr>
                        <th>Date:</th>
                        <td>
                            <?php echo format_date($voucher_date);
                            $_SESSION['sl_voucher_date'] = $detail_row->voucher_date;
                            ?>
                        </td>

                        <th>Voucher ID:</th>
                        <td><?php echo $detail_row->voucher_id; ?></td>

                        <th>Supplier Account:</th>
                        <td><?php echo $detail_row->acct_name;

                            $_SESSION['party_acct_id'] = $detail_row->acct_id;
                            ?></td>
                    </tr>

                    <tr>
                        <th>Supplier Name:</th>
                        <td><?php echo $detail_row->acct_name; ?></td>


                        <th>Supplier Phone:</th>
                        <td><?php echo $detail_row->customer_phone; ?></td>

                        <th>Invoice No:</th>
                        <td><?php echo $detail_row->bill_no; ?></td>
                    </tr>



                    <tr>
                        <th>Sale Bill V ID:</th>
                        <td><?php echo $detail_row->sl_v_id; ?></td>
                        <th>Location</th>
                        <td><?php echo $detail_row->loc_name; ?></td>
                        <th>Bill Date</th>
                        <td><?php echo format_date($detail_row->bill_date); ?></td>


                    </tr>

                    <tr>
                        <th>Created By:</th>
                        <td><?php echo $detail_row->emp_id; ?></td>

                        <th>Base Document:</th>
                        <td><?php echo $new_base_doc; ?></td>
                        <th>Base Voucher ID:</th>
                        <td>
                            <a href="grn_inv_detail?comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&v_id=<?php echo $base_v_id; ?>&menu_id=1.2" target="_blank">
                                <?php echo $detail_row->base_voucher_id; ?>
                            </a>
                        </td>

                    </tr>

                    <?php
                    if($comp_id == 'SF' || $comp_id == 'SB')
                    {
                    ?>
                    <tr>
                        <?php
                        if($posted == 'on'){
                            ?>
                            <th>Customer</th>
                            <td>
                                <?php
                                try
                                {
                                    $p_query =  "SELECT p.acct_id, concat(p.acct_name,'-',p.acct_id) acct_name FROM v_party p  ORDER BY p.acct_id ASC ";

                                    $p_result = $dbcon->prepare($p_query);
                                    $p_result->execute();
                                }
                                catch(PDOException $e)
                                {
                                    echo "Error : ". $e->getMessage();
                                }

                                ?>


                                <select style="width:100%;"  name="acct_id" id="acct_id" class="acct_idd">
                                    <option value="">Select Customer</option>
                                    <?php
                                    while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                    {


                                        echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';

                                    }
                                    ?>
                                </select>
                            </td>

                            <th>Create Sale Invoice:</th>
                            <td>
                                <button class="btn btn-success pull-right"  id="gen_premium_inv">Create Sale Invoice</button>
                            </td>

                        <?php } ?>
                    </tr>
                    <?php } ?>




                    <thead>

                </table>
            </div>

<!-------------END MASTER TABLE---------------->

            <table id="advanced-table" class="table dt-responsive table-striped table-bordered nowrap">
                <thead>
                <tr>
                    <th>SR NO.</th>
                    <th>STOCK CODE</th>
                    <th>PARTY STOCK CODE</th>

                    <th>DESCRIPTION</th>
                    <th>BRAND</th>
                    <th>PARTICULARS</th>
                    <td align="right"><b>QTY</td>
                    <th>SCHEME</th>
                    <td align="right"><b>RATE</td>
                    <td align="right"><b>DISCOUNT%</td>
                    <td align="right"><b>DISC AMOUNT</td>



                    <td align="right"><b>AMOUNT</td>
                    <?php if($posted == '')
                    {
                        ?>

                        <th>DELETE</th>
                    <?php }
                    else {
                        ?>

                    <?php } ?>
                </tr>
                </thead>

                <tbody>
                <?php
                //sale invoice detail query
                $and = '';

                $and .= " and d.comp_id = '$comp_id' ";
                $and .= " and d.year_id = '$year_id' ";
                $and .= " AND d.voucher_id = '$v_id'";



                try
                {
                    $sl_d_query =  "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount,
	d.sharing,
	d.avg_rate,
	d.disc_amt,
	i.party_stock_code,
	b.type_name brand,
	d.bouns_qty
 	FROM pl_invoice m 
 	LEFT JOIN pl_invoicedet d ON m.comp_id = d.comp_id and m.year_id=d.year_id and m.voucher_id = d.voucher_id 
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = m.comp_id
LEFT JOIN prod_type b on d.type_id=b.type_id
	WHERE 1=1 $and order by d.lineitem/1";






                    $sl_d_result = $dbcon->prepare($sl_d_query);
                    $sl_d_result->execute(array());
                }
                catch(PDOException $e)
                {
                    echo "Error : ". $e->getMessage();
                }




                $srno = 0;
                $qty_tot = 0;
                $amount_tot = 0;
                $rate_tot= 0;
                $disc_tot = 0;

                $tot_sharing_amount = "";

                while($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ))
                {
                    $srno += 1;
                    $v = $d_row->voucher_id;

                    $qty_tot += $d_row->qty;
                    $rate_tot += $d_row->rate;
                    $disc_tot += $d_row->discp;
                    $amount_tot += $d_row->itemtot;

                    $_SESSION['avg_rate'] = $d_row->avg_rate;

                    ?>
                    <tr>
                        <td><?php echo $d_row->lineitem;?></td>
                        <td><?php echo $d_row->stock_code;?></td>
                        <td><?php echo $d_row->party_stock_code;?></td>

                        <td><?php echo $d_row->description;?></td>
                        <td><?php echo $d_row->brand;?></td>
                        <td><?php echo $d_row->particulars;?></td>
                        <td align="right"><?php echo format_number($d_row->qty, $qty_decimals);?></td>
                        <td><?php echo number_format($d_row->bouns_qty); ?></td>
                        <td align="right"><?php echo format_number($d_row->rate,$rate_decimals);?></td>
                        <td align="right"><?php echo round($d_row->discp);?></td>
                        <td align="right"><?php echo format_number($d_row->disc_amt,$amt_decimals);?></td>

                        <td align="right"><?php echo number_format($d_row->itemtot,$amt_decimals);?></td>




                        <?php
                        if ($posted != 'on' && ((!empty($delete_allowed)) && ($voucher_date > $date_close) || ($auth_id == '9'))) {
                            ?>

                            <td>
                                <a class="text-muted delete_product" onclick="delete_single('<?php echo $v_id; ?>','<?php echo $d_row->lineitem; ?>','<?php echo $comp_id; ?>','<?php echo $year_id; ?>','<?php echo $table; ?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                            </td>
                        <?php } ?>

                    </tr>
                    <?php
                }
                ?>





                <tr>



                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>

                    <td align="right"><b>Total</b></td>
                    <td align="right"><b><?php echo format_number($qty_tot,$qty_decimals);?></b></td>
                    <td><b><?php //echo $rate_tot;?></b></td>
                    <td></td>
                    <td></td>
                    <td></td>

                    <td align="right">
                        <b><?php echo format_number($amount_tot, $amt_decimals);
                            $_SESSION['sale_amount'] = $amount_tot;
                            ?></b>
                    </td>




                </tr>



                <tr>

                    <?php if ($posted == '') {
                        ?>
                        <td colspan="10" rowspan="9" style="padding: 10px 10px 20px 0">
                            <textarea placeholder="Note:" class="purchase_note" name="purchase_note" id="purchase_note" cols="60" rows="10" style="width: 100%" readonly><?php echo $purchase_note;?></textarea>
                        </td>

                    <?php } ?>

                    <?php if ($posted == 'on') {
                        ?>
                        <td colspan="10" rowspan="8" style="padding: 10px 10px 20px 0">
                            <textarea placeholder="Note:" class="purchase_note" name="purchase_note" id="purchase_note" cols="60" rows="10" style="width: 100%" readonly><?php echo $purchase_note;?></textarea>
                        </td>

                    <?php } ?>


                    <td><b>Discount</b></td>
                    <td><?php echo number_format($detail_row->discp); ?></td>

                </tr>

                <tr>

                    <td><b>Discount Amount</b></td>
                    <td align="right"><?php echo format_number($detail_row->disc_amt,$amt_decimals);?></td>
                </tr>


                <tr>

                    <td><b>Freight</b></td>
                    <td align="right"><?php echo format_number($detail_row->dc_amt,$amt_decimals);?></td>
                </tr>

                <tr>

                    <td><b>Invoice Amount</b></td>
                    <td align="right"><?php echo format_number($detail_row->net_amt,$amt_decimals);?></td>
                </tr>


                <tr>

                    <td><b>Advance</b></td>
                    <td align="right"><?php echo format_number($detail_row->adv_amt,$amt_decimals);

                        $_SESSION['adv_amt'] = $detail_row->adv_amt;

                        ?></td>
                </tr>

                <tr>

                    <td><b>Total Invoice</b></td>
                    <td align="right"><?php echo format_number($detail_row->net_payable,$amt_decimals);?></td>
                </tr>
                </tbody>
            </table>





</div>
            </div>

            </div>
            <!---------------END PAGE CONTENT----------------->
        </div>
        <!---------------END PAGE WRAPPER----------------->
    </div>
    <!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
<script src="vendors/select2/select2.min.js"></script>
<script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>

<script src="vendors/fancybox-master/dist/jquery.fancybox.min.js"></script>



    <script type="text/javascript">

        //delete single enteryvoucher
        function delete_single(voucherid, lineitem, comp_id, year_id, table) {
            p_menu_id = '<?php echo $menu_id;?>';
            voucher_type = '<?php echo  $voucher_type ;?>';

            var status = confirm("Are you sure want to Single Entery Delete");
            if (status == true) {
                var datastring = 'voucherid=' + voucherid +
                    '&lineitem=' + lineitem +
                    '&comp_id=' + comp_id +
                    '&year_id=' + year_id +
                    '&table=' + table +
                    '&voucher_type=' + voucher_type +
                    '&p_menu_id=' + p_menu_id +
                    '&action=' + 'delete_lineitem';
                $.ajax({
                    type: "POST",
                    url: "delete_voucher",
                    data: datastring,
                    success: function(result) {
                        //alert(result);
                        window.location = "<?php echo $menu_detail; ?>?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>"
                    }
                });
            }
        }


        //delete voucher
        function delete_voucher(voucherid, comp_id, year_id, table)
        {
            p_menu_id = '<?php echo $menu_id;?>';
            voucher_type = '<?php echo  $voucher_type ;?>';

            var status=confirm("Are you sure want to Full Voucher Delete");
            if(status==true)
            {
                var datastring = 'voucherid=' + voucherid +
                    '&comp_id=' + comp_id  +
                    '&year_id=' + year_id +
                    '&table=' + table +
                    '&voucher_type=' + voucher_type +
                    '&p_menu_id=' + p_menu_id +
                    '&action=' + 'delete_voucher';

                $.ajax({
                    type:"POST",
                    url:"delete_voucher",
                    data: datastring,
                    success: function(result)
                    {
                        //alert(result);
                        window.location = "<?php echo $menu_link;?>&menu_id=<?php echo $menu_id;?>"
                    }
                });
            }
        }



        function post_voucher()
        {
            var comp_id = $('#comp_id').val();
            var year_id = $('#year_id').val();
            var v_id = $('#v_id').val();
            var voucher_type = $('#voucher_type').val();
            var post = $('#post').val();
            var table = $('#table').val();
            var p_menu_id = '<?php echo $menu_id;?>';
            var status=confirm("Are you sure want to <?php echo $label;?> Data.");

            if(status==true)
            {
                var datastring = 'comp_id=' + comp_id +
                    '&year_id=' + year_id +
                    '&v_id=' + v_id +
                    '&voucher_type=' + voucher_type +
                    '&post=' + post +
                    '&p_menu_id=' + p_menu_id +
                    '&table=' + table;
                $.ajax({
                    type:"POST",
                    url:"process/post_voucher.php",
                    data: datastring,
                    beforeSend: function()
                    {
                        plsWaitDiv('body', 'show');
                    },
                    success: function(result)
                    {
                        //alert(result);
                        var voucher_id = result;
                        window.location = "<?php echo $menu_detail;?>?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>";
                    }
                });
            }
        }


        $('#show_file_box').on('click', function() {



            $('#image_upload_form').show();

        });




        /*************START BEFORE SAVE PLEASE WAIT MSG SHOW OVERLAY***********/
        function plsWaitDiv(selector, visibility) {
            if ('show' == visibility) {
                $(selector).css('position', 'relative');
                $(selector).append('<div  class="plswait_overlay">Please wait<span class="dots"><span>.</span><span>.</span><span>.</span></span></div>');
            } else {
                $(selector).css('position', 'static');
                $('.plswait_overlay').remove();
            }
        }



        jQuery(document).ready(function(){
            $('#photoimg').on('change', function() {
                var label = $(this).val().replace(/\\/g, '/').replace(/.*\//, ''),
                    input = $('#input_image_text').val(label);
                $('.alert').addClass('hide');
                $('.alert').removeClass('show');

            });

            var frm = $('#image_upload_form');

            frm.submit(function (e) {
                e.preventDefault();
                var formData = new FormData();
                formData.append('photoimg', $('#photoimg')[0].files[0]);


                $.ajax({
                    type: frm.attr('method'),
                    url: frm.attr('action'),
                    data: formData,
                    dataType: "json",
                    processData: false,  // tell jQuery not to process the data
                    contentType: false,  // tell jQuery not to set contentType

                    success: function (data) {
                        console.log(data['error']);
                        if(data.error == 1) {
                            $('.alert-danger').removeClass('hide').addClass('show').html(data['msg']);
                        } else {
                            $('.alert-success').removeClass('hide').addClass('show').html('Uploaded');
                            console.log(data);
                            $('#image_upload_form').delay(1000).fadeOut('slow');
                            $('#show_file_box').hide();
                            $('#view_doc').show();


                        }

                    },
                    error: function (data) {
                        console.log(data);
                        $('.alert-danger').removeClass('hide').addClass('show').html(data);
                    },
                });
            });
        });






        $(document).ready(function() {
            $("#single_1").fancybox({
                helpers: {
                    title: {
                        type: 'float'
                    }
                }
            });
        })




        $(document).ready(function () {
            $( "#gen_premium_inv" ).click(function() {


                bootbox.dialog({
                    message: "Are you sure Want to Generate Sale Invoice ?",
                    title: "<i class='glyphicon glyphicon-info-sign'></i> Sale Invoice!",
                    buttons: {
                        success: {
                            label: "No",
                            className: "btn-danger btn-md w-150 boot_box_cls_btn",
                            callback: function() {
                                $('.bootbox').modal('hide');
                            }
                        },
                        danger: {
                            label: "Yes",
                            className: "btn-success btn-md w-150 boot_box_cls_btn",
                            callback: function() {

                                var acct_id = $('#acct_id').val();

                                if(acct_id == '')
                                {
                                    alert("Please Select Customer Account!");
                                    $('#acct_id').focus();
                                    $("#acct_id").select2().trigger('change');
                                }
                                else
                                {
                                    window.open("gen_sl_invoice?acct_id=<?php echo $find_acct_id;?>&pl_v_id=<?php echo $v_id;?>&acct_id="+acct_id);
                                }

                            }
                        }

                    },
                    onEscape: false,
                    backdrop: true,
                })




            });
        });


        $(".acct_idd").select2();
    </script>



</body>
</html>