<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
//variables
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = $_SESSION['voucher_type'];
$comp_id = clean_data($_SESSION["comp_id"]);
$add = clean_data($_GET['add']);
$_SESSION['add'] = $add;
$emp_id = $_SESSION['VALID_USER_NAME'];
$loc_id =  $_SESSION["short_name"];
$year_id = clean_data($_SESSION['year_id']);



if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
    $voucher_type = $_SESSION['voucher_type'];
    $comp_id = clean_data($_SESSION["comp_id"]);


    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id =  $v_id;



    // END MAXIMUM VOUCHER ID CHK QUERY



    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';





    //MAXIMUM INVOICE ID CHK QUERY
    try
    {
        $Maxquery_invoice =  "SELECT LPAD(IFNULL(max(substr(v.bill_no,-4)),0)+1,4,'0') v_id FROM pl_gp v
		WHERE v.comp_id = ? ";
        $max_query_inv = $dbcon->prepare($Maxquery_invoice);
        $max_query_inv->execute(array($comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max_invoice = $max_query_inv->fetch(PDO::FETCH_OBJ);
    $invoiceNo = $row_max_invoice->v_id;
    $invoice_no = $loc_id.$invoiceNo;





    $v_date = date('d-m-Y');

    $discount_voucher_id = "";
    $return_cash = "";
    $bill_type = '';
    $sp = "";
    $invoice_no = "";
    $discp_m = "";
    $disc_amt_m = "";
    $net_amt = "";
    $net_payable = "";
    $adv_amt = "";
    $dc_amt = "";



}
else //EDIT
{
    $voucher_type = clean_data($_SESSION['voucher_type']);
    $v_id = clean_data($_GET['v_id']);


    try
    {
        $edit_query =  "SELECT * FROM pl_gp m  WHERE m.voucher_id = ? AND m.comp_id = ? AND year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucher_date = $rowm->voucher_date;
    $change_date =date_create($voucher_date);
    $v_date = date_format($change_date,'d-m-Y');
    $acct_id = $rowm->acct_id;
    $lot_no = $rowm->lot_no;
    $lot_date = $rowm->lot_date;
    $tot_suit = $rowm->tot_suit;
    $color = $rowm->color;
    $bill_type = $rowm->bill_type;
    $invoice_no = $rowm->bill_no;
    $sp = $rowm->sp_id;
    $discount_voucher_id = $rowm->discount_voucher_no;
    $discp_m = $rowm->discp;
    $disc_amt_m = $rowm->disc_amt;
    $net_amt = $rowm->net_amt;
    $net_payable = $rowm->net_payable;
    $adv_amt = $rowm->adv_amt;
    $dc_amt = $rowm->dc_amt;

    $voucher_date_lot= $rowm->lot_date;
    $change_date =date_create($voucher_date_lot);
    $lot_date = date_format($change_date,'d-m-Y');
    $callender_name= $rowm->callender_name;

}


$sale_form = find_value("v_system", "sale_form", '');



?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">NEW INWORD GATEPASS INVOICE</div>
                </div>

                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">

                <form class="form-horizontal"  name="sale_invoice"  id="sale_invoice">

                    <div class='row'>
                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>

                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>




                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                        </div>
                    </div>

                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>

                                                <!-- VOUCHER ID -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="voucher_id"id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly style="width: 150px;">
                                                </td>

                                                <!-- DATE -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control v_date" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date;?>" style="width: 150px;">
                                                </td>



                                                <!-- SALE TYPE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Customer</label>
                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT p.acct_id, p.acct_name FROM v_party p  ORDER BY p.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array('0001',  '0019'));
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td >
                                                    <select   name="acct_id" id="acct_id" class=" form-control acct_id">




                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($acct_id == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>


                                            <tr >

                                                <!-- CUSTOMER NAME-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Lot No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="m_lot_no" id="lot_no" autocomplete="on" value="<?php echo $lot_no;?>" style="width: 150px;">
                                                </td>

                                                <!-- CUSTOMER PHONE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Lot Date:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control v_date"  name="lot_date"id="lot_date" value="<?php echo $lot_date;?>"  style="width: 150px;">
                                                </td>

                                                <!-- Callender Name-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Callender Name:</label>
                                                </td>

                                                <td>
                                                    <input type="text" class="form-control"  name="callender_name" id="callender_name" value="<?php echo $callender_name;?>"  style="width: 200px;">
                                                </td>

                                            </tr>

                                            <tr >

                                                <th>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Total Suit:</label>
                                                </th>
                                                <td>
                                                    <input type="text" class="form-control"  name="tot_suit"id="tot_suit" autocomplete="on"  style="width: 150px;" value="<?php echo $tot_suit;?>">
                                                </td>

                                                <th>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Color:</label>
                                                </th>
                                                <td>
                                                    <input type="text" class="form-control"  name="color"id="color" autocomplete="on"  style="width: 150px;" value="<?php echo $color;?>">
                                                </td>


                                                <!-- INVOICE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> OGP No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="inv_no"id="inv_no" autocomplete="on"  style="width: 150px;" value="<?php echo $invoice_no;?>">
                                                </td>

                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">


                                    <table class="table table-bordered table-responsive table-hover addrow_sale" id="addrow">
                                        <thead >
                                        <tr>
                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th width="8%" style="text-align: center;">SR</th>
                                            <th width="10%" style="text-align: center;">Design Code</th>
                                            <th width="20%" style="text-align: center;">Design Name</th>
                                            <th width="10%" style="text-align: center;">Cloth Type</th>
                                            <th width="10%" style="text-align: center;">Particulars</th>
                                            <th width="10%" style="text-align: center;">Meter/Gazz</th>
                                            <th width="10%" style="text-align: center;">Thaan</th>
                                            <th width="15%" style="text-align: center;">Suits</th>
                                            <th width="15%" style="text-align: center;">Bundles</th>
                                           <!-- <th width="10%" style="text-align: center;">QTY (DUPATTA)</th>-->
                                        </tr>

                                        </thead>




                                        <?php

                                        try
                                        {
                                            $edit_query =  "SELECT
	d.*,

	
	i.description
		

FROM
	pl_gpdet d
LEFT JOIN item i ON d.stock_code = i.stock_code



   WHERE d.voucher_id = ? and d.comp_id = ? AND year_id = ?
  ORDER BY d.lineitem/1";
                                            $resultd = $dbcon->prepare($edit_query);
                                            $resultd->execute(array($v_id, $comp_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        $cnt = 0;
                                        $itemtot = '';
                                        $tot_qty = '';
                                        while($rowd = $resultd->fetch(PDO::FETCH_OBJ))
                                        {
                                            $lineitem = $rowd->lineitem;
                                            $cnt = $lineitem;
                                            $itemtot += $rowd->itemtot;

                                            $tot_qty_meter += $rowd->qty_meter;
                                            $tot_qty_than += $rowd->qty;
                                            $tot_qty_suit += $rowd->qty_2;
                                            $tot_qty_bundle += $rowd->qty_bundle;


                                            ?>

                                            <!----------------------------------------------------------------------------------------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------SALE INVOICE DETAIL EDIT FORM---------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------------------------------------------------------------------------->
                                            <tr class="addrow_sale">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input type="text" data-type="stock_code" name="stock_code[]" class="form-control  autocomplete_txt stock_code" id="stockcode_<?php echo $cnt;?>" value="<?php echo $rowd->stock_code;?>" maxlength="11">
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td >
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->description ;?>">
                                                </td>





                                                <!--  CLOTH QUALITY-->
                                                <td>
                                                    <input type="text"  name="cloth_quality[]"  class="form-control" id="clothquality_<?php echo $cnt;?>" autocomplete="off"    value="<?php echo $rowd->cloth_quality ;?>">
                                                </td>

                                                <!-- PARTICULARS -->

                                                <td>
                                                    <input type="text" class="form-control particulars" name="particulars[]"  id="particulars_<?php echo $cnt;?>" size="50"  value="<?php echo $rowd->particulars;?>" />
                                                </td>



                                                <!-- METTER -->
                                                <td>
                                                    <input type="text" class="form-control grandtot_qty_meter changesNo" name="qty_meter[]" id="qtymeter_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo ($rowd->qty_meter);?>" />
                                                </td>



                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="text" class="form-control grandtot_qty_thaan changesNo" name="qty[]" id="qty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo ($rowd->qty);?>" />
                                                </td>









                                                <!-- qty 2 -->
                                               <td>
                                                    <input type="text" class="form-control  grandtot_qty_suit changesNo" name="qty_2[]" id="qty2_<?php echo $cnt;?>"  value="<?php echo round($rowd->qty_2,2);?>"/>
                                                </td>


                                                <!-- BUNDLE -->
                                                <td>
                                                    <input type="text" class="form-control grandtot_qty_bundle changesNo" name="qty_bundle[]" id="qtybundle_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo ($rowd->qty_bundle);?>" />
                                                </td>



                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>



                                        <!----------------------------------------------------------------------------------------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------SALE INVOICE DETAIL ADD FORM---------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------------------------------------------------------------------------->


                                        <?php  $numberofrow = 20; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>

                                            <tr class="addrow_sale">
                                                <!-- CHECKBOX FOR ADD NEW FORM FIELD -->
                                                <td>
                                                    <input class="case" type="checkbox" id="disable_<?php echo $counter;?>"/>
                                                </td>

                                                <!-- LINEITEM -->
                                                <td style="width: 60px;">
                                                    <?php $lineitem += 1;?>
                                                    <input type="text" class="form-control " name="lineitem[]<?php echo $counter;?>"  id="lineitem_1" value="<?php echo $lineitem;?>" readonly  />
                                                </td>

                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input  type="text"  data-type="stock_code" name="stock_code[]"  class="form-control   autocomplete_txt stock_code" id="stockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off"  autofocus >
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td >
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" autocomplete="off"  size="30">
                                                </td>



                                                <!-- CLOTH QUALITY -->
                                                <td>
                                                    <input type="text" data-type="cloth_quality" name="cloth_quality[]"  class="form-control autocomplete_field" id="clothquality_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" autocomplete="off">
                                                </td>


                                                <!-- PARTICULARS -->

                                                <td>
                                                    <input type="text" data-type="particulars" class="form-control  autocomplete_field"  name="particulars[]<?php echo $counter;?>"  id="particulars_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" />


                                                </td>




                                                <!-- QUANTITY METER -->
                                                <td>
                                                    <input type="text"  class="form-control grandtot_qty_meter changesNo"  name="qty_meter[]<?php echo $counter;?>" id="qtymeter_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>


                                                <!-- THAAN -->
                                                <td>
                                                    <input type="text"  class="form-control grandtot_qty_thaan changesNo"  name="qty[]<?php echo $counter;?>" id="qty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>

                                                <!-- SUIT -->
                                              <td>
                                                    <input type="text" class="form-control grandtot_qty_suit changesNo " name="qty_2[]<?php echo $counter;?>" id="qtythan_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  />
                                                </td>


                                                <!-- QTY BUNDLE -->
                                                <td>
                                                    <input type="text" class="form-control grandtot_qty_bundle changesNo" name="qty_bundle[]<?php echo $counter;?>" id="qtybundle_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  />
                                                </td>


                                            </tr>
                                        <?php } ?>


                                        <thead>
                                        <tr>



                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td   align="right" >

                                                <input type="text" class="form-control grand_tot_qty" name="grandtot_meter" id="grandtot_meter" autocomplete="off"  readonly style="width: 100px;  font-weight: bold;" value="<?php echo $tot_qty_meter;?>" />
                                            </td>


                                            <td   align="right" >

                                                <input type="text" class="form-control grand_tot_qty" name="grandtot_than" id="grandtot_than" autocomplete="off"  readonly style="width: 100px;  font-weight: bold;" value="<?php echo $tot_qty_than;?>" />
                                            </td>


                                            <td   align="right" >

                                                <input type="text" class="form-control grand_tot_qty" name="grandtot_suit" id="grandtot_suit" autocomplete="off"  readonly style="width: 100px;  font-weight: bold;" value="<?php echo $tot_qty_suit;?>" />
                                            </td>


                                            <td   align="right" >

                                                <input type="text" class="form-control grand_tot_qty" name="grandtot_bundle" id="grandtot_bundle" autocomplete="off"  readonly style="width: 100px;  font-weight: bold;" value="<?php echo $tot_qty_bundle;?>" />
                                            </td>






                                        </thead>

                                    </table>


                                    <div id="view"></div>
                                    <div class='row'>
                                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>

                                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>




                                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                                        </div>
                                    </div>


                </form>




            </div>

        </div>
    </div>
    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>





    <!---------------------------START JAVASCRIPT-------------------------------->
    <script type="text/javascript">






        //autocomplete script sale invoice select stock code
        $(document).on('focus','.autocomplete_txt',function(){
            type = $(this).data('type');

            if(type =='stock_code' )autoTypeNo=0;
            if(type =='description' )autoTypeNo=1;


            $(this).autocomplete({
                source: function( request, response ) {
                    $.ajax({
                        url : 'select_stock.php',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function( data ) {
                            response( $.map( data, function( item ) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data : item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 1,

                select: function( event, ui ) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    $('#stockcode_'+id[1]).val(names[0]);
                    $('#description_'+id[1]).val(names[1]);

                }
            });

        });





        //autocomplete field values
        $(document).on('focus','.autocomplete_field',function(){
            type = $(this).data('type');

            if(type =='particulars' )autoTypeNo=0;
            if(type =='cloth_quality' )autoTypeNo=0;



            $(this).autocomplete({
                source: function( request, response ) {
                    $.ajax({
                        url : 'autocomplete_field.php',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function( data ) {
                            response( $.map( data, function( item ) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data : item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 0,

                select: function( event, ui ) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");



                    if(type =='particulars' )
                    {
                        $('#particulars_'+id[1]).val(names[0]);
                    }
                    else if(type =='cloth_quality')
                    {
                        $('#clothquality_'+id[1]).val(names[0]);
                    }


                }
            }).click(function () {
                $(this).autocomplete("search", "");
            });

        });





















        function sale_invoice_add()
        {

            //declare variables master form
            var v_date = $('#v_date').val();
            var v_id = $('#v_id').val();
            var acct_id = $('#acct_id').val();
            var customer_name = $('#customer_name').val();
            var customer_phone = $('#customer_phone').val();
            var customer_cash = $('#customer_cash').val();
            var return_cash = $('#return_cash').val();
            var sp = $('#sp_id').val();

            var inv_no = $('#inv_no').val();

            //declare variables detail form
            var stock_code = $('#stockcode_1').val();







            var particulars = $('#particulars').val();
            var qty = $('#qty_1').val();
            var rate = $('#rate').val();
            var discp = $('#discp').val();
            var itemtot = $('#itemtot').val();
            var grand_tot = $('#grandtot').val();





            //check condition
            if(v_date == "")
            {
                alert("Please Enter Date");
                $('#v_date').focus();
            }

            else
            {
                var formdata = $('#sale_invoice').serializeArray();

                $.ajax({
                    type:"POST",
                    url:"process/pl_inword_process.php",
                    data:$.param(formdata),
                    beforeSend: function()
                    {
                        $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                    },
                    success: function(result)
                    {
                        //alert(result);
                        //alert('Voucher has been successfully submitted.');
                        //window.location = "sl_inv_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"

                        window.location = "pl_inword_detail?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>";
                    }
                });
                $('#savedata').addClass("disabled");
            }




        }


        $(document).on('change', '#check_all', function () {
            $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
        });



        //delete the selected table row

        $(".delete_sale").on('click', function () {
            $('.case:checkbox:checked').parents("tr").remove();
            $("#check_all").prop("checked", false);
            calculateTotal_qty();
            calculateTotal_qty_than();
        });







        //add table rows

        var i = $('.addrow_sale').length;



        $(".addmore_sale").on('click',function(){

            html = '<tr>';
            html += '<td><input class="case" type="checkbox"/></td>';
            html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
            html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
            html += '<td ><input type="text" data-type="description" name="discription[]" id="description_'+i+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';


            html += '<td><input type="text"  name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="off"></td>';
            html += '<td><input type="number" name="qty[]" id="qty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="qty_than[]" id="qrtyrhan_'+i+'" class="form-control changesNo changesNo_than" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';


            html += '</tr>';
            $('#addrow').append(html);
            i++;
        });







        //date picker
        $('.v_date').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true
        });


        //dropdown with search
        $(".acct_id").select2();


        //price change
        $(document).on('change keyup blur','.changesNo',function() {


            calculateTotal_qty();


        });






        //total pqty calculation
        function calculateTotal_qty() {
            grandtot_qty = 0;
            qty = 0;
            $('.grandtot_qty_meter').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_meter').val(grandtot_qty);
            qty += grandtot_qty;



            grandtot_qty = 0;
            qty = 0;
            $('.grandtot_qty_thaan').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_than').val(grandtot_qty);
            qty += grandtot_qty;


            grandtot_qty = 0;
            qty = 0;
            $('.grandtot_qty_suit').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_suit').val(grandtot_qty);
            qty += grandtot_qty;


            grandtot_qty = 0;
            qty = 0;
            $('.grandtot_qty_bundle').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_bundle').val(grandtot_qty);
            qty += grandtot_qty;

        }





    </script>
    <!---------------------------START JAVASCRIPT-------------------------------->




</body>
</html>