<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

/*****************START VARIABLES*************************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);
$comp_id = clean_data($_SESSION["comp_id"]);
$_SESSION['v_id']= $_GET['v_id'];
$v_id = clean_data($_SESSION['v_id']);
$emp_id = clean_data( $_SESSION["VALID_USER_ID"]);
$outlet_margin = $_SESSION["outlet_margin"];
$postedd = stripslashes($_GET['posted']);
$year_id = clean_data($_SESSION["year_id"]);

/*****************END VARIABLES*************************/

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$table='sl_return';
$menu_id = $_GET['menu_id'];
$menucmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
if(empty($menucmd))
    $menucmd = "sale_return";


$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");


$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$insert_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
$update_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
$delete_allowed = find_value("users_menu", 'menu_id', " and  emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");
$post_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and post_allowed='Y' and menu_id = '$menu_id'");
$unpost_allowed = find_value("users_menu", 'menu_id', " and auth_id = '$auth_id' and emp_id = '$emp_id' AND inactive <> 'Y' and unpost_allowed='Y' and menu_id = '$menu_id'");
$print_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and print_allowed='Y' and menu_id = '$menu_id'");


$date_close = find_value("v_system", 'date_close', '');

/*****************START MYSQL MASTER TABLE QUERY*************************/
$and = '';

$and .= " AND m.voucher_id = ?";
$and .= " and m.comp_id = ?";
$and .= " AND m.year_id = ?";


try
{
    $sl_detail_query =  "SELECT
	m.voucher_id,
	m.voucher_date,
	m.comp_id,
	p.acct_name,
	m.customer_name,
	m.customer_phone,
	m.bill_no,
	s.acct_name sp_name,
	m.discount_voucher_no,
	
	m.customer_cash,
	m.return_cash,
	m.acct_id,
	m.discp,
	m.net_amt,
	m.adv_amt,
	m.disc_amt,
	m.net_payable,
	m.dc_amt,
	l.loc_name,
	m.emp_id,
	

	m.posted
FROM
	pl_order m
LEFT JOIN pl_orderdet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND  m.voucher_id = d.voucher_id
LEFT JOIN v_party p ON m.acct_id = p.acct_id
LEFT JOIN sp s ON s.acct_id = m.sp_id 
LEFT JOIN location l ON l.loc_id = m.loc_id

WHERE 1=1  $and";
    $sl_detail_result = $dbcon->prepare($sl_detail_query);
    $sl_detail_result->execute(array( $v_id, $comp_id, $year_id ));
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

$detail_row = $sl_detail_result->fetch(PDO::FETCH_OBJ);

$v_emp_id = $detail_row->emp_id;

$voucher_date = $detail_row->voucher_date;
$posted = $detail_row->posted;


/*****************END MYSQL MASTER TABLE QUERY*************************/

$_SESSION['cash_acct'] = $detail_row->acct_id;

$v_emp_id = $detail_row->emp_id;
$voucher_date = $detail_row->voucher_date;



?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Purchase Order Detail | <?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->


    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title">Purchase Order Detail</div>
            </div>

            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content">
            <div class="panel">
                <div class="panel-body">

            <!--------------START ADD NEW BUTTON---------------->
            <?php
            if(!empty($insert_allowed) or ($auth_id == '9' ))
            {
                ?>

                <form method="get" action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="Y">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <button type="submit" class="btn btn-icon btn-success" data-toggle="tooltip" data-placement="top" title="Add Purchase Order"><i class="fa fa-plus"></i></button>

                </form>

            <?php } ?>
            <!--------------END ADD NEW BUTTON---------------->


            <!--------------START EDIT  BUTTON---------------->
            <?php

            if ( $posted != 'on' &&  ( !empty($update_allowed) || ($auth_id == '9'))) {
                ?>
                <form method="get" action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="N">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <input type="hidden" name="v_id" value="<?php echo $detail_row->voucher_id;?>">
                    <input type="hidden" name="comp_id" value="<?php echo $comp_id;?>">
                    <input type="hidden" name="year_id" value="<?php echo $year_id;?>">
                    <button type="submit" id="btn_edit_form" class="btn btn-icon btn-warning ml-1 " data-toggle="tooltip" data-placement="top" title="Edit Purchase Order" style="margin-left: 5px;"> <i class="fa fa-edit"></i></button>
                </form>



            <?php }
            ?>
            <!--------------END EDIT BUTTON---------------->

            <!--------------START POST BUTTON---------------->

            <?php
            $label = 'Post';
            if ($posted == 'on') {
                $label = 'Un-Post';
            }


            if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && $voucher_date > $date_close) || $auth_id == '9' ) {
                ?>
                <input type="hidden" value="<?php echo $posted;?>" name="post" id="post">
                <button type="button" class="btn btn-success btn-lg" onClick="post_sale_invoice()" style="float: right; width: 205px;"><?php echo $label; ?> <i class="zmdi zmdi-check"></i>
                </button>
                <?php
            }

            ?>
            <!--------------END POST BUTTON---------------->

            <!--------------START DELETE VOUCHER BUTTON---------------->
            <?php
            if ($posted != 'on' && ((!empty($delete_allowed)) || ($auth_id == '9'))) {
                ?>
                <input type="hidden" value="<?php echo $v_id; ?>" name="del_v_id" id="del_v_id">
                <button type="button" class="btn btn-danger" onClick="delete_voucher()" style="margin-left: 5px;" data-toggle="tooltip" data-placement="top" title="Delete" ><i class="fa fa-trash-o"></i></button>
            <?php }
            ?>
            <!--------------END DELETE VOUCHER BUTTON---------------->

            <?php
            if ($posted == 'on' && ((!empty($print_allowed)) || ($auth_id == '9')))
            {
                    $detail = "print_purchase_invoice";
                ?>
                <!--------------START PRINT PDF BUTTON---------------->
                <a href="<?php echo $detail;?>?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''" target="_blank"><button class="btn btn-default" style="margin-left: 5px;" data-toggle="tooltip" data-placement="top" title="Print"> <i class="fa fa-print"></i></button></a>
                <!--------------END PRINT PDF BUTTON---------------->
            <?php } ?>


            <br clear="all"><br clear="all">

            <!-------------START MASTER TABLE---------------->

            <div class="table-responsive">
                <table class="table dt-responsive table-striped table-bordered nowrap">
                    <thead>
                    <tr>
                        <th>Date:</th>
                        <td>
                            <?php echo format_date($detail_row->voucher_date);
                            $_SESSION['sl_voucher_date'] = $detail_row->voucher_date;
                            ?>
                        </td>

                        <th>Voucher ID:</th>
                        <td><?php echo $detail_row->voucher_id; ?></td>

                        <th>Account Name:</th>
                        <td><?php echo $detail_row->acct_name;

                            $_SESSION['party_acct_id'] = $detail_row->acct_id;
                            ?></td>
                    </tr>

                    <tr>
                        <th>Supplier Name:</th>
                        <td><?php echo $detail_row->customer_name; ?></td>


                        <th>Supplier Phone:</th>
                        <td><?php echo $detail_row->customer_phone; ?></td>

                        <th>Invoice No:</th>
                        <td><?php echo $detail_row->bill_no; ?></td>
                    </tr>



                    <tr>

                        <th>Location</th>
                        <td><?php echo $detail_row->loc_name; ?></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>



                    </tr>






                    <thead>

                </table>
            </div>

            <!-------------END MASTER TABLE---------------->

            <table id="advanced-table" class="table dt-responsive table-striped table-bordered nowrap">
                <thead>
                <tr>
                    <th>SR NO.</th>
                    <th>STOCK CODE</th>
                    <th>DESCRIPTION</th>
                    <th>PARTICULARS</th>

                    <th>QTY</th>
                    <?php
                    if($emp_id == 'click' || $emp_id == 'kt')
                    {
                    ?>
                    <th>RATE</th>
                    <th>DISCOUNT%</th>
                    <th>DISC AMOUNT</th>



                    <th>AMOUNT</th>
                    <?php } ?>
                    <?php if($posted == '')
                    {
                        ?>

                        <th>DELETE</th>
                    <?php }
                    else {
                        ?>

                    <?php } ?>
                </tr>
                </thead>

                <tbody>
                <?php
                //sale invoice detail query
                $and = '';

                $and .= " AND d.voucher_id = '$v_id'";
                $and .= " and d.comp_id = '$comp_id' ";



                try
                {
                    $sl_d_query =  "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount,
	d.sharing,
	d.avg_rate,
	d.disc_amt
 	FROM pl_order m 
 	LEFT JOIN pl_orderdet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id and m.year_id = d.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = m.comp_id

	WHERE 1=1 $and ORDER BY d.lineitem/1";






                    $sl_d_result = $dbcon->prepare($sl_d_query);
                    $sl_d_result->execute(array());
                }
                catch(PDOException $e)
                {
                    echo "Error : ". $e->getMessage();
                }




                $srno = 0;
                $qty_tot = 0;
                $amount_tot = 0;
                $rate_tot= 0;
                $disc_tot = 0;

                $tot_sharing_amount = 0;

                while($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ))
                {
                    $srno += 1;
                    $v = $d_row->voucher_id;

                    $qty_tot += $d_row->qty;
                    $rate_tot += $d_row->rate;
                    $disc_tot += $d_row->discp;
                    $amount_tot += $d_row->itemtot;


                    $_SESSION['avg_rate'] = $d_row->avg_rate;







                    ?>
                    <tr>
                        <td><?php echo $d_row->lineitem;?></td>
                        <td><?php echo $d_row->stock_code;?></td>

                        <td><?php echo $d_row->description;?></td>
                        <td><?php echo $d_row->particulars;?></td>

                        <td><?php echo number_format($d_row->qty);?></td>
                        <?php
                        if($emp_id == 'click' || $emp_id == 'kt')
                        {
                        ?>
                        <td><?php echo number_format($d_row->rate);?></td>
                        <td><?php echo round($d_row->discp);?></td>
                        <td><?php echo round($d_row->disc_amt);?></td>

                        <td><?php echo number_format($d_row->itemtot);?></td>

                        <?php } ?>


                        <?php if($posted == '')
                        {
                            ?>

                            <td>
                                <a class="text-muted delete_product" onclick="delete_single('<?php echo $v_id; ?>','<?php echo $d_row->lineitem; ?>','<?php echo $comp_id; ?>','<?php echo $year_id; ?>','<?php echo $table; ?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                            </td>
                        <?php } ?>

                    </tr>
                    <?php
                }
                ?>


                <tr>


                    <td></td>


                    <td></td>
                    <td></td>

                    <td align="right"><b>Total</b></td>
                    <td><b><?php echo $qty_tot;?></b></td>
                    <?php
                    if($emp_id == 'click' || $emp_id == 'kt')
                    {
                    ?>
                    <td><b><?php //echo $rate_tot;?></b></td>

                    <td></td>
                    <td></td>
                    <td>
                        <b><?php echo format_number($amount_tot,0);
                            $_SESSION['sale_amount'] = $amount_tot;
                            ?></b>
                    </td>
                    <?php } ?>



                </tr>

                <?php
                if($emp_id == 'click' || $emp_id == 'kt')
                {
                ?>

                <tr>
                    <td colspan="5"></td>
                    <td><b>Discount</b></td>
                    <td><?php echo number_format($detail_row->discp);?></td>
                    <td><b>Discount Amount</b></td>
                    <td><?php echo number_format($detail_row->disc_amt);?></td>
                </tr>


                <tr>
                    <td colspan="7"></td>
                    <td><b>Freight</b></td>
                    <td><?php echo number_format($detail_row->dc_amt);?></td>
                </tr>

                <tr>
                    <td colspan="7"></td>
                    <td><b>Invoice Amount</b></td>
                    <td><?php echo number_format($detail_row->net_amt);?></td>
                </tr>


                <tr>
                    <td colspan="7"></td>
                    <td><b>Advance</b></td>
                    <td><?php echo number_format($detail_row->adv_amt);

                        $_SESSION['adv_amt'] = $detail_row->adv_amt;

                        ?></td>
                </tr>

                <tr>
                    <td colspan="7"></td>
                    <td><b>Total Invoice</b></td>
                    <td><?php echo number_format($detail_row->net_payable);?></td>
                </tr>
                <?php } ?>
                </tbody>
            </table>





</div>
            </div>

        </div>
        <!---------------END PAGE CONTENT----------------->
    </div>
    <!---------------END PAGE WRAPPER----------------->
</div>
<!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
<script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>

<script type="text/javascript">

    //delete single enteryvoucher
    function delete_single(voucherid, lineitem, comp_id, year_id, table) {
        p_menu_id = '<?php echo $menu_id;?>';
        voucher_type = 'PO';

        var status = confirm("Are you sure want to Single Entery Delete");
        if (status == true) {
            var datastring = 'voucherid=' + voucherid +
                '&lineitem=' + lineitem +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&table=' + table +
                '&voucher_type=' + voucher_type +
                '&p_menu_id=' + p_menu_id +
                '&action=' + 'delete_lineitem';
            $.ajax({
                type: "POST",
                url: "delete_voucher",
                data: datastring,
                success: function(result) {
                    //alert(result);
                    window.location = "<?php echo $menu_detail; ?>?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>&posted=''"
                }
            });
        }
    }



    //delete voucher
    function delete_voucher()
    {
        p_menu_id = '<?php echo $menu_id;?>';
        voucher_type = '<?php echo  $voucher_type ;?>';
        var status=confirm("Are you sure want to Full Voucher Delete");
        var del_v_id = $('#del_v_id').val();
        if(status==true)
        {
            var datastring = 'del_v_id=' + del_v_id   +
                '&voucher_type=' + voucher_type +
                '&p_menu_id=' + p_menu_id +
                '&action=po_delete';

            $.ajax({
                type:"POST",
                url:"del_voucher.php",
                data: datastring,
                success: function(result)
                {
                    //alert(result);
                     window.location = "show_purchase_order?voucher_type=<?php echo $voucher_type;?>&posted=''&menu_id=<?php echo $menu_id;?>"
                }

            });
        }

    }






    //sale invoice post
    function post_sale_invoice()
    {
        p_menu_id = '<?php echo $menu_id;?>';
        voucher_type = '<?php echo  $voucher_type ;?>';

        var post = $('#post').val();

        var status=confirm("Are you sure want to <?php echo $label;?> Data.");

        if(status==true)
        {
            var datastring = 'post=' + post  +
                '&voucher_type=' + voucher_type +
                '&p_menu_id=' + p_menu_id +

                '&action=post';

            $.ajax({
                type:"POST",
                url:"process/purchase_order_post.php",
                data: datastring,
                success: function(result)
                {
                    //alert(result);
                    var voucher_id = result;
                    var posted = <?php echo $postedd; ?>;


                    if (posted == 'on') {
                        window.location = "pl_order_detail.php?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&menu_id=<?php echo $menu_id;?>"

                    }

                    if (posted == '') {
                        window.location = "pl_order_detail.php?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted='on'&menu_id=<?php echo $menu_id;?>"

                    }


                }
            });
        }
    }













</script>



</body>
</html>