<?php
session_start();
ob_start();
include("../include/dbconnect.php");
include("../include/functions.php");
include("../include/sms_function.php");

if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}
header('Content-Type: text/html; charset=UTF-8');
$login_page = find_value('v_system', 'login_page', '');

$comp_id = $_POST["comp_id"];
$year_id = $_POST["year_id"];
$v_id = $_POST['v_id'];
$voucher_type = $_POST['voucher_type'];
$posted = $_POST['post'];
$p_menu_id = $_POST['p_menu_id'];
$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$p_menu_id = $_POST['p_menu_id'];
$v_date = $_POST['v_date'];


$post_date = date("Y-m-d H:i:s");

$month = date('m');

//MAXIMUM VOUCHER ID CHK QUERY
try {
    $Maxquery = "SELECT LPAD(IFNULL(max(substr(m.voucher_id,-4)),0)+1,4,'0') voucher_id  
FROM sl_invoice m
WHERE SUBSTRING(m.voucher_id,1,2) = ?   AND m.comp_id = ? AND year_id = ?";
    $max_query = $dbcon->prepare($Maxquery);
    $max_query->execute(array($month, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}


$row_max = $max_query->fetch(PDO::FETCH_OBJ);
$voucher_id_m = $row_max->voucher_id;
$voucher_id = $month . $voucher_id_m;


//CHECK POSTED EQUAL ON
$p = '';
if ($posted != 'on') {
    $p = 'on';
}
//update slinvoice voucher id
try {

    $edit_detail_query = "UPDATE sl_invoice  SET posted = '$p' WHERE voucher_id = '$v_id' AND comp_id = '$comp_id' AND year_id = '$year_id'";
    //echo $edit_detail_query;
    $edit_detail_query = "UPDATE sl_invoice  SET posted = '$p' WHERE voucher_id = ? AND comp_id = ? AND year_id = ?";
    $result_edit_detail = $dbcon->prepare($edit_detail_query);
    $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

if (strlen($v_id) < 6) {
    try {

        $edit_detail_query = "UPDATE sl_invoice  SET  post_date = '$post_date' WHERE voucher_id = ? AND comp_id = ? AND year_id = ?";
        $result_edit_detail = $dbcon->prepare($edit_detail_query);
        $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    //update saleinvoice master table
    try {

        //                $dbcon->exec("set foreign_key_checks=0");
        $edit_m_query = "UPDATE sl_invoice SET voucher_id = '$voucher_id' 
				WHERE voucher_id = '$v_id' and comp_id = '$comp_id' and posted = '$p' AND year_id = '$year_id'";
        $result_edit_m = $dbcon->prepare($edit_m_query);
        $result_edit_m->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    //update saleinvoice detail table
    try {

        //                $dbcon->exec("set foreign_key_checks=0");
        $edit_d_query = "UPDATE sl_invoicedet SET voucher_id = '$voucher_id' 
				WHERE voucher_id = '$v_id'  AND comp_id = '$comp_id' AND year_id = '$year_id'";
        $result_edit_d = $dbcon->prepare($edit_d_query);
        $result_edit_d->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    // DELETE VOUCHERID
    try {

        $del_query = "DELETE FROM voucher_id 
				WHERE concat(v_type,v_id) =  ?  and comp_id = ?";
        $del_result = $dbcon->prepare($del_query);
        $del_result->execute(array($v_id, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}

if (strlen($v_id) < 6) {
    $voucherId = $voucher_id;
} else {
    $voucherId = $v_id;
}

$glvoucher_id = $voucher_type . $voucherId;

//repost_sl($comp_id ,$year_id , $voucherId, $posted);
/*if (strlen($voucherId) == 6) {

    $and = '';

    $and .= " AND d.voucher_id = '$voucherId'";
    $and .= " and d.comp_id = '$comp_id' ";
    $and .= " and d.year_id = '$year_id' ";
    try {
        $sl_d_query =  "SELECT
	d.stock_code
    FROM sl_invoice m
 	LEFT JOIN sl_invoicedet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id AND m.year_id = d.year_id
WHERE 1=1 $and ORDER BY d.lineitem/1";


        $sl_d_result = $dbcon->prepare($sl_d_query);
        $sl_d_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


    while ($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ)) {

        $stock_code = $d_row->stock_code;
        update_avg_rates($comp_id, $year_id, $voucherId, $posted, $v_date, $v_date, '', $stock_code);

    }


}*/


if (strlen($voucherId) == 6) {


    if($comp_id == 'SF')
    {
        update_avg_rates_sl($comp_id, $year_id,$posted,$v_date,$v_date);

        repost_sl($comp_id, $year_id, $voucherId, $posted, $v_date, $v_date);
    }
    else
    {
        repost_sl($comp_id, $year_id, $voucherId, $posted, $v_date, $v_date);
    }



}


$p = 'UnPost';
if ($posted != 'on') {
    $p = 'Post';
}


$acct_id = find_value("sl_invoice", "acct_id", " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId'");

$qty = find_value('sl_invoicedet', 'sum(qty)', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId' ");

$items = find_value("(SELECT DISTINCT f_sl_invoice_products(m.comp_id, m.year_id, m.voucher_id) items
                        FROM sl_invoice m
                        WHERE comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId') v ", 'items', '');


$net_amt = find_value("(SELECT sum(itemtot) total FROM sl_invoicedet WHERE comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId') v ", 'total', '');
f_log_data($voucherId, $p_menu_id, $net_amt, $p, 'SL', $acct_id, $qty, $items);

$f_acct_name = find_value("nom", "acct_name", " and acct_id = '$acct_id'");
$v_date = find_value("sl_invoice", "voucher_date", " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId'");


/****************************************Start Whats App SMS***************************************/


//$to = '923214604022,923315452150,923347215358';
$message = $p . ' Sale Invoice: ' . $voucherId. ' User: ' .$emp_id. '  Company: ' . $comp_id .  ' Voucher Date: '. format_date($v_date) . ' Invoice Amount: ' .format_number($net_amt,0). ' Customer Name: '. $f_acct_name ;


if($p == 'UnPost')
{
    //f_whats_app_api_chat($to, $message);
}

/****************************************End Whats App SMS***************************************/






echo $voucherId;
