<?php
session_start();
ob_start();
include("../include/dbconnect.php");
include("../include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}

$comp_id = $_POST["comp_id"];
$year_id = $_POST["year_id"];
$v_id = $_POST['v_id'];
$voucher_type = $_POST['voucher_type'];

$posted = $_POST['post'];
$table = $_POST['table'];
$tabledet = $table . 'det';

$log_table = 'log_' . $table;
$log_tabledet = 'log_' . $tabledet;

$post_date = date("Y-m-d h:i:s");
$month = date('m');

$p = '';
if ($posted != 'on') {
    $p = 'on';
}

$login_page = find_value('v_system', 'login_page', '');

try {
    //            $edit_detail_query =  "UPDATE $table  SET posted = '$p' WHERE voucher_id = '$v_id' AND comp_id = '$comp_id' AND year_id = '$year_id'";
    //            echo $edit_detail_query;
    //exit ();
    $edit_detail_query =  "UPDATE $table  SET posted = '$p' WHERE voucher_id = '$v_id' AND comp_id = '$comp_id' AND year_id = '$year_id'";
    //echo $edit_detail_query;

    $result_edit_detail = $dbcon->prepare($edit_detail_query);
    $dbcon->exec("set foreign_key_checks=0");
    $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

//echo $table;

if (strlen($v_id) < 6) {

    if (empty($voucher_type)) {
        $Maxquery = "SELECT LPAD(IFNULL(max(substr(m.voucher_id,-4)),0)+1,4,'0') voucher_id  
                          FROM $table m
                          WHERE SUBSTRING(m.voucher_id,1,2) = '$month' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'";
    } else {
        $Maxquery = "SELECT LPAD(IFNULL(max(substr(m.voucher_id,-4)),0)+1,4,'0') voucher_id  
                            FROM $table m
                            WHERE SUBSTRING(m.voucher_id,1,2) = '$voucher_type' AND SUBSTRING(m.voucher_id,3,2) = '$month'  AND m.comp_id = '$comp_id' AND m.year_id = '$year_id' AND LENGTH(m.voucher_id) = 08";
    }

    try {
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $voucher_id = $row_max->voucher_id;
    $voucher_id = $voucher_type  . $month . $voucher_id;

    try {
        $edit_m_query = "UPDATE $table SET voucher_id = '$voucher_id', post_date = '$post_date'
				WHERE  posted = ? and voucher_id = ? and comp_id = ? AND year_id = ?";
        $result_edit_m = $dbcon->prepare($edit_m_query);
        $dbcon->exec("set foreign_key_checks=0");
        $result_edit_m->execute(array($p, $v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    try {
        $edit_d_query = "UPDATE $tabledet SET voucher_id = '$voucher_id' 
				WHERE voucher_id = ?  AND comp_id = ? AND year_id = ?";
        $result_edit_d = $dbcon->prepare($edit_d_query);
        $dbcon->exec("set foreign_key_checks=0");
        $result_edit_d->execute(array($v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    try {
        $del_query = "DELETE FROM voucher_id 
				WHERE v_id =  ?  and comp_id = ?";
        $del_result = $dbcon->prepare($del_query);
        $del_result->execute(array($v_id, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    $voucherId = $voucher_id;
} else { //Un-Posted

    //echo $table;
    $voucherId = $v_id;
}

if ($table == 'sl_invoice')
    repost_sl($comp_id, $year_id, $voucherId, $posted);

if ($table == 'sl_return')
    repost_rt($comp_id, $year_id, $voucherId, $posted);

if ($table == 'pl_invoice')
    repost_pl($comp_id, $year_id, $voucherId, $posted);

if ($table == 'im_boe')
    repost_im($comp_id, $year_id, $voucherId, $posted);


if ($table == 'pl_return')
    repost_pr($comp_id, $year_id, $voucherId, $posted);

if ($table == 'sl_dc' && ($_SESSION['db'] == 'cnlxidtp_click_art'))
    repost_dc($comp_id, $year_id, $voucherId, $posted);



/*********************************START SEND SMS*************************/

if ($login_page == 'kt' && substr($voucher_type, 1, 1) == 'R' && $posted != 'on') {



    try {
        $vd_query = "SELECT d.acct_id, d.voucher_id,  credit amount, sms_no, posted, d.lineitem
  FROM voucher m LEFT JOIN  voucherdet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND m.voucher_id = d.voucher_id  
  WHERE m.voucher_id = '$voucherId' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'  AND substring(d.lineitem,-1) <> '.'";

        $vd_result = $dbcon->prepare($vd_query);
        $vd_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    while ($d_row = $vd_result->fetch(PDO::FETCH_OBJ)) {

        $voucher_id = $d_row->voucher_id;
        $acct_id = $d_row->acct_id;
        $amount = round($d_row->amount);

        $sms_no = $d_row->sms_no;
        $lineitem = $d_row->lineitem;

        $o_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                               FROM v_vouchers v where  v.acct_id = '$acct_id' AND acct_id not in ('2610000462', '2610000463', '2610000464')) v ", 'bal_amt', '');

        $balance = format_number_drcr($o_bal, 0);

        if (!empty($sms_no) && empty(find_value('voucherdet', 'sms_time', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucher_id' and lineitem = '$lineitem' "))) {




          /*  $sms_msg = "Received with Thanks a sum of Rs.$amount through voucher# $voucher_id . Your account no $acct_id has been credited. Your Current Balance is $balance
            03165452150";*/

            $sms_msg = "اسلام علیکم.";
            $sms_msg .=" معزز کسٹمر آ پ کی رقم";
            $sms_msg.= "   ہم نے وصول کر لی ہے $amount.Rs";
            $sms_msg.= " بل نمبر   $voucher_id " ;
            $sms_msg .= "اور آ پ کے اکاونٹ";
            $sms_msg .= " میں درج ہو گئ ہے$acct_id";
            $sms_msg .= " موجودہ بیلنس  ہے$o_bal";
            $sms_msg .= " آپ کے تعاون کرنے کا شکریہ";

           // $sms_msg .= " :$addr";
            $sms_msg .= " مزید تفصیلات کے لئے کال کریں-03165452150";



















            $username = '923454993726';
            $pass = 'Pakistanlahore1234';
            $mask = 'KafelTrader';
            $to = $sms_no;
            $message = $sms_msg;



            $url = "https://telenorcsms.com.pk:27677/corporate_sms2/api/sendsms.jsp?msisdn=" . $username . "&password=" . $pass . "&mask=" . urlencode($mask) . "&to=" . urlencode($to) . "&text=" . urlencode($message);




            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
            //curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            //curl_setopt($ch, CURLOPT_POST, false);
            //curl_setopt($ch, CURLOPT_IPRESOLVE, CURL_IPRESOLVE_V4);
            $output = curl_exec($ch);


            if (curl_errno($ch)) {
                echo 'error:' . curl_errno($ch);
                echo 'error:' . curl_error($ch);
            } /* else {
         echo 'Message Hase Been Sent';
     } */
            curl_close($ch);


            $datetime = date('Y-m-d H:i:s');

            try {

                $edit_m_query = "UPDATE voucherdet SET sms_time = '$datetime' 
             WHERE voucher_id = '$voucher_id' and comp_id = '$comp_id' and year_id = '$year_id' and lineitem = '$lineitem'";
                $result_edit_m = $dbcon->prepare($edit_m_query);
                $result_edit_m->execute(array());
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }
        }
    }
}

/*********************************ED SEND SMS*************************/





echo $voucherId;
