<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
if($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_ID"]);

$from_date = clean_data($_POST['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = clean_data($_POST['comp_id']);

$l2=find_value('v_system','l2','');
if (empty($l2))
    $l2=6;

//$voucher_type = $_SESSION['voucher_type'];


/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {
    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
}
else
{
    $comp_name = find_value('v_system', 'comp_name', "");
}
/*************END FINDE COMPANY NAME*****************/



$and = '';

$and .= " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";


if ($comp_id != "All") {
    $and .= " and v.comp_id = '$comp_id'";
}else{
    $and .= " and v.comp_id in(select comp_id from users_comp where emp_id='$emp_id')";

}





?>

        <div class="panel">




            <div class="panel-body">

                <a href="pdf_profit_loss?from_date=<?php echo $new_from_date; ?>&to_date=<?php echo $new_to_date;?>&comp_id=<?php echo $comp_id;?>"
                   target="_blank"   data-toggle="tooltip"
                   data-placement="top" title="PDF" ><i class="fa fa-file-pdf-o pull-right" style="color: #721c24; font-size: 24px;"></i>
                </a>


                <i class="fa fa-file-excel-o pull-right exportToExcel mr-3" data-toggle="tooltip"
                   data-placement="top" title="Export to Excel" style="color: #0b2e13; font-size: 24px;"> </i>


                <br clear="all">
                <h4 style="text-align: center; font-size: 50px; font-weight: bold;"><?php echo $comp_name ; ?></h4>
                <h4 style="text-align: center; font-size: 30px; font-weight: bold;">Profit & Loss</h4>
                <h3 style="text-align: center; font-size: 15px; font-weight: bold;"><?php echo $from_date.  ' - ' . $to_date ; ?></h3>

    <?php




//group total variables
$g_tot_dbqty = 0;
$g_tot_crqty = 0;
$g_bal = 0;





?>

<div class="table-responsive">
    <table class="table table-bordered table2excel" >

        <tr>
            <th></th>
            <td align="right"><b>Amount</td>
            <td align="right"><b>Amount</td>
        </tr>


        <tr>

            <th>TURNOVER</th>
        </tr>



    <!-----------------------START TURN OVER QUERY-------------------->
    <?php
    try {
        $msqlquery = "SELECT ALL n.acct_id, n.acct_name acct_name,
                        SUM(IFNULL(v.credit,0) - IFNULL(v.debit,0)) amt

                        FROM v_vouchers v
                        LEFT JOIN nom n on substring( v.acct_id, 1, $l2 )=n.acct_id
                        LEFT JOIN (select acct_id, acct_name, acct_type from nom where length(acct_id)=$l2) n2 ON (substring(v.acct_id,1,$l2)=n2.acct_id)
                        LEFT JOIN acct_type t ON (n2.acct_type=t.acct_id)
                        LEFT JOIN company c ON (c.comp_id=v.comp_id)
                        WHERE 1 = 1 $and                  
                          AND SUBSTR(t.acct_id,1,1)='4'
                        GROUP BY n.acct_id, n.acct_name
                        HAVING SUM(IFNULL(v.credit,0)-IFNULL(v.debit,0))<>0
                        ORDER BY 1";
//echo $msqlquery;
#        and v.acct_id<>'3010000020'

        $q_result = $dbcon->prepare($msqlquery);
        $q_result->execute();
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }



    $tot = 0;
    $gp_tot = 0;


    while($report_row = $q_result->fetch(PDO::FETCH_ASSOC))
    {
        $tot += $report_row['amt'];
        $gp_tot += $report_row['amt'];
        ?>
        <tr>
            <td>

                <?php echo $report_row['acct_name'];?>

<!--                <i class="fa fa-info-circle get_turnover" data-toggle="modal" data-target="#view-modal" data-id="301000" ></i>
-->


            </td>
            <td align=right><?php echo number_format($report_row['amt']);?></td>

        </tr>
        <?php
    }

    ?>


   <!-- <tr>
        <td></td>
        <td></td>
        <td align=right><b><?php /*echo number_format($tot);*/?></td>
    </tr>-->
        <!-----------------------END TURN OVER QUERY-------------------->





        <!-----------------------START COST OF SALE-------------------->
    <tr>
        <th>COST OF SALES</th>
    </tr>

    <?php

    $tot=0;

    try {
        $cgs_query = "SELECT ALL n.acct_id, n.acct_name,
                        SUM(IFNULL(v.debit,0)-IFNULL(v.credit,0)) amt

                        FROM v_vouchers v
                        LEFT JOIN nom n on substring( v.acct_id, 1, $l2 )=n.acct_id
                        LEFT JOIN (select acct_id, acct_name, acct_type from nom where length(acct_id)=$l2) n2 ON (substring(v.acct_id,1,$l2)=n2.acct_id)
                        LEFT JOIN acct_type t ON (n2.acct_type=t.acct_id)
                        LEFT JOIN company c ON (c.comp_id=v.comp_id)
                        WHERE 1 = 1 $and
                           
                          AND SUBSTR(t.acct_id,1,2)='51'
                        GROUP BY n.acct_id, n.acct_name
                        HAVING SUM(IFNULL(v.credit,0)-IFNULL(v.debit,0))<>0
                        ORDER BY 1";


        $cgs_result = $dbcon->prepare($cgs_query);
        $cgs_result->execute();
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }



    while($cgs_row = $cgs_result->fetch(PDO::FETCH_ASSOC))
    {

        $tot += $cgs_row['amt'];
        $gp_tot -= $cgs_row['amt'];

        ?>

        <tr>
            <td><?php echo $cgs_row['acct_name'];?></td>
            <td align=right><?php echo number_format($cgs_row['amt']);?></td>


        </tr>
        <?php
    }

    ?>


        <td><b>GROSS PROFIT</td>
        <td></td>
        <td align=right><b><?php echo number_format($gp_tot);?></td>


    </tr>
        <!-----------------------END COST OF SALE-------------------->



        <!-----------------------START OTHER INCOME-------------------->
    <tr>
        <th>OTHER INCOME</th>
    </tr>


    <?php

    try {
        $i_query = "SELECT ALL n.acct_id, n.acct_name,
                        SUM(IFNULL(v.credit,0)-IFNULL(v.debit,0)) amt

                        FROM v_vouchers v
                        LEFT JOIN nom n on substring( v.acct_id, 1, $l2 )=n.acct_id
                        LEFT JOIN (select acct_id, acct_name, acct_type from nom where length(acct_id)=$l2) n2 ON (substring(v.acct_id,1,$l2)=n2.acct_id)
                        LEFT JOIN acct_type t ON (n2.acct_type=t.acct_id)
                        LEFT JOIN company c ON (c.comp_id=v.comp_id)
                        WHERE 1 = 1 $and
                           
                          AND SUBSTR(t.acct_id,1,1)='8'
                        GROUP BY n.acct_id, n.acct_name
                        HAVING SUM(IFNULL(v.credit,0)-IFNULL(v.debit,0))<>0
                        ORDER BY 1";
//                        echo $i_query;

        $i_result = $dbcon->prepare($i_query);
        $i_result->execute();
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }


    $tot=0;

    while($i_row = $i_result->fetch(PDO::FETCH_ASSOC))
    {

        $tot += $i_row['amt'];
        $gp_tot += $i_row['amt'];

        ?>
        <tr>
            <td><?php echo $i_row['acct_name'];?></td>
            <td align=right><?php echo number_format($i_row['amt']);?></td>


        </tr>
        <?php
    }

    ?>

    <tr>
        <td></td>
        <td></td>
        <td align=right><b><?php echo number_format($tot);?></td>

    <tr>
        <td><b>NET PROFIT</td>
        <td></td>
        <td align=right><b><?php echo number_format($gp_tot);?></td>
    </tr>
        <!-----------------------END OTHER INCOME-------------------->


        <!-----------------------START LESS OPERATING EXP-------------------->

    <tr>
        <th>LESS OPERATING EXPENSES</th>
    </tr>

    <?php

    $tot=0;

    try {
        $g1_query = "SELECT  substring(v.acct_id,1,2) acct_id, n.acct_name, count(*)
                        FROM v_vouchers v
                        LEFT JOIN nom n on substring( v.acct_id, 1, 2 )=n.acct_id
                        LEFT JOIN (select acct_id, acct_type from nom where length(acct_id)=$l2) n2 ON (substring(v.acct_id,1,$l2)=n2.acct_id)
                        LEFT JOIN acct_type t ON (n2.acct_type=t.acct_id)
                        LEFT JOIN company c ON (c.comp_id=v.comp_id)

                        WHERE 1=1 $and
                           AND SUBSTR(t.acct_id,1,1)='6'
						GROUP BY substring(v.acct_id,1,2), n.acct_name
                        ORDER BY 1";
//        echo $g1_query;

        $g1_result = $dbcon->prepare($g1_query);
        $g1_result->execute();
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }
    while($g1_row = $g1_result->fetch(PDO::FETCH_ASSOC)) {
        $g1_acct_id = $g1_row['acct_id'];
        $g1_amt_tot=0;

        ?>
        <tr>
            <td><b><?php echo $g1_row['acct_name']; ?></td>
        </tr>
        <?php


        try {
            $exp_query = "SELECT ALL n.acct_id, n.acct_name acct_name,
                        SUM(IFNULL(v.debit,0)-IFNULL(v.credit,0)) amt

                        FROM v_vouchers v
                        LEFT JOIN nom n on substring( v.acct_id, 1, $l2 )=n.acct_id
                        LEFT JOIN (select acct_id, acct_name, acct_type from nom where length(acct_id)=$l2) n2 ON (substring(v.acct_id,1,$l2)=n2.acct_id)
                        LEFT JOIN acct_type t ON (n2.acct_type=t.acct_id)
                        LEFT JOIN company c ON (c.comp_id=v.comp_id)
                        WHERE 1 = 1 $and
                           
                          AND SUBSTR(t.acct_id,1,1)='6'
                          AND SUBSTRING(v.acct_id,1,2)='$g1_acct_id'
                        GROUP BY n.acct_id, n.acct_name
                        HAVING SUM(IFNULL(v.credit,0)-IFNULL(v.debit,0))<>0
                        ORDER BY 1";
//            echo $exp_query;
            $exp_result = $dbcon->prepare($exp_query);
            $exp_result->execute();
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }
        while ($exp_row = $exp_result->fetch(PDO::FETCH_ASSOC)) {
            $tot += $exp_row['amt'];
            $gp_tot -= $exp_row['amt'];

            $g1_amt_tot +=$exp_row['amt'];

            ?>
            <tr>
                <td>
                    <?php echo $exp_row['acct_name']; ?>
                    <i class="fa fa-info-circle get_exp" data-toggle="modal" data-target="#exp-modal" data-id="401000" ></i>


                </td>
                <td align=right><?php echo number_format($exp_row['amt']); ?></td>
            </tr>
            <?php
        }

        ?>
        <tr>
            <td></td>
            <td align=right><b><?php echo number_format($g1_amt_tot);?></td>
        </tr>
        <?php


    }




    ?>
    <tr>
        <td></td>
        <td align="right"><b>OPERATING EXPENSES</td>
        <td align=right><b><?php echo number_format($tot);?></td>
    </tr>
        <!-----------------------END LESS OPERATING EXP-------------------->


        <!-----------------------START OTHER EXP-------------------->

    <tr>
        <th>OTHER EXPENSES</th>
    </tr>

    <?php

    try {
        $o_exp_query = "SELECT ALL n.acct_id, n.acct_name,
                        SUM(IFNULL(v.debit,0)-IFNULL(v.credit,0)) amt

                        FROM v_vouchers v
                        LEFT JOIN nom n on substring( v.acct_id, 1, $l2 )=n.acct_id
                        LEFT JOIN (select acct_id, acct_name, acct_type from nom where length(acct_id)=$l2) n2 ON (substring(v.acct_id,1,$l2)=n2.acct_id)
                        LEFT JOIN acct_type t ON (n2.acct_type=t.acct_id)
                        LEFT JOIN company c ON (c.comp_id=v.comp_id)
                        WHERE 1 = 1 $and
                           
                          AND SUBSTR(t.acct_id,1,1)='9'
                        GROUP BY n.acct_id, n.acct_name
                        HAVING SUM(IFNULL(v.credit,0)-IFNULL(v.debit,0))<>0
                        ORDER BY 1";
        $o_exp_result = $dbcon->prepare($o_exp_query);
        $o_exp_result->execute();
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }



    $tot=0;

    while($o_exp_row = $o_exp_result->fetch(PDO::FETCH_ASSOC))
    {

        $tot += $o_exp_row['amt'];
        $gp_tot -= $o_exp_row['amt'];

        ?>
        <tr>
            <td><?php echo $o_exp_row['acct_name'];?></td>
            <td align=right><?php echo number_format($o_exp_row['amt']);?></td>


        </tr>
        <?php
    }

    ?>

    <tr>
        <td></td>
        <td></td>
        <td align=right><b><?php echo number_format($tot);?></td>

    <tr>
        <td><b>PROFIT (LOSS)</td>
        <td></td>
        <td align=right><b><?php echo number_format($gp_tot);?></td>
    </tr>

    </table>
</div>

    <?php

    }
    }



    ?>

            </div>
        </div>


<!-----------------------------START SALE DETAIL------------------------>
<div id="view-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none; ">
    <div class="modal-dialog">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">
                    <i class="glyphicon glyphicon-info-sign"></i> Turnover Detail
                </h4>
            </div>

            <div class="table-responsive">
                <div class="modal-body">

                    <div id="modal-loader" style="display: none; text-align: center;">
                        <img src="dist/img/ajax-loader.gif">
                    </div>

                    <!-- content will be load here -->
                    <div id="dynamic-content"></div>

                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div><!-- /.modal -->
<!-----------------------------END SALE DETAIL------------------------>














<!-----------------------------START EXP DETAIL------------------------>
<div id="exp-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none; ">
    <div class="modal-dialog">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">
                    <i class="glyphicon glyphicon-info-sign"></i> Expenses Detail
                </h4>
            </div>

            <div class="table-responsive">
                <div class="modal-body">

                    <div id="modal-loader" style="display: none; text-align: center;">
                        <img src="images/loader.gif">
                    </div>

                    <!-- content will be load here -->
                    <div id="dynamic-content-exp"></div>

                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div><!-- /.modal -->
<!-----------------------------END EXP DETAIL------------------------>





<script type="text/javascript">

    /**********************START TURNOVER COST DETAIL MODAL*******************/
    $(document).ready(function() {
        $(document).on('click', '.get_turnover', function(e) {
            e.preventDefault();
            var id = $(this).data('id'); // it will get id of clicked row

            var from_date = '<?php echo $from_date;?>';
            var to_date = '<?php echo $to_date;?>';
            var f_comp_id = '<?php echo $comp_id;?>';


            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date  +
                '&f_comp_id=' + f_comp_id  +
                '&id=' + id;


            //alert(uid);

            $('#dynamic-content').html(''); // leave it blank before ajax call
            $('#modal-loader').show(); // load ajax loader

            $.ajax({
                url: 'ajax/get_turnover_detail',
                type: 'POST',
                data: datastring,
                dataType: 'html'
            })
                .done(function(data) {
                    console.log(data);
                    $('#dynamic-content').html('');
                    $('#dynamic-content').html(data); // load response
                    $('#modal-loader').hide(); // hide ajax loader
                })
                .fail(function() {
                    $('#dynamic-content').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                    $('#modal-loader').hide();
                });

        });

    });
    /**********************END TURNOVER COST DETAIL MODAL*******************/







    /**********************START EXPENSES DETAIL MODAL*******************/
    $(document).ready(function() {
        $(document).on('click', '.get_exp', function(e) {
            e.preventDefault();
            var id = $(this).data('id'); // it will get id of clicked row

            var from_date = '<?php echo $from_date;?>';
            var to_date = '<?php echo $to_date;?>';
            var f_comp_id = '<?php echo $comp_id;?>';


            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date  +
                '&f_comp_id=' + f_comp_id  +
                '&id=' + id;


            //alert(uid);

            $('#dynamic-content').html(''); // leave it blank before ajax call
            $('#modal-loader').show(); // load ajax loader

            $.ajax({
                url: 'ajax/get_exp_detail',
                type: 'POST',
                data: datastring,
                dataType: 'html'
            })
                .done(function(data) {

                    $('#dynamic-content-exp').html('');
                    $('#dynamic-content-exp').html(data); // load response
                    $('#modal-loader').hide(); // hide ajax loader
                })
                .fail(function() {
                    $('#dynamic-content-exp').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                    $('#modal-loader').hide();
                });

        });

    });
    /**********************END EXPENSES DETAIL MODAL*******************/





        $(".exportToExcel").click(function(){
        $(".table2excel").table2excel({
            exclude: ".noExl",
            name: "Profit & Loss",
            filename: "Profit & Loss <?php echo $from_date . ' - ' . $to_date; ?>"+ ".xls",
            fileext: ".xls",
            exclude_img: true,
            exclude_links: true,
            exclude_inputs: true
        });
    });

</script>


