<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
//variables
$voucher_type = clean_data($_POST['voucher_type']);

$add = clean_data($_POST['add']);
$emp_id = $_SESSION["VALID_USER_ID"];
$loc_id =  $_SESSION["short_name"];
$year_id = clean_data($_SESSION["year_id"]);

$p_comp_id = clean_data($_POST['comp_id']);

if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}



if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $voucher_type = clean_data($_POST['voucher_type']);



    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));



    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id =  $v_id;



    // END MAXIMUM VOUCHER ID CHK QUERY



    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';













    $discount_voucher_id = "";
    $return_cash = "";
    $bill_type = '';
    $sp = "";
    $invoice_no = "";
    $discp_m = "";
    $disc_amt_m = "";
    $net_amt = "";
    $net_payable = "";
    $adv_amt = "";
    $dc_amt = "";
    $bill_date = "";



}
else //EDIT
{
    $voucher_type = clean_data($_POST['voucher_type']);
    $v_id = clean_data($_POST['v_id']);


    try
    {
        $edit_query =  "SELECT * FROM sl_receipt m  WHERE m.voucher_id = ? AND m.comp_id = ? AND m.year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));
    $acct_id = $rowm->acct_id;





}




?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">PURCHASE PAYMENTS</div>
                </div>

                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">



                <form class="form-horizontal"  name="sale_invoice"  id="sale_invoice">

                    <div class='row'>
                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>

                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>




                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                        </div>
                    </div>

                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->

                    <input type="hidden" class="form-control" name="voucher_type" id="voucher_type"
                           value="<?php echo $voucher_type; ?>">

                    <input type="hidden" class="form-control" name="add" id="add"
                           value="<?php echo $add; ?>">

                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                           value="<?php echo $comp_id; ?>">

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>

                                                <!-- VOUCHER ID -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="voucher_id"id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly style="width: 150px;">
                                                </td>

                                                <!-- DATE -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control v_date" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date;?>" style="width: 150px;">
                                                </td>



                                            </tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">




                                    <table class="table table-bordered table-responsive table-hover addrow_sale" id="addrow">
                                        <thead >
                                        <tr>
                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th >SR</th>
                                            <th >PARTY</th>
                                            <th >ACCOUNT</th>
                                            <th >CHQ NO</th>
                                            <th >CHQ DATE</th>
                                            <th >CLR DATE</th>
                                            <th >PAY MODE</th>
                                            <th >PARTICULARS</th>
                                            <th >BILL NO</th>
                                            <th>DISC</th>
                                            <th>AMOUNT</th>
                                        </tr>

                                        </thead>




                                        <?php

                                        $and = " AND d.voucher_id = '$v_id'";
                                        $and .= " AND d.comp_id = '$comp_id'";
                                        $and .= " AND d.year_id = '$year_id'";

                                        try
                                        {
                                            $edit_query =  "SELECT d.party_id, d.acct_id, d.lineitem, d.amount, chq_no, chq_date, chq_clr_date, p.mode_name, n.acct_name acct_name_1,
	n2. acct_name acct_name_2, d.mode_id, d.particulars, d.bill_no, d.disc_amt
 	FROM sl_receiptdet d  
 	LEFT JOIN nom n ON n.acct_id = d.party_id
    LEFT JOIN nom n2 ON n2.acct_id = d.acct_id
 	LEFT JOIN pay_mode p ON p.mode_id = d.mode_id
 	WHERE 1=1  $and ORDER BY d.lineitem/1 asc";
                                            $resultd = $dbcon->prepare($edit_query);
                                            $resultd->execute(array($v_id, $comp_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }



                                        $cnt = 0;
                                        $itemtot = '';
                                        $tot_qty = '';
                                        while($rowd = $resultd->fetch(PDO::FETCH_OBJ))
                                        {
                                            $lineitem = $rowd->lineitem;
                                            $cnt = $lineitem;
                                            $itemtot += $rowd->itemtot;

                                            $tot_qty += $rowd->qty;

                                            $party_id = $rowd->party_id;
                                            $acct_id = $rowd->acct_id;
                                            $mode_id = $rowd->mode_id;
                                            $amount = $rowd->amount;
                                            $chq_no = $rowd->chq_no;
                                            $particulars = $rowd->particulars;
                                            $bill_no = $rowd->bill_no;
                                            $disc_amt = $rowd->disc_amt;





                                            $voucherDate = $rowd->chq_date;
                                            if ($voucherDate == '0000-00-00')
                                            {
                                                $chq_date = '';
                                            }
                                            else
                                            {
                                                $chq_date = date('Y-m-d', strtotime($voucherDate));
                                            }


                                            $v_chq_clr_date = $rowd->chq_clr_date;
                                            if ($v_chq_clr_date == '0000-00-00')
                                            {
                                                $chq_clr_date = '';
                                            } else
                                            {
                                                $chq_clr_date = date('Y-m-d', strtotime($v_chq_clr_date));
                                            }








                                            ?>

                                            <!----------------------------------------------------------------------------------------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------SALE INVOICE DETAIL EDIT FORM---------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------------------------------------------------------------------------->
                                            <tr class="addrow_sale">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>


                                                <td>
                                                    <select  name="party_id[]<?php echo $cnt; ?>"
                                                             id="partyid_<?php echo $cnt; ?>"
                                                             class=" form-control debit_acct_id">

                                                        <?php

                                                        try {
                                                            $p_query = "SELECT n.acct_name, n.acct_id  FROM v_party n WHERE n.party_type = 'C'  ORDER BY n.acct_name ASC";
                                                            $p_result = $dbcon->prepare($p_query);
                                                            $p_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowd = $p_result->fetch(PDO::FETCH_OBJ)) {


                                                            if ($party_id == $rowd->acct_id) {
                                                                echo '<option  value="' . $rowd->acct_id . '" selected>' . $rowd->acct_name . '</option>';
                                                            } else {


                                                                echo '<option  value="' . $rowd->acct_id . '">' . $rowd->acct_name . '</option>';

                                                            }
                                                        }

                                                        ?>
                                                    </select>
                                                </td>

                                                <td >
                                                    <select  name="acct_id[]<?php echo $cnt; ?>"
                                                             id="acctid_<?php echo $cnt; ?>"
                                                             class=" form-control debit_acct_id">

                                                        <?php


                                                        $cash_id = find_value('v_system','cash_id','');
                                                        $bank_id = find_value('v_system','bank_id','');


                                                        $and = "";
                                                        $and .= " and (n.acct_id LIKE concat('$cash_id','%')";
                                                        $and .= " OR n.acct_id LIKE concat('$bank_id','%'))";


                                                        try {
                                                            $p_query = "SELECT n.acct_name, n.acct_id  FROM nom n WHERE  1=1 and length(acct_id) = 10 $and ORDER BY n.acct_name ASC";
                                                            $p_result = $dbcon->prepare($p_query);
                                                            $p_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowd = $p_result->fetch(PDO::FETCH_OBJ)) {


                                                            if ($acct_id == $rowd->acct_id) {
                                                                echo '<option  value="' . $rowd->acct_id . '" selected>' . $rowd->acct_name . '</option>';
                                                            } else {


                                                                echo '<option  value="' . $rowd->acct_id . '">' . $rowd->acct_name . '</option>';

                                                            }
                                                        }

                                                        ?>
                                                    </select>
                                                </td>


                                                <td>
                                                    <input type="text" class="form-control chq_no" name="chq_no[]<?php echo $cnt; ?>" id="chqno_<?php echo $cnt; ?>" value="<?php echo $chq_no; ?>"/>
                                                </td>


                                                <td>
                                                    <input type="text" class="form-control chq_date" name="chq_date[]<?php echo $cnt; ?>" id="chqdate_<?php echo $cnt; ?>" value="<?php echo ($chq_date); ?>"/>
                                                </td>



                                                <td>
                                                    <input type="text" class="form-control chq_date" name="clr_date[]<?php echo $cnt; ?>" id="clrdate_<?php echo $cnt; ?>" value="<?php echo ($chq_clr_date); ?>"/>
                                                </td>



                                                <td >
                                                    <select  name="mode_id[]<?php echo $cnt; ?>"
                                                             id="modeid_<?php echo $cnt; ?>"
                                                             class=" form-control debit_acct_id mode_id">
                                                        <option></option><option></option>

                                                        <?php

                                                        try {
                                                            $act_query = "SELECT p.mode_id acct_id, p.mode_name acct_name  FROM pay_mode p ORDER BY p.mode_id ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowd = $act_result->fetch(PDO::FETCH_OBJ)) {


                                                            if ($mode_id == $rowd->acct_id) {
                                                                echo '<option  value="' . $rowd->acct_id . '" selected>' . $rowd->acct_name . '</option>';
                                                            } else {


                                                                echo '<option  value="' . $rowd->acct_id . '">' . $rowd->acct_name . '</option>';

                                                            }
                                                        }

                                                        ?>
                                                    </select>
                                                </td>


                                                <td>
                                                    <input type="text" class="form-control particulars" name="particulars[]<?php echo $cnt; ?>" id="clrdate_<?php echo $cnt; ?>" value="<?php echo ($particulars); ?>"/>
                                                </td>



                                                <td>
                                                    <input type="text" class="form-control bill_no" name="bill_no[]<?php echo $cnt; ?>" id="billno_<?php echo $cnt; ?>" value="<?php echo ($bill_no); ?>"/>
                                                </td>



                                                <td>
                                                    <input type="text" class="form-control disc_amt changesNo" name="disc_amt[]<?php echo $cnt; ?>" id="discamt_<?php echo $cnt; ?>" value="<?php echo round($disc_amt); ?>"/>
                                                </td>


                                                <!-- total ammount -->
                                                <td><input type="text"
                                                           class="form-control debit_amount changesNo price_1 totalLinePrice "
                                                           name="amount[]<?php echo $cnt; ?>" id="total_<?php echo $cnt; ?>" autocomplete="off" onkeypress="return IsNumeric(event);"
                                                           ondrop="return false;" onpaste="return false;" size="30" value="<?php echo round($amount); ?>"/></td>


                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>



                                        <!----------------------------------------------------------------------------------------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------SALE INVOICE DETAIL ADD FORM---------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------------------------------------------------------------------------->


                                        <?php  $numberofrow = 1; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>

                                            <tr class="addrow_sale">
                                                <!-- CHECKBOX FOR ADD NEW FORM FIELD -->
                                                <td>
                                                    <input class="case" type="checkbox" id="disable_<?php echo $counter;?>"/>
                                                </td>

                                                <!------------------- START LINE ITEM--------------->
                                                <td style="width: 60px;">
                                                    <?php $lineitem += 1;?>
                                                    <input type="text" class="form-control " name="lineitem[]<?php echo $counter;?>"  id="lineitem_1" value="<?php echo $lineitem;?>" readonly  />
                                                </td>
                                                <!------------------- END LINE ITEM--------------->


                                                <!------------------- START PARTY LIST--------------->
                                                <td >
                                                    <select style="width: 300px;"
                                                        name="party_id[]<?php if ($add == "Y") {
                                                            echo $counter;
                                                        } else {
                                                            echo $lineitem;
                                                        }

                                                        ?>" id="debitacctid_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" class=" form-control debit_acct_id">
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $act_query = "SELECT n.acct_name, n.acct_id  FROM v_party n  WHERE n.party_type = 'C'  ORDER BY n.acct_name ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }

                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                            $actid = $rowact->acct_id;
                                                            $acct_name = $rowact->acct_name;

                                                            if (strlen($actid) == '10') {
                                                                //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                                echo '<option value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>

                                                <!------------------- END PARTY LIST--------------->




                                                <!------------------- START PARTY LIST--------------->
                                                <td >
                                                    <select style="width: 150px;"
                                                            name="acct_id[]<?php if ($add == "Y") {
                                                                echo $counter;
                                                            } else {
                                                                echo $lineitem;
                                                            }

                                                            ?>" id="debitacctid_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" class=" form-control debit_acct_id account_id">
                                                        <option></option>
                                                        <?php

                                                        $cash_id = find_value('v_system','cash_id','');
                                                        $bank_id = find_value('v_system','bank_id','');


                                                        $and = "";
                                                        $and .= " and (n.acct_id LIKE concat('$cash_id','%')";
                                                        $and .= " OR n.acct_id LIKE concat('$bank_id','%'))";



                                                        try {
                                                            $act_query = "SELECT n.acct_name, n.acct_id  FROM nom n WHERE 1 = 1 and length(acct_id) = 10  $and ORDER BY n.acct_name ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }



                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                            $actid = $rowact->acct_id;
                                                            $acct_name = $rowact->acct_name;

                                                            if (strlen($actid) == '10') {
                                                                //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                                echo '<option value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>

                                                <!------------------- END PARTY LIST--------------->

                                                <td>
                                                    <input type="text" class="form-control chq_no "
                                                           name="chq_no[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="chqno_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>


                                                <td>
                                                    <input type="text" class="form-control chq_date "
                                                           name="chq_date[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="chqdate_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>


                                                <td>
                                                    <input type="text" class="form-control chq_date "
                                                           name="clr_date[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="clrdate_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>




                                                <td >
                                                    <select style="width: 100px;"
                                                            name="mode_id[]<?php if ($add == "Y") {
                                                                echo $counter;
                                                            } else {
                                                                echo $lineitem;
                                                            }

                                                            ?>" id="paymode_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" class=" form-control mode_id">
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $act_query = "SELECT p.mode_id acct_id, p.mode_name acct_name  FROM pay_mode p ORDER BY p.mode_id ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }

                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {


                                                            echo '<option value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';

                                                        }
                                                        ?>
                                                    </select>
                                                </td>



                                                <td>
                                                    <input type="text" class="form-control"
                                                           name="particulars[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="particulars_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>



                                                <td>
                                                    <input type="text" class="form-control"
                                                           name="bill_no[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="billno_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>




                                                <td>
                                                    <input type="text" class="form-control changesNo"
                                                           name="disc_amt[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="discamt_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>


                                                <!-- total ammount -->
                                                <td><input type="text"
                                                           class="form-control debit_amount changesNo price_1 totalLinePrice "
                                                           name="amount[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="total_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    } ?>" autocomplete="off" onkeypress="return IsNumeric(event);"
                                                           ondrop="return false;" onpaste="return false;" size="30"/></td>

                                            </tr>
                                        <?php } ?>


                                        <thead>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>




                                            <td width="10%" colspan="1" align="right">
                                                <input type="text" class="form-control  grandtot " name="grandtot" id="grandtot" autocomplete="off" readonly   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['itemtot'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['itemtot'] = $itemtot;
                                                }

                                                echo round($_SESSION['itemtot']);?>" style="width: 100px;  font-weight: bold;" />
                                            </td>
                                        </tr>




                                        </thead>

                                    </table>


                                    <div id="view"></div>
                                    <div class='row'>
                                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>

                                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>




                                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                                        </div>
                                    </div>


                </form>





            </div>

        </div>
    </div>
    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>



    <!---------------------------START JAVASCRIPT-------------------------------->
    <script type="text/javascript">

        $(".debit_acct_id").select2();



        $('.chq_date').datepicker({
            format: 'yyyy-mm-dd',
            autoclose: true
        });




        function sale_invoice_add()
        {

            //declare variables master form
            var v_date = $('#v_date').val();
            var v_id = $('#voucher_id').val();




            //check condition
            if(v_id == "")
            {
                alert("Please Enter Voucher ID");
                $('#v_id').focus();
            }

            else if(v_date == "")
            {
                alert("Please Enter Date");
                $('#v_date').focus();
            }



            else
            {
                var formdata = $('#sale_invoice').serializeArray();

                $.ajax({
                    type:"POST",
                    url:"process/sale_receipt_process.php",
                    data:$.param(formdata),
                    beforeSend: function()
                    {
                        $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                    },
                    success: function(result)
                    {
                        //alert(result);
                        window.location = "sale_receipt_detail?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>";
                    }
                });
                $('#savedata').addClass("disabled");
            }




        }


        $(document).on('change', '#check_all', function () {
            $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
        });



        //delete the selected table row

        $(".delete_sale").on('click', function () {
            $('.case:checkbox:checked').parents("tr").remove();
            $("#check_all").prop("checked", false);
            calculateTotal();
            calculateTotal_qty();
        });







        //add table rows

        <?php

        //ADD MORE FIELD SHOW ACCOUNTS
        try
        {
            $nom_query =  "SELECT n.acct_name, n.acct_id  FROM v_party n WHERE n.party_type = 'C'  ORDER BY n.acct_name ASC";
            $nom_result = $dbcon->prepare($nom_query);
            $nom_result->execute(array());
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }
        $options = '';
        $options = "<option></option>";
        while($row_nom = $nom_result->fetch(PDO::FETCH_OBJ))
        {

            $options .= "<option value='{$row_nom->acct_id}'>{$row_nom->acct_name}</option>";
        }
        ?>
        //add table rows


        var party_option = "<?php echo $options; ?>";




        <?php

        $cash_id = find_value('v_system','cash_id','');
        $bank_id = find_value('v_system','bank_id','');


        $and = "";
        $and .= " and (n.acct_id LIKE concat('$cash_id','%')";
        $and .= " OR n.acct_id LIKE concat('$bank_id','%'))";

        //ADD MORE FIELD SHOW ACCOUNTS
        try
        {
            $nom_query =  "SELECT n.acct_name, n.acct_id  FROM nom n WHERE 1 = 1 and length(acct_id) = 10 $and  ORDER BY n.acct_name ASC";
            $nom_result = $dbcon->prepare($nom_query);
            $nom_result->execute(array());
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }
        $options = '';
        $options = "<option></option>";
        while($row_nom = $nom_result->fetch(PDO::FETCH_OBJ))
        {

            $options .= "<option value='{$row_nom->acct_id}'>{$row_nom->acct_name}</option>";
        }
        ?>
        //add table rows


        var acct_option = "<?php echo $options; ?>";




        <?php

        //ADD MORE FIELD SHOW PAY MODE
        try
        {
            $mode_query =  "SELECT p.mode_id acct_id, p.mode_name acct_name  FROM pay_mode p ORDER BY p.mode_id ASC";
            $mode_result = $dbcon->prepare($mode_query);
            $mode_result->execute(array());
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }
        $options_mode = '';
        $options_mode = "<option></option>";
        while($row_mode = $mode_result->fetch(PDO::FETCH_OBJ))
        {

            $options_mode .= "<option value='{$row_mode->acct_id}'>{$row_mode->acct_name}</option>";
        }
        ?>

        var option_mode = "<?php echo $options_mode; ?>";






        var i = $('.addrow_sale').length;



        $(".addmore_sale").on('click',function(){

            html = '<tr>';
            html += '<td><input class="case" type="checkbox"/></td>';
            html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
            html += '<td><select name="party_id[]" id="partyid_'+i+'" class=" form-control debit_acct_id" >'+party_option+'</select></td>';
            html += '<td><select name="acct_id[]" id="acctid_'+i+'" class=" form-control debit_acct_id account_id" >'+acct_option+'</select></td>';

            html += '<td><input type="text" data-type="chq_no" name="chq_no[]" id="chqno_'+i+'" class="form-control" autocomplete="on" ></td>';
            html += '<td><input type="text" data-type="chq_date" name="chq_date[]" id="chqdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
            html += '<td><input type="text" data-type="clr_date" name="clr_date[]" id="clrdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
            html += '<td><select name="pay_mode[]" id="paymode_'+i+'" class=" form-control" >'+option_mode+'</select></td>';
            html += '<td><input type="text" data-type="paarticulars" name="paarticulars[]" id="paarticulars_'+i+'" class="form-control" autocomplete="on" ></td>';
            html += '<td><input type="text" data-type="bill_no" name="bill_no[]" id="billno_'+i+'" class="form-control" autocomplete="on" ></td>';
            html += '<td><input type="text" data-type="disc_amt" name="disc_amt[]" id="discamt_'+i+'" class="form-control changesNo" autocomplete="on" ></td>';

            html += '<td><input type="text" class="form-control debit_amount changesNo price_1 totalLinePrice" name="amount[]" id="total_'+i+'"  /></td>';

            html += '</tr>';
            $('#addrow').append(html);
            i++;

            press_enter();

            $('select') .select2();

            $('.chq_date').datepicker({
                format: 'yyyy-mm-dd',
                autoclose: true
            });

        });


        var i = $('.addrow_sale').length;

        $(document).on('keyup', '.totalLinePrice', function(e) {
            var code = (e.keyCode ? e.keyCode : e.which);
            if (code == 13) {

                html = '<tr>';
                html += '<td><input class="case" type="checkbox"/></td>';
                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
                html += '<td><select name="party_id[]" id="partyid_'+i+'" class=" form-control debit_acct_id" >'+party_option+'</select></td>';
                html += '<td><select name="acct_id[]" id="acctid_'+i+'" class=" form-control debit_acct_id account_id" >'+acct_option+'</select></td>';

                html += '<td><input type="text" data-type="chq_no" name="chq_no[]" id="chqno_'+i+'" class="form-control" autocomplete="on" ></td>';
                html += '<td><input type="text" data-type="chq_date" name="chq_date[]" id="chqdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
                html += '<td><input type="text" data-type="clr_date" name="clr_date[]" id="clrdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
                html += '<td><select name="pay_mode[]" id="paymode_'+i+'" class=" form-control" >'+option_mode+'</select></td>';
                html += '<td><input type="text" data-type="paarticulars" name="paarticulars[]" id="paarticulars_'+i+'" class="form-control" autocomplete="on" ></td>';
                html += '<td><input type="text" data-type="bill_no" name="bill_no[]" id="billno_'+i+'" class="form-control" autocomplete="on" ></td>';
                html += '<td><input type="text" data-type="disc_amt" name="disc_amt[]" id="discamt_'+i+'" class="form-control changesNo" autocomplete="on" ></td>';

                html += '<td><input type="text" class="form-control debit_amount changesNo price_1 totalLinePrice" name="amount[]" id="total_'+i+'"  /></td>';

                html += '</tr>';


                $('#addrow').append(html);
                //$(this).focus().select();
                i++;

                $('select') .select2();

                $('.chq_date').datepicker({
                    format: 'yyyy-mm-dd',
                    autoclose: true
                });

                enter_key();
            }



        });




        /****************START ENTER KEY***************/
        function enter_key() {
            $('.form-control, .account_id').keydown(function (e) {
                if (e.which === 13) {
                    var index = $('.form-control, .debit_acct_id').index(this) + 1;
                    $('.form-control, .debit_acct_id').eq(index).focus();
                }
            });

        }
        enter_key();
        /****************END ENTER KEY***************/




        //date picker
        $('.v_date').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true
        });


        //dropdown with search
        $(".acct_id").select2();


        //price change
        $(document).on('change keyup blur','.changesNo',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");

            amount = $('#total_' + id[1]).val();

            discp = $('#discp_' + id[1]).val();



            //$('#total_'+id[1]).val( );




            //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

            calculateTotal();

            calculateInvoiceTotal();


        });







        /****************START INVOICE TOTAL****************/
        function calculateInvoiceTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '') grandtot += parseFloat($(this).val());
            });
            $('#invoice_tot').val(grandtot);
            itemtot += grandtot;
        }
        /****************END INVOICE TOTAL****************/








        //total price calculation
        function calculateTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '')grandtot += parseFloat($(this).val());
            });
            $('#grandtot').val(grandtot);
            itemtot += grandtot;

            var grand_tot = $('#grandtot').val();

            //alert(grand_tot);


            var freight_tot = $('#freight').val();

            var inv_tot = parseFloat(grand_tot) - parseFloat(freight_tot);

            $('#invoice_tot').val(inv_tot);


        }








        function press_enter() {
            $('input').keypress(function (event) {
                if (event.which == '13')	//ENTER
                {
                    var tabIndex = $(this).attr('tabIndex');

                    var all_inputs = $(this).closest('table').find('input:visible');
                    var inputs = all_inputs.filter(function () {
                        return $(this).attr("tabIndex") > tabIndex;
                    })

                    if (inputs.length != 0) {
                        inputs = $(inputs).sort(function (a, b) {
                            return $(a).attr('tabIndex') - $(b).attr('tabIndex');
                        });
                    }
                    else {
                        inputs = $(all_inputs).sort(function (a, b) {
                            return $(a).attr('tabIndex') - $(b).attr('tabIndex');
                        });
                    }


                    var elem = inputs.eq(inputs.index(this) + 1);
                    if (elem.length == 0)
                        elem = inputs.eq(0);

                    elem.focus();
                    event.preventDefault();
                }
            });
        }


        $(document).on('change', '.account_id', function () {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");

            var acct_id = $(this).val();

            if (acct_id == "2710000001") {
                $('.chq_date').attr('disabled', 'disabled');
                $('.chq_no').attr('disabled', 'disabled');
                $('.mode_id').attr('disabled', 'disabled');
            }
            else
            {
                $('.chq_no').removeAttr('disabled');
                $('.chq_date').removeAttr('disabled');
                $('.mode_id').removeAttr('disabled');


            }


        });














    </script>
    <!---------------------------START JAVASCRIPT-------------------------------->








</body>
</html>