<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
if($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_ID"]);

$from_date = clean_data($_POST['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);


$acct_id = clean_data($_POST['acct_id']);

$comp_id = clean_data($_POST['comp_id']);


/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {
    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
}
else
{
    $comp_name = find_value('v_system', 'comp_name', "");
}
/*************END FINDE COMPANY NAME*****************/




$and = '';
$n_and = " and (n.acct_id like '261000%' and length(n.acct_id)=10)";

$and_o_date = " and (v.voucher_date < '$new_from_date')";
$and_date = " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

if ($comp_id != "All") {
    $and .= " and v.comp_id = '$comp_id'";
}



if($acct_id != 'All')
{
    $and .= " and n.acct_id = '$acct_id' ";
}


//$and .= " and v.debit IS NOT NULL OR v.credit IS NOT NULL";
?>

<div class="panel">




    <div class="panel-body">

        <i class="fa fa-file-excel pull-right exportToExcel ml-2" data-toggle="tooltip"
           data-placement="top" title="Export to Excel"><button class="btn btn-green">Export To Excel</button> </i>


        <!-- <a href="#"
            target="_blank"   data-toggle="tooltip"
            data-placement="top" title="PDF" ><i class="fa fa-file-pdf-o pull-right" style="color: #721c24; font-size: 24px;"></i>
         </a>-->


       <!-- <i class="fa fa-file-excel-o pull-right exportToExcel mr-3" data-toggle="tooltip"
           data-placement="top" title="Export to Excel" style="color: #0b2e13; font-size: 24px;"> </i>-->


        <br clear="all">
        <h4 style="text-align: center; font-size: 50px; font-weight: bold;"><?php echo $comp_name ; ?></h4>
        <h4 style="text-align: center; font-size: 30px; font-weight: bold;">Customer Activity</h4>
        <h3 style="text-align: center; font-size: 15px; font-weight: bold;"><?php echo  $to_date ; ?></h3>

        <?php




        //group total variables
        $g_tot_dbqty = 0;
        $g_tot_crqty = 0;
        $g_bal = 0;





        ?>

        <div class="table-responsive">
            <table class="table table-bordered table-striped table2excel">
                <tr>
                    <th>Sr</th>
                    <th>Acct ID</th>
                    <th>Acct Date</th>
                    <th>Account name</th>
                    <th>Reg Name</th>
                    <th>Salesman</th>
                    <th>Last Sale Date</th>
                    <th>Last Invoice</th>
                    <th>Last Receiving Date</th>
                    <th>Last Receiving Amt</th>
                    <th>Balance</th>
                    <th>Credit Limit</th>

                </tr>
                <?php



                try {
                    $p_query = "
SELECT
	n.acct_id,
	n.acct_date,
	n.acct_name,
	n.reg_name,
	n.sp_name,
    n.last_sale_date,
	n.last_sale_amt,
    n.last_recv_date,
    n.last_recv_amt,
	n.balance,
	n.credit_limit
FROM
	(
	SELECT
		n.acct_id,
		n.acct_date,
		concat(
			n.acct_name,
		IF
		( n.phone <> '', concat( ' / Phone#', n.phone ), '' )) acct_name,
		r.reg_name,
		s.acct_name sp_name,
	       sl.last_sale_date,
		sl.last_sale_amt,
	       sl2.last_recv_date,
	       sl3.last_recv_amt,
		o.o_bal,
		v.debit,
		v.credit,
		ifnull( o.o_bal, 0 ) + ifnull( v.debit, 0 ) - ifnull( v.credit, 0 ) balance ,
	
		n.credit_limit
		
	FROM
		nom n
		LEFT JOIN regions r ON n.reg_id = r.reg_id
		LEFT JOIN sp s ON s.acct_id = n.sp_id
		LEFT JOIN (
		SELECT
			v.acct_id,
			sum( ifnull( v.debit, 0 ) - ifnull( v.credit, 0 ) ) o_bal 
		FROM
			v_vouchers v
			LEFT JOIN nom n ON v.acct_id = n.acct_id 
		WHERE
			1 = 1 
			$and $and_o_date
		GROUP BY
			v.acct_id 
		) o ON n.acct_id = o.acct_id
	
		    
		LEFT JOIN (
		SELECT
			v.acct_id,
		  max( v.voucher_date ) last_sale_date,
				(SELECT c.net_amt FROM sl_invoice c WHERE  c.voucher_id IN ( SELECT MAX( s.voucher_id ) FROM sl_invoice s where  v.acct_id = s.acct_id GROUP BY s.acct_id  )) last_sale_amt

		       FROM
			v_vouchers v
			LEFT JOIN nom n ON v.acct_id = n.acct_id 
		WHERE
			1 = 1 AND substr( v.voucher_id, 3, 2 ) = 'SL' $and  $and_date
		GROUP BY
			v.acct_id 
		ORDER BY v.voucher_date DESC
		) sl ON n.acct_id = sl.acct_id
		    
		    
		
			LEFT JOIN (
		SELECT
			v.acct_id,
		  max( v.voucher_date ) last_recv_date
   

		       FROM
			v_vouchers v
			LEFT JOIN nom n ON v.acct_id = n.acct_id 
		WHERE
			1 = 1 AND substr( v.voucher_id, 3, 2 ) = 'CR' $and 
		GROUP BY
			v.acct_id 
		ORDER BY v.voucher_date DESC
		) sl2 ON n.acct_id = sl2.acct_id
		    
		    
		    LEFT JOIN (
		SELECT
		v.acct_id,
		v.credit  last_recv_amt
		FROM
			v_vouchers v
			LEFT JOIN nom n ON v.acct_id = n.acct_id 
		WHERE   v.voucher_id IN ( SELECT MAX( s3.voucher_id ) FROM v_vouchers s3 where 1 = 1 and s3.acct_id like '261000%' and length(s3.acct_id)=10 AND substr( s3.voucher_id, 3, 2 ) = 'CR'   GROUP BY s3.acct_id  )
		ORDER BY v.voucher_date DESC
		) sl3 ON n.acct_id = sl3.acct_id
		  
		LEFT JOIN (
		SELECT
			v.acct_id,
			sum( v.debit ) debit,
			sum( v.credit ) credit,
			v.voucher_date 
		FROM
			v_vouchers v
			LEFT JOIN nom n ON v.acct_id = n.acct_id 
		WHERE
			1 = 1 
			$and $and_date
		GROUP BY
			v.acct_id 
			
		) v ON n.acct_id = v.acct_id 
	WHERE
		1 = 1 
		     AND ( n.acct_id LIKE '261000%' AND length( n.acct_id )= 10 ) 
	ORDER BY
		n.acct_id 
	) n 
ORDER BY
	1,
	2";
                    $p_result = $dbcon->prepare($p_query);
                    $p_result->execute(array());
                } catch (PDOException $e) {
                    echo "Error : " . $e->getMessage();
                }

//echo $p_query;


                $serno = 0;
                $g_q_tot = '';
                $g_amt = '';
                $g_disc_amt = '';
                $g_profit = '';

                while ($report_row = $p_result->fetch(PDO::FETCH_ASSOC)) {
                    $serno = $serno + 1;

                    $g_q_tot += $report_row['qty'];




                    ?>

                    <tr>
                        <td><?php echo($serno); ?></td>
                        <td><?php echo ($report_row['acct_id']); ?></td>
                        <td><?php echo format_date($report_row['acct_date']); ?></td>
                        <td><?php echo ($report_row['acct_name']); ?></td>
                        <td><?php echo ($report_row['reg_name']); ?></td>
                        <td><?php echo ($report_row['sp_name']); ?></td>
                        <td><?php echo format_date($report_row['last_sale_date']); ?></td>
                        <td><?php echo ($report_row['last_sale_amt']); ?></td>
                        <td><?php echo format_date($report_row['last_recv_date']); ?></td>
                        <td><?php echo ($report_row['last_recv_amt']); ?></td>
                        <td><?php echo ($report_row['balance']); ?></td>
                        <td><?php echo round($report_row['credit_limit']); ?></td>


                    </tr>
                    <?php

                }
                ?>



            </table>
        </div>

        <?php

        }
        }



        ?>

    </div>
</div>





<script type="text/javascript">





    $(".exportToExcel").click(function(){
        $(".table2excel").table2excel({
            exclude: ".noExl",
            name: "Customer Activity",
            filename: "Customer Activity"+ ".xls",
            fileext: ".xls",
            exclude_img: true,
            exclude_links: true,
            exclude_inputs: true
        });
    });

</script>


