<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {




        $emp_id = clean_data($_SESSION["VALID_USER_ID"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);
        $rep_name = clean_data($_POST['report_type']);

        $comp_id = clean_data($_POST['comp_id']);
        $emp_code = clean_data($_POST['emp_code']);


        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {
            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");
        }
        /*************END FINDE COMPANY NAME*****************/



        $and = '';

        $and .= " and (a.attn_date BETWEEN '$new_from_date'  AND '$new_to_date')";



        if ($emp_code != "All") {
            $and .= " and e.emp_code = '$emp_code'";
        }





        ?>



        <div class="row">
            <div class="col-12">
                <div class="panel">

                   <!-- <div class="panel-header d_text_align">
                        <a href="pdf_attn?from_date=<?php /*echo $new_from_date; */?>&to_date=<?php /*echo $new_to_date;*/?>&comp_id=<?php /*echo $comp_id;*/?>"
                           target="_blank"   data-toggle="tooltip"
                           data-placement="top" title="PDF"><i class="fa fa-file-pdf pull-right"></i>
                        </a>
                    </div>-->

                    <div class="panel-body">

                        <h4 style="text-align: center; font-size: 50px; font-weight: bold;"><?php echo $comp_name ; ?></h4>
                        <h4 style="text-align: center; font-size: 30px; font-weight: bold;">Attendance</h4>
                        <h3 style="text-align: center; font-size: 15px; font-weight: bold;"><?php echo $from_date.  ' - ' . $to_date ; ?></h3>



                        <div class="box ">
                            <div class="col-md-12 col-12">


                                <?php




                                //group total variables
                                $g_tot_dbqty = 0;
                                $g_tot_crqty = 0;
                                $g_bal = 0;





                                ?>

                                <div class="table-responsive">
                                    <table class="table table-bordered" >
                                        <thead class="sticky-top">

                                        <tr>
                                            <th>Sr</th>
                                            <th>ID</th>
                                            <th>Employee Name</th>
                                            <th style="text-align: right;">Attendance Date</th>
                                            <th style="text-align: center;">Time IN</th>
                                            <th style="text-align: center;">Time Out</th>
                                            <th style="text-align: center;">Hours</th>
                                            <th style="text-align: center;">Minutes </th>
                                        </tr>
                                        </thead>

                                        <?php



                                        try {
                                            $p_type = "SELECT a.id, a.attn_date, a.time_in, a.time_out, a.m_emp_id, e.emp_name 
                                                            FROM hrm_attn_log a
                                                            LEFT JOIN employee e ON a.m_emp_id = e.emp_code
                                                            WHERE 1 = 1 $and ORDER BY a.attn_date ASC, a.time_in ASC, a.time_out ASC";
                                            $p_query = $dbcon->prepare($p_type);
                                            $p_query->execute(array());
                                        } catch (PDOException $e) {
                                            echo "Error : " . $e->getMessage();
                                        }


                                        $sr = 0;
                                        while($o_exp_row = $p_query->fetch(PDO::FETCH_ASSOC))
                                        {

                                            $sr+= 1;


                                            $f_emp_id = $o_exp_row['emp_id'];

                                            $date_in = $o_exp_row['time_in'];

                                            $date_in = strtotime($date_in);
                                            $time_in =  date('Y-m-d H:i:s', $date_in);


                                            $date = $o_exp_row['time_out'];
                                            $date = strtotime($date);
                                            $time_outt =  date('Y-m-d H:i:s', $date);

                                            $datetime = date('Y-m-d H:i:s');




                                            $attn_date =  $cur_month =  date("Y-n-d",strtotime($o_exp_row['attendance_date']));


                                            $date_in = $o_exp_row['time_in'];
                                            $date_in = strtotime($date_in);
                                            $in_date =  date('Y-m-d H:i:s', $date_in);


                                            $date = $o_exp_row['time_out'];
                                            $date = strtotime($date);
                                            $out_date =  date('Y-m-d H:i:s', $date);

                                            $datetime_1 = $o_exp_row['time_in'];
                                            $datetime_2 = $o_exp_row['time_out'];

                                            $from_time = strtotime($datetime_1);
                                            $to_time = strtotime($datetime_2);
                                            $diff_minutes = round(abs($from_time - $to_time) / 60,2). " minutes";





                                            ?>
                                            <tr>




                                                <td>
                                                    <?php echo $sr;?>
                                                </td>
                                                <td>
                                                    <?php echo ucwords($o_exp_row['id']);?>
                                                </td>

                                                <td>
                                                    <?php echo ucwords($o_exp_row['emp_name']);?>

                                                </td>
                                                <td align=right>
                                                    <?php echo format_date($o_exp_row['attn_date']);?>


                                                </td>
                                                <td align=right>

                                                    <a href="#" id="time_in" class="time_in" data-type="text"
                                                       data-pk="<?php echo $o_exp_row['id']; ?>"
                                                       data-url="inline_update_process"
                                                       data-title="Update Time In">
                                                        <?php echo $o_exp_row['time_in']; ?>
                                                    </a>



                                                </td>
                                                <td align=right>


                                                    <a href="#" id="time_out" class="time_out" data-type="text"
                                                       data-pk="<?php echo $o_exp_row['id']; ?>"
                                                       data-url="inline_update_process"
                                                       data-title="Update Time Out">
                                                        <?php echo $o_exp_row['time_out']; ?>
                                                    </a>



                                                </td>
                                                <td align=right><?php echo round(differenceInHours($in_date, $out_date));?></td>

                                                <td align=right><?php echo ($diff_minutes);?></td>


                                            </tr>
                                            <?php
                                        }

                                        ?>




                                    </table>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php

    }
}



?>

<script type="text/javascript">
    $('.time_in').editable();

    $('.time_out').editable();
</script>