<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

date_default_timezone_set("Asia/Karachi");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);
        $comp_name=find_value('company','comp_name'," and comp_id='$comp_id'");

        $rpt_type = clean_data($_POST['rpt_type']);
        $bill_no = clean_data($_POST['bill_no']);
        $type_id = clean_data($_POST['type_id']);
        $cat_id = clean_data($_POST['cat_id']);


        ?>
        <a href="pdf_report_sales?from_date=<?php echo $new_from_date; ?>&to_date=<?php echo $new_to_date;?>&comp_id=<?php echo $comp_id; ?>"
           target="_blank" style="text-decoration:none; color:#FFF" class="btn btn-success" data-toggle="tooltip"
           data-placement="top" title="PDF">PDF</a>
        <?

        /*****************START MYSQL VARIABLES**************/

        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {

            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");

        }
        /*************END FINDE COMPANY NAME*****************/

        if ($cat_id != "All") {

            $and .= " and (i.cat_id = '$cat_id')";

        }

        if ($type_id != "All") {

            $and .= " and (i.type_id = '$type_id')";

        }

        $lbl_rpt_type=$rpt_type;
        if ($rpt_type=='All')
            $lbl_rpt_type='Sales';

        ?>



        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>
        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $lbl_rpt_type; ?></h1>

        <div class="table-responsive">
        <table class="table table-bordered table-striped">
            <tr>
                <th>Sr</th>
                <th>VOUCHER DATE</th>
                <th>VOUCHER ID</th>
                <th>BILTY NO</th>
                <th>GATE PASS NO</th>
                <th>PARTY NAME</th>
                <th>INVOICE AMOUNT</th>
                <th>VEHICLE NO</th>
            </tr>


            <?php

            $and = '';
            $and .= " and (m.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

            if ($comp_id != "All") {

                $and .= " and m.comp_id = '$comp_id'";



            } else {
                $and .= " and m.comp_id in(SELECT c.comp_id FROM company c
                    LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
                    WHERE uc.emp_id = '$emp_id' )";


            }

        if ($cat_id != "All") {

            $and .= " and (i.cat_id = '$cat_id')";

        }

        if ($type_id != "All") {

            $and .= " and (i.type_id = '$type_id')";

        }

/*
        if ($cat_id != "All") {

            $and .= " and (i.cat_id = '$cat_id')";
        }
*/

        if ($bill_no != "")

                $and .= " and m.bill_no = '$bill_no'";




        /*****************END MYSQL VARIABLES**************/



        $g_voucher_Date = '';
        $g_q_tot = '';
        $g_amt = '';

        try {
            $msqlquery = "SELECT DISTINCT m.comp_id, m.year_id, m.voucher_id, m.voucher_date, m.bilty_no, m.gp_no, ifnull(m.net_amt,0)+ifnull(m.disc_amt,0) net_amt, m.comp_id,  
m.posted, m.adv_amt, m.disc_amt, f_sl_invoice_products(m.comp_id, m.year_id, m.voucher_id) items, sp.acct_name sp_name, n.acct_name party_name, ifnull(n2.acct_name,m.r_driver) vehicle_name
FROM sl_dc m
LEFT JOIN sp on m.sp_id=sp.acct_id
LEFT JOIN nom n ON n.acct_id = m.acct_id
LEFT JOIN nom n2 ON m.vehicle_id = n2.acct_id
WHERE 1=1  $and  ORDER BY m.voucher_date, m.bilty_no desc
                            ";

#echo  $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }


            $serno = 0;
            $net_amt_tot = '';
            $stax_tot = '';
            $disc_amt_tot = '';
            $dc_amt_tot = '';
            $rec_amt_tot = '';
            $rtn_amt_tot = '';
            $bal_amt_tot = '';
            $profit_tot = '';
            while ($report_row = $q_result->fetch(PDO::FETCH_ASSOC)) {
                $serno = $serno + 1;


                ?>

                <tr>
                    <td><?php echo($serno); ?></td>
                    <td><?php echo format_date($report_row['voucher_date']); ?></td>
                    <td><?php echo $report_row['voucher_id']; ?></td>
                    <td><?php echo $report_row['bilty_no']; ?></td>
                    <td><?php echo ($report_row['gp_no']); ?></td>
                    <td><?php echo ($report_row['party_name']); ?></td>
                    <td align=right><?php echo format_number($report_row['net_amt'],0); ?></td>
                    <td><?php echo ($report_row['vehicle_name']); ?></td>

                </tr>


<?php
}

}

?>

        </table>
        </div>
<?php
}
?>
