<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
if($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_ID"]);

$from_date = clean_data($_POST['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = clean_data($_POST['comp_id']);
$acct_id = clean_data($_POST['acct_id']);
$reg_id = clean_data($_POST['reg_id']);
$f_emp_id = clean_data($_POST['f_emp_id']);


$due_from_date = clean_data($_POST['due_fromdate']);
$change_from_date = strtotime($due_from_date);
$duefrom_date = date('Y-m-d', $change_from_date);

$due_to_date = clean_data($_POST['due_todate']);
$change_to_date = strtotime($due_to_date);
$dueto_date = date('Y-m-d', $change_to_date);



/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {
    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
}
else
{
    $comp_name = find_value('v_system', 'comp_name', "");
}
/*************END FINDE COMPANY NAME*****************/



$and = '';

$and .= " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";


if($due_from_date != '' && $due_to_date != '' )
{
    $and .= " and (v.due_date BETWEEN '$duefrom_date'  AND '$dueto_date')";
}



if ($comp_id != "All") {
    $and .= " and v.comp_id = '$comp_id'";
}else{
    $and .= " and v.comp_id in(select comp_id from users_comp where emp_id='$emp_id')";

}


if ($acct_id != "All") {
    $and .= " and v.acct_id like '$acct_id%'";


}


if ($reg_id != "All") {
    $and .= " and n.reg_id like '$reg_id%'";


}


if ($f_emp_id != "All") {
    $and .= " and v.emp_id = '$f_emp_id'";
}



?>

<div class="panel">




    <div class="panel-body">

        <a href="pdf_recovery?from_date=<?php echo $new_from_date; ?>&to_date=<?php echo $new_to_date;?>&comp_id=<?php echo $comp_id;?>&acct_id=<?php echo $acct_id;?>&regg_id=<?php echo $reg_id;?>"
           target="_blank"   data-toggle="tooltip"
           data-placement="top" title="PDF" ><i class="fa fa-file-pdf-o pull-right" style="color: #721c24; font-size: 24px;"></i>
        </a>


        <i class="fa fa-file-excel-o pull-right exportToExcel mr-3" data-toggle="tooltip"
           data-placement="top" title="Export to Excel" style="color: #0b2e13; font-size: 24px;"> </i>


        <br clear="all">
        <h4 style="text-align: center; font-size: 50px; font-weight: bold;"><?php echo $comp_name ; ?></h4>
        <h4 style="text-align: center; font-size: 30px; font-weight: bold;">Recovery Report</h4>
        <h3 style="text-align: center; font-size: 15px; font-weight: bold;"><?php echo $from_date.  ' - ' . $to_date ; ?></h3>

        <?php




        //group total variables
        $g_tot_dbqty = 0;
        $g_tot_crqty = 0;
        $g_bal = 0;





        ?>

        <div class="table-responsive">
            <table class="table table-bordered table2excel" >

                <tr>
                    <th>Sr</th>
                    <th>Account ID</th>
                    <th>Customers</th>
                    <th>Comp ID</th>
                    <th>Due Date</th>
                    <th>Due Amount</th>


                    <th style="text-align: right;">Previous Balance</th>
                    <th style="text-align: right;">Current Sale</th>
                    <th style="text-align: right;"> Sale Return</th>
                    <th style="text-align: right;">Recovery Amount</th>
                    <th style="text-align: right;">Balance</th>
                    <th style="text-align: right;">Recovery %</th>


                </tr>


                <?php




                try {
                    $d_query = "SELECT
	v.acct_id,
	sum( ifnull( v.debit, 0 ) +  ifnull( v.credit, 0 ) ) cash_received ,
       n.acct_name,
       v.comp_id,
       v.due_date,
       v.due_amt,
	
	( SELECT sum(ifnull( c.debit, 0 ) - ifnull( c.credit, 0 )) balance FROM v_vouchers c WHERE 1 = 1 and c.acct_id = v.acct_id and c.voucher_date < '$new_from_date'   GROUP BY c.acct_id HAVING
	sum( ifnull( c.debit, 0 ) - ifnull( c.credit, 0 ) )> 0 ) AS balance,
    
( SELECT sum(ifnull( c.debit, 0 ) - ifnull( c.credit, 0 )) balance FROM v_vouchers c WHERE 1 = 1 and c.acct_id = v.acct_id  $and   GROUP BY c.acct_id HAVING
	sum( ifnull( c.debit, 0 ) - ifnull( c.credit, 0 ) )> 0 ) AS cur_balance,

( SELECT sum(ifnull( s.net_amt, 0 )) sale_amt FROM sl_invoice s WHERE 1 = 1 and s.acct_id = v.acct_id  and s.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date'   GROUP BY s.acct_id ) AS sale_amt,
	
( SELECT sum(ifnull( r.net_amt, 0 )) rt_sale_amt FROM sl_return r WHERE 1 = 1 and r.acct_id = v.acct_id  and r.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date'   GROUP BY r.acct_id ) AS rt_sale_amt
	
FROM
	v_vouchers v
    LEFT JOIN nom n ON v.acct_id = n.acct_id
WHERE
	1 = 1 
	AND substr( v.voucher_id, 3, 2 ) IN ( 'CR', 'JV' ) 
	AND v.acct_id NOT IN ( '2610000473', '2610000798', '2610001303', '2610000970', '2610000463', '2610000804', '2610000790', '2610000464', '2610000462', '2610001116', '2610000886', '2610000789', '2610001164', '2610001191' ) 
	$and
	AND v.acct_id LIKE '261000%'
GROUP BY
	v.acct_id ";
//echo $d_query;
                    $d_result = $dbcon->prepare($d_query);
                    $d_result->execute();
                } catch (PDOException $e) {
                    echo "Error : " . $e->getMessage();
                }

                $serno = 0;


                while ($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {
                    $serno = $serno + 1;
                    $debit_amount_tot += $report_row['debit_amount'];
                    $credit_amount_tot += $report_row['credit_amount'];


                    $acct_id = $report_row['party_id'];;
                    $f_comp_id = $report_row['comp_id'];

                    $final_bal = $report_row['cur_balance'];

                    $g_tot_pre += $report_row['balance'];
                    $g_tot_cash += $report_row['cash_received'];
                    $g_tot_sale += $report_row['sale_amt'];
                    $g_tot_rt += $report_row['rt_sale_amt'];
                    $g_totfinal += $final_bal;

                    $g_due_amt += $report_row['due_amt'];

                    if($report_row['sale_amt'] != 0)
                    {
                        $recp = $report_row['balance'] + $report_row['sale_amt'];
                        $final_rec_p = ($report_row['cash_received']*100)/$recp;

                    }
                    else
                    {
                        $recp = $report_row['balance'] + $report_row['sale_amt'];
                        $final_rec_p = ($report_row['cash_received']*100)/$recp;
                    }



                    if ($report_row['due_date'] != '0000-00-00' && $report_row['due_date'] !=  '1970-01-01') {
                        $due_date  = format_date_yyyy($report_row['due_date']);
                    }

                    ?>

                    <tr>
                        <td><?php echo($serno); ?></td>
                        <td><?php echo ($report_row['acct_id']); ?></td>
                        <td><?php echo ($report_row['acct_name']); ?></td>
                        <td><?php echo ($f_comp_id); ?></td>
                        <td><?php echo $due_date; ?></td>
                        <td><?php echo format_number($report_row['due_amt'],0); ?></td>
                        <td align=right><?php echo format_number($report_row['balance'],0); ?></td>
                        <td align=right><?php echo format_number($report_row['sale_amt'],0); ?></td>
                        <td align=right><?php echo format_number($report_row['rt_sale_amt'],0); ?></td>
                        <td align=right><?php echo format_number($report_row['cash_received'], 0); ?></td>
                        <td align=right><?php echo format_number_drcr($final_bal, 0); ?></td>
                        <td align=right><?php echo round($final_rec_p, 0); ?></td>
                    </tr>
                    <?php

                }
                ?>
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td style="text-align: right; font-weight: bold;">Total</td>
                    <td style="text-align: right; font-weight: bold;"><?php echo format_number($g_due_amt, 0); ?></td>


                    <td style="text-align: right; font-weight: bold;"><?php echo format_number($g_tot_pre, 0); ?></td>
                    <td style="text-align: right; font-weight: bold;"><?php echo format_number($g_tot_sale, 0); ?></td>
                    <td style="text-align: right; font-weight: bold;"><?php echo format_number($g_tot_rt, 0); ?></td>
                    <td style="text-align: right; font-weight: bold;"><?php echo format_number($g_tot_cash, 0); ?></td>
                    <td style="text-align: right; font-weight: bold;"><?php echo format_number($g_totfinal, 0); ?></td>
                    <td></td>
                </tr>


            </table>
        </div>

        <?php

        }
        }



        ?>

    </div>
</div>






<script type="text/javascript">

    /**********************START TURNOVER COST DETAIL MODAL*******************/
    $(document).ready(function() {
        $(document).on('click', '.get_turnover', function(e) {
            e.preventDefault();
            var id = $(this).data('id'); // it will get id of clicked row

            var from_date = '<?php echo $from_date;?>';
            var to_date = '<?php echo $to_date;?>';
            var f_comp_id = '<?php echo $comp_id;?>';


            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date  +
                '&f_comp_id=' + f_comp_id  +
                '&id=' + id;


            //alert(uid);

            $('#dynamic-content').html(''); // leave it blank before ajax call
            $('#modal-loader').show(); // load ajax loader

            $.ajax({
                url: 'ajax/get_turnover_detail',
                type: 'POST',
                data: datastring,
                dataType: 'html'
            })
                .done(function(data) {
                    console.log(data);
                    $('#dynamic-content').html('');
                    $('#dynamic-content').html(data); // load response
                    $('#modal-loader').hide(); // hide ajax loader
                })
                .fail(function() {
                    $('#dynamic-content').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                    $('#modal-loader').hide();
                });

        });

    });
    /**********************END TURNOVER COST DETAIL MODAL*******************/







    /**********************START EXPENSES DETAIL MODAL*******************/
    $(document).ready(function() {
        $(document).on('click', '.get_exp', function(e) {
            e.preventDefault();
            var id = $(this).data('id'); // it will get id of clicked row

            var from_date = '<?php echo $from_date;?>';
            var to_date = '<?php echo $to_date;?>';
            var f_comp_id = '<?php echo $comp_id;?>';


            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date  +
                '&f_comp_id=' + f_comp_id  +
                '&id=' + id;


            //alert(uid);

            $('#dynamic-content').html(''); // leave it blank before ajax call
            $('#modal-loader').show(); // load ajax loader

            $.ajax({
                url: 'ajax/get_exp_detail',
                type: 'POST',
                data: datastring,
                dataType: 'html'
            })
                .done(function(data) {

                    $('#dynamic-content-exp').html('');
                    $('#dynamic-content-exp').html(data); // load response
                    $('#modal-loader').hide(); // hide ajax loader
                })
                .fail(function() {
                    $('#dynamic-content-exp').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                    $('#modal-loader').hide();
                });

        });

    });
    /**********************END EXPENSES DETAIL MODAL*******************/





    $(".exportToExcel").click(function(){
        $(".table2excel").table2excel({
            exclude: ".noExl",
            name: "Recovery Report",
            filename: "Recovery Report <?php echo $from_date . ' - ' . $to_date; ?>"+ ".xls",
            fileext: ".xls",
            exclude_img: true,
            exclude_links: true,
            exclude_inputs: true
        });
    });

</script>


