<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
/***************START VARIABLES*****************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = $_SESSION['voucher_type'];
$comp_id = clean_data($_SESSION["comp_id"]);
$posted = ($_GET['posted']);

$_SESSION['posted'] = $posted;
$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
$year_id = $_SESSION["year_id"];
/***************END VARIABLES*****************/
$login_page = find_value('v_system', 'login_page', '');

error_reporting(0);

$from_date = $_GET['from_date'];
$to_date = $_GET['to_date'];

if(!isset($from_date))
{
    $from_date=date('Y-01-01');;
}

if(!isset($to_date))
{
    $to_date=date('Y-m-d');
}

$monday = strtotime("last monday");
$monday = date('w', $monday)==date('w') ? $monday+7*86400 : $monday;

$sunday = strtotime(date("Y-m-d",$monday)." +6 days");

$this_week_sd = date("Y-m-d",$monday);
$this_week_ed = date("Y-m-d",$sunday);


/****************START MASTER TABLE QUERY*************/
$and = "";
$and .= " AND m.comp_id = '$comp_id'";
$and .= " AND m.year_id = '$year_id'";

//$and .= " AND m.voucher_date  BETWEEN '$from_date' AND '$to_date'";

//$and .= " AND m.voucher_date  BETWEEN '$this_week_sd' AND '$this_week_ed'";


try
{
    $sl_query =  "SELECT DISTINCT m.comp_id, m.year_id, m.voucher_id, m.voucher_date, m.bilty_no, m.gp_no, ifnull(m.net_amt,0) net_amt, m.r_freight, m.particulars description, m.comp_id,  
m.posted, f_sl_invoice_products(m.comp_id, m.year_id, m.voucher_id) items, n.acct_name party_name, n2.acct_name vehicle_name, if(m.vendor_id<>'', n4.acct_name, n3.acct_name) driver_name, ifnull(n2.acct_name,m.r_driver) vehicle_name, vt.vehicle_name vehicle_type, c.city_name
FROM sl_dc m
LEFT JOIN nom n ON n.acct_id = m.acct_id
LEFT JOIN nom n2 ON m.vehicle_id = n2.acct_id
LEFT JOIN nom n3 ON m.driver_id = n3.acct_id
LEFT JOIN nom n4 ON m.vendor_id = n4.acct_id
LEFT JOIN vehicle_type vt on m.vehicle_type=vt.vehicle_id
LEFT JOIN city c on m.dis_city_id=c.city_id
WHERE 1=1  $and  ORDER BY m.voucher_date, m.bilty_no desc";


    $query_m = $dbcon->prepare($sl_query);
    $query_m->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


/****************END MASTER TABLE QUERY*************/





?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">


    <link href="vendors/DataTables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
    <link href="vendors/DataTables/buttons.bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="vendors/DataTables/jquery.dataTables_themeroller.css" rel="stylesheet" type="text/css" />

</head>
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<div id="wrapper">
    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->


    <!--BEGIN PAGE WRAPPER-->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title">BILTY SHOWCASE</div>
            </div>

        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!--BEGIN CONTENT-->
        <div class="page-content">

            <?php
            $menu_id='1.10';
            $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
            $detail = find_value("menu", "menu_detail", " and  menu_id = '$menu_id'");
            ?>
            <!---------------------START ADD NEW------------------->
            <?php
            if(!empty($insert_allowed) or ($auth_id == '9' ))
            {
                $form = find_value("menu", "menu_cmd", " and  menu_id = '$menu_id'");
                if(empty($form))
                    $form='bilty_invoice';
                ?>
                <form method="get"action="<?php echo $form;?>" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="Y">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                        <i class="icon-user icon-white"></i>

                    </button>
                </form>
            <?php } ?>
            <!---------------------END  ADD NEW------------------->

            <!---------------------START IMPORT------------------->
            <?php
            /*
            if(!empty($insert_allowed) or ($auth_id == '9' ))
            {
            ?>
            <a href="import_bilty"> <button class="btn btn-red pull-right">Import From Master Sale Workbook<i class="zmdi zmdi-print"></i></button></a>
            <?php }
            */
            ?>
            <!---------------------END  IMPORT------------------->

            <br clear="all">
            <br clear="all">



            <nav class="navbar navbar-inverse" role="navigation">
                <div class="container-fluid">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>

                    </div>

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

                        <form class="navbar-form navbar-left" role="search">
                            <div class="form-group">
                                <label for="exampleInputEmail1" style="color:#FFF;">Date From</label><br>

                                <input id="fromdate" type="text" name="fromdate"  class="form-control" value="<?php echo date('d-m-Y');?>">                                </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1" style="color:#FFF";>Date To</label><br>
                                <input id="todate" type="text" name="todate" class="form-control"  value="<?php echo date('d-m-Y');?>">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1" style="color:#FFF";>Voucher ID:</label><br>
                                <input id="voucher_id" type="text" name="voucher_id" class="form-control">
                            </div>

                            <div class="form-group">
                                <label class="" for="selectcompany" style="color:#FFF">Company</label><br>
                                <select class="form-control acct_id" name="comp_id" id="comp_id" style="width:150px;">
                                    <option selected value="All">All</option>


                                    <?php
                                    $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
                                    $comp_id = clean_data($_SESSION["comp_id"]);

                                    try {
                                        $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c 
				LEFT JOIN users_comp uc on c.comp_id = uc.comp_id
				WHERE uc.emp_id = '$emp_id' ORDER BY c.comp_id";
                                        $q = $dbcon->prepare($comp_sql);
                                        $q->execute();
                                    }
                                    catch(PDOException $e)
                                    {
                                        echo "Error : ". $e->getMessage();
                                    }

                                    while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                    {
                                        if ($comp_id == $p_row->comp_id)
                                        {
                                            echo '<option  value="' . $p_row->comp_id . '"selected>' . $p_row->comp_name . '</option>';

                                        }
                                        else
                                        {
                                            echo '<option  value="' . $p_row->comp_id . '">' . $p_row->comp_name . '</option>';
                                        }
                                    }
                                    ?>

                                </select>
                            </div>


                            <div class="form-group">
                                <label class="" for="selectcompany" style="color:#FFF">Year</label><br>
                                <select class="form-control acct_id" name="year_id" id="year_id" style="width:150px;">
                                    <option value="All">All</option>

                                    <?php
                                    try
                                    {
                                        $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";
                                        $q = $dbcon->prepare($comp_sql);
                                        $q->execute();
                                    }
                                    catch(PDOException $e)
                                    {
                                        echo "Error : ". $e->getMessage();
                                    }

                                    while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                    {

                                        echo '<option  value="' . $p_row->year_id . '">' . $p_row->year_name . '</option>';

                                    }
                                    ?>

                                </select>
                            </div>


                            <br>
                            <button type="button" class="btn btn-success" id="runreport">Filter</button>

                        </form>

                    </div><!-- /.navbar-collapse -->
                </div><!-- /.container-fluid -->
            </nav>

            <table width=100% class="vouchers_datatable display  table table-bordered  table-striped table-advanced tablesorter tb-sticky-header" style="font-size: 11px;">
                <thead>
                <tr>
                    <th>Voucher Date</th>
                    <th>Voucher ID</th>
                    <th>Bilty No</th>
                    <th>Invoice No</th>
                    <th>Vehicle</th>
                    <th>Size</th>
                    <th>Client</th>
                    <th>Description</th>
                    <th>City</th>
                    <th>Freight</th>
                    <th>Driver Name</th>
                    <th>Rental Freight</th>
                    <th>Posted</th>
                    <th>Details</th>
                </tr>


                <tr>
                    <th>Voucher Date</th>
                    <th>Voucher ID</th>
                    <th>Bilty No</th>
                    <th>Invoice No</th>
                    <th>Vehicle</th>
                    <th>Size</th>
                    <th>Client</th>
                    <th>Description</th>
                    <th>City</th>
                    <th>Freight</th>
                    <th>Driver Name</th>
                    <th>Rental Freight</th>
                    <th>Posted</th>
                    <th>Details</th>
                </tr>
                </thead>

                <tfoot>
                <tr>
                    <th>Voucher Date</th>
                    <th>Voucher ID</th>
                    <th>Bilty No</th>
                    <th>Invoice No</th>
                    <th>Vehicle</th>
                    <th>Size</th>
                    <th>Client</th>
                    <th>Description</th>
                    <th>City</th>
                    <th>Freight</th>
                    <th>Driver Name</th>
                    <th>Rental Freight</th>
                    <th>Posted</th>
                    <th>Details</th>
                </tr>
                </tfoot>
                <tbody>

                </tbody>




            </table>


    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>
    <!-- BOOT BOX ALERT -->
    <script src="js/bootbox.min.js" type="text/javascript"></script>

    <script src="vendors/DataTables/jquery.dataTables.js" type="text/javascript"></script>
    <script src="vendors/DataTables/dataTables.bootstrap.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/dataTables.buttons.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.bootstrap.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/jszip.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/pdfmake.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/vfs_fonts.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.html5.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.print.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/buttons.colVis.min.js" type="text/javascript"></script>
    <script src="vendors/DataTables/dataTables.fixedColumns.js" type="text/javascript"></script>

    <!---------------------------START JAVASCRIPT-------------------------------->
    <script type="text/javascript">

        $(".acct_id").select2();

        $('#fromdate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,

        });

        $('#todate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,
        });

        $( document ).ready(function() {
            // Setup - add a text input to each header cell
            $('.vouchers_datatable thead tr:eq(1) th').each( function () {
                var title = $('.vouchers_datatable thead tr:eq(0) th').eq( $(this).index() ).text();
                $(this).html( '<input type="text"   placeholder="Search '+title+'" style="width: 100%" /> ' );
            } );

            var table = $('.vouchers_datatable').DataTable({
                "orderCellsTop": true,
                "bProcessing": true,
                "sAjaxSource": "server_bilty.php",
                "bPaginate":true,
                "sPaginationType":"full_numbers",
                "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
                "iDisplayLength": 14,
                "order": [[ 0, "desc" ],[ 1, "desc" ]],
                dom: 'Bfrtip',
                buttons: [
                    //'copy', 'csv', 'excel', 'pdf', 'print', 'colvis',
                    'copy', 'csv', 'excel',
                    {
                        extend: 'pdfHtml5',
                        title: name,
                        orientation: 'landscape',
                        pageSize: 'LEGAL'
                    },

                    {
                        extend: 'print',
                        title: name,

                        customize: function ( win ) {
                            $(win.document.body)
                                .css( 'font-size', '10pt' )
                                .prepend(
                                    //'<img src="http://datatables.net/media/images/logo-fade.png" style="position:absolute; top:0; left:0;" />'
                                );

                            $(win.document.body).find( 'table' )
                                .addClass( 'compact' )
                                .css( 'font-size', 'inherit' );
                        },

                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    'colvis'
                ],

                "aoColumns": [
                    { mData: 'voucher_date' },
                    { mData: 'voucher_id' },
                    { mData: 'bilty_no' },
                    { mData: 'gp_no' },
                    { mData: 'vehicle_name' },
                    { mData: 'vehicle_type' },
                    { mData: 'party_name' },
                    { mData: 'description' },
                    { mData: 'city_name' },
                    { mData: 'net_amt' },
                    { mData: 'driver_name' },
                    { mData: 'r_freight' },
                    { mData: 'acct_name' },
                    { mData: 'button' },
                ]
            });

            // Apply the filter
            $(".vouchers_datatable thead input").on( 'keyup change', function () {
                table
                    .column( $(this).parent().index()+':visible' )
                    .search( this.value )
                    .draw();
            } );
        });

        /*******************START GETDETAIL EDIT ID*****************/
        function GetDetails(id) {
            // Add User ID to the hidden field for furture usage
            $("#hidden_user_id").val(id);

            var action = 'edit_contact';


            var dataString = 'id=' + id +
                '&action=' + action;

            $.ajax({
                type: "POST",
                url: "ajax/get_bilty_details.php",
                data: dataString,
                success: function (data, status) {

                    // PARSE json data
                    var user = JSON.parse(data);
                    // Assing existing values to the modal popup fields
                    $("#update_acct_id").val(user.acct_id);
                    $("#update_acct_name").val(user.acct_name);
                    $("#update_company").val(user.company);
                    $("#update_d_cat_id").val(user.cat_id);
                    $("#update_email").val(user.email);
                    $("#update_address").val(user.address);
                    $("#update_city").val(user.city);
                    $("#update_cell_no").val(user.cell_no);
                    $("#update_phone_no").val(user.phone_no);
                    $("#update_remarks").val(user.remarks);


                }
            });

            // Open modal popup
            $("#update_user_modal").modal("show");
        }
        /*******************END GETDETAIL EDIT ID*****************/

        $('#runreport').click(function()
        {
            var from_date = $('#fromdate').val();
            var to_date = $('#todate').val();
            var comp_id =  $('#comp_id').val();
            var year_id =  $('#year_id').val();
            var voucher_id =  $('#voucher_id').val();

            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&voucher_id=' + voucher_id +
                '&action=search';

            $.ajax({
                type:"POST",
                url:"sale_comp_filter",
                data:datastring,
                beforeSend: function()
                {
                    $("#comp_view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {
                    $('.vouchers_datatable').dataTable().fnDestroy();
                    $('#hide_table').hide();
                    $('#comp_view').html(result);
                    $('#show_datatable').DataTable({
                        "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
                        "order": [ 0, "desc" ]
                    });
                }
            });
        });

    </script>
    <!---------------------------END JAVASCRIPT-------------------------------->




</body>
</html>
