<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_ID"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);
        $year_id = clean_data($_POST['year_id']);

        $login_page = find_value('v_system', 'login_page', '');

        $and = "";


        $and .= " AND m.comp_id = '$comp_id'";
        if ($year_id !='All')
        $and .= " AND m.year_id = '$year_id'";


        $and .= " and (m.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

        try
        {
            $sl_query =  "SELECT DISTINCT m.voucher_id, m.voucher_date,  m.bill_no, ifnull(m.net_amt,0)+ifnull(m.disc_amt,0) net_amt, m.comp_id,  
m.posted, m.adv_amt, m.disc_amt, f_sl_dc_products(m.comp_id, m.year_id, m.voucher_id) items, sp.acct_name sp_name, n.acct_name party_name,
m.year_id
FROM sl_dc m
LEFT JOIN sp on m.sp_id=sp.acct_id
LEFT JOIN nom n ON n.acct_id = m.acct_id
WHERE 1=1  $and  ORDER BY m.voucher_date, m.bill_no desc";

            $query_m = $dbcon->prepare($sl_query);
            $query_m->execute(array());
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }


        $form = find_value("menu", "menu_cmd", " and  menu_id = '1.1'");


        if(empty($form))
            $form = "sale_invoice";

        $detail = find_value("menu", "menu_detail", " and  menu_id = '1.1'");
        if(empty($detail))
            $detail = "sl_inv_detail";


        ?>


        <table id="show_datatable"
               class="table table-striped table-bordered vouchers_datatable  table-advanced tablesorter tb-sticky-header table-sm">

            <thead>
            <tr>
                <th>VOUCHER DATE</th>
                <th>VOUCHER ID</th>
                <th>DC NO</th>
                <th>ITEMS</th>
                <th>PARTY NAME</th>
                <th>POSTED</th>
                <th>DETAIL</th>

            </tr>
            </thead>

            <tfoot>

            </tfoot>

            <tbody>

            <?php
            $outlet = "";
            while ($rows = $query_m->fetch(PDO::FETCH_OBJ)) {

                if ($rows->posted == 'on') {
                    $posted_status = "Yes";
                } else {
                    $posted_status = "No";
                }


                ?>
                <tr>


                    <td><?php echo ($rows->voucher_date);?></td>
                    <td><?php echo ($rows->voucher_id);?></td>
                    <td><?php echo ($rows->bill_no);?></td>
                    <td><?php echo ($rows->items);?></td>
                    <td><?php echo ($rows->party_name);?></td>
                    <td><?php echo($posted_status); ?></td>


                    <td>
                        <a href=<?php echo $detail; ?>?v_id=<?php echo $rows->voucher_id; ?>&voucher_type=<?php echo $voucher_type; ?>&posted='<?php echo $rows->posted; ?>'&p_comp_id=<?php echo $comp_id; ?>&p_year_id=<?php echo $rows->year_id;?>><span
                                    class=" btn btn-dark">Detail</span></a>
                    </td>

                    <?php


                    /*
                                                if ($login_page == 'agm') {

                                                    ?>
                                                    <td>
                                                        <a href="agm_sl_inv_detail?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'"><span class=" btn btn-dark">Detail</span></a>
                                                    </td>
                                                <?php } ?>




                                                <?php
                                                if ($login_page == 'mli') {

                                                    ?>
                                                    <td>
                                                        <a href="mli_sl_inv_detail?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'"><span class=" btn btn-dark">Detail</span></a>
                                                    </td>
                                                <?php } ?>


                                                <?php
                                                if ($login_page == 'kt') {

                                                    ?>
                                                    <td>
                                                        <a href="kt_sl_inv_detail?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'&comp_id=<?php echo $comp_id;?>"><span class=" btn btn-dark">Detail</span></a>
                                                    </td>
                                                <?php }
                    */
                    ?>


                </tr>
                <?php
            }
            ?>
            </tbody>
        </table>


        <?php

    }
}



?>

