<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
/***************START VARIABLES*****************/
$filter = $_GET['filter'];

$voucher_type = $_GET['voucher_type'];

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");
$f_items ='f_'.$table.'_products';
$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

if($_GET['from_date']) {
    $from_date = $_GET['from_date'];
    $p_from_date = strtotime($from_date);
    $p_from_date = date('Y-m-d', $p_from_date);
}

if($_GET['to_date']) {
    $to_date = $_GET['to_date'];
    $p_to_date = strtotime($to_date);
    $p_to_date = date('Y-m-d', $p_to_date);
}

$login_page = find_value("v_system", 'login_page', '');

if(!isset($from_date)) {
    if ($login_page == 'kt') {
        $monday = strtotime("last monday");
        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;
        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");
        $p_from_date = date("Y-m-d", $monday);
        $from_date = date("d-m-Y", $monday);

    }else {
        $from_date = date('01-01-Y');
        $p_from_date = date('Y-01-01');
    }
}

if(!isset($to_date)) {
    if ($login_page == 'kt') {
        $monday = strtotime("last monday");
        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;
        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");
        $p_to_date = date("Y-m-d", $sunday);
        $to_date = date("d-m-Y", $sunday);
    }else {
        $to_date = date('d-m-Y');
        $p_to_date = date('Y-m-d');
    }
}

/***************END VARIABLES*****************/


$form_title = '';
if($menu_id == '8.1')
{
    $form_title = 'Goods To Goods';
    $voucher_type = 'GG';
}
else if($menu_id == '8.2')
{
    $form_title = 'Vendor To Goods';
    $voucher_type = 'VG';
}
else if($menu_id == '8.3')
{
    $form_title = 'Goods To Customer';
    $voucher_type = 'GC';
}
else if($menu_id == '8.4')
{
    $form_title = 'Party To Party';
    $voucher_type = 'PP';
}




/****************START MASTER TABLE QUERY*************/
$and = "";
$and .= " AND m.comp_id = '$comp_id'";
//$and .= " AND m.year_id = '$year_id'";
$and .= " AND m.voucher_type = '$voucher_type'";
$and .= " AND m.voucher_date  BETWEEN '$p_from_date' AND '$p_to_date'";

try
{
    $sl_query =  "SELECT DISTINCT m.voucher_id, m.voucher_date ,c.comp_name,m.bill_no,m.comp_id, sum(d.itemtot) itemtot, m.acct_id, d.qty, 
sum(d.rate) rate, d.discp, d.discount, m.posted, p.acct_name loc_name, n.acct_name to_loc_name, m.year_id, m.comp_id

FROM loading m
LEFT JOIN loadingdet d ON m.voucher_id = d.voucher_id AND m.comp_id = d.comp_id AND m.year_id AND d.year_id
LEFT JOIN company c ON c.comp_id= m.comp_id
LEFT JOIN nom p ON m.acct_id = p.acct_id
LEFT JOIN nom n ON m.to_acct_id = n.acct_id

WHERE 1=1  $and GROUP BY m.voucher_id ORDER BY m.voucher_date desc";
//echo $sl_query;

    $query_m = $dbcon->prepare($sl_query);
    $query_m->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

/****************END MASTER TABLE QUERY*************/

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">
    <link type="text/css" rel="stylesheet"
          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">

    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title"><?php echo $form_title ;?> Showcase</div>
                </div>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">


<?php
                $menu_id = $_GET['menu_id'];
?>


                <!-----------------START ADD NEW VOUCHER------------->
                <div class="row">
                    <div class="col-lg-12">
                        <?php
                        if(!empty(find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND menu_id = '$menu_id' AND inactive <> 'Y'")))
                        {
                            ?>



                            <?php
                            $form = find_value("menu", "menu_cmd", " and  menu_id = '4.1'");




                            if(empty($form))
                                $form = "loading";

                            $detail = find_value("menu", "menu_detail", " and  menu_id = '4.1'");
                            if(empty($detail))
                                $detail = "loading_detail";


                            ?>


                            <form method="post" action="<?php echo $form;?>">
                                <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                                <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                                <input type="hidden" name="add" value="Y">
                                <input type="submit" class="btn btn-primary waves-effect waves-light" value="Add Invoice">
                            </form>
                        <?php } ?>


                    </div><!--end of col-lg-12-->
                </div><!--end of row-->
                <!-----------------END ADD NEW VOUCHER------------->

                <br clear="all">

                <nav class="navbar navbar-inverse" role="navigation">
                    <div class="container-fluid">
                        <!-- Brand and toggle get grouped for better mobile display -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>

                        </div>

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

                            <form class="navbar-form navbar-left" role="search">
                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF;">Date From</label><br>

                                    <input id="fromdate" type="text" name="fromdate"  class="form-control" value="<?php echo $from_date;?>">                                </div>

                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF";>Date To</label><br>
                                    <input id="todate" type="text" name="todate" class="form-control"  value="<?php echo $to_date;?>">
                                </div>

                                <div class="form-group">
                                    <label class="" for="selectcompany" style="color:#FFF">Company</label><br>
                                    <select class="form-control acct_id" name="comp_id" id="comp_id" style="width:150px;">


                                        <?php
                                        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
                                        $comp_id = clean_data($_SESSION["comp_id"]);

                                        try {
                                            $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c 
				LEFT JOIN users_comp uc on c.comp_id = uc.comp_id
				WHERE uc.emp_id = '$emp_id' ORDER BY c.comp_id";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                        {
                                            if ($comp_id == $p_row->comp_id)
                                            {
                                                echo '<option  value="' . $p_row->comp_id . '"selected>' . $p_row->comp_name . '</option>';

                                            }
                                            else
                                            {
                                                echo '<option  value="' . $p_row->comp_id . '">' . $p_row->comp_name . '</option>';
                                            }
                                        }
                                        ?>

                                    </select>
                                </div>


                                <div class="form-group">
                                    <label class="" for="selectcompany" style="color:#FFF">Year</label><br>
                                    <select class="form-control acct_id" name="year_id" id="year_id" style="width:150px;">

                                        <?php
                                        try
                                        {
                                            $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                        {

                                            echo '<option  value="' . $p_row->year_id . '">' . $p_row->year_name . '</option>';

                                        }
                                        ?>

                                    </select>
                                </div>


                                <br>
                                <input id="menu_id" name="menu_id" type="hidden" class="form-control" value="<?php echo $menu_id;?>">
                                <input id="voucher_type" name="voucher_type" type="hidden" class="form-control" value="<?php echo $voucher_type;?>">
                                <button type="button" class="btn btn-success" id="runreport">Filter</button>
                            </form>

                        </div><!-- /.navbar-collapse -->
                    </div><!-- /.container-fluid -->
                </nav>


                <table id="hide_table"  class="table table-striped table-bordered vouchers_datatable  table-advanced tablesorter tb-sticky-header table-sm">
                    <thead>
                    <tr>
                        <th>VOUCHER DATE</th>
                        <th>VOUCHER ID</th>
                        <th>POSTED</th>
                        <th>FROM</th>
                        <th>TO</th>
                        <th>DETAIL</th>

                    </tr>
                    </thead>

                    <tbody>

                    <?php
                    $outlet = "";
                    while($rows = $query_m->fetch(PDO::FETCH_OBJ))
                    {

                        ?>
                        <tr>

                            <td><?php echo format_date_trim_time($rows->voucher_date);?></td>
                            <td><?php echo ($rows->voucher_id);?></td>
                            <td><?php echo ($rows->posted);?></td>
                            <td><?php echo ($rows->loc_name);?></td>
                            <td><?php echo ($rows->to_loc_name);?></td>

                            <td>
                                <a href="<?php echo $detail; ?>?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&menu_id=<?php echo $menu_id;?>&posted='<?php echo $rows->posted;?>'&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $rows->year_id;?>"><span class=" btn btn-dark">Detail</span></a>
                            </td>



                        </tr>
                        <?php
                    }
                    ?>
                    </tbody>
                </table>
                <div id="view"></div>

            </div>
        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>
    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>


    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">


        $('#fromdate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,

        });

        $('#todate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,
        });



        $('.table').dataTable({
            "lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
            "order": [[ 0, "desc" ],[ 1, "desc" ]]
        });

        /************************************************START SHOW VOUCHERS***************************************************/
        $('#runreport').click(function()
        {
            var from_date = $('#fromdate').val();
            var to_date = $('#todate').val();
            var comp_id =  $('#comp_id').val();
            var year_id =  $('#year_id').val();
            var menu_id =  $('#menu_id').val();
            var voucher_type =  $('#voucher_type').val();

            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&action=search';
            $.ajax({
                type:"GET",
                url:"<?php echo $_SERVER['PHP_SELF'];?>",
                data:datastring,
                beforeSend: function()
                {
                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {
                    window.location = "<?php echo $_SERVER['PHP_SELF'];?>?from_date=" + from_date + "&to_date=" + to_date + "&comp_id=" + comp_id + "&year_id=" + year_id + "&menu_id=" + menu_id + "&voucher_type=" + voucher_type + "&filter='Y'";
                }
            });
        });
        /************************************************END SHOW VOUCHERS*****************************************************/

    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->













</body>
</html>