<?php

session_start();

ob_start();

include("include/dbconnect.php");

include("include/functions.php");

if ($_SESSION['VALID_USER_NAME'] == false) {

    header("location: login");

}

/***************START VARIABLES*****************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = $_SESSION['voucher_type'];
$filter = $_GET['filter'];


$posted = $_GET['posted'];

if (empty($posted))

    $posted = '_';

if ($posted == 'N')

    $posted = '';


$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$date_close = find_value("v_system", 'date_close', '');


$menu_id = $_GET['menu_id'];

$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");

$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");

$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;

$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");


$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name

                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)

                      where m.menu_id='$menu_id') v", 'menu_name', "");


$comp_id = clean_data($_GET["comp_id"]);

if (empty($comp_id))

    $comp_id = clean_data($_SESSION["comp_id"]);


$year_id = $_GET["year_id"];

if (empty($year_id))

    $year_id = clean_data($_SESSION["year_id"]);


if ($_GET['from_date']) {

    $from_date = $_GET['from_date'];

    $p_from_date = strtotime($from_date);

    $p_from_date = date('Y-m-d', $p_from_date);

}


if ($_GET['to_date']) {

    $to_date = $_GET['to_date'];

    $p_to_date = strtotime($to_date);

    $p_to_date = date('Y-m-d', $p_to_date);

}


$login_page = find_value("v_system", 'login_page', '');


if (!isset($from_date)) {

    if ($login_page == 'kt' || $login_page == 'kafeel') {

        $monday = strtotime("last monday");

        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;

        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");

        $p_from_date = date("Y-m-d", $monday);

        $from_date = date("d-m-Y", $monday);


    } else {

        $from_date = date('01-m-Y');

        $p_from_date = date('Y-m-d');

    }

}


if (!isset($to_date)) {

    if ($login_page == 'kt' || $login_page == 'kafeel') {

        $monday = strtotime("last monday");

        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;

        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");

        $p_to_date = date("Y-m-d", $sunday);

        $to_date = date("d-m-Y", $sunday);

    } else {

        $to_date = date('d-m-Y');

        $p_to_date = date('Y-m-d');

    }

}


/***************END VARIABLES*****************/


/****************START MASTER TABLE QUERY*************/


/****************START MASTER TABLE QUERY*************/
$and = "";

$and .= " AND m.comp_id = '$comp_id'";
$and .= " AND m.year_id = '$year_id'";

try
{
    $sl_query =  "SELECT DISTINCT m.voucher_id, m.voucher_date ,m.bill_no,m.comp_id, sum(d.itemtot) itemtot, m.acct_id, d.qty, 
sum(d.rate) rate, d.discp, d.discount, m.posted, l.loc_name, l2.loc_name to_loc_name, m.year_id, m.comp_id, c.comp_name f_comp_name,
c2.comp_name t_comp_name
FROM stk_trans m
LEFT JOIN stk_transdet d ON m.voucher_id = d.voucher_id AND m.comp_id = d.comp_id AND m.year_id AND d.year_id
LEFT JOIN company c ON c.comp_id= m.comp_id
LEFT JOIN company c2 ON c2.comp_id= m.to_comp_id
LEFT JOIN location l ON m.loc_id = l.loc_id 
LEFT JOIN location l2  ON m.to_loc_id = l2.loc_id
WHERE 1=1  $and GROUP BY m.voucher_id ORDER BY m.voucher_date DESC, m.voucher_id DESC";
//echo $sl_query;

    $query_m = $dbcon->prepare($sl_query);
    $query_m->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

/****************END MASTER TABLE QUERY*************/

//$insert_allowed = find_value("users_menu", 'menu_id', " and auth_id = '$auth_id' and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
$unposted_v = find_value("stk_trans", "count(voucher_id)", " and  (posted is null or posted = '') and comp_id = '$comp_id' and year_id = '$year_id' ");
?>

<!DOCTYPE html>

<html lang="en">

<head>

    <title><?php echo $title; ?></title>

    <meta charset="utf-8">

    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta http-equiv="cache-control" content="no-cache">

    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">

    <link rel="shortcut icon" href="images/icons/favicon.html">

    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">

    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">

    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->

    <link type="text/css" rel="stylesheet"

          href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">

    <link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">

    <link type="text/css" rel="stylesheet"

          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">

    <!--LOADING STYLESHEET FOR PAGE-->

    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">

    <link type="text/css" rel="stylesheet"

          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">

    <!--Loading style vendors-->

    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">

    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">

    <!--Loading style-->

    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">

    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"

          class="style-change color-change">

    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">

    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">


</head>

<body class="sidebar-icons">


<div>


    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->


    <!--BEGIN TOPBAR-->

    <?php include('header.php'); ?>

    <!--END TOPBAR-->


    <div id="wrapper">

        <!--BEGIN SIDEBAR MENU-->

        <?php include('left.php'); ?>

        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->

        <div id="page-wrapper">

            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">

                <div class="page-header pull-left">

                    <div class="page-title"><?php echo $title; ?> Showcase</div>

                </div>


                <div class="clearfix"></div>

            </div>

            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->

            <div class="page-content">

                <div class="panel">
                    <div class="panel-body">

                        <h3 style="font-weight: bold; "> Unposted Vouchers:  <?php echo $unposted_v; ?> </h3>
                        <!---------------------START KAFEEL TRADER LOGIN PAGE------------------->

                        <?php

                        if ($login_page == 'kt') {

                            ?>

                            <nav class="navbar navbar-inverse" role="navigation">

                                <div class="container-fluid">

                                    <!-- Brand and toggle get grouped for better mobile display -->

                                    <div class="navbar-header">

                                        <button type="button" class="navbar-toggle" data-toggle="collapse"
                                                data-target="#bs-example-navbar-collapse-1">

                                            <span class="sr-only">Toggle navigation</span>

                                            <span class="icon-bar"></span>

                                            <span class="icon-bar"></span>

                                            <span class="icon-bar"></span>

                                        </button>


                                    </div>


                                    <!-- Collect the nav links, forms, and other content for toggling -->

                                    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

                                        <form class="navbar-form navbar-left" role="search">

                                            <div class="form-group">


                                                <?php


                                                try {

                                                    $p_query = "SELECT

	m.voucher_id,

	m.voucher_date,

	p.acct_name,

	m.order_id,

	m.net_amt,

	concat(DATE_FORMAT(m.voucher_date, '%d-%m-%y'), ' - ', p.acct_name ) detail	

FROM

	sl_order m

LEFT JOIN sl_invoice d ON concat(m.comp_id,m.year_id,m.voucher_id) = d.order_id



LEFT JOIN v_party p ON m.acct_id = p.acct_id



WHERE   m.comp_id = '$comp_id' AND d.order_id IS NULL";


                                                    $p_result = $dbcon->prepare($p_query);

                                                    $p_result->execute(array());

                                                } catch (PDOException $e) {

                                                    echo "Error : " . $e->getMessage();

                                                }

                                                ?>


                                                <select name="sl_order_id" id="sl_order_id"
                                                        class="acct_id form-control acct_id ">

                                                    <option>Select Sale Order Voucher ID</option>

                                                    <?php

                                                    while ($p_row = $p_result->fetch(PDO::FETCH_OBJ)) {

                                                        $voucherId = $p_row->voucher_id;


                                                        $order_id = $comp_id . $year_id . $voucherId;


                                                        echo '<option  value="' . $p_row->voucher_id . '">' . $p_row->detail . ' - ' . format_number($p_row->net_amt, 0) . '</option>';

                                                    }

                                                    ?>

                                                </select>

                                            </div>

                                        </form>


                                    </div><!-- /.navbar-collapse -->

                                </div><!-- /.container-fluid -->

                            </nav>


                            <div id="view"></div>


                            <?php

                        }


                        ?>


                        <!---------------------START NEW VOUCHER------------------->

                        <?php

                        $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");

                        if (!empty($insert_allowed) or ($auth_id == '9')) {
                            ?>

                                <form method="get" action="<?php echo $menu_cmd; ?>" style='float: left; padding: 0px;'>

                                    <input type="hidden" name="add" value="Y">

                                    <input type="hidden" name="menu_id" value="<?php echo $menu_id; ?>">

                                    <input type="hidden" name="voucher_type" value="<?php echo $voucher_type; ?>">

                                    <input type="submit" class="btn btn-success btn-lg waves-effect waves-light" value="Add Stock Transfer" style="width: 205px;">


                                </form>
                                <?php


                        }

                        ?>

                        <!---------------------END NEW VOUCHER------------------->


                        <br clear="all">

                        <br clear="all">


                        <nav class="navbar navbar-inverse" role="navigation">

                            <div class="container-fluid">

                                <!-- Brand and toggle get grouped for better mobile display -->

                                <div class="navbar-header">

                                    <button type="button" class="navbar-toggle" data-toggle="collapse"
                                            data-target="#bs-example-navbar-collapse-1">

                                        <span class="sr-only">Toggle navigation</span>

                                        <span class="icon-bar"></span>

                                        <span class="icon-bar"></span>

                                        <span class="icon-bar"></span>

                                    </button>


                                </div>


                                <!-- Collect the nav links, forms, and other content for toggling -->

                                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">


                                    <form class="navbar-form navbar-left" role="search">

                                        <div class="form-group">

                                            <label for="exampleInputEmail1" style="color:#FFF;">Date From</label><br>


                                            <input id="fromdate" type="text" name="fromdate" class="form-control"
                                                   value="<?php echo $from_date; ?>"></div>


                                        <div class="form-group">

                                            <label for="exampleInputEmail1" style="color:#FFF" ;>Date To</label><br>

                                            <input id="todate" type="text" name="todate" class="form-control"
                                                   value="<?php echo $to_date; ?>">

                                        </div>


                                        <div class="form-group">

                                            <label class="" style="color:#FFF">Company</label><br>

                                            <select class="form-control acct_id" name="comp_id" id="comp_id"
                                                    style="width:150px;"

                                            <option value="All">All</option>


                                            <?php

                                            $emp_id = clean_data($_SESSION["VALID_USER_ID"]);

                                            try {

                                                $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c 

                                                        LEFT JOIN users_comp uc on c.comp_id = uc.comp_id

                                                        WHERE uc.emp_id = '$emp_id' and uc.inactive<>'Y' ORDER BY c.comp_id";

                                                $q = $dbcon->prepare($comp_sql);

                                                $q->execute();

                                            } catch (PDOException $e) {

                                                echo "Error : " . $e->getMessage();

                                            }


                                            echo '<option  value="All" selected>' . "All" . '</option>';

                                            while ($p_row = $q->fetch(PDO::FETCH_OBJ)) {

                                                if ($comp_id == $p_row->comp_id) {

                                                    echo '<option  value="' . $p_row->comp_id . '"selected>' . $p_row->comp_name . '</option>';


                                                } else {

                                                    echo '<option  value="' . $p_row->comp_id . '">' . $p_row->comp_name . '</option>';

                                                }

                                            }

                                            ?>


                                            </select>

                                        </div>


                                        <div class="form-group">

                                            <label class="" for="selectcompany" style="color:#FFF">Year</label><br>

                                            <select class="form-control acct_id" name="year_id" id="year_id"
                                                    style="width:150px;">


                                                <?php

                                                try {

                                                    $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";

                                                    $q = $dbcon->prepare($comp_sql);

                                                    $q->execute();

                                                } catch (PDOException $e) {

                                                    echo "Error : " . $e->getMessage();

                                                }


                                                while ($p_row = $q->fetch(PDO::FETCH_OBJ)) {


                                                    echo '<option  value="' . $p_row->year_id . '">' . $p_row->year_name . '</option>';


                                                }

                                                ?>


                                            </select>

                                        </div>


                                        <div class="form-group">

                                            <label class="" for="selectcompany" style="color:#FFF">Status</label><br>

                                            <select class="form-control acct_id" name="posted" id="posted" style="width:150px;">

                                                <option value="_"<?php if ($posted == '_') {
                                                    echo 'selected';
                                                } else {
                                                    echo '';
                                                } ?> >ALL
                                                </option>
                                                ;

                                                <option value="on"<?php if ($posted == 'on') {
                                                    echo 'selected';
                                                } else {
                                                    echo '';
                                                } ?>>Posted
                                                </option>
                                                ;

                                                <option value="N"<?php if ($posted == '') {
                                                    echo 'selected';
                                                } else {
                                                    echo '';
                                                } ?>>Un-Posted
                                                </option>
                                                ;

                                            </select>

                                        </div>


                                        <input id="menu_id" name="menu_id" type="hidden" class="form-control"
                                               value="<?php echo $menu_id; ?>">

                                        <button type="button" class="btn btn-success" id="runreport"><i
                                                    class="fa fa-search"></i></button>


                                    </form>


                                </div><!-- /.navbar-collapse -->

                            </div><!-- /.container-fluid -->

                        </nav>

                        <div class="panel">
                            <div class="panel-body">




                                <table id="hide_table"
                                       class="table table-striped table-bordered vouchers_datatable  table-advanced  tb-sticky-header table-sm">


                                    <thead>

                                    <tr>

                                        <th>VOUCHER DATE</th>
                                        <th>VOUCHER ID</th>
                                        <th>POSTED</th>
                                        <th>FROM</th>
                                        <th>TO</th>
                                        <th>LOCATION  FROM</th>
                                        <th>LOCATION TO</th>
                                        <th>POSTED</th>
                                        <th>DETAIL</th>


                                    </tr>

                                    </thead>




                                    <tbody>


                                    <?php

                                    $outlet = "";

                                    while ($rows = $query_m->fetch(PDO::FETCH_OBJ)) {

                                        if ($rows->posted == 'on') {

                                            $posted_status = "Yes";

                                        } else {

                                            $posted_status = "No";

                                        }

                                        $rows->p_post_date;
                                        //echo $time = date("h:i:sa",strtotime( $rows->p_post_date));

                                        $bg_color='';
                                        if($rows->posted == "")
                                        {
                                            $bg_color = '#FFCCCC';
                                        }


                                        $out = strlen($rows->particulars) > 10 ? substr($rows->particulars, 0, 10) . "..." : $rows->particulars;


                                        $parti = $rows->particulars;
                                        $break = 25;
                                        $note =  implode(PHP_EOL, str_split($parti, $break));




                                        ?>

                                        <tr style="background-color: <?php echo $bg_color;?>">


                                            <td><?php echo ($rows->voucher_date);?></td>
                                            <td><?php echo ($rows->voucher_id);?></td>
                                            <td><?php echo ($rows->posted);?></td>
                                            <td><?php echo ($rows->f_comp_name);?></td>
                                            <td><?php echo ($rows->t_comp_name);?></td>


                                            <td><?php echo ($rows->loc_name);?></td>
                                            <td><?php echo ($rows->to_loc_name);?></td>
                                            <td><?php echo ($posted_status);?></td>


                                            <td>

                                                <form target="_blank" method="get" action="<?php echo $menu_detail; ?>"
                                                      style='float: left; padding: 0px;'>

                                                    <input type="hidden" name="comp_id" value="<?php echo $rows->comp_id; ?>">

                                                    <input type="hidden" name="year_id" value="<?php echo $rows->year_id; ?>">

                                                    <input type="hidden" name="v_id" value="<?php echo $rows->voucher_id; ?>">

                                                    <input type="hidden" name="menu_id" value="<?php echo $menu_id; ?>">

                                                    <button type="submit"
                                                    <i class="fa fa-eye"></i>

                                                </form>

                                            </td>


                                        </tr>

                                        <?php

                                    }

                                    ?>

                                    </tbody>

                                </table>
                            </div>
                        </div>
                        <div id="comp_view"></div>

                    </div>
                </div>

            </div>

        </div>

    </div>


    <script src="js/jquery-1.10.2.min.js"></script>

    <script src="js/jquery-migrate-1.2.1.min.js"></script>

    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->

    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>

    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>

    <script src="js/html5shiv.js"></script>

    <script src="js/respond.min.js"></script>

    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>

    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>

    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>

    <script src="vendors/iCheck/icheck.min.js"></script>

    <script src="vendors/iCheck/custom.min.js"></script>

    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>

    <script src="vendors/jquery-highcharts/highcharts.js"></script>

    <script src="js/jquery.menu.js"></script>

    <script src="vendors/jquery-pace/pace.min.js"></script>

    <script src="vendors/holder/holder.js"></script>

    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>

    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>

    <script src="vendors/moment/moment.js"></script>


    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>

    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>

    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

    <script src="vendors/select2/select2.min.js"></script>

    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>


    <!----------------------------START JAVA SCRIPT---------------------------->

    <script type="text/javascript">


        $('#fromdate').datepicker({

            format: 'dd-mm-yyyy',

            autoclose: true,


        });


        $('#todate').datepicker({

            format: 'dd-mm-yyyy',

            autoclose: true,

        });


        $(".acct_id").select2();


        var simple = $('.vouchers_datatable').DataTable({


            "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],

            "order": []

        });


        $(document).on('keydown', function (e) {

            if (e.ctrlKey && e.which === 65) { // Check for the Ctrl key being pressed, and if the key = [S] (83)


                window.location = "kt_sale_invoice?&voucher_type=<?php echo $voucher_type;?>&add=Y";

                //console.log('Ctrl+N!');

                e.preventDefault();

                return false;

            }

        });


        $('#runreport').click(function () {

            var from_date = $('#fromdate').val();

            var to_date = $('#todate').val();

            var comp_id = $('#comp_id').val();

            var year_id = $('#year_id').val();

            var menu_id = $('#menu_id').val();

            var posted = $('#posted').val();


            var datastring = 'from_date=' + from_date +

                '&to_date=' + to_date +

                '&comp_id=' + comp_id +

                '&year_id=' + year_id +

                '&posted=' + posted +

                '&action=search';

            $.ajax({

                type: "GET",

                url: "<?php echo $_SERVER['PHP_SELF'];?>",

                data: datastring,

                beforeSend: function () {

                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');

                },

                success: function (result) {

                    window.location = "<?php echo $_SERVER['PHP_SELF'];?>?from_date=" + from_date + "&to_date=" + to_date + "&comp_id=" + comp_id + "&year_id=" + year_id + "&menu_id=" + menu_id + "&posted=" + posted + "&filter='Y'";

                }

            });

        });


        $("#sl_order_id").change(function () {

            var sl_order_id = $('#sl_order_id').val();

            var action = "show_so";


            var datastring = 'sl_order_id=' + sl_order_id + '&action=' + action;


            $.ajax({

                type: "POST",

                url: "ajax/get_so.php",

                data: datastring,

                beforeSend: function () {

                    $("#view").html('<div class="loader-block cell preloader5"> <div class="circle-5 l"></div> <div class="circle-5 m"></div> <div class="circle-5 r"></div> </div>');

                },

                success: function (result) {

                    //alert(result)

                    $('#view').html(result);


                }

            });


        });


        $('.daterange').daterangepicker(
            {

                ranges: {

                    'Today': [moment(), moment()],

                    'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],

                    'Last 7 Days': [moment().subtract('days', 6), moment()],

                    'Last 30 Days': [moment().subtract('days', 29), moment()],

                    'This Month': [moment().startOf('month'), moment().endOf('month')],

                    'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]

                },

                startDate: moment().subtract('days', 29),

                endDate: moment()

            },


            function (start, end) {

                //alert("You chose: " + start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM'));


                //var lastDate = start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM');


                var from_date = start.format('YYYY-MM-DD');

                var to_date = end.format('YYYY-MM-DD');


                window.location = "show_sale_invoice.php?voucher_type=<?php echo $voucher_type;?>&posted=''&from_date=" + from_date + "&to_date=" + to_date;

            });


    </script>

    <!----------------------------END JAVA SCRIPT---------------------------->


</body>

</html>