<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
/***************START VARIABLES*****************/
$filter = $_GET['filter'];

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select m.menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

if($_GET['from_date']) {
    $from_date = $_GET['from_date'];
    $p_from_date = strtotime($from_date);
    $p_from_date = date('Y-m-d', $p_from_date);
}

if($_GET['to_date']) {
    $to_date = $_GET['to_date'];
    $p_to_date = strtotime($to_date);
    $p_to_date = date('Y-m-d', $p_to_date);
}

$login_page = find_value("v_system", 'login_page', '');

if(!isset($from_date)) {
    if ($login_page == 'kt') {
        $monday = strtotime("last monday");
        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;
        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");
        $p_from_date = date("Y-m-d", $monday);
        $from_date = date("d-m-Y", $monday);

    }else {
        $from_date = date('01-01-Y');
        $p_from_date = date('Y-01-01');
    }
}

if(!isset($to_date)) {
    if ($login_page == 'kt') {
        $monday = strtotime("last monday");
        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;
        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");
        $p_to_date = date("Y-m-d", $sunday);
        $to_date = date("d-m-Y", $sunday);
    }else {
        $to_date = date('d-m-Y');
        $p_to_date = date('Y-m-d');
    }
}

/***************END VARIABLES*****************/

/****************START MASTER TABLE QUERY*************/
$and = "";
if ($comp_id != "All") {
    $and .= " and v.comp_id = '$comp_id'";
}else{
    $and .= " and (v.comp_id in(select comp_id from users_comp where emp_id='$emp_id' and inactive<>'Y') or v.comp_id='')";

}
$and .= " AND v.post_date  BETWEEN '$p_from_date' AND '$p_to_date'";

$dbcon->exec("SET @row_number:=0;");
try
{
    $sl_query =  "SELECT v.*,@row_number:=@row_number+1 AS row_number
                                         FROM
                                         (
                                         SELECT 'PORTAL' comp_id, '' year_id, s.sms_id, '' acct_name, s.phone_no, s.message sms_msg, s.post_date FROM sms_sent s 
                                         UNION ALL 
                                         SELECT s.comp_id, s.year_id, s.voucher_id, concat(p.acct_name,'-',p.acct_id) acct_name, s.sms_no, s.sms_msg sms_msg, s.sms_time FROM sl_invoice s LEFT JOIN v_party p on s.acct_id=p.acct_id where sms_time is not null
                                         ) v
                                         where 1=1 $and
                                         ";
    //echo $sl_query;
    $query_m = $dbcon->prepare($sl_query);
    $query_m->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

/****************END MASTER TABLE QUERY*************/
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">
    <link type="text/css" rel="stylesheet"
          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">

</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title"><?php echo $title;?> Showcase</div>
                </div>

                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">




                    <div id="view"></div>


                <!---------------------START NEW VOUCHER------------------->
                <?php
                $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
                if(!empty($insert_allowed) or ($auth_id == '9' ))
                {
                    ?>
                    <button type="button" data-target="#modal-default" data-toggle="modal" class="btn btn-blue pull-right"><i class="fa fa-plus-circle"></i></button>
                <?php }?>
                <!---------------------END NEW VOUCHER------------------->

                <br clear="all">
                <br clear="all">

                <nav class="navbar navbar-inverse" role="navigation">
                    <div class="container-fluid">
                        <!-- Brand and toggle get grouped for better mobile display -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>

                        </div>

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

                            <form class="navbar-form navbar-left" role="search">
                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF;">Date From</label><br>

                                    <input id="fromdate" type="text" name="fromdate"  class="form-control" value="<?php echo $from_date;?>">                                </div>

                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF";>Date To</label><br>
                                    <input id="todate" type="text" name="todate" class="form-control"  value="<?php echo $to_date;?>">
                                </div>

                                <div class="form-group">
                                    <label class=""  style="color:#FFF">Company</label><br>
                                    <select class="form-control acct_id" name="comp_id" id="comp_id" style="width:150px;"
                                    <option value="All">All</option>

                                    <?php
                                    $emp_id = clean_data($_SESSION["VALID_USER_ID"]);
                                    try {
                                        $comp_sql = "SELECT v.*
                                                     FROM
                                                     (
                                                     SELECT c.comp_id, c.comp_name FROM company c 
                                                        LEFT JOIN users_comp uc on c.comp_id = uc.comp_id
                                                        WHERE uc.emp_id = '$emp_id' and uc.inactive<>'Y' 
                                                     UNION ALL
                                                     SELECT 'PORTAL' comp_id, 'PORTAL' comp_name from dual
                                                     ) v
                                                     ORDER BY v.comp_id";
                                        $q = $dbcon->prepare($comp_sql);
                                        $q->execute();
                                    }
                                    catch(PDOException $e)
                                    {
                                        echo "Error : ". $e->getMessage();
                                    }

                                    echo '<option  value="All" selected>' . "All" . '</option>';
                                    while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                    {
                                        if ($comp_id == $p_row->comp_id)
                                        {
                                            echo '<option  value="' . $p_row->comp_id . '"selected>' . $p_row->comp_name . '</option>';

                                        }
                                        else
                                        {
                                            echo '<option  value="' . $p_row->comp_id . '">' . $p_row->comp_name . '</option>';
                                        }
                                    }
                                    ?>

                                    </select>
                                </div>

                                <input id="menu_id" name="menu_id" type="hidden" class="form-control" value="<?php echo $menu_id;?>">
                                <button type="button" class="btn btn-success" id="runreport"><i class="fa fa-search"></i></button>

                            </form>

                        </div><!-- /.navbar-collapse -->
                    </div><!-- /.container-fluid -->
                </nav>


                <table id="hide_table"  class="table table-striped table-bordered vouchers_datatable  table-advanced  tb-sticky-header table-sm">

                    <thead>
                    <tr>
                        <th>SR</th>
                        <th>DATE TIME</th>
                        <th>ID</th>
                        <th>PARTY NAME</th>
                        <th>MOBILE NO</th>
                        <th>MESSAGE</th>
                    </tr>
                    </thead>

                    <tfoot>

                    </tfoot>

                    <tbody>

                    <?php
                    $sr = "";
                    while($v_row = $query_m->fetch(PDO::FETCH_OBJ))
                    {
                        ?>
                        <tr>
                            <td><?php echo $v_row->row_number;?></td>
                            <td><?php echo $v_row->post_date;?></td>
                            <td><?php echo $v_row->sms_id;?></td>
                            <td><?php echo $v_row->acct_name;?></td>
                            <td><?php echo $v_row->phone_no;?></td>
                            <td><?php echo $v_row->sms_msg;?></td>
                        </tr>
                        <?php
                    }
                    ?>
                    </tbody>
                </table>
                <div id="comp_view"></div>
            </div>
        </div>
    </div>

    <!-------------------------START ADD MODEL--------------->
    <?php

    //MAXIMUM ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT LPAD(IFNULL(max(substr(v.sms_id,-4)),0)+1,4,'0') acct_id  FROM sms_sent v";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array());
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }


    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->acct_id;

    ?>
    <div id="modal-default" tabindex="-1" role="dialog" aria-labelledby="modal-default-label" aria-hidden="true" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" data-dismiss="modal" aria-hidden="true" class="close">&times;</button>
                    <h4 id="modal-default-label" class="modal-title">ADD NEW</h4></div>
                <div class="modal-body">
                    <div class="form-body pal">







                        <div class="form-group"><label for="inputUsername" class="control-label"> ID: <span class='require'>*</span></label>
                            <div class="input-icon"><i class="fa fa-plus"></i><input name="acct_id" id="acct_id" value="<?php echo $v_id;?>"  type="text"  class="form-control"/></div>
                        </div>

                        <div class="form-group"><label for="inputEmail" class="control-label">Phone NO <span class='require'>*</span></label>
                            <?php
                            try
                            {
                                $p_query =  "SELECT
                                                            n.phone,
                                                            concat(n.phone, ' - ', n.acct_name, ' - ', n.acct_id) acct_name
                                                            
                                                        FROM
                                                            nom n 
                                                        WHERE
                                                            phone IS NOT NULL 
                                                            AND LENGTH( n.acct_id ) = 10 
                                                            AND LENGTH( n.phone ) = 12 
                                                            and  phone like '923%'
                                                        ORDER BY
                                                            n.acct_id ASC ";

                                $p_result = $dbcon->prepare($p_query);
                                $p_result->execute(array());
                            }
                            catch(PDOException $e)
                            {
                                echo "Error : ". $e->getMessage();
                            }

                            ?>

                            <select style="width:100%;"  name="phone_no" id="phone_no" class="acct_id">
                                <option value=""></option>

                                <?php
                                while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                {

                                    echo '<option  value="' . $p_row->phone . '">' . $p_row->acct_name . '</option>';
                                }


                                ?>
                            </select>


                            <!--                                        <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="phone_no" id="phone_no"  class="form-control"/></div>
                            -->                                    </div>




                        <div class="form-group"><label for="inputEmail" class="control-label">Message <span class='require'>*</span></label>
                            <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                                <textarea class="form-control" rows="5" id="message" name="message"></textarea>
                                <!--                                            <input type="text" name="message" id="message"  class="form-control"/>
                                -->                                        </div>
                        </div>


                    </div>
                </div>


                <div class="modal-footer">
                    <button type="button" data-dismiss="modal" class="btn btn-default">Close</button>
                    <button type="button" class="btn btn-primary" onClick="item_add()">Save changes</button>
                </div>


            </div>
        </div>
    </div>
    <!-------------------------END ADD MODEL--------------->

    <!-------------------------START EDIT MODEL--------------->
    <div id="update_user_modal" tabindex="-1" role="dialog" aria-labelledby="modal-default-label" aria-hidden="true" class="modal fade"  >
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" data-dismiss="modal" aria-hidden="true" class="close">&times;</button>
                    <h4 id="modal-default-label" class="modal-title">UPDATE</h4></div>
                <div class="modal-body">
                    <div class="form-body pal">



                        <div class="form-group"><label for="inputUsername" class="control-label">ID: <span class='require'>*</span></label>
                            <div class="input-icon"><i class="fa fa-plus"></i><input id="update_acct_id" name="acct_id" readonly  type="text"  class="form-control"/></div>
                        </div>



                        <div class="form-group"><label for="inputEmail" class="control-label">Name <span class='require'>*</span></label>
                            <div class="input-group"><span class="input-group-addon"><i class="fa fa-pencil"></i></span><input type="text" name="acct_name" id="update_acct_name"  class="form-control"/></div>
                        </div>
                        <span id="result1"></span>


                    </div>
                </div>


                <div class="modal-footer">
                    <button type="button" data-dismiss="modal" class="btn btn-default">Close</button>
                    <button type="button" class="btn btn-orange" onClick="UpdateDetails()">Save changes</button>
                    <input type="hidden" id="hidden_user_id">
                </div>
            </div>
        </div>
    </div>
    <!---------------END FIRST LEVEL ACCOUNT---------------->

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>

    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>
    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>



    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">

        $('#fromdate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,

        });

        $('#todate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,
        });


        $(".acct_id").select2();

        var simple = $('.vouchers_datatable').DataTable({

            "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
            "order": [[ 0, "desc" ]]
        });

        $(document).on('keydown', function (e) {
            if (e.ctrlKey && e.which === 65) { // Check for the Ctrl key being pressed, and if the key = [S] (83)


                window.location = "kt_sale_invoice?&voucher_type=<?php echo $voucher_type;?>&add=Y";
                //console.log('Ctrl+N!');
                e.preventDefault();
                return false;
            }
        });

        $('#runreport').click(function()
        {
            var from_date = $('#fromdate').val();
            var to_date = $('#todate').val();
            var comp_id =  $('#comp_id').val();
            var year_id =  $('#year_id').val();
            var menu_id =  $('#menu_id').val();

            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&action=search';
            $.ajax({
                type:"GET",
                url:"<?php echo $_SERVER['PHP_SELF'];?>",
                data:datastring,
                beforeSend: function()
                {
                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {
                    window.location = "<?php echo $_SERVER['PHP_SELF'];?>?from_date=" + from_date + "&to_date=" + to_date + "&comp_id=" + comp_id + "&year_id=" + year_id + "&menu_id=" + menu_id + "&filter='Y'";
                }
            });
        });

        /*******************START ADD NEW ENTERY*****************/
        function item_add() {

            var acct_id = $('#acct_id').val();
            var phone_no = $('#phone_no').val();
            var message = $('#message').val();

            var action = 'add_sms';



            if (phone_no == "") {
                alert("Please Enter Valid Phone NO");
                $('#acct_name').focus();
            }


            else {
                var dataString = 'acct_id=' + acct_id +  '&phone_no=' + phone_no + '&message=' + message + '&action=' + action ;

                $.ajax({
                    type: "POST",
                    url: "process/master_process.php",
                    data: dataString,
                    success: function (result) {
                        alert(result);
                        //window.location = "sms_send?menu_id=5.8"

                    }
                });

            }
        }
        /*******************END ADD NEW ENTERY*****************/











        /*******************START GETDETAIL EDIT ID*****************/
        function GetDetails(id) {
            // Add User ID to the hidden field for furture usage
            $("#hidden_user_id").val(id);

            var action = 'edit_cargo';


            var dataString = 'id=' + id +
                '&action=' + action;

            $.ajax({
                type: "POST",
                url: "ajax/get_details.php",
                data: dataString,
                success: function (data, status) {
                    // PARSE json data
                    var user = JSON.parse(data);
                    // Assing existing values to the modal popup fields
                    $("#update_acct_id").val(user.acct_id);
                    $("#update_acct_name").val(user.acct_name);
                }
            });

            // Open modal popup
            $("#update_user_modal").modal("show");
        }
        /*******************END GETDETAIL EDIT ID*****************/


        /*******************START UPDATE DETAIL EDIT ID*****************/
        function UpdateDetails() {


            var update_acct_name = $('#update_acct_name').val();

            // get hidden field value
            var id = $("#hidden_user_id").val();

            var action = 'edit_cargo';


            // Update the details by requesting to the server using ajax
            var dataString = 'id=' + id +
                '&update_acct_name=' + update_acct_name +
                '&action=' + action;
            $.ajax({
                type: "POST",
                url: "ajax/update_details.php",
                data: dataString,
                success: function (data, status) {
                    // hide modal popup
                    $("#update_user_modal").modal("hide");

                    window.location = "cargo?menu_id=5.7"

                }
            });

        }
        /*******************END UPDATE DETAIL EDIT ID*****************/




        /*******************START DELETE ITEM*****************/
        $(document).ready(function () {
            $('.delete_product').click(function (e) {
                e.preventDefault();
                var pid = $(this).attr('data-id');
                var parent = $(this).parent("td").parent("tr");
                bootbox.dialog({
                    message: "Are you sure you want to Delete ?",
                    title: "<i class='glyphicon glyphicon-trash'></i> Delete !",
                    buttons: {
                        success: {
                            label: "No",
                            className: "btn-success",
                            callback: function () {
                                $('.bootbox').modal('hide');
                            }
                        },
                        danger: {
                            label: "Delete!",
                            className: "btn-danger",
                            callback: function () {
                                $.post('del_master.php', {'cargo_delete': pid})
                                    .done(function (response) {
                                        bootbox.alert(response);
                                        parent.fadeOut('slow');
                                    })
                                    .fail(function () {
                                        bootbox.alert('Something Went Wrog ....');
                                    })

                                //window.location = "show_item_description.php"

                            }
                        }
                    }
                });


            });

        });
        /*******************END DELETE ITEM*****************/




        $('.daterange').daterangepicker(
            {
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],
                    'Last 7 Days': [moment().subtract('days', 6), moment()],
                    'Last 30 Days': [moment().subtract('days', 29), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]
                },
                startDate: moment().subtract('days', 29),
                endDate: moment()
            },





            function (start, end) {
                //alert("You chose: " + start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM'));

                //var lastDate = start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM');

                var from_date = start.format('YYYY-MM-DD');
                var to_date = end.format('YYYY-MM-DD');

                window.location = "show_sale_invoice.php?voucher_type=<?php echo $voucher_type;?>&posted=''&from_date="+ from_date+"&to_date="+to_date;
            });





    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->














</body>
</html>