<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);

        $acct_id = clean_data($_POST['acct_id']);
        $cat_id = clean_data($_POST['cat_id']);
        $loc_id = clean_data($_POST['loc_id']);


        /*****************START MYSQL VARIABLES**************/


        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {

            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");

        }
        /*************END FINDE COMPANY NAME*****************/




        $and = "";

#  BK      $and = " and i.stock_code>='3449'";


        $and_comp = "";






        if ($comp_id != "All") {

            $and_comp .= " and v.comp_id = '$comp_id'";



        }


        else
        {
            $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
				LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
				WHERE uc.emp_id = '$emp_id' )";


        }


        if ($acct_id != "All") {
            $and .= " and v.stock_code = '$acct_id'";
        }


        if ($cat_id != "All") {
            $and .= " and i.cat_id = '$cat_id'";
        }


        $and .= " and (i.item_code is not null)";


if ($loc_id != "All") {
    $and .= " and v.loc_id = '$loc_id'";
}


        /*****************END MYSQL VARIABLES**************/



        ?>

        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>
        <div class="table-responsive">

        <?php


        /*****************START GRAND TOTAL VARIABLES**************/
        $g_tot_dbqty = 0;
        $g_tot_crqty = 0;
        $g_bal = 0;
        $g_acct_id = '';
        /*****************END GRAND TOTAL VARIABLES**************/

        //group query date
        $g_voucher_Date = '';


        /***************START MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/
        try {
            $msqlquery = "SELECT DISTINCT i.cat_id acct_id, c.cat_name acct_name
FROM
	v_stk v
	LEFT JOIN v_item i ON v.stock_code = i.stock_code
	LEFT JOIN prod_cat c ON i.cat_id = c.cat_id
	WHERE 1=1  $and $and_comp
    ORDER BY c.cat_id";

//    echo $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }


                    $g_o_qty_tot = 0;
                    $g_o_amt_tot = 0;

                    $g_db_qty_tot = 0;
                    $g_db_amt_tot = 0;

                    $g_cr_qty_tot = 0;
                    $g_cr_amt_tot = 0;

                    $g_bal_qty_tot = 0;
                    $g_bal_amt_tot = 0;

        while($mrow = $q_result->fetch(PDO::FETCH_ASSOC)) {
            $g_acct_id = $mrow['acct_id'];
            $g_acct_name = $mrow['acct_name'];
            $bal = 0;
            /***************END MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/


            /***************START MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

            try {
                $ob_query = "SELECT
	sum(v.db_qty -v.cr_qty ) o_bal
	FROM
	v_stk v
	LEFT JOIN v_item i ON v.stock_code = i.stock_code
	LEFT JOIN prod_cat c ON i.cat_id = c.cat_id
	WHERE 1=1
	and i.cat_id = '$g_acct_id' and v.voucher_date <= '$new_to_date' $and_comp 
	ORDER BY c.cat_id";

//    echo $ob_query;

                $ob_result = $dbcon->prepare($ob_query);
                $ob_result->execute();
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }
            $ob_row = $ob_result->fetch(PDO::FETCH_ASSOC);

            $bal = $ob_row['o_bal'];

            /***************END MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

            ?>

            <?php

            try {

                $d_query = "SELECT      
    i.stock_code,
    i.description,
    i.item_code,
    i.cat_id,
    i.size,
    ifnull(o.o_qty, 0) bal_qty
FROM
    v_item i
LEFT JOIN (
    SELECT
        v.stock_code,
        
        sum(ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0)) o_qty,
        sum(ifnull(v.db_amt, 0) - ifnull(v.cr_amt, 0)) o_amt
    FROM
        v_stk v
         LEFT JOIN v_item i ON v.stock_code = i.stock_code
    WHERE
        v.voucher_date <= '$new_to_date' $and $and_comp
    GROUP BY
        stock_code
) o ON i.stock_code = o.stock_code
    LEFT JOIN prod_cat c ON i.cat_id = c.cat_id
    WHERE (o.o_qty<>0)
    AND i.cat_id = '$g_acct_id' 
    order by i.description
";


                $d_result = $dbcon->prepare($d_query);
                $d_result->execute();
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }

            // echo $d_query;


            $no_row = $d_result->rowCount();


            if ($bal != 0 or $no_row != 0) {

                ?>






                <table class="table table-bordered table-striped table-responsive" id="datatablee">
                    <thead>
                    <tr>
                        <th><?php echo $g_acct_name; ?></th>
                    </tr>
                    </thead>
                </table>

<table border="1" width="100%" cellpadding="2" style=font-family:verdana,tohama; style=font-size:11px;>
  <tr>
    <td width="20%" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Item Code</font></b></td>
    <td width="30%" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Item Name</font></b></td>
    <td width="20%" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Size</font></b></td>
    <td width="20%" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Qty In Stock</font></b></td>

  </tr>

                    <?php



                    $serno = 0;
                    $o_qty_tot = 0;
                    $o_amt_tot = 0;

                    $db_qty_tot = 0;
                    $db_amt_tot = 0;

                    $cr_qty_tot = 0;
                    $cr_amt_tot = 0;

                    $bal_qty_tot = 0;
                    $bal_amt_tot = 0;

                    while ($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {

                        $serno = $serno + 1;

                        $o_qty_tot += $report_row['o_qty'];
                        $o_amt_tot += $report_row['o_amt'];

                        $db_qty_tot += $report_row['db_qty'];
                        $db_amt_tot += $report_row['db_amt'];

                        $cr_qty_tot += $report_row['cr_qty'];
                        $cr_amt_tot += $report_row['cr_amt'];

                        $bal_qty_tot += $report_row['bal_qty'];
                        $bal_amt_tot += $report_row['bal_amt'];

                        $o_rate='';
                        if ($report_row['o_qty']<>0)
                            $o_rate=$report_row['o_amt']/$report_row['o_qty'];

                        $db_rate='';
                        if ($report_row['db_qty']<>0)
                            $db_rate=$report_row['db_amt']/$report_row['db_qty'];

                        $cr_rate='';
                        if ($report_row['cr_qty']<>0)
                            $cr_rate=$report_row['cr_amt']/$report_row['cr_qty'];

                        $bal_rate='';
                        if ($report_row['bal_qty']<>0)
                            $bal_rate=$report_row['bal_amt']/$report_row['bal_qty'];

                         ?>

                        <tr>

                            <td align="center"><a href="stock_ledger?from_date=<?php echo ($from_date);?>&to_date=<?php echo ($to_date);?>&compid=<?php echo ($comp_id);?>&stock_code=<?php echo ($report_row['stock_code']);?>&ledger=N" target="_blank"><?php echo $report_row['item_code']; ?></a></td>
                            <td><a href="stock_ledger?from_date=<?php echo ($from_date);?>&to_date=<?php echo ($to_date);?>&compid=<?php echo ($comp_id);?>&stock_code=<?php echo ($report_row['stock_code']);?>&ledger=N" target="_blank"><?php echo $report_row['description']; ?></a></td>

                            <td align=right><?php echo $report_row['size']; ?></td>

                            <td align=right><?php echo format_number($report_row['bal_qty'],0); ?></td>
                        </tr>
                        <?php

                    }
                    ?>
                    <tr>

                        <td></td>
                        <td></td>
                        <td align="right"><b>Total</b></td>
                        <td align=right><b><?php echo format_number(($bal_qty_tot), 0); ?></b></td>

                    </tr>
                    <?php


                    $g_o_qty_tot += $o_qty_tot;
                    $g_o_amt_tot += $o_amt_tot;

                    $g_db_qty_tot += $db_qty_tot;
                    $g_db_amt_tot += $db_amt_tot;

                    $g_cr_qty_tot += $cr_qty_tot;
                    $g_cr_amt_tot += $cr_amt_tot;

                    $g_bal_qty_tot += $bal_qty_tot;
                    $g_bal_amt_tot += $bal_amt_tot;


                    ?>


                <?php
            }
        }
    }

    ?>    
                    <tr>
                        <td></td>
                        <td></td>
                        <td align="right"><b>Grand Total</b></td>
                        <td align=right><b><?php echo format_number(($g_bal_qty_tot), 0); ?></b></td>
                    </tr>

                </table>

<?php
}



?>
        </div>
