<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");



//require_once ("fpdf/fpdf.php");
//require_once ("fpdf/pagegroup.php");
require_once ("fpdf/pdf_js.php");

if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}


/*****************START VARIABLES***************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);



$p_year_id = $_SESSION['p_year_id'];
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}



$p_comp_id = clean_data($_SESSION['p_comp_id']);

if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}
$comp_name = clean_data($_SESSION["COMP_NAME"]);
$phone = clean_data($_SESSION["phone"]);
$address = clean_data($_SESSION["address"]);
$_SESSION['v_id']= $_GET['v_id'];
$v_id = clean_data($_SESSION['v_id']);



$print_date = date("Y-m-d H:i:s");


/****************************Start Print Status********************/

//update sale master table
try
{

    $s_edit_query =  "UPDATE sl_invoice SET print_status = 'Y' , print_time = '$print_date'
			WHERE  comp_id = '$comp_id' AND voucher_id = '$v_id' AND year_id = '$year_id' ";
    $result_s_edit = $dbcon->prepare($s_edit_query);
    $result_s_edit->execute();
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


$f_print_count_id = find_value("sl_invoice", "max(print_count)", " and voucher_id = '$v_id'");



if ($f_print_count_id == '') {
    $f_print_count_id = 0;
} else {
    $f_print_count_id += 1;
}


try {

    $edit_detail_query = "UPDATE sl_invoice  SET print_count = '$f_print_count_id' WHERE voucher_id = ? AND comp_id = ? AND year_id = ?";
    $result_edit_detail = $dbcon->prepare($edit_detail_query);
    $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

/****************************End Print Status********************/








/*****************END VARIABLES***************/

class PDF extends PDF_JavaScript
{
    /************START PAGE HEADER*********/
    function Header()
    {
        include("include/dbconnect.php");

        $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
        $voucher_type = clean_data($_SESSION['voucher_type']);
        $comp_id = clean_data($_SESSION["comp_id"]);
        $comp_name = clean_data($_SESSION["COMP_NAME"]);
        $phone = 'PTCL # ' . find_value('company','phone'," and comp_id='$comp_id'");

        if ($comp_id=='CA') {
            $comp_name = 'Ariana Ghee Agency';
        }

        $address = clean_data($_SESSION["address"]);
        $_SESSION['v_id']= $_GET['v_id'];
        $v_id = clean_data($_SESSION['v_id']);


        // Line break
        $this->Ln(-6);

        $this->SetLeftMargin(3);
        // Logo
        //$this->Image('assets/images/logo.png',10,6,20);
        $this->SetFont('Arial','B',16);
        // Move to the right
        $this->Cell(2);
        $this->Cell(50, 4, 'NGC Commission Agent', 0,0, 'C');


        $this->Ln(4);
        $this->SetFont('Arial','B',7);
        $this->Cell(10);
        $this->Cell(0, 5, ($address), 0,0, 'C');
        $this->Ln(5);


        $this->Cell(70, 3, ('PTCL# 0966-855745-855530'), 0,1, 'C');
        $this->Cell(70, 3, ('0326 5990000'), 0,1, 'C');
        $this->Cell(70, 3, ('0320 0000605'), 0,1, 'C');
        $this->Cell(70, 3, ('0331 5452150'), 0,1, 'C');



        //$this->Cell(70, 3, ($phone), 0,1, 'C');



        // Line break
        $this->Ln(3);




        /*****************START MASTER TABLE QUERY*****************/

        /*****************START VARIABLES***************/
        include("include/dbconnect.php");
        $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
        $voucher_type = clean_data($_SESSION['voucher_type']);
        $p_comp_id = clean_data($_SESSION['p_comp_id']);

        if(empty($p_comp_id))
        {
            $comp_id = clean_data($_SESSION["comp_id"]);
        }
        else{

            $comp_id =  $p_comp_id;

        }

        $p_year_id = $_SESSION['p_year_id'];
        if(empty($p_year_id))
        {
            $year_id = clean_data($_SESSION["year_id"]);
        }
        else{

            $year_id =  $p_year_id;
        }


        $comp_name = clean_data($_SESSION["COMP_NAME"]);
        $phone = clean_data($_SESSION["phone"]);
        $address = clean_data($_SESSION["address"]);
        $_SESSION['v_id']= $_GET['v_id'];
        $v_id = clean_data($_SESSION['v_id']);






    }

// Page footer
    /* function Footer()
     {
         // Position at 1.5 cm from bottom
         $this->SetY(-15);
         // Arial italic 8
         $this->SetFont('Arial','I',6);
         // Page number
         $this->Cell(0,10,'Developed By:ClickSoft PVT LTD - clicksoft.com.pk ',0,0,'C');
     }*/


    function AutoPrint($printer='')
    {
        // Open the print dialog
        if($printer)
        {
            $printer = str_replace('\\', '\\\\', $printer);
            $script = "var pp = getPrintParams();";
            $script .= "pp.interactive = pp.constants.interactionLevel.full;";
            $script .= "pp.printerName = '$printer'";
            $script .= "print(pp);";
        }
        else
            $script = 'print(true);';
        $this->IncludeJS($script);
    }



}



//$pdf = new PDF_AutoPrint();

$pdf = new PDF();

//$pdf->AliasNbPages();
//$pdf->StartPageGroup();
$pdf->AddPage("P", array(73,400));
$pdf->SetAutoPageBreak(false, '2');



$pdf->SetFont('Arial', 'BU', 8);

/*$pdf->Cell(23);
$pdf->Cell(40, 0, 'Customer Copy', 0, 0, 'L');*/

$pdf->SetFont('Arial', '', 8);




$and = " AND d.voucher_id = '$v_id'";
$and .= " AND v.comp_id = '$comp_id'";
$and .= " AND v.year_id = '$year_id'";

try
{
    $voucher_query =  "SELECT v.acct_id, v.voucher_id, v.voucher_date, d.particulars , c.comp_name,c.add_line1,c.phone,c.email, 
p.acct_name, p.acct_id, v.post_date,v.emp_id, v.disc_amt,  v.customer_name, v.customer_phone, p.phone cust_phone
	FROM sl_invoice v 
	LEFT JOIN sl_invoicedet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id AND v.year_id = d.year_id
	LEFT JOIN company c ON c.comp_id = d.comp_id
	LEFT JOIN v_party p ON p.acct_id = v.acct_id
	
	WHERE 1=1  $and";
    $voucher_result = $dbcon->prepare($voucher_query);
    $dbcon->exec("SET NAMES 'utf8';");
    $voucher_result->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

$report_row = $voucher_result->fetch(PDO::FETCH_ASSOC);

$pdf->Ln(3);
$currentDateTime =  $report_row['post_date'];
$newDateTime = date('h:i', strtotime($currentDateTime));
$pdf->Cell(40, 0, 'Time: '. ($newDateTime), 0, 0, 'L');
$pdf->Cell(40, 0, 'Prepared By: '. ($report_row['emp_id']), 0, 0, 'L');
$pdf->Ln(4);

$party_acct_id = $report_row['acct_id'];

$p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                                     FROM v_vouchers v where v.acct_id = '$party_acct_id' and cash<>'Y') v "  , 'bal_amt', '' );

//        $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
//                                     FROM v_vouchers v where v.acct_id = '$party_acct_id'
//                                     AND acct_id not in ('2610000462', '2610000463', '2610000464','2610000790','2610000798','2610000804')) v "  , 'bal_amt', '' );



$f_cash = find_value("nom", "cash", " and  acct_id = '$party_acct_id' ");

$pdf->SetFont('Arial', '', 8);


$pdf->Cell(40, 0, 'Inv No: '. ($report_row['voucher_id']), 0, 0, 'L');
$pdf->SetFont('Arial', '', 8);

$pdf->Cell(0, 0, 'Inv Date: '.format_date($report_row['voucher_date']), 0,0, 'L');
$pdf->Ln(2);


$pdf->Cell(40, 5, ''. substr($report_row['acct_name'] . '-'. $report_row['cust_phone'],0,50), 0, 'L');

$pdf->Ln(5);
$pdf->SetFont('Arial', '', 8);

$pdf->Cell(1, 5, 'Balance: '.format_number_drcr($p_bal,0), 0,0, 'L');


$pdf->Ln(4);

if($f_cash == 'Y')
{

    $pdf->Cell(40, 5, $report_row['customer_name'], 0, 'L');
    $pdf->SetFont('times', '', 8);
    $pdf->Cell(40, 5, $report_row['customer_phone'], 0, 'L');

}


$pdf->Ln(5);




/*****************END MASTER TABLE QUERY*****************/

$pdf->SetLeftMargin(5);
$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(6, 6, 'Sr', 1);
$pdf->Cell(28, 6, 'Particulars', 1);
$pdf->Cell(9, 6, 'Qty', 1, 0, 'L');
$pdf->Cell(10, 6, 'Rate', 1,0,'L');
$pdf->Cell(12, 6, 'Amount', 1, 1, 'L');

$pdf->SetFont('Arial', '', 8);





$and = " AND d.voucher_id = '$v_id'";
$and .= " AND d.comp_id = '$comp_id'";
$and .= " AND d.year_id = '$year_id'";





try
{
    $vd_query =  "SELECT d.lineitem, i.description, d.qty, d.rate, itemtot amount, p.acct_name, m.disc_amt, 
       d.bouns_qty,b.type_name brand
 	FROM sl_invoice m
 	LEFT JOIN sl_invoicedet d ON m.voucher_id = d.voucher_id AND m.comp_id = d.comp_id AND m.year_id = d.year_id
 	
 	 LEFT JOIN item i ON i.stock_code = d.stock_code
 	 LEFT JOIN v_party p ON p.acct_id = m.acct_id
 	LEFT JOIN prod_type b on d.type_id=b.type_id
 	WHERE 1=1  $and order by d.lineitem/1";
    $vd_result = $dbcon->prepare($vd_query);
    $vd_result->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


$sr = 0;
$g_tot = 0;
$tot_qty = 0;
while ($rd_row = $vd_result->fetch(PDO::FETCH_ASSOC)) {

    $g_tot += $rd_row['amount'];
    $tot_qty += $rd_row['qty'];

    $bouns_qty = $rd_row['bouns_qty'];

    if(!empty($bouns_qty) && $bouns_qty != 0)
    {
        $bounsqty = $rd_row['bouns_qty'];
        $scheme = ' + ' . round($bounsqty);
    }


    $sr += 1;

    $pdf->SetFont('Arial', '', 6.5);
    $pdf->Cell(6, 7, $sr, 1,'','','');

    $current_y = $pdf->GetY();
    $current_x = $pdf->GetX(28);
    $pdf->MultiCell(28,7, ucfirst (strtolower($rd_row['description']. ' /'.$rd_row['brand'])), 1, 'L', '');
    $pdf->SetXY($current_x + 28, $current_y + 0);

    $pdf->Cell(9, 7, round($rd_row['qty']) . $scheme , 1, '', 'L');
    $pdf->Cell(10, 7, number_format($rd_row['rate']), 1, '', 'L');
    $pdf->Cell(12, 7, number_format($rd_row['amount']), 1, 1, 'L');


}

$pdf->Ln(8);



$and = " AND d.voucher_id = '$v_id'";
$and .= " AND v.comp_id = '$comp_id'";
$and .= " AND v.year_id = '$year_id'";

try
{
    $voucher_query =  "SELECT v.acct_id, v.voucher_id, v.voucher_date, d.particulars , c.comp_name,c.add_line1,c.phone,c.email, 
p.acct_name, p.acct_id, v.post_date,v.emp_id, v.disc_amt, net_payable, v.customer_cash,
	v.return_cash
	FROM sl_invoice v 
	LEFT JOIN sl_invoicedet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id AND v.year_id = d.year_id
	LEFT JOIN company c ON c.comp_id = d.comp_id
	LEFT JOIN v_party p ON p.acct_id = v.acct_id
	
	WHERE 1=1  $and";
    $voucher_result = $dbcon->prepare($voucher_query);
    $dbcon->exec("SET NAMES 'utf8';");
    $voucher_result->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}







$report_row = $voucher_result->fetch(PDO::FETCH_ASSOC);







$dic_amt = $report_row['disc_amt'];





$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(8);
$pdf->Cell(15,4,'Total',0);
$pdf->Cell(10);
$pdf->Cell(10,4,$tot_qty,0,0, 'C');
$pdf->Cell(8);
$pdf->Cell(25,4,format_number($g_tot,0,0), 'C');

$pdf->Ln(5);

$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(30);
$pdf->Cell(15,4,'Disc',0);
$pdf->Cell(7);
$pdf->Cell(10,4,format_number_pdf($dic_amt,0,0), '0', '','C');



$pdf->Ln(5);

$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(30);
$pdf->Cell(15,4,'Net Amount',0);
$pdf->Cell(5);
$pdf->Cell(15,4,format_number($report_row['net_payable'],0,0), '0', '','C');



$pdf->Ln(5);

$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(30);
$pdf->Cell(15,4,'Paid',0);
$pdf->Cell(5);
$pdf->Cell(15,4,number_format($report_row['customer_cash'],0), '0', '','C');



$pdf->Ln(5);


$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(30);
$pdf->Cell(15,4,'Return',0);
$pdf->Cell(5);
$pdf->Cell(15,4,number_format($report_row['return_cash'],0), '0', '','C');










$pdf->Ln(8);

$nw=new NumbersToWords();

$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(1);
$pdf->Cell(10,2,'Amount in word:',0);
$pdf->Cell(8);
$pdf->SetFont('Arial', '', 6);
$pdf->MultiCell(40,2,$nw->convert($g_tot),0);



/********************************START SEND WHATS APP MESSAGES************************************/

$login_page = find_value('v_system', 'login_page', '');

$s_v_id = $report_row['voucher_id'];


try {
    $vd_query = "SELECT m.acct_id, d.voucher_id, m.sms_no, m.posted, m.net_payable, p.acct_name, c.comp_name
                             FROM sl_invoice m 
                             LEFT JOIN sl_invoicedet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND m.voucher_id = d.voucher_id  
                             LEFT JOIN v_party p on m.acct_id=p.acct_id
                             LEFT JOIN company c on m.comp_id=c.comp_id
                             WHERE m.voucher_id = '$s_v_id' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'";
    $vd_result = $dbcon->prepare($vd_query);
    $vd_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}


$d_row = $vd_result->fetch(PDO::FETCH_OBJ);


$m_voucher_id = $d_row->voucher_id;
$acct_id = $d_row->acct_id;
$acct_name = $d_row->acct_name;
$net_payable = round($d_row->net_payable);
$comp_name = $d_row->comp_name;
$c_sms_no = $d_row->sms_no;
$sms_no = $c_sms_no.','.'923445452150';
//$sms_no = '923214604022';

if (!empty($sms_no) && empty(find_value('sl_invoice', 'sms_time', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$m_voucher_id'"))) {


// $sms_msg = "Thanks for your Order. Bill No: $m_voucher_id Last Balance: $balance. This Bill:$net_payable. Balance:$o_bal 03165452150 Branch $comp_name";


    $dir = "whatsapp/TT/sale_invoice/";
    if (!file_exists($dir)) {
        mkdir($dir, 0777);
    }
    $dirPath = "whatsapp/TT/sale_invoice/";
    if (!file_exists($dirPath)) {
        mkdir($dirPath, 0777);
    }
    $filename = "whatsapp/TT/sale_invoice/" . $report_row['voucher_id'] . ".pdf";


    $pdf->Output($filename, 'F');
    $f_name = $comp_id.'-'.$report_row['voucher_id'];
    $to = $sms_no;
    $file_url = 'https://kafeeltraders.com/click/finance/'.$filename;


    $curl = curl_init();

    curl_setopt_array($curl, array(
        CURLOPT_URL => "https://api.ultramsg.com/instance10452/messages/document",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_SSL_VERIFYHOST => 0,
        CURLOPT_SSL_VERIFYPEER => 0,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => "token=ncp7ygzt3zcuav15&to=" . $to . "&filename=" . $f_name . "&document=" . $file_url . "&referenceId=&nocache=",
        CURLOPT_HTTPHEADER => array(
            "content-type: application/x-www-form-urlencoded"
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    $datetime = date('Y-m-d H:i:s');
    try {
        $edit_m_query = "UPDATE sl_invoice SET sms_time = '$datetime'
				                     WHERE voucher_id = '$m_voucher_id' and comp_id = '$comp_id' and year_id = '$year_id'";
        $result_edit_m = $dbcon->prepare($edit_m_query);
        $result_edit_m->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}


/********************************END SEND WHATS APP MESSAGES************************************/



if(file_exists($filename))
{

    $createDeletePath = $filename;

}

if($createDeletePath == true)
{
    unlink($createDeletePath);
}


$pdf->AutoPrint();

$pdf->Output();
ob_end_flush();

?>
