<?php

session_start();

ob_start();

include("include/dbconnect.php");

include("include/functions.php");

if($_SESSION['VALID_USER_NAME'] == false)

{

    header("location: login");

}

/***************START VARIABLES*****************/

$filter = $_GET['filter'];



$posted = $_GET['posted'];

if (empty($posted))

    $posted = '_';

if ($posted=='N')

    $posted = '';



$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$date_close = find_value("v_system", 'date_close', '');



$menu_id = $_GET['menu_id'];

$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");

$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");

$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;

$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");



$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name

                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)

                      where m.menu_id='$menu_id') v", 'menu_name', "");



$comp_id = clean_data($_GET["comp_id"]);

if (empty($comp_id))

    $comp_id = clean_data($_SESSION["comp_id"]);



$year_id = $_GET["year_id"];

if (empty($year_id))

    $year_id = clean_data($_SESSION["year_id"]);



if($_GET['from_date']) {

    $from_date = $_GET['from_date'];

    $p_from_date = strtotime($from_date);

    $p_from_date = date('Y-m-d', $p_from_date);

}



if($_GET['to_date']) {

    $to_date = $_GET['to_date'];

    $p_to_date = strtotime($to_date);

    $p_to_date = date('Y-m-d', $p_to_date);

}



$login_page = find_value("v_system", 'login_page', '');



if(!isset($from_date)) {

    if ($login_page == 'kt' || $login_page == 'kafeel') {

        $monday = strtotime("last monday");

        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;

        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");

        $p_from_date = date("Y-m-d", $monday);

        $from_date = date("d-m-Y", $monday);



    }else {

        $from_date = date('01-01-Y');

        $p_from_date = date('Y-01-01');

    }

}



if(!isset($to_date)) {

    if ($login_page == 'kt' || $login_page == 'kafeel') {

        $monday = strtotime("last monday");

        $monday = date('w', $monday) == date('w') ? $monday + 7 * 86400 : $monday;

        $sunday = strtotime(date("Y-m-d", $monday) . " +6 days");

        $p_to_date = date("Y-m-d", $sunday);

        $to_date = date("d-m-Y", $sunday);

    }else {

        $to_date = date('d-m-Y');

        $p_to_date = date('Y-m-d');

    }

}



/***************END VARIABLES*****************/



/****************START MASTER TABLE QUERY*************/

$and = "";

if ($comp_id != "All") {

    $and .= " and m.comp_id = '$comp_id'";

}else{

    $and .= " and m.comp_id in(select comp_id from users_comp where emp_id='$emp_id' and inactive<>'Y')";



}

$and .= " AND m.voucher_date  BETWEEN '$p_from_date' AND '$p_to_date'";



if ($posted != "_")

    $and .= " and ifnull(m.posted,'') = '$posted'";



try

{

    $sl_query =  "SELECT *
FROM users_log m
WHERE 1=1    ORDER BY id desc";

    //echo $sl_query;

    $query_m = $dbcon->prepare($sl_query);

    $query_m->execute(array());

}

catch(PDOException $e)

{

    echo "Error : ". $e->getMessage();

}



/****************END MASTER TABLE QUERY*************/

?>

<!DOCTYPE html>

<html lang="en">

<head>

    <title><?php echo $title;?></title>

    <meta charset="utf-8">

    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta http-equiv="cache-control" content="no-cache">

    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">

    <link rel="shortcut icon" href="images/icons/favicon.html">

    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">

    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">

    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->

    <link type="text/css" rel="stylesheet"

          href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">

    <link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">

    <link type="text/css" rel="stylesheet"

          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">

    <!--LOADING STYLESHEET FOR PAGE-->

    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">

    <link type="text/css" rel="stylesheet"

          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">

    <!--Loading style vendors-->

    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">

    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">

    <!--Loading style-->

    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">

    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"

          class="style-change color-change">

    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">

    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">

    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">



</head>

<body class="sidebar-icons">



<div>



    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->







    <!--BEGIN TOPBAR-->

    <?php include ('header.php'); ?>

    <!--END TOPBAR-->





    <div id="wrapper">

        <!--BEGIN SIDEBAR MENU-->

        <?php include('left.php'); ?>

        <!--END SIDEBAR MENU-->





        <!--BEGIN PAGE WRAPPER-->

        <div id="page-wrapper">

            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">

                <div class="page-header pull-left">

                    <div class="page-title"><?php echo $title;?> Showcase</div>

                </div>



                <div class="clearfix"></div>

            </div>

            <!--END TITLE & BREADCRUMB PAGE-->





            <!--BEGIN CONTENT-->

            <div class="page-content">


                <table id="hide_table"  class="table table-striped table-bordered vouchers_datatable  table-advanced  tb-sticky-header table-sm">



                    <thead>

                    <tr>

                        <th>Sr</th>
                        <th>User ID</th>
                        <th>Comp ID</th>
                        <th>User IP</th>
                        <th>Login Time</th>
                        <th>Logout Time</th>
                        <th>Country Name</th>
                        <th>City</th>
                        <th>User Browser</th>

                    </tr>

                    </thead>


                    <tbody>



                    <?php

                    $sr = "";

                    while($rows = $query_m->fetch(PDO::FETCH_OBJ))

                    {
                        $sr += 1;
                        ?>


                        <tr>

                            <td><?php echo ($sr);?></td>
                            <td><?php echo ($rows->uid);?></td>
                            <td align="right"><?php echo ($rows->comp_id);?></td>

                            <td align="right"><?php echo($rows->userip); ?></td>
                            <td><?php echo ($rows->loginTime);?></td>
                            <td><?php echo ($rows->logout);?></td>
                            <td><?php echo ($rows->country_name);?></td>
                            <td><?php echo ($rows->city);?></td>
                            <td><?php echo ($rows->user_browser);?></td>


                        </tr>

                        <?php

                    }

                    ?>

                    </tbody>

                </table>

                <div id="comp_view"></div>

            </div>

        </div>

    </div>



    <script src="js/jquery-1.10.2.min.js"></script>

    <script src="js/jquery-migrate-1.2.1.min.js"></script>

    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->

    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>

    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>

    <script src="js/html5shiv.js"></script>

    <script src="js/respond.min.js"></script>

    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>

    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>

    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>

    <script src="vendors/iCheck/icheck.min.js"></script>

    <script src="vendors/iCheck/custom.min.js"></script>

    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>

    <script src="vendors/jquery-highcharts/highcharts.js"></script>

    <script src="js/jquery.menu.js"></script>

    <script src="vendors/jquery-pace/pace.min.js"></script>

    <script src="vendors/holder/holder.js"></script>

    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>

    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>

    <script src="vendors/moment/moment.js"></script>



    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>

    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>

    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

    <script src="vendors/select2/select2.min.js"></script>

    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>







    <!----------------------------START JAVA SCRIPT---------------------------->

    <script type="text/javascript">



        $('#fromdate').datepicker({

            format: 'dd-mm-yyyy',

            autoclose: true,



        });



        $('#todate').datepicker({

            format: 'dd-mm-yyyy',

            autoclose: true,

        });





        $(".acct_id").select2();



        var simple = $('.vouchers_datatable').DataTable({



            "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],

            "order": []

        });



        $(document).on('keydown', function (e) {

            if (e.ctrlKey && e.which === 65) { // Check for the Ctrl key being pressed, and if the key = [S] (83)





                window.location = "kt_sale_invoice?&voucher_type=<?php echo $voucher_type;?>&add=Y";

                //console.log('Ctrl+N!');

                e.preventDefault();

                return false;

            }

        });













        $('#runreport').click(function()

        {

            var from_date = $('#fromdate').val();

            var to_date = $('#todate').val();

            var comp_id =  $('#comp_id').val();

            var year_id =  $('#year_id').val();

            var menu_id =  $('#menu_id').val();

            var posted =  $('#posted').val();



            var datastring = 'from_date=' + from_date +

                '&to_date=' + to_date +

                '&comp_id=' + comp_id +

                '&year_id=' + year_id +

                '&posted=' + posted +

                '&action=search';

            $.ajax({

                type:"GET",

                url:"<?php echo $_SERVER['PHP_SELF'];?>",

                data:datastring,

                beforeSend: function()

                {

                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');

                },

                success: function(result)

                {

                    window.location = "<?php echo $_SERVER['PHP_SELF'];?>?from_date=" + from_date + "&to_date=" + to_date + "&comp_id=" + comp_id + "&year_id=" + year_id + "&menu_id=" + menu_id  + "&posted=" + posted + "&filter='Y'";

                }

            });

        });



        $("#sl_order_id").change(function () {

            var sl_order_id = $('#sl_order_id').val();

            var action = "show_so";



            var datastring = 'sl_order_id=' + sl_order_id + '&action=' + action;



            $.ajax({

                type: "POST",

                url: "ajax/get_so.php",

                data: datastring,

                beforeSend: function () {

                    $("#view").html('<div class="loader-block cell preloader5"> <div class="circle-5 l"></div> <div class="circle-5 m"></div> <div class="circle-5 r"></div> </div>');

                },

                success: function (result) {

                    //alert(result)

                    $('#view').html(result);



                }

            });





        });









        $('.daterange').daterangepicker(

            {

                ranges: {

                    'Today': [moment(), moment()],

                    'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],

                    'Last 7 Days': [moment().subtract('days', 6), moment()],

                    'Last 30 Days': [moment().subtract('days', 29), moment()],

                    'This Month': [moment().startOf('month'), moment().endOf('month')],

                    'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]

                },

                startDate: moment().subtract('days', 29),

                endDate: moment()

            },











            function (start, end) {

                //alert("You chose: " + start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM'));



                //var lastDate = start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM');



                var from_date = start.format('YYYY-MM-DD');

                var to_date = end.format('YYYY-MM-DD');



                window.location = "show_sale_invoice.php?voucher_type=<?php echo $voucher_type;?>&posted=''&from_date="+ from_date+"&to_date="+to_date;

            });











    </script>

    <!----------------------------END JAVA SCRIPT---------------------------->





























</body>

</html>