<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}

/*****************START VARIABLES*************************/
$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

$v_id = clean_data($_GET['v_id']);
$_SESSION['v_id'] = $v_id;

/*****************END VARIABLES*************************/


?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title><?php echo $row->acct_name; ?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html">
    <!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change" class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="css/custom.css">
    <link type="text/css" rel="stylesheet" href="vendors/fancybox-master/dist/jquery.fancybox.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/paper-css-master/paper.css">
</head>

<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a>
<!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->
    <?php

    $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
    $update_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
    $delete_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");

    $and = '';

    $and .= " AND m.voucher_id = '$v_id'";
    $and .= " and m.comp_id = '$comp_id'";
    $and .= " and m.year_id = '$year_id'";


    try {
        $sl_detail_query =  "SELECT
    m.voucher_id,
    m.voucher_date,
    m.comp_id,
    m.year_id,
    p.acct_name,
    m.customer_name,
    m.customer_phone,
    m.bill_no,
    s.acct_name sp_name,
    m.discount_voucher_no,
    m.customer_cash,
    m.return_cash,
    m.acct_id,
    m.discp,
    m.net_amt,
    m.adv_amt,
    m.disc_amt,
    m.net_payable,
    m.dc_amt,
    p.acct_id,
    m.order_id,
    l.loc_name,
    m.emp_id,
    m.sms_no,
    m.base_doc,
    m.base_voucher_id,
    m.posted,
    date_format(m.post_date, \"%h:%i %p\") post_date,
       m.order_date
    FROM sl_invoice m
    LEFT JOIN sl_invoicedet d ON m.voucher_id = d.voucher_id
    AND m.comp_id = d.comp_id AND m.year_id = d.year_id
    LEFT JOIN v_party p ON m.acct_id = p.acct_id
    LEFT JOIN sp s ON s.acct_id = m.sp_id
    LEFT JOIN location l ON l.loc_id = m.loc_id
    WHERE 1=1  $and";
        $sl_detail_result = $dbcon->prepare($sl_detail_query);
        $sl_detail_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    $detail_row = $sl_detail_result->fetch(PDO::FETCH_OBJ);
    $v_emp_id = $detail_row->emp_id;
    $voucher_date = $detail_row->voucher_date;
    $posted = $detail_row->posted;

    $_SESSION['p_comp_id'] = $detail_row->comp_id;
    $_SESSION['p_year_id'] = $detail_row->year_id;

    /*****************END MYSQL MASTER TABLE QUERY*************************/




    if ($detail_row->order_date != '0000-00-00' && $detail_row->order_date !=  1970 - 01 - 01) {
        $order_date = format_date_yyyy($detail_row->order_date);
    }


    $base_v_id = substr($detail_row->base_voucher_id,-6);


    $comp_id = clean_data($_SESSION["comp_id"]);
    $comp_name = clean_data($_SESSION["COMP_NAME"]);
    $phone = 'PTCL # ' . find_value('company','phone'," and comp_id='$comp_id'");

    if ($comp_id=='CA') {
        $comp_name = 'Ariana Ghee Agency';
    }

    $address = clean_data($_SESSION["address"]);



    $currentDateTime =  $detail_row->post_date;
    $newDateTime = date('h:i', strtotime($currentDateTime));




    $party_acct_id = $report_row->acct_id;

    $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                                     FROM v_vouchers v where v.acct_id = '$party_acct_id' and cash<>'Y') v "  , 'bal_amt', '' );

    //        $p_bal = find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
    //                                     FROM v_vouchers v where v.acct_id = '$party_acct_id'
    //                                     AND acct_id not in ('2610000462', '2610000463', '2610000464','2610000790','2610000798','2610000804')) v "  , 'bal_amt', '' );



    $f_cash = find_value("nom", "cash", " and  acct_id = '$party_acct_id' ");



    ?>
    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title"><?php echo $title; ?></div>
            </div>

            <ol class="breadcrumb page-breadcrumb pull-right">
                <li><i class="fa fa-home"></i>&nbsp;<a href="index.php">Home</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;
                </li>
                <li><a href="show_purchase_invoice.php?voucher_type=<?php echo $voucher_type; ?>">Show Sale Invoice</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                <li class="active">Sale Invoice Detail</li>
            </ol>
            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content A5" id="html-content-holder">


            <div class="sheet padding-10mm" id="advanced-table">






                <table border="0" style="width: 100%" >
                    <tr>

                        <td style="width: 100%; font-size: 40px; text-align: center; ">
                            <span style="@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap'); font-family: 'Pacifico', cursive;">KAFEEL TRADERS</span>

                        </td>
                    </tr>
                    <tr>
                        <td style="width: 100%; font-size: 22px; text-align: center; ">
                            Branch: <?php echo $comp_name;?>

                        </td>

                    </tr>
                    <tr>
                        <td style="width: 100%; font-size: 20px; text-align: center; ">
                             <?php echo $address;?>

                        </td>

                    </tr>

                    <tr>
                        <td style="width: 100%; font-size: 20px; text-align: center; ">
                            <?php echo $phone;?>

                        </td>

                    </tr>


                </table>

                <br clear="all">


                <table  style="width: 100%; border: 0px solid #000000;"  cellpadding="10">
                    <tr>
                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            Time
                        </td>
                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            <?php echo $newDateTime;?>
                        </td>

                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            Prepared By
                        </td>
                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            <?php echo $emp_id;?>
                        </td>

                    </tr>
                    <tr>
                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            Inv No
                        </td>
                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            <?php echo $v_id;?>
                        </td>

                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            Inv Date
                        </td>
                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            <?php echo format_date_yyyy($voucher_date);?>
                        </td>

                    </tr>


                    <tr>

                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;" colspan="2">
                            <?php echo substr($detail_row->acct_name,0,15);?>
                        </td>

                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            Balance
                        </td>
                        <td style="width: 20%; border: 0px solid #000000; font-size: 14px;">
                            <?php echo format_number($p_bal,0);?>
                        </td>

                    </tr>


                </table>




                <table    style="width: 100%; border: 1px solid #000000;" cellspacing="10" >

                    <tr >


                        <td style="width: 50%; border: 1px solid #000000; font-weight: bold;">Description</td>

                        <td style="width: 10%; border: 1px solid #000000; font-weight: bold;">Qty</td>
                        <td style="width: 20%; text-align: right; border: 1px solid #000000; font-weight: bold;">Price</td>

                        <td style="width: 20%; text-align: right; border: 1px solid #000000; font-weight: bold;">Amount</td>

                    </tr>


                    <tbody>
                    <?php
                    //sale invoice detail query
                    $and = '';

                    $and .= " AND d.voucher_id = '$v_id'";
                    $and .= " and d.comp_id = '$comp_id' ";
                    $and .= " and d.year_id = '$year_id' ";




                    try {
                        $sl_d_query =  "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount,
	d.sharing,
	d.avg_rate,
	d.disc_amt
 	FROM sl_invoice m 
 	LEFT JOIN sl_invoicedet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id AND m.year_id = d.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = m.comp_id

	WHERE 1=1 $and ORDER BY d.lineitem/1";






                        $sl_d_result = $dbcon->prepare($sl_d_query);
                        $sl_d_result->execute(array());
                    } catch (PDOException $e) {
                        echo "Error : " . $e->getMessage();
                    }




                    $srno = 0;
                    $qty_tot = 0;
                    $amount_tot = 0;
                    $rate_tot = 0;
                    $disc_tot = 0;

                    $tot_sharing_amount = "";

                    while ($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ)) {
                        $srno += 1;
                        $v = $d_row->voucher_id;

                        $qty_tot += $d_row->qty;
                        $rate_tot += $d_row->rate;
                        $disc_tot += $d_row->discp;
                        $amount_tot += $d_row->itemtot;


                        $_SESSION['avg_rate'] = $d_row->avg_rate;




                        ?>
                        <tr >
                            <td style=" border: 1px solid #000000; font-size: 12px;" ><span   style="@import url('https://fonts.googleapis.com/css2?family=Noto+Nastaliq+Urdu:wght@700&display=swap');
 font-family: 'Noto Nastaliq Urdu', serif"> <?php echo $d_row->description; ?></span></td>
                            <td style=" border: 1px solid #000000;"><?php echo number_format($d_row->qty); ?></td>
                            <td style="text-align: right;  border: 1px solid #000000;"><?php echo format_number($d_row->rate,0); ?></td>
                            <td style="text-align: right; border: 1px solid #000000;"><?php echo format_number($d_row->itemtot,0); ?></td>


                        </tr>
                        <?php
                    }
                    ?>

                    </tbody>
                </table>

                <table    style="width: 100%; border: 1px solid #000000; margin-top: 10px;" cellspacing="0" cellpadding="5" >
                    <tr >
                        <td style="width: 70%; border: 1px solid #000000;">Subtotal</td>
                        <td style="text-align: right; width: 30%; border: 1px solid #000000;"><b><?php echo format_number($amount_tot,0); ?></b></td>
                    </tr>


                    <tr >
                        <td style="width: 70%; border: 1px solid #000000;">Cash Paid</td>
                        <td style="text-align: right; width: 30%; border: 1px solid #000000;"><b><?php echo number_format($report_row->customer_cash,0); ?></b></td>
                    </tr>

                    <tr >
                        <td style="width: 70%; border: 1px solid #000000;">Cash Return</td>
                        <td style="text-align: right; width: 30%; border: 1px solid #000000;"><b><?php echo number_format($report_row->return_cash,0); ?></b></td>
                    </tr>


                </table>



            </div>
















          <!--  <div id="mydiv" style="background-size: 100%;
background-size :200px 200px;
background-repeat: no-repeat;">
                <p>text!</p>
                <img src="images/click.jpg" height="100" width="100"/>

            </div>
            <div id="canvas">
                <p>Canvas:</p>
            </div>

            <div style="width:200px; float:left" id="image">
                <p style="float:left">Image: </p>
            </div>
            <div style="float:left;margin-top: 120px;" class="return-data">
            </div>-->

            <!--<input type='button' id='but_screenshot' value='Take screenshot' onclick='screenshot();'><br/>-->



        </div>
        <!---------------END PAGE CONTENT----------------->
    </div>
    <!---------------END PAGE WRAPPER----------------->
</div>
<!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script>
<!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
<!--CORE JAVASCRIPT-->
<script src="js/main.js"></script>
<!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>
<script src="vendors/fancybox-master/dist/jquery.fancybox.min.js"></script>
<script src="vendors/html2canvas.min.js"></script>



<script type="text/javascript">


    function screenshot(){
        html2canvas(document.querySelector("#advanced-table")).then(canvas => {
            //document.body.appendChild(canvas);

            // Get base64URL
            var base64URL = canvas.toDataURL('image/jpeg').replace('image/jpeg', 'image/octet-stream');
            var v_id = '<?php echo $v_id;?>';
            var f_comp_id = '<?php echo $comp_id;?>';



            var dataString = 'base64URL=' + base64URL +
                '&v_id=' + v_id +
                '&f_comp_id=' + f_comp_id;

            $.ajax({
                url: 'img_sl_invoice.php',
                type: 'post',
                data: {image: base64URL, v_id: v_id, f_comp_id: f_comp_id},
                success: function(data){
                    //alert(data);

                    console.log('Upload successfully');
                }
            });
        });
    }


    $(window).on('load', function () {

        screenshot();
    })









    //delete single enteryvoucher
    function delete_single(voucherid, lineitem, comp_id, year_id, table) {

        p_menu_id = '<?php echo $menu_id;?>';

        var status = confirm("Are you sure want to Single Entery Delete");
        if (status == true) {
            var datastring = 'voucherid=' + voucherid + '&lineitem=' + lineitem + '&comp_id=' + comp_id + '&year_id=' + year_id + '&table=' + table + '&action=' + 'delete_lineitem';
            $.ajax({
                type: "POST",
                url: "delete_voucher",
                data: datastring,
                success: function(result) {
                    //alert(result);
                    window.location = "<?php echo $menu_detail; ?>?v_id=<?php echo $v_id; ?>&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>"
                }
            });
        }
    }

    //delete voucher
    function delete_voucher(voucherid, comp_id, year_id, table) {
        var status = confirm("Are you sure want to Full Voucher Delete");

        p_menu_id = '<?php echo $menu_id;?>';

        if (status == true) {
            var datastring = 'voucherid=' + voucherid +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&table=' + table +
                '&p_menu_id=' + p_menu_id +
                '&action=' + 'delete_voucher';

            $.ajax({
                type: "POST",
                url: "delete_voucher",
                data: datastring,
                success: function(result) {
                    //alert(result);
                    window.location = "<?php echo $menu_link; ?>&menu_id=<?php echo $menu_id; ?>"
                }
            });
        }
    }

    //sale invoice post
    function post_voucher() {
        var comp_id = $('#comp_id').val();
        var year_id = $('#year_id').val();
        var v_id = $('#v_id').val();
        var voucher_type = $('#voucher_type').val();
        var post = $('#post').val();
        var table = $('#table').val();
        var p_menu_id = '<?php echo $menu_id;?>';
        var v_date = '<?php echo $detail_row->voucher_date;?>';
        posted = '<?php echo $posted;?>';
        var status = confirm("Are you sure want to <?php echo $label; ?> Data.");

        if (status == true) {
            var datastring = 'comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&v_id=' + v_id +
                '&voucher_type=' + voucher_type +
                '&post=' + post +
                '&p_menu_id=' + p_menu_id +
                '&v_date=' + v_date +
                '&table=' + table;

            $.ajax({
                type: "POST",
                url: "process/kt_sale_inv_post.php",
                data: datastring,
                beforeSend: function() {
                    plsWaitDiv('body', 'show');
                },
                success: function(result) {
                    //alert(result);

                    var voucher_id = result;


                    if(posted == '')
                    {
                        window.open("kt_pdf_sl_print?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id; ?>");

                    }


                    window.location = "<?php echo $menu_detail; ?>?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type; ?>&posted=''&comp_id=<?php echo $comp_id; ?>&year_id=<?php echo $year_id; ?>&menu_id=<?php echo $menu_id; ?>";
                }
            });
        }
    }



















    /*************START BEFORE SAVE PLEASE WAIT MSG SHOW OVERLAY***********/
    function plsWaitDiv(selector, visibility) {
        if ('show' == visibility) {
            $(selector).css('position', 'relative');
            $(selector).append('<div  class="plswait_overlay">Please wait<span class="dots"><span>.</span><span>.</span><span>.</span></span></div>');
        } else {
            $(selector).css('position', 'static');
            $('.plswait_overlay').remove();
        }
    }


    /*************START BEFORE SAVE PLEASE WAIT MSG SHOW OVERLAY***********/


    $('#show_file_box').on('click', function() {
        $('#image_upload_form').show();

    });


    jQuery(document).ready(function() {
        $('#photoimg').on('change', function() {
            var label = $(this).val().replace(/\\/g, '/').replace(/.*\//, ''),
                input = $('#input_image_text').val(label);
            $('.alert').addClass('hide');
            $('.alert').removeClass('show');

        });

        var frm = $('#image_upload_form');

        frm.submit(function(e) {
            e.preventDefault();
            var formData = new FormData();
            formData.append('photoimg', $('#photoimg')[0].files[0]);


            $.ajax({
                type: frm.attr('method'),
                url: frm.attr('action'),
                data: formData,
                dataType: "json",
                processData: false, // tell jQuery not to process the data
                contentType: false, // tell jQuery not to set contentType

                success: function(data) {
                    console.log(data['error']);
                    if (data.error == 1) {
                        $('.alert-danger').removeClass('hide').addClass('show').html(data['msg']);
                    } else {
                        $('.alert-success').removeClass('hide').addClass('show').html('Uploaded');
                        console.log(data);
                        $('#image_upload_form').delay(1000).fadeOut('slow');
                        $('#show_file_box').hide();
                        $('#view_doc').show();


                    }

                },
                error: function(data) {
                    console.log(data);
                    $('.alert-danger').removeClass('hide').addClass('show').html(data);
                },
            });
        });
    });






    $(document).ready(function() {
        $("#single_1").fancybox({
            helpers: {
                title: {
                    type: 'float'
                }
            }
        });
    })






</script>






</body>

</html>