<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);

        $acct_id = clean_data($_POST['acct_id']);
        $type_id = clean_data($_POST['type_id']);

        $qty_decimals=find_value('v_system','qty_decimals','');

        /*****************START MYSQL VARIABLES**************/

        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {

            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");

        }
        /*************END FINDE COMPANY NAME*****************/

        $and = '';
        $and_comp = "";

        if ($comp_id != "All") {

            $and_comp .= " and v.comp_id = '$comp_id'";

        }
        else
        {
            $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
				LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
				WHERE uc.emp_id = '$emp_id' )";
        }


        if ($acct_id != "All") {
            $and .= " and v.stock_code = '$acct_id'";
        }

        if ($type_id != "All") {
            $and .= " and v.type_id = '$type_id'";
        }

        $and .= " and (v.db_qty is not null or v.cr_qty is not null)";
        /*****************END MYSQL VARIABLES**************/



?>

        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>

<div class="table-responsive">
        <?php


        /*****************START GRAND TOTAL VARIABLES**************/
        $g_db_amt_tot = 0;
        $g_cr_amt_tot = 0;
        $g_db_qty_tot = 0;
        $g_cr_qty_tot = 0;

        $g_bal = 0;
        $g_acct_id = '';
        /*****************END GRAND TOTAL VARIABLES**************/

        //group query date
        $g_voucher_Date = '';


        /***************START MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/
        try {
            $msqlquery = "SELECT DISTINCT v.type_id acct_id, v.type_name acct_name
FROM
	v_stk v
	WHERE 1=1  $and $and_comp";

//echo $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }

        while($mrow = $q_result->fetch(PDO::FETCH_ASSOC)) {
            $g_acct_id = $mrow['acct_id'];
            $g_acct_name = $mrow['acct_name'];

            $bal_qty = 0;
            $bal_amt = 0;
            /***************END MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/


            /***************START MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

            try {
                $ob_query = "SELECT
	sum(v.db_qty - v.cr_qty ) o_bal,
	sum(v.db_amt - v.cr_amt ) o_amt
	FROM
	v_stk v
	WHERE 1=1
	and v.type_id = '$g_acct_id' and v.voucher_date < '$new_from_date' $and_comp ";
                $ob_result = $dbcon->prepare($ob_query);
                $ob_result->execute();
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }



            $ob_row = $ob_result->fetch(PDO::FETCH_ASSOC);

            $bal_qty = $ob_row['o_bal'];
            $bal_amt = $ob_row['o_amt'];

            /***************END MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

            ?>

            <?php
            $and .= " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

            try {
                $d_query = "SELECT concat(v.comp_id,v.year_id,v.voucher_id) v_id, v.comp_id, v.voucher_id,v.voucher_date, v.db_qty, v.cr_qty, v.db_amt, v.cr_qty*v.type_avg_rate cr_amt, v.party_name particulars
		FROM v_stk v
		WHERE 1=1
		 AND v.type_id = '$g_acct_id'  $and $and_comp
		 order by v.voucher_date, v.voucher_order, v.voucher_id, v.lineitem/1";
                $d_result = $dbcon->prepare($d_query);
                $d_result->execute();
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }

            // echo $d_query;


            $no_row = $d_result->rowCount();


            if ($bal_qty != 0 or $no_row != 0) {

                ?>

                <table class="table table-bordered table-striped table-responsive" id="datatablee">
                    <thead>
                    <tr>
                        <th><?php echo $g_acct_id; ?></th>
                        <th><?php echo $g_acct_name; ?></th>
                        <th>Opening Qty = <?php echo format_number($bal_qty,$qty_decimals); ?> </th>
                        <th>Rate = <?php echo format_number($bal_amt/$bal_qty,2); ?> </th>
                        <th>Amount = <?php echo format_number($bal_amt,0); ?> </th>
                    </tr>
                    </thead>
                </table>

                <table border="1" width="100%" cellpadding="2" style=font-family:verdana,tohama; style=font-size:11px;>
                    <tr>
                        <td rowspan="2" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Ser</font></b></td>
                        <td rowspan="2" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Date</font></b></td>
                        <td rowspan="2" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Voucher ID</font></b></td>
                        <td rowspan="2" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Particulars</font></b></td>

                        <td colspan="3" bgcolor="#3399FF">
                            <p align="center"><b><font color="#FFFFFF">Receipts</font></b></p>
                        </td>

                        <td colspan="3" bgcolor="#3399FF">
                            <p align="center"><b><font color="#FFFFFF">Issues</font></b></p>
                        </td>
                        <td colspan="3" bgcolor="#3399FF">
                            <p align="center"><b><font color="#FFFFFF">Balance</font></b></p>
                        </td>
                    </tr>

                    <tr>
                        <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Qty</font></b></td>
                        <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Rate</font></b></td>
                        <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Amount</font></b></td>
                        <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Qty</font></b></td>
                        <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Rate</font></b></td>
                        <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Amount</font></b></td>
                        <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Qty</font></b></td>
                        <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Rate</font></b></td>
                        <td width="7%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Amount</font></b></td>
                    </tr>

                    <?php



                    $serno = 0;
                    $db_amt_tot = 0;
                    $cr_amt_tot = 0;

                    $db_qty_tot = 0;
                    $cr_qty_tot = 0;


                    while ($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {
                        $serno = $serno + 1;

                        $db_amt_tot += $report_row['db_amt'];
                        $cr_amt_tot += $report_row['cr_amt'];
                        $bal_amt += $report_row['db_amt'] - $report_row['cr_amt'];

                        $db_qty_tot += $report_row['db_qty'];
                        $cr_qty_tot += $report_row['cr_qty'];
                        $bal_qty += $report_row['db_qty'] - $report_row['cr_qty'];


                        $vouchertype = substr($report_row['voucher_id'],2,2);
                        $d_comp_id = substr($report_row['voucher_id'],0,2);
                        $v_comp_id = substr( $report_row['voucher_id'],0,2);


                        /***************** START VOUCHER ID OPEN FROM DAYBOOK****************/
                        if (substr($report_row['voucher_id'], 2, 1) == 'C') {
                            $voucherID = substr($report_row['voucher_id'], 2, 8);
                            $link_voucher = 'payment_detail';

                        }

                        if (substr($report_row['voucher_id'], 2, 1) == 'B') {
                            $voucherID = substr($report_row['voucher_id'], 2, 8);
                            $link_voucher = 'payment_detail';
                        }

                        if (substr($report_row['voucher_id'], 2, 2) == 'JV') {
                            $voucherID = substr($report_row['voucher_id'], 2, 8);
                            $link_voucher = 'jv_detail';


                        }


                        if (substr($report_row['voucher_id'], 2, 2) == 'SL') {
                            $voucherID = substr($report_row['voucher_id'], 4, 6);
                            $link_voucher = 'sl_inv_detail';
                            $p_compId = 'comp_id';
                        }


                        if($login_page == 'mli')
                        {
                            if (substr($report_row['voucher_id'], 2, 2) == 'SL') {
                                $voucherID = substr($report_row['voucher_id'], 4, 6);
                                $link_voucher = 'mli_sl_inv_detail';
                                $p_compId = 'comp_id';
                            }

                        }

                        if($login_page == 'kt') {

                            if (substr($report_row['voucher_id'], 2, 2) == 'SL') {
                                $voucherID = substr($report_row['voucher_id'], 4, 6);
                                $link_voucher = 'kt_sl_inv_detail';
                                $p_compId = 'comp_id';
                            }
                        }

                        if (substr($report_row['voucher_id'], 2, 2) == 'PL') {
                            $voucherID = substr($report_row['voucher_id'], 4, 6);
                            $link_voucher = 'pl_inv_detail';
                            $p_compId = 'p_comp_id';

                        }

                        if (substr($report_row['voucher_id'], 2, 2) == 'ST') {
                            $voucherID = substr($report_row['voucher_id'], 4, 6);
                            $link_voucher = 'stock_transfer_detail';

                        }


                        if (substr($report_row['voucher_id'], 2, 2) == 'SR') {
                            $voucherID = substr($report_row['voucher_id'], 4, 6);
                            $link_voucher = 'sale_receipt_detail';

                        }



                        if (substr($report_row['voucher_id'], 2, 2) == 'RT') {
                            $voucherID = substr($report_row['voucher_id'], 2, 6);
                            $link_voucher = 'return_detail';

                        }

                        if($login_page == 'mli') {
                            if (substr($report_row['voucher_id'], 2, 2) == 'RT') {
                                $voucherID = substr($report_row['voucher_id'], 4, 6);
                                $link_voucher = 'mli_sl_return_detail';

                            }
                        }


                        $db_rate=0;
                        if($report_row['db_qty']<>0)
                            $db_rate=round($report_row['db_amt']/$report_row['db_qty'],5);

                        $cr_rate=0;
                        if($report_row['cr_qty']<>0)
                            $cr_rate=round($report_row['cr_amt']/$report_row['cr_qty'],5);

                        $bal_rate=0;
                        if($bal_qty<>0)
                            $bal_rate=round($bal_amt/$bal_qty,5);

                        $bgcolor = '';
                        if ($bal_qty < 0)
                            $bgcolor = 'bgcolor=red';

                        ?>

                        <tr>
                            <td><?php echo($serno); ?></td>

                            <td align="center"><?php echo format_date($report_row['voucher_date']); ?></td>
                            <td>
                                <a href="<?php echo $link_voucher; ?>?v_id=<?php echo $voucherID; ?>&voucher_type=<?php echo $vouchertype; ?>&posted='on'&p_comp_id=<?php echo $v_comp_id; ?>&p_year_id=<?php echo $year_id; ?>"
                                   target="_blank"><?php echo $report_row['v_id']; ?></a></td>

<!--                            <td align="center"><a href="<?php /*echo $link_voucher;*/?>?v_id=<?php /*echo $voucherID;*/?>&voucher_type=<?php /*echo $vouchertype;*/?>&posted='on'" target="_blank"><?php /*echo $report_row['v_id']; */?></a></td>
-->

                            <td><?php echo $report_row['particulars']; ?></td>
                            <td align="right"><?php echo format_number($report_row['db_qty'],$qty_decimals); ?></td>
                            <td align="right"><?php echo format_number($db_rate,2); ?></td>
                            <td align="right"><?php echo format_number($report_row['db_amt'],0); ?></td>

                            <td align="right"><?php echo format_number($report_row['cr_qty'], $qty_decimals); ?></td>
                            <td align="right"><?php echo format_number($cr_rate,2); ?></td>
                            <td align="right"><?php echo format_number($report_row['cr_amt'],0); ?></td>

                            <td align="right" <?php echo $bgcolor; ?> ><?php echo format_number($bal_qty,$qty_decimals); ?></td>
                            <td align="right"><?php echo format_number($bal_rate,2); ?></td>
                            <td align="right"><?php echo format_number($bal_amt,0); ?></td>

                        </tr>
                        <?php

                    }

                    $db_rate=0;
                    if($db_qty_tot<>0)
                        $db_rate=$db_amt_tot/$db_qty_tot;

                    $cr_rate=0;
                    if($cr_qty_tot<>0)
                        $cr_rate=$cr_amt_tot/$cr_qty_tot;

                    $g_db_qty_tot += $db_qty_tot;
                    $g_cr_qty_tot += $cr_qty_tot;

                    $g_db_amt_tot += $db_amt_tot;
                    $g_cr_amt_tot += $cr_amt_tot;


                    ?>
                    <tr>


                        <td></td>
                        <td></td>
                        <td></td>
                        <td align="right"><b>Total :</td>
                        <td align="right"><b><?php echo format_number(($db_qty_tot), $qty_decimals); ?></b></td>
                        <td align="right"><b><?php echo format_number(($db_rate), 2); ?></b></td>
                        <td align="right"><b><?php echo format_number(($db_amt_tot), 0); ?></b></td>
                        <td align="right"><b><?php echo format_number(($cr_qty_tot), $qty_decimals); ?></b></td>
                        <td align="right"><b><?php echo format_number(($cr_rate), 2); ?></b></td>
                        <td align="right"><b><?php echo format_number(($cr_amt_tot), 0); ?></b></td>
                        <td></td>
                    </tr>


                <?php
            }
        }

                    $db_rate=0;
                    if($g_db_qty_tot<>0)
                        $db_rate=$g_db_amt_tot/$g_db_qty_tot;

                    $cr_rate=0;
                    if($g_cr_qty_tot<>0)
                        $cr_rate=$g_cr_amt_tot/$g_cr_qty_tot;

                    ?>
                    <tr>

                        <td></td>
                        <td></td>
                        <td></td>
                        <td align="right"><b>Grand Total :</td>
                        <td align="right"><b><?php echo number_format(($g_db_qty_tot), $qty_decimals); ?></b></td>
                        <td align="right"><b><?php echo number_format(($db_rate), 2); ?></b></td>
                        <td align="right"><b><?php echo number_format(($g_db_amt_tot), 0); ?></b></td>
                        <td align="right"><b><?php echo number_format(($g_cr_qty_tot), $qty_decimals); ?></b></td>
                        <td align="right"><b><?php echo number_format(($cr_rate), 2); ?></b></td>
                        <td align="right"><b><?php echo number_format(($g_cr_amt_tot), 0); ?></b></td>
                    </tr>

                </table>
                <?php
    }


}



?>
</div>
