<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
if ($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$from_date = clean_data($_POST['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = clean_data($_POST['comp_id']);

$acct_id = clean_data($_POST['acct_id']);


/*****************START MYSQL VARIABLES**************/


/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {

    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
} else {
    $comp_name = find_value('v_system', 'comp_name', "");

}
/*************END FINDE COMPANY NAME*****************/

$and = '';
$comp_name = '';


$and_comp = "";

if ($comp_id != "All") {

    $and_comp .= " and v.comp_id = '$comp_id'";
    $comp_name = find_value('company', 'comp_name', " and comp_id='$comp_id' ");


} else {
    $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
				LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
				WHERE uc.emp_id = '$emp_id' )";

}

/*
if ($acct_id != "All") {
    $and .= " and v.acct_id = '$acct_id'";
}
*/

$and .= " and (v.debit is not null or v.credit is not null)";
/*****************END MYSQL VARIABLES**************/


/*****************START GRAND TOTAL VARIABLES**************/
$g_tot_dbqty = 0;
$g_tot_crqty = 0;
$g_bal = 0;
$g_acct_id = '';
/*****************END GRAND TOTAL VARIABLES**************/

//group query date
$g_voucher_Date = '';


?>
<h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name; ?></h1>
<div class="table-responsive">
    <?php


        $g_acct_name = 'Cash/Bank';
        $bal = 0;
        /***************END MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/


        /***************START MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

        try {
            $ob_query = "SELECT
	sum(ifnull(v.debit,0)-ifnull(v.credit,0)) o_bal
	FROM
	v_vouchers v
	WHERE 1=1 and v.acct_id = '$acct_id'
	and v.voucher_date < '$new_from_date' $and_comp ";
//            echo $ob_query;

            $ob_result = $dbcon->prepare($ob_query);
            $ob_result->execute();
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }
        $ob_row = $ob_result->fetch(PDO::FETCH_ASSOC);

        $bal = $ob_row['o_bal'];

        /***************END MYSQL QUERY FOR GROUP OPENING BALANCE*****************/

        ?>

        <?php
        $and .= " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

            $d_q = "select distinct 	t.rn,
	t1.particulars receipt,
	t1.amount debit_amount,
	t2.particulars payment,
	t2.amount credit_amount

FROM
(
				SELECT
					@rn1 :=@rn1 + 1 AS rn
				FROM
					v_vouchers v,(SELECT @rn1 := 0) t2
				WHERE
					1 = 1
				AND v.acct_id = '$acct_id'
				AND (
					v.voucher_date = '$new_from_date'
				)
				$and_comp
				AND debit <> 0
			
		UNION ALL
					SELECT
						@rn2 :=@rn2 + 1 AS rn
					FROM
						v_vouchers v, (SELECT @rn2 := 0) t2

					WHERE
						1 = 1
				AND v.acct_id = '$acct_id'
					AND (
						v.voucher_date = '$new_from_date'
					)
					$and_comp
					AND credit <> 0
) t
left JOIN (SELECT
					@rn3 :=@rn3 + 1 AS rn,
					v.comp_id,
					v.voucher_id,
					v.voucher_date,
					v.acct_id,
					debit amount,
					v.lineitem,
					v.particulars,
					v.acct_name
				FROM
					v_vouchers v,(SELECT @rn3 := 0) t2
				WHERE
					1 = 1
				AND v.acct_id = '$acct_id'
				AND (
					v.voucher_date = '$new_from_date'
				)
				$and_comp
				AND debit <> 0
) t1 on t1.rn=t.rn 
left JOIN (SELECT
					@rn4 :=@rn4 + 1 AS rn,
					v.comp_id,
					v.voucher_id,
					v.voucher_date,
					v.acct_id,
					credit amount,
					v.lineitem,
					v.particulars,
					v.acct_name
				FROM
					v_vouchers v,(SELECT @rn4 := 0) t2
				WHERE
					1 = 1
				AND v.acct_id = '$acct_id'
				AND (
					v.voucher_date = '$new_from_date'
				)
				$and_comp
				AND credit <> 0
) t2 on t2.rn=t.rn ";

//echo $d_q;
        try {

            $d_r = $dbcon->prepare($d_q);
            $d_r->execute();
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }

        #        echo $d_q;


#            $no_row = $d_r->rowCount();


        ?>
        <a href="pdf_cashbook?from_date=<?php echo $new_from_date; ?>&comp_id=<?php echo $comp_id; ?>&acct_id=<?php echo $acct_id; ?>&bal=<?php echo $bal; ?> "
           target="_blank" style="text-decoration:none; color:#FFF" class="btn btn-success" data-toggle="tooltip"
           data-placement="top" title="PDF">Print</a>
        <?php

        									$db = $_SESSION['db'];

                                            $url = "dist/$db/img/$comp_id/daybook/".$acct_id."/$new_from_date.pdf";

                                            if(file_exists($url))
                                            {
                                            ?>
                                        <td><a href="<?php echo $url;?>" target="_blank" style="text-decoration:none; color:#FFF" class="btn btn-success" data-toggle="tooltip" data-placement="top" title="OPEN DAYBOOK" >Daybook</a></td>


     <?php                                   
    }
    else
    {
    ?>
                                        <td><a href="<?php echo $url;?>" target="_blank" style="text-decoration:none; color:#FFF" class="btn btn-success disabled" data-toggle="tooltip" data-placement="top" title="OPEN DAYBOOK" >Daybook</a></td>


                                        <?php
                                        }

        $no_row = 1;

        if ($bal != 0 or $no_row != 0) {

            ?>
            <table class="table table-bordered table-striped table-responsive" id="datatablee">
                <tr>
                    <td><?php echo $g_acct_name . ' - ' . $comp_name; ?></td>
                    <td align=right><b>For the Day of : </b><u><?php echo format_date($new_from_date); ?></td>

                </tr>
            </table>

            <table class="table table-bordered table-striped">
                <tr>
                    <th>Sr</th>
                    <td><b>RECEIPTS</td>
                    <td align=right><b>AMOUNT</td>

                    <td align=center><b>SIGN</td>

                    <td><b>PAYMENTS</td>
                    <td align=right><b>AMOUNT
                    </th>

                </tr>

                <tr>
                    <td></td>
                    <td align=right><b>B/F :</td>
                    <td align=right><b><?php echo number_format(round($bal),0); ?></td>

                    <?php


                    $serno = 0;
                    $debit_amount_tot = 0;
                    $credit_amount_tot = 0;

                    while ($report_row = $d_r->fetch(PDO::FETCH_ASSOC)) {
                    $serno = $serno + 1;
                    $debit_amount_tot += $report_row['debit_amount'];
                    $credit_amount_tot += $report_row['credit_amount'];
                    $bal = $bal + $report_row['debit_amount'] - $report_row['credit_amount'];

                    ?>

                <tr>
                    <td><?php echo($serno); ?></td>

                    <td><?php echo $report_row['receipt']; ?></td>
                    <td align=right><?php echo format_number($report_row['debit_amount'],0); ?></td>
                    <td></td>
                    <td><?php echo $report_row['payment']; ?></td>
                    <td align=right><?php echo format_number($report_row['credit_amount'],0); ?></td>
                </tr>
                <?php

                }
                ?>
                <tr>
                    <td></td>
                    <td align=right><b>Total :</td>
                    <td align=right><b><?php echo format_number(($debit_amount_tot), 0); ?></b></td>
                    <td></td>
                    <td></td>
                    <td align=right><b><?php echo format_number(($credit_amount_tot), 0); ?></b></td>
                </tr>


                <tr>
                    <td></td>
                    <td align=right><b>C/F :</td>
                    <td align=right><b><?php echo format_number(($bal), 0); ?></b></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>

            </table>


            <?php
        }
    }


    }




?>
</div>
