<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

date_default_timezone_set("Asia/Karachi");



if(isset($_POST['action']) && !empty($_POST['action']))
{
	if($_POST['action'] == "search") {

        $qty_decimals = $_SESSION["qty_decimals"];
        $rate_decimals = $_SESSION["rate_decimals"];

		$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

		$from_date = clean_data($_POST['from_date']);
		$change_from_date = strtotime($from_date);
		$new_from_date = date('Y-m-d', $change_from_date);

		$to_date = clean_data($_POST['to_date']);
		$change_to_date = strtotime($to_date);
		$new_to_date = date('Y-m-d', $change_to_date);

		$new_post_from_date = clean_data($_POST['post_from_date']);
        $new_post_to_date = clean_data($_POST['post_to_date']);
		//$change_post_from_date = strtotime($post_from_date);
		//$new_post_from_date = date('Y-m-d', $change_post_from_date);
//echo $new_post_to_date;


		$comp_id = clean_data($_POST['comp_id']);

        $acct_id = clean_data($_POST['acct_id']);
        $rpt_type = clean_data($_POST['rpt_type']);
        $voucher_id = clean_data($_POST['voucher_id']);

        //$voucher_type = $_SESSION['voucher_type'];

		$t_m = 'v_vouchers';
		$t_n = 'nom';
		$t_c = 'company';



        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {

            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");

        }
        /*************END FINDE COMPANY NAME*****************/



        $and = '';
        if (empty($new_post_from_date) && empty($new_post_to_date)) {
            $and .= " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";
        }else{
            $and .= " and (v.post_date BETWEEN '$new_post_from_date'  AND '$new_post_to_date')";
        }


		if ($comp_id != "All") {
			$and .= " and v.comp_id = '$comp_id'";
		}else{
			$and .= " and v.comp_id in(select comp_id from users_comp where emp_id='$emp_id')";

		}


/*
        if ($acct_id != "All") {
            $and .= " and v.acct_id = '$acct_id'";
        }
*/

        if ($rpt_type != "All") {

            $and .= " and substring(v.voucher_id,3,2) = '$rpt_type'";

        }

        if ($voucher_id != "")
            $and .= " and v.voucher_id like '%$voucher_id%'";

?>

        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>
        <?php




//group total variables
		$g_tot_dbqty = 0;
		$g_tot_crqty = 0;
		$g_bal = 0;

//group query date
		$g_voucher_Date = '';


        try {
            $msqlquery = "SELECT DISTINCT v.voucher_date
		FROM
		v_vouchers v
		WHERE 1=1
		$and
		ORDER BY v.voucher_date desc";
//echo $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }

        while($mrow = $q_result->fetch(PDO::FETCH_ASSOC)) {

			$g_voucher_Date = $mrow['voucher_date'];






            ?>

			<table class="table table-bordered table-striped ">
				<thead>
				<tr>
					<th><?php echo format_Date($g_voucher_Date); ?></th>

				</tr>
				</thead>
			</table>
			<?php


            try {
                $d_query = "SELECT v.comp_id, v.voucher_id,v.voucher_date,v.acct_id, debit debit_amount, credit credit_amount, v.lineitem,
                            concat(ifnull(n1.acct_name,''),if(n1.acct_name is null,'','/'),ifnull(n2.acct_name,''),if(n2.acct_name is null,'','/'),v.particulars) particulars, n.acct_name
				FROM v_vouchers v
				LEFT JOIN v_nom n ON  v.acct_id = n.acct_id
				LEFT JOIN nom n1 ON v.acct_id_cs_1 = n1.acct_id
				LEFT JOIN nom n2 ON v.acct_id_cs_2 = n2.acct_id
				LEFT JOIN company c ON v.comp_id = c.comp_id		
				WHERE (v.voucher_date = '$g_voucher_Date' )
					  $and 
				order by v.voucher_date, v.voucher_order, v.voucher_id, v.lineitem";
                $d_result = $dbcon->prepare($d_query);
                $d_result->execute();
            }
            catch(PDOException $e)
            {
                echo "Error : ". $e->getMessage();
            }




			?>














			<table class="table table-bordered table-striped table-advanced tablesorter tb-sticky-header table-sm">
			<tr>
				<th>Sr</th>
				<th>VOUCHER ID</th>
				<th>ACCOUNT ID</th>
				<th>ACCOUNT NAME</th>
				<th>PARTICULARS</th>
				<td  align="right"><b>DEBIT</b></td>
				<td align="right"><b>CREDIT</b></td>

			</tr>
			<?php
			$bal = 0;
			$serno = 0;
			$debit_amount_tot = 0;
			$credit_amount_tot = 0;
        $link_voucher = "";
            while($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {
				$serno = $serno + 1;
				$debit_amount_tot += $report_row['debit_amount'];
				$credit_amount_tot += $report_row['credit_amount'];
				$bal = $bal + $report_row['debit_amount'] - $report_row['credit_amount'];


				$voucherID = substr($report_row['voucher_id'],0,8);

				$vouchertype = substr($report_row['voucher_id'],0,2);







                if(substr( $report_row['voucher_id'],0,1) == 'C' )
                {
                    $link_voucher = 'payment_detail';
                }

                if(substr( $report_row['voucher_id'],0,1) == 'B' )
                {
                    $link_voucher = 'payment_detail';
                }


                if(substr( $report_row['voucher_id'],0,1) == 'SL' )
                {
                    $link_voucher = 'sl_inv_detail';
                }

                if(substr( $report_row['voucher_id'],0,1) == 'PL' )
                {
                    $link_voucher = 'pl_inv_detail';
                }

                if(substr( $report_row['voucher_id'],0,2) == 'JV' )
                {
                    $link_voucher = 'jv_detail';
                }

                if(substr( $report_row['voucher_id'],0,2) == 'FG' )
                {
                    $link_voucher = 'production_detail';
                }

                if(substr( $report_row['voucher_id'],0,2) == 'OG' )
                {
                    $link_voucher = 'gatepass_detail';
                }


				?>
				<tr>
					<td><?php echo($serno); ?></td>
                    <td><a href="<?php echo $link_voucher;?>?v_id=<?php echo $voucherID;?>&voucher_type=<?php echo $vouchertype;?>&posted='on'" target="_blank"> <?php echo $report_row['voucher_id']; ?></a></td>
					<td><?php echo $report_row['acct_id']; ?></td>
					<td><?php echo $report_row['acct_name']; ?></td>
					<td><?php echo $report_row['particulars']; ?></td>
					<td align="right"><?php echo format_number($report_row['debit_amount'],$rate_decimals); ?></td>
					<td align="right"><?php echo format_number($report_row['credit_amount'],$rate_decimals); ?></td>


				</tr>
				<?php
			}
			?>
			 <tr><td></td><td><td></td><td></td><td align="right"><b>Total</b></td><td align="right"><b><?php  echo  number_format($debit_amount_tot,$rate_decimals); ?></b></td><td align="right"><b><?php  echo  number_format($credit_amount_tot,$rate_decimals); ?></b></td></tr>
    <?php

	$g_tot_dbqty += $debit_amount_tot;
	$g_tot_crqty += $credit_amount_tot;

		}

	?>
	<tr>


    <td></td>
    <td></td>
    <td></td>
	<td></td>
	<td align="right"><b>Grand Total</b></td>
	<td align="right"><b><?php echo number_format(($g_tot_dbqty),$rate_decimals);?></b></td>
    <td align="right"><b><?php echo number_format(($g_tot_crqty),$rate_decimals);?></b></td>


</tr>

 </table>


<?php

	}
}



?>