<?php
//session_start();
ob_start();
require_once ("fpdf/fpdf.php");


date_default_timezone_set("Asia/Karachi");


$db_host = "localhost";
$db_user = "pwwatmno_jpaf";
$db_pass = "ClickSoft_123";
$db_name = "pwwatmno_click_ca";


try {
    //$dbcon = new PDO("mysql:host={$db_host};dbname={$db_name}",$db_user, $db_pass ,array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8") );
    //    $dbcon = new PDO("mysql:host={$db_host};dbname={$db_name}",$db_user, $db_pass,array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET GLOBAL sql_mode = '';"));
    $dbcon = new PDO(
        "mysql:host={$db_host};dbname={$db_name}",
        $db_user,
        $db_pass,
        array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8")

    );


    $dbcon->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    echo "Error: " . $e->getMessage();
}



//function for date format 7-01-15
function format_date($dDate)
{

    return substr($dDate, 8, 2) . '-' . substr($dDate, 5, 2) . '-' . substr($dDate, 2, 2);
}




function format_date_yyyy($dDate)
{
    return substr($dDate, 8, 2) . '-' . substr($dDate, 5, 2) . '-' . substr($dDate, 0, 4);
}

//find value in table
function find_value($cTable, $f, $cAnd)
{

$db_host = "localhost";
$db_user = "pwwatmno_jpaf";
$db_pass = "ClickSoft_123";
$db_name = "pwwatmno_click_ca";

    try {
        //$dbcon = new PDO("mysql:host={$db_host};dbname={$db_name}",$db_user, $db_pass ,array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8") );
        //    $dbcon = new PDO("mysql:host={$db_host};dbname={$db_name}",$db_user, $db_pass,array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET GLOBAL sql_mode = '';"));
        $dbcon = new PDO(
            "mysql:host={$db_host};dbname={$db_name}",
            $db_user,
            $db_pass,
            array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8")

        );


        $dbcon->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }


    try {

        $q = "SELECT $f f FROM $cTable WHERE 1 = 1 $cAnd";
        //echo $q;

        $result = $dbcon->prepare($q);
        $result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    $value = "";
    while ($row = $result->fetch(PDO::FETCH_ASSOC)) {
        $value = $row['f'];
    }


    return $value;
}


function format_number_pdf($total, $n)

{


    if ($total == 0 or !isset($total)) {

        return '';
    } else {

        return number_format($total, $n);
    }
}



function format_number_drcr($total, $n)

{



    if ($total == 0 or !isset($total)) {

        return '';
    } else {

        if ($total < 0) {

            $total = number_format(abs($total), $n) . ' Cr';
        } else if ($total > 0) {
            $total = number_format($total, $n) . ' Dr';
        }

        return $total;
    }
}


class PDF extends FPDF
{
    /************START PAGE HEADER*********/
    function Header()
    {
        //include("include/dbconnect.php");

        $rep_name = 'Customer Trial';


        $comp_id = $_GET['comp_id'];
        $acct_id = $_GET['acct_id'];

        $from_date = ($_GET['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = ($_GET['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);


        if ($comp_id != "All") {
            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");
        }


        $this->SetFont('Arial', 'B', 18);
        $this->Cell(178, 10, strtoupper($comp_name), 0, 0, 'C');
        $this->Ln(10);
        $this->SetFont('Arial', 'U', 18);
        $this->Cell(178, 10, $rep_name, 0, 0, 'C');
        $this->Ln(10);
        $this->SetFont('Arial', '', 12);
        $this->Cell(110, 10, format_date($from_date) .' To ' . format_date($to_date), 0, 0, 'R');
        $this->Ln(10);

        /*****************END MASTER TABLE QUERY*****************/



    }

// Page footer
    function Footer()
    {
        // Position at 1.5 cm from bottom
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial','I',8);
        // Page number
        $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
    }
}


$pdf = new PDF();

$pdf->AliasNbPages();
$pdf->AddPage("P");




$from_date = date('Y-m-d');
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = date('Y-m-d');
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = 'All';

$acct_id = 'All';
$reg_id = '010105';

$nums_array = explode(',', $reg_id);

$filter_type = 'IN';



$pdf->Ln(10);

$pdf->SetFont('Arial', 'B', 18);
$pdf->Cell(178, 10, 'DETAIL', 0, 0, 'C');



$pdf->Ln(10);
$pdf->Cell(1);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(15, 8, 'ID', 1, 0,'C');
$pdf->Cell(90, 8, 'Account Name', 1);
$pdf->Cell(20, 8, 'Opening', 1, 0,'R');
$pdf->Cell(20, 8, 'Debit', 1, 0,'R');
$pdf->Cell(20, 8, 'Credit', 1, 0,'R');
$pdf->Cell(20, 8, 'Balance', 1, 0,'R');
$pdf->Ln(8);
$pdf->SetFont('Arial', '', 8);






if ($comp_id != "All") {

    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
}
else
{
    $comp_name = find_value('v_system', 'comp_name', "");

}
/*************END FINDE COMPANY NAME*****************/


$and = '';
$n_and = " and (n.acct_id like '261000%' and length(n.acct_id)=10)";
$and .= " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

if ($comp_id != "All") {
    $and .= " and v.comp_id = '$comp_id'";
}

if ($acct_id != "All") {
    $and .= " and n.acct_id like '$acct_id%'";

    $n_and .= " and n.acct_id like '$acct_id%'";
}


/* if ($reg_id != "All") {
     $and .= " and n.reg_id like '$reg_id%'";

     $n_and .= " and n.reg_id like '$reg_id%'";
 }*/


if ($reg_id != "All" && ($filter_type == 'IN' || $filter_type == 'NOT IN')) {
    //$and .= " and n.reg_id $filter_type ($reg_id)";
    //$n_and .= " and n.reg_id $filter_type ($reg_id)";

    $and .= " and n.reg_id $filter_type(".implode(",", array_map('intval', $nums_array)).")";
    $n_and .= " and n.reg_id $filter_type(".implode(",", array_map('intval', $nums_array)).")";

}




$and .= " and (v.debit is not null or v.credit is not null)";

$and .= " and n.acct_id <> '2610000804'";


try {
    $msqlquery = "SELECT n.reg_id, r.reg_name, sum(ifnull(o.o_bal,0)) o_bal, sum(ifnull(v.debit,0)) debit, sum(ifnull(v.credit,0)) credit
 
FROM nom n
LEFT JOIN regions r on n.reg_id=r.reg_id

LEFT JOIN (
    SELECT
        v.acct_id,
        
        sum(
            ifnull(v.debit, 0) - ifnull(v.credit, 0)
        ) o_bal
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        v.voucher_date < '$new_from_date'
    GROUP BY
        v.acct_id
) o ON n.acct_id = o.acct_id
LEFT JOIN (
    SELECT
        v.acct_id,
        sum(v.debit) debit,
        sum(v.credit) credit,
        v.voucher_date
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        1 = 1 $and $n_and
    GROUP BY
        v.acct_id
) v ON n.acct_id = v.acct_id
where n.reg_id <>'' and (n.acct_id like '261000%' and length(n.acct_id)=10) $n_and
group by n.reg_id, r.reg_name
order by sum(ifnull(o.o_bal,0))+sum(ifnull(v.debit,0))-sum(ifnull(v.credit,0)) desc
";
//echo $msqlquery;

    $v_result = $dbcon->prepare($msqlquery);
    $v_result->execute();
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}



$g_sr = 0;

$g_net_amt_tot = 0;
$g_disc_amt_tot = 0;
$g_rec_amt_tot = 0;
$g_rtn_amt_tot = 0;
$g_bal_amt_tot = 0;
$net_amt_tot  = 0;
$disc_amt_tot =0;
$rec_amt_tot = 0;
$bal_amt_tot  = 0;
$rtn_amt_tot =0;





try {
    $msqlquery = "

SELECT reg_id acct_id, reg_name acct_name,  NULL ur_acct_name, null o_bal, null debit, null credit, null balance
FROM regions where reg_id in
(SELECT reg_id
FROM
    nom n
LEFT JOIN (
    SELECT
        v.acct_id,
        
        sum(
            ifnull(v.debit, 0) - ifnull(v.credit, 0)
        ) o_bal
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        v.voucher_date < '$new_from_date'
    GROUP BY
        v.acct_id
) o ON n.acct_id = o.acct_id
LEFT JOIN (
    SELECT
        v.acct_id,
        sum(v.debit) debit,
        sum(v.credit) credit,
        v.voucher_date
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        1 = 1  $and
    GROUP BY
        v.acct_id
) v ON n.acct_id = v.acct_id
WHERE
1 = 1 
$n_and
)

UNION ALL 

SELECT n.acct_id,
       n.acct_name,
       n.ur_acct_name,
       n.o_bal,
       n.debit,
       n.credit,
       n.balance
FROM
(



SELECT
    concat(n.reg_id,substring(n.acct_id,-4)) acct_id,
    concat(n.acct_name,if(n.phone<>'', concat(' / Phone#',n.phone),'')) acct_name,
    o.o_bal,
    v.debit,
    v.credit,
    ifnull(o.o_bal, 0) + ifnull(v.debit, 0) - ifnull(v.credit, 0) balance,
    n.ur_acct_name
FROM
    nom n
LEFT JOIN (
    SELECT
        v.acct_id,
        
        sum(
            ifnull(v.debit, 0) - ifnull(v.credit, 0)
        ) o_bal
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        v.voucher_date < '$new_from_date'
    GROUP BY
        v.acct_id
) o ON n.acct_id = o.acct_id
LEFT JOIN (
    SELECT
        v.acct_id,
        sum(v.debit) debit,
        sum(v.credit) credit,
        v.voucher_date
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        1 = 1  $and
    GROUP BY
        v.acct_id
) v ON n.acct_id = v.acct_id
WHERE
1 = 1 
$n_and  and n.acct_id <> '2610000804'
order by n.acct_id
) n

order by 1, 2
";

#echo $msqlquery;

    $vd_result = $dbcon->prepare($msqlquery);
    $vd_result->execute();
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


$sr = 0;
$g1_o_bal_tot=0;
$g1_debit_tot=0;
$g1_credit_tot=0;
$g1_balance_tot=0;

$o_bal_amount_tot=0;
$debit_amount_tot=0;
$credit_amount_tot=0;
$balance_amount_tot=0;


while ($vd_row = $vd_result->fetch(PDO::FETCH_ASSOC)) {


    $o_bal_amount_tot += $vd_row['o_bal'];
    $debit_amount_tot += $vd_row['debit'];
    $credit_amount_tot += $vd_row['credit'];
    $balance_amount_tot += $vd_row['balance'];

    $g1_o_bal_tot +=$vd_row['o_bal'];
    $g1_debit_tot +=$vd_row['debit'];
    $g1_credit_tot +=$vd_row['credit'];
    $g1_balance_tot +=$vd_row['balance'];

    $acct_id=substr($vd_row['acct_id'],-4);

    $sr += 1;
    $pad='';

    $grp_label='';
    if ($o_bal_amount_tot<>0 || $debit_amount_tot<>0 || $credit_amount_tot<>0 || $balance_amount_tot<>0)
        $grp_label='Region Total:';

    if (strlen($vd_row['acct_id'])<=6)
    {

        $serno = '';
        $acct_id = '';

        $pdf->SetFont('Arial', 'B', 8);
        $pdf->Cell(1);
        $pdf->Cell(15, 8, '', 1);
        $pdf->Cell(90, 8, $grp_label, 1, 0,'R');
        $pdf->Cell(20, 8, format_number_drcr($o_bal_amount_tot,0), 1, 0,'R');
        $pdf->Cell(20, 8, format_number_pdf($debit_amount_tot,0), 1, 0,'R');
        $pdf->Cell(20, 8, format_number_pdf($credit_amount_tot,0), 1, 0,'R');
        $pdf->Cell(20, 8, format_number_drcr($balance_amount_tot,0), 1, 0,'R');
        $pdf->SetFont('Arial', '', 8);
        $pdf->Ln(8);

        $o_bal_amount_tot = 0;
        $debit_amount_tot = 0;
        $credit_amount_tot = 0;
        $balance_amount_tot = 0;

    }

    $pdf->SetFont('Arial', '', 8);
    if (strlen($vd_row['acct_id'])<=6)
        $pdf->SetFont('Arial', 'B', 12);

    $pdf->Cell(1);
    $pdf->Cell(15, 8, $acct_id, 1, 0,'C');
    $pdf->Cell(90, 8, $vd_row['acct_name'], 1);
    $pdf->Cell(20, 8, format_number_drcr($vd_row['o_bal'],0), 1, 0,'R');
    $pdf->Cell(20, 8, format_number_pdf($vd_row['debit'],0), 1, 0,'R');
    $pdf->Cell(20, 8, format_number_pdf($vd_row['credit'],0), 1, 0,'R');
    $pdf->Cell(20, 8, format_number_drcr($vd_row['balance'],0), 1, 0,'R');
    $pdf->Ln(8);

}

$g_sr += $sr;
$g_net_amt_tot += $net_amt_tot;
$g_disc_amt_tot += $disc_amt_tot;
$g_rec_amt_tot += $rec_amt_tot;
$g_bal_amt_tot += $bal_amt_tot;
$g_rtn_amt_tot += $rtn_amt_tot;





$pdf->Ln(8);

$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(1);
$pdf->Cell(15, 8, '', 1);
$pdf->Cell(90, 8, 'Grand Total : ', 1, 0,'R');
$pdf->Cell(20, 8, format_number_drcr($g1_o_bal_tot,0), 1, 0,'R');
$pdf->Cell(20, 8, format_number_pdf($g1_debit_tot,0), 1, 0,'R');
$pdf->Cell(20, 8, format_number_pdf($g1_credit_tot,0), 1, 0,'R');
$pdf->Cell(20, 8, format_number_drcr($g1_balance_tot,0), 1, 0,'R');



$cur_date = date('d-m-Y');
$filename="upload/".'customer_trial-'.$cur_date. ".pdf";
$pdf->Output($filename,'F');

require 'PHPMailer/PHPMailerAutoload.php';
$name = 'Customer Trial VIP Customers Report';
$from_email = 'info@kafeeltraders.com';
$client_mail = 'm.shakeel@chashmaghee.com';
$cc_email = 'mfarooqtanveer@gmail.com';
$cc_email_1 = 'kafeeltraders.466@gmail.com';
$cc_email_2 = 'khaliareas@gmail.com';



//Create an instance; passing `true` enables exceptions
$mail = new PHPMailer(true);

try {
    //Server settings
    //$mail->SMTPDebug = SMTP::DEBUG_SERVER;                      //Enable verbose debug output
    $mail->isSMTP();                                            //Send using SMTP
    $mail->Host       = '5.161.50.113';                     //Set the SMTP server to send through
    $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
    $mail->Username   = 'clicksoft@kafeeltraders.com';                     //SMTP username
    $mail->Password   = 'Kafeel_321000..';                               //SMTP password
    $mail->SMTPSecure = 'ssl';            //Enable implicit TLS encryption
    $mail->Port       = 465;                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

$mail->SMTPOptions = array(
    'ssl' => array(
        'verify_peer' => false,
        'verify_peer_name' => false,
        'allow_self_signed' => true
    )
);



  $mail->setFrom($from_email, $name);
//$mail->addReplyTo($client_mail, $name);
$mail->addAddress($client_mail);
$mail->addCC($cc_email);
$mail->addCC($cc_email_1);
$mail->addCC($cc_email_2);

$mail->addAttachment('upload/customer_trial-'.$cur_date. '.pdf');



$mail->isHTML(true);  // Set email format to HTML


$subject = 'Customer Trial VIP Customer - ' . $cur_date;

$body = 'Customer Trial VIP Customer';

$mail->Subject = $subject;
$mail->Body = $body;

    $mail->send();
    echo 'Message has been sent';
} catch (Exception $e) {
    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
}