<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}

$menu_id = $_GET['menu_id'];
$comp_id = clean_data($_SESSION["comp_id"]);
$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$comp_name = find_value("company", 'comp_name', " and comp_id = '$comp_id'");

$inactive = find_value("users_menu", 'inactive', " and auth_id = '$auth_id' and emp_id = '$emp_id' AND menu_id = '$menu_id'  AND inactive = 'N'");


$insert_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
$update_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
$delete_allowed = find_value("users_menu", 'menu_id', "  and emp_id = '$emp_id'  AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");


$rate_decimals = find_value('v_system', 'rate_decimals', "");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

?>


<!DOCTYPE html>
<html lang="en">
<head>
    <title>Employee | <?php echo $row->acct_name; ?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link href="vendors/bootstrap-editable/css/bootstrap-editable.css" rel="stylesheet" type="text/css" />


    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">

    <link type="text/css" rel="stylesheet"

          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">

    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">

    <link type="text/css" rel="stylesheet" href="css/custom.css">


</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">Employee</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index">Home</a>&nbsp;&nbsp;<i
                            class="fa fa-angle-right"></i>&nbsp;&nbsp;
                    </li>
                    <li class="active">Employee</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">


                <div class="panel">

                    <div class="panel-body">



                        <div id="buttons" class="pull-right text-right"></div>
                        <br clear="all">

                        <div class="row">


                            <div class="col-lg-4">



                                <div class="input-group">

                                    <span class="input-group-btn">
                                        <button type="button" data-toggle="dropdown" class="btn btn-success dropdown-toggle">Search</button>
                                    </span>

                                    <input type="search" class="form-control input-md" placeholder="" aria-controls="table-1" id="myInputTextField">



                                </div>
                            </div>
                                <div class="col-lg-2">
                                    <div class=" customselect">
                                        <select name='c_length_change' id='c_length_change' class="form-control customselect form-control-md" >
                                            <option value='10'>10</option>
                                            <option value='25'>25</option>
                                            <option value='50'>50</option>
                                            <option value='-1'>All</option>
                                        </select>
                                    </div>
                                </div>


                            <div class="col-lg-6 ">

                                <!-----------------START ADD NEW VOUCHER------------->
                                <?php
                                if (!empty($insert_allowed) or ($auth_id == '9')) {
                                    ?>
                                    <a href="new_employee?menu_id=<?php echo $menu_id;?>"> <button type="button"  class="btn btn-primary btn-lg pull-right font-15" style="width: 200px; float: right;"><i class="fa fa-plus"></i> Add Employee</button></a>
                                <?php } ?>
                                <!-----------------END ADD NEW VOUCHER------------->
                            </div>

                        </div>
                        <br clear="all">




                        <div class="table-responsive">



                            <form class="form-horizontal wish_form" name="wish_form" id="wish_form">
                                <table id="table-1"  class="table  table-bordered  table-sm rounded_box" >
                                    <thead style="text-align: center">
                                    <tr>
                                        <th>Image</th>
                                        <th>Emp Code</th>
                                        <th>Emp Name</th>
                                        <th>Father Name</th>
                                        <th>Designations</th>
                                        <th>Joining Date</th>
                                        <th>Gross Salary</th>
                                        <th>Company</th>
                                        <th>Action</th>


                                    </tr>
                                    </thead>

                                    <tbody class="text-center">
                                    <?php
                                    try
                                    {
                                        $v_query =  "SELECT e.comp_id, e.emp_code, e.emp_name, e.father_name, e.designation, gross_salary, joining_date
                                      FROM employee e
                                      
                                      
                                      order by e.emp_code  asc";
                                        $v_result = $dbcon->prepare($v_query);
                                        $v_result->execute(array());
                                    }
                                    catch(PDOException $e)
                                    {
                                        echo "Error : ". $e->getMessage();
                                    }








                                    $sr = -1;
                                    while ($row = $v_result->fetch(PDO::FETCH_ASSOC)) {
                                        $sr ++;



                                        $f_comp_id =  $row['comp_id'];

                                        $emp_code = $row['emp_code'];

                                        $Path_JPG = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'.JPG';
                                        $Path_jpeg = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'.jpeg';
                                        $Path_jpg = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'.jpg';



                                        if(file_exists($Path_JPG))
                                        {

                                            $userPictureURL = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'.JPG';

                                        }

                                        else if(file_exists($Path_jpeg))
                                        {

                                            $userPictureURL = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'.jpeg';

                                        }

                                        else if(file_exists($Path_jpg))
                                        {

                                            $userPictureURL = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'.jpg';

                                        }
                                        else
                                        {
                                            //$no_img = 'No Image';
                                            $userPictureURL = 'upload/employee/no_image.jpg';
                                        }




                                        ?>
                                        <tr>
                                            <td><img src="<?php echo $userPictureURL;?>" class="img img-circle" width="80" height="80"> </td>
                                            <td><?php echo ($row['emp_code']);?></td>
                                            <td><?php echo ($row['emp_name']);?></td>
                                            <td><?php echo ($row['father_name']);?></td>
                                            <td><?php echo ($row['designation']);?></td>
                                            <td><?php echo ($row['joining_date']);?></td>
                                            <td><?php echo format_number($row['gross_salary'],$rate_decimals);?></td>

                                            <td><?php echo ($row['comp_id']);?></td>


                                            <td>
                                                <a href="emp_profile?id=<?php echo $row['emp_code'];?>&menu_id=<?php echo $menu_id;?>" class="btn btn-icon btn-info btn-sm" data-toggle="tooltip" data-placement="top" title="Profile"><i class="fa fa-eye font-14"></i></a>

                                                <?php
                                                if (!empty($update_allowed) or ($auth_id == '9')) {
                                                    ?>

                                                    <a href="new_employee?edit=Y&edit_id=<?php echo $row['emp_code'];?>&menu_id=<?php echo $menu_id;?>" class="btn btn-icon btn-warning btn-sm" data-toggle="tooltip" data-placement="top" title="Edit"><i class="fa fa-edit font-14"></i></a>

                                                <?php } ?>
                                            </td>



                                            </td>



                                        </tr>
                                        <?php
                                    }
                                    ?>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>


    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>
    <script src="vendors/bootstrap-editable/js/bootstrap-editable.min.js"></script>

    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>

    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

    <!-- BOOT BOX ALERT -->
    <script src="js/bootbox.min.js" type="text/javascript"></script>

    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">









        /****************************START DATATABLE*******************************/
        var oTable = $('#table-1').DataTable({

            "language": {
                "emptyTable": "No data available",
                sLengthMenu: "  _MENU_ ",
                /*searchPlaceholder: "Search...."*/
            },
            "lengthChange": false,
            dom: 'lfrtip',
            // Configure the drop down options.
            lengthMenu: [
                [10, 25, 50, -1],
                ['10', '25', '50', 'All']
            ],
            "rowHeight": 'auto',
            "order": [
                [0, "DESC"]
            ]

        });




        $('#myInputTextField').on('keyup change', function() {
            oTable.search($(this).val()).draw();
        });

        $('#c_length_change').val(oTable.page.len());

        $('#c_length_change').change(function() {
            oTable.page.len($(this).val()).draw();
        });


        /*************************************END DATATABLE********************************************/
    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->
</body>
</html>