<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
//variables
$menu_id = clean_data($_GET['menu_id']);

$voucher_type = clean_data($_POST['voucher_type']);
$login_page = find_value('v_system', 'login_page', '');

$qty_decimals = $_SESSION["qty_decimals"];
$rate_decimals = $_SESSION["rate_decimals"];

$add = clean_data($_GET['add']);
$emp_id = $_SESSION["VALID_USER_ID"];
$loc_id =  $_SESSION["short_name"];


$p_year_id = clean_data($_GET['year_id']);
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}



$p_comp_id = clean_data($_GET['comp_id']);

if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}



if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $voucher_type = clean_data($_POST['voucher_type']);



    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));



    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    // END MAXIMUM VOUCHER ID CHK QUERY



    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';





    //MAXIMUM INVOICE ID CHK QUERY
    try
    {
        $Maxquery_invoice =  "SELECT LPAD(IFNULL(max(substr(v.bill_no,-4)),0)+1,4,'0') v_id FROM pl_grn v
		WHERE v.comp_id = ? ";
        $max_query_inv = $dbcon->prepare($Maxquery_invoice);
        $max_query_inv->execute(array($comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max_invoice = $max_query_inv->fetch(PDO::FETCH_OBJ);
    $invoiceNo = $row_max_invoice->v_id;
    $invoice_no = $loc_id.$invoiceNo;







    $discount_voucher_id = "";
    $return_cash = 0;
    $bill_type = '';
    $sp = "";
    $invoice_no = "";
    $discp_m = 0;
    $disc_amt_m = 0;
    $net_amt = 0;
    $net_payable = 0;
    $adv_amt = 0;
    $dc_amt = 0;
    $bill_date = "";



}
else //EDIT
{

    $v_id = clean_data($_GET['v_id']);

    try
    {
        $edit_query =  "SELECT * FROM pl_grn m  WHERE m.voucher_id = '$v_id' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array());
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));
    $acct_id = $rowm->acct_id;
    $customer_name = $rowm->customer_name;
    $customer_phone = $rowm->customer_phone;
    $customer_cash = $rowm->customer_cash;
    $return_cash = $rowm->return_cash;
    $bill_type = $rowm->bill_type;
    $invoice_no = $rowm->bill_no;
    $sp = $rowm->sp_id;
    $discount_voucher_id = $rowm->discount_voucher_no;
    $discp_m = $rowm->discp;
    $disc_amt_m = $rowm->disc_amt;
    $net_amt = $rowm->net_amt;
    $net_payable = $rowm->net_payable;
    $adv_amt = $rowm->adv_amt;
    $dc_amt = $rowm->dc_amt;
    $location_id = $rowm->loc_id;
    $acct_id_cs_1 = $rowm->acct_id_cs_1;

    $v_bill_date = $rowm->bill_date;
    if(!empty($v_bill_date))
        $bill_date = date('d-m-Y', strtotime($v_bill_date));

    $sl_v_id= $rowm->sl_v_id;



}




?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Add Purchase GRN | <?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">Purchase GRN</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index">Dashboard</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li><a href="show_purchase_order?menu_id=<?php echo $menu_id;?>">Purchase GRN List</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active">Add Purchase GRN</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">


                <div class="panel">
                    <div class="panel-body">


                    <form class="form-horizontal"  name="sale_invoice"  id="sale_invoice">



                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->

                    <input type="hidden" class="form-control" name="voucher_type" id="voucher_type"
                           value="<?php echo $voucher_type; ?>">

                    <input type="hidden" class="form-control" name="add" id="add"
                           value="<?php echo $add; ?>">

                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                           value="<?php echo $comp_id; ?>">
                    <input type="hidden" class="form-control" name="p_menu_id" id="p_menu_id" value="<?php echo $menu_id; ?>">


                    <input type="hidden" class="form-control" name="p_year_id" id="p_year_id"
                           value="<?php echo $year_id; ?>">

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>

                                                <!-- VOUCHER ID -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="voucher_id"id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly style="width: 150px;">
                                                </td>

                                                <!-- DATE -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control v_date" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date;?>" style="width: 150px;">
                                                </td>



                                                <!-- SALE TYPE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Supplier</label>
                                                </td>
                                                <?php

                                                #                                                $and = " and p.party_type = 'S'";
                                                if($login_page == 'kt' or $login_page == 'tt' )
                                                {
                                                    $and = "";
                                                }

                                                try
                                                {
                                                    $p_query =  "SELECT p.acct_id, p.acct_name FROM v_party p WHERE 1 = 1 $and   ORDER BY p.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="acct_id" id="acct_id" class="form-control acct_id">


                                                        <option value="">Select Party</option>

                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($acct_id == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                    <input type="text" class="form-control"  id="party_bal" readonly placeholder="Party Balance">

                                                </td>
                                            </tr>


                                            <tr>

                                                <!-- CUSTOMER NAME-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Supplier Name:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="customer_name"id="customer_name" autocomplete="on" value="<?php echo $customer_name;?>" style="width: 150px;">
                                                </td>

                                                <!-- CUSTOMER PHONE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Supplier Phone No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="customer_phone"id="customer_phone" value="<?php echo $customer_phone;?>" autocomplete="on" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" style="width: 150px;">
                                                </td>


                                                <th>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Location</label>
                                                </th>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT l.loc_id, l.loc_name FROM location l ORDER BY l.loc_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="loc_id" id="loc_id" class=" form-control acct_id">




                                                        <?php
                                                        $loc_id = find_value('location', 'loc_id', " AND comp_id = '$comp_id'");
                                                        ?>

                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {
                                                            if($add == 'Y')
                                                            {
                                                                if ($loc_id == $p_row->loc_id) {
                                                                    echo '<option  value="' . $p_row->loc_id . '" selected>' . $p_row->loc_name . '</option>';

                                                                } else {

                                                                    echo '<option  value="' . $p_row->loc_id . '">' . $p_row->loc_name . '</option>';

                                                                }
                                                            }
                                                            else {
                                                                if ($location_id == $p_row->loc_id) {
                                                                    echo '<option  value="' . $p_row->loc_id . '"selected>' . $p_row->loc_name . '</option>';

                                                                }

                                                                echo '<option  value="' . $p_row->loc_id . '">' . $p_row->loc_name . '</option>';

                                                            }



                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>

                                            <tr>

                                                <!-- INVOICE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Inv No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="inv_no"id="inv_no" autocomplete="on"  style="width: 150px;" value="<?php echo $invoice_no;?>">
                                                </td>

                                                <!-- BIL DATE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Bill Date:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control v_date"  name="bill_date"id="bill_date" readonly value="<?php echo $bill_date;?>">
                                                </td>




                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Salesman</label>
                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT s.acct_id, s.acct_name FROM sp s  ORDER BY s.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="sp_id" id="sp_id" class=" form-control acct_id">




                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($acct_id == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>


                                            <tr>


                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Base Document</label></td>
                                                <td>
                                                    <select style="width:100%;"  name="base_doc" id="base_doc" class="acct_ids">
                                                        <option value=""></option>
                                                        <?php

                                                        if($add != 'Y') {


                                                            if ($base_doc == 'SO') {
                                                                echo '<option  value="' . "SO" . '"selected>' . "Order" . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "SO" . '">' . "Order" . '</option>';

                                                            }


                                                        }
                                                        else
                                                        {
                                                            ?>


                                                            <option value="SO">Order</option>

                                                        <?php } ?>
                                                    </select>
                                                </td>


                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Base Voucher ID</label></td>

                                                <td>
                                                    <select style="width:100%;"  name="base_voucher_id" id="base_voucher_id" class="acct_id">

                                                        <?php
                                                        if($add != 'Y') {

                                                            if($base_doc == 'QT') {
                                                                try {
                                                                    $p_query = "SELECT p.voucher_id FROM sl_quote p  ORDER BY p.voucher_id ASC ";

                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                } catch (PDOException $e) {
                                                                    echo "Error : " . $e->getMessage();
                                                                }
                                                            }

                                                            if($base_doc == 'SO')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_order p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }

                                                            if($base_doc == 'DC')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_dc p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }

                                                            if($base_doc == 'OG')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_gp p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }



                                                            while ($p_row = $p_result->fetch(PDO::FETCH_OBJ)) {

                                                                if ($new_base_voucher_id == $p_row->voucher_id) {
                                                                    echo '<option  value="' . $p_row->voucher_id . '"selected>' . $p_row->voucher_id . '</option>';

                                                                } else {
                                                                    echo '<option  value="' . $p_row->voucher_id . '">' . $p_row->voucher_id . '</option>';
                                                                }
                                                            }

                                                        }

                                                        ?>

                                                        <option value=""></option>

                                                    </select>
                                                </td>

                                                <!-- INVOICE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">BILL V ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="sl_v_id"id="sl_v_id" autocomplete="on"  style="width: 150px;" value="<?php echo $sl_v_id;?>">
                                                </td>

                                            </tr>


                                            <!-- <tr>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>

                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Departments</label>
                                                </td>
                                                <?php
                                            /*                                                try
                                                                                            {
                                                                                                $p_query =  "SELECT s.acct_id, s.acct_name FROM v_cost_centre s ORDER BY s.acct_id ASC ";

                                                                                                $p_result = $dbcon->prepare($p_query);
                                                                                                $p_result->execute(array());
                                                                                            }
                                                                                            catch(PDOException $e)
                                                                                            {
                                                                                                echo "Error : ". $e->getMessage();
                                                                                            }

                                                                                            */?>

                                                <td>
                                                    <select  name="acct_id_cs_1" id="acct_id_cs_1" class=" form-control acct_id">




                                                        <?php
                                            /*                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                                                                    {

                                                                                                        if ($acct_id_cs_1 == $p_row->acct_id)
                                                                                                        {
                                                                                                            echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                                                                        }
                                                                                                        else
                                                                                                        {
                                                                                                            echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                                                                        }
                                                                                                    }
                                                                                                    */?>
                                                    </select>
                                                </td>




                                            </tr>-->
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">


                                    <div class="row">
                                        <div class="col-lg-6 col-md-12 col-sm-12">
                                            <input type="text"  id="proname_1" name="proname" class="form-control readonly btn-md " placeholder="Product Name / Stock Code" autocomplete="off">
                                            <div id="stock_loader"></div>
                                        </div>

                                        <div class="col-lg-6 col-md-12 col-sm-12">
                                            <button class="btn btn-success addmore_sale font-15  pull-right ml-2 btn-lg" type="button" style="width: 205px;"><i class="fa fa-plus"></i> Add Product</button>
                                            <button class="btn btn-danger delete_sale font-15 pull-right btn-lg " type="button" style="width: 205px;"><i class="fa fa-trash"></i> Delete Product</button>
                                        </div>
                                    </div>



                                    <table class="table table-bordered table-responsive table-hover addrow_sale" id="addrow" style="font-size: 10px;">
                                        <thead >
                                        <tr>
                                            <th width="1%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th width="5%" style="text-align: center;">SR</th>
                                            <th width="8%" style="text-align: center;">STOCK CODE</th>
                                            <th width="10%" style="text-align: center;">PARTY STOCK CODE</th>
                                            <th width="15%" style="text-align: center;">ITEM NAME</th>
                                            <th width="10%" style="text-align: center;">BRAND</th>
                                            <th width="8%" style="text-align: center;">PARTICULARS</th>
                                            <th  style="text-align: center; width: 8%">QTY</th>
                                            <?php
                                            if($emp_id == 'click' || $emp_id == 'kt')
                                            {
                                            ?>
                                            <th width="10%" style="text-align: center;">RATE</th>
                                            <th width="7%" style="text-align: center;">DISC %</th>
                                            <th width="7%" style="text-align: center;">DISC AMOUNT</th>
                                            <th width="15%" style="text-align: center;">AMOUNT</th>
                                            <?php } ?>
                                        </tr>

                                        </thead>




                                        <?php

                                        try
                                        {
                                            $edit_query =  "SELECT
	d.*,
	 i.size,
	i.description,
	i.party_stock_code

FROM
 pl_grndet d
LEFT JOIN item i ON d.stock_code = i.stock_code

   WHERE d.voucher_id = ? and d.comp_id = ? AND d.year_id = ?
 order by d.lineitem/1 ";
                                            $resultd = $dbcon->prepare($edit_query);
                                            $resultd->execute(array($v_id, $comp_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        $cnt = 0;
                                        $itemtot = 0;
                                        $tot_qty = 0;
                                        while($rowd = $resultd->fetch(PDO::FETCH_OBJ))
                                        {
                                            $lineitem = $rowd->lineitem;
                                            $cnt = $lineitem;
                                            $itemtot += $rowd->itemtot;

                                            $tot_qty += $rowd->qty;

                                            $party_stock_code = $rowd->party_stock_code;
                                            $type_id = $rowd->type_id;


                                            ?>

                                            <!----------------------------------------------------------------------------------------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------SALE INVOICE DETAIL EDIT FORM---------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------------------------------------------------------------------------->
                                            <tr class="addrow_sale">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input type="text" data-type="stock_code" name="stock_code[]" class="form-control  autocomplete_txt stock_code" id="stockcode_<?php echo $cnt;?>" value="<?php echo $rowd->stock_code;?>" maxlength="11">
                                                </td>


                                                <!-- PARTY CODE -->
                                                <td>
                                                    <input type="text" data-type="party_stock_code" name="party_stock_code[]"  class="form-control party_stock_code autocomplete_txt " id="partystockcode_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->party_stock_code ;?>">
                                                </td>


                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->description ;?>">
                                                </td>

                                                <!-- BRAND -->
                                                <td>

                                                    <select name="type_id[]" id="typeid_<?php echo $cnt;?>" class="acct_id form-control">
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $act_query = "SELECT p.type_id, p.type_name  FROM prod_type p  ORDER BY p.type_id ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }

                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {

                                                            if ($type_id == $rowact->type_id)
                                                            {
                                                                echo '<option value="' . $rowact->type_id . '"selected>' . $rowact->type_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option value="' . $rowact->type_id . '">' . $rowact->type_name . '</option>';
                                                            }






                                                        }
                                                        ?>
                                                    </select>
                                                </td>


                                                <!-- PARTICULARS -->

                                                <td>
                                                    <input type="text" class="form-control particulars" name="particulars[]"  id="particulars_<?php echo $cnt;?>" size="50"  value="<?php echo $rowd->particulars;?>" />
                                                </td>
                                                <input type="hidden" class="form-control available_qty " name="available_qty[]" id="availableqty_<?php echo $cnt;?>" value="<?php echo $o_qty;?>" />

                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="number" class="form-control qty changesNo qty grand_tot_qty" name="qty[]" id="qty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->qty);?>" />
                                                </td>
                                                <?php
                                                if($emp_id == 'click' || $emp_id == 'kt')
                                                {
                                                ?>
                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]" id="orate_<?php echo $cnt;?>"  value="<?php echo round($rowd->rate, $rate_decimals);?>"/>
                                                </td>

                                                <!-- DISCOUNT -->
                                                <td>
                                                    <input type="text" class="form-control rate changesNo discp" name="discp[]" id="discp_<?php echo $cnt;?>" value="<?php echo round($rowd->discp);?>" />
                                                </td>
                                                <!-- DISCOUNT VALUE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo disc_amt" name="disc_amt[]" id="discamt_<?php echo $cnt;?>" value="<?php echo round($rowd->disc_amt);?>" readonly/>
                                                </td>

                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]" id="itemtot_<?php echo $cnt;?>" readonly value="<?php echo round($rowd->itemtot, $rate_decimals);?>"/>
                                                </td>
                                                <?php } ?>
                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>



                                        <!----------------------------------------------------------------------------------------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------SALE INVOICE DETAIL ADD FORM---------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------------------------------------------------------------------------->


                                        <?php  $numberofrow = 1; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>

                                            <tr class="addrow_sale">
                                                <!-- CHECKBOX FOR ADD NEW FORM FIELD -->
                                                <td>
                                                    <input class="case" type="checkbox" id="disable_<?php echo $counter;?>" checked/>
                                                </td>

                                                <!-- LINEITEM -->
                                                <td style="width: 60px;">
                                                    <?php $lineitem += 1;?>
                                                    <input type="text" class="form-control " name="lineitem[]<?php echo $counter;?>"  id="lineitem_1" value="<?php echo $lineitem;?>" readonly  />
                                                </td>

                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input  type="text"  data-type="stock_code" name="stock_code[]"  class="form-control   autocomplete_txt stock_code" id="stockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off" maxlength="11" autofocus >
                                                </td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input  type="text"  data-type="party_stock_code" name="party_stock_code[]"  class="form-control   autocomplete_txt party_stock_code" id="partystockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off">
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" autocomplete="off"  size="30">
                                                </td>

                                                <!-- BRAND # -->
                                                <td>
                                                    <select
                                                            name="type_id[]<?php if ($add == "Y") {
                                                                echo $counter;
                                                            } else {
                                                                echo $lineitem;
                                                            }

                                                            ?>" id="typeid_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" class="acct_id form-control">
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $act_query = "SELECT p.type_id, p.type_name  FROM prod_type p  ORDER BY p.type_id ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }

                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                            echo '<option value="' . $rowact->type_id . '">' . $rowact->type_name . '</option>';

                                                        }
                                                        ?>
                                                    </select>
                                                </td>


                                                <!-- PARTICULARS -->

                                                <td>
                                                    <input type="text" class="form-control particulars"  name="particulars[]<?php echo $counter;?>"  id="particulars_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" />
                                                </td>
                                                <input type="hidden" class="form-control available_qty " name="available_qty[]<?php echo $counter;?>" id="availableqty_<?php if($add == "Y") {
                                                    echo $counter;
                                                }

                                                else
                                                {
                                                    echo $lineitem;
                                                }
                                                ?>" />

                                                <!-- QUANTITY -->
                                                <td>
                                                    <input style="width: 90px;" type="number"  class="form-control qty  changesNo qty grand_tot_qty"  name="qty[]<?php echo $counter;?>" id="qty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>
                                                <?php
                                                if($emp_id == 'click' || $emp_id == 'kt')
                                                {
                                                ?>
                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]<?php echo $counter;?>" id="orate_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  />
                                                </td>


                                                <!-- DISCOUNT -->
                                                <td>
                                                    <input type="text" class="form-control rate changesNo discp" name="discp[]<?php echo $counter;?>" id="discp_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"   />

                                                </td>


                                                <!-- DISCOUNT AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control rate changesNo disc_amt" name="disc_amt[]<?php echo $counter;?>" id="discamt_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly  />

                                                </td>








                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]<?php echo $counter;?>" id="itemtot_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly/>
                                                </td>
                                                <?php } ?>
                                            </tr>
                                        <?php } ?>


                                        <thead>
                                        <tr>





                                            <td>
                                                <i class="fa fa-trash-o delete_sale" data-toggle="tooltip" data-placement="top" title="Delete Product" style="position: relative; margin-top: 20px; font-size: 24px; "></i>

                                            </td>

                                            <td><i class="fa fa-plus addmore_sale" data-toggle="tooltip" data-placement="top" title="Add Product" style="position: relative; margin-top: 20px; font-size: 24px;"></i></td>


                                            <td></td>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td   align="right" >

                                                <input type="text" class="form-control  grandtot_qty" name="grandtot_qty" id="grandtot_qty" autocomplete="off"  readonly value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_qty'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_qty'] = $tot_qty;
                                                }

                                                echo round($_SESSION['tot_qty']);?>" style=" font-weight: bold;" /></td>

                                            <?php
                                            if($emp_id == 'click' || $emp_id == 'kt')
                                            {
                                            ?>
                                            <td >


                                            </td>
                                            <td></td>
                                            <td></td>



                                            <td  colspan="1" align="right">
                                                <input type="text" class="form-control  grandtot " name="grandtot" id="grandtot" autocomplete="off" readonly   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['itemtot'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['itemtot'] = $itemtot;
                                                }

                                                echo round($_SESSION['itemtot'], $rate_decimals);?>" style=" font-weight: bold;" />
                                            </td>
                                        </tr>


                                        <tr>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td align="right">
                                                <b>Discount %</b>
                                            </td>
                                            <td >
                                                <input type="text" class="form-control  discp_m" name="discp_m" id="discp_m" value="<?php echo round($discp_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"/>
                                            </td>
                                            <td align="right">
                                                <b>Amount</b>
                                            </td>
                                            <td >
                                                <input type="text" class="form-control  disc_amt_m" name="disc_amt_m" id="disc_amt_m" value="<?php echo round($disc_amt_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" />
                                            </td>
                                        </tr>



                                        <tr>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Freight</b>
                                            </td>
                                            <td >
                                                <input type="text" class="form-control  dc_amt" name="dc_amt" id="dc_amt" value="<?php echo round($dc_amt); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" />
                                            </td>
                                        </tr>








                                        <tr>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Invoice Amount</b>
                                            </td>
                                            <td >
                                                <input type="text" class="form-control  net_amt" name="net_amt" id="net_amt" value="<?php echo round($net_amt); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" readonly/>
                                            </td>
                                        </tr>









                                        <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Advance</b>
                                            </td>
                                            <td >
                                                <input type="text" class="form-control  adv_amt" name="adv_amt" id="adv_amt" value="<?php echo round($adv_amt); ?>" autocomplete="off"  />
                                            </td>
                                        </tr>



                                        <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Total</b>
                                            </td>
                                            <td >
                                                <input type="text" class="form-control  invoice_tot" name="invoice_tot" id="invoice_tot" value="<?php echo round($net_payable); ?>" autocomplete="off"  readonly value="<?php echo $return_cash;?>" />
                                            </td>
                                            <?php } ?>
                                        </tr>

                                        </thead>

                                    </table>


                                    <div id="view"></div>
                                    <div class='row'>
                                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>


                                            <input type="button" class="btn btn-success btn-lg" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()" style="width: 205px; float: right;"/>


                                        </div>
                                    </div>


                </form>


</div>
                </div>


            </div>

        </div>
    </div>





    <!-----------------------------------------------------START SELECT ITEM FROM ENTER------------------------------------>


    <div id="search_item_modal" tabindex="-1" role="dialog" aria-labelledby="modal-default-label" aria-hidden="true" class="modal fade">
        <div class="modal-dialog modal-lg">
            <div class="modal-content rounded_box">
                <div class="modal-header">
                    <h2 class="modal-title " id="exampleModalLabel"><i class="fa fa-file" style="font-size: 30px;"></i> Select Products</h2>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-body pal">

                        <div class="col-12">




                            <button class="btn btn-primary pull-left form-control-lg" id="add_search_item" type="button" style="width: 150px;">Select</button>
                            <style>
                                #item_select_datatable_info {
                                    margin-top: 11px;
                                }
                            </style>


                            <!-- content will be load here -->
                            <div id="dynamic-content_item"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-----------------------------------------------END SELECT ITEM FROM ENTER------------------------------------>


















        <script src="js/jquery-1.10.2.min.js"></script>
        <script src="js/jquery-migrate-1.2.1.min.js"></script>
        <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
        <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
        <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
        <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
        <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
        <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
        <script src="vendors/iCheck/icheck.min.js"></script>
        <script src="vendors/iCheck/custom.min.js"></script>
        <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
        <script src="vendors/jquery-highcharts/highcharts.js"></script>
        <script src="js/jquery.menu.js"></script>
        <script src="vendors/jquery-pace/pace.min.js"></script>
        <script src="vendors/holder/holder.js"></script>
        <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
        <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
        <script src="vendors/moment/moment.js"></script>
        <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
        <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
        <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
        <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
        <script src="vendors/select2/select2.min.js"></script>
        <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>



        <!---------------------------START JAVASCRIPT-------------------------------->
        <script type="text/javascript">


            /**********************START AUTO LOAD ITEM LIST**********************/
            $("#base_voucher_id").on("change", function() {

                var base_doc =  $("#base_doc").val();

                var base_voucher_id =  $("#base_voucher_id").val();

                var action  = 'voucher_load';


                var dataString = 'base_doc=' + base_doc +  '&base_voucher_id=' + base_voucher_id + '&action=' + action ;



                $.ajax({
                    type: "POST",
                    data: dataString,
                    url: "ajax/get_purchase_base_voucher.php",
                    dataType: "json",
                    success: function(JSONObject) {
                        var peopleHTML = "";

                        // Loop through Object and create peopleHTML
                        var i = 1;

                        for (var key in JSONObject) {
                            if (JSONObject.hasOwnProperty(key)) {
                                //$("#v_date").val(JSONObject[key]["voucher_date"]);



                                // $("#acct_id").val(JSONObject[key]["acct_id"]);
                                $("#acct_id").val(JSONObject[key]["acct_id"]);
                                $("#acct_id").select2().trigger('change');

                                $("#net_amt").val(JSONObject[key]["net_amt"]);
                                $("#adv_amt").val(JSONObject[key]["adv_amt"]);
                                $("#invoice_tot").val(JSONObject[key]["net_payable"]);

                                $("#grandtot_qty").val(JSONObject[key]["q_tot"]);

                                $("#grandtot").val(JSONObject[key]["total_itemtot"]);

                                $("#discp_m").val(JSONObject[key]["m_discp"]);
                                $("#disc_amt_m").val(JSONObject[key]["m_disc_amt"]);
                                $("#dc_amt").val(JSONObject[key]["dc_amt"]);

                                $('.addmore_sale').hide();
                                $('.delete_sale').hide();
                                $("#adv_amt").prop('readonly', true);
                                $("#discp_m").prop('readonly', true);
                                $("#disc_amt_m").prop('readonly', true);
                                $("#dc_amt").prop('readonly', true);
                                $("#check_all").prop('disabled', true);


                                peopleHTML += '<tr class="addrow_sale">';
                                peopleHTML += '<td><input class="case" type="checkbox" disabled/></td>';
                                peopleHTML += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control" readonly size="1" value="' + JSONObject[key]["lineitem"] + '"/></td>';
                                peopleHTML += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" value="' + JSONObject[key]["stock_code"] + '" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11" readonly></td>';
                                peopleHTML += '<td><input type="text" data-type="stock_code" name="party_stock_code[]" id="partystockcode_' + i + '"  class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11" readonly></td>';

                                peopleHTML += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" value="' + JSONObject[key]["stock_name"] + '" class="form-control autocomplete_txt" autocomplete="off" readonly></td>';

                                peopleHTML += '<td><input type="text" data-type="description" name="type_id[]" id="typeid_' + i + '"  class="form-control" autocomplete="off" readonly ></td>';

                                peopleHTML += '<td><input type="text"  name="particulars[]" id="particulars_' + i + '" value="" class="form-control" autocomplete="off"  readonly></td>';
                                peopleHTML += '<td><input type="number" name="qty[]" id="qty_' + i + '" value="' + JSONObject[key]["qty"] + '" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                                <?php
                                if($emp_id == 'click' || $emp_id == 'kt')
                                {
                                ?>
                                peopleHTML += '<td><input type="text" name="rate[]" id="orate_' + i + '" value="' + JSONObject[key]["rate"] + '" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
                                peopleHTML += '<td><input type="text" name="discp[]" id="discp_' + i + '" value="' + JSONObject[key]["discp"] + '" class="form-control discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"readonly ></td>';
                                peopleHTML += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" value="' + JSONObject[key]["disc_amt"] + '" class="form-control discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                                peopleHTML += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" value="' + JSONObject[key]["itemtot"] + '" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

                                <?php } ?>
                                peopleHTML += '</tr>';
                                i++;

                                $('#acct_id option:not(:selected)').prop('disabled', true);
                            }
                        }

                        // Replace table’s tbody html with peopleHTML
                        $("#addrow tbody").html(peopleHTML);
                    }
                });
            });
            /**********************END AUTO LOAD ITEM LIST**********************/






            <?php

            //ADD MORE FIELD SHOW ACCOUNTS
            try {
                $act_query = "SELECT p.type_id, p.type_name  FROM prod_type p  ORDER BY p.type_id ASC";
                $act_result = $dbcon->prepare($act_query);
                $act_result->execute(array());
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }
            $options = '';
            $options = "<option></option>";
            while($row_nom = $act_result->fetch(PDO::FETCH_OBJ))
            {

                $options .= "<option value='{$row_nom->type_id}'>{$row_nom->type_name}</option>";
            }
            ?>
            //add table rows


            var process = "<?php echo $options; ?>";


            i = $('.addrow_sale').length;




            $(".addmore_sale").on('click', function() {

                add_more_row();


            });

            function add_more_row(){
                html = '<tr style="font-size=5px" class="addrow_sale" >';
                html += '<td><input class="case" type="checkbox"/></td>';
                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
                html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
                html += '<td><input type="text" data-type="party_stock_code" name="party_stock_code[]" id="partystockcode_'+i+'" class="form-control  autocomplete_txt party_stock_code" autocomplete="off"></td>';

                html += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" class="form-control autocomplete_txt item_name" autocomplete="off" ></td>';
                html += '<td><select name="type_id[]" id="typeid_'+i+'" class="form-control" >'+process+'</select></td>';

                html += '<td><input type="text"  name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="off"></td>';
                html += '<td><input type="number" name="qty[]" id="qty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                <?php
                if($emp_id == 'click' || $emp_id == 'kt')
                {
                ?>
                html += '<td><input type="text" name="rate[]" id="orate_'+i+'" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                html += '<td><input type="text" name="discp[]" id="discp_' + i + '" class="form-control discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                html += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" class="form-control discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';

                html += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

                <?php } ?>
                html += '</tr>';
                $('#addrow').append(html);
                i++;

                $('.item_name').focus();


            }





            /*******************START GET ITEM LIST FORM ENTER****************/

            //r = 1;
            $('#proname_1').keypress(function(e) {


                if (e.which == 13) {



                    var proname_1 = $("#proname_1").val();
                    html = '';
                    var action = 'search_item';
                    var dataString = 'proname_1=' + proname_1 + '&action=' + action;

                    $.ajax({
                        type: "POST",
                        url: "pl_search_item",
                        data: dataString,
                        beforeSend: function () {
                            $("#stock_loader").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                        },
                        success: function(data) {
                            var rowCount = $('.addrow_sale').length;




                            if (rowCount == 2) {

                                $('.case:checkbox:checked').parents("tr").remove();

                            }

                            $('#stock_loader').hide();
                            var json = JSON.parse(data);
                            //console.log(json);

                            var status = json[0].status;
                            var count = json[0].count;
                            var result = json[0].result;
                            var text = '';


                            if(status == 1)
                            {
                                var new_stock_code = result[0]['stock_code'];
                            }
                            $('#view_qty').hide();






                            var q = 1;
                            pro_tot = 0;


                            if (status == 2) {



                                var string = '<table id="table-1"  class="table  table-borderless font-size-14 vouchers_datatable rounded_box  table-hover" width="100%" >' +
                                    '<thead style="font-weight: bold; color: black; text-align: center">' +
                                    '<tr>' +
                                    '<th><input id="check_all_item" class="ml-10" type="checkbox"/></th>' +
                                    '<th>Product Code</th>' +
                                    '<th>Product Name</th>' +
                                    '<th>In Stock</th>' +
                                    '<th>Sale Price</th>' +


                                    '</tr>' +
                                    '</thead>' +

                                    '<tbody class="text-black text-center">'



                                for (i = 0; i < result.length; i++) {




                                    string += "<tr>" +
                                        '<td>' + '<input class="case_item" type="checkbox" id="basic_checkbox_3" />' + '</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">' + result[i]['stock_code'] + '</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">' + result[i]['description'] + '</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">' + result[i]['bal_qty'] + '</td>' +
                                        '<td class="btnSelectItem" style="cursor: pointer;">' + result[i]['s_rate'] + '</td>' +


                                        "</tr>";

                                }
                                string += '</tbody> </table>';
                                $("#dynamic-content_item").html(string);
                                $('#search_item_modal').modal('show');


                                /************************************START ADD DATATABLE**********************/
                                var select_item_table = $('#table-1').DataTable({
                                    "language": {
                                        "emptyTable": "No data available",
                                        sLengthMenu: "  _MENU_ ",
                                        /*searchPlaceholder: "Search...."*/
                                    },
                                    "lengthChange": false,
                                    dom: 'lfrtip',
                                    // Configure the drop down options.
                                    lengthMenu: [
                                        [10, 25, 50, -1],
                                        ['10', '25', '50', 'All']
                                    ],
                                    "rowHeight": 'auto',
                                    "order": [
                                        [0, "DESC"]
                                    ]
                                });

                                /************************************END ADD DATATABLE**********************/





                                /*************************START SEARCH ITEM SELECT CHECKBOX*****************/
                                $(document).on('change', '#check_all_item', function() {
                                    $('input[class = case_item]:checkbox').prop("checked", $(this).is(':checked'))
                                });


                                $("#add_search_item").on("click", function() {


                                    var checkedRows = [];
                                    $("tbody tr").each(function () {
                                        if ($(this).find("input[type=checkbox]").is(":checked")) {

                                            var $row = $(this).closest('tr');

                                            var product = {
                                                procode: $row.find('td').eq(1).text(),
                                                prname: $row.find('td').eq(2).text(),
                                                s_rate: $row.find('td').eq(4).text(),
                                                tot_cost: 1 * $row.find('td').eq(4).text(),
                                                bal_qty: $row.find('td').eq(3).text(),





                                            };

                                            var item_code = product.procode;


                                            // Check if code exists
                                            var exists = false;
                                            $('#addrow tbody tr').each(function (tr) {
                                                var currentRow = $(this).closest("tr");
                                                var item_code = currentRow.find("td:eq(2) input").val();


                                                if (item_code == product.procode) {


                                                    // Flag exists
                                                    exists = true;
                                                    $(this).data('qty', parseInt(q) + parseInt($(this).find('.qty').val()));

                                                    // Update table with new value
                                                    $('.qty', this).val($(this).data('qty'));
                                                    $('.qty', this).html($(this).data('qty'));
                                                    //$('.qty', this).val(qty);

                                                    var qtyeee = currentRow.find("td:eq(7) input").val();
                                                    var rate = currentRow.find("td:eq(8) input").val();

                                                    currentRow.find("td:eq(11) input").val(qtyeee * rate );


                                                }

                                            });

                                            if (!exists) {




                                                <?php

                                                //ADD MORE FIELD SHOW ACCOUNTS
                                                try {
                                                    $act_query = "SELECT p.type_id, p.type_name  FROM prod_type p  ORDER BY p.type_id ASC";
                                                    $act_result = $dbcon->prepare($act_query);
                                                    $act_result->execute(array());
                                                } catch (PDOException $e) {
                                                    echo "Error : " . $e->getMessage();
                                                }
                                                $options = '';
                                                $options = "<option></option>";
                                                while($row_nom = $act_result->fetch(PDO::FETCH_OBJ))
                                                {

                                                    $options .= "<option value='{$row_nom->type_id}'>{$row_nom->type_name}</option>";
                                                }
                                                ?>
                                                //add table rows


                                                var process = "<?php echo $options; ?>";


                                                i = $('.addrow_sale').length;



                                                //pro_tot = q * product.s_rate;
                                                html = '<tr style="font-size=5px"  class="addrow_sale" >';
                                                html += '<td><input class="case" type="checkbox"/></td>';
                                                html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control form-control-sm" readonly size="1" value="' + i + '"/></td>';
                                                html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" class="form-control form-control-sm autocomplete_txt stock_code" autocomplete="off" value="' + result[0]['stock_code'] + '"></td>';
                                                html += '<td><input type="text" data-type="party_stock_code" name="party_stock_code[]" id="partystockcode_'+i+'" class="form-control autocomplete_txt party_stock_code" autocomplete="off" value="' + result[0]['party_stock_code'] + '"></td>';

                                                html += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" class="form-control form-control-sm autocomplete_txt" autocomplete="off" value="' + result[0]['description'] + '" ></td>';
                                                html += '<td><select name="type_id[]" id="typeid_'+i+'" class="form-control" >'+process+'</select></td>';

                                                html += '<td><input type="text"  name="particulars[]" id="particulars_' + i + '" class="form-control form-control-sm" autocomplete="off"></td>';
                                                html += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control form-control-sm qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + q + '"></td>';


                                                html += '<td><input type="text" name="rate[]" id="orate_' + i + '" class="form-control form-control-sm rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + result[0]['p_rate'] + '" ></td>';
                                                html += '<td><input type="text" name="discp[]" id="discp_' + i + '" class="form-control form-control-sm discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                                                html += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" class="form-control form-control-sm discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"  readonly ></td>';

                                                html += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control form-control-sm totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly value="' + pro_tot + '"></td>';

                                                html += '</tr>';
                                                $('#addrow').append(html);
                                                i++;
                                            }

                                            calculateTotal();
                                            calculateTotal_qty();
                                            calculateInvoiceTotal();
                                            calculateNetAmount();

                                            $("#search_item_modal").modal("hide");
                                            $('#view_qty').hide();

                                        }

                                        if ($(this).find("input[type=checkbox]").is(":checked")) {

                                            $(this).find("input[type=checkbox]").prop("checked", false);

                                            $('#check_all_item').prop("checked", false);

                                        }

                                    });


                                });




                                /*************************END SEARCH ITEM SELECT CHECKBOX*****************/

                            }


                            else if (status == 1) {



                                // Check if code exists
                                var exists = false;
                                $('#addrow tbody tr').each(function(tr) {
                                    var currentRow = $(this).closest("tr");
                                    var item_code = currentRow.find("td:eq(2) input").val();

                                    var itemtot = currentRow.find("td:eq(11) input").val()


                                    if (item_code == new_stock_code) {


                                        // Flag exists
                                        exists = true;
                                        $(this).data('qty', parseInt(q) + parseInt($(this).find('.qty').val()));

                                        // Update table with new value
                                        $('.qty', this).val($(this).data('qty'));
                                        $('.qty', this).html($(this).data('qty'));
                                        //$('.qty', this).val(qty);




                                        var qtyeee = currentRow.find("td:eq(7) input").val();
                                        var rate = currentRow.find("td:eq(8) input").val();

                                        currentRow.find("td:eq(11) input").val(qtyeee * rate );



                                    }



                                });

                                if (!exists) {


                                    qty = 1;
                                    orate = result[0]['p_rate'];

                                    pro_tot = getNum(parseFloat((orate * qty)).toFixed());

                                    // i = $('.addrow_sale').length;

                                    <?php

                                    //ADD MORE FIELD SHOW ACCOUNTS
                                    try {
                                        $act_query = "SELECT p.type_id, p.type_name  FROM prod_type p  ORDER BY p.type_id ASC";
                                        $act_result = $dbcon->prepare($act_query);
                                        $act_result->execute(array());
                                    } catch (PDOException $e) {
                                        echo "Error : " . $e->getMessage();
                                    }
                                    $options = '';
                                    $options = "<option></option>";
                                    while($row_nom = $act_result->fetch(PDO::FETCH_OBJ))
                                    {

                                        $options .= "<option value='{$row_nom->type_id}'>{$row_nom->type_name}</option>";
                                    }
                                    ?>
                                    //add table rows


                                    var process = "<?php echo $options; ?>";


                                    i = $('.addrow_sale').length;




                                    html = '<tr style="font-size=5px" class="addrow_sale"  >';
                                    html += '<td><input class="case" type="checkbox"/></td>';
                                    html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_' + i + '" class="form-control form-control-sm" readonly size="1" value="' + i + '"/></td>';
                                    html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_' + i + '" class="form-control form-control-sm autocomplete_txt stock_code" autocomplete="off" value="' + result[0]['stock_code'] + '"></td>';
                                    html += '<td><input type="text" data-type="party_stock_code" name="party_stock_code[]" id="partystockcode_'+i+'" class="form-control autocomplete_txt party_stock_code" autocomplete="off" value="' + result[0]['party_stock_code'] + '"></td>';

                                    html += '<td><input type="text" data-type="description" name="discription[]" id="description_' + i + '" class="form-control form-control-sm autocomplete_txt" autocomplete="off" value="' + result[0]['description'] + '" ></td>';
                                    html += '<td><select name="type_id[]" id="typeid_'+i+'" class="form-control" >'+process+'</select></td>';

                                    html += '<td><input type="text"  name="particulars[]" id="particulars_' + i + '" class="form-control form-control-sm" autocomplete="off"></td>';
                                    html += '<td><input type="number" name="qty[]" id="qty_' + i + '" class="form-control form-control-sm qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + q + '"></td>';


                                    html += '<td><input type="text" name="rate[]" id="orate_' + i + '" class="form-control form-control-sm rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" value="' + result[0]['p_rate'] + '" ></td>';
                                    html += '<td><input type="text" name="discp[]" id="discp_' + i + '" class="form-control form-control-sm discp changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                                    html += '<td><input type="text" name="disc_amt[]" id="discamt_' + i + '" class="form-control form-control-sm discamt_ changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"  readonly ></td>';

                                    html += '<td><input type="text" name="itemtot[]" id="itemtot_' + i + '" class="form-control form-control-sm totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly value="' + pro_tot + '"></td>';

                                    html += '</tr>';
                                    $('#addrow').append(html);
                                    i++;


                                }

                                var proname_1 = $("#proname_1").val('');

                                calculateTotal();
                                calculateTotal_qty();
                                calculateInvoiceTotal();
                                calculateNetAmount();


                            } else {


                                alert('No data available');


                            }



                        }

                    })
                }



            });
            /*******************END GET ITEM LIST FORM ENTER****************/



            //autocomplete script sale invoice select stock code
            $(document).on('focus','.autocomplete_txt',function(){
                type = $(this).data('type');

                if(type =='stock_code' )autoTypeNo=0;
                if(type =='description' )autoTypeNo=1;
                if(type =='party_stock_code' )autoTypeNo=2;


                $(this).autocomplete({
                    source: function( request, response ) {
                        $.ajax({
                            url : 'kt_pl_select_stock.php',
                            dataType: "json",
                            method: 'post',
                            data: {
                                name_startsWith: request.term,
                                type: type
                            },
                            success: function( data ) {
                                response( $.map( data, function( item ) {
                                    var code = item.split("|");
                                    return {
                                        label: code[autoTypeNo],
                                        value: code[autoTypeNo],
                                        data : item
                                    }
                                }));
                            }
                        });
                    },
                    autoFocus: true,
                    minLength: 1,

                    select: function( event, ui ) {
                        var names = ui.item.data.split("|");
                        id_arr = $(this).attr('id');
                        id = id_arr.split("_");
                        $('#stockcode_'+id[1]).val(names[0]);
                        $('#description_'+id[1]).val(names[1]);
                        $('#partystockcode_'+id[1]).val(names[2]);
                        $('#orate_'+id[1]).val(names[3]);

                        s_rate =  $('#orate_'+id[1]).val();
                        s_qty =  $('#qty_'+id[1]).val(1);

                        $('#qty_' + id[1]).focus();

                        $('#itemtot_' + id[1]).val(1 * names[3]);
                        add_more_row();
                        calculateTotal();
                        calculateTotal_qty();
                        calculateInvoiceTotal();
                        calculateNetAmount();


                    }
                });
                press_enter();

                //calculate_disc_m();



            });








            function sale_invoice_add()
            {

                //declare variables master form
                var v_date = $('#v_date').val();
                var v_id = $('#voucher_id').val();
                var acct_id = $('#acct_id').val();
                var customer_name = $('#customer_name').val();
                var customer_phone = $('#customer_phone').val();
                var customer_cash = $('#customer_cash').val();
                var return_cash = $('#return_cash').val();
                var sp = $('#sp_id').val();
                var acct_id_cs_1 = $('#acct_id_cs_1').val();

                // var p_comp_id = '<?php echo $comp_id; ?>';
                //var p_year_id = '<?php echo $year_id; ?>';

                //declare variables detail form
                var stock_code = $('#stockcode_1').val();







                var particulars = $('#particulars').val();
                var qty = $('#qty_1').val();
                var rate = $('#rate').val();
                var discp = $('#discp').val();
                var itemtot = $('#itemtot').val();
                var grand_tot = $('#grandtot').val();





                //check condition
                if(v_id == "")
                {
                    alert("Please Enter Voucher ID");
                    $('#v_id').focus();
                }

                else if(v_date == "")
                {
                    alert("Please Enter Date");
                    $('#v_date').focus();
                }



                else if(acct_id == "")
                {
                    alert("Please Select Party");
                    $('#acct_id').focus();
                }


                /* else if(sp == "Select SalePerson")
                 {
                 alert("Please Select Sale Person");
                 $('#sp_id').focus();
                 }*/


                else if(stock_code == "")
                {
                    alert("Please Select Stock Code");
                    $('#stockcode_1').focus();
                }







                else if(qty == "" || qty == '0' )
                {
                    alert("Please Enter Quantity");
                    $('#qty_1').focus();
                }

                else if(rate == "")
                {
                    alert("Please Enter Rate");
                    $('#rate').focus();
                }








                else
                {
                    var formdata = $('#sale_invoice').serializeArray();

                    $.ajax({
                        type:"POST",
                        url:"process/grn_inv_process.php",
                        data:$.param(formdata),
                        beforeSend: function()
                        {
                            $("#view").html('<div class="loader-block"> <img src="images/pageloader/images/loader2.gif"style="max-width: 100px;"/></div><br clear="all">');
                        },
                        success: function(result)
                        {
                            //alert(result);
                            //alert('Voucher has been successfully submitted.');
                            //window.location = "sl_inv_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"

                            window.location = "grn_inv_detail?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>";
                        }
                    });
                    $('#savedata').addClass("disabled");
                }




            }


            $(document).on('change', '#check_all', function () {
                $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
            });



            //delete the selected table row

            $(".delete_sale").on('click', function () {
                $('.case:checkbox:checked').parents("tr").remove();
                $("#check_all").prop("checked", false);
                calculateTotal();
                calculateTotal_qty();
            });














            //date picker
            $('.v_date').datepicker({
                format: 'dd-mm-yyyy',
                autoclose: true
            });


            //dropdown with search
            $(".acct_id").select2();


            $(document).on('change', '#check_all', function() {
                $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
            });



            //delete the selected table row

            $(".delete_sale").on('click', function() {
                $('.case:checkbox:checked').parents("tr").remove();
                $("#check_all").prop("checked", false);
                calculateTotal();
                calculateTotal_qty();
                calculateInvoiceTotal();
                calculateNetAmount();


                var rowCount = $('.addrow_sale').length;

                if (rowCount == 1) {
                    $('#discp_m').val(0);
                    $('#net_amt').val(0);
                    $('#disc_amt_m').val(0);
                    $('#dc_amt').val(0);
                    $('#adv_amt').val(0);
                    $('#invoice_tot').val(0);
                }

            });







            //date picker
            $('#v_date').datepicker({
                format: 'dd-mm-yyyy',
                autoclose: true
            });




            $(document).on('change keyup blur', '.disc_amt', function() {
                id_arr = $(this).attr('id');
                id = id_arr.split("_");
                $('#discp_' + id[1]).val(0);
                $('#discamt_' + id[1]).val();


            });






            //price change
            $(document).on('change keyup blur', '.changesNo', function() {
                id_arr = $(this).attr('id');
                id = id_arr.split("_");
                avqty = $('#availableqty_' + id[1]).val();
                qty = $('#qty_' + id[1]).val();
                orate = $('#orate_' + id[1]).val();
                discp = $('#discp_' + id[1]).val();
                disc_amt = $('#discamt_' + id[1]).val();




                $('#itemtot_' + id[1]).val(getNum(parseFloat((orate * qty) * (1 - discp / 100)).toFixed(2)));



                if( discp == 0)
                {
                    $('#discamt_' + id[1]).val();

                    $('#discp_' + id[1]).val(getNum(parseFloat((disc_amt / orate  ) * 100).toFixed(2)));

                    $('#itemtot_' + id[1]).val(getNum(parseFloat((orate * qty) - disc_amt ).toFixed(2)));
                }

                if( discp != 0)
                {
                    $('#discamt_' + id[1]).val(getNum(parseFloat((orate * qty * discp) / 100).toFixed(2)));
                }







                // $('#discp_' + id[1]).val(getNum(parseFloat((disc_amt / orate  ) * 100)));



                if (parseFloat(qty) > parseFloat(avqty)) {

                    $('#view_qty').show();
                    var msg = "You Donot Have Required Quantity!"
                    $('#view_qty').html(msg);


                }




                //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

                calculateTotal();
                calculateTotal_qty();
                calculateInvoiceTotal();
                calculateNetAmount();

            });




            /*****************START DISCOUNT PERCENTAGE**************/
            $(document).on('change keyup blur', '.changesdiscp', function() {
                grandtot = $('#grandtot').val();
                qty = $('#qty_' + id[1]).val();
                orate = $('#orate_' + id[1]).val();
                discp = $('#discp_' + id[1]).val();


                $('#itemtot_' + id[1]).val(getNum(parseFloat(orate) * parseFloat(qty) * (1 - discp / 100)));

                //$('#discamt_' + id[1]).val(getNum((parseFloat(orate * qty * discp) / 100)).toFixed(0));




            });
            /*****************END DISCOUNT PERCENTAGE**************/



            /*****************START DISCOUNT PERCENTAGE AMOUNT**************/
            /*$(document).on('change keyup blur', '.disc_amt', function() {
                grandtot = $('#grandtot').val();
                qty = $('#qty_' + id[1]).val();
                orate = $('#orate_' + id[1]).val();
                discp = $('#discp_' + id[1]).val();
                disc_amt = $('#discamt_' + id[1]).val();


                //$('#itemtot_' + id[1]).val(getNum(parseFloat(orate) * parseFloat(qty) * (1 - discp / 100)));


                $('#discp_' + id[1]).val(getNum(parseFloat((disc_amt * 100) / orate)).toFixed(0));




            });*/
            /*****************END DISCOUNT PERCENTAGE AMOUNT**************/








            /****************START INVOICE TOTAL****************/
            function calculateInvoiceTotal() {
                grandtot = 0;
                itemtot = 0;
                $('.totalLinePrice').each(function() {
                    if ($(this).val() != '') grandtot += parseFloat($(this).val());
                });
                $('#invoice_tot').val(grandtot);
                itemtot += grandtot;
            }
            /****************END INVOICE TOTAL****************/



            /****************START NET AMOUNT AFTER DISCOUNT****************/
            function calculateNetAmount() {
                grandtot = 0;
                itemtot = 0;
                dc_amt = 0;
                $('.totalLinePrice').each(function() {
                    if ($(this).val() != '') grandtot += parseFloat($(this).val());
                });
                $('#net_amt').val(grandtot);
                itemtot += grandtot;



                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();
                disc_amt_m = $('#disc_amt_m').val();
                dc_amt = $('#dc_amt').val();
                adv_amt = $('#adv_amt').val();

                if (dc_amt != '') {

                    $('#net_amt').val((parseFloat(grandtot) - parseFloat(disc_amt_m)) + parseFloat(dc_amt));
                    $('#invoice_tot').val((parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt)) - parseFloat(adv_amt));
                }



            }
            /****************END NET AMOUNT AFTER DISCOUNT****************/



            /*****************START MASTER DISCOUNT PERCENTAGE**************/
            $(document).on('change keyup blur', '#discp_m', function() {
                grandtot = $('#grandtot').val();
                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();
                disc_amt_m = $('#disc_amt_m').val();
                dc_amt = $('#dc_amt').val();
                adv_amt = $('#adv_amt').val();

                if (discp_m == '') {
                    $('#discp_m').val(0);
                }

                $('#net_amt').val(parseFloat((grandtot) * (1 - discp_m / 100)).toFixed(0));
                $('#invoice_tot').val(parseFloat((grandtot) * (1 - discp_m / 100)).toFixed(0));
                $('#disc_amt_m').val((parseFloat(grandtot) * discp_m) / 100);

                if (dc_amt != '') {

                    $('#net_amt').val(getNum(parseFloat(((grandtot) * (1 - discp_m / 100)).toFixed(0)) + parseFloat(dc_amt)));
                    $('#invoice_tot').val(getNum(parseFloat(((grandtot) * (1 - discp_m / 100)).toFixed(0)) + parseFloat(dc_amt)));

                }

                if (adv_amt != '') {

                    $('#net_amt').val(getNum(parseFloat(((grandtot) * (1 - discp_m / 100)).toFixed(0)) + parseFloat(dc_amt)));
                    $('#invoice_tot').val(getNum(parseFloat(((grandtot) * (1 - discp_m / 100)).toFixed(0)) + parseFloat(dc_amt) - parseFloat(adv_amt)));

                }

            });
            /*****************END MASTER DISCOUNT PERCENTAGE**************/


            /*****************START MASTER DISCOUNT CALCUALTE FROM AMOUNT**************/
            $(document).on('change keyup blur', '#disc_amt_m', function() {
                grandtot = $('#grandtot').val();
                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();
                disc_amt_m = $('#disc_amt_m').val();
                dc_amt = $('#dc_amt').val();
                adv_amt = $('#adv_amt').val();


                $('#discp_m').val((Math.round((disc_amt_m * 100) / grandtot)));



            });
            /*****************END MASTER DISCOUNT CALCUALTE FROM AMOUNT**************/


            /*****************START MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/
            $(document).on('change keyup blur', '#disc_amt_m', function() {
                grandtot = $('#grandtot').val();
                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();
                disc_amt_m = $('#disc_amt_m').val();
                dc_amt = $('#dc_amt').val();
                adv_amt = $('#adv_amt').val();

                if (disc_amt_m == '') {
                    $('#disc_amt_m').val(0);
                }

                if (dc_amt != '') {

                    $('#net_amt').val(getNum(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt)));
                    $('#invoice_tot').val(getNum(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt)));
                }

                if (adv_amt != '') {

                    $('#net_amt').val(getNum(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt)));
                    $('#invoice_tot').val(getNum(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt) - parseFloat(adv_amt)));
                }


            });
            /*****************END MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/




            /*****************START MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/
            $(document).on('change keyup blur', '.changesNo', function() {
                grandtot = $('#grandtot').val();
                disc_amt_m = $('#disc_amt_m').val();
                dc_amt = $('#dc_amt').val();
                adv_amt = $('#adv_amt').val();
                net_amt = $('#net_amt').val();
                discp_m = $('#discp_m').val();


                if (dc_amt != '') {
                    $('#net_amt').val(getNum(parseFloat(grandtot) + parseFloat(dc_amt)));
                    $('#invoice_tot').val(getNum(parseFloat(grandtot) + parseFloat(dc_amt) - parseFloat(adv_amt)));
                }

                if (disc_amt_m != '') {


                    $('#net_amt').val(getNum((parseFloat(grandtot) - parseFloat(disc_amt_m)) + parseFloat(dc_amt)));
                    $('#invoice_tot').val(getNum((parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt)) - parseFloat(adv_amt)));
                }





                if (discp_m != '') {

                    $('#net_amt').val(parseFloat((grandtot) * (1 - discp_m / 100)).toFixed(0));
                    $('#invoice_tot').val(parseFloat((grandtot) * (1 - discp_m / 100)).toFixed(0));
                    $('#disc_amt_m').val((parseFloat(grandtot) * discp_m) / 100);


                    $('#net_amt').val(getNum(parseFloat(((grandtot) * (1 - discp_m / 100)).toFixed(0)) + parseFloat(dc_amt)));
                    // $('#invoice_tot').val(parseFloat(((grandtot) * (1 - discp_m / 100)).toFixed(0)) + parseFloat(dc_amt));
                    $('#invoice_tot').val(getNum(parseFloat(((grandtot) * (1 - discp_m / 100)).toFixed(0)) + parseFloat(dc_amt) - parseFloat(adv_amt)));


                }



            });
            /*****************END MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/






            /*****************START FREIGHT AMOUNT*************/
            $(document).on('change keyup blur', '#dc_amt', function() {
                grandtot = $('#grandtot').val();
                dc_amt = $('#dc_amt').val();
                disc_amt_m = $('#disc_amt_m').val();
                adv_amt = $('#adv_amt').val();
                net_amt = $('#net_amt').val();

                if (dc_amt == '') {
                    $('#dc_amt').val(0);
                }


                /* if (dc_amt == 0) {

                     $('#net_amt').val((parseFloat(grandtot)));
                     $('#invoice_tot').val((parseFloat(grandtot)));
                 }*/




                if (dc_amt != '') {

                    $('#net_amt').val(getNum((parseFloat(grandtot) - parseFloat(disc_amt_m)) + parseFloat(dc_amt)));
                    $('#invoice_tot').val(getNum((parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt)) - parseFloat(adv_amt)));
                }



                /* if (disc_amt_m != '') {

                     $('#net_amt').val(getNum((parseFloat(grandtot) - parseFloat(disc_amt_m)) +  parseFloat(dc_amt)));
                     $('#invoice_tot').val(getNum((parseFloat(grandtot) - parseFloat(disc_amt_m) +  parseFloat(dc_amt)) - parseFloat(adv_amt)));
                 }*/

            });
            /*****************END FREIGHT AMOUNT*************/


            function calculate_disc_m() {
                grandtot = $('#grandtot').val();
                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();

                disc_amt_m = $('#disc_amt_m').val();





                //$('#net_amt').val(parseFloat(grandtot) * (1 - discp_m / 100));

                // $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));

                //$('#disc_amt_m').val( (parseFloat(grandtot)* discp_m) / 100  );
                if (disc_amt_m != '') {



                    $('#net_amt').val(parseFloat(grandtot) - parseFloat(disc_amt_m));

                    $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m));
                }
            }







            /*****************START MASTER DISCOUNT PERCENTAGE**************/
            /*$(document).on('change keyup blur', '#discp_m', function () {
             grandtot = $('#grandtot').val();
             discp_m = $('#discp_m').val();
             adv_amt = $('#adv_amt').val();

             if ($('#adv_amt').val() != '') {
             $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100) - parseFloat(adv_amt));
             }
             else
             {
             $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));
             }

             });*/
            /*****************END MASTER DISCOUNT PERCENTAGE**************/



            /*****************START ADVANCE AMOUNT**************/
            $(document).on('change keyup blur', '#adv_amt', function() {
                grandtot = $('#grandtot').val();
                adv_amt = $('#adv_amt').val();
                discp_m = $('#discp_m').val();
                net_amt = $('#net_amt').val();

                if (adv_amt == '') {
                    $('#adv_amt').val(0);
                }

                disc_amt_m = $('#disc_amt_m').val();


                // $('#invoice_tot').val(Math.round(parseFloat(net_amt) * (1 - discp_m / 100) - parseFloat(adv_amt)) );


                if (adv_amt == 0) {
                    $('#invoice_tot').val(getNum(Math.round(parseFloat(net_amt))));
                } else {
                    $('#invoice_tot').val(getNum(Math.round(parseFloat(net_amt) - parseFloat(adv_amt))));
                }





            });
            /*****************END ADVANCE AMOUNT**************/







            //total price calculation
            function calculateTotal() {
                grandtot = 0;
                itemtot = 0;
                $('.totalLinePrice').each(function() {
                    if ($(this).val() != '') grandtot += parseFloat($(this).val());
                });
                $('#grandtot').val(grandtot);
                itemtot += grandtot;

                var grand_tot = parseFloat($('#grandtot').val());

                //alert(grand_tot);
                freight_tot = $('#freight').val();

                var inv_tot = getNum(parseFloat(grand_tot) - parseFloat(freight_tot));

                //$('#invoice_tot').val(inv_tot);





            }

            //total pqty calculation
            function calculateTotal_qty() {
                grandtot_qty = 0;
                qty = 0;
                $('.grand_tot_qty').each(function() {
                    if ($(this).val() != '') grandtot_qty += parseFloat($(this).val());
                });
                $('#grandtot_qty').val(grandtot_qty);
                qty += grandtot_qty;
            }














            function press_enter() {
                $('input').keypress(function (event) {
                    if (event.which == '13')	//ENTER
                    {
                        var tabIndex = $(this).attr('tabIndex');

                        var all_inputs = $(this).closest('table').find('input:visible');
                        var inputs = all_inputs.filter(function () {
                            return $(this).attr("tabIndex") > tabIndex;
                        })

                        if (inputs.length != 0) {
                            inputs = $(inputs).sort(function (a, b) {
                                return $(a).attr('tabIndex') - $(b).attr('tabIndex');
                            });
                        }
                        else {
                            inputs = $(all_inputs).sort(function (a, b) {
                                return $(a).attr('tabIndex') - $(b).attr('tabIndex');
                            });
                        }


                        var elem = inputs.eq(inputs.index(this) + 1);
                        if (elem.length == 0)
                            elem = inputs.eq(0);

                        elem.focus();
                        event.preventDefault();
                    }
                });
            }















            $("#party_bal").hide();
            $("#credit_limit").hide();
            $("#acct_id").change(function ()
            {
                var acct_id = $('#acct_id').val();
                var action = 'party_bal';

                var dataString = 'acct_id=' + acct_id + '&action=' + action;
                $.ajax({
                    type: "POST",
                    url: "ajax/get_party_bal.php",
                    data: dataString,
                    success: function (data, status) {
                        // PARSE json data
                        var user = JSON.parse(data);
                        // Assing existing values to the modal popup fields

                        $("#party_bal").show();
                        $("#credit_limit").show();

                        $("#party_bal").val(format_number_drcr(user.bal_amt));
                        $("#credit_limit").val(user.credit_limit);


                    }
                });
            });





            //LOAD DROP DOWN WITH BASE DOC VOUCHER ID
            $('#base_doc').change(function(){
                var base_doc = $('#base_doc').val();


                var datasend = 'base_doc='+base_doc ;

                $('#loaderc').fadeIn(400).html('<img src="images/ajax-loader.gif" align="absmiddle">');

                $.ajax({

                    type:"POST",
                    data:datasend,
                    url:'ajax/select_pl_base_voucher_id.php',
                    cache:false,
                    success:function(msg){

                        //alert(msg);

                        $('#base_voucher_id').html(msg);

                        $('#loaderc').fadeOut("slow");

                    }

                });




            });






















        </script>
        <!---------------------------START JAVASCRIPT-------------------------------->








</body>
</html>