<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
//variables
$emp_id = $_SESSION['VALID_USER_NAME'];

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");
$tabledet =$table.'det';

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$add = clean_data($_GET['add']);
$_SESSION['add'] = $add;

$comp_id = clean_data($_GET["comp_id"]);
$year_id = clean_data($_GET["year_id"]);
$v_id = clean_data($_GET["v_id"]);



if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $voucher_type = clean_data($_POST['voucher_type']);



    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));



    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id =  $v_id;



    // END MAXIMUM VOUCHER ID CHK QUERY



    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';





    //MAXIMUM INVOICE ID CHK QUERY
    try
    {
        $Maxquery_invoice =  "SELECT LPAD(IFNULL(max(substr(v.bill_no,-4)),0)+1,4,'0') v_id FROM pl_invoice v
		WHERE v.comp_id = ? ";
        $max_query_inv = $dbcon->prepare($Maxquery_invoice);
        $max_query_inv->execute(array($comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max_invoice = $max_query_inv->fetch(PDO::FETCH_OBJ);
    $invoiceNo = $row_max_invoice->v_id;
    $invoice_no = $loc_id.$invoiceNo;

    $discount_voucher_id = "";
    $return_cash = "";
    $bill_type = '';
    $sp = "";
    $invoice_no = "";
    $discp_m = "";
    $disc_amt_m = "";
    $net_amt = "";
    $net_payable = "";
    $adv_amt = "";
    $dc_amt = "";
    $bill_date = "";



}
else //EDIT
{

    try
    {
        $edit_query =  "SELECT * FROM $table m  WHERE m.voucher_id = ? AND m.comp_id = ? AND m.year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));
    $acct_id = $rowm->acct_id;
    $customer_name = $rowm->customer_name;
    $customer_phone = $rowm->customer_phone;
    $customer_cash = $rowm->customer_cash;
    $return_cash = $rowm->return_cash;
    $bill_type = $rowm->bill_type;
    $invoice_no = $rowm->bill_no;
    $sp = $rowm->sp_id;
    $discount_voucher_id = $rowm->discount_voucher_no;
    $discp_m = $rowm->discp;
    $disc_amt_m = $rowm->disc_amt;
    $net_amt = $rowm->net_amt;
    $net_payable = $rowm->net_payable;
    $adv_amt = $rowm->adv_amt;
    $dc_amt = $rowm->dc_amt;
    $location_id = $rowm->loc_id;
    $acct_id_cs_1 = $rowm->acct_id_cs_1;

    $v_bill_date = $rowm->bill_date;
    if(!empty($v_bill_date))
        $bill_date = date('d-m-Y', strtotime($v_bill_date));


    $tot_dc_amt = $rowm->freight_amt;
    $tot_tpt_amt = $rowm->tpt_amt;
    $tot_duty_amt = $rowm->duty_amt;
    $tot_clr_amt = $rowm->clr_amt;

    $freight_payable_id = $rowm->freight_payable_id;
    $tpt_payable_id = $rowm->tpt_payable_id;
    $duty_payable_id = $rowm->duty_payable_id;
    $clr_payable_id = $rowm->clr_payable_id;

    $freight_cur_id = $rowm->freight_cur_id;
    $tpt_cur_id = $rowm->tpt_cur_id;
    $duty_cur_id = $rowm->duty_cur_id;
    $clr_cur_id = $rowm->clr_cur_id;


    $freight_er = $rowm->freight_er;
    $tpt_er = $rowm->tpt_er;
    $duty_er = $rowm->duty_er;
    $clr_er = $rowm->clr_er;





}




?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">

































</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">PURCHASE INVOICE</div>
                </div>

                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">

                <form class="form-horizontal"  name="sale_invoice"  id="sale_invoice">

                    <div class='row'>
                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>

                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>




                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                        </div>
                    </div>

                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->

                    <input type="hidden" class="form-control" name="voucher_type" id="voucher_type"
                           value="<?php echo $voucher_type; ?>">

                    <input type="hidden" class="form-control" name="add" id="add"
                           value="<?php echo $add; ?>">

                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                           value="<?php echo $comp_id; ?>">


                    <input type="hidden" class="form-control" name="p_year_id" id="p_year_id"
                           value="<?php echo $year_id; ?>">

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>

                                                <!-- VOUCHER ID -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="voucher_id"id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly style="width: 150px;">
                                                </td>

                                                <!-- DATE -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control v_date" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date;?>" style="width: 150px;">
                                                </td>



                                                <!-- SALE TYPE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Supplier</label>
                                                </td>
                                                <?php

                                                $and = " and p.party_type = 'S'";
                                                if($login_page == 'kt' or $login_page == 'tt' )
                                                {
                                                    $and = "";
                                                }

                                                try
                                                {
                                                    $p_query =  "SELECT p.acct_id, p.acct_name FROM v_party p WHERE 1 = 1 $and   ORDER BY p.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="acct_id" id="acct_id" class="form-control acct_id">


                                                        <option value="">Select Party</option>

                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($acct_id == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                    <input type="text" class="form-control"  id="party_bal" readonly placeholder="Party Balance">

                                                </td>
                                            </tr>


                                            <tr>

                                                <!-- CUSTOMER NAME-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Supplier Name:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="customer_name"id="customer_name" autocomplete="on" value="<?php echo $customer_name;?>" style="width: 150px;">
                                                </td>

                                                <!-- CUSTOMER PHONE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Supplier Phone No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="customer_phone"id="customer_phone" value="<?php echo $customer_phone;?>" autocomplete="on" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" style="width: 150px;">
                                                </td>


                                                <th>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Location</label>
                                                </th>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT l.loc_id, l.loc_name FROM location l ORDER BY l.loc_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="loc_id" id="loc_id" class=" form-control acct_id">




                                                        <?php
                                                        $loc_id = find_value('location', 'loc_id', " AND comp_id = '$comp_id'");
                                                        ?>

                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {
                                                            if($add == 'Y')
                                                            {
                                                                if ($loc_id == $p_row->loc_id) {
                                                                    echo '<option  value="' . $p_row->loc_id . '" selected>' . $p_row->loc_name . '</option>';

                                                                } else {

                                                                    echo '<option  value="' . $p_row->loc_id . '">' . $p_row->loc_name . '</option>';

                                                                }
                                                            }
                                                            else {
                                                                if ($location_id == $p_row->loc_id) {
                                                                    echo '<option  value="' . $p_row->loc_id . '"selected>' . $p_row->loc_name . '</option>';

                                                                }

                                                                echo '<option  value="' . $p_row->loc_id . '">' . $p_row->loc_name . '</option>';

                                                            }



                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>

                                            <tr>

                                                <!-- INVOICE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Inv No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="inv_no"id="inv_no" autocomplete="on"  style="width: 150px;" value="<?php echo $invoice_no;?>">
                                                </td>

                                                <!-- BIL DATE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Bill Date:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control v_date"  name="bill_date"id="bill_date" readonly value="<?php echo $bill_date;?>">
                                                </td>




                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Salesman</label>
                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT s.acct_id, s.acct_name FROM sp s  ORDER BY s.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="sp_id" id="sp_id" class=" form-control acct_id">




                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($acct_id == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>


                                            <!-- <tr>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>

                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Departments</label>
                                                </td>
                                                <?php
                                            /*                                                try
                                                                                            {
                                                                                                $p_query =  "SELECT s.acct_id, s.acct_name FROM v_cost_centre s ORDER BY s.acct_id ASC ";

                                                                                                $p_result = $dbcon->prepare($p_query);
                                                                                                $p_result->execute(array());
                                                                                            }
                                                                                            catch(PDOException $e)
                                                                                            {
                                                                                                echo "Error : ". $e->getMessage();
                                                                                            }

                                                                                            */?>

                                                <td>
                                                    <select  name="acct_id_cs_1" id="acct_id_cs_1" class=" form-control acct_id">




                                                        <?php
                                            /*                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                                                                    {

                                                                                                        if ($acct_id_cs_1 == $p_row->acct_id)
                                                                                                        {
                                                                                                            echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                                                                        }
                                                                                                        else
                                                                                                        {
                                                                                                            echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                                                                        }
                                                                                                    }
                                                                                                    */?>
                                                    </select>
                                                </td>




                                            </tr>-->
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">


                                    <button class="btn btn-success re_cal" type="button">Recalculate</button>


                                    <table class="table table-bordered table-responsive table-hover addrow_sale" id="addrow" style="font-size: 10px;">
                                        <thead >
                                        <tr>
                                            <th colspan="9" style="text-align: center; font-weight: bold; font-size: 16px;">INVOICE</th>
                                            <th colspan="5" style="text-align: center; font-weight: bold; font-size: 16px;">EXPENSES</th>
                                            <th colspan="" style="text-align: center; font-weight: bold; font-size: 16px;">TOTAL COST</th>
                                            <th colspan="" style="text-align: center; font-weight: bold; font-size: 16px;">UNIT COST</th>
                                        </tr>

                                        <tr>
                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th  style="text-align: center;">SR</th>
                                            <th style="text-align: center; width: 200px;">STOCK CODE</th>
                                            <th  style="text-align: center;">PARTY STOCK CODE</th>
                                            <th  style="text-align: center;">ITEM NAME</th>
                                            <th  style="text-align: center;">PARTICULARS</th>
                                            <th  style="text-align: center;">QTY</th>
                                            <th  style="text-align: center;">RATE</th>
                                            <th  style="text-align: center;">AMOUNT</th>
                                            <th style="text-align: center;">FREIGHT</th>
                                            <th  style="text-align: center;">TPT</th>
                                            <th style="text-align: center;">DUTY</th>
                                            <th style="text-align: center;">CLR</th>
                                            <th style="text-align: center;">TOTAL EXPENSES</th>

                                        </tr>

                                        </thead>




                                        <?php

                                        try
                                        {
                                            $edit_query =  "SELECT
	d.*, d.qty*d.rate ex_value, ifnull(d.tpt_amt,0)+ifnull(d.freight_amt,0)+ifnull(d.duty_amt,0)+ifnull(d.clr_amt,0) total_ex,
	 i.size,
	ct.description cat_name,
	cl.description collection,
	i.description,
	i.party_stock_code

FROM
	$tabledet d
LEFT JOIN item i ON d.stock_code = i.stock_code
LEFT JOIN code_cat ct ON ct.cat_id = i.cat_id
LEFT JOIN code_collection cl ON cl.col_id = i.col_id

   WHERE d.voucher_id = ? and d.comp_id = ? AND d.year_id = ?
 order by d.lineitem/1 ";
          //echo $edit_query;
                                            $resultd = $dbcon->prepare($edit_query);
                                            $resultd->execute(array($v_id, $comp_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        $cnt = 0;
                                        $itemtot = '';
                                        $tot_qty = '';
                                        $tot_ex_value ='';
                                        while($rowd = $resultd->fetch(PDO::FETCH_OBJ))
                                        {
                                            $lineitem = $rowd->lineitem;
                                            $cnt = $lineitem;
                                            $itemtot += $rowd->itemtot;

                                            $tot_qty += $rowd->qty;



                                            $party_stock_code = $rowd->party_stock_code;


                                            $ex_value = $rowd->qty * $rowd->rate;
                                            $total_ex = $rowd->total_ex;


                                            $tot_ex_value += $ex_value;

                                            $tot_value_ex += $total_ex;

                                            ?>

                                            <!----------------------------------------------------------------------------------------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------SALE INVOICE DETAIL EDIT FORM---------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------------------------------------------------------------------------->
                                            <tr class="addrow_sale">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input type="text" data-type="stock_code" name="stock_code[]" class="form-control  autocomplete_txt stock_code" id="stockcode_<?php echo $cnt;?>" value="<?php echo $rowd->stock_code;?>" maxlength="11">
                                                </td>


                                                <!-- PARTY CODE -->
                                                <td>
                                                    <input type="text" data-type="party_stock_code" name="party_stock_code[]"  class="form-control party_stock_code autocomplete_txt " id="partystockcode_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->party_stock_code ;?>">
                                                </td>


                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->description ;?>">
                                                </td>

                                                <!-- PARTICULARS -->

                                                <td>
                                                    <input type="text" class="form-control particulars" name="particulars[]"  id="particulars_<?php echo $cnt;?>" size="50"  value="<?php echo $rowd->particulars;?>" />
                                                </td>
                                                <input type="hidden" class="form-control available_qty " name="available_qty[]" id="availableqty_<?php echo $cnt;?>" value="<?php echo $o_qty;?>" />

                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="number" class="form-control  qty  changesNo qty grand_tot_qty freightQtyChange" name="qty[]" id="qty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->qty);?>" />
                                                </td>

                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]" id="orate_<?php echo $cnt;?>"  value="<?php echo round($rowd->rate, $rate_decimals);?>"/>
                                                </td>

                                                <!-- AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLineExValue" name="ex_value[]" id="exvalue_<?php echo $cnt;?>" readonly value="<?php echo round($rowd->ex_value);?>"/>
                                                </td>

                                                <!-- FREIGHT -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo disc_amt" name="d_dc_amt[]" id="dcamt_<?php echo $cnt;?>" value="<?php echo round($rowd->freight_amt);?>" readonly/>
                                                </td>


                                                <!-- TPT -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo disc_amt" name="d_tpt_amt[]" id="tptamt_<?php echo $cnt;?>" value="<?php echo round($rowd->tpt_amt);?>" readonly/>
                                                </td>


                                                <!-- DUTY -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo disc_amt" name="d_duty_amt[]" id="dutyamt_<?php echo $cnt;?>" value="<?php echo round($rowd->duty_amt);?>" readonly/>
                                                </td>


                                                <!-- CLR -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo disc_amt" name="d_clr_amt[]" id="clramt_<?php echo $cnt;?>" value="<?php echo round($rowd->clr_amt);?>" readonly/>
                                                </td>


                                                <!-- TOTAL EXPENSES -->
                                                <td>
                                                    <input type="text" class="form-control rate changesNo " name="d_total_ex[]" id="totalex_<?php echo $cnt;?>" value="<?php echo round($total_ex);?>" readonly />
                                                </td>-->

                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]" id="itemtot_<?php echo $cnt;?>" readonly value="<?php echo round($rowd->itemtot);?>"/>
                                                </td>


                                                <!-- UNIT COST -->
                                                <td>
                                                    <input type="text" class="form-control itemtot " name="unit_cost[]" id="unitcost_<?php echo $cnt;?>" readonly value="<?php echo round($rowd->unit_cost);?>"/>
                                                </td>

                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>



                                        <!----------------------------------------------------------------------------------------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------SALE INVOICE DETAIL ADD FORM---------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------------------------------------------------------------------------->


                                        <?php  $numberofrow = 5; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>

                                            <tr class="addrow_sale">
                                                <!-- CHECKBOX FOR ADD NEW FORM FIELD -->
                                                <td>
                                                    <input class="case" type="checkbox" id="disable_<?php echo $counter;?>"/>
                                                </td>

                                                <!-- LINEITEM -->
                                                <td style="width: 60px;">
                                                    <?php $lineitem += 1;?>
                                                    <input  style="width: 100px; type="text" class="form-control " name="lineitem[]<?php echo $counter;?>"  id="lineitem_1" value="<?php echo $lineitem;?>" readonly  />
                                                </td>

                                                <!-- STOCK CODE -->
                                                <td>
                                                    <input  style="width: 100px;"  type="text"  data-type="stock_code" name="stock_code[]"  class="form-control   autocomplete_txt stock_code" id="stockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off" maxlength="11" autofocus >
                                                </td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input style="width: 100px;"   type="text"  data-type="party_stock_code" name="party_stock_code[]"  class="form-control   autocomplete_txt party_stock_code" id="partystockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off">
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input style="width: 100px;"  type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" autocomplete="off"  size="30">
                                                </td>

                                                <!-- PARTICULARS -->

                                                <td>
                                                    <input style="width: 100px;"  type="text" class="form-control particulars"  name="particulars[]<?php echo $counter;?>"  id="particulars_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" />
                                                </td>
                                                <input style="width: 100px;"  type="hidden" class="form-control available_qty " name="available_qty[]<?php echo $counter;?>" id="availableqty_<?php if($add == "Y") {
                                                    echo $counter;
                                                }

                                                else
                                                {
                                                    echo $lineitem;
                                                }
                                                ?>" />

                                                <!-- QUANTITY -->
                                                <td  >
                                                    <input style="width: 90px;" type="number"  class="form-control qty  changesNo qty grand_tot_qty freightQtyChange"  name="qty[]<?php echo $counter;?>" id="qty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;"   />
                                                </td>

                                                <!-- RATE -->
                                                <td style="width: 100px;" >
                                                    <input style="width: 100px;"  type="text" class="form-control  changesNo orate" name="rate[]<?php echo $counter;?>" id="orate_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  />
                                                </td>


                                                <!-- EXCLUSIVE VALUE -->
                                               <td >
                                                    <input style="width: 100px;"  type="text" class="form-control itemtot totalLineExValue" name="ex_value[]<?php echo $counter;?>" id="exvalue_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly  />
                                                </td>

                                                <!-- FREIGHT -->
                                                <td>
                                                    <input style="width: 100px;"  type="text" class="form-control dc_amt_d" name="d_dc_amt[]<?php echo $counter;?>" id="dcamt_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly   />

                                                </td>


                                                <!-- TRANSPORT -->
                                                <td>
                                                    <input type="text" class="form-control tpt_amt" name="d_tpt_amt[]<?php echo $counter;?>" id="tptamt_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  readonly  />

                                                </td>


                                                <!-- DUTY -->
                                                <td>
                                                    <input type="text" class="form-control duty_amt" name="d_duty_amt[]<?php echo $counter;?>" id="dutyamt_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly   />

                                                </td>


                                                <!-- CLR -->
                                                <td>
                                                    <input type="text" class="form-control clr_amt" name="d_clr_amt[]<?php echo $counter;?>" id="clramt_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly   />

                                                </td>



                                                <!-- TOTAL EX -->
                                                <td>
                                                    <input style="width: 100px;"  type="text" class="form-control rate changesNo" name="d_total_ex[]<?php echo $counter;?>" id="totalex_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly/>
                                                </td>

                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input style="width: 100px;"  type="text" class="form-control itemtot totalLinePrice" name="itemtot[]<?php echo $counter;?>" id="itemtot_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly/>
                                                </td>




                                                <!-- UNIT COST -->
                                                <td>
                                                    <input style="width: 100px;"  type="text" class="form-control itemtot " name="unit_cost[]<?php echo $counter;?>" id="unitcost_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly/>
                                                </td>

                                            </tr>
                                        <?php } ?>





                                        <thead>
                                        <tr>



                                            <td></td>
                                            <td></td>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td   align="right" >

                                                <input type="text" class="form-control  grandtot_qty" name="grandtot_qty" id="grandtot_qty" autocomplete="off"  readonly value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_qty'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_qty'] = $tot_qty;
                                                }

                                                echo round($_SESSION['tot_qty']);?>" style="width: 100px;  font-weight: bold;" />
                                            </td>

                                            <td></td>





                                           <td   align="right" >

                                                <input type="text" class="form-control  grandtot_value_ex" name="ex_value" id="grandtot_value_ex" autocomplete="off"   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_ex_value'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_ex_value'] = $tot_ex_value;
                                                }

                                                echo round($_SESSION['tot_ex_value']);?>" style="width: 100px;  font-weight: bold;" readonly />
                                            </td>


                                            <td   align="right" >

                                                <input type="text" class="form-control  freightChange" name="dc_amt" id="dc_amt" autocomplete="off"   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_dc'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_dc'] = $tot_dc_amt;
                                                }

                                                echo round($_SESSION['tot_dc']);?>" style="width: 100px;  font-weight: bold;"  />
                                            </td>



                                            <td   align="right" >

                                                <input type="text" class="form-control  freightChange" name="tpt_amt" id="tpt_amt" autocomplete="off"   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_tpt'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_tpt'] = $tot_tpt_amt;
                                                }

                                                echo round($_SESSION['tot_tpt']);?>" style="width: 100px;  font-weight: bold;"  />
                                            </td>




                                            <td   align="right" >

                                                <input type="text" class="form-control  freightChange" name="duty_amt" id="duty_amt" autocomplete="off"   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_duty'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_duty'] = $tot_duty_amt;
                                                }

                                                echo round($_SESSION['tot_duty']);?>" style="width: 100px;  font-weight: bold;"  />
                                            </td>





                                            <td   align="right" >

                                                <input type="text" class="form-control  freightChange" name="clr_amt" id="clr_amt" autocomplete="off"   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_clr'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_clr'] = $tot_clr_amt;
                                                }

                                                echo round($_SESSION['tot_clr']);?>" style="width: 100px;  font-weight: bold;"  />
                                            </td>
                                            <td></td>

                                            <td width="10%" colspan="1" align="right">
                                                <input type="text" class="form-control  grandtot " name="grandtot" id="grandtot" autocomplete="off" readonly   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['itemtot'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['itemtot'] = $itemtot;
                                                }

                                                echo round($_SESSION['itemtot'], $rate_decimals);?>" style="font-weight: bold;" />
                                            </td>



                                        </tr>



                                        <!----------------- START LOAD ACCOUNTS ----------------------->

                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td><label  class="control-label pull-right" style="font-weight: bold; color: black;">Payable To:</label></td>


                                            <!--------------- START FREIGHT PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="freight_payable_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10  ORDER BY n.acct_name ASC";
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;

                                                        if (strlen($actid) == '10') {


                                                            if ($freight_payable_id == $rowact->acct_id)
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                            }






                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END FREIGHT PAYABLE ACCOUNT----------------->

                                            <!--------------- START TPT PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="tpt_payable_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10  ORDER BY n.acct_name ASC";
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;

                                                        if (strlen($actid) == '10') {
                                                            //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                            if ($tpt_payable_id == $rowact->acct_id)
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                            }
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END TPT PAYABLE ACCOUNT----------------->

                                            <!--------------- START DUTY PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="duty_payable_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10  ORDER BY n.acct_name ASC";
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;

                                                        if (strlen($actid) == '10') {
                                                            //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                            if ($duty_payable_id == $rowact->acct_id)
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                            }
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END DUTY PAYABLE ACCOUNT----------------->


                                            <!--------------- START CLEARANCE PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="clr_payable_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10  ORDER BY n.acct_name ASC";
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;

                                                        if (strlen($actid) == '10') {
                                                            //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                            if ($clr_payable_id == $rowact->acct_id)
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                            }
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END CLEARANCE PAYABLE ACCOUNT----------------->
                                            <td></td>

                                        </tr>
                                        <!----------------- END LOAD ACCOUNTS ----------------------->







                                        <!----------------- START CURRENCY ----------------------->

                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td><label  class="control-label pull-right" style="font-weight: bold; color: black;">Currency:</label></td>


                                            <!--------------- START FREIGHT PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="freight_cur_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_query = "SELECT c.acct_id , c.acct_name   FROM currency c   ORDER BY 1";
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;


                                                            //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                        if ($freight_cur_id == $rowact->acct_id)
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                        }
                                                        else
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END FREIGHT PAYABLE ACCOUNT----------------->

                                            <!--------------- START TPT PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="tpt_cur_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;


                                                        //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                        if ($tpt_cur_id == $rowact->acct_id)
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                        }
                                                        else
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END TPT PAYABLE ACCOUNT----------------->

                                            <!--------------- START DUTY PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="duty_cur_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;


                                                        //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                        if ($duty_cur_id == $rowact->acct_id)
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                        }
                                                        else
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END DUTY PAYABLE ACCOUNT----------------->


                                            <!--------------- START CLEARANCE PAYABLE ACCOUNT----------------->
                                            <td >
                                                <select style="width: 100px;"name="clr_cur_id" class=" form-control debit_acct_id">
                                                    <option></option>
                                                    <?php

                                                    try {
                                                        $act_result = $dbcon->prepare($act_query);
                                                        $act_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                        $actid = $rowact->acct_id;
                                                        $acct_name = $rowact->acct_name;


                                                        //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                        if ($clr_cur_id == $rowact->acct_id)
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '"selected>' . $rowact->acct_name . '</option>';

                                                        }
                                                        else
                                                        {
                                                            echo '<option  value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </td>
                                            <!--------------- END CLEARANCE PAYABLE ACCOUNT----------------->
                                            <td></td>

                                        </tr>
                                        <!----------------- END CURRENCY  ----------------------->



                                        <!----------------- START CURRENCY RATE----------------------->

                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td><label  class="control-label pull-right" style="font-weight: bold; color: black;">Currency:</label></td>


                                            <!--------------- START FREIGHT PAYABLE ACCOUNT----------------->
                                            <td >
                                                <input type="text" class="form-control"  name="freight_er" id="freight_er" autocomplete="on"  style="width: 100px;" value="<?php echo $freight_er;?>">

                                            </td>
                                            <!--------------- END FREIGHT PAYABLE ACCOUNT----------------->

                                            <!--------------- START TPT PAYABLE ACCOUNT----------------->
                                            <td >
                                                <input type="text" class="form-control"  name="tpt_er" id="tpt_er" autocomplete="on"  style="width: 100px;" value="<?php echo $tpt_er;?>">

                                            </td>
                                            <!--------------- END TPT PAYABLE ACCOUNT----------------->

                                            <!--------------- START DUTY PAYABLE ACCOUNT----------------->

                                            <td >
                                                <input type="text" class="form-control"  name="duty_er" id="duty_er" autocomplete="on"  style="width: 100px;" value="<?php echo $duty_er;?>">
                                            </td>
                                            <!--------------- END DUTY PAYABLE ACCOUNT----------------->


                                            <!--------------- START CLEARANCE PAYABLE ACCOUNT----------------->
                                            <td >

                                                <input type="text" class="form-control"  name="clr_er" id="clr_er" autocomplete="on"  style="width: 100px;" value="<?php echo $clr_er;?>">

                                            </td>


                                            <!--------------- END CLEARANCE PAYABLE ACCOUNT----------------->
                                            <td></td>

                                        </tr>
                                        <!----------------- END CURRENCY RATE  ----------------------->

                                        <tr>



                                            <td></td>
                                            <td></td>

                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td align="right">
                                                <b>Discount %</b>
                                            </td>
                                            <td>
                                                <input type="text" class="form-control  discp_m" name="discp_m" id="discp_m" value="<?php echo round($discp_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"/>
                                            </td>
                                            <td align="right">
                                                <b>Amount</b>
                                            </td>
                                            <td>
                                                <input type="text" class="form-control  disc_amt_m" name="disc_amt_m" id="disc_amt_m" value="<?php echo round($disc_amt_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" />
                                            </td>
                                        </tr>



                                      <!--  <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td></td>
                                            <td align="right">
                                                <b>Freight</b>
                                            </td>
                                            <td>
                                                <input type="text" class="form-control  freightChange" name="dc_amt" id="dc_amt"  autocomplete="off"   />
                                            </td>
                                        </tr>-->



                                      <!--  <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>TPT</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  freightChange" name="tpt_amt" id="tpt_amt" value="<?php /*echo round($tpt_amt); */?>" autocomplete="off"   />
                                            </td>
                                        </tr>-->




                                   <!--     <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>DUTY</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  freightChange" name="duty_amt" id="duty_amt" value="<?php /*echo round($duty_amt); */?>" autocomplete="off"   />
                                            </td>
                                        </tr>


                                        <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>CLR</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  freightChange" name="clr_amt" id="clr_amt" value="<?php /*echo round($clr_amt); */?>" autocomplete="off"   />
                                            </td>
                                        </tr>
-->







                                        <tr>



                                            <td></td>
                                            <td></td>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Invoice Amount</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  net_amt" name="net_amt" id="net_amt" value="<?php echo round($net_amt); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" readonly/>
                                            </td>
                                        </tr>



                                        <tr>


                                            <td></td>
                                            <td></td>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Advance</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  adv_amt" name="adv_amt" id="adv_amt" value="<?php echo round($adv_amt); ?>" autocomplete="off"  />
                                            </td>
                                        </tr>



                                        <tr>


                                            <td></td>
                                            <td></td>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Total</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  invoice_tot" name="invoice_tot" id="invoice_tot" value="<?php echo round($net_payable); ?>" autocomplete="off"  readonly value="<?php echo $return_cash;?>" />
                                            </td>
                                        </tr>

                                        </thead>

                                    </table>


                                    <div id="view"></div>
                                    <div class='row'>
                                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>

                                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>




                                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                                        </div>
                                    </div>


                </form>





            </div>

        </div>
    </div>
    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>



    <!---------------------------START JAVASCRIPT-------------------------------->
    <script type="text/javascript">






        //autocomplete script sale invoice select stock code
        $(document).on('focus','.autocomplete_txt',function(){
            type = $(this).data('type');

            if(type =='stock_code' )autoTypeNo=0;
            if(type =='description' )autoTypeNo=1;
            if(type =='party_stock_code' )autoTypeNo=2;


            $(this).autocomplete({
                source: function( request, response ) {
                    $.ajax({
                        url : 'kt_pl_select_stock.php',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function( data ) {
                            response( $.map( data, function( item ) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data : item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 1,

                select: function( event, ui ) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    $('#stockcode_'+id[1]).val(names[0]);
                    $('#description_'+id[1]).val(names[1]);
                    $('#partystockcode_'+id[1]).val(names[2]);
                    $('#orate_'+id[1]).val(names[3]);

                    s_rate =  $('#orate_'+id[1]).val();
                    s_qty =  $('#qty_'+id[1]).val(1);

                    $('#qty_' + id[1]).focus();

                    $('#itemtot_' + id[1]).val(1 * names[2]);

                    calculateTotal();
                    calculateTotal_qty();
                    calculateInvoiceTotal();
                    calculateNetAmount();

                }
            });
            press_enter();



        });


        //price change
        $(document).on('change keyup blur','.changesNo',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");
            avqty = $('#availableqty_' + id[1]).val();
            qty = $('#qty_' + id[1]).val();
            orate = $('#orate_' + id[1]).val();
            total_ex = $('#totalex_' + id[1]).val();

            total_ex = 0;

                discp = $('#discp_' + id[1]).val();

            if(orate != '') {

                $('#exvalue_' + id[1]).val(parseFloat(orate) * parseFloat(qty));
            }


            if( qty!='' && orate !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty) ) + parseFloat(total_ex) );

            calculateTotal();
            calculateTotal_qty();
            calculateInvoiceTotal();
            calculateNetAmount();
            calculateExValueTotal();

        });





        /****************START EX_VALUE TOTAL****************/
        function calculateExValueTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLineExValue').each(function () {
                if ($(this).val() != '') grandtot += parseFloat($(this).val());
            });
            $('#grandtot_value_ex').val(grandtot);
            itemtot += grandtot;
        }
        /****************END EX_VALUE TOTAL****************/

        /*****************START DISCOUNT PERCENTAGE**************/
        $(document).on('change keyup blur', '.changesdiscp', function () {
            grandtot = $('#grandtot').val();
            qty = $('#qty_' + id[1]).val();
            orate = $('#orate_' + id[1]).val();
            discp = $('#discp_' + id[1]).val();


            $('#itemtot_'+id[1]).val( parseFloat(orate)*parseFloat(qty) * (1 - discp / 100) );
        });
        /*****************END DISCOUNT PERCENTAGE**************/




        /****************START INVOICE TOTAL****************/
        function calculateInvoiceTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '') grandtot += parseFloat($(this).val());
            });
            $('#invoice_tot').val(grandtot);
            itemtot += grandtot;
        }
        /****************END INVOICE TOTAL****************/



        /****************START NET AMOUNT AFTER DISCOUNT****************/
        function calculateNetAmount() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '') grandtot += parseFloat($(this).val());
            });
            $('#net_amt').val(grandtot);
            itemtot += grandtot;
        }
        /****************END NET AMOUNT AFTER DISCOUNT****************/


        //total price calculation
        function calculateTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '')grandtot += parseFloat($(this).val());
            });
            $('#grandtot').val(grandtot);
            itemtot += grandtot;

        }

        //total pqty calculation
        function calculateTotal_qty() {
            grandtot_qty = 0;
            qty = 0;
            $('.grand_tot_qty').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_qty').val(grandtot_qty);
            qty += grandtot_qty;
        }






        function sale_invoice_add()
        {

            //declare variables master form
            var v_date = $('#v_date').val();
            var v_id = $('#voucher_id').val();
            var acct_id = $('#acct_id').val();
            var customer_name = $('#customer_name').val();
            var customer_phone = $('#customer_phone').val();
            var customer_cash = $('#customer_cash').val();
            var return_cash = $('#return_cash').val();
            var sp = $('#sp_id').val();
            var acct_id_cs_1 = $('#acct_id_cs_1').val();

            // var p_comp_id = '<?php echo $comp_id; ?>';
            //var p_year_id = '<?php echo $year_id; ?>';

            //declare variables detail form
            var stock_code = $('#stockcode_1').val();
            var particulars = $('#particulars').val();
            var qty = $('#qty_1').val();
            var rate = $('#rate').val();
            var discp = $('#discp').val();
            var itemtot = $('#itemtot').val();
            var grand_tot = $('#grandtot').val();

            //check condition
            if(v_id == "")
            {
                alert("Please Enter Voucher ID");
                $('#v_id').focus();
            }

            else if(v_date == "")
            {
                alert("Please Enter Date");
                $('#v_date').focus();
            }



            else if(acct_id == "")
            {
                alert("Please Select Party");
                $('#acct_id').focus();
            }


            /* else if(sp == "Select SalePerson")
             {
             alert("Please Select Sale Person");
             $('#sp_id').focus();
             }*/


            else if(stock_code == "")
            {
                alert("Please Select Stock Code");
                $('#stockcode_1').focus();
            }

            else if(qty == "" || qty == '0' )
            {
                alert("Please Enter Quantity");
                $('#qty_1').focus();
            }

            else if(rate == "")
            {
                alert("Please Enter Rate");
                $('#rate').focus();
            }

            else
            {
                var formdata = $('#sale_invoice').serializeArray();

                $.ajax({
                    type:"POST",
                    url:"process/import_inv_process.php",
                    data:$.param(formdata),

                    success: function(result)
                    {
                        //alert(result);
                        //alert('Voucher has been successfully submitted.');
                        //window.location = "sl_inv_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"
                        window.location = "<?php echo $menu_detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>";
                    }
                });
                $('#savedata').addClass("disabled");
            }




        }


        $(document).on('change', '#check_all', function () {
            $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
        });



        //delete the selected table row

        $(".delete_sale").on('click', function () {
            $('.case:checkbox:checked').parents("tr").remove();
            $("#check_all").prop("checked", false);
            calculateTotal();
            calculateTotal_qty();
        });







        //add table rows

        var i = $('.addrow_sale').length;



        $(".addmore_sale").on('click',function(){

            html = '<tr>';
            html += '<td><input class="case" type="checkbox"/></td>';
            html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
            html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
            html += '<td><input type="text" data-type="party_stock_code" name="party_stock_code[]" id="partystockcode_'+i+'" class="form-control autocomplete_txt party_stock_code" autocomplete="off"></td>';

            html += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';
            html += '<td><input type="text"  name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="off"></td>';
            html += '<input type="hidden" name="available_qty[]" id="availableqty_'+i+'" class="form-control available_qty" autocomplete="off" >';
            html += '<td><input type="number" name="qty[]" id="qty_'+i+'" class="form-control qty changesNo grand_tot_qty freightQtyChange" autocomplete="off"  ></td>';
            html += '<td><input type="text" name="rate[]" id="orate_'+i+'" class="form-control rate changesNo" autocomplete="off"  ></td>';
            html += '<td><input type="text" name="ex_value[]" id="exvalue_' + i + '" class="form-control discp changesNo totalLineExValue" autocomplete="off"  readonly></td>';
            html += '<td><input type="text" name="d_dc_amt[]" id="dcamt_' + i + '" class="form-control discamt_ changesNo" autocomplete="off"  readonly ></td>';
            html += '<td><input type="text" name="d_tpt_amt[]" id="tptamt_' + i + '" class="form-control discamt_ changesNo" autocomplete="off"  readonly ></td>';
            html += '<td><input type="text" name="d_duty_amt[]" id="dutyamt_' + i + '" class="form-control discamt_ changesNo" autocomplete="off"  readonly ></td>';
            html += '<td><input type="text" name="d_clr_amt[]" id="clramt_' + i + '" class="form-control discamt_ changesNo" autocomplete="off" readonly ></td>';

            html += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" class="form-control totalLinePrice" autocomplete="off"  readonly></td>';
            html += '<td><input type="text" name="unit_cost[]" id="unitcost_'+i+'" class="form-control totalLinePrice" autocomplete="off" readonly></td>';

            html += '</tr>';
            $('#addrow').append(html);
            i++;

            press_enter();

        });







        //date picker
        $('.v_date').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true
        });


        //dropdown with search
        $(".acct_id").select2();






        function press_enter() {
            $('input').keypress(function (event) {
                if (event.which == '13')	//ENTER
                {
                    var tabIndex = $(this).attr('tabIndex');

                    var all_inputs = $(this).closest('table').find('input:visible');
                    var inputs = all_inputs.filter(function () {
                        return $(this).attr("tabIndex") > tabIndex;
                    })

                    if (inputs.length != 0) {
                        inputs = $(inputs).sort(function (a, b) {
                            return $(a).attr('tabIndex') - $(b).attr('tabIndex');
                        });
                    }
                    else {
                        inputs = $(all_inputs).sort(function (a, b) {
                            return $(a).attr('tabIndex') - $(b).attr('tabIndex');
                        });
                    }


                    var elem = inputs.eq(inputs.index(this) + 1);
                    if (elem.length == 0)
                        elem = inputs.eq(0);

                    elem.focus();
                    event.preventDefault();
                }
            });
        }








        $("#party_bal").hide();
        $("#credit_limit").hide();
        $("#acct_id").change(function ()
        {
            var acct_id = $('#acct_id').val();
            var action = 'party_bal';

            var dataString = 'acct_id=' + acct_id + '&action=' + action;
            $.ajax({
                type: "POST",
                url: "ajax/get_party_bal.php",
                data: dataString,
                success: function (data, status) {
                    // PARSE json data
                    var user = JSON.parse(data);
                    // Assing existing values to the modal popup fields

                    $("#party_bal").show();
                    $("#credit_limit").show();

                    $("#party_bal").val(format_number_drcr(user.bal_amt));
                    $("#credit_limit").val(user.credit_limit);


                }
            });
        });





        //It restrict the non-numbers
        var specialKeys = new Array();
        specialKeys.push(8, 46); //Backspace
        function IsNumeric(e) {
            var keyCode = e.which ? e.which : e.keyCode;
            console.log(keyCode);
            var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
            return ret;
        }


        //stop backspace
        $(document).keydown(function (e) {
            var element = e.target.nodeName.toLowerCase();
            if (element != 'input' && element != 'textarea') {
                if (e.keyCode === 8) {
                    return false;
                }
            }
        });

        //price change
        $(document).on('change keyup blur','.freightQtyChange',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");

            dc_amt = $('#dc_amt').val();
            tpt_amt = $('#tpt_amt').val();
            duty_amt = $('#duty_amt').val();
            clr_amt = $('#clr_amt').val();


            qty = $('#qty_' + id[1]).val();
            valueex_d = $('#itemtot_' + id[1]).val();

            ex_value = $('#grandtot').val();



                //$(".dc_amt_d").val(dc_amt[key][dc_amt]);
                //$('#dcamt_' + id[1]).val(dc_amt);
                //$('.dc_amt_d').each(parseFloat(qty) * parseFloat(dc_amt));

            $('#dcamt_' + id[1]).val(Math.round((parseFloat(dc_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));

            $('#tptamt_' + id[1]).val(Math.round((parseFloat(tpt_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));

            $('#dutyamt_' + id[1]).val(Math.round((parseFloat(duty_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));

            $('#clramt_' + id[1]).val(Math.round((parseFloat(clr_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));


            //$('.dc_amt_d').val(dc_amt);



            //  $('#discamt_' + id[1]).val((parseFloat(orate) * parseFloat(qty) * discp) / 100);





            //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

            /*calculateTotal();
            calculateTotal_qty();
            calculateInvoiceTotal();
            calculateNetAmount();*/

        });






        $(document).on('change keyup blur','.freightQtyChange',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");

            qty = $('#qty_' + id[1]).val();
            valueex = $('#itemtot_' + id[1]).val();
            dcamt = $('#dcamt_' + id[1]).val();
            tptamt = $('#tptamt_' + id[1]).val();
            dutyamt = $('#dutyamt_' + id[1]).val();
            clramt = $('#clramt_' + id[1]).val();


             //tot_amt = $('#itemtot_' + id[1]).val(parseFloat(valueex) +  parseFloat(dcamt) +   parseFloat(tptamt)  +  parseFloat(dutyamt) +  parseFloat(clramt)  );


           // $('#unitcost_' + id[1]).val(parseFloat(valueex) +  parseFloat(dcamt) +   parseFloat(tptamt)  +  parseFloat(dutyamt) +  parseFloat(clramt) / qty );
           // if( qty!='' && orate !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2));

            //calculateTotal();
            calculateTotal_qty();
            calculateInvoiceTotal();
            calculateNetAmount();
            calculateExValueTotal();

        });

        $(document).on('change keyup blur','.freightQtyChange',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");

            qty = $('#qty_' + id[1]).val();
            itemtot = $('#itemtot_' + id[1]).val();
            dcamt = $('#dcamt_' + id[1]).val();
            tptamt = $('#tptamt_' + id[1]).val();
            dutyamt = $('#dutyamt_' + id[1]).val();
            clramt = $('#clramt_' + id[1]).val();



            $('#unitcost_' + id[1]).val(parseFloat(itemtot / qty) );

//            $('#unitcost_' + id[1]).val((parseFloat(itemtot) +  parseFloat(dcamt) +   parseFloat(tptamt)  +  parseFloat(dutyamt) +  parseFloat(clramt)) / qty );
            //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

            //calculateTotal();
            calculateTotal_qty();
            calculateInvoiceTotal();
            calculateNetAmount();
            calculateExValueTotal();

        });

        //price change
        $(document).on('change keyup blur','.re_cal',function() {
            alert('dfdf');
            id_arr = $(this).attr('id');
            id = id_arr.split("_");

            dc_amt = $('#dc_amt').val();
            tpt_amt = $('#tpt_amt').val();
            duty_amt = $('#duty_amt').val();
            clr_amt = $('#clr_amt').val();


            qty = $('#qty_' + id[1]).val();
            valueex_d = $('#itemtot_' + id[1]).val();

            ex_value = $('#grandtot').val();




            //$(".dc_amt_d").val(dc_amt[key][dc_amt]);
            //$('#dcamt_' + id[1]).val(dc_amt);
            //$('.dc_amt_d').each(parseFloat(qty) * parseFloat(dc_amt));

            $('#dcamt_' + id[1]).val(Math.round((parseFloat(dc_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));

            $('#tptamt_' + id[1]).val(Math.round((parseFloat(tpt_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));

            $('#dutyamt_' + id[1]).val(Math.round((parseFloat(duty_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));

            $('#clramt_' + id[1]).val(Math.round((parseFloat(clr_amt) /  parseFloat(ex_value)) * parseFloat(valueex_d)));


            //$('.dc_amt_d').val(dc_amt);



            //  $('#discamt_' + id[1]).val((parseFloat(orate) * parseFloat(qty) * discp) / 100);





            //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

            /*calculateTotal();
            calculateTotal_qty();
            calculateInvoiceTotal();
            calculateNetAmount();*/

        });








    </script>
    <!---------------------------START JAVASCRIPT-------------------------------->








</body>
</html>