<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}

$amt_decimals = find_value('v_system', 'amt_decimals', " ");


## Read value
$draw = $_POST['draw'];
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc


$order = "";
if(isset($columnName) && isset($columnSortOrder))
{
    $order = "order by ".$columnName." ".$columnSortOrder."";
}






//$searchValue = ($_POST['search']['value']); // Search value

$searchValue = $_POST['search']['value']; // Search value

$searchQuery = " ";
if($searchValue != ''){
    $searchQuery = " and (n.acct_name like '%".$searchValue."%') ";
}

## Total number of records without filtering
$sel =  $dbcon->query("select count(*) as allcount from v_party n
 INNER JOIN v_vouchers v  ON v.acct_id = n.acct_id
WHERE 1 ".$searchQuery." AND v.acct_id like '261000%' and n.acct_name is not null 
and v.acct_id not in('2610000462', '2610000463', '2610000464', '2610000804', '2610001191', '2610000790', '2610001116', '2610000886', '2610001164', '2610000789')");




$records = $sel->fetch(PDO::FETCH_BOTH);
$totalRecords = $records['allcount'];

$year_id = clean_data($_SESSION["year_id"]);
$comp_id = clean_data($_SESSION["comp_id"]);


## Fetch records
$empQuery = "SELECT  v.acct_id, n.acct_name,sum(round(ifnull(v.debit,0)-ifnull(v.credit,0))) o_bal
                FROM
                v_vouchers v
                INNER JOIN v_party n ON v.acct_id = n.acct_id
                LEFT JOIN company c ON v.comp_id = c.comp_id
                WHERE  1   ".$searchQuery."  AND v.acct_id like '261000%' and n.acct_name is not null 
and v.acct_id not in('2610000462', '2610000463', '2610000464', '2610000804', '2610001191', '2610000790', '2610001116', '2610000886', '2610001164', '2610000789') 
                                GROUP BY v.acct_id, n.acct_name
                                   HAVING o_bal > 0
                                   $order  ";





$empRecords = $dbcon->query($empQuery);

$data = array();

while ($rows = $empRecords->fetch(PDO::FETCH_OBJ)) {


    $view_btn =  '<a href="ledger?acct_id='.$rows->acct_id.'&ledger=N" target="_blank" >'.$rows->acct_name.'</a>';



    $data[] = array(
        "acct_name" => $view_btn,
        "o_bal" => format_number_drcr($rows->o_bal,0)

    );
}

## Response
$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecords,
    "aaData" => $data
);

echo json_encode($response);
exit;

?>