<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");
require_once ("tcpdf/tcpdf.php");


if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

date_default_timezone_set("Asia/Karachi");
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);
$comp_id = clean_data($_SESSION["comp_id"]);
$year_id = clean_data($_SESSION["year_id"]);

$comp_name = clean_data($_SESSION["COMP_NAME"]);
$phone = clean_data($_SESSION["phone"]);
$address = clean_data($_SESSION["address"]);

$s_date_formt =  find_value('v_system','date_format', '');
$currency_sign = find_value('v_system','currency_sign', '');
$amt_decimals = find_value('v_system','amt_decimals','');
$qty_decimals = find_value('v_system','qty_decimals', '');

$v_id = clean_data($_GET['v_id']);


$print_type = clean_data($_GET['p_type']);

$item = clean_data($_GET['item']);




// Extend the TCPDF class to create custom Header and Footer
class PDF extends TCPDF {

    //Page header
    public function Header()
    {

        include("include/dbconnect.php");
        /*****************START VARIABLES***************/
        $comp_id = clean_data($_SESSION["comp_id"]);
        $v_id = $_GET['v_id'];
        $year_id = clean_data($_SESSION["year_id"]);
        $address = clean_data($_SESSION["address"]);
        $phone = clean_data($_SESSION["phone"]);
        $comp_name = clean_data($_SESSION["COMP_NAME"]);
        $print_type = clean_data($_GET['p_type']);


    }


    function Footer()
    {

        $font_cal = TCPDF_FONTS::addTTFfont('tcpdf/fonts/Calibri/Calibri Regular.ttf', 'TrueTypeUnicode', '', 32);

        //if ( $this->PageNo() !== 1 ) {
        /*     $address = clean_data($_SESSION["address"]);
             $phone = clean_data($_SESSION["phone"]);
             $comp_id = clean_data($_SESSION["comp_id"]);
             $v_id = $_GET['v_id'];
             $year_id = clean_data($_SESSION["year_id"]);


             $this->Line(5,193,142,193);
             $this->SetY( -17 );
             $this->SetFont( $font_cal, 'B', 7 );
             $this->Cell(0,5,''. $address,0,0,'C');
             $this->Ln(1);
             $this->Cell(0,10,''.  $phone,0,0,'C');
             //$this->Cell( 0, 10, 'Page '.$this->PageNo(), 0, 0, 'R' );

             $this->Ln(9);
             $this->Line(5,202,142,202);
             //$this->SetY( 30 );
             $this->SetFont( $font_cal, '', 6 );
             $this->Cell(100,3,''. "Designed & Developed by SkyzTec" . " ". "923404682049",0,0,'L');


             $this->Cell(0,3,'Page '. $this->getAliasNumPage() . " of " . $this->getAliasNbPages(),0,0,'R');
     */

    }















}




// create new PDF document
$pdf = new PDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'PDF_PAGE_FORMAT', true, 'UTF-8', false);



/*$width = 420;
$height = 595;
$pageLayout = array($width, $height); //  or array($height, $width)
$pdf = new TCPDF('p', 'pt', $pageLayout, true, 'UTF-8', false);*/
$pdf->SetPrintHeader(false);
//$pdf->SetPrintFooter(true);

//$pdf->AddPage('L', 'A4');

// Restore RTL direction
$pdf->setRTL(true);



$pdf->AddPage("P", array(73,400));
//$pdf->AddPage('P', 'A6');

$pdf->setFontSubsetting(false);
$font_noori_urdu = TCPDF_FONTS::addTTFfont('tcpdf/fonts/paktypenaskhbasicsaregular.ttf', 'TrueTypeUnicode', '', 32);

$pdf->SetFont('paktypenaskhbasicsa', '', 10, '', false);
$font_cal = TCPDF_FONTS::addTTFfont('tcpdf/fonts/Calibri/Calibri Regular.ttf', 'TrueTypeUnicode', '', 32);
$font_cal_bold = TCPDF_FONTS::addTTFfont('tcpdf/fonts/Calibri/Calibri Bold.TTF', 'TrueTypeUnicode', '', 32);



//use this to generate the required php and other files
$arial_fontname = TCPDF_FONTS::addTTFfont('tcpdf/fonts/ARIALBD.TTF', 'TrueTypeUnicode', '', 32);
//$pdf->SetFont($arial_fontname, '', 14, '', false);





$and = '';
$and .= " AND v.voucher_id = '$v_id'";
$and .= " and v.comp_id =  '$comp_id' ";
$and .= " and v.year_id =  '$year_id' ";



try
{
    $sl_detail_query =  "SELECT v.acct_id, v.voucher_id, v.bill_no, v.voucher_date, c.comp_name, c.add_line1 comp_address,c.phone,c.email,
                              c.stax_no, c.ntn, p.acct_name party_name, p.address add_line1, p.city, c.phone c_phone, 
                                p.phone, p.ntn party_ntn, p.stax_no party_stax_no, p.cnic, v.disc_amt,v.emp_id,
	v.dc_amt,
	v.net_amt,
	v.adv_amt,
	v.net_payable,
       v.particulars,
       p2.acct_name bill_type_name,
       v.customer_cash,
       v.return_cash,
       p.ur_acct_name,
       date_format(v.post_date, \"%h:%i %p\") post_date
       
       
                        FROM sl_invoice v 
                        LEFT JOIN company c ON c.comp_id = v.comp_id
                        LEFT JOIN v_party p ON p.acct_id = v.acct_id
                        LEFT JOIN v_party p2 ON p2.acct_id = v.bill_type
                        WHERE 1=1  $and
                        ORDER BY v.bill_no
                       ";
    $sl_detail_result = $dbcon->prepare($sl_detail_query);
    $sl_detail_result->execute(array( ));
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

$num_rows = $sl_detail_result->rowCount();
$_SESSION["num_rows"] = $num_rows;
$rowm = $sl_detail_result->fetch(PDO::FETCH_ASSOC);
$voucherId =  $rowm['voucher_id'];



$pdf->SetFont('paktypenaskhbasicsa', 'B', 18, '', false);


$pdf->Ln(-5);

$find_comp_name = find_value("company", "ur_comp_name", " and comp_id = '$comp_id'");
$find_address = find_value("company", "ur_address", " and comp_id = '$comp_id'");
$find_phone = find_value("company", "phone", " and comp_id = '$comp_id'");



$pdf->writeHTMLCell(0, 0, '', '', $find_comp_name, 0, 0, 0, '', 'C', true);
$pdf->Ln(6);
$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);
$pdf->writeHTMLCell(100, 0, '', '', $find_address, 0, 0, 0, '', 'R', true);
$pdf->Ln(5);
$pdf->SetFont('times', 'B', 10, '', false);
$pdf->writeHTMLCell(0, 0, '', '', $find_phone, 0, 0, 0, '', 'C', true);


$pdf->SetRightMargin(8);

$pdf->Ln(5);
$pdf->SetLeftMargin(75);
$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);
$pdf->writeHTMLCell(15, 0, '', '', 'بل نمبر', 0, 0, 0, '', 'C', true);

$pdf->SetFont('times', 'B', 8, '', false);
$pdf->writeHTMLCell(15, 0, '', '', $rowm['voucher_id'] . '-' . $year_id, 0, 0, 0, '', 'C', true);
$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);
$pdf->writeHTMLCell(8, 0, '', '', 'تاریخ', 0, 0, 0, '', 'R', true);
$pdf->SetFont('times', '', 8, '', false);
$pdf->writeHTMLCell(15, 0, '', '', format_date($rowm['voucher_date']), 0, 0, 0, '', 'R', true);



$currentDateTime =  $rowm['post_date'];
$newDateTime = date('h:i', strtotime($currentDateTime));



$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);
$pdf->writeHTMLCell(8, 0, '', '', 'ٹائم', 0, 0, 0, '', 'R', true);
$pdf->SetFont('times', '', 8, '', false);
$pdf->writeHTMLCell(15, 0, '', '', $newDateTime, 0, 0, 0, '', 'R', true);







$pdf->Ln(6);


$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);
$pdf->SetLeftMargin(73);
$pdf->writeHTMLCell(15, 0, '', '', '    کسٹمر نام', 0, 0, 0, '', 'R', true);
$pdf->writeHTMLCell(35, 0, '', '', $rowm['ur_acct_name'], 0, 0, 0, '', 'R', true);



/*$pdf->writeHTMLCell(20, 0, '', '', '   فون نمبر', 0, 0, 0, '', 'R', true);
$pdf->SetFont('times', '', 8, '', false);
$pdf->writeHTMLCell(30, 0, '', '', $rowm['phone'], 0, 0, 0, '', 'R', true);
*/




$pdf->Ln(8);

$pdf->SetLeftMargin(71);


$pdf->SetFont('paktypenaskhbasicsa', 'B', 10, '', false);




$pdf->Cell(10, 5, 'سیریل', '1',0,'R', '');
$pdf->Cell(30, 5, 'نام', '1',0,'R', '');
$pdf->Cell(8, 5, 'تعداد', '1',0,'R', '');
$pdf->Cell(9, 5, 'ریٹ', '1',0,'R', '');
$pdf->Cell(12, 5, 'ٹوٹل', '1',0,'R', '');
$pdf->Ln(5);
$pdf->SetFont($font_cal, '', 8);


$and = " AND d.voucher_id = '$v_id'";
$and .= " AND d.comp_id = '$comp_id'";
$and .= " and d.year_id =  '$year_id' ";


try {
    $vd_query = "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	substr(i.ur_description,1,17) description,
	d.qty*d.rate ex_value,
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp
	
 	FROM sl_invoice v 
 	LEFT JOIN sl_invoicedet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id and v.year_id=d.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = v.comp_id  
 	
 	WHERE 1=1 $and ORDER BY d.lineitem/1";
    $vd_result = $dbcon->prepare($vd_query);
    $vd_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}



$pdf->SetLeftMargin(71);
$sr = 0;
$g_tot = 0;
$tot_qty = 0;
$amount_tot = 0;
$qty_tot = 0;
while ($rd_row = $vd_result->fetch(PDO::FETCH_ASSOC)) {

    $g_tot += $rd_row['amount'];
    $tot_qty += $rd_row['qty'];
    $v = $rd_row['voucher_id'];
    $qty_tot += $rd_row['qty'];
    $amount_tot  += $rd_row['itemtot'];

    $sr +=1;
    $pdf->SetLeftMargin(71);
    $pdf->SetFont( $font_cal, '', 8 );
    $pdf->Cell(10, 5,  $sr, '1',0,'C');
    $pdf->SetFont('dejavusans', '', 10, '', false);
    $pdf->Cell(30, 5, $rd_row['description'], '1', 0, 'R');
    $pdf->SetFont( $font_cal, 'B', 7 );
    $pdf->Cell(8, 5, format_number($rd_row['qty'], 0), '1','','R');
    $pdf->Cell(9, 5, format_number($rd_row['rate'], 0), '1','','R');
    $pdf->Cell(12, 5, format_number($rd_row['itemtot'], 0), '1',0,'R');
    $pdf->Ln(5);
}



$pdf->Ln(2);
$pdf->SetFont('paktypenaskhbasicsa', 'B', 10, '', false);
$pdf->Cell(12, 2,  '', '0',0,'C');
$pdf->Cell(22, 2, 'ٹوٹل', '0',0,'R');
$pdf->SetFont( $font_cal, 'B', 8 );
$pdf->Cell(10, 2, number_format($qty_tot,0), '0','','R');
$pdf->Cell(8, 2, '', '0','','L');

$pdf->Cell(10, 2, number_format($amount_tot, 0), '0',0,'R');





$pdf->Ln(1);





$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);

$acct_id = $rowm['acct_id'];

$net_payable = $rowm['net_payable'];

$voucher_date = $rowm['voucher_date'];

$o_bal = (find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                                  FROM v_vouchers v where  v.acct_id = '$acct_id' and v.voucher_date < '$voucher_date' ) v ", 'bal_amt', ''));


$balance = $o_bal;



$pdf->Ln(3);
$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);
$pdf->Cell(12, 5,  '', '0',0,'C');
$pdf->Cell(20, 5, '', '0',0,'R');


$pdf->Cell(15, 5, ' سابقہ بیلنس', '0','','R');
$pdf->SetFont( $font_cal, 'B', 8 );
$pdf->Cell(5, 5, '', '0','','L');
$pdf->Cell(15, 2, number_format($balance, 0), '0',0,'R');


$total_bal = $net_payable + $balance;



$pdf->Ln(4);
$pdf->SetFont('paktypenaskhbasicsa', 'B', 8, '', false);
$pdf->Cell(12, 5,  '', '0',0,'C');
$pdf->Cell(20, 5, '', '0',0,'R');



$total_bal = (find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                                  FROM v_vouchers v where  v.acct_id = '$acct_id'  and v.voucher_date <= '$voucher_date' ) v ", 'bal_amt', ''));


$pdf->Cell(15, 5, 'ٹوٹل بیلنس ', '0','','R');
$pdf->SetFont( $font_cal, 'B', 8 );
$pdf->Cell(5, 5,'', '0','','R');
$pdf->Cell(15, 2, number_format($total_bal, 0), '0',0,'R');








ob_end_clean();
$pdf->Output();
