<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
/*************************************************
 *************declare variables********************
 *************************************************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);


$p_year_id = clean_data($_GET['p_year_id']);

$_SESSION['p_year_id'] = $p_year_id;
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}

$p_comp_id = clean_data($_GET['p_comp_id']);
$_SESSION['p_comp_id'] = $p_comp_id;
if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;
}


$_SESSION['v_id']= $_GET['v_id'];



$v_id = clean_data($_SESSION['v_id']);
$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$menu_id = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y'");

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$date_close = find_value("v_system", 'date_close', '');



/****************START TO FORM TITLE*************/
$form_title = '';
if($voucher_type == 'VG')
{
    $form_title = 'Vendor To Goods';
}
else if($voucher_type == 'GG')
{
    $form_title = 'Goods To Goods';
}
else if($voucher_type == 'GC')
{
    $form_title = 'Goods To Customer';
}
else if($voucher_type == 'PP')
{
    $form_title = 'Party To Party';
}
/****************END TO FORM TITLE*************/



/****************START TO LABEL*************/
$to_label = 'To Goods Name';
if($voucher_type == 'GG')
{
    $to_label = 'To Goods Name';
}
else if($voucher_type == 'GC')
{
    $to_label = 'To Customer Name';
}
else if($voucher_type == 'PP')
{
    $to_label = 'To Party Name';
}
/****************END TO LABEL*************/


/****************START TO LABEL*************/
$from_label = 'From Vendor Name';
if($voucher_type == 'GG')
{
    $from_label = 'From Goods Name';
}
else if($voucher_type == 'GC')
{
    $from_label = 'From Goods Name';
}
else if($voucher_type == 'PP')
{
    $from_label = 'From Party Name';
}
/****************END TO LABEL*************/










//gatepass master query
$and = '';
$and .= " AND m.voucher_id = ?";
$and .= " AND m.comp_id = ?";
$and .= " AND m.year_id = ?";


try
{
    $sl_detail_query =  "SELECT
	m.voucher_id,
	m.voucher_type,
	m.voucher_date,
	m.comp_id,
	m.bill_no,
	m.discp,
	m.net_amt,
	m.adv_amt,
	m.disc_amt,
	m.net_payable,
	m.dc_amt,
	p.acct_name,
	m.acct_id,
	c.comp_name,
	n.acct_name to_acct_name,
	m.emp_id,
	m.posted	
FROM
	loading m
LEFT JOIN loadingdet d ON m.voucher_id = d.voucher_id
AND m.comp_id = d.comp_id AND m.year_id = d.year_id
LEFT JOIN nom p ON m.acct_id = p.acct_id
LEFT JOIN nom n ON m.to_acct_id = n.acct_id
LEFT JOIN company c  ON c.comp_id = m.to_comp_id

WHERE 1=1  $and";
    $sl_detail_result = $dbcon->prepare($sl_detail_query);
    $sl_detail_result->execute(array( $v_id, $comp_id, $year_id));
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

$detail_row = $sl_detail_result->fetch(PDO::FETCH_OBJ);

$_SESSION['to_comp_id'] = $detail_row->comp_id;
$v_emp_id = $detail_row->emp_id;
$posted = $detail_row->posted;
$voucher_date = $detail_row->voucher_date;
//$_SESSION['cash_acct'] = $detail_row->acct_id;

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->


    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title"><?php echo $form_title ;?> </div>
            </div>

            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content">

            <?php
            $menu_id = $_GET['menu_id'];
            ?>

            <!--------------START ADD NEW BUTTON---------------->
            <?php
            if($menu_id == '8.3' or ($auth_id == '8' or $auth_id == '9'))
            {
                ?>

                <!--------------START ADD NEW BUTTON---------------->
                <form method="post" action="loading" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <input type="hidden" name="add" value="Y">
                    <input type="submit" class="btn btn-blue waves-effect waves-light" value="New">
                </form>
                <!--------------END ADD NEW BUTTON---------------->

            <?php } ?>
            <!--------------END ADD NEW BUTTON---------------->


            <!--------------START EDIT  BUTTON---------------->
            <?php
            if($posted == 'on')
            {
                ?>

                <?php
            }
            else
            {
                ?>
                <?php

                if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && ($voucher_date > $date_close)) || ( $auth_id == '9') ) {

                    ?>

                    <!-- EDIT VOUCHER BUTTON --->
                    <form method="post"action="loading" style ='float: left; padding: 0px;'>
                        <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                        <input type="hidden" name="v_id" value="<?php echo $detail_row->voucher_id;?>">
                        <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                        <input type="hidden" name="comp_id" value="<?php echo $p_comp_id;?>">
                        <input type="hidden" name="year_id" value="<?php echo $year_id;?>">
                        <input type="hidden" name="add" value="N">
                        <input type="submit" class="btn btn-warning waves-effect waves-light" value="Edit">
                    </form>


                <?php } ?>
            <?php } ?>

            <!--------------END EDIT BUTTON---------------->

            <!--------------START DELETE BUTTON---------------->
            <?php
            if($posted == 'on')
            {
                ?>

                <?php
            }
            else
            {
                if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && ($voucher_date > $date_close)) || ( $auth_id == '9') ) {

                    ?>

                    <input type="hidden" value="<?php echo $v_id;?>" name="del_v_id" id="del_v_id">
                    <button type="button" class="btn btn-danger" onClick="delete_voucher()"><u>D</u>elete <span class="glyphicon glyphicon-remove"></span></button>
                <?php }
            }
            ?>


            <!--------------END DELETE BUTTON---------------->


            <!--------------START POST BUTTON---------------->
            <?php
            if($posted == '')
            {
                ?>
            <?php }?>
            <?php
            $label = 'Post';
            if($posted == 'on')
            {
                $label = 'Un-Post';
            }
            ?>

            <?php

            if($posted == 'on') {
                ?>

                <?php
                if ((($emp_id == $v_emp_id || $auth_id == '8') && ($voucher_date > $date_close)) || ($auth_id == '9')) {

                    ?>

                    <input type="hidden"  name="post" id="post" value="<?php echo $posted;?>">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <button type="button" class="btn btn-success pull-right"
                            onClick="post_gatepass()"><?php echo $label; ?> <span
                            class="glyphicon glyphicon-check"></span></button>
                <?php }

            }
            ?>
            <?php
            if($posted == '')
            {
                ?>
                <input type="hidden"  name="post" id="post" value="<?php echo $posted;?>>
                <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                <button type="button" class="btn btn-success pull-right" onClick="post_gatepass()"><?php echo $label;?>  <span class="glyphicon glyphicon-check"></span></button>

            <?php } ?>
            <!--------------END POST BUTTON---------------->



            <!--------------START PRINT BUTTON---------------->
            <?php
            if($posted == 'on')
            {
                ?>
                <a href="#"><button class="btn btn-default">Print  <span class="glyphicon glyphicon-print"></span></button></a>

                <?php
            }
            else
            {
                ?>




            <?php } ?>

            <!--------------END PRINT BUTTON---------------->




            <br clear="all"><br clear="all">

            <!-------------START MASTER TABLE---------------->

            <div class="table-responsive">
                <table class="table dt-responsive table-striped table-bordered table-sm">
                    <thead>
                    <tr>


                        <th>Date:</th>
                        <td>
                            <?php echo format_date($detail_row->voucher_date);

                            $_SESSION['sl_voucher_date'] = $detail_row->voucher_date;
                            ?>
                        </td>

                        <th>Voucher ID:</th>
                        <td><?php echo $detail_row->voucher_id;?></td>

                        <th><?php echo $to_label;?></th>
                        <td><?php echo $detail_row->to_acct_name; ?></td>
                    </tr>


                    <tr>

                        <td></td>
                        <td></td>
                        <th>Voucher Type:</th>
                        <td><?php echo $detail_row->voucher_type;?></td>


                        <th><?php echo $from_label;?></th>
                        <td><?php echo $detail_row->acct_name; ?></td>
                    </tr>




                    <thead>

                </table>
            </div>

            <!-------------END MASTER TABLE---------------->

            <table id="advanced-table" class="table dt-responsive table-striped table-bordered nowrap">
                <thead>
                <tr>
                    <th>SR NO.</th>
                    <th>STOCK CODE</th>
                    <th>DESCRIPTION</th>
                    <th>BRAND</th>
                    <th>BILL NO</th>
                    <th>BILITY NO</th>
                    <th>GADI NO</th>
                    <th>CELL NO</th>
                    <th>RENT</th>
                    <td align="right"><b>QTY</td>
                    <td align="right"><b>RATE</td>
                    <td align="right"><b>AMOUNT</td>
                    <?php if($posted == '')
                    {
                        ?>

                        <th>DELETE</th>
                    <?php }
                    else {
                        ?>

                    <?php } ?>
                </tr>
                </thead>

                <tbody>
                <?php
                //sale invoice detail query
                $and = '';

                $and .= " AND d.voucher_id = '$v_id'";
                $and .= " and d.comp_id = '$comp_id' ";
                $and .= " AND d.year_id = '$year_id'";



                try
                {
                    $sl_d_query =  "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	l.rate,
	d.voucher_id,
	i.description,
	
	l.rate*d.qty itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount,
	d.sharing,
	d.avg_rate,
	d.disc_amt,
	d.bility_no,
	d.gadi_no,
	d.cell_no,
	d.rent,
	l.type_name brand,
	ifnull(d.pl_v_id,d.sl_v_id) bill_no
 	FROM loading m 
 	LEFT JOIN loadingdet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id AND m.year_id = d.year_id
 	LEFT JOIN v_loading l on concat(m.voucher_type,m.voucher_id)=l.voucher_id and d.lineitem=l.lineitem and d.year_id = l.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code
	LEFT JOIN prod_type b on d.type_id=b.type_id
	LEFT JOIN company c ON c.comp_id = m.comp_id
	WHERE 1=1 $and ORDER BY d.lineitem/1";

//echo $sl_d_query;
                    $sl_d_result = $dbcon->prepare($sl_d_query);
                    $sl_d_result->execute(array());
                }
                catch(PDOException $e)
                {
                    echo "Error : ". $e->getMessage();
                }




                $srno = '';
                $qty_tot = '';
                $amount_tot = '';
                $rate_tot= "";
                $disc_tot = "";

                $tot_sharing_amount = "";

                while($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ))
                {
                    $srno += 1;
                    $v = $d_row->voucher_id;

                    $qty_tot += $d_row->qty;
                    $rate_tot += $d_row->rate;
                    $disc_tot += $d_row->discp;
                    $amount_tot += $d_row->itemtot;


                    $_SESSION['avg_rate'] = $d_row->avg_rate;

                    ?>
                    <tr>
                        <td><?php echo $d_row->lineitem;?></td>
                        <td><?php echo $d_row->stock_code;?></td>
                        <td><?php echo $d_row->description;?></td>
                        <td><?php echo $d_row->brand;?></td>
                        <td><?php echo $d_row->bill_no;?></td>
                        <td><?php echo $d_row->bility_no;?></td>
                        <td><?php echo $d_row->gadi_no;?></td>
                        <td><?php echo $d_row->cell_no;?></td>
                        <td><?php echo $d_row->rent;?></td>
                        <td align="right"><?php echo number_format($d_row->qty,2);?></td>
                        <td align="right"><?php echo number_format($d_row->rate,2);?></td>
                        <td align="right"><?php echo number_format($d_row->itemtot);?></td>

                        <?php if($posted == '')
                        {
                            ?>

                            <td>
                                <a  class="text-muted delete_product"  onclick="delete_single('<?php echo $d_row->voucher_id; ?>','<?php echo $d_row->lineitem; ?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                            </td>
                        <?php } ?>

                    </tr>
                    <?php
                }
                ?>


                <tr>


                    <td></td>
                    <td></td>

                    <td></td>

                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>

                    <td align="right"><b>Total</b></td>
                    <td align="right"><b><?php echo format_number($qty_tot,2);?></b></td>
                    <td><b><?php //echo $rate_tot;?></b></td>

                    <td align="right">
                        <b><?php echo format_number($amount_tot,0);
                            $_SESSION['sale_amount'] = $amount_tot;
                            ?></b>
                    </td>




                </tr>


                </tbody>
            </table>



        </div>
        <!---------------END PAGE CONTENT----------------->
    </div>
    <!---------------END PAGE WRAPPER----------------->
</div>
<!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
<script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>



<script type="text/javascript">

    /****************START SINGLE ITEM DELETE LINEITEM WISE**************/
    function delete_single(voucherid,lineitem)
    {
        var status=confirm("Are you sure want to delete");
        if(status==true)
        {

            var datastring = 'voucherid=' + voucherid  + '&lineitem=' + lineitem  +   '&action=loading_delete';
            $.ajax({
                type:"POST",
                url:"del_single.php",
                data: datastring,
                success: function()
                {
                    //alert(result);
                    window.location = "loading_detail?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>"

                }
            });
        }

    }

    /****************END SINGLE ITEM DELETE LINEITEM WISE**************/




    /****************START POST VOUCHER**************/
    function post_gatepass()
    {
        var post = $('#post').val();

        var status=confirm("Are you sure want to <?php echo $label;?> Data.");

        if(status==true)
        {
            var datastring = 'post=' + post  + '&action=post';

            $.ajax({
                type:"POST",
                url:"process/post_loading.php",
                data: datastring,
                success: function(result)
                {
                     //alert(result);
                    var voucher_id = result;
                        window.location = "loading_detail?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"
                }
            });
        }
    }



    /****************END POST VOUCHER**************/




    /****************START DELETE FULL VOUCHER**************/
    function delete_voucher()
    {

        var status=confirm("Are you sure want to delete");
        var del_v_id = $('#del_v_id').val();

        if(status==true)
        {
            var datastring = 'del_v_id=' + del_v_id   + '&action=loading_delete';

            $.ajax({
                type:"POST",
                url:"del_voucher.php",
                data: datastring,
                success: function()
                {
                    //alert(result);
                    window.location = "show_loading?voucher_type=<?php echo $voucher_type;?>&posted=''&menu_id=<?php echo $menu_id;?>"


                }


            });

        }

    }
    /****************END DELETE FULL VOUCHER**************/
















</script>


</body>
</html>