<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
if ($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$from_date = clean_data($_POST['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = clean_data($_POST['comp_id']);

$acct_id = clean_data($_POST['acct_id']);
$type_id = clean_data($_POST['type_id']);
$loc_id = clean_data($_POST['loc_id']);
$status = clean_data($_POST['status']);

$qty_decimals=find_value('v_system','qty_decimals','');
$amt_decimals=find_value('v_system','amt_decimals','');
/*****************START MYSQL VARIABLES**************/


/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {

    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
} else {
    $comp_name = find_value('v_system', 'comp_name', "");

}
/*************END FINDE COMPANY NAME*****************/


$and = "";
$and_comp = "";

if ($comp_id != "All") {
    $and_comp .= " and v.comp_id = '$comp_id'";
} else {
    $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
				LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
				WHERE uc.emp_id = '$emp_id' )";
}

if ($acct_id != "All") {
    $and .= " and v.party_id = '$acct_id'";
}

if ($type_id != "All") {
    $and .= " and v.type_id = '$type_id'";
}

if ($loc_id != "All") {
    $and .= " and v.loc_id = '$loc_id'";
}

//if ($_SESSION['db'] == 'pwwatmno_click_tayyab'){
//    if ($status == "All")
//        $status = "Cleared";
//
//    if ($status != "Cleared")
//        $and .= " and (1=2)";
//}

if ($status == "Due")
    $and .= " and (ifnull(v.qty,0)-ifnull(i_d_l.qty,0))<>0";

if ($status == "Pending")
$and .= " and (ifnull(v.qty,0)-ifnull(i_d_l.qty,0))>0 and i_d_l.qty<>0";

if ($status == "Un-Loaded")
    $and .= " and (ifnull(v.qty,0)-ifnull(i_d_l.qty,0))>0 and ifnull(i_d_l.qty,0)=0";

if ($status == "Cleared")
    $and .= " and (ifnull(v.qty,0)-ifnull(i_d_l.qty,0))=0 and i_d_l.qty<>0";

if ($status == "Excess")
    $and .= " and (ifnull(v.qty,0)-ifnull(i_d_l.qty,0))<0 and i_d_l.qty<>0";


/*****************END MYSQL VARIABLES**************/


?>

<h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name; ?></h1>
<div class="table-responsive">

    <?php

    /***************END MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/


    ?>

    <?php

    try {

        $d_query = "
    SELECT v.*, i_d_l.qty loaded, f_loading(v.comp_id,v.year_id,v.voucher_id) loading
    FROM
    (
    SELECT
	m.loc_id AS loc_id,
	m.comp_id AS comp_id,
	m.year_id AS year_id,
	m.voucher_id,
	concat( `d`.`comp_id`, `d`.`year_id`, `d`.`voucher_id`,'-',d.lineitem ) AS sl_v_id,	
	m.voucher_date,
	m.acct_id AS party_id,
	upper(p.acct_name) AS party_name,
	d.lineitem AS lineitem,
	d.stock_code AS stock_code,
	i.description AS stock_name,
	d.type_id AS type_id,
	t.type_name AS type_name,
	d.rate AS rate,
	d.qty AS qty,
	d.itemtot AS itemtot
FROM
	(
		(
			(
				(
					(
						sl_invoice m
						LEFT JOIN sl_invoicedet d ON (
							(
								( m.comp_id = d.comp_id ) 
								AND ( m.year_id = d.year_id ) 
								AND ( m.voucher_id = d.voucher_id ) 
							) 
						) 
					)
					LEFT JOIN nom p ON ( ( m.acct_id = p.ACCT_ID ) ) 
				)
				LEFT JOIN item i ON ( ( d.stock_code = i.stock_code ) ) 
			)
			LEFT JOIN location l ON ( ( m.loc_id = l.loc_id ) ) 
		)
		LEFT JOIN prod_type t ON ( ( d.type_id = t.TYPE_ID ) ) 
	) 
WHERE (m.voucher_date between '$new_from_date' and '$new_to_date')
UNION ALL
SELECT
	m.loc_id AS loc_id,
	m.comp_id AS comp_id,
	m.year_id AS year_id,
	m.voucher_id,
	concat(m.comp_id,'OP', m.voucher_id,'-',d.lineitem ) AS sl_v_id,
	m.voucher_date,
	m.acct_id AS party_id,
	upper(p.acct_name) AS party_name,
	d.lineitem AS lineitem,
	d.stock_code AS stock_code,
	i.description AS stock_name,
	d.type_id AS type_id,
	t.TYPE_NAME AS type_name,
	d.rate AS rate,
	d.qty AS qty,
	d.itemtot AS itemtot 
FROM
	(
		(
			(
				(
					(
						o_loading_sl_invoice m
						LEFT JOIN o_loading_sl_invoicedet d ON (
							(
								( m.comp_id = d.comp_id ) 
								AND ( m.year_id = d.year_id ) 
								AND ( m.voucher_id = d.voucher_id ) 
							) 
						) 
					)
					LEFT JOIN nom p ON ( ( m.acct_id = p.ACCT_ID ) ) 
				)
				LEFT JOIN item i ON ( ( d.stock_code = i.stock_code ) ) 
			)
			LEFT JOIN location l ON ( ( m.loc_id = l.loc_id ) ) 
		)
		LEFT JOIN prod_type t ON ( ( d.type_id = t.TYPE_ID ) ) 
	) 
) v
	    LEFT JOIN (SELECT sl_v_id, SUM(qty) qty
FROM
(
SELECT sl_v_id, ( qty ) qty FROM v_loading 
UNION ALL
SELECT m.sl_v_id, sum(qty) qty FROM pl_invoice m
LEFT JOIN pl_invoicedet d on m.comp_id=d.comp_id and m.year_id=d.year_id and m.voucher_id=d.voucher_id
WHERE m.sl_v_id is not null
GROUP BY sl_v_id
) v
GROUP BY v.sl_v_id
) i_d_l on i_d_l.sl_v_id=v.sl_v_id
WHERE v.voucher_date between '$new_from_date' and '$new_to_date' $and $and_comp
    
ORDER BY v.voucher_date
";

//echo $d_query;
        $d_result = $dbcon->prepare($d_query);
        $d_result->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    // echo $d_query;


    $no_row = $d_result->rowCount();

    if ($no_row != 0) {

    ?>

    <table class="table table-bordered table-striped">
        <tr>
            <td align="center"><b>Date</b></td>
            <td align="center"><b>Bill V ID</b></td>
            <th>Party Name</th>
            <td align="right"><b>Bori</b></td>
            <td align="right"><b>Loaded</b></td>
            <td align="right"><b>Pending</b></td>
            <td align="right"><b>Rate</b></td>
            <td align="left"><b>Brand</b></td>
            <td align="left"><b>Loading Details</b></td>
        </tr>

        <?php

$serno = 0;
$qty_tot = 0;
$loaded_tot = 0;
$pending_tot = 0;
while ($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {

        $serno = $serno + 1;
        $pending=$report_row['qty']-$report_row['loaded'];

        $qty_tot += $report_row['qty'];
        $loaded_tot += $report_row['loaded'];
        $pending_tot += $pending;

        ?>

        <tr>

            <td align=center><?php echo format_date($report_row['voucher_date']); ?></td>
            <td align=center><?php echo $report_row['sl_v_id']; ?></td>
            <td align=left><?php echo $report_row['party_name']; ?></td>
            <td align=right><?php echo format_number($report_row['qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['loaded'], 0); ?></td>
            <td align=right><?php echo format_number($pending, 0); ?></td>
            <td align=right><?php echo format_number($report_row['rate'], 0); ?></td>
            <td align=left><?php echo $report_row['type_name']; ?></td>
            <td align=left><?php echo $report_row['loading']; ?></td>
        </tr>
        <?php

        }
        ?>


        <?php
        }
        }
?>
        <tr>

            <td></td>
            <td></td>
            <td align="right"><b>Total</b></td>
            <td align=right><b><?php echo format_number(($qty_tot), 0); ?></b></td>
            <td align=right><b><?php echo format_number(($loaded_tot), 0); ?></b></td>
            <td align=right><b><?php echo format_number(($pending_tot), 0); ?></b></td>
            <td></td>
            <td></td>

        </tr>
        <?php

        }
        ?>

                </table>

        </div>
