<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

/*****************START VARIABLES*************************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);
$p_comp_id = clean_data($_GET['p_comp_id']);
$_SESSION['p_comp_id'] = $p_comp_id;
if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;
}

$_SESSION['v_id']= $_GET['v_id'];
$v_id = clean_data($_SESSION['v_id']);
$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
$outlet_margin = $_SESSION["outlet_margin"];
$postedd = stripslashes($_GET['posted']);
$year_id = clean_data($_SESSION["year_id"]);
/*****************END VARIABLES*************************/


/*****************START MYSQL MASTER TABLE QUERY*************************/
$and = '';

$and .= " AND m.voucher_id = '$v_id'";
$and .= " and m.comp_id = '$comp_id'";
$and .= " and m.year_id = '$year_id'";


try
{
    $sl_detail_query =  "SELECT
	m.voucher_id,
	m.voucher_date,
	m.comp_id,
	p.acct_name,
	m.customer_name,
	m.customer_phone,
	m.bill_no,
	s.acct_name sp_name,
	m.discount_voucher_no,
	m.customer_cash,
	m.return_cash,
	m.acct_id,
	m.discp,
	m.net_amt,
	m.adv_amt,
	m.net_payable,
	m.po_id,
	m.rtn_charges
FROM
	pl_return m
LEFT JOIN pl_returndet d ON m.voucher_id = d.voucher_id
AND m.comp_id = d.comp_id
LEFT JOIN v_party p ON m.acct_id = p.acct_id
LEFT JOIN sp s ON s.acct_id = m.sp_id 
WHERE 1=1  $and";
    $sl_detail_result = $dbcon->prepare($sl_detail_query);
    $sl_detail_result->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


$detail_row = $sl_detail_result->fetch(PDO::FETCH_OBJ);
/*****************END MYSQL MASTER TABLE QUERY*************************/

$_SESSION['cash_acct'] = $detail_row->acct_id;




$menu_id = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y'");

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$date_close = find_value("v_system", 'date_close', '');

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->


    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title">PURCHASE RETURN DETAIL</div>
            </div>

            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content">

            <!--------------START ADD NEW BUTTON---------------->
            <form method="post" action="mli_purchase_return" style ='float: left; padding: 0px;'>
                <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                <input type="hidden" name="add" value="Y">
                <input type="submit" class="btn btn-blue waves-effect waves-light" value="New">
            </form>
            <!--------------END ADD NEW BUTTON---------------->


            <!--------------START EDIT  BUTTON---------------->
            <?php
            $posted = stripslashes($_GET['posted']);
            $_SESSION['posted'] = $posted;
            if($posted == "'on'")
            {
                ?>


                <button type="button" class="btn btn-disable disabled btn-warning">Edit <i class="zmdi zmdi-edit"></i></button>


                <?php
            }
            else
            {
                ?>

                <form method="post"action="mli_purchase_return" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="v_id" value="<?php echo $detail_row->voucher_id;?>">
                    <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                    <input type="hidden" name="comp_id" value="<?php echo $p_comp_id;?>">
                    <input type="hidden" name="add" value="N">
                    <input type="submit" class="btn btn-warning waves-effect waves-light" value="Edit">
                </form>



            <?php } ?>
            <!--------------END EDIT BUTTON---------------->



            <!--------------START POST BUTTON---------------->
            <?php
            $posted = stripslashes($_GET['posted']);

            $_SESSION['posted'] = $posted;
            if ($posted == "''") {
                ?>

            <?php } ?>

            <?php
            if ($posted == "'on'") {


                $posted = $_SESSION['posted'];
                $label = 'Post';
                if ($posted == "'on'") {
                    $label = 'Un-Post';
                }
                ?>

                <input type="hidden" value="Y" name="post" id="post">
                <button type="button" class="btn btn-success" onClick="post_sale_invoice()"><?php echo $label; ?> <i class="zmdi zmdi-local-post-office"></i></button>
            <?php } else {

                if ($posted == "''") {

                    $posted = $_SESSION['posted'];
                    $label = 'Post';
                    if ($posted == "'on'") {
                        $label = 'Un-Post';
                    }
                    ?>

                    <input type="hidden" value="Y" name="post" id="post">
                    <button type="button" class="btn btn-success" onClick="post_sale_invoice()"><?php echo $label; ?> <i class="zmdi zmdi-check"></i></button>
                    <?php
                }
            }
            ?>
            <!--------------END POST BUTTON---------------->


            <!--------------START DELETE VOUCHER BUTTON---------------->
            <?php
            if ($posted == "'on'") {
                ?>

                <button type="button" class="btn btn-disable disabled btn-danger" >Delete  <i class="zmdi zmdi-delete"></i></button

                <?php
            } else {
                ?>

                <input type="hidden" value="<?php echo $v_id; ?>" name="del_v_id" id="del_v_id">
                <button type="button" class="btn btn-danger" onClick="delete_voucher()">Delete  <i class="zmdi zmdi-delete"></i></button>

            <?php } ?>
            <!--------------END DELETE VOUCHER BUTTON---------------->


            <!--------------START PRINT PDF BUTTON---------------->
            <a href="mli_pdf_pl_return_print?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''" target="_blank"><button class="btn btn-default"><u>P</u>RINT <i class="zmdi zmdi-print"></i></button></a>
            <!--------------END PRINT PDF BUTTON---------------->


            <!--------------START PRINT PDF BUTTON---------------->
            <a href="mli_pdf_pl_return_summary_print?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''" target="_blank"><button class="btn btn-primary">Summary <u>P</u>RINT <i class="zmdi zmdi-print"></i></button></a>
            <!--------------END PRINT PDF BUTTON---------------->

            <br clear="all"><br clear="all">




            <!-------------START MASTER TABLE---------------->

            <div class="table-responsive">
                <table class="table dt-responsive table-striped table-bordered nowrap">
                    <thead>
                    <tr>
                        <th>Date:</th>
                        <td>
                            <?php echo format_date($detail_row->voucher_date);
                            $_SESSION['sl_voucher_date'] = $detail_row->voucher_date;
                            ?>
                        </td>

                        <th>Voucher ID:</th>
                        <td><?php echo $detail_row->voucher_id;

                            $_SESSION['party_acct_id'] = $detail_row->acct_id;

                            ?></td>

                        <th>Account Name:</th>
                        <td><?php echo $detail_row->acct_name; ?></td>
                    </tr>

                    <tr>
                        <th>Customer Name:</th>
                        <td><?php echo $detail_row->customer_name; ?></td>


                        <th>Customer Phone:</th>
                        <td><?php echo $detail_row->customer_phone; ?></td>

                        <th>Return ID:</th>
                        <td><?php echo $detail_row->po_id; ?></td>
                    </tr>


                    <thead>

                </table>
            </div>

            <!-------------END MASTER TABLE---------------->

            <table id="advanced-table" class="table dt-responsive table-striped table-bordered nowrap">
                <thead>
                <tr>
                    <th>SR NO.</th>
                    <th>STOCK CODE</th>
                    <th>STOCK NAME</th>
                    <th>COLOR</th>
                    <th>SIZE</th>
                    <th>PARTICULARS</th>
                    <th>QTY</th>
                    <th>RATE</th>



                    <th>AMOUNT</th>
                    <?php if($posted == "''")
                    {
                        ?>

                        <th>DELETE</th>
                    <?php }
                    else {
                        ?>

                    <?php } ?>
                </tr>
                </thead>

                <tbody>
                <?php
                //sale invoice detail query
                $and = '';

                $and .= " AND d.voucher_id = '$v_id'";
                $and .= " and d.comp_id = '$comp_id' ";



                try
                {
                    $sl_d_query =  "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount,
	d.sharing,
	d.avg_rate,
	r.description color_name,
	s.size
 	FROM pl_return m 
 	LEFT JOIN pl_returndet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id
	LEFT JOIN item i ON d.stock_code = i.stock_code
	LEFT JOIN color r ON d.color_id = r.color_id
	LEFT JOIN size s ON d.size_id = s.size_id
    LEFT JOIN company c ON c.comp_id = m.comp_id

	WHERE 1=1 $and ORDER BY d.lineitem/1 ";






                    $sl_d_result = $dbcon->prepare($sl_d_query);
                    $sl_d_result->execute(array());
                }
                catch(PDOException $e)
                {
                    echo "Error : ". $e->getMessage();
                }




                $srno = '';
                $qty_tot = '';
                $amount_tot = '';
                $rate_tot= "";
                $disc_tot = "";

                $tot_sharing_amount = "";

                while($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ))
                {
                    $srno += 1;
                    $v = $d_row->voucher_id;

                    $qty_tot += $d_row->qty;
                    $rate_tot += $d_row->rate;
                    $disc_tot += $d_row->discp;
                    $amount_tot += $d_row->itemtot;


                    $_SESSION['avg_rate'] = $d_row->avg_rate;







                    ?>
                    <tr>
                        <td><?php echo $d_row->lineitem;?></td>

                        <td><?php echo $d_row->stock_code;?></td>

                        <td><?php echo $d_row->description;?></td>
                        <td><?php echo $d_row->color_name;?></td>
                        <td><?php echo $d_row->size;?></td>
                        <td><?php echo $d_row->particulars;?></td>
                        <td><?php echo number_format($d_row->qty);?></td>
                        <td><?php echo number_format($d_row->rate);?></td>

                        <td><?php echo number_format($d_row->itemtot);?></td>




                        <?php if($posted == "''")
                        {
                            ?>

                            <td>
                                <a  class="text-muted delete_product"  onclick="delete_single('<?php echo $d_row->voucher_id; ?>','<?php echo $d_row->lineitem; ?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                            </td>
                        <?php } ?>

                    </tr>
                    <?php
                }
                ?>


                <tr>


                    <td></td>
                    <td></td>

                    <td></td>
                    <td></td>
                    <td></td>

                    <td align="right"><b>Total</b></td>
                    <td><b><?php echo $qty_tot;?></b></td>
                    <td><b><?php //echo $rate_tot;?></b></td>

                    <td>
                        <b><?php echo format_number($amount_tot,0);
                            $_SESSION['sale_amount'] = $amount_tot;
                            ?></b>
                    </td>




                </tr>

                <tr>
                    <td colspan="5"></td>
                    <td><b>Discount</b></td>
                    <td><?php echo number_format($detail_row->discp);?></td>
                    <td><b>Discount Amount</b></td>
                    <td><?php echo number_format($detail_row->disc_amt);?></td>
                </tr>


                <tr>
                    <td colspan="7"></td>
                    <td><b>Freight</b></td>
                    <td><?php echo number_format($detail_row->dc_amt);?></td>
                </tr>

                <tr>
                    <td colspan="7"></td>
                    <td><b>Invoice Amount</b></td>
                    <td><?php echo number_format($detail_row->net_amt);?></td>
                </tr>


                <tr>
                    <td colspan="7"></td>
                    <td><b>Advance</b></td>
                    <td><?php echo number_format($detail_row->adv_amt);

                        $_SESSION['adv_amt'] = $detail_row->adv_amt;

                        ?></td>
                </tr>



                <tr>
                    <td colspan="7"></td>
                    <td><b>Return Charges</b></td>
                    <td><?php echo number_format($detail_row->rtn_charges);?></td>
                </tr>



                <tr>
                    <td colspan="7"></td>
                    <td><b>Total Invoice</b></td>
                    <td><?php echo number_format($detail_row->net_payable);?></td>
                </tr>

                </tbody>
            </table>







        </div>
        <!---------------END PAGE CONTENT----------------->
    </div>
    <!---------------END PAGE WRAPPER----------------->
</div>
<!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
<script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>



<script type="text/javascript">

    //delete single enteryvoucher
    function delete_single(voucherid,lineitem)
    {
        var status=confirm("Are you sure want to Single Entery Delete");
        if(status==true)
        {


            var datastring = 'voucherid=' + voucherid  + '&lineitem=' + lineitem  +   '&action=pr_delete';
            $.ajax({
                type:"POST",
                url:"del_single.php",
                data: datastring,
                success: function()
                {
                    //alert(result);
                    window.location = "mli_pl_return_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"
                }


            });
        }

    }



    //delete voucher
    function delete_voucher()
    {
        var status=confirm("Are you sure want to Full Voucher Delete");
        var del_v_id = $('#del_v_id').val();

        if(status==true)
        {
            var datastring = 'del_v_id=' + del_v_id   + '&action=pr_delete';

            $.ajax({
                type:"POST",
                url:"del_voucher.php",
                data: datastring,
                success: function(result)
                {
                    //alert(result);
                    window.location = "show_purchase_return.php?voucher_type=<?php echo $voucher_type;?>&posted=''"
                }


            });

        }

    }






    //sale invoice post
    function post_sale_invoice()
    {
        var post = $('#post').val();

        var status=confirm("Are you sure want to <?php echo $label;?> Data.");

        if(status==true)
        {
            var datastring = 'post=' + post  + '&action=post';

            $.ajax({
                type:"POST",
                url:"process/mli_pl_return_post.php",
                data: datastring,
                success: function(result)
                {
                    // alert(result);
                    var voucher_id = result;
                    var posted = <?php echo $postedd; ?>;


                    if (posted == 'on') {
                        window.location = "mli_pl_return_detail.php?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>"

                    }

                    if (posted == '') {
                        window.location = "mli_pl_return_detail.php?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted='on'&p_comp_id=<?php echo $comp_id;?>"

                    }



                }
            });
        }
    }





</script>




</body>
</html>