<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}
$menu_id = $_GET['menu_id'];
$comp_id = clean_data($_SESSION["comp_id"]);
$emp_id = clean_data($_SESSION["VALID_USER_ID"]);



$edit = $_GET['edit'];
$edit_id = $_GET['edit_id'];

if($edit == 'Y')
{
    $title = 'Edit Employee Data';
}
else
{
    $title = 'Add Employee Data';
}

$rate_decimals = find_value('v_system', 'rate_decimals', "");
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo  $title;?> | <?php echo $row->acct_name; ?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">

    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link href="vendors/bootstrap-editable/css/bootstrap-editable.css" rel="stylesheet" type="text/css" />
</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">USERS RIGHTS</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index">Home</a>&nbsp;&nbsp;<i
                            class="fa fa-angle-right"></i>&nbsp;&nbsp;
                    </li>
                    <li class="active">Users</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">


                <div class="panel">

                    <div class="panel-body">


                        <!-----------------------------start edit employee data---------------->

                        <?php
                        try
                        {
                            $v_query =  "SELECT *
                                      FROM employee e
                                    where e.emp_code = '$edit_id'
                                      order by e.emp_code  asc";
                            $v_result = $dbcon->prepare($v_query);
                            $v_result->execute(array());
                        }
                        catch(PDOException $e)
                        {
                            echo "Error : ". $e->getMessage();
                        }




                        $row = $v_result->fetch(PDO::FETCH_OBJ);

                        $country_id = $row->country_id;
                        $state_id = $row->state_id;
                        $city_id = $row->city_id;

                        $auth_id = $row->auth_id;
                        $dept_id = $row->dept_id;
                        $f_comp_id = $row->comp_id;
                        $emp_code = $row->emp_code;




                            //$userPicture = !empty($row->emp_image) ? $row->emp_image : 'no-image.png';
                    /*    $userPictureURL = 'upload/'.$f_comp_id.'/employee/'.$emp_code.'/'.$emp_code.'.jpg';
                        $id_Card_front = 'upload/'.$f_comp_id.'/employee/'.$emp_code.'/'.$emp_code.'_1.jpg';
                        $id_Card_back = 'upload/'.$f_comp_id.'/employee/'.$emp_code.'/'.$emp_code.'_2.jpg';*/

                        $userPictureURL = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'.jpg';
                        $id_Card_front = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'_1.jpg';
                        $id_Card_back = 'upload/employee/'.$f_comp_id.'/'.$emp_code.'/'.$emp_code.'_2.jpg';


                        if($row->leaving_date == '0000-00-00')
                        {
                            $l_date = '';
                        }
                        else
                        {
                            $l_date = $row->leaving_date;
                        }



                        ?>

                        <?php
                        if($edit == 'Y')
                        {
                            ?>

                            <form class="" id="user_form" action="update_employee_process" method="post" novalidate  enctype='multipart/form-data'>


                                <div class="row">


                                    <div class="col-lg-6">

                                        <h4 class="box-title text-black p-2"><i class="fa fa-user mr-15"></i> Personal Detail</h4>
                                        <hr class="my-2">
                                        <br clear="all">


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Employee Code</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="emp_code" id="emp_code" required
                                                           value="<?php echo $row->emp_code;?>" readonly >
                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Company </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <?php
                                                    try {
                                                        $v_query =  "SELECT c.comp_id, c.comp_name
                                      FROM company c
                                    
                                      order by c.comp_id";
                                                        $v_result = $dbcon->prepare($v_query);
                                                        $v_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    ?>

                                                    <select class="form-control" name="f_comp_id" id="f_comp_id" required>

                                                        <option value="" selected>Select Company</option>

                                                        <?php
                                                        while($col_row = $v_result->fetch(PDO::FETCH_OBJ))
                                                        {
                                                            if ($f_comp_id == $col_row->comp_id) {
                                                                echo '<option  value="' . $col_row->comp_id . '" selected>' . $col_row->comp_name . '</option>';
                                                            } else {
                                                                echo '<option  value="' . $col_row->comp_id . '">' . $col_row->comp_name . '</option>';
                                                            }


                                                        }
                                                        ?>

                                                    </select>
                                                </div>
                                            </div>
                                        </div>





                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Employee Name</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="employee_name" id="employee_name" required
                                                           placeholder="Employee Name" value="<?php echo $row->emp_name;?>">
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Father Name</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="father_name" id="father_name" required
                                                           placeholder="Father Name" value="<?php echo $row->father_name;?>">
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Nationality</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="nationality" id="nationality" required
                                                           placeholder="Nationality" value="<?php echo $row->nationality;?>" >
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Religion</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="religion" id="religion" required
                                                           placeholder="Religion" value="<?php echo $row->religion;?>">
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Blood Group</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="blood_group" id="blood_group" required
                                                           placeholder="Blood Group" value="<?php echo $row->blood_group;?>">
                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">CNIC</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="cnic" id="cnic" required
                                                           placeholder="CNIC" value="<?php echo $row->cnic;?>">
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Address</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="address" id="address" required
                                                           placeholder="Address" value="<?php echo $row->address;?>" >
                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Email</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="email_id" id="email_id" required
                                                           placeholder="Email"value="<?php echo $row->email_id;?>" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Licence No</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="licence_no" id="licence_no"
                                                           placeholder="Licence No" value="<?php echo ($row->licence_no);?>">

                                                </div>
                                            </div>
                                        </div>




                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Emergency NO</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="emergency_no" id="emergency_no" required
                                                           placeholder="Emergency No" value="<?php echo $row->emergency_no;?>">
                                                </div>
                                            </div>
                                        </div>




                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Gender</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <select class="form-control" name="gender" id="gender">
                                                        <option value="" selected>Select Gender</option>

                                                        <option <?php if ($row->gender=='M') echo 'selected';?> value="M">Male</option>
                                                        <option <?php if ($row->gender=='F') echo 'selected';?> value="F">Female</option>
                                                        <option <?php if ($row->gender=='O') echo 'selected';?> value="O">Other</option>

                                                    </select>
                                                </div>
                                            </div>
                                        </div>





                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Department </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <?php
                                                    try {
                                                        $v_query =  "SELECT d.dept_id, d.dept_name
                                      FROM department d
                                      
                                        WHERE d.is_deleted = 'N'
                                      order by d.dept_id";
                                                        $v_result = $dbcon->prepare($v_query);
                                                        $v_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    ?>

                                                    <select class="form-control" name="dept_id" id="dept_id" required>

                                                        <option value="" selected>Select Department</option>

                                                        <?php
                                                        while($col_row = $v_result->fetch(PDO::FETCH_OBJ))
                                                        {


                                                            if ($dept_id == $col_row->dept_id) {
                                                                echo '<option  value="' . $col_row->dept_id . '" selected>' . $col_row->dept_name . '</option>';
                                                            } else {
                                                                echo '<option  value="' . $col_row->dept_id . '">' . $col_row->dept_name . '</option>';
                                                            }






                                                        }
                                                        ?>

                                                    </select>
                                                </div>
                                            </div>
                                        </div>


                                    </div>





                                    <div class="col-lg-6">

                                        <h4 class="box-title text-black p-2"><i class="fa fa-home mr-15"></i> Other Detail</h4>
                                        <hr class="my-2">

                                        <br clear="all">





                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Designation</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="designation" id="designation" required
                                                           placeholder="Designation" value="<?php echo $row->designation;?>" >
                                                </div>
                                            </div>
                                        </div>




                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Bank Account</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="b_acct_name" id="b_acct_name"
                                                           placeholder="Bank Account Name"  value="<?php echo $row->b_acct_name;?>" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Bank Account No</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="b_acct_no" id="b_acct_no"
                                                           placeholder="Bank Account No" value="<?php echo $row->b_acct_no;?>" >
                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Joining Date</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control date_field" name="joining_date" id="joining_date"
                                                           placeholder="Joining Date" value="<?php echo format_date_yyyy($row->joining_date);?>">

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Leaving Date</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control date_field" name="leaving_date" id="leaving_date" placeholder="Leaving Date" value="<?php echo format_date_yyyy($l_date);?>">

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Basic Salary</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="basic_salary" id="basic_salary"
                                                           placeholder="Basic Salary" value="<?php echo round($row->basic_salary, $rate_decimals);?>">

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">House Rent</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="house_rent" id="house_rent"
                                                           placeholder="House Rent" value="<?php echo round($row->house_rent,$rate_decimals);?>">

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Medical</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="medical" id="medical"
                                                           placeholder="Medical" value="<?php echo round($row->medical,$rate_decimals);?>">

                                                </div>
                                            </div>
                                        </div>




                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Fuel</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="fuel" id="fuel"
                                                           placeholder="Fuel" value="<?php echo round($row->fuel,$rate_decimals);?>">

                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Mobile Allowance</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="mobile_allowance" id="mobile_allowance"
                                                           placeholder="Mobile Allowance" value="<?php echo round($row->mobile_allowance,$rate_decimals);?>">

                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Other Benefits  </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="others" id="others"
                                                           placeholder="Other Benefits" value="<?php echo round($row->others,$rate_decimals);?>">

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Gross Salary </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="gross_salary" id="gross_salary"
                                                           placeholder="Gross Salary" value="<?php echo round($row->gross_salary,$rate_decimals);?>" readonly>

                                                </div>
                                            </div>
                                        </div>




                                    </div>
                                </div>


                                <br clear="all"><br clear="all">

                                <div class="container">

                                    <h6 class="box-title text-black p-1"><i class="ti-upload mr-15"></i> Image Upload</h6>
                                    <hr class="my-1 bg-gray">

                                    <div class="form-group row">
                                        <!--<label class="col-form-label col-md-2 font-weight-bold">Image </label>-->

                                        <div class="col-md-6">

                                            <input type="file" name="item_image" class="form-control" >
                                        </div>
                                    </div>
                                    <img src="<?php echo $userPictureURL;?>" class="img img-thumbnail " width="150">
                                </div>


                                <br clear="all"><br clear="all">

                                <div class="container">

                                    <h6 class="box-title text-black p-1"><i class="ti-upload mr-15"></i> Employee CNIC Front Upload</h6>
                                    <hr class="my-1 bg-gray">

                                    <div class="form-group row">
                                        <!--<label class="col-form-label col-md-2 font-weight-bold">Image </label>-->

                                        <div class="col-md-6">

                                            <input type="file" name="cnic_front" class="form-control" >
                                        </div>
                                    </div>
                                    <img src="<?php echo $id_Card_front;?>" class="img img-thumbnail " width="150">
                                </div>



                                <br clear="all"><br clear="all">

                                <div class="container">

                                    <h6 class="box-title text-black p-1"><i class="ti-upload mr-15"></i> Employee CNIC Back Upload</h6>
                                    <hr class="my-1 bg-gray">

                                    <div class="form-group row">
                                        <!--<label class="col-form-label col-md-2 font-weight-bold">Image </label>-->

                                        <div class="col-md-6">

                                            <input type="file" name="cnic_back" class="form-control" >
                                        </div>
                                    </div>
                                    <img src="<?php echo $id_Card_back;?>" class="img img-thumbnail " width="150">
                                </div>


                                <div class="modal-footer pull-right border-transparent">

                                    <input type="hidden" name="submitted" id="submitted" value="yes">
                                    <input type="hidden" name="f_menu_id" id="f_menu_id" value="<?php echo $menu_id;?>">
                                    <button type="submit" class="btn btn-success btn-md pull-right font-15" name="btn-save" id="btn-submit" style="width: 205px;" >Update</button>
                                </div>
                            </form>


                        <?php }
                        else {
                            ?>
                            <!-----------------------------end edit employee data---------------->





                            <?php

                            //MAXIMUM party ID CHK QUERY
                            try {
                                $Maxquery =  "SELECT LPAD(IFNULL(max(substr(v.emp_code,-4)),0)+1,4,'0') emp_code  FROM employee v";
                                $max_query = $dbcon->prepare($Maxquery);
                                $max_query->execute(array());
                            } catch (PDOException $e) {
                                echo "Error : " . $e->getMessage();
                            }
                            //echo $Maxquery;

                            $row_max = $max_query->fetch(PDO::FETCH_OBJ);
                            $emp_code = '402000'.$row_max->emp_code;
                            ?>



                            <form class="" id="user_form" action="employee_process" method="post" novalidate  enctype='multipart/form-data'>


                                <div class="row">


                                    <div class="col-lg-6">

                                        <h4 class="box-title text-black p-2"><i class="fa fa-user mr-15"></i> Personal Detail</h4>
                                        <hr class="my-2">
                                        <br clear="all">


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Employee Code</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="emp_code" id="emp_code" required
                                                           value="<?php echo $emp_code;?>" readonly >
                                                </div>
                                            </div>
                                        </div>




                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Company </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <?php
                                                    try {
                                                        $v_query =  "SELECT c.comp_id, c.comp_name
                                      FROM company c
                                    
                                      order by c.comp_id";
                                                        $v_result = $dbcon->prepare($v_query);
                                                        $v_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    ?>

                                                    <select class="form-control" name="f_comp_id" id="f_comp_id" required>

                                                        <option value="" selected>Select Company</option>

                                                        <?php
                                                        while($col_row = $v_result->fetch(PDO::FETCH_OBJ))
                                                        {
                                                            echo '<option  value="' . $col_row->comp_id . '" >' .  $col_row->comp_name . '</option>';
                                                        }
                                                        ?>

                                                    </select>
                                                </div>
                                            </div>
                                        </div>






                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Employee Name</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="employee_name" id="employee_name" required
                                                           placeholder="Employee Name" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Father Name</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="father_name" id="father_name" required
                                                           placeholder="Father Name" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Nationality</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="nationality" id="nationality" required
                                                           placeholder="Nationality" >
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Religion</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="religion" id="religion" required
                                                           placeholder="Religion" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Blood Group</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="blood_group" id="blood_group"
                                                           placeholder="Blood Group" >
                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">CNIC</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="cnic" id="cnic" required
                                                           placeholder="CNIC">
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Address</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="address" id="address" required
                                                           placeholder="Address" >
                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Email</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="email_id" id="email_id" required
                                                           placeholder="Email" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Licence No</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="licence_no" id="licence_no"
                                                           placeholder="Licence No">

                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Emergency No</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="emergency_no" id="emergency_no"
                                                           placeholder="Emergency No">
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Gender</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <select class="form-control" name="gender" id="gender" required>
                                                        <option value="" selected>Select Gender</option>

                                                        <option value="Male">Male</option>
                                                        <option value="Female">Female</option>
                                                        <option value="Other">Other</option>

                                                    </select>
                                                </div>
                                            </div>
                                        </div>







                                    </div>





                                    <div class="col-lg-6">

                                        <h4 class="box-title text-black p-2"><i class="fa fa-home mr-15"></i> Other Detail</h4>
                                        <hr class="my-2">

                                        <br clear="all">


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Department </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <?php
                                                    try {
                                                        $v_query =  "SELECT d.dept_id, d.dept_name, c.comp_name
                                      FROM department d
                                      LEFT JOIN company c ON d.comp_id = c.comp_id
                                        WHERE d.is_deleted = 'N'
                                      order by d.dept_id";
                                                        $v_result = $dbcon->prepare($v_query);
                                                        $v_result->execute(array());
                                                    } catch (PDOException $e) {
                                                        echo "Error : " . $e->getMessage();
                                                    }

                                                    ?>

                                                    <select class="form-control" name="dept_id" id="dept_id" required>

                                                        <option value="" selected>Select Department</option>

                                                        <?php
                                                        while($col_row = $v_result->fetch(PDO::FETCH_OBJ))
                                                        {



                                                            echo '<option  value="' . $col_row->dept_id . '" >' .  $col_row->dept_name . '</option>';




                                                        }
                                                        ?>

                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Bank Account</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="b_acct_name" id="b_acct_name" required
                                                           placeholder="Bank Account Name" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Bank Account No</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="b_acct_no" id="b_acct_no" required
                                                           placeholder="Bank Account No" >
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Designation</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="designation" id="designation" required
                                                           placeholder="Designation" >
                                                </div>
                                            </div>
                                        </div>





                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Joining Date</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control date_field" name="joining_date" id="joining_date" placeholder="Joining Date" required>

                                                </div>
                                            </div>
                                        </div>


                                        <!-- <div class="form-group row">
                                             <label class="col-form-label col-md-3 font-weight-bold">Leaving Date</label>
                                             <div class="col-md-6">
                                                 <div class="controls">
                                                     <input type="text" class="form-control" name="leaving_date" id="joining_date" placeholder="Leaving Date">

                                                 </div>
                                             </div>
                                         </div>-->


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Basic Salary</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="basic_salary" id="basic_salary" placeholder="Basic Salary" required>

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">House Rent</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="house_rent" id="house_rent" placeholder="House Rent">

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Medical</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="medical" id="medical" placeholder="Medical">

                                                </div>
                                            </div>
                                        </div>




                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Fuel</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="fuel" id="fuel" placeholder="Fuel">

                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Mobile Allowance</label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="mobile_allowance" id="mobile_allowance" placeholder="Mobile Allowance">

                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Other Benefits  </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control changesNo" name="others" id="others"  placeholder="Other Benefits">

                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <label class="col-form-label col-md-3 font-weight-bold">Gross Salary </label>
                                            <div class="col-md-6">
                                                <div class="controls">
                                                    <input type="text" class="form-control" name="gross_salary" id="gross_salary"  placeholder="Gross Salary" readonly>

                                                </div>
                                            </div>
                                        </div>




                                    </div>
                                </div>


                                <br clear="all">

                                <div class="container">

                                    <h6 class="box-title text-black p-1"><i class="ti-upload mr-15"></i> Employee Image Upload</h6>
                                    <hr class="my-1 bg-gray">

                                    <div class="form-group row">
                                        <!--<label class="col-form-label col-md-2 font-weight-bold">Image </label>-->

                                        <div class="col-md-6">

                                            <input type="file" name="item_image" class="form-control" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">


                                        </div>


                                    </div>



                                </div>




                                <br clear="all">

                                <div class="container">

                                    <h6 class="box-title text-black p-1"><i class="ti-upload mr-15"></i> Employee ID Card Front</h6>
                                    <hr class="my-1 bg-gray">

                                    <div class="form-group row">
                                        <!--<label class="col-form-label col-md-2 font-weight-bold">Image </label>-->

                                        <div class="col-md-6">

                                            <input type="file" name="cnic_front" class="form-control" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">


                                        </div>


                                    </div>



                                </div>




                                <br clear="all">

                                <div class="container">

                                    <h6 class="box-title text-black p-1"><i class="ti-upload mr-15"></i> Employee ID Card Back</h6>
                                    <hr class="my-1 bg-gray">

                                    <div class="form-group row">
                                        <!--<label class="col-form-label col-md-2 font-weight-bold">Image </label>-->

                                        <div class="col-md-6">

                                            <input type="file" name="cnic_back" class="form-control" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">


                                        </div>


                                    </div>



                                </div>

                                <div class="modal-footer pull-right border-transparent">

                                    <input type="hidden" name="submitted" id="submitted" value="yes">
                                    <input type="hidden" name="f_menu_id" id="f_menu_id" value="<?php echo $menu_id;?>">
                                    <button type="submit" class="btn btn-success btn-md pull-right font-15" name="btn-save" id="btn-submit" style="width: 205px;" >Save</button>
                                </div>
                            </form>

                        <?php } ?>


                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>


    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>
    <script src="vendors/bootstrap-editable/js/bootstrap-editable.min.js"></script>
    <!-- BOOT BOX ALERT -->
    <script src="js/bootbox.min.js" type="text/javascript"></script>

    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">


        $('.changesNo').blur(function () {
            var sum = 0;
            $('.changesNo').each(function() {
                if($(this).val()!="")
                {
                    sum += parseFloat($(this).val());
                }

            });
            $('#gross_salary').val(sum);
        });



        //date picker
        $('.date_field').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,
            orientation: 'bottom'
        });
        /****************************START DATATABLE*******************************/
        var oTable = $('#table-1').DataTable({

            "language": {
                "emptyTable": "No data available",
                sLengthMenu: "  _MENU_ ",
                /*searchPlaceholder: "Search...."*/
            },
            "lengthChange": false,
            dom: 'lfrtip',
            // Configure the drop down options.
            lengthMenu: [
                [10, 25, 50, -1],
                ['10', '25', '50', 'All']
            ],
            "rowHeight": 'auto',
            "order": [
                [0, "DESC"]
            ]

        });




        $('#myInputTextField').on('keyup change', function() {
            oTable.search($(this).val()).draw();
        });

        $('#c_length_change').val(oTable.page.len());

        $('#c_length_change').change(function() {
            oTable.page.len($(this).val()).draw();
        });
        var buttons = new $.fn.dataTable.Buttons(oTable, {

            buttons: [
                'copy', 'csv', 'excel',


                {
                    extend: 'pdf',
                    filename: 'Pdf File',
                    title: 'Export',



                    header: true,
                    customize: function(doc) {
                        //Remove the title created by datatTables
                        doc.content.splice(0, 1);
                        //Create a date string that we use in the footer. Format is dd-mm-yyyy
                        var now = new Date();
                        var jsDate = now.getDate() + '-' + (now.getMonth() + 1) + '-' + now.getFullYear();

                        doc.pageMargins = [20, 100, 40, 0];
                        // Set the font size fot the entire document
                        doc.defaultStyle.fontSize = 8;
                        // Set the fontsize for the table header
                        doc.styles.tableHeader.fontSize = 8;

                        doc.defaultStyle.alignment = 'center'
                        doc['header'] = (function() {
                            return {
                                columns: [

                                    {
                                        alignment: 'centre',
                                        italics: false,
                                        text: 'Category',
                                        fontSize: 14,
                                        marginLeft: 240,
                                        marginTop: 40

                                    },
                                    {
                                        alignment: 'centre',
                                        fontSize: 30,


                                        text: "<?php echo $comp_name; ?>",

                                        marginLeft: -90,
                                    },

                                    {
                                        alignment: 'centre',
                                        italics: false,
                                        text: jsDate,
                                        fontSize: 10,
                                        margin: [-345, 58]

                                    },
                                ],

                                margin: 20
                            }






                        });

                    },

                    exportOptions: {

                        columns: [0, 1]

                    },

                },




            ],
            columnDefs: [{
                targets: 5,
                visible: false
            }]
        }).container().appendTo($('#buttons'));
        $('.btn-group').removeClass('btn-group');
        $('.dt-buttons').removeClass('dt-buttons');
        /*************************************END DATATABLE********************************************/
    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->
</body>
</html>