<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
        $auth_id = find_value('users', 'auth_id', " and emp_id='$emp_id'");

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);

        $acct_id = clean_data($_POST['acct_id']);
        $reg_id = clean_data($_POST['reg_id']);

        ?>
        <a href="pdf_party_trial?from_date=<?php echo $new_from_date; ?>&to_date=<?php echo $new_to_date;?>&comp_id=<?php echo $comp_id;?>&acct_id=<?php echo $acct_id;?>&region_id=<?php echo $reg_id;?>"
           target="_blank" style="text-decoration:none; color:#FFF" class="btn btn-success" data-toggle="tooltip"
           data-placement="top" title="PDF">PDF</a>
        <?php


        /*****************START MYSQL VARIABLES**************/



        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {

            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");

        }
        /*************END FINDE COMPANY NAME*****************/










        $and = '';
        $n_and = " and (n.acct_id like '261000%' and length(n.acct_id)=10)";

        $and_o_date = " and (v.voucher_date < '$new_from_date')";
        $and_date = " and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";

        if ($comp_id != "All") {
            $and_comp .= " and v.comp_id = '$comp_id'";
        }else if($auth_id<'6'){
            $and_comp .= " and v.comp_id in(select comp_id from users_comp where emp_id='$emp_id')";
        }


        if ($acct_id != "All") {
            $and .= " and n.acct_id like '$acct_id%'";

            $n_and .= " and n.acct_id like '$acct_id%'";
        }


        if ($reg_id != "All") {
            $and .= " and n.reg_id like '$reg_id%'";

            $n_and .= " and n.reg_id like '$reg_id%'";
        }


        $and .= " and (v.debit is not null or v.credit is not null)";
        /*****************END MYSQL VARIABLES**************/

        ?>
        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>

        <table class="table table-bordered table-striped  table-sm vouchers_datatable">

            <thead>
            <tr>
            <th>SER</th>
            <th>REGION</th>
            <th  align=right><b>OPENING</th>
            <th align=right><b>DEBIT</th>
            <th align=right><b>CREDIT</th>
            <th align=right><b>BALANCE</th>

        </tr>

          <!--  <tr>

                <th>REGION</th>
                <th  align=right><b>OPENING</th>
                <th align=right><b>DEBIT</th>
                <th align=right><b>CREDIT</th>
                <th align=right><b>BALANCE</th>

            </tr>-->
            </thead>
            <tbody>



        <?php


        try {
            $msqlquery = "SELECT n.reg_id, r.reg_name, sum(ifnull(o.o_bal,0)) o_bal, sum(ifnull(v.debit,0)) debit, sum(ifnull(v.credit,0)) credit
 
FROM nom n
LEFT JOIN regions r on n.reg_id=r.reg_id

LEFT JOIN (
    SELECT
        v.acct_id,
        
        sum(
            ifnull(v.debit, 0) - ifnull(v.credit, 0)
        ) o_bal
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        1=1 $and $and_o_date
    GROUP BY
        v.acct_id
) o ON n.acct_id = o.acct_id
LEFT JOIN (
    SELECT
        v.acct_id,
        sum(v.debit) debit,
        sum(v.credit) credit,
        v.voucher_date
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        1 = 1 $and $and_date
    GROUP BY
        v.acct_id
) v ON n.acct_id = v.acct_id
where n.reg_id <>'' and (n.acct_id like '261000%' and length(n.acct_id)=10)
group by n.reg_id, r.reg_name
having  sum(ifnull(o.o_bal,0))<>0 or sum(ifnull(v.debit,0)) or sum(ifnull(v.credit,0))<>0
order by sum(ifnull(o.o_bal,0))+sum(ifnull(v.debit,0))-sum(ifnull(v.credit,0)) desc
";
#echo $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }

        $o_bal_tot =0;
        $debit_tot =0;
        $credit_tot=0;
        $bal_amt_tot=0;
        $ser=0;
        while($mrow = $q_result->fetch(PDO::FETCH_ASSOC)) {
            $ser +=1;
            $bal_amt = $mrow['o_bal'] + $mrow['debit'] - $mrow['credit'];

            $o_bal_tot += $mrow['o_bal'];
            $debit_tot += $mrow['debit'];
            $credit_tot += $mrow['credit'];
            $bal_amt_tot += $bal_amt;

            ?>

            <tr>
                <td><?php echo ($ser); ?></td>
                <td><?php echo ($mrow['reg_name']); ?></td>
                <td align=right><?php echo format_number_drcr($mrow['o_bal'],0); ?></td>
                <td align=right><?php echo format_number($mrow['debit'],0); ?></td>
                <td align=right><?php echo format_number($mrow['credit'],0); ?></td>
                <td align=right><?php echo format_number_drcr($bal_amt,0); ?></td>
            </tr>
            <?php

        }

        ?>

        <tr>
            <td></td>
            <td align="right"><b>Total:</b></td>
            <td align=right><b><?php  echo  format_number_drcr($o_bal_tot,0); ?></b></td>
            <td align=right><b><?php  echo  format_number($debit_tot,0); ?></b></td>
            <td align=right><b><?php  echo  format_number($credit_tot,0); ?></b></td>
            <td align=right><b><?php  echo  format_number_drcr($bal_amt_tot,0); ?></b></td>
        </tr>

            </tbody>

        </table>

        <h1 style="text-align: center; font-size: 35px; font-weight: bold;">Detail</h1>

        <?php




        /***************START MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/
        try {
            $msqlquery = "

SELECT reg_id acct_id, reg_name acct_name, null o_bal, null debit, null credit, null balance
FROM regions where reg_id in
(SELECT reg_id
FROM
    nom n
LEFT JOIN (
    SELECT
        v.acct_id,
        
        sum(
            ifnull(v.debit, 0) - ifnull(v.credit, 0)
        ) o_bal
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE 1=1 $and $and_o_date
    GROUP BY
        v.acct_id
) o ON n.acct_id = o.acct_id
LEFT JOIN (
    SELECT
        v.acct_id,
        sum(v.debit) debit,
        sum(v.credit) credit,
        v.voucher_date
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        1 = 1  $and $and_date
    GROUP BY
        v.acct_id
) v ON n.acct_id = v.acct_id
WHERE
1 = 1 
$n_and
)

UNION ALL 

SELECT n.acct_id,
       n.acct_name,
       n.o_bal,
       n.debit,
       n.credit,
       n.balance
FROM
(



SELECT
    concat(n.reg_id,substring(n.acct_id,-4)) acct_id,
    concat(n.acct_name,if(n.phone<>'', concat(' / Phone#',n.phone),'')) acct_name,
    o.o_bal,
    v.debit,
    v.credit,
    ifnull(o.o_bal, 0) + ifnull(v.debit, 0) - ifnull(v.credit, 0) balance
FROM
    nom n
LEFT JOIN (
    SELECT
        v.acct_id,
        
        sum(
            ifnull(v.debit, 0) - ifnull(v.credit, 0)
        ) o_bal
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE 1=1 $and $and_o_date
    GROUP BY
        v.acct_id
) o ON n.acct_id = o.acct_id
LEFT JOIN (
    SELECT
        v.acct_id,
        sum(v.debit) debit,
        sum(v.credit) credit,
        v.voucher_date
    FROM
        v_vouchers v
    LEFT JOIN nom n on v.acct_id=n.acct_id
    WHERE
        1 = 1  $and $and_date
    GROUP BY
        v.acct_id
) v ON n.acct_id = v.acct_id
WHERE
1 = 1 
$n_and
order by n.acct_id
) n

order by 1, 2
";

//echo $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }



        ?>


        <?php


        ?>


        <table class="table table-bordered table-striped vouchers_datatable">
        <thead>
                    <tr>
                        <th>Sr</th>
                        <th>ACCOUNT ID</th>
                        <th>ACCOUNT NAME</th>
                        <th  align=right><b>OPENING</th>
                        <th align=right><b>DEBIT</th>
                        <th align=right><b>CREDIT</th>
                        <th align=right><b>BALANCE</th>

                    </tr>

                    <!--<tr>
                        <th>Sr</th>
                        <th>ACCOUNT ID</th>
                        <th>ACCOUNT NAME</th>
                        <th  align=right><b>OPENING</th>
                        <th align=right><b>DEBIT</th>
                        <th align=right><b>CREDIT</th>
                        <th align=right><b>BALANCE</th>

                    </tr>-->
        </thead>
        <tbody>
                    <?php




                    $bal = 0;
                    $serno = 0;


                            $g1_o_bal_tot=0;
                            $g1_debit_tot=0;
                            $g1_credit_tot=0;
                            $g1_balance_tot=0;

        $o_bal_amount_tot=0;
        $debit_amount_tot=0;
        $credit_amount_tot=0;
        $balance_amount_tot=0;

        $ser=0;
        while ($report_row = $q_result->fetch(PDO::FETCH_ASSOC)) {
            $ser +=1;
                        $serno = $serno + 1;









                        $o_bal_amount_tot += $report_row['o_bal'];
                        $debit_amount_tot += $report_row['debit'];
                        $credit_amount_tot += $report_row['credit'];
                        $balance_amount_tot += $report_row['balance'];

                        $bold='';
                        $bold_close='';

                        $d_o_bal=format_number_drcr($report_row['o_bal'], 0);
                        $d_debit=format_number($report_row['debit'], 0);
                        $d_credit=format_number($report_row['credit'], 0);
                        $d_balance=format_number_drcr($report_row['balance'], 0);

                        $g1_o_bal_tot +=$report_row['o_bal'];
                        $g1_debit_tot +=$report_row['debit'];
                        $g1_credit_tot +=$report_row['credit'];
                        $g1_balance_tot +=$report_row['balance'];

                        $acct_id=substr($report_row['acct_id'],-4);

                        $acctID = '261000'.$acct_id;


                        $grp_label='';
                        if ($o_bal_amount_tot<>0 || $debit_amount_tot<>0 || $credit_amount_tot<>0 || $balance_amount_tot<>0)
                        $grp_label='Region Total:';

                        if (strlen($report_row['acct_id'])<=6)
                        {

                        $serno = '';
                        $acct_id = '';


?>
                        <tr>


                        <td><?php echo($ser); ?></td>
                        <td></td>
                        <td align=right><b><?php echo $grp_label;?></td>

                        <td align=right><b><?php echo format_number_drcr(($o_bal_amount_tot), 0); ?></b></td>
                        <td align=right><b><?php echo format_number(($debit_amount_tot), 0); ?></b></td>
                        <td align=right><b><?php echo format_number(($credit_amount_tot), 0); ?></b></td>
                        <td align=right><b><?php echo format_number_drcr(($balance_amount_tot), 0); ?></b></td>

                    </tr>
<?php

                        $o_bal_amount_tot = 0;
                        $debit_amount_tot = 0;
                        $credit_amount_tot = 0;
                        $balance_amount_tot = 0;


                            $bold='<b>';
                            $d_o_bal='';
                            $d_debit='';
                            $d_credit='';
                            $d_balance='';


                        }
if ($report_row['o_bal']<>0 || $report_row['debit']<>0 ||$report_row['credit']<>0 ||$report_row['balance']<>0 || strlen($report_row['acct_id'])<10)
{    
                        ?>

                        <tr>
                            <td><?php echo($ser); ?></td>
                            <td><a href="ledger?acct_id=<?php echo ($acctID);?>&ledger=N" target="_blank"><?php echo $bold; echo $acct_id; ?></a></td>
                            <td><?php echo $bold; echo $report_row['acct_name']; ?></a></td>
                            <td align=right><?php echo $d_o_bal; ?></td>
                            <td align=right><?php echo $d_debit; ?></td>
                            <td align=right><?php echo $d_credit; ?></td>
                            <td align=right><?php echo $d_balance; ?></td>

                        </tr>
                        <?php
}
                    }
            }
                    ?>
                    <tr>


                        <td><?php echo($ser); ?></td>
                        <td></td>
                        <td align=right><b>Grand Total:</td>
                        <td align=right><b><?php echo format_number_drcr($g1_o_bal_tot, 0); ?></b></td>
                        <td align=right><b><?php echo format_number($g1_debit_tot, 0); ?></b></td>
                        <td align=right><b><?php echo format_number($g1_credit_tot, 0); ?></b></td>
                        <td align=right><b><?php echo format_number_drcr($g1_balance_tot, 0); ?></b></td>

                    </tr>


    </tbody>
                </table>


                <?php
}



?>

<script type="text/javascript">
    $( document ).ready(function() {


        // Setup - add a text input to each header cell
       /* $('.vouchers_datatable thead tr:eq(1) th').each( function () {
            var title = $('.vouchers_datatable thead tr:eq(0) th').eq( $(this).index() ).text();
            $(this).html( '<input type="text"   placeholder="Search '+title+'" style="width: 100%" /> ' );
        } );*/


        /*
                    $('.vouchers_datatable thead th').each( function () {
                        var title = $(this).text();
                        $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
                    } );*/


        var table = $('.vouchers_datatable').DataTable({


            "orderCellsTop": true,



            "bPaginate":false,
            "sPaginationType":"full_numbers",
            "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
            "iDisplayLength": 10,
            "order": [ 0, "asc" ],
            dom: 'Bfrtip',
            buttons: [
                //'copy', 'csv', 'excel', 'pdf', 'print', 'colvis',
                'copy', 'csv', 'excel',

                {
                    extend: 'pdfHtml5',
                    title: name,
                    orientation: 'landscape',
                    pageSize: 'LEGAL'
                },


                {
                    extend: 'print',
                    title: name,

                    customize: function ( win ) {
                        $(win.document.body)
                            .css( 'font-size', '10pt' )
                            .prepend(
                                //'<img src="http://datatables.net/media/images/logo-fade.png" style="position:absolute; top:0; left:0;" />'
                            );

                        $(win.document.body).find( 'table' )
                            .addClass( 'compact' )
                            .css( 'font-size', 'inherit' );
                    },






                    exportOptions: {
                        columns: ':visible'
                    }
                },
                'colvis'
            ]
        });


        // Apply the search
        /* table.columns().every(function (index) {
             $('.vouchers_datatable thead tr:eq(1) th:eq(' + index + ') input').on('keyup change', function () {
                 table.column($(this).parent().index() + ':visible')
                     .search(this.value)
                     .draw();
             });
         });*/


        // Apply the filter
        $(".vouchers_datatable thead input").on( 'keyup change', function () {
            table
                .column( $(this).parent().index()+':visible' )
                .search( this.value )
                .draw();
        } );
    });
</script>
