<?php
session_start();
ob_start();
include("../include/dbconnect.php");
include("../include/functions.php");
include("../include/sms_function.php");

if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}
header('Content-Type: text/html; charset=UTF-8');
$login_page = find_value('v_system', 'login_page', '');

$comp_id = $_POST["comp_id"];
$year_id = $_POST["year_id"];
$v_id = $_POST['v_id'];
$voucher_type = $_POST['voucher_type'];
$posted = $_POST['post'];
$p_menu_id = $_POST['p_menu_id'];


$post_date = date("Y-m-d H:i:s");

$month = date('m');

//MAXIMUM VOUCHER ID CHK QUERY
try {
    $Maxquery = "SELECT LPAD(IFNULL(max(substr(m.voucher_id,-4)),0)+1,4,'0') voucher_id  
FROM pl_grn m
WHERE SUBSTRING(m.voucher_id,1,2) = ?   AND m.comp_id = ? AND year_id = ?";
    $max_query = $dbcon->prepare($Maxquery);
    $max_query->execute(array($month, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}


$row_max = $max_query->fetch(PDO::FETCH_OBJ);
$voucher_id_m = $row_max->voucher_id;
$voucher_id = $month . $voucher_id_m;


//CHECK POSTED EQUAL ON
$p = '';
if ($posted != 'on') {
    $p = 'on';
}
//update slinvoice voucher id
try {

    $edit_detail_query = "UPDATE pl_grn  SET posted = '$p' WHERE voucher_id = '$v_id' AND comp_id = '$comp_id' AND year_id = '$year_id'";
    //echo $edit_detail_query;
    $edit_detail_query = "UPDATE pl_grn  SET posted = '$p' WHERE voucher_id = ? AND comp_id = ? AND year_id = ?";
    $result_edit_detail = $dbcon->prepare($edit_detail_query);
    $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

if (strlen($v_id) < 6) {
    try {

        $edit_detail_query = "UPDATE pl_grn  SET  post_date = '$post_date' WHERE voucher_id = ? AND comp_id = ? AND year_id = ?";
        $result_edit_detail = $dbcon->prepare($edit_detail_query);
        $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    //update saleinvoice master table
    try {

        //                $dbcon->exec("set foreign_key_checks=0");
        $edit_m_query = "UPDATE pl_grn SET voucher_id = '$voucher_id' 
				WHERE voucher_id = '$v_id' and comp_id = '$comp_id' and posted = '$p' AND year_id = '$year_id'";
        $result_edit_m = $dbcon->prepare($edit_m_query);
        $result_edit_m->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    //update saleinvoice detail table
    try {

        //                $dbcon->exec("set foreign_key_checks=0");
        $edit_d_query = "UPDATE pl_grndet SET voucher_id = '$voucher_id' 
				WHERE voucher_id = '$v_id'  AND comp_id = '$comp_id' AND year_id = '$year_id'";
        $result_edit_d = $dbcon->prepare($edit_d_query);
        $result_edit_d->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    // DELETE VOUCHERID
    try {

        $del_query = "DELETE FROM voucher_id 
				WHERE concat(v_type,v_id) =  ?  and comp_id = ?";
        $del_result = $dbcon->prepare($del_query);
        $del_result->execute(array($v_id, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}

if (strlen($v_id) < 6) {
    $voucherId = $voucher_id;
} else {
    $voucherId = $v_id;
}


$p = 'UnPost';
if ($posted != 'on') {
    $p = 'Post';
}


$acct_id = find_value("pl_grn", "acct_id", " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId'");

$qty = find_value('pl_grndet', 'sum(qty)', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId' ");

$items = find_value("(SELECT DISTINCT f_pl_grn_products(m.comp_id, m.year_id, m.voucher_id) items
                        FROM pl_grn m
                        WHERE comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId') v ", 'items', '');


$net_amt = find_value("(SELECT sum(itemtot) total FROM pl_grndet WHERE comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId') v ", 'total', '');
f_log_data($voucherId, $p_menu_id, $net_amt, $p, 'PG', $acct_id, $qty, $items);

echo $voucherId;
