<?php
session_start();
ob_start();
include("../include/dbconnect.php");
include("../include/functions.php");
include("../include/sms_function.php");

if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}
header('Content-Type: text/html; charset=UTF-8');
$login_page = find_value('v_system', 'login_page', '');

$comp_id = $_POST["comp_id"];
$year_id = $_POST["year_id"];
$v_id = $_POST['v_id'];
$voucher_type = $_POST['voucher_type'];
$posted = $_POST['post'];

$post_date = date("Y-m-d H:i:s");

$month = date('m');

//MAXIMUM VOUCHER ID CHK QUERY
try {
    $Maxquery = "SELECT LPAD(IFNULL(max(substr(m.voucher_id,-4)),0)+1,4,'0') voucher_id  
FROM sl_invoice m
WHERE SUBSTRING(m.voucher_id,1,2) = ?   AND m.comp_id = ? AND year_id = ?";
    $max_query = $dbcon->prepare($Maxquery);
    $max_query->execute(array($month, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}


$row_max = $max_query->fetch(PDO::FETCH_OBJ);
$voucher_id_m = $row_max->voucher_id;
$voucher_id = $month . $voucher_id_m;


//CHECK POSTED EQUAL ON
$p = '';
if ($posted != 'on') {
    $p = 'on';
}
//update slinvoice voucher id
try {

    $edit_detail_query = "UPDATE sl_invoice  SET posted = '$p' WHERE voucher_id = '$v_id' AND comp_id = '$comp_id' AND year_id = '$year_id'";
    //echo $edit_detail_query;
    $edit_detail_query = "UPDATE sl_invoice  SET posted = '$p' WHERE voucher_id = ? AND comp_id = ? AND year_id = ?";
    $result_edit_detail = $dbcon->prepare($edit_detail_query);
    $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

if (strlen($v_id) < 6) {
    try {

        $edit_detail_query = "UPDATE sl_invoice  SET  post_date = '$post_date' WHERE voucher_id = ? AND comp_id = ? AND year_id = ?";
        $result_edit_detail = $dbcon->prepare($edit_detail_query);
        $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    //update saleinvoice master table
    try {

        //                $dbcon->exec("set foreign_key_checks=0");
        $edit_m_query = "UPDATE sl_invoice SET voucher_id = '$voucher_id' 
				WHERE voucher_id = '$v_id' and comp_id = '$comp_id' and posted = '$p' AND year_id = '$year_id'";
        $result_edit_m = $dbcon->prepare($edit_m_query);
        $result_edit_m->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    //update saleinvoice detail table
    try {

        //                $dbcon->exec("set foreign_key_checks=0");
        $edit_d_query = "UPDATE sl_invoicedet SET voucher_id = '$voucher_id' 
				WHERE voucher_id = '$v_id'  AND comp_id = '$comp_id' AND year_id = '$year_id'";
        $result_edit_d = $dbcon->prepare($edit_d_query);
        $result_edit_d->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    // DELETE VOUCHERID
    try {

        $del_query = "DELETE FROM voucher_id 
				WHERE concat(v_type,v_id) =  ?  and comp_id = ?";
        $del_result = $dbcon->prepare($del_query);
        $del_result->execute(array($v_id, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}

if (strlen($v_id) < 6) {
    $voucherId = $voucher_id;
} else {
    $voucherId = $v_id;
}

$glvoucher_id = $voucher_type . $voucherId;

//repost_sl($comp_id ,$year_id , $voucherId, $posted);
if (strlen($voucherId) == 6) {
    repost_sl($comp_id, $year_id, $voucherId, $posted, '', '');
}

/*********************************START SEND SMS*************************/
if (($login_page == 'kt' || $login_page == 'tt.') && $posted != 'on' ) {
    try {
        $vd_query = "SELECT m.acct_id, d.voucher_id, m.sms_no, m.posted, m.net_payable, p.acct_name, c.comp_name
                             FROM sl_invoice m 
                             LEFT JOIN sl_invoicedet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND m.voucher_id = d.voucher_id  
                             LEFT JOIN v_party p on m.acct_id=p.acct_id
                             LEFT JOIN company c on m.comp_id=c.comp_id
                             WHERE m.voucher_id = '$voucherId' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'";
        $vd_result = $dbcon->prepare($vd_query);
        $vd_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    $d_row = $vd_result->fetch(PDO::FETCH_OBJ);


    $m_voucher_id = $d_row->voucher_id;
    $acct_id = $d_row->acct_id;
    $acct_name = $d_row->acct_name;
    $net_payable = round($d_row->net_payable);
    $comp_name = $d_row->comp_name;
    $sms_no = $d_row->sms_no;
    if (!empty($sms_no) && empty(find_value('sl_invoice', 'sms_time', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$m_voucher_id'"))) {
        $o_bal = round(find_value("(SELECT sum(ifnull(v.debit,0) - ifnull(v.credit,0)) bal_amt
                                  FROM v_vouchers v where  v.acct_id = '$acct_id' AND acct_id not in ('2610000462', '2610000463', '2610000464')) v ", 'bal_amt', ''));
        $balance = $o_bal - $net_payable;

       // $sms_msg = "Thanks for your Order. Bill No: $m_voucher_id Last Balance: $balance. This Bill:$net_payable. Balance:$o_bal 03165452150 Branch $comp_name";


        if($comp_id == 'KT')
        {
            $addr = " کفیل ٹر یڈرز نزد سٹی  پولس سٹشن ڈیرہ اسماعیل خان ";
        }

        if($comp_id == 'IT')
        {
            $addr = " کفیل ٹر یڈرز برانچ  تجا رت گنج ڈیرہ اسماعیل خان  ";
        }

        if($comp_id == 'HT')
        {
            $addr = " کفیل ٹر یڈرز برانچ  ملتا ن روڈ ڈیرہ اسماعیل خان  ";
        }

        if($comp_id == 'BT')
        {
            $addr = " کفیل ٹر یڈرز برانچ  قریشی موڑ ڈیرہ اسماعیل خان  ";
        }

        if($comp_id == 'RF')
        {
            $addr = " کفیل ٹر یڈرز برانچ  پشہ پل ڈیرہ اسماعیل خان  ";
        }

        if($comp_id == 'CA')
        {
            $addr = " کفیل ٹر یڈرز برانچ  چوک اعظم   ";
        }

        if($comp_id == 'ZT')
        {
            $addr = " کفیل ٹر یڈرز برانچ  توپانوالہ ڈیرہ اسماعیل خان  ";
        }

        $sms_msg ="  معزز صارف، آپ کے آرڈر کا شکریہ۔بل نمبر:$m_voucher_id ";
        $sms_msg .= " پچھلا بیلنس: $balance";
        $sms_msg .= " موجودہ  بل:$net_payable";
        $sms_msg .= "  موجودہ بیلنس:$o_bal";
        $sms_msg .= " :$addr";
        $sms_msg .= "مزید تفصیلات کے لئے کال کریں-03165452150";






        //$sms_msg = "مزید تفصیلات کے لئے کال کریں-0316545215".$addr."معزز صارف، آپ کے آرڈر کا شکریہ۔بل نمبر: 050249  پچھلا بیلنس : 634104    موجودہ  بل:  65570موجودہ بیلنس: 699674 برانچ";







        //$sms_msg = "معزز صارف، آپ کے آرڈر کا شکریہ۔بل نمبر: 050249  پچھلا بیلنس : 634104    موجودہ  بل:  65570موجودہ بیلنس: 699674 برانچ  مزید تفصیلات کے لئے کال کریں-03165452150";









        //$sms_msg = 'sdsdsdsdsd';



        //$url = "https://telenorcsms.com.pk:27677/corporate_sms2/api/sendsms.jsp?msisdn=923454993726&password=Pakistanlahore1234&to=$sms_no&text=$sms_msg&mask=KafelTrader";

        $username = '923454993726';
        $pass = 'Pakistanlahore1234';
        $mask = 'KafelTrader';
        $to = $sms_no;
        $message = $sms_msg;



        $url = "https://telenorcsms.com.pk:27677/corporate_sms2/api/sendsms.jsp?msisdn=" . $username . "&password=" . $pass . "&mask=" . urlencode($mask) . "&to=" . urlencode($to) . "&text=" . urlencode($message);


       isSiteAvailible($url);








        $datetime = date('Y-m-d H:i:s');
        try {
            $edit_m_query = "UPDATE sl_invoice SET sms_time = '$datetime', sms_msg=N'$sms_msg' 
				                     WHERE voucher_id = '$m_voucher_id' and comp_id = '$comp_id' and year_id = '$year_id'";
            $result_edit_m = $dbcon->prepare($edit_m_query);
            $result_edit_m->execute(array());
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }
    }
}
/*********************************ED SEND SMS*************************/
echo $voucherId;
