<?php
session_start();
ob_start();
include("../include/dbconnect.php");
include("../include/functions.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}
date_default_timezone_set("Asia/Karachi");
$comp_id = $_POST["comp_id"];
$year_id = $_POST["year_id"];
$v_id = $_POST['v_id'];
$voucher_type = $_POST['voucher_type'];
$p_menu_id = $_POST['p_menu_id'];
$posted = $_POST['post'];
$table = $_POST['table'];
$tabledet = $table . 'det';

$log_table = 'log_' . $table;
$log_tabledet = 'log_' . $tabledet;

//$post_date = date("Y-m-d h:i:s");
$post_date = date("Y-m-d H:i:s");
$month = date('m');

$p = '';
if ($posted != 'on') {
    $p = 'on';
}

$login_page = find_value('v_system', 'login_page', '');

try {
    //            $edit_detail_query =  "UPDATE $table  SET posted = '$p' WHERE voucher_id = '$v_id' AND comp_id = '$comp_id' AND year_id = '$year_id'";
    //            echo $edit_detail_query;
    //exit ();
    $edit_detail_query =  "UPDATE $table  SET posted = '$p' WHERE voucher_id = '$v_id' AND comp_id = '$comp_id' AND year_id = '$year_id'";
    //echo $edit_detail_query;

    $result_edit_detail = $dbcon->prepare($edit_detail_query);
    $dbcon->exec("set foreign_key_checks=0");
    $result_edit_detail->execute(array($v_id, $comp_id, $year_id));
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

//echo $table;

if (strlen($v_id) < 6) {

    if (empty($voucher_type)) {
        $Maxquery = "SELECT LPAD(IFNULL(max(substr(m.voucher_id,-4)),0)+1,4,'0') voucher_id  
                          FROM $table m
                          WHERE SUBSTRING(m.voucher_id,1,2) = '$month' AND m.comp_id = '$comp_id' AND m.year_id = '$year_id'";
    } else {
        $Maxquery = "SELECT LPAD(IFNULL(max(substr(m.voucher_id,-4)),0)+1,4,'0') voucher_id  
                            FROM $table m
                            WHERE SUBSTRING(m.voucher_id,1,2) = '$voucher_type' AND SUBSTRING(m.voucher_id,3,2) = '$month'  AND m.comp_id = '$comp_id' AND m.year_id = '$year_id' AND LENGTH(m.voucher_id) = 08";
    }



    try {
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $voucher_id = $row_max->voucher_id;
    $voucher_id = $voucher_type  . $month . $voucher_id;

    try {
        $edit_m_query = "UPDATE $table SET voucher_id = '$voucher_id', post_date = '$post_date'
				WHERE  posted = ? and voucher_id = ? and comp_id = ? AND year_id = ?";
        $result_edit_m = $dbcon->prepare($edit_m_query);
        $dbcon->exec("set foreign_key_checks=0");
        $result_edit_m->execute(array($p, $v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    try {
        $edit_d_query = "UPDATE $tabledet SET voucher_id = '$voucher_id' 
				WHERE voucher_id = ?  AND comp_id = ? AND year_id = ?";
        $result_edit_d = $dbcon->prepare($edit_d_query);
        $dbcon->exec("set foreign_key_checks=0");
        $result_edit_d->execute(array($v_id, $comp_id, $year_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    try {
        $del_query = "DELETE FROM voucher_id 
				WHERE v_id =  ?  and comp_id = ?";
        $del_result = $dbcon->prepare($del_query);
        $del_result->execute(array($v_id, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }



    $voucherId = $voucher_id;
} else { //Un-Posted

    //echo $table;
    $voucherId = $v_id;
}

if ($table == 'sl_invoice')
    repost_sl($comp_id, $year_id, $voucherId, $posted);

if ($table == 'sl_return')
    repost_rt($comp_id, $year_id, $voucherId, $posted, '', '');

if ($table == 'pl_invoice')
    repost_pl($comp_id, $year_id, $voucherId, $posted);

if ($table == 'im_boe')
    repost_im($comp_id, $year_id, $voucherId, $posted);


if ($table == 'pl_return')
    repost_pr($comp_id, $year_id, $voucherId, $posted);

if ($table == 'sl_dc' && ($_SESSION['db'] == 'cnlxidtp_click_art'))
    repost_dc($comp_id, $year_id, $voucherId, $posted);





if ($voucher_type == 'CP' || $voucher_type == 'BP')
{


    $p = 'Unpost';
    if($posted != 'on')
    {
        $p = 'Post';
    }
    $net_amt = find_value("voucherdet", 'sum(debit)', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");
    $f_acct_id = find_value("voucherdet", 'acct_id', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");
    $f_particulars = find_value("voucherdet", 'particulars', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");


    f_log_data($voucherId, $p_menu_id, $net_amt, $p, $voucher_type, '', '', '');

}


if ($voucher_type == 'CR' || $voucher_type == 'BR')
{


    $p = 'Unpost';
    if($posted != 'on')
    {
        $p = 'Post';
    }
    $net_amt = find_value("voucherdet", 'sum(credit)', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");
    $f_acct_id = find_value("voucherdet", 'acct_id', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");
    $f_particulars = find_value("voucherdet", 'particulars', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");


    f_log_data($voucherId, $p_menu_id, $net_amt, $p, $voucher_type, '', '', '');

}



if ($voucher_type == 'JV')
{


    $p = 'Unpost';
    if($posted != 'on')
    {
        $p = 'Post';
    }
    $net_amt = find_value("voucherdet", 'sum(debit)', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId'  ");
    $f_acct_id = find_value("voucherdet", 'acct_id', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");
    $f_particulars = find_value("voucherdet", 'particulars', "and comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId' AND substring(lineitem,-1) <> '.' ");


    f_log_data($voucherId, $p_menu_id, $net_amt, $p, $voucher_type, '', '', '');

}



if ($voucher_type == 'RT')
{
$p = 'UnPost';
if ($posted != 'on') {
    $p = 'Post';
}


$acct_id = find_value("sl_return", "acct_id", " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId'");

$qty = find_value('sl_returndet', 'sum(qty)', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId' ");

$items = find_value("(SELECT DISTINCT f_sl_return_products(m.comp_id, m.year_id, m.voucher_id) items
                        FROM sl_invoice m
                        WHERE comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId') v ", 'items', '');


$net_amt = find_value("(SELECT sum(itemtot) total FROM sl_returndet WHERE comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId') v ", 'total', '');
f_log_data($voucherId, $p_menu_id, $net_amt, $p, 'RT', $acct_id, $qty, $items);

}





if ($voucher_type == 'PL')
{
    $p = 'UnPost';
    if ($posted != 'on') {
        $p = 'Post';
    }


    $acct_id = find_value("pl_invoice", "acct_id", " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId'");

    $qty = find_value('pl_invoicedet', 'sum(qty)', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId' ");

    $items = find_value("(SELECT DISTINCT f_pl_invoice_products(m.comp_id, m.year_id, m.voucher_id) items
                        FROM pl_invoice m
                        WHERE comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId') v ", 'items', '');


    $net_amt = find_value("(SELECT sum(itemtot) total FROM pl_invoicedet WHERE comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId') v ", 'total', '');
    f_log_data($voucherId, $p_menu_id, $net_amt, $p, 'PL', $acct_id, $qty, $items);

}





if ($voucher_type == 'PL')
{
    $p = 'UnPost';
    if ($posted != 'on') {
        $p = 'Post';
    }


    $acct_id = find_value("pl_invoice", "acct_id", " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId'");

    $qty = find_value('pl_invoicedet', 'sum(qty)', " and comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId' ");

    $items = find_value("(SELECT DISTINCT f_pl_invoice_products(m.comp_id, m.year_id, m.voucher_id) items
                        FROM pl_invoice m
                        WHERE comp_id = '$comp_id' and year_id = '$year_id' and voucher_id = '$voucherId') v ", 'items', '');


    $net_amt = find_value("(SELECT sum(itemtot) total FROM pl_invoicedet WHERE comp_id = '$comp_id' AND year_id = '$year_id' AND voucher_id = '$voucherId') v ", 'total', '');
    f_log_data($voucherId, $p_menu_id, $net_amt, $p, 'PL', $acct_id, $qty, $items);

}



try {
    $del_query = "DELETE FROM voucher_id 
				WHERE concat(v_type, v_id)  = '$v_id'  and comp_id = '$comp_id'";
    $del_result = $dbcon->prepare($del_query);
    $del_result->execute();
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}





    echo $voucherId;





