<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
	if($_POST['action'] == "search") {

		$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

        $rep_id = clean_data($_POST['rep_id']);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

		$to_date = clean_data($_POST['to_date']);
		$change_to_date = strtotime($to_date);
		$new_to_date = date('Y-m-d', $change_to_date);

		$comp_id = clean_data($_POST['comp_id']);

        $acct_id = clean_data($_POST['acct_id']);
        $sp_id = clean_data($_POST['sp_id']);
        $reg_id = clean_data($_POST['reg_id']);

        $stock_code = clean_data($_POST['stock_code']);
        $color_id = clean_data($_POST['color_id']);
        $size_id = clean_data($_POST['size_id']);

        $and = " and (p.party_type='C')";

        switch ($rep_id)
        {

            case '048':
                $f_grp_name="v.stock_name";
                $f_grp="voucher_date";
                $f_acct_name="r.reg_name";
                $f_grp_3_name="v.voucher_date";
                $h_grp_2_name="City";

                $f1="p.acct_name";
                $f2="r.reg_name";
                $f3="r.reg_name";
                $f4="v.ord_qty";
                $f5="s.acct_name";
                $f6="0";

                $h_c1_width="50";
                $h_c2_width="20";

                $h_1_name='Party';
                $h_2_name="City";
                $h_3_name="";
                $h_4_name="Pending Qty";
                $h_5_name="Agent";
                $h_6_name="";

                $order_by=$f4;
                $asc='desc';
                break;

            case '049':
                $f_grp_name="v.party_name";
                $f_grp="voucher_date";
                $f_acct_name="r.reg_name";
                $f_grp_3_name="v.voucher_date";
                $h_grp_2_name="City";

                $f1="v.stock_name";
                $f2="r.reg_name";
                $f3="r.reg_name";
                $f4="v.ord_qty";
                $f5="s.acct_name";
                $f6="0";

                $h_c1_width="50";
                $h_c2_width="20";

                $h_1_name='Stock Name';
                $h_2_name="City";
                $h_3_name="";
                $h_4_name="Pending Qty";
                $h_5_name="Agent";
                $h_6_name="";

                $order_by=$f4;
                $asc='desc';
                break;

        }


		if ($comp_id != "All") {
			$and .= " and v.comp_id = '$comp_id'";
            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
		}else{
			$and .= " and v.comp_id in(select comp_id from users_comp where emp_id='$emp_id')";
            $comp_name = find_value('v_system', 'comp_name', "");
		}

        if ($acct_id != "All")
            $and .= " and p.acct_id = '$acct_id'";

        if ($sp_id != "All")
            $and .= " and p.sp_id = '$sp_id'";

        if ($reg_id != "All")
            $and .= " and p.reg_id = '$reg_id'";

        if ($stock_code != "All")
            $and .= " and v.stock_code = '$stock_code'";


        ?>

        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>
        <?php




//group total variables
		$g_amt = 0;
        $g_disc_amt = 0;


        if ($rep_id=="048" || $rep_id=="049") {
            $and .= " and (v.voucher_date between '$new_from_date' and '$new_to_date')";
            
                if ($color_id != "All")
                    $and .= " and v.color_id = '$color_id'";
            
                if ($size_id != "All")
                    $and .= " and v.size_id = '$size_id'";

            $msqlquery = "SELECT DISTINCT $f_grp_name grp_name
            FROM v_sl_order v
            LEFT JOIN v_party p on v.party_id=p.acct_id
            LEFT JOIN sp s on p.sp_id=s.acct_id
            LEFT JOIN regions r on p.reg_id=r.reg_id
            LEFT JOIN company c on v.comp_id=c.comp_id
            WHERE $f4<>0 $and
            ORDER BY 1";
        }

//     echo $msqlquery;

            try {
                    $q_result = $dbcon->prepare($msqlquery);
                    $q_result->execute();
                }
                catch(PDOException $e)
                {
                    echo "Error : ". $e->getMessage();
                }

//		$and .= " and ($f1 is not null and $f2 is not null and $f3 is not null)";
        while($mrow = $q_result->fetch(PDO::FETCH_ASSOC)) {

			$grp_name = $mrow['grp_name'];
            $d_grp_name = $mrow['grp_name'];

            ?>

			<table class="table table-bordered table-striped ">
				<thead>
				<tr>
					<th><?php echo ($d_grp_name); ?></th>

				</tr>
				</thead>
			</table>
			<?php

            if ($rep_id=="048" || $rep_id=="049"){
                
                if ($color_id != "All")
                    $and .= " and v.color_id = '$color_id'";

                if ($size_id != "All")
                    $and .= " and v.size_id = '$size_id'";

                $d_query = "SELECT $f1 f1, $f2 f2, $f3 f3, $f5 f5, sum($f4)-dc.dc_qty f4, sum($f6) f6
                            FROM v_sl_order v
                            LEFT JOIN (select party_id acct_id, stock_code, sum(dc_qty) dc_qty from v_sl_order group by party_id, stock_code) dc on v.party_id=dc.acct_id and v.stock_code=dc.stock_code
                            LEFT JOIN v_party p on v.party_id=p.acct_id
                            LEFT JOIN sp s on p.sp_id=s.acct_id
                            LEFT JOIN regions r on p.reg_id=r.reg_id
                            LEFT JOIN company c on v.comp_id=c.comp_id
                            LEFT JOIN color on v.color_id=color.color_id
                            WHERE ($f4<>0 or $f6<>0) $and and $f_grp_name='$grp_name'
                            GROUP BY $f1
               				ORDER BY sum($f4) $asc";
            }


    //      echo $d_query;



            try {
                $d_result = $dbcon->prepare($d_query);
                $d_result->execute();
            }
            catch(PDOException $e)
            {
                echo "Error : ". $e->getMessage();
            }




			?>

			<table class="table table-bordered table-striped table-advanced tablesorter tb-sticky-header table-sm">
			<tr>
				<td width="5%"><b>Sr</b></td>
				<td width="<?php echo $h_c1_width;?>%"><b><?php echo $h_1_name;?></b></td>
                <td width="<?php echo $h_c2_width;?>%"><b><?php echo $h_2_name;?></b></td>

                <?php if ($h_3_name<>''){?>
                <td width="20%"><b><?php echo $h_3_name;?></b></td>
                <?php }?>

                <?php if ($h_5_name<>''){?>
                    <td width="20%"><b><?php echo $h_5_name;?></b></td>
                <?php }?>

                <td align="right" width="15%"><b><?php echo $h_4_name;?></b></td>

                <?php if ($h_6_name<>''){?>
                    <td align="right" width="20%"><b><?php echo $h_6_name;?></b></td>
                <?php }?>

            </tr>
			<?php

			$serno = 0;
			$amt_tot = 0;
            $disc_amt_tot = 0;
            while($report_row = $d_result->fetch(PDO::FETCH_ASSOC)) {
				$serno = $serno + 1;

                $amt_tot += $report_row['f4'];
                $disc_amt_tot += $report_row['f6'];

                $f1_value=$report_row['f1'];
                if ($f1=='v.voucher_date')
                    $f1_value=format_date($report_row['f1']);

                $f2_Value=$report_row['f2'];
                $f3_Value=$report_row['f3'];
                $f5_Value=$report_row['f5'];
                $f6_Value=$report_row['f6'];

				?>
				<tr>
					<td><?php echo($serno); ?></td>

					<td><?php echo $f1_value; ?></td>
                    <td><?php echo $f2_Value; ?></td>

                    <?php if ($h_3_name<>''){?>
                    <td><?php echo $f3_Value; ?></td>
                    <?php }?>

                    <?php if ($h_5_name<>''){?>
                        <td><?php echo $f5_Value; ?></td>
                    <?php }?>

					<td align="right"><?php
                        if($h_4_name=='Balance'){
                            echo format_number_drcr($report_row['f4']);
                        }else{
                            echo format_number($report_row['f4']);
                        } ?>
                    </td>

                    <?php if ($h_6_name<>''){?>
                        <td align="right"><?php echo format_number($f6_Value,0); ?></td>
                    <?php }?>



                </tr>
				<?php
			}
			?>
			 <tr>
                 <td></td><td></td>

                 <?php if ($h_3_name<>''){?>
                 <td></td>
                 <?php }?>

                 <?php if ($h_5_name<>''){?>
                     <td></td>
                 <?php }?>

                 <td align="right"><b>Total</b></td>
                 <td align="right"><b>
                         <?php
                         if($h_4_name=='Balance'){
                         echo format_number_drcr($amt_tot);
                         }else{
                         echo format_number($amt_tot);
                         } ?>
                 </b></td>

                 <?php if ($h_6_name<>''){?>
                     <td align="right"><?php echo format_number($disc_amt_tot);?></td>
                 <?php }?>

             </tr>
    <?php

	$g_amt += $amt_tot;
    $g_disc_amt += $disc_amt_tot;

		}

	?>
	<tr>

        <td></td><td></td>

        <?php if ($h_3_name<>''){?>
            <td></td>
        <?php }?>

        <?php if ($h_5_name<>''){?>
            <td></td>
        <?php }?>

        <td align="right"><b>Grand Total</b></td>
	<td align="right"><b>
            <?php
            if($h_4_name=='Balance'){
                echo format_number_drcr($g_amt);
            }else{
                echo format_number($g_amt);
            } ?>

        </b></td>

        <?php if ($h_6_name<>''){?>
            <td align="right"><?php echo format_number($g_disc_amt);?></td>
        <?php }?>

    </tr>

 </table>


<?php

	}
}



?>