<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
if ($_POST['action'] == "search") {

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);

$from_date = clean_data($_POST['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_POST['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$comp_id = clean_data($_POST['comp_id']);

$acct_id = clean_data($_POST['acct_id']);
$cat_id = clean_data($_POST['cat_id']);
$loc_id = clean_data($_POST['loc_id']);


/*****************START MYSQL VARIABLES**************/


/*************START FINDE COMPANY NAME***************/
if ($comp_id != "All") {

    $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
} else {
    $comp_name = find_value('v_system', 'comp_name', "");

}
/*************END FINDE COMPANY NAME*****************/


$and = "";

#  BK      $and = " and i.stock_code>='3449'";


$and_comp = "";


if ($comp_id != "All") {

    $and_comp .= " and v.comp_id = '$comp_id'";


} else {
    $and_comp .= " and v.comp_id in(SELECT c.comp_id FROM company c
				LEFT JOIN users_comp uc on c.comp_id=uc.comp_id
				WHERE uc.emp_id = '$emp_id' )";


}


if ($acct_id != "All") {
    $and .= " and v.stock_code = '$acct_id'";
}


if ($cat_id != "All") {
    $and .= " and i.cat_id = '$cat_id'";
}


$and .= " and (v.db_qty is not null or v.cr_qty is not null)";


if ($loc_id != "All") {
    $and .= " and v.loc_id = '$loc_id'";
}


/*****************END MYSQL VARIABLES**************/


?>

<h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name; ?></h1>
<div class="table-responsive">

    <?php


    /*****************START GRAND TOTAL VARIABLES**************/
    $g_tot_dbqty = 0;
    $g_tot_crqty = 0;
    $g_bal = 0;
    $g_acct_id = '';
    /*****************END GRAND TOTAL VARIABLES**************/

    //group query date
    $g_voucher_Date = '';


    /***************START MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/
    try {
        $query = "SELECT DISTINCT v.loc_id acct_id, l.loc_name acct_name
    FROM
	v_stk v
	LEFT JOIN locations l ON v.loc_id = l.loc_id
	WHERE 1=1  $and $and_comp
    ORDER BY v.loc_id";

        //echo $query;

        $g1_result = $dbcon->prepare($query);
        $g1_result->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


    while ($g1_row = $g1_result->fetch(PDO::FETCH_ASSOC)) {
        $g1_acct_id = $g1_row['acct_id'];
        $g1_acct_name = $g1_row['acct_name'];


        ?>

        <table class="table table-bordered table-striped table-responsive" id="datatablee">
            <thead>
            <tr>
                <th><?php echo $g1_acct_name; ?></th>
            </tr>
            </thead>
        </table>

        <table border="1" width="100%" cellpadding="2" style=font-family:verdana,tohama; style=font-size:11px;>
            <tr>
                <td width="30%" rowspan="2" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Item
                            Name</font></b>
                </td>
                <td width="20%" rowspan="2" align="center" bgcolor="#3399FF"><b><font color="#FFFFFF">Item
                            Code</font></b>
                </td>

                <td width="50%" colspan="17" bgcolor="#3399FF">
                    <p align="center"><b><font color="#FFFFFF">QTY</font></b></p>
                </td>

            </tr>

            <tr>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">32</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">34</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">36</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">38</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">40</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">42</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">44</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">46</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">48</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">50</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">S</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">M</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">L</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">XL</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">XXL</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Free</font></b></td>
                <td width="4%" align="right" bgcolor="#3399FF"><b><font color="#FFFFFF">Total</font></b></td>
            </tr>


        <?php


        ?>

        <?php

        try {

            $query = "SELECT      
    i.stock_code,
    i.description,
    c2.description color_name,
    o.0001_qty,
    o.0002_qty,
    o.0003_qty,
    o.0004_qty,
    o.0005_qty,
    o.0006_qty,
    o.0007_qty,
    o.0008_qty,
    o.0009_qty,
    o.0010_qty,
    o.0011_qty,
    o.0012_qty,
    o.0013_qty,
    o.0014_qty,
    o.0015_qty,
    o.0016_qty,
    o.qty
FROM
    v_item i
LEFT JOIN (
    SELECT
        v.loc_id,
        v.stock_code,
        v.color_id,
        sum(if(v.size_id='0001',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0001_qty,
        sum(if(v.size_id='0002',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0002_qty,
        sum(if(v.size_id='0003',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0003_qty,
        sum(if(v.size_id='0004',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0004_qty,
        sum(if(v.size_id='0005',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0005_qty,
        sum(if(v.size_id='0006',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0006_qty,
        sum(if(v.size_id='0007',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0007_qty,
        sum(if(v.size_id='0008',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0008_qty,
        sum(if(v.size_id='0009',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0009_qty,
        sum(if(v.size_id='0010',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0010_qty,
        sum(if(v.size_id='0024',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0011_qty,
        sum(if(v.size_id='0025',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0012_qty,
        sum(if(v.size_id='0026',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0013_qty,
        sum(if(v.size_id='0027',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0014_qty,
        sum(if(v.size_id='0028',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0015_qty,
        sum(if(v.size_id='0029',ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0),0)) 0016_qty,
        sum(ifnull(v.db_qty, 0) - ifnull(v.cr_qty, 0)) qty
    FROM
        v_stk v
         LEFT JOIN item i ON v.stock_code = i.stock_code
    WHERE 
        v.voucher_date <= '$new_to_date' $and $and_comp
    GROUP BY
        v.loc_id, v.stock_code, v.color_id
) o ON i.stock_code = o.stock_code
    LEFT JOIN prod_cat c ON i.cat_id = c.cat_id
    LEFT JOIN color c2 ON o.color_id = c2.color_id
    WHERE 1=1 and o.qty<>0
    AND o.loc_id = '$g1_acct_id' 
    order by i.stock_code
";

//echo $query;
            $g2_result = $dbcon->prepare($query);
            $g2_result->execute();
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }

        $stock_code='____';
        while ($report_row = $g2_result->fetch(PDO::FETCH_ASSOC)) {

            if($stock_code<>$report_row['stock_code']) {
                $stock_code=$report_row['stock_code'];
                ?>
                <tr>
                    <td>
                        <b><a href="stock_ledger?from_date=<?php echo($from_date); ?>&to_date=<?php echo($to_date); ?>&compid=<?php echo($comp_id); ?>&stock_code=<?php echo $report_row['stock_code']; ?>&ledger=N"
                              target="_blank"><?php echo $report_row['description']; ?></a></td>
                    <td align="center"><b><a
                                    href="stock_ledger?from_date=<?php echo($from_date); ?>&to_date=<?php echo($to_date); ?>&compid=<?php echo($comp_id); ?>&stock_code=<?php echo $report_row['stock_code']; ?>&ledger=N"
                                    target="_blank"><?php echo $report_row['stock_code']; ?></a></td>
                </tr>
                <?php
            }

            ?>
            <tr>

                    <td>
                        <a href="stock_ledger?from_date=<?php echo($from_date); ?>&to_date=<?php echo($to_date); ?>&compid=<?php echo($comp_id); ?>&stock_code=<?php echo($report_row['stock_code']); ?>&ledger=N"
                           target="_blank"><?php echo $report_row['color_name']; ?></a></td>
            <td align="center"><a
                        href="stock_ledger?from_date=<?php echo($from_date); ?>&to_date=<?php echo($to_date); ?>&compid=<?php echo($comp_id); ?>&stock_code=<?php echo($report_row['stock_code']); ?>&ledger=N"
                        target="_blank"><?php echo $report_row['color_id']; ?></a></td>

            <td align=right><?php echo format_number($report_row['0001_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0002_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0003_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0004_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0005_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0006_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0007_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0008_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0009_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0010_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0011_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0012_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0013_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0014_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0015_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['0016_qty'], 0); ?></td>
            <td align=right><?php echo format_number($report_row['qty'], 0); ?></td>
            </tr>
            <?php


















            }



            ?>
        </table>

        <?php
    }
    }
    }
?>
        </div>
