<?php
session_start();

//include db connection
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");

}



/*******************START VARIABLES***********************/
error_reporting(0);
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);
$postedd = stripslashes($_GET['posted']);
$emp_id = $_SESSION["VALID_USER_ID"];
$p_comp_id = clean_data($_GET['p_comp_id']);

$_SESSION['p_comp_id'] = $p_comp_id;
if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;
}



$_SESSION['v_id'] = clean_data($_GET['v_id']);
$v_id = clean_data($_SESSION['v_id']);
$year_id = $_SESSION["year_id"];

$menu_id = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y'");

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$date_close = find_value("v_system", 'date_close', '');



/*******************END VARIABLES***********************/



/*******************START MYSQL QUERY***********************/

$and = " AND v.voucher_id = '$v_id'";
$and .= " AND v.comp_id = '$comp_id'";
$and .= " AND v.year_id = '$year_id'";


try {
    $voucher_query = "SELECT v.voucher_id, v.voucher_date, v.emp_id
       FROM sl_receipt v 
        LEFT JOIN sl_receiptdet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id AND v.year_id = d.year_id
       WHERE 1=1  $and";
    $voucher_result = $dbcon->prepare($voucher_query);
    $voucher_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}






$v_row = $voucher_result->fetch(PDO::FETCH_OBJ);


$v_emp_id = $v_row->emp_id;

$voucher_date = $v_row->voucher_date;

/*******************END MYSQL QUERY***********************/


/*******************START HEADING PAGE***********************/
if($voucher_type == 'CP')
{
    $h_name = 'PAYMENT VOUCHER DETAIL';
}
if($voucher_type == 'BP')
{
    $h_name = 'BANK PAYMENT VOUCHER DETAIL';
}
if($voucher_type == 'CR')
{
    $h_name = 'CASH RECEIPTS VOUCHER DETAIL';
}
if($voucher_type == 'BR')
{
    $h_name = 'BANK RECEIPTS VOUCHER DETAIL';
}
/*******************END HEADING PAGE***********************/


/********************START PAGE HEADING***************/
if($voucher_type == 'CP')
{
    $hname = 'SHOW CASH PAYMENT VOUCHER';
}
if($voucher_type == 'BP')
{
    $hname = 'SHOW BANK PAYMENT VOUCHER';
}
if($voucher_type == 'CR')
{
    $hname = 'SHOW CASH RECEIPTS VOUCHER';
}
if($voucher_type == 'BR')
{
    $hname = 'SHOW BANK RECEIPTS VOUCHER';
}
/********************END PAGE HEADING***************/



?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->


    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title">SALE RECEIPT DETAIL</div>
            </div>

            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content">


            <!--------------START ADD NEW BUTTON---------------->
            <?php
            if($menu_id == '1.5' or ($auth_id == '8' or $auth_id == '9'))
            {
                ?>
                <form method="post" action="sale_receipt" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                    <input type="hidden" name="add" value="Y">
                    <input type="submit" class="btn btn-blue waves-effect waves-light" value="New">
                </form>                <?php } ?>
            <!--------------END ADD NEW BUTTON---------------->


            <!--------------START EDIT  BUTTON---------------->
            <?php
            $posted = stripslashes($_GET['posted']);
            $_SESSION['posted'] = $posted;
            if($posted == "'on'")
            {
                ?>

                <?php
            }
            else
            {
                if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && ($voucher_date > $date_close)) || ( $auth_id == '9') ) {
                    ?>


                    <form method="post"action="sale_receipt" style ='float: left; padding: 0px;'>
                        <input type="hidden" name="v_id" value="<?php echo $v_row->voucher_id;?>">
                        <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                        <input type="hidden" name="comp_id" value="<?php echo $comp_id;?>">
                        <input type="hidden" name="add" value="N">
                        <input type="submit" class="btn btn-warning waves-effect waves-light" value="Edit">
                    </form>
                <?php }
            }
            ?>
            <!--------------END EDIT BUTTON---------------->



            <!--------------START POST BUTTON---------------->
            <?php
            $posted = stripslashes($_GET['posted']);

            $_SESSION['posted'] = $posted;
            if ($posted == "''") {
                ?>

            <?php } ?>

            <?php
            if ($posted == "'on'") {


                $posted = $_SESSION['posted'];
                $label = 'Post';
                if ($posted == "'on'") {
                    $label = 'Un-Post';
                }
                ?>
                <?php
                if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && ($voucher_date > $date_close)) || ( $auth_id == '9') ) {
                    ?>

                    <input type="hidden" value="Y" name="post" id="post">
                    <button type="button" class="btn btn-success" onClick="post_voucher()"><?php echo $label; ?>
                        <span
                            class="glyphicon glyphicon-check"></span></button>
                <?php }
            }
            else {

                if ($posted == "''") {

                    $posted = $_SESSION['posted'];
                    $label = 'Post';
                    if ($posted == "'on'") {
                        $label = 'Un-Post';
                    }
                    ?>
                    <?php
                    if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && ($voucher_date > $date_close)) || ( $auth_id == '9') ) {
                        ?>
                        <input type="hidden" value="Y" name="post" id="post">
                        <button type="button" class="btn btn-success" onClick="post_voucher()"><?php echo $label; ?>
                            <span
                                class="glyphicon glyphicon-check"></span></button>
                        <?php
                    }
                }
            }
            ?>
            <!--------------END POST BUTTON---------------->


            <!--------------START DELETE VOUCHER BUTTON---------------->
            <?php
            if ($posted == "'on'") {
                ?>

                <?php
            } else {
                ?>

                <?php
                if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && ($voucher_date > $date_close)) || ( $auth_id == '9') ) {
                    ?>
                    <input type="hidden" value="<?php echo $v_id; ?>" name="del_v_id" id="del_v_id">
                    <button type="button" class="btn btn-danger" onClick="delete_voucher()">Delete <span
                            class="glyphicon glyphicon-remove"></span></button>

                <?php }
            }
            ?>
            <!--------------END DELETE VOUCHER BUTTON---------------->







            <!--------------START PRINT PDF BUTTON---------------->
            <a href="pdf_gl_print?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''" target="_blank"><button class="btn btn-default">PRINT <span class="glyphicon glyphicon-print"></span></button></a>
            <!--------------END PRINT PDF BUTTON---------------->


            <br clear="all"><br clear="all">

            <!-------------START MASTER TABLE---------------->

            <div class="table-responsive">
                <table class="table table-bordered  ">
                    <tr>

                        <td><label>Voucher ID:</label></td>
                        <td><?php echo $v_row->voucher_id;?></td>
                        <td><label>Voucher Date:</label></td>
                        <td><?php echo format_date($voucher_date);?></td>
                    </tr>




                </table>
            </div>

            <!-------------END MASTER TABLE---------------->

            <div class="table-responsive">
                <table id="" class="table dt-responsive table-striped table-bordered nowrap" style="font-size: 13px;">
                    <thead>
                    <tr>
                        <th>SR NO.</th>
                        <th>PARTY NAME</th>
                        <th>ACCOUNT  NAME</th>
                        <th>CHEQUE NO</th>
                        <th>CHEQUE DATE</th>
                        <th>CHEQUE CLEAR DATE</th>
                        <th>MODE</th>
                        <th>PARTICULARS</th>
                        <th>BILL NO</th>
                        <th>DISC AMOUNT</th>

                        <th>AMOUNT</th>

                        <?php
                        if ($posted == "'on'") {
                            ?>
                            <?php
                        } else {
                            ?>

                            <th>DELETE</th>
                        <?php } ?>


                    </tr>
                    </thead>

                    <tbody>

                    <?php

                    $and = " AND d.voucher_id = '$v_id'";
                    $and .= " AND d.comp_id = '$comp_id'";
                    $and .= " AND d.year_id = '$year_id'";

                    try {
                        $vd_query = "SELECT d.voucher_id, d.lineitem, d.amount, chq_no, chq_date, chq_clr_date, p.acct_name mode_name, n.acct_name acct_name_1,
	n2. acct_name acct_name_2, d.particulars, d.bill_no, d.disc_amt
 	FROM sl_receiptdet d  
 	LEFT JOIN nom n ON n.acct_id = d.party_id
    LEFT JOIN nom n2 ON n2.acct_id = d.acct_id
 	LEFT JOIN pay_mode p ON p.acct_id = d.mode_id
 	WHERE 1=1  $and ORDER BY d.lineitem/1 asc";


                        $vd_result = $dbcon->prepare($vd_query);
                        $vd_result->execute(array());
                    } catch (PDOException $e) {
                        echo "Error : " . $e->getMessage();
                    }






                    $tot = '';
                    $srno = '';
                    while ($d_row = $vd_result->fetch(PDO::FETCH_OBJ)) {
                        $srno += 1;
                        $v = $d_row->voucher_id;
                        $tot += $d_row->amount;


                        $voucherDate = $d_row->chq_date;
                        if ($voucherDate == '0000-00-00')
                        {
                            $chq_date = '';
                        }
                        else
                        {
                            $chq_date = date('d-m-Y', strtotime($voucherDate));
                        }


                        $v_chq_clr_date = $d_row->chq_clr_date;
                        if ($v_chq_clr_date == '0000-00-00')
                        {
                            $chq_clr_date = '';
                        } else
                        {
                            $chq_clr_date = date('d-m-Y', strtotime($v_chq_clr_date));
                        }







                        ?>


                        <tr>
                            <td><?php echo $d_row->lineitem; ?></td>
                            <td><?php echo($d_row->acct_name_1); ?></td>
                            <td><?php echo($d_row->acct_name_2); ?></td>

                            <td><?php echo($d_row->chq_no); ?></td>
                            <td><?php echo ($chq_date); ?></td>
                            <td><?php echo ($chq_clr_date); ?></td>
                            <td><?php echo($d_row->mode_name); ?></td>
                            <td><?php echo($d_row->particulars); ?></td>
                            <td><?php echo($d_row->bill_no); ?></td>
                            <td><?php echo round($d_row->disc_amt); ?></td>
                            <td><?php echo number_format($d_row->amount); ?></td>


                            <?php
                            $posted = $_SESSION['posted'];
                            if ($posted == "'on'") {
                                ?>


                                <?php
                            } else {
                                ?>

                                <td>

                                    <a  class="text-muted delete_product"  onclick="delete_single('<?php echo $d_row->voucher_id; ?>','<?php echo $d_row->lineitem; ?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>

                                </td>




                            <?php } ?>

                        </tr>
                        <?php
                    }
                    ?>
                    <tr>



                            <td></td>
                            <td></td>
                            <td></td>
                        <td></td>
                        <td></td>
                        <td></td>

                        <td></td>
                        <td></td>
                        <td></td>
                        <td><b>Total</b></td>
                        <td><b><?php echo $tot; ?></b></td>
                    </tr>
                    </tbody>
                </table>
            </div>

        </div>
        <!---------------END PAGE CONTENT----------------->
    </div>
    <!---------------END PAGE WRAPPER----------------->
</div>
<!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
<script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>



<script type="text/javascript">

    /****************START SINGLE ITEM DELETE LINEITEM WISE**************/
    function delete_single(voucherid,lineitem)
    {
        //alert(voucherid,lineitem);
        var status=confirm("Are you sure want to delete");
        if(status==true)
        {

            var datastring = 'voucherid=' + voucherid  + '&lineitem=' + lineitem  +   '&action=sr_delete';
            $.ajax({
                type:"POST",
                url:"del_single.php",
                data: datastring,
                success: function()
                {
                    //alert(result);
                    window.location = "sale_receipt_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>";

                }


            });
        }

    }
    /****************END SINGLE ITEM DELETE LINEITEM WISE**************/




    /****************START POST VOUCHER**************/
    function post_voucher() {
        var post = $('#post').val();

        var status = confirm("Are you sure want to <?php echo $label;?> Data.");

        if (status == true) {
            var datastring = 'post=' + post + '&action=post';

            $.ajax({
                type: "POST",
                url: "process/post_sale_receipt.php",
                data: datastring,
                success: function (result) {
                    //alert(result)

                    var voucher_id = result;
                    var posted = <?php echo $posted; ?>;


                    if (posted == 'on') {
                        window.location = "sale_receipt_detail.php?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted=''&post=Y&p_comp_id=<?php echo $comp_id;?>"

                    }

                    if (posted == '') {
                        window.location = "sale_receipt_detail.php?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&posted='on'&post=Y&p_comp_id=<?php echo $comp_id;?>"

                    }



                }

            });

        }
    }
    /****************END POST VOUCHER**************/




    /****************START DELETE FULL VOUCHER**************/
    function delete_voucher() {

        var status = confirm("Are you sure want to delete");
        var del_v_id = $('#del_v_id').val();

        if (status == true) {
            var datastring = 'del_v_id=' + del_v_id + '&action=sr_delete';

            $.ajax({
                type: "POST",
                url: "del_voucher.php",
                data: datastring,
                success: function () {
                    //alert(result);
                    window.location = "show_sale_receipt.php?voucher_type=<?php echo $voucher_type;?>";


                }


            });

        }

    }
    /****************END DELETE FULL VOUCHER**************/













</script>


























</body>
</html>