<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_ID"]);

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);

        $login_page = find_value('v_system', 'login_page', '');

        $and = "";


        $and .= " AND m.comp_id = '$comp_id'";

        $and .= " and (m.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')";


        try
        {
            $sl_query =  "SELECT DISTINCT m.voucher_id, m.voucher_date, m.comp_id,  m.posted , p.acct_name, s.acct_name sp_name, d.amount
FROM sl_receipt m
LEFT JOIN sl_receiptdet d ON m.comp_id = d.comp_id AND m.year_id = d.year_id AND m.voucher_id = d.voucher_id
LEFT JOIN nom n ON d.party_id = n.acct_id
LEFT JOIN v_party p ON d.party_id = p.acct_id
LEFT JOIN sp s ON s.acct_id = n.sp_id

WHERE 1=1  $and  ORDER BY m.comp_id, m.year_id, m.voucher_date desc";

            $query_m = $dbcon->prepare($sl_query);
            $query_m->execute(array());
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }




        $sale_form = find_value("v_system", "sale_form", '');
        if(empty($sale_form))
            $sale_form = "sale_invoice";

        $detail_page="sl_inv_detail";
        if ($login_page == 'agm' || $login_page == 'mli' || $login_page == 'kt')
            $detail_page=$login_page.'_'.$detail_page;

        if($_SESSION['db'] == 'cnlxidtp_click_tt')
        {
            $detail_page = 'kt_'.$detail_page;
        }







        ?>









        <table id="show_datatable"  class="table table-striped table-bordered vouchers_datatable  table-advanced tablesorter tb-sticky-header table-sm">

            <thead>
            <tr>
                <th>VOUCHER DATE</th>
                <th>VOUCHER ID</th>
                <th>AGENT</th>
                <th>PARTY</th>
                <th>AMOUNT</th>
                <th>DETAIL</th>

            </tr>
            </thead>

            <tfoot>

            </tfoot>

            <tbody>

            <?php
            $outlet = "";
            while($rows = $query_m->fetch(PDO::FETCH_OBJ))
            {

                if ($rows->posted == 'on') {
                    $posted_status = "Yes";
                } else {
                    $posted_status = "No";
                }





                ?>
                <tr>



                    <td><?php echo ($rowss->voucher_date);?></td>
                    <td><?php echo ($rowss->voucher_id);?></td>
                    <td><?php echo ($rowss->sp_name);?></td>
                    <td><?php echo ($rowss->acct_name);?></td>
                    <td><?php echo round($rowss->amount);?></td>
                    <td>
                        <a href=<?php echo $detail_page;?>?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'&p_comp_id=<?php echo $comp_id;?>><span class=" btn btn-dark">Detail</span></a>
                    </td>

                    <?php


                    /*
                                                if ($login_page == 'agm') {

                                                    ?>
                                                    <td>
                                                        <a href="agm_sl_inv_detail?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'"><span class=" btn btn-dark">Detail</span></a>
                                                    </td>
                                                <?php } ?>




                                                <?php
                                                if ($login_page == 'mli') {

                                                    ?>
                                                    <td>
                                                        <a href="mli_sl_inv_detail?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'"><span class=" btn btn-dark">Detail</span></a>
                                                    </td>
                                                <?php } ?>


                                                <?php
                                                if ($login_page == 'kt') {

                                                    ?>
                                                    <td>
                                                        <a href="kt_sl_inv_detail?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'&comp_id=<?php echo $comp_id;?>"><span class=" btn btn-dark">Detail</span></a>
                                                    </td>
                                                <?php }
                    */
                    ?>






                </tr>
                <?php
            }
            ?>
            </tbody>
        </table>



        <?php

    }
}



?>

