<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
/***************START VARIABLES*****************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = $_SESSION['voucher_type'];
$comp_id = clean_data($_SESSION["comp_id"]);
$posted = ($_GET['posted']);

$_SESSION['posted'] = $posted;
$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
$year_id = $_SESSION["year_id"];
/***************END VARIABLES*****************/
$login_page = find_value('v_system', 'login_page', '');

error_reporting(0);

$from_date = $_GET['from_date'];
$to_date = $_GET['to_date'];

if(!isset($from_date))
{
    $from_date=date('Y-01-01');;
}

if(!isset($to_date))
{
    $to_date=date('Y-m-d');
}

$monday = strtotime("last monday");
$monday = date('w', $monday)==date('w') ? $monday+7*86400 : $monday;

$sunday = strtotime(date("Y-m-d",$monday)." +6 days");

$this_week_sd = date("Y-m-d",$monday);
$this_week_ed = date("Y-m-d",$sunday);


/****************START MASTER TABLE QUERY*************/
$and = "";


$and .= " AND m.comp_id = '$comp_id'";
$and .= " AND m.year_id = '$year_id'";

//$and .= " AND m.voucher_date  BETWEEN '$from_date' AND '$to_date'";

//$and .= " AND m.voucher_date  BETWEEN '$this_week_sd' AND '$this_week_ed'";


try
{
    $sl_query =  "SELECT DISTINCT m.comp_id, m.year_id, m.voucher_id, m.voucher_date, m.bilty_no, m.gp_no, ifnull(m.net_amt,0) net_amt, m.r_freight, m.particulars description, m.comp_id,  
m.posted, f_sl_invoice_products(m.comp_id, m.year_id, m.voucher_id) items, n.acct_name party_name, n2.acct_name vehicle_name, if(m.vendor_id<>'', n4.acct_name, n3.acct_name) driver_name, ifnull(n2.acct_name,m.r_driver) vehicle_name, vt.vehicle_name vehicle_type, c.city_name
FROM sl_dc m
LEFT JOIN nom n ON n.acct_id = m.acct_id
LEFT JOIN nom n2 ON m.vehicle_id = n2.acct_id
LEFT JOIN nom n3 ON m.driver_id = n3.acct_id
LEFT JOIN nom n4 ON m.vendor_id = n4.acct_id
LEFT JOIN vehicle_type vt on m.vehicle_type=vt.vehicle_id
LEFT JOIN city c on m.dis_city_id=c.city_id
WHERE 1=1  $and  ORDER BY m.voucher_date, m.bilty_no desc";


    $query_m = $dbcon->prepare($sl_query);
    $query_m->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


/****************END MASTER TABLE QUERY*************/





?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">
    <link type="text/css" rel="stylesheet"
          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">

</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">BILTY SHOWCASE</div>
                </div>

            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">

<?php
                $menu_id='1.10';
                $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
                $detail = find_value("menu", "menu_detail", " and  menu_id = '$menu_id'");
?>
                <!---------------------START ADD NEW------------------->
                <?php
                if(!empty($insert_allowed) or ($auth_id == '9' ))
                {
                    $form = find_value("menu", "menu_cmd", " and  menu_id = '$menu_id'");
                    if(empty($form))
                        $form='bilty_invoice';
                    ?>
                    <form method="get"action="<?php echo $form;?>" style ='float: left; padding: 0px;'>
                        <input type="hidden" name="add" value="Y">
                        <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                            <i class="icon-user icon-white"></i>

                        </button>
                    </form>
                <?php } ?>
                <!---------------------END  ADD NEW------------------->

                <!---------------------START IMPORT------------------->
                <?php
                /*
                if(!empty($insert_allowed) or ($auth_id == '9' ))
                {
                ?>
                <a href="import_bilty"> <button class="btn btn-red pull-right">Import From Master Sale Workbook<i class="zmdi zmdi-print"></i></button></a>
                <?php }
                */
                ?>
                <!---------------------END  IMPORT------------------->

                <br clear="all">
                <br clear="all">



                <nav class="navbar navbar-inverse" role="navigation">
                    <div class="container-fluid">
                        <!-- Brand and toggle get grouped for better mobile display -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>

                        </div>

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

                            <form class="navbar-form navbar-left" role="search">
                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF;">Date From</label><br>

                                    <input id="fromdate" type="text" name="fromdate"  class="form-control" value="<?php echo date('d-m-Y');?>">                                </div>

                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF";>Date To</label><br>
                                    <input id="todate" type="text" name="todate" class="form-control"  value="<?php echo date('d-m-Y');?>">
                                </div>

                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF";>Voucher ID:</label><br>
                                    <input id="voucher_id" type="text" name="voucher_id" class="form-control">
                                </div>

                                <div class="form-group">
                                    <label class="" for="selectcompany" style="color:#FFF">Company</label><br>
                                    <select class="form-control acct_id" name="comp_id" id="comp_id" style="width:150px;">
                                        <option selected value="All">All</option>


                                        <?php
                                        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
                                        $comp_id = clean_data($_SESSION["comp_id"]);

                                        try {
                                            $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c 
				LEFT JOIN users_comp uc on c.comp_id = uc.comp_id
				WHERE uc.emp_id = '$emp_id' ORDER BY c.comp_id";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                        {
                                            if ($comp_id == $p_row->comp_id)
                                            {
                                                echo '<option  value="' . $p_row->comp_id . '"selected>' . $p_row->comp_name . '</option>';

                                            }
                                            else
                                            {
                                                echo '<option  value="' . $p_row->comp_id . '">' . $p_row->comp_name . '</option>';
                                            }
                                        }
                                        ?>

                                    </select>
                                </div>


                                <div class="form-group">
                                    <label class="" for="selectcompany" style="color:#FFF">Year</label><br>
                                    <select class="form-control acct_id" name="year_id" id="year_id" style="width:150px;">
                                        <option value="All">All</option>

                                        <?php
                                        try
                                        {
                                            $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                        {

                                            echo '<option  value="' . $p_row->year_id . '">' . $p_row->year_name . '</option>';

                                        }
                                        ?>

                                    </select>
                                </div>


                                <br>
                                <button type="button" class="btn btn-success" id="runreport">Filter</button>

                            </form>

                        </div><!-- /.navbar-collapse -->
                    </div><!-- /.container-fluid -->
                </nav>


                <table id="hide_table"  class="table table-striped table-bordered vouchers_datatable  table-advanced  tb-sticky-header table-sm">

                    <thead>
                    <tr>
                        <th>Voucher Date</th>
                        <th>Voucher ID</th>
                        <th>Bilty No</th>
                        <th>Invoice No</th>
                        <th>Vehicle</th>
                        <th>Size</th>
                        <th>Client</th>
                        <th>Description</th>
                        <th>City</th>
                        <th>Freight</th>
                        <th>Driver Name</th>
                        <th>Rental Freight</th>
                        <th>Posted</th>
                        <th>Details</th>

                    </tr>
                    </thead>

                    <tfoot>

                    </tfoot>

                    <tbody>

                    <?php
                    $outlet = "";
                    while($rows = $query_m->fetch(PDO::FETCH_OBJ))
                    {
                        if ($rows->posted == 'on') {
                            $posted_status = "Yes";
                        } else {
                            $posted_status = "No";
                        }
                        ?>
                        <tr>
                            <td><?php echo ($rows->voucher_date);?></td>
                            <td><?php echo ($rows->voucher_id);?></td>
                            <td><?php echo ($rows->bilty_no);?></td>
                            <td><?php echo ($rows->gp_no);?></td>
                            <td><?php echo $rows->vehicle_name;?></td>
                            <td><?php echo $rows->vehicle_type;?></td>
                            <td><?php echo ($rows->party_name);?></td>
                            <td><?php echo ($rows->description);?></td>
                            <td><?php echo ($rows->city_name);?></td>
                            <td><?php echo round($rows->net_amt);?></td>
                            <td><?php echo ($rows->driver_name);?></td>
                            <td><?php echo ($rows->r_freight);?></td>
                            <td><?php echo ($posted_status); ?></td>


                            <td>
                                <a href=<?php echo $detail;?>?p_comp_id=<?php echo $rows->comp_id;?>&p_year_id=<?php echo $rows->year_id;?>&v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>' ><span class=" btn btn-dark">Detail</span></a>
                            </td>

                        </tr>
                        <?php
                    }
                    ?>
                    </tbody>
                </table>
                <div id="comp_view"></div>
            </div>
        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>

    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>
    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>



    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">

        $('#fromdate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,

        });

        $('#todate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,
        });


        $(".acct_id").select2();

        var simple = $('.vouchers_datatable').DataTable({

            "lengthMenu": [[10, 50, 100, -1], [10, 50, 100, "All"]],
            "order": [[ 0, "desc" ],[ 1, "desc" ]]
        });

        $(document).on('keydown', function (e) {
            if (e.ctrlKey && e.which === 65) { // Check for the Ctrl key being pressed, and if the key = [S] (83)


                window.location = "kt_sale_invoice?&voucher_type=<?php echo $voucher_type;?>&add=Y";
                //console.log('Ctrl+N!');
                e.preventDefault();
                return false;
            }
        });






        $('#runreport').click(function()
        {

            var from_date = $('#fromdate').val();
            var to_date = $('#todate').val();
            var comp_id =  $('#comp_id').val();
            var year_id =  $('#year_id').val();
            var voucher_id =  $('#voucher_id').val();

            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&voucher_id=' + voucher_id +
                '&action=search';

            $.ajax({
                type:"POST",
                url:"sale_comp_filter",
                data:datastring,
                beforeSend: function()
                {
                    $("#comp_view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {


                    $('.vouchers_datatable').dataTable().fnDestroy();
                    $('#hide_table').hide();

                    $('#comp_view').html(result);

                    $('#show_datatable').DataTable({

                        "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
                        "order": [ 0, "desc" ]

                    });


                }



            });

        });






        $("#sl_order_id").change(function () {
            var sl_order_id = $('#sl_order_id').val();
            var action = "show_so";

            var datastring = 'sl_order_id=' + sl_order_id + '&action=' + action;

            $.ajax({
                type: "POST",
                url: "ajax/get_so.php",
                data: datastring,
                beforeSend: function () {
                    $("#view").html('<div class="loader-block cell preloader5"> <div class="circle-5 l"></div> <div class="circle-5 m"></div> <div class="circle-5 r"></div> </div>');
                },
                success: function (result) {
                    //alert(result)
                    $('#view').html(result);

                }
            });


        });




        $('.daterange').daterangepicker(
            {
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],
                    'Last 7 Days': [moment().subtract('days', 6), moment()],
                    'Last 30 Days': [moment().subtract('days', 29), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]
                },
                startDate: moment().subtract('days', 29),
                endDate: moment()
            },





            function (start, end) {
                //alert("You chose: " + start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM'));

                //var lastDate = start.format('YYYY-DD-MM') + ' - ' + end.format('YYYY-DD-MM');

                var from_date = start.format('YYYY-MM-DD');
                var to_date = end.format('YYYY-MM-DD');

                window.location = "show_sale_invoice.php?voucher_type=<?php echo $voucher_type;?>&posted=''&from_date="+ from_date+"&to_date="+to_date;
            });





    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->

</body>
</html>