<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
/***************START VARIABLES*****************/
$voucher_type = clean_data($_GET['voucher_type']);
$_SESSION['voucher_type'] = $voucher_type;
$comp_id = clean_data($_SESSION["comp_id"]);
$year_id = clean_data($_SESSION["year_id"]);
$posted = ($_GET['posted']);
$outlet_margin = $_SESSION["outlet_margin"];
$_SESSION['posted'] = $posted;
$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
/***************END VARIABLES*****************/
$login_page = find_value('v_system', 'login_page', '');

$pl_invoice_form = $_SESSION["pl_invoice_form"];


/****************START MASTER TABLE QUERY*************/
$and = "";
$and .= " AND m.comp_id = '$comp_id'";
$and .= " AND m.year_id = '$year_id'";
try
{
    $sl_query =  "SELECT DISTINCT m.voucher_id, m.voucher_date,  m.bill_no, ifnull(m.net_amt,0)+ifnull(m.disc_amt,0) net_amt, 
      m.comp_id,  m.posted, m.adv_amt, m.disc_amt, f_pl_invoice_products(m.comp_id, m.year_id, m.voucher_id) items, 
      sp.acct_name sp_name, n.acct_name party_name, m.year_id
FROM pl_gp m
LEFT JOIN sp on m.sp_id=sp.acct_id
LEFT JOIN nom n ON n.acct_id = m.acct_id
WHERE 1=1  $and  ORDER BY m.comp_id, m.year_id, m.voucher_date, m.bill_no desc";

    $query_m = $dbcon->prepare($sl_query);
    $query_m->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}



/****************END MASTER TABLE QUERY*************/





?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">
    <link type="text/css" rel="stylesheet"
          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">INWARD GATE PASS SHOWCASE</div>
                </div>

                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">

                <nav class="navbar navbar-inverse" role="navigation">
                    <div class="container-fluid">
                        <!-- Brand and toggle get grouped for better mobile display -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>

                        </div>

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

                            <form class="navbar-form navbar-left" role="search">
                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF;">Date From</label><br>

                                    <input id="fromdate" type="text" name="fromdate"  class="form-control" value="<?php echo date('d-m-Y');?>">                                </div>

                                <div class="form-group">
                                    <label for="exampleInputEmail1" style="color:#FFF";>Date To</label><br>
                                    <input id="todate" type="text" name="todate" class="form-control"  value="<?php echo date('d-m-Y');?>">
                                </div>

                                <div class="form-group">
                                    <label class="" for="selectcompany" style="color:#FFF">Company</label><br>
                                    <select class="form-control acct_id" name="comp_id" id="comp_id" style="width:150px;">


                                        <?php
                                        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
                                        $comp_id = clean_data($_SESSION["comp_id"]);

                                        try {
                                            $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c 
				LEFT JOIN users_comp uc on c.comp_id = uc.comp_id
				WHERE uc.emp_id = '$emp_id' ORDER BY c.comp_id";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                        {
                                            if ($comp_id == $p_row->comp_id)
                                            {
                                                echo '<option  value="' . $p_row->comp_id . '"selected>' . $p_row->comp_name . '</option>';

                                            }
                                            else
                                            {
                                                echo '<option  value="' . $p_row->comp_id . '">' . $p_row->comp_name . '</option>';
                                            }
                                        }
                                        ?>

                                    </select>
                                </div>


                                <div class="form-group">
                                    <label class="" for="selectcompany" style="color:#FFF">Year</label><br>
                                    <select class="form-control acct_id" name="year_id" id="year_id" style="width:150px;">
                                        <option value="All">All</option>

                                        <?php
                                        try
                                        {
                                            $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        while($p_row = $q->fetch(PDO::FETCH_OBJ))
                                        {

                                            echo '<option  value="' . $p_row->year_id . '">' . $p_row->year_name . '</option>';

                                        }
                                        ?>

                                    </select>
                                </div>


                                <br>
                                <button type="button" class="btn btn-success" id="runreport">Filter</button>

                            </form>

                        </div><!-- /.navbar-collapse -->
                    </div><!-- /.container-fluid -->
                </nav>



                <!---------------------START KAFEEL TRADER LOGIN PAGE------------------->








                <a  href="pl_inword?voucher_type=<?php echo $voucher_type;?>&add=Y"><button class="btn btn-primary"><u>A</u>dd Voucher <span class="glyphicon glyphicon-plus"></span></button></a>


                    <!--<form method="post" action="pl_inword?voucher_type=<?php /*echo $voucher_type; */?>&add=Y">
                        <input type="hidden" name="voucher_type" value="<?php /*echo $voucher_type;*/?>">
                        <input type="hidden" name="add" value="Y">
                        <input type="submit" class="btn btn-primary waves-effect waves-light" value="Add Invoice">
                    </form>-->



                <!---------------------END KAFEEL TRADER LOGIN PAGE------------------->


                <br clear="all"> <br clear="all">
                <div id="loader"></div>
                <table id="hide_table"  class="table table-striped table-bordered vouchers_datatable  table-advanced tablesorter tb-sticky-header table-sm">

                    <thead>
                    <tr>
                        <th>VOUCHER DATE</th>
                        <th>VOUCHER ID</th>
                        <th>INVOICE NO</th>
                        <th>ITEMS</th>
                        <th>PARTY NAME</th>
                        <th>INVOICE AMOUNT</th>
                        <th>DISCOUNT</th>
                        <th>ADVANCE</th>
                        <th>SALE PERSON</th>
                        <th>DETAIL</th>

                    </tr>
                    </thead>

                    <tfoot>

                    </tfoot>

                    <tbody>

                    <?php
                    $outlet = "";
                    while($rows = $query_m->fetch(PDO::FETCH_OBJ))
                    {

                        ?>
                        <tr>



                            <td><?php echo ($rows->voucher_date);?></td>
                            <td><?php echo ($rows->voucher_id);?></td>
                            <td><?php echo ($rows->bill_no);?></td>
                            <td><?php echo ($rows->items);?></td>
                            <td><?php echo ($rows->party_name);?></td>
                            <td><?php echo round($rows->net_amt);?></td>
                            <td><?php echo round($rows->disc_amt);?></td>
                            <td><?php echo round($rows->adv_amt);?></td>
                            <td><?php echo ($rows->sp_name);?></td>


                            <td>
                                <a target="_blank" href="pl_inword_detail.php?v_id=<?php echo $rows->voucher_id;?>&voucher_type=<?php echo $voucher_type;?>&posted='<?php echo $rows->posted;?>'&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $rows->year_id;?>"><span class=" btn btn-dark">Detail</span></a>
                            </td>

                        </tr>
                        <?php
                    }
                    ?>
                    </tbody>
                </table>
                <div id="view"></div>
            </div>
        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>
    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>


    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">

        $('.vouchers_datatable').DataTable({

            "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
            "order": [ 0, "desc" ]

        });









        $('#runreport').click(function()
        {

            var from_date = $('#fromdate').val();
            var to_date = $('#todate').val();
            var comp_id =  $('#comp_id').val();
            var year_id =  $('#year_id').val();



            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&action=search';

            $.ajax({
                type:"POST",
                url:"purchase_comp_filter",
                data:datastring,
                beforeSend: function()
                {
                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {


                    $('.vouchers_datatable').dataTable().fnDestroy();
                    $('#hide_table').hide();

                    $('#view').html(result);

                    $('#show_datatable').DataTable({

                        "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
                        "order": [ 0, "asc" ]

                    });


                }



            });

        });



















        $(document).on('keydown', function (e) {
            if (e.ctrlKey && e.which === 65) { // Check for the Ctrl key being pressed, and if the key = [S] (83)
                window.location = "kt_sale_invoice?&voucher_type=<?php echo $voucher_type;?>&add=Y";
                //console.log('Ctrl+N!');
                e.preventDefault();
                return false;
            }
        });






        $("#p_comp_id").change(function () {
            var p_comp_id = $('#p_comp_id').val();
            var action = "show_invoice";

            var datastring = 'p_comp_id=' + p_comp_id  + '&action=' + action;

            $.ajax({
                type: "POST",
                url: "ajax/get_show_pl_invoice.php",
                data: datastring,
                beforeSend: function () {
                    $("#view").html('<div align="centre"><img src="images/loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div>');
                },
                success: function (result) {
                    //alert(result)

                    $('.vouchers_datatable').dataTable().fnDestroy();
                    $('#hide_table').hide();

                    $('#view').html(result);

                    var simple = $('#show_datatable').DataTable({

                        "order": [ 1, "desc" ]

                    });



                }


            });


        });












        $('#fromdate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,

        });

        $('#todate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,
        });



    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->














</body>
</html>