<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
/***************START VARIABLES*****************/
$filter = $_GET['filter'];

$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

if($_GET['from_date']) {
    $from_date = $_GET['from_date'];
    $p_from_date = strtotime($from_date);
    $p_from_date = date('Y-m-d', $p_from_date);
}


$login_page = find_value("v_system", 'login_page', '');



/***************END VARIABLES*****************/

/****************START MASTER TABLE QUERY*************/
$and = '';
if ($comp_id != "All") {
    $and .= " and m.comp_id = '$comp_id'";
}else{
    $and .= " and m.comp_id in(select comp_id from users_comp where emp_id='$emp_id' and inactive<>'Y')";

}

$and .= " AND m.year_id = '$year_id'";
//$and .= " AND m.voucher_date  BETWEEN '$p_from_date' AND '$p_to_date'";

try
{
    $sl_query =  "SELECT DISTINCT m.voucher_id, m.voucher_date,  m.bill_no, ifnull(m.net_amt,0)+ifnull(m.disc_amt,0) net_amt, 
      m.comp_id,  m.posted, m.adv_amt, m.disc_amt, f_pl_return_products(m.comp_id, m.year_id, m.voucher_id) items, 
      sp.acct_name sp_name, n.acct_name party_name, m.year_id
FROM pl_return m
LEFT JOIN sp on m.sp_id=sp.acct_id
LEFT JOIN nom n ON n.acct_id = m.acct_id
WHERE 1=1  $and  ORDER BY m.comp_id, m.year_id, m.voucher_date, m.bill_no desc";

    $query_m = $dbcon->prepare($sl_query);
    $query_m->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}

/****************END MASTER TABLE QUERY*************/


$inactive = find_value("users_menu", 'inactive', " and auth_id = '$auth_id' AND menu_id = '$menu_id'  AND inactive = 'N'");

$insert_allowed = find_value("users_menu", 'menu_id', " and  emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
$update_allowed = find_value("users_menu", 'menu_id', " and  emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
$delete_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");
$post_allowed = find_value("users_menu", 'menu_id', " and  emp_id = '$emp_id' AND inactive <> 'Y' and post_allowed='Y' and menu_id = '$menu_id'");
$print_allowed = find_value("users_menu", 'menu_id', " and  emp_id = '$emp_id' AND inactive <> 'Y' and print_allowed='Y' and menu_id = '$menu_id'");


?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Purchase Return | <?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/jquery.dataTables.css">
    <link type="text/css" rel="stylesheet"
          href="vendors/DataTables/extensions/TableTools/css/dataTables.tableTools.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/DataTables/media/css/dataTables.bootstrap.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">

<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <div id="wrapper">
        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">Purchase Return</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index">Dashboard</a>&nbsp;&nbsp;<i
                                class="fa fa-angle-right"></i>&nbsp;&nbsp;
                    </li>

                    <li class="active">Purchase Return List</li>

                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!--BEGIN CONTENT-->
            <div class="page-content">

                <div class="panel">
                    <div class="panel-body">





                        <!---------------------START NEW VOUCHER------------------->
                        <?php
                        if(!empty($insert_allowed) or ($auth_id == '9' ))
                        {
                            ?>

                                <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                                    <input type="hidden" name="add" value="Y">
                                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                                    <input type="submit" class="btn btn-success btn-lg waves-effect waves-light" value="Add Purchase Return" style="width: 205px;">

                                </form>

                                <?php




                        }?>
                        <!---------------------END NEW VOUCHER------------------->


                        <br clear="all"> <br clear="all">
                        <div id="loader"></div>
                        <table id="hide_table"  class="table table-striped table-bordered vouchers_datatable  table-advanced tablesorter tb-sticky-header table-sm">

                            <thead>
                            <tr>
                                <th>VOUCHER DATE</th>
                                <th>VOUCHER ID</th>
                                <th style="width: 15%">INVOICE NO</th>
                                <th>ITEMS</th>
                                <th>PARTY NAME</th>
                                <th>INVOICE AMOUNT</th>
                                <th>DISCOUNT</th>
                                <th>ADVANCE</th>
                                <th>SALE PERSON</th>
                                <th>DETAIL</th>

                            </tr>
                            </thead>

                            <tfoot>

                            </tfoot>

                            <tbody>

                            <?php
                            $outlet = "";
                            while($rows = $query_m->fetch(PDO::FETCH_OBJ))
                            {

                                ?>
                                <tr>



                                    <td><?php echo ($rows->voucher_date);?></td>
                                    <td><?php echo ($rows->voucher_id);?></td>
                                    <td><?php echo ($rows->bill_no);?></td>
                                    <td><?php echo ($rows->items);?></td>
                                    <td><?php echo ($rows->party_name);?></td>
                                    <td><?php echo round($rows->net_amt);?></td>
                                    <td><?php echo round($rows->disc_amt);?></td>
                                    <td><?php echo round($rows->adv_amt);?></td>
                                    <td><?php echo ($rows->sp_name);?></td>
                                    <td>
                                        <form method="get"action="<?php echo $menu_detail;?>" style ='float: left; padding: 0px;'>
                                            <input type="hidden" name="comp_id" value="<?php echo $rows->comp_id;?>">
                                            <input type="hidden" name="year_id" value="<?php echo $rows->year_id;?>">
                                            <input type="hidden" name="v_id" value="<?php echo $rows->voucher_id;?>">
                                            <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                                            <button type="submit" <i class="fa fa-eye"></i>
                                        </form>
                                    </td>

                                </tr>
                                <?php
                            }
                            ?>
                            </tbody>
                        </table>
                        <div id="view"></div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/DataTables/media/js/jquery.dataTables.js"></script>
    <script src="vendors/DataTables/media/js/dataTables.bootstrap.js"></script>


    <!----------------------------START JAVA SCRIPT---------------------------->
    <script type="text/javascript">

        $('.vouchers_datatable').DataTable({

            "lengthMenu": [[100, 200, 300, -2], [100, 200, 300, "All"]],
            "order": [[ 0, "desc" ],[ 1, "desc" ]]

        });

        $('#runreport').click(function()
        {
            var from_date = $('#fromdate').val();
            var to_date = $('#todate').val();
            var comp_id =  $('#comp_id').val();
            var year_id =  $('#year_id').val();
            var menu_id =  $('#menu_id').val();

            var datastring = 'from_date=' + from_date +
                '&to_date=' + to_date +
                '&comp_id=' + comp_id +
                '&year_id=' + year_id +
                '&action=search';
            $.ajax({
                type:"GET",
                url:"<?php echo $_SERVER['PHP_SELF'];?>",
                data:datastring,
                beforeSend: function()
                {
                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {
                    window.location = "<?php echo $_SERVER['PHP_SELF'];?>?from_date=" + from_date + "&to_date=" + to_date + "&comp_id=" + comp_id + "&year_id=" + year_id + "&menu_id=" + menu_id + "&filter='Y'";
                }
            });
        });

        $(document).on('keydown', function (e) {
            if (e.ctrlKey && e.which === 65) { // Check for the Ctrl key being pressed, and if the key = [S] (83)
                window.location = "kt_sale_invoice?&voucher_type=<?php echo $voucher_type;?>&add=Y";
                //console.log('Ctrl+N!');
                e.preventDefault();
                return false;
            }
        });






        $("#p_comp_id").change(function () {
            var p_comp_id = $('#p_comp_id').val();
            var action = "show_invoice";

            var datastring = 'p_comp_id=' + p_comp_id  + '&action=' + action;

            $.ajax({
                type: "POST",
                url: "ajax/get_show_pl_invoice.php",
                data: datastring,
                beforeSend: function () {
                    $("#view").html('<div align="centre"><img src="images/loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div>');
                },
                success: function (result) {
                    //alert(result)

                    $('.vouchers_datatable').dataTable().fnDestroy();
                    $('#hide_table').hide();

                    $('#view').html(result);

                    var simple = $('#show_datatable').DataTable({

                        "order": [ 1, "desc" ]

                    });



                }


            });


        });












        $('#fromdate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,

        });

        $('#todate').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true,
        });



    </script>
    <!----------------------------END JAVA SCRIPT---------------------------->














</body>
</html>