<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
//variables
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = $_SESSION['voucher_type'];

$add = clean_data($_GET['add']);
$_SESSION['add'] = $add;
$emp_id = $_SESSION["VALID_USER_ID"];
$loc_id =  $_SESSION["short_name"];
$login_page = find_value('v_system', 'login_page', '');








$p_year_id = clean_data($_GET['year_id']);
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}




$p_comp_id = clean_data($_GET['comp_id']);
if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}

















if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
    $voucher_type = $_SESSION['voucher_type'];
    $comp_id = clean_data($_SESSION["comp_id"]);


    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id =  $v_id;



    // END MAXIMUM VOUCHER ID CHK QUERY



    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';





    //MAXIMUM INVOICE ID CHK QUERY
    try
    {
        $Maxquery_invoice =  "SELECT LPAD(IFNULL(max(substr(v.bill_no,-5)),0)+1,5,'0') v_id FROM sl_invoice v
		WHERE v.comp_id = ? ";
        $max_query_inv = $dbcon->prepare($Maxquery_invoice);
        $max_query_inv->execute(array($comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max_invoice = $max_query_inv->fetch(PDO::FETCH_OBJ);
    $invoiceNo = $row_max_invoice->v_id;
    $invoice_no = $loc_id.$invoiceNo;





    $v_date = date('d-m-Y');

    $discount_voucher_id = "";
    $return_cash = "";
    $bill_type = '';
    $sp = "";
    $ntn = "";
    $stax_no = "";
    $bill_no = "";



}
else //EDIT
{
    $voucher_type = clean_data($_SESSION['voucher_type']);
    $v_id = clean_data($_GET['v_id']);


    try
    {
        $edit_query =  "SELECT m.*, p.ntn, p.stax_no 
                        FROM sl_invoice m 
                        LEFT JOIN v_party p ON m.acct_id = p.acct_id  
                        WHERE m.voucher_id = ? AND m.comp_id = ? AND m.year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucher_date = $rowm->voucher_date;
    $change_date =date_create($voucher_date);
    $v_date = date_format($change_date,'d-m-Y');
    $acct_id = $rowm->acct_id;
    $customer_name = $rowm->customer_name;
    $customer_phone = $rowm->customer_phone;
    $customer_cash = $rowm->customer_cash;
    $return_cash = $rowm->return_cash;
    $bill_type = $rowm->bill_type;
    $bill_no = $rowm->bill_no;
    $sp = $rowm->sp_id;
    $discount_voucher_id = $rowm->discount_voucher_no;
    $ntn = $rowm->ntn;
    $stax_no = $rowm->stax_no;
    $net_amt = $rowm->net_amt;
    $net_payable = $rowm->net_payable;
    $stax = $rowm->stax;
    $servicep = $rowm->servicep;
    $service = $rowm->service;
    $discp_m = $rowm->discp;
    $disc_amt_m = $rowm->disc_amt;
    $loc_id = $rowm->loc_id;
}




?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">SALE INVOICE</div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index.php">Home</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li><a href="show_sale_invoice?voucher_type=<?php echo $voucher_type;?>&posted=<?php echo $posted;?>">Show Sale Invoice</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active">Sale Invoice</li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">

                <form class="form-horizontal sale_invoice"  name="sale_invoice"  id="sale_invoice">


                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                           value="<?php echo $comp_id; ?>">

                    <div class='row'>
                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>
                            <?php
                            if($add == 'Y')
                            {
                                ?>
                                <button class="btn btn-danger delete_sale" type="button">- Delete</button>
                            <?php }


                            ?>
                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>

                            <div id="view"></div>
                        </div>
                    </div>

                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>

                                                <!-- VOUCHER ID -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="voucher_id"id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly style="width: 150px;">
                                                </td>

                                                <!-- DATE -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date;?>" style="width: 150px;">
                                                </td>



                                                <!-- SALE TYPE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Customer</label>
                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT p.acct_id, p.acct_name FROM v_party p WHERE  P.PARTY_TYPE = 'C' ORDER BY p.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute();
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="acct_id" id="acct_id" class=" form-control acct_id acct_id_change remove_acct_id">

                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($acct_id == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>


                                            <tr>

                                                <!-- CUSTOMER NAME-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Customer Name:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="customer_name"id="customer_name" autocomplete="on" value="<?php echo $customer_name;?>" style="width: 150px;">
                                                </td>

                                                <!-- CUSTOMER PHONE NO-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Customer Phone No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="customer_phone"id="customer_phone" value="<?php echo $customer_phone;?>" autocomplete="on" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" style="width: 150px;">
                                                </td>


                                                <th>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Location</label>
                                                </th>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT l.loc_id, l.loc_name FROM location l ORDER BY l.loc_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select   name="loc_id" id="loc_id" class="form-control acct_id">




                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($loc_id == $p_row->loc_id)
                                                            {
                                                                echo '<option  value="' . $p_row->loc_id . '"selected>' . $p_row->loc_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->loc_id . '">' . $p_row->loc_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>

                                            <tr>


                                                <!-- NTN-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">NTN:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="ntn" id="ntn"  style="width: 150px;" value="<?php echo $ntn; ?>" readonly>
                                                </td>

                                                <!-- SALE TAX-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Sale Tax No:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="stax_no" id="stax_no"   style="width: 150px;" value="<?php echo $stax_no; ?>" readonly>
                                                </td>


                                                <!-- INVOICE NO-->
                                                <th>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;"> Bill No:</label>
                                                </th>
                                                <td>
                                                    <input type="text" class="form-control"  name="inv_no"id="inv_no" autocomplete="on"  style="width: 150px;" value="<?php echo $bill_no; ?>"  >
                                                </td>



                                            </tr>


                                            <tr>


                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Base Document</label></td>
                                                <td>
                                                    <select style="width:100%;"  name="base_doc" id="base_doc" class="acct_ids">
                                                        <option value=""></option>
                                                        <?php

                                                        if($add != 'Y') {

                                                            if ($base_doc == 'QT') {
                                                                echo '<option  value="' . "QT" . '"selected>' . "Qoute" . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "QT" . '">' . "Qoute" . '</option>';

                                                            }

                                                            if ($base_doc == 'SO') {
                                                                echo '<option  value="' . "SO" . '"selected>' . "Order" . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "SO" . '">' . "Order" . '</option>';

                                                            }

                                                            if ($base_doc == 'DC') {
                                                                echo '<option  value="' . "DC" . '"selected>' . "Delivery Challan" . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "DC" . '">' . "Delivery Challan" . '</option>';

                                                            }


                                                            if ($base_doc == 'OG') {
                                                                echo '<option  value="' . "OG" . '"selected>' . "Gatepass" . '</option>';


                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . "OG" . '">' . "Gatepass" . '</option>';

                                                            }

                                                        }
                                                        else
                                                        {
                                                            ?>

                                                            <option value="QT">Qoute</option>
                                                            <option value="SO">Order</option>
                                                            <option value="DC">Delivery Challan</option>
                                                            <option value="OG">Gatepass</option>
                                                        <?php } ?>
                                                    </select>
                                                </td>


                                                <td> <div id="loaderc"></div> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Base Voucher ID</label></td>




                                                <td>
                                                    <select style="width:100%;"  name="base_voucher_id" id="base_voucher_id" class="acct_id">

                                                        <?php
                                                        if($add != 'Y') {

                                                            if($base_doc == 'QT') {
                                                                try {
                                                                    $p_query = "SELECT p.voucher_id FROM sl_quote p  ORDER BY p.voucher_id ASC ";

                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                } catch (PDOException $e) {
                                                                    echo "Error : " . $e->getMessage();
                                                                }
                                                            }

                                                            if($base_doc == 'SO')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_order p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }

                                                            if($base_doc == 'DC')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_dc p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }

                                                            if($base_doc == 'OG')
                                                            {
                                                                try
                                                                {
                                                                    $p_query =  "SELECT p.voucher_id FROM sl_gp p  ORDER BY p.voucher_id ASC ";
                                                                    $p_result = $dbcon->prepare($p_query);
                                                                    $p_result->execute(array());
                                                                }
                                                                catch(PDOException $e)
                                                                {
                                                                    echo "Error : ". $e->getMessage();
                                                                }

                                                            }



                                                            while ($p_row = $p_result->fetch(PDO::FETCH_OBJ)) {

                                                                if ($new_base_voucher_id == $p_row->voucher_id) {
                                                                    echo '<option  value="' . $p_row->voucher_id . '"selected>' . $p_row->voucher_id . '</option>';

                                                                } else {
                                                                    echo '<option  value="' . $p_row->voucher_id . '">' . $p_row->voucher_id . '</option>';
                                                                }
                                                            }

                                                        }

                                                        ?>

                                                        <option value=""></option>

                                                    </select>
                                                </td>


                                                <!-- SALE TYPE-->
                                                <td >
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Sale Person</label>
                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT s.acct_id, s.acct_name FROM sp s  ORDER BY s.acct_id ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td>
                                                    <select style="width: 200px"   name="sp_id" id="sp_id" class=" form-control acct_id">

                                                        <option></option>




                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($sp == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>

                                            </tr>


                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">


                                    <table class="table table-bordered table-responsive table-hover addrow_sale" id="addrow">
                                        <thead >
                                        <tr>
                                            <th ><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th  style="text-align: center;">SR</th>
                                            <th  style="text-align: center;">STOCK CODE</th>
                                            <th  style="text-align: center;">ITEM NAME</th>
                                            <!--  <th width="5%" style="text-align: center;">PARTICULARS</th>-->
                                            <th  style="text-align: center;">QTY</th>
                                            <th  style="text-align: center;">RATE</th>
                                            <th style="text-align: center;">STAX</th>
                                            <th  style="text-align: center;">ADD</th>
                                            <th  style="text-align: center;">TOTAL</th>
                                            <th style="text-align: center;">SALE TAX</th>
                                            <th  style="text-align: center;">AMOUNT</th>
                                        </tr>

                                        </thead>




                                        <?php

                                        try
                                        {
                                            $edit_query =  "SELECT
	d.*,

	i.description

FROM
	sl_invoicedet d
LEFT JOIN item i ON d.stock_code = i.stock_code


   WHERE d.voucher_id = ? and d.comp_id = ? AND year_id = ? 
  order by d.lineitem/1";
                                            $resultd = $dbcon->prepare($edit_query);
                                            $resultd->execute(array($v_id, $comp_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        $cnt = 0;
                                        $itemtot = '';
                                        $tot_qty = '';
                                        while($rowd = $resultd->fetch(PDO::FETCH_OBJ))
                                        {
                                            $lineitem = $rowd->lineitem;
                                            $cnt = $lineitem;
                                            $itemtot += $rowd->itemtot;

                                            $tot_qty += $rowd->qty;


                                            ?>

                                            <!----------------------------------------------------------------------------------------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------SALE INVOICE DETAIL EDIT FORM---------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------------------------------------------------------------------------->
                                            <tr class="addrow_sale">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input type="text" data-type="stock_code" name="stock_code[]" class="form-control  autocomplete_txt stock_code" id="stockcode_<?php echo $cnt;?>" value="<?php echo $rowd->stock_code;?>" maxlength="11">
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->description ;?>">
                                                </td>

                                                <!-- PARTICULARS -->

                                                <!-- <td>
                                                <input type="text" class="form-control particulars" name="particulars[]"  id="particulars_<?php /*echo $cnt;*/?>" size="50"  value="<?php /*echo $rowd->particulars;*/?>" />
                                            </td>-->
                                                <input type="hidden" class="form-control available_qty " name="available_qty[]" id="availableqty_<?php echo $cnt;?>" value="<?php echo $o_qty;?>" />

                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="number" class="form-control qty changesNo qty grand_tot_qty" name="qty[]" id="qty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo ($rowd->qty);?>" />
                                                </td>

                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]" id="orate_<?php echo $cnt;?>"  value="<?php echo ($rowd->rate);?>"/>
                                                </td>


                                                <!-- REG SALE TAX -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo staxp" name="staxp[]" id="staxp_<?php echo $cnt;?>" readonly value="<?php echo ($rowd->staxp-$rowd->add_staxp);?>"  />
                                                </td>


                                                <!-- ADD SALE TAX -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo add_staxp" name="add_staxp[]" id="addstaxp_<?php echo $cnt;?>" readonly value="<?php echo ($rowd->add_staxp);?>" />
                                                </td>



                                                <!-- TOTAL SALE TAX RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo total_staxp" name="total_staxp[]" id="totalstaxp_<?php echo $cnt;?>"  readonly value="<?php echo ($rowd->staxp);?>"  />
                                                </td>


                                                <!-- TOTAL SALE TAX AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo stax_rate" name="stax_rate[]" id="staxrate_<?php echo $cnt;?>" readonly value="<?php echo ($rowd->stax);?>"  />
                                                </td>






                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]" id="itemtot_<?php echo $cnt;?>" readonly value="<?php echo ($rowd->itemtot);?>"/>
                                                </td>
                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>



                                        <!----------------------------------------------------------------------------------------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------SALE INVOICE DETAIL ADD FORM---------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------------------------------------------------------------------------->


                                        <?php  $numberofrow = 5; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>

                                            <tr class="addrow_sale">
                                                <!-- CHECKBOX FOR ADD NEW FORM FIELD -->
                                                <td>
                                                    <input class="case" type="checkbox" id="disable_<?php echo $counter;?>"/>
                                                </td>

                                                <!-- LINEITEM -->
                                                <td style="width: 60px;">
                                                    <?php $lineitem += 1;?>
                                                    <input type="text" class="form-control " name="lineitem[]<?php echo $counter;?>"  id="lineitem_1" value="<?php echo $lineitem;?>" readonly  />
                                                </td>

                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input  type="text"  data-type="stock_code" name="stock_code[]"  class="form-control   autocomplete_txt stock_code" id="stockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off" maxlength="11" autofocus >
                                                </td>

                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" autocomplete="off"  size="30">
                                                </td>

                                                <!-- PARTICULARS -->

                                                <!-- <td>
                                                <input type="text" class="form-control particulars"  name="particulars[]<?php /*echo $counter;*/?>"  id="particulars" size="50" />
                                            </td>
                                            <input type="hidden" class="form-control available_qty " name="available_qty[]<?php /*echo $counter;*/?>" id="availableqty_<?php /*if($add == "Y") {
                                                echo $counter;
                                            }

                                            else
                                            {
                                                echo $lineitem;
                                            }
                                            */?>" />-->

                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="number"  class="form-control qty  changesNo qty grand_tot_qty" name="qty[]<?php echo $counter;?>" id="qty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>

                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]<?php echo $counter;?>" id="orate_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  />
                                                </td>


                                                <!-- REG SALE TAX -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo staxp" name="staxp[]<?php echo $counter;?>" id="staxp_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly  />
                                                </td>


                                                <!-- ADD SALE TAX -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo add_staxp" name="add_staxp[]<?php echo $counter;?>" id="addstaxp_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  readonly />
                                                </td>



                                                <!-- TOTAL SALE TAX RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo total_staxp" name="total_staxp[]<?php echo $counter;?>" id="totalstaxp_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly  />
                                                </td>


                                                <!-- TOTAL SALE TAX AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo stax_rate" name="stax_rate[]<?php echo $counter;?>" id="staxrate_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  readonly  />
                                                </td>







                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]<?php echo $counter;?>" id="itemtot_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly />
                                                </td>
                                            </tr>
                                        <?php } ?>


                                        <thead>
                                        <tr>




                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td   align="right" >

                                                <input type="text" class="form-control  grandtot_qty" name="grandtot_qty" id="grandtot_qty" autocomplete="off"  readonly value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_qty'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_qty'] = $tot_qty;
                                                }

                                                echo round($_SESSION['tot_qty']);?>" style="  font-weight: bold;" /></td>


                                            <td >

                                            </td>



                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td   align="right">
                                                <input type="text" class="form-control  stax " name="stax" id="stax" autocomplete="off" readonly   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['stax'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['stax'] = $stax;
                                                }

                                                echo round($_SESSION['stax']);?>" style="  font-weight: bold;" />
                                            </td>


                                            <td   align="right">
                                                <input type="text" class="form-control  grandtot " name="grandtot" id="grandtot" autocomplete="off" readonly   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['itemtot'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['itemtot'] = $itemtot;
                                                }

                                                echo round($_SESSION['itemtot']);?>" style="  font-weight: bold;" />
                                            </td>



                                        </tr>























                                        <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td align="right">
                                                <b>Discount %</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  discp_m" name="discp_m" id="discp_m" value="<?php echo round($discp_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"/>
                                            </td>
                                            <td align="right">
                                                <b>Amount</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  disc_amt_m" name="disc_amt_m" id="disc_amt_m" value="<?php echo round($disc_amt_m); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" />
                                            </td>
                                        </tr>


                                        <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Bill Amount</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  net_amt" name="net_amt" id="net_amt" value="<?php echo round($net_amt); ?>" autocomplete="off"  onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" readonly/>
                                            </td>
                                        </tr>









                                        <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Advance</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  adv_amt" name="adv_amt" id="adv_amt" value="<?php echo round($adv_amt); ?>" autocomplete="off"  />
                                            </td>
                                        </tr>



                                        <tr>


                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Total</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  invoice_tot" name="invoice_tot" id="invoice_tot" value="<?php echo round($net_payable); ?>" autocomplete="off"  readonly  />
                                            </td>
                                        </tr>


                                        <tr>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Customer Cash</b>
                                            </td>
                                            <td width="10%">
                                                <input type="text" class="form-control  customer_cash" name="customer_cash" id="customer_cash" autocomplete="off" value="<?php echo $customer_cash;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;"/>
                                            </td>
                                        </tr>

                                        <tr>

                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td align="right">
                                                <b>Return Cash</b>
                                            </td>
                                            <td style="width: 1000px;" >
                                                <input type="text" class="form-control  invoice_tot" name="return_cash" id="return_cash" autocomplete="off"  readonly value="<?php echo $return_cash;?>" />
                                            </td>
                                        </tr>




                                        </thead>

                                    </table>



                                    <div class='row'>
                                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-3'>
                                            <?php
                                            if($add == 'Y')
                                            {
                                                ?>
                                                <button class="btn btn-danger delete_sale" type="button">- Delete</button>
                                            <?php }


                                            ?>
                                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>


                                        </div>
                                    </div>


                </form>


                <div id="view-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none; ">
                    <div class="modal-dialog">
                        <div class="modal-content">

                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                <h4 class="modal-title">
                                    <i class="glyphicon glyphicon-info-sign"></i> LOCATION CURRENT STOCK
                                </h4>
                            </div>

                            <div class="table-responsive">
                                <div class="modal-body" >

                                    <div id="modal-loader" style="display: none; text-align: center;">
                                        <img src="images/ajax-loader.gif">
                                    </div>

                                    <!-- content will be load here -->
                                    <div id="dynamic-content"></div>

                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            </div>

                        </div>
                    </div>
                </div><!-- /.modal -->






            </div>

        </div>
    </div>
    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>


    <!---------------------------START JAVASCRIPT-------------------------------->
    <script type="text/javascript">

        //autocomplete script sale invoice select stock code
        $(document).on('focus','.autocomplete_txt',function(){
            type = $(this).data('type');

            if(type =='stock_code' )autoTypeNo=0;
            if(type =='description' )autoTypeNo=1;


            $(this).autocomplete({
                source: function( request, response ) {
                    $.ajax({
                        url : 'agm_select_stock.php',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function( data ) {
                            response( $.map( data, function( item ) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data : item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 1,

                select: function( event, ui ) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    $('#stockcode_'+id[1]).val(names[0]);
                    $('#description_'+id[1]).val(names[1]);
                    $('#orate_'+id[1]).val(names[2]);
                    $('#staxp_'+id[1]).val(names[3]);

                    s_rate =  $('#orate_'+id[1]).val();
                    s_qty =  $('#qty_'+id[1]).val(1);
                    staxp = $('#staxp_'+id[1]).val();




                    var stax_no = $('#stax_no').val();
                    var ntn = $('#ntn').val();

                    if(stax_no == "")
                    {
                        if(staxp == 0)
                        {
                            $('#addstaxp_'+id[1]).val(0);

                        }
                        else
                        {
                            $('#addstaxp_'+id[1]).val(3);
                        }




                        addstaxp =  $('#addstaxp_'+id[1]).val();

                        var total_taxp = $('#totalstaxp_'+id[1]).val( parseFloat(staxp) + parseFloat(addstaxp));



                        tot_qty =  $('#qty_'+id[1]).val();


                        $('#staxrate_'+id[1]).val( parseFloat(s_rate)*parseFloat(tot_qty) *  (parseFloat(staxp) + parseFloat(addstaxp)) / 100   );

                        sale_taz_final = $('#staxrate_'+id[1]).val();

                        $('#itemtot_'+id[1]).val( parseFloat(s_rate) + parseFloat(sale_taz_final) );


                    }
                    else
                    {
                        addstaxp =  $('#addstaxp_'+id[1]).val('');

                        $('#totalstaxp_'+id[1]).val( parseFloat(staxp));

                        tot_qty =  $('#qty_'+id[1]).val();


                        $('#staxrate_'+id[1]).val( parseFloat(s_rate)*parseFloat(tot_qty) *  parseFloat(staxp) / 100   );

                        sale_taz_final = $('#staxrate_'+id[1]).val();

                        $('#itemtot_'+id[1]).val( parseFloat(s_rate) + parseFloat(sale_taz_final) );


                    }


                    refresh_tot();

                }
            });

        });


        function refresh_tot() {
            calculateTotal();
            calculateTotal_qty();
            calculateInvoiceTotal();
            calculateNetAmount();
            calculateStax_tot();
        }




        function sale_invoice_add()
        {

            //declare variables master form
            var v_date = $('#v_date').val();
            var v_id = $('#v_id').val();
            var acct_id = $('#acct_id').val();
            var customer_name = $('#customer_name').val();
            var customer_phone = $('#customer_phone').val();
            var customer_cash = $('#customer_cash').val();
            var return_cash = $('#return_cash').val();
            var sp = $('#sp_id').val();

            //declare variables detail form
            var stock_code = $('#stockcode_1').val();







            var particulars = $('#particulars').val();
            var qty = $('#qty_1').val();
            var rate = $('#rate').val();
            var discp = $('#discp').val();
            var itemtot = $('#itemtot').val();
            var grand_tot = $('#grandtot').val();





            //check condition
            if(v_date == "")
            {
                alert("Please Enter Date");
                $('#v_date').focus();
            }

            else if(acct_id == "")
            {
                alert("Please Select Party");
                $('#acct_id').focus();
            }



            else if(acct_id == "Select Sale Type")
            {
                alert("Please Select Sale Type");
                $('#acct_id').focus();
            }


            /* else if(sp == "Select SalePerson")
             {
             alert("Please Select Sale Person");
             $('#sp_id').focus();
             }*/


            else if(stock_code == "")
            {
                alert("Please Select Stock Code");
                $('#stockcode_1').focus();
            }






            else if(qty == "" || qty == '0' )
            {
                alert("Please Enter Quantity");
                $('#qty_1').focus();
            }

            else if(rate == "")
            {
                alert("Please Enter Rate");
                $('#rate').focus();
            }








            else
            {
                var formdata = $('#sale_invoice').serializeArray();

                $.ajax({
                    type:"POST",
                    url:"process/sk_sale_inv_process.php",
                    data:$.param(formdata),
                    beforeSend: function()
                    {
                        $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                    },
                    success: function(result)
                    {
                       //alert(result);
                        //alert('Voucher has been successfully submitted.');
                        //window.location = "sl_inv_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"

                        window.location = "sk_sl_inv_detail?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>";

                    }


                });
                $('#savedata').addClass("disabled");
            }




        }


        $(document).on('change', '#check_all', function () {
            $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
        });



        //delete the selected table row

        $(".delete_sale").on('click', function () {
            $('.case:checkbox:checked').parents("tr").remove();
            $("#check_all").prop("checked", false);

            refresh_tot();
        });







        //add table rows

        var i = $('.addrow_sale').length;



        $(".addmore_sale").on('click',function(){

            html = '<tr>';
            html += '<td><input class="case" type="checkbox"/></td>';
            html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
            html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
            html += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';
            html += '<input type="hidden" name="available_qty[]" id="availableqty_'+i+'" class="form-control available_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;">';
            html += '<td><input type="number" name="qty[]" id="qty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="rate[]" id="orate_'+i+'" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="staxp[]" id="staxp_'+i+'" class="form-control  changesNo staxp" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
            html += '<td><input type="text" name="add_staxp[]" id="addstaxp_'+i+'" class="form-control  changesNo add_staxp" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
            html += '<td><input type="text" name="total_staxp[]" id="totalstaxp_'+i+'" class="form-control  changesNo total_staxp" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
            html += '<td><input type="text" name="stax_rate[]" id="staxrate_'+i+'" class="form-control  changesNo stax_rate" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
            html += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';

            html += '</tr>';
            $('#addrow').append(html);
            i++;
        });


        //date picker
        $('#v_date').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true
        });


        //dropdown with search
        $(".acct_id").select2();


        //price change
        $(document).on('change keyup blur','.changesNo',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");
            avqty = $('#availableqty_' + id[1]).val();
            qty = $('#qty_' + id[1]).val();
            orate = $('#orate_' + id[1]).val();
            s_rate =  $('#orate_'+id[1]).val();
            s_qty =  $('#qty_'+id[1]).val();
            staxp = $('#staxp_'+id[1]).val();



            var stax_no = $('#stax_no').val();

            if(stax_no == "")
            {

                if(staxp == 0)
                {
                    $('#addstaxp_'+id[1]).val(0);

                }
                else
                {
                    $('#addstaxp_'+id[1]).val(3);
                }


                //$('#addstaxp_'+id[1]).val(3);

                addstaxp =  $('#addstaxp_'+id[1]).val();

                var total_taxp = $('#totalstaxp_'+id[1]).val( parseFloat(staxp) + parseFloat(addstaxp));



                tot_qty =  $('#qty_'+id[1]).val();


                $('#staxrate_'+id[1]).val( parseFloat(tot_qty)*parseFloat(s_rate) *  (parseFloat(staxp) + parseFloat(addstaxp)) / 100   );

                sale_taz_final = $('#staxrate_'+id[1]).val();
                var rate = parseFloat(tot_qty)*parseFloat(s_rate);

                $('#itemtot_'+id[1]).val( parseFloat(rate) + parseFloat(sale_taz_final) );


            }
            else
            {
                $('#totalstaxp_'+id[1]).val( parseFloat(staxp));

                tot_qty =  $('#qty_'+id[1]).val();


                $('#staxrate_'+id[1]).val( parseFloat(s_rate)*parseFloat(tot_qty) *  parseFloat(staxp) / 100   );

                sale_taz_final = $('#staxrate_'+id[1]).val();

                $('#itemtot_'+id[1]).val( (parseFloat(orate) * parseFloat(tot_qty)) +  (parseFloat(sale_taz_final)) );


            }
            refresh_tot();


        });
        //total price calculation
        function calculateTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '')grandtot += parseFloat($(this).val());
            });
            $('#grandtot').val(grandtot);
            itemtot += grandtot;
            var grand_tot = $('#grandtot').val();

            var freight_tot = $('#freight').val();
            var inv_tot = parseFloat(grand_tot) - parseFloat(freight_tot);
            $('#invoice_tot').val(inv_tot);


        }




        function calculateStax_tot() {
            grandtot = 0;
            itemtot = 0;
            $('.stax_rate').each(function () {
                if ($(this).val() != '')grandtot += parseFloat($(this).val());
            });
            $('#stax').val(grandtot);
            itemtot += grandtot;


         /*   var freight_tot = $('#freight').val();

            if(freight_tot != '') {
                var grand_tot = $('#grandtot').val();
                var inv_tot = parseFloat(grand_tot) - parseFloat(freight_tot);
                $('#invoice_tot').val(inv_tot);
            }
*/



        }




        //total pqty calculation
        function calculateTotal_qty() {
            grandtot_qty = 0;
            qty = 0;
            $('.grand_tot_qty').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_qty').val(grandtot_qty);
            qty += grandtot_qty;
        }





        /*****************START DISCOUNT PERCENTAGE**************/
        $(document).on('change keyup blur', '.changesdiscp', function () {
            grandtot = $('#grandtot').val();
            qty = $('#qty_' + id[1]).val();
            orate = $('#orate_' + id[1]).val();
            discp = $('#discp_' + id[1]).val();


            $('#itemtot_'+id[1]).val( parseFloat(orate)*parseFloat(qty) * (1 - discp / 100) );




        });
        /*****************END DISCOUNT PERCENTAGE**************/







        /****************START NET AMOUNT AFTER DISCOUNT****************/
        function calculateNetAmount() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '') grandtot += parseFloat($(this).val());
            });
            $('#net_amt').val(grandtot);
            itemtot += grandtot;
        }
        /****************END NET AMOUNT AFTER DISCOUNT****************/



        /****************START INVOICE TOTAL****************/
        function calculateInvoiceTotal() {

            grandtott = 0;
            itemtott = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '') grandtott += parseFloat($(this).val());
            });

            $('#invoice_tot').val(grandtott);
            itemtott += grandtott;




        }
        /****************END INVOICE TOTAL****************/





        /*****************START MASTER SERVICE  PERCENTAGE**************/
        $(document).on('change keyup blur', '#servicep', function () {
            grandtot = $('#grandtot').val();
            servicep = $('#servicep').val();

            $('#net_amt').val(Math.round(parseFloat(grandtot) * (1 + servicep / 100)));
            $('#invoice_tot').val(Math.round(parseFloat(grandtot) * (1 + servicep / 100)));
            $('#service').val(Math.round(parseFloat(grandtot)* servicep / 100)  );

        });
        /*****************END MASTER SERVICE  PERCENTAGE**************/


        /*****************START MASTER SERVICE AMOUNT MANNUL TYPE PERCENTAGE**************/
        $(document).on('change keyup blur', '#service', function () {
            grandtot = $('#grandtot').val();
            service = $('#service').val();

            $('#net_amt').val(parseFloat(grandtot) + parseFloat(service));
            $('#invoice_tot').val(parseFloat(grandtot) + parseFloat(service));

        });
        /*****************END MASTER SERVICE AMOUNT MANNUL TYPE PERCENTAGE**************/




        /*****************START MASTER DISCOUNT PERCENTAGE**************/
        $(document).on('change keyup blur', '#discp_m', function () {
            grandtot = $('#grandtot').val();
            discp_m = $('#discp_m').val();
            net_amt = $('#net_amt').val();


            $('#net_amt').val(parseFloat(grandtot) * (1 - discp_m / 100));

            $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));

            $('#disc_amt_m').val( (parseFloat(grandtot)* discp_m) / 100  );

        });
        /*****************END MASTER DISCOUNT PERCENTAGE**************/


        /*****************START MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/
        $(document).on('change keyup blur', '#disc_amt_m', function () {
            grandtot = $('#grandtot').val();
            disc_amt_m = $('#disc_amt_m').val();
            service = $('#service').val();

            if(service == '') {

                $('#net_amt').val((parseFloat(grandtot)) - (parseFloat(disc_amt_m)));
                $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m));
            }
            else
            {
                $('#net_amt').val(parseFloat(grandtot ) - parseFloat(disc_amt_m) + parseFloat(service ));
                $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(service ));

            }

        });
        /*****************END MASTER DISCOUNT AMOUNT MANNUL TYPE PERCENTAGE**************/




        /*****************START FREIGHT AMOUNT*************/
        $(document).on('change keyup blur', '#dc_amt', function () {
            grandtot = $('#grandtot').val();
            dc_amt = $('#dc_amt').val();
            disc_amt_m = $('#disc_amt_m').val();


            if(disc_amt_m == '')
            {
                $('#net_amt').val(parseFloat(grandtot) + parseFloat(dc_amt));
                $('#invoice_tot').val(parseFloat(grandtot) + parseFloat(dc_amt));
            }
            else
            {
                $('#net_amt').val(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt));
                $('#invoice_tot').val(parseFloat(grandtot) - parseFloat(disc_amt_m) + parseFloat(dc_amt));
            }




        });
        /*****************END FREIGHT AMOUNT*************/







        /*****************START MASTER DISCOUNT PERCENTAGE**************/
        /*$(document).on('change keyup blur', '#discp_m', function () {
         grandtot = $('#grandtot').val();
         discp_m = $('#discp_m').val();
         adv_amt = $('#adv_amt').val();

         if ($('#adv_amt').val() != '') {
         $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100) - parseFloat(adv_amt));
         }
         else
         {
         $('#invoice_tot').val(parseFloat(grandtot) * (1 - discp_m / 100));
         }

         });*/
        /*****************END MASTER DISCOUNT PERCENTAGE**************/



        /*****************START ADVANCE AMOUNT**************/
        $(document).on('change keyup blur', '#adv_amt', function () {
            grandtot = $('#grandtot').val();
            adv_amt = $('#adv_amt').val();
            discp_m = $('#discp_m').val();
            net_amt = $('#net_amt').val();

            disc_amt_m = $('#disc_amt_m').val();


            // $('#invoice_tot').val(Math.round(parseFloat(net_amt) * (1 - discp_m / 100) - parseFloat(adv_amt)) );

            $('#invoice_tot').val(Math.round(parseFloat(net_amt)  - parseFloat(adv_amt)) );




        });
        /*****************END ADVANCE AMOUNT**************/
















        //It restrict the non-numbers
        var specialKeys = new Array();
        specialKeys.push(8, 46); //Backspace
        function IsNumeric(e) {
            var keyCode = e.which ? e.which : e.keyCode;
            console.log(keyCode);
            var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
            return ret;
        }


        //stop backspace
        $(document).keydown(function (e) {
            var element = e.target.nodeName.toLowerCase();
            if (element != 'input' && element != 'textarea') {
                if (e.keyCode === 8) {
                    return false;
                }
            }
        });






        /*****************************START ON CHANGE DATA CHANGE*******************/




                $(document).on('change keyup blur','.acct_id_change',function() {

                var party_id = $('#acct_id').val();

                var action = 'gen_id';


                var dataString = 'party_id=' + party_id + '&action=' + action;
                $.ajax({
                    type: "POST",
                    url: "ajax/generate_voucher_id.php",
                    data: dataString,
                    success: function (data, status) {



                        // PARSE json data
                        var user = JSON.parse(data);
                        // Assing existing values to the modal popup fields
                        $("#ntn").val(user.ntn);

                        $("#stax_no").val(user.stax_no);


                    }

                });


            });


        /*****************************START ON CHANGE DATA CHANGE*******************/







        //LOAD DROP DOWN WITH BASE DOC VOUCHER ID
        $('#base_doc').change(function(){
            var base_doc = $('#base_doc').val();


            var datasend = 'base_doc='+base_doc ;

            $('#loaderc').fadeIn(400).html('<img src="images/pageloader/images/loader1.gif" align="absmiddle">');

            $.ajax({

                type:"POST",
                data:datasend,
                url:'ajax/select_base_voucher_id.php',
                cache:false,
                success:function(msg){

                    //alert(msg);

                    $('#base_voucher_id').html(msg);

                    $('#loaderc').fadeOut("slow");

                }

            });




        });




        /**********************START AUTO LOAD ITEM LIST**********************/
        $("#base_voucher_id").on("change", function() {

            var base_doc =  $("#base_doc").val();

            var base_voucher_id =  $("#base_voucher_id").val();

            var action  = 'voucher_load';


            var dataString = 'base_doc=' + base_doc +  '&base_voucher_id=' + base_voucher_id + '&action=' + action ;



            $.ajax({
                type: "POST",
                data: dataString,
                url: "ajax/get_sale_quote_voucher.php",
                dataType: "json",
                success: function(JSONObject) {
                    var peopleHTML = "";

                    // Loop through Object and create peopleHTML
                    var i = 1;

                    for (var key in JSONObject) {
                        if (JSONObject.hasOwnProperty(key)) {
                            //$("#v_date").val(JSONObject[key]["voucher_date"]);




                            $("#acct_id").val(JSONObject[key]["acct_id"]);
                            $("#ntn").val(JSONObject[key]["ntn"]);
                            $("#stax_no").val(JSONObject[key]["stax_no"]);
                            $("#inv_no").val(JSONObject[key]["bill_no"]);

                            $("#net_amt").val(JSONObject[key]["itemtot"]);
                            $("#adv_amt").val(JSONObject[key]["adv_amt"]);
                            $("#invoice_tot").val(JSONObject[key]["itemtot"]);

                            $("#grandtot_qty").val(JSONObject[key]["q_tot"]);

                            $("#stax").val(JSONObject[key]["tot_stax_rate"]);

                            $("#grandtot").val(JSONObject[key]["itemtot"]);




                            peopleHTML += '<tr class="addrow_sale">';
                            peopleHTML += '<td><input class="case" type="checkbox"/></td>';
                            peopleHTML += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+JSONObject[key]["lineitem"]+'"/></td>';
                            peopleHTML += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" value="'+JSONObject[key]["stock_code"]+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
                            peopleHTML += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" value="'+JSONObject[key]["stock_name"]+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';
                            peopleHTML += '<td><input type="number" name="qty[]" id="qty_'+i+'" value="'+JSONObject[key]["qty"]+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                            peopleHTML += '<td><input type="text" name="rate[]" id="orate_'+i+'" value="'+JSONObject[key]["rate"]+'" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
                            peopleHTML += '<td><input type="text" name="staxp[]" id="staxp_'+i+'" value="'+JSONObject[key]["staxp"]+'" class="form-control  changesNo staxp" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                            peopleHTML += '<td><input type="text" name="add_staxp[]" id="addstaxp_'+i+'"  value="'+JSONObject[key]["add_staxp"]+'" class="form-control  changesNo add_staxp" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                            peopleHTML += '<td><input type="text" name="total_staxp[]" id="totalstaxp_'+i+'"  value="'+JSONObject[key]["total_taxp"]+'" class="form-control  changesNo total_staxp" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                            peopleHTML += '<td><input type="text" name="stax_rate[]" id="staxrate_'+i+'"  value="'+JSONObject[key]["stax_rate"]+'" class="form-control  changesNo stax_rate" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
                            peopleHTML += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" value="'+JSONObject[key]["item_tot"]+'" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';


                            peopleHTML += '</tr>';
                            i++;


                        }
                    }

                    // Replace table’s tbody html with peopleHTML
                    $("#addrow tbody").html(peopleHTML);
                    $('.remove_acct_id').select2('destroy')

                }
            });
        });
        /**********************END AUTO LOAD ITEM LIST**********************/





        //customer cash calculate
        $(document).on('change keyup blur', '#customer_cash', function () {

            grandtot = $('#invoice_tot').val();
            customer_cash = $('#customer_cash').val();
            //cust_bal = $('#cust_bal').val();
            //invoice_tot = $('#invoice_tot').val();


            $('#return_cash').val(Math.round(parseFloat(customer_cash) - parseFloat(grandtot)));






        });




    </script>
    <!---------------------------START JAVASCRIPT-------------------------------->










</body>
</html>