<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}

/*****************START VARIABLES*************************/
$emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');
$voucher_type = 'SO';
$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'") . '?menu_id=' . $menu_id;
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

$v_id = clean_data($_GET['v_id']);
$_SESSION['v_id']= $v_id;
/*****************END VARIABLES*************************/
$insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
$update_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
$delete_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");

$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");

$date_close = find_value("v_system", 'date_close', '');



?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Sale Order Detail | <?php echo $title;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
    <link type="text/css" rel="stylesheet" href="css/custom.css">
</head>
<body class="sidebar-icons">



<a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



<!--BEGIN TOPBAR-->
<?php include ('header.php'); ?>
<!--END TOPBAR-->


<!----------START WRAPPER--------->
<div id="wrapper">


    <!--BEGIN SIDEBAR MENU-->
    <?php include('left.php'); ?>
    <!--END SIDEBAR MENU-->

    <?php


    /*****************START MYSQL MASTER TABLE QUERY*************************/
    $and = '';

    $and .= " AND m.voucher_id = '$v_id'";
    $and .= " and m.comp_id = '$comp_id'";
    $and .= " and m.year_id = '$year_id'";

    try
    {
        $sl_detail_query =  "SELECT
	m.voucher_id,
       m.acct_id,
	m.voucher_date,
	m.comp_id,
	m.year_id,
	p.acct_name,
	m.customer_name,
	m.customer_phone,
	m.bill_no,
	s.acct_name sp_name,
	m.discount_voucher_no,

	m.customer_cash,
	m.return_cash,
	m.acct_id,
	m.discp,
	m.net_amt,
	m.adv_amt,
	m.disc_amt,
	m.net_payable,
	m.dc_amt,
	p.acct_id,
	m.order_id, 
	m.emp_id,
	m.base_doc,
	m.base_voucher_id,
	concat(if(i.base_doc='SO',i.comp_id,dc.comp_id),'-',if(i.base_doc='SO',i.year_id,dc.year_id),'-',if(i.base_doc='SO',i.voucher_id,dc.voucher_id)) invoice_id,
	m.posted,
    m.order_status,
       l.loc_name
FROM sl_order m
LEFT JOIN sl_orderdet d ON m.voucher_id = d.voucher_id AND m.comp_id = d.comp_id AND m.year_id = d.year_id
LEFT JOIN sl_dc dc ON concat(m.comp_id, m.year_id, m.voucher_id) = dc.base_voucher_id
LEFT JOIN sl_invoice i ON concat(m.comp_id, m.year_id, m.voucher_id) = i.base_voucher_id
LEFT JOIN v_party p ON m.acct_id = p.acct_id
LEFT JOIN sp s ON s.acct_id = m.sp_id
LEFT JOIN location l on m.loc_id = l.loc_id

WHERE 1=1  $and";

//echo $sl_detail_query;

        $sl_detail_result = $dbcon->prepare($sl_detail_query);
        $sl_detail_result->execute();
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }


    $detail_row = $sl_detail_result->fetch(PDO::FETCH_OBJ);

    $v_emp_id = $detail_row->emp_id;

    $find_acct_id = $detail_row->acct_id;

    $voucher_date = $detail_row->voucher_date;
    $posted = $detail_row->posted;
    $invoice_id = $detail_row->invoice_id;
    $year_id = $detail_row->year_id;
    $order_status = $detail_row->order_status;
    /*****************END MYSQL MASTER TABLE QUERY*************************/
    ?>
    <!---------------START PAGE WRAPPER----------------->
    <div id="page-wrapper">
        <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
            <div class="page-header pull-left">
                <div class="page-title">Sale Order</div>
            </div>
            <ol class="breadcrumb page-breadcrumb pull-right">
                <li><i class="fa fa-home"></i>&nbsp;<a href="index">Dashboard</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                <li><a href="show_sl_order?menu_id=<?php echo $menu_id;?>">Sale Order List</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                <li class="active">Sale Order Detail</li>
            </ol>
            <div class="clearfix"></div>
        </div>
        <!--END TITLE & BREADCRUMB PAGE-->


        <!---------------START PAGE CONTENT----------------->
        <div class="page-content">
            <div class="panel">
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-4">
            <!--------------START ADD NEW BUTTON---------------->
            <?php
            if(!empty($insert_allowed) or ($auth_id == '9' ))
            {
                ?>
                <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="Y">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                        <i class="icon-user icon-white"></i>
                    </button>
                </form>
            <?php } ?>
            <!--------------END ADD NEW BUTTON---------------->

            <!--------------START EDIT  BUTTON---------------->
            <?php
            if ($posted != 'on' && ( ($emp_id == $v_emp_id || $auth_id == '8') && ($voucher_date > $date_close) && !empty($update_allowed) || ($auth_id == '9'))) {
                ?>
                <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                    <input type="hidden" name="add" value="N">
                    <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                    <input type="hidden" name="v_id" value="<?php echo $detail_row->voucher_id;?>">
                    <input type="hidden" name="comp_id" value="<?php echo $comp_id;?>">
                    <input type="hidden" name="year_id" value="<?php echo $year_id;?>">
                    <input type="submit" class="btn  waves-effect waves-light" value="Edit">
                </form>
            <?php }
            ?>
            <!--------------END EDIT BUTTON---------------->

            <!--------------START POST BUTTON---------------->


            <?php
            $label = 'Post';
            if ($posted == 'on') {
                $label = 'Un-Post';
            }



            if ( ($voucher_date > $date_close) || $auth_id == '9' ) {

                ?>
                <input type="hidden" value="<?php echo $comp_id;?>" name="comp_id" id="comp_id">
                <input type="hidden" value="<?php echo $year_id;?>" name="year_id" id="year_id">
                <input type="hidden" value="<?php echo $posted;?>" name="post" id="post">
                <input type="hidden" value="<?php echo $table;?>" name="table" id="table">
                <button type="button" class="btn btn-success" onClick="post_sale_invoice()"><?php echo $label; ?> <i class="zmdi zmdi-check"></i>
                </button>
                <?php
            }

            ?>
            <!--------------END POST BUTTON---------------->

            <!--------------START DELETE VOUCHER BUTTON---------------->
            <?php
            if ($posted != 'on' && ((!empty($delete_allowed)) && ($voucher_date > $date_close) || ($auth_id == '9'))) {
                ?>
                <button type="button" class="btn btn-danger" onClick="delete_voucher('<?php echo $v_id;?>','<?php echo $comp_id;?>','<?php echo $year_id;?>','<?php echo $table;?>')">Delete<i class="zmdi zmdi-delete"></i></button>
            <?php }
            ?>
            <!--------------END DELETE VOUCHER BUTTON---------------->

            <?php
            if($posted == 'on'){
                $detail = find_value("menu", "menu_print", " and menu_id='$menu_id'");
                ?>
                <!--------------START PRINT PDF BUTTON---------------->
                <a href="<?php echo $detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>" target="_blank"><button class="btn btn-default"><u>P</u>RINT <i class="zmdi zmdi-print"></i></button></a>
                <!--------------END PRINT PDF BUTTON---------------->
            <?php } ?>




                        </div>


                    <!----------------------------Start Send To Mill Check Box------------------->


                        <?php
                        if($posted == 'on'){
                        $detail = find_value("menu", "menu_print", " and menu_id='$menu_id'");
                        ?>
                        <div class="col-lg-3">
                            <select class="form-control order_status" name="order_status" id="order_status">
                                <option value="" >Select Send To Mill Status</option>
                                <option <?php if($order_status == 'WIP') echo 'selected' ;?>  value="WIP">Yes</option>
                                <option <?php if($order_status == 'Pending') echo 'selected';?>  value="Pending">No</option>
                            </select>
                        </div>
                        <?php } ?>


                        <?php
                        if($posted == 'on'){

                            $detail = 'pdf_sl_order_print_mill'
                            ?>
                            <!--------------START PRINT PDF BUTTON---------------->
                            <a href="<?php echo $detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>" target="_blank"><button class="btn btn-dark" id="btn_print">Send To Mill Print</button></a>
                            <!--------------END PRINT PDF BUTTON---------------->
                        <?php } ?>













                    </div>




                    <!----------------------------Start Send To Mill Check Box------------------->



                    <br clear="all"><br clear="all">


            <!-------------START MASTER TABLE---------------->

            <div class="table-responsive">
                <table class="table dt-responsive table-striped table-bordered nowrap">
                    <thead>
                    <tr>
                        <th>Date:</th>
                        <td>
                            <?php echo format_date($detail_row->voucher_date);
                            $_SESSION['sl_voucher_date'] = $detail_row->voucher_date;
                            ?>
                        </td>

                        <th>Voucher ID:</th>
                        <td><?php echo $detail_row->voucher_id;

                            $_SESSION['party_acct_id'] = $detail_row->acct_id;

                            ?></td>

                        <th>Account Name:</th>
                        <td><?php echo $detail_row->acct_name; ?></td>
                    </tr>

                    <tr>
                        <th>Customer Name:</th>
                        <td><?php echo $detail_row->customer_name; ?></td>
                        <th>Customer Phone:</th>
                        <td><?php echo $detail_row->customer_phone; ?></td>
                        <th>Invoice ID:</th>
                        <td><?php echo $detail_row->invoice_id; ?></td>
                    </tr>

                    <tr>
                        <th>Base Voucher Type:</th>
                        <td><?php echo $detail_row->base_doc; ?></td>
                        <th>Base Voucher ID:</th>
                        <td><?php echo $detail_row->base_voucher_id; ?></td>
                        <td>Status</td>
                        <td><?php echo $detail_row->order_status; ?></td>
                    </tr>
                    <tr>
                        <th>Location:</th>
                        <td><?php echo $detail_row->loc_name; ?></td>

                        <?php
                        if($posted == 'on' && $order_status == 'WIP'){
                        ?>
                        <th>Supplier</th>
                        <td>
                            <?php
                            try
                            {
                                $p_query =  "SELECT p.acct_id, p.acct_name FROM v_party p  ORDER BY p.acct_id ASC ";

                                $p_result = $dbcon->prepare($p_query);
                                $p_result->execute(array('0001',  '0019'));
                            }
                            catch(PDOException $e)
                            {
                                echo "Error : ". $e->getMessage();
                            }

                            ?>


                            <select style="width:100%;"  name="acct_id" id="acct_id" class="acct_idd">


                                <option value="">Select Supplier</option>


                                <?php
                                while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                {


                                    echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';

                                }
                                ?>
                            </select>
                        </td>

                        <th>Create Purchase Order:</th>
                        <td>




                                <button class="btn btn-success pull-right"  id="gen_premium_inv">Create Purchase Order</button>


                        </td>

                        <?php } ?>

                    </tr>

                    </thead>

                </table>
            </div>

            <!-------------END MASTER TABLE---------------->

            <table id="advanced-table" class="table dt-responsive table-striped table-bordered nowrap">
                <thead>
                <tr>
                    <th>SR NO.</th>
                    <th>STOCK CODE</th>
                    <th>DESCRIPTION</th>
                    <th>PARTICULARS</th>
                    <th>QTY</th>
                    <th>RATE</th>
                    <th>DISCOUNT%</th>
                    <th>DISC AMOUNT</th>
                    <th>AMOUNT</th>
                    <?php if($posted != 'on')
                    {
                        ?>
                        <th>DELETE</th>
                    <?php }
                    else {
                        ?>
                    <?php } ?>
                </tr>
                </thead>

                <tbody>
                <?php
                //sale invoice detail query
                $and = '';

                $and .= " AND d.voucher_id = '$v_id'";
                $and .= " and d.comp_id = '$comp_id' ";
                $and .= " and d.year_id = '$year_id' ";



                try
                {
                    $sl_d_query =  "SELECT
                                    d.stock_code,
                                    d.particulars,
                                    d.qty,
                                    d.rate,
                                    d.voucher_id,
                                    i.description,
                                    d.itemtot,
                                    d.lineitem,
                                    c.comp_name,
                                    d.comp_id,
                                    d.discp,
                                    d.lineitem,
                                    d.discount,
                                    d.sharing,
                                    d.avg_rate,
                                    d.disc_amt
                                  
                                  
                                    FROM sl_order m 
                                    LEFT JOIN sl_orderdet d ON m.voucher_id = d.voucher_id and m.comp_id = d.comp_id AND m.year_id = d.year_id
                                    LEFT JOIN item i ON d.stock_code = i.stock_code
                                    LEFT JOIN company c ON c.comp_id = m.comp_id
                                   
                                    
                                    WHERE 1=1 $and ORDER BY d.lineitem/1";
                    $sl_d_result = $dbcon->prepare($sl_d_query);
                    $sl_d_result->execute(array());
                }
                catch(PDOException $e)
                {
                    echo "Error : ". $e->getMessage();
                }

                $srno = 0;
                $qty_tot =0;
                $amount_tot = 0;
                $rate_tot= 0;
                $disc_tot = 0;

                $tot_sharing_amount = "";

                while($d_row = $sl_d_result->fetch(PDO::FETCH_OBJ))
                {
                    $srno += 1;
                    $v = $d_row->voucher_id;

                    $qty_tot += $d_row->qty;
                    $rate_tot += $d_row->rate;
                    $disc_tot += $d_row->discp;
                    $amount_tot += $d_row->itemtot;

                    $_SESSION['avg_rate'] = $d_row->avg_rate;
                    ?>
                    <tr>
                        <td><?php echo $d_row->lineitem;?></td>
                        <td><?php echo $d_row->stock_code;?></td>

                        <td><?php echo $d_row->description;?></td>
                        <td><?php echo $d_row->particulars;?></td>
                        <td><?php echo number_format($d_row->qty);?></td>
                        <td><?php echo number_format($d_row->rate);?></td>
                        <td><?php echo round($d_row->discp);?></td>
                        <td><?php echo round($d_row->disc_amt);?></td>
                        <td><?php echo number_format($d_row->itemtot);?></td>

                        <?php if($posted != 'on')
                        {
                            ?>
                            <td>
                                <a  class="text-muted delete_product"  onclick="delete_single('<?php echo $v_id;?>','<?php echo $d_row->lineitem;?>','<?php echo $comp_id;?>','<?php echo $year_id;?>','<?php echo $table;?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                            </td>
                        <?php } ?>
                    </tr>
                    <?php
                }
                ?>


                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td><b>Total</b></td>
                    <td><b><?php echo $qty_tot;?></b></td>
                    <td align="right"></td>
                    <td></td>
                    <td><b></b></td>
                    <td>
                        <b><?php echo format_number($amount_tot,0);
                            $_SESSION['sale_amount'] = $amount_tot;?></b>
                    </td>
                </tr>

                <tr>
                    <td colspan="5"></td>
                    <td><b>Discount</b></td>
                    <td><?php echo number_format($detail_row->discp);?></td>
                    <td><b>Discount Amount</b></td>
                    <td><?php echo number_format($detail_row->disc_amt);?></td>
                </tr>


                <tr>
                    <td colspan="7"></td>
                    <td><b>Freight</b></td>
                    <td><?php echo number_format($detail_row->dc_amt);?></td>
                </tr>

                <tr>
                    <td colspan="7"></td>
                    <td><b>Invoice Amount</b></td>
                    <td><?php echo number_format($detail_row->net_amt);?></td>
                </tr>


                <tr>
                    <td colspan="7"></td>
                    <td><b>Advance</b></td>
                    <td><?php echo number_format($detail_row->adv_amt);
                        $_SESSION['adv_amt'] = $detail_row->adv_amt;?></td>
                </tr>

                <tr>
                    <td colspan="7"></td>
                    <td><b>Total Invoice</b></td>
                    <td><?php echo number_format($detail_row->net_payable);?></td>
                </tr>
                </tbody>
            </table>
        </div>
            </div>
        </div>
        <!---------------END PAGE CONTENT----------------->
    </div>
    <!---------------END PAGE WRAPPER----------------->
</div>
<!----------END WRAPPER--------->



<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
<script src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

<!-- BOOT BOX ALERT -->
<script src="js/bootbox.min.js" type="text/javascript"></script>

<script type="text/javascript">
    $(".acct_idd").select2();
    //delete single enteryvoucher
    function delete_single(voucherid,lineitem, comp_id, year_id, table)
    {

        p_menu_id = '<?php echo $menu_id;?>';
        voucher_type = '<?php echo $voucher_type;?>';
        var status=confirm("Are you sure want to Single Entery Delete");
        if(status==true)
        {
            var datastring = 'voucherid=' + voucherid  +
                '&lineitem=' + lineitem  +
                '&comp_id=' + comp_id  +
                '&year_id=' + year_id +
                '&p_menu_id=' + p_menu_id +
                '&voucher_type=' + voucher_type +
                '&table=' + table +
                '&action=' + 'delete_lineitem';
            $.ajax({
                type:"POST",
                url:"delete_voucher",
                data: datastring,
                success: function(result)
                {
                    //alert(result);
                    window.location = "<?php echo $menu_detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"
                }
            });
        }
    }

    function delete_voucher(voucherid, comp_id, year_id, table)
    {
        p_menu_id = '<?php echo $menu_id;?>';
        voucher_type = '<?php echo $voucher_type;?>';

        var status=confirm("Are you sure want to Full Voucher Delete");
        if(status==true)
        {
            var datastring = 'voucherid=' + voucherid +
                '&comp_id=' + comp_id  +
                '&year_id=' + year_id +
                '&table=' + table +
                '&p_menu_id=' + p_menu_id +
                '&voucher_type=' + voucher_type +
                '&action=' + 'delete_voucher';

            $.ajax({
                type:"POST",
                url:"delete_voucher",
                data: datastring,
                success: function(result)
                {
                    //alert(result);
                    window.location = "<?php echo $menu_link;?>"
                }
            });
        }
    }

    //sale invoice post
    function post_sale_invoice()
    {
        var comp_id = $('#comp_id').val();
        var year_id = $('#year_id').val();
        var post = $('#post').val();
        var p_menu_id = '<?php echo $menu_id;?>';
        var v_date = '<?php echo $detail_row->voucher_date;?>';
        voucher_type = '<?php echo $voucher_type;?>';

        var invoice_id = '<?php echo $invoice_id;?>';
        var emp_id = '<?php echo $emp_id;?>';
        if(emp_id == 'kt' || emp_id == 'click') {

            var status = confirm("Are you sure want to <?php echo $label;?> Data.");
            if (status == true) {
                var datastring = 'comp_id=' + comp_id +
                    '&year_id=' + year_id +
                    '&voucher_type=' + voucher_type +
                    '&post=' + post +
                    '&p_menu_id=' + p_menu_id +
                    '&action=post';
                $.ajax({
                    type: "POST",
                    url: "process/sale_order_post.php",
                    data: datastring,
                    success: function (result) {
                        //alert(result);
                        var voucher_id = result;
                        window.location = "<?php echo $menu_detail;?>?v_id=" + voucher_id + "&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"
                    }
                });
            }
        }
        else
        {
            if (invoice_id != '') {
                alert("Order Canot be Unposted Becasue Sale Invoice Created!");
            } else {

                var status = confirm("Are you sure want to <?php echo $label;?> Data.");
                if (status == true) {
                    var datastring = 'comp_id=' + comp_id +
                        '&year_id=' + year_id +
                        '&voucher_type=' + voucher_type +
                        '&post=' + post +
                        '&p_menu_id=' + p_menu_id +
                        '&action=post';
                    $.ajax({
                        type: "POST",
                        url: "process/sale_order_post.php",
                        data: datastring,
                        success: function (result) {
                            //alert(result);
                            var voucher_id = result;
                            window.location = "<?php echo $menu_detail;?>?v_id=" + voucher_id + "&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"
                        }
                    });
                }

        }
        }
    }







    //send to mill status
    $(document).on('change', '.order_status', function() {

        var order_status = $('#order_status').val();
        var v_id = '<?php echo $v_id;?>';
        var f_comp_id = '<?php echo $comp_id;?>';
        var f_year_id = '<?php echo $year_id;?>';




        var datastring = 'order_status=' + order_status +
            '&v_id=' + v_id +
            '&f_comp_id=' + f_comp_id +
            '&f_year_id=' + f_year_id +

            '&action=order_status';
        $.ajax({
            type: "POST",
            url: "ajax/update_order_status",
            data: datastring,
            success: function (result) {
                alert("Mill Order Status Successfully Updated!");


                window.location = "<?php echo $menu_detail;?>?v_id=" + v_id + "&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"




            }
        });





    });






    /*****************************START CHECK PREMIUM INVOICE*************************/
    $(document).ready(function () {
        $( "#gen_premium_inv" ).click(function() {


            bootbox.dialog({
                message: "Are you sure Want to Generate Purchase Order ?",
                title: "<i class='glyphicon glyphicon-info-sign'></i> Purchase Order",
                buttons: {
                    success: {
                        label: "No",
                        className: "btn-danger btn-md w-150 boot_box_cls_btn",
                        callback: function() {
                            $('.bootbox').modal('hide');
                        }
                    },
                    danger: {
                        label: "Yes",
                        className: "btn-success btn-md w-150 boot_box_cls_btn",
                        callback: function() {

                            var acct_id = $('#acct_id').val();

                            if(acct_id == '')
                            {
                                alert("Please Select Supplier Account!");
                                $('#acct_id').focus();
                                $("#acct_id").select2().trigger('change');
                            }
                            else
                            {
                                window.open("gen_pl_order?acct_id=<?php echo $find_acct_id;?>&sl_v_id=<?php echo $v_id;?>&acct_id="+acct_id);
                            }

                        }
                    }

                },
                onEscape: false,
                backdrop: true,
            })




        });
    });
    /*****************************END CHECK PREMIUM INVOICE*************************/









</script>



</body>
</html>