<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");
}
//variables
$voucher_type = clean_data($_POST['voucher_type']);
$login_page = find_value('v_system', 'login_page', '');

$rate_decimals = find_value('v_system','rate_decimals','');
$amt_decimals = find_value('v_system','amt_decimals','');
$qty_decimals = find_value('v_system','qty_decimals','');

$add = clean_data($_POST['add']);
$emp_id = $_SESSION["VALID_USER_ID"];
$loc_id =  $_SESSION["short_name"];


$p_year_id = clean_data($_POST['year_id']);
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}



$p_comp_id = clean_data($_POST['comp_id']);

if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}



if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');
    $voucher_type = clean_data($_POST['voucher_type']);



    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));



    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id =  $v_id;



    // END MAXIMUM VOUCHER ID CHK QUERY



    $customer_name = '';
    $customer_phone = '';
    $customer_cash = '';











    $discount_voucher_id = "";
    $return_cash = "";
    $bill_type = '';
    $sp = "";
    $invoice_no = "";
    $discp_m = "";
    $disc_amt_m = "";
    $net_amt = "";
    $net_payable = "";
    $adv_amt = "";
    $dc_amt = "";
    $bill_date = "";



}
else //EDIT
{
    $voucher_type = clean_data($_POST['voucher_type']);
    $v_id = clean_data($_POST['v_id']);


    try
    {
        $edit_query =  "SELECT * FROM tf m  WHERE m.voucher_id = ? AND m.comp_id = ? AND m.year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);


    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));
    $stock_code = $rowm->stock_code;
    $customer_name = $rowm->customer_name;
    $customer_phone = $rowm->customer_phone;
    $customer_cash = $rowm->customer_cash;
    $return_cash = $rowm->return_cash;
    $bill_type = $rowm->bill_type;
    $invoice_no = $rowm->bill_no;
    $sp = $rowm->sp_id;
    $discount_voucher_id = $rowm->discount_voucher_no;
    $discp_m = $rowm->discp;
    $disc_amt_m = $rowm->disc_amt;
    $net_amt = $rowm->net_amt;
    $net_payable = $rowm->net_payable;
    $adv_amt = $rowm->adv_amt;
    $dc_amt = $rowm->dc_amt;
    $location_id = $rowm->loc_id;
    $acct_id_cs_1 = $rowm->acct_id_cs_1;

    $v_bill_date = $rowm->bill_date;
    if(!empty($v_bill_date))
        $bill_date = date('d-m-Y', strtotime($v_bill_date));



    $pack_size = $rowm->pack_size;
    $pack_qty = round($rowm->pack_qty);
    $std_wt = round($rowm->std_wt);
    $unit_wt = round($rowm->unit_wt);
    $unit_qty = round($rowm->unit_qty);
    $unit_rate = round($rowm->unit_rate);






}




?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $row->acct_name;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->

        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title">FORMULATION</div>
                </div>

                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">

                <form class="form-horizontal"  name="sale_invoice"  id="sale_invoice">

                    <div class='row'>
                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>

                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>




                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>

                            <div id="view"></div>
                        </div>
                    </div>

                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->

                    <input type="hidden" class="form-control" name="voucher_type" id="voucher_type"
                           value="<?php echo $voucher_type; ?>">

                    <input type="hidden" class="form-control" name="add" id="add"
                           value="<?php echo $add; ?>">

                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                           value="<?php echo $comp_id; ?>">


                    <input type="hidden" class="form-control" name="p_year_id" id="p_year_id"
                           value="<?php echo $year_id; ?>">

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>

                                                <!-- VOUCHER ID -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label>
                                                </td>
                                                <td>
                                                    <input type="text" class="form-control"  name="voucher_id"id="voucher_id" placeholder="voucher id" value="<?php echo $v_id;?>" readonly style="width: 150px;">
                                                </td>

                                                <!-- DATE -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control v_date" name="v_date" id="v_date" placeholder="Date" readonly value="<?php echo $v_date;?>" style="width: 150px;">
                                                </td>




                                                <!-- PRODUCT ID-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Product</label>
                                                </td>
                                                <?php
                                                try
                                                {
                                                    $p_query =  "SELECT i.stock_code acct_id, concat(i.description,'-',i.stock_code) acct_name FROM item i left join prod_cat c on i.cat_id=c.cat_id ORDER BY i.stock_code ASC ";

                                                    $p_result = $dbcon->prepare($p_query);
                                                    $p_result->execute(array());
                                                }
                                                catch(PDOException $e)
                                                {
                                                    echo "Error : ". $e->getMessage();
                                                }

                                                ?>

                                                <td colspan="3">
                                                    <select style="width: 400px;"  name="m_stock_code" id="m_stock_code" class="acct_id">
                                                        <option></option>
                                                        <?php
                                                        while($p_row = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {

                                                            if ($stock_code == $p_row->acct_id)
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '"selected>' . $p_row->acct_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="' . $p_row->acct_id . '">' . $p_row->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>
                                            <tr>
                                                <!-- Pack Size -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Pack Size:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control m_changes" name="pack_size" id="pack_size" value="<?php echo $pack_size;?>" >
                                                </td>




                                                <!-- Weight -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Std Weight:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="std_wt" id="std_wt" value="<?php echo $std_wt;?>" >
                                                </td>


                                                <!-- STD WEIGHT -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">STD Weight:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="" id="std_weight"  readonly >
                                                </td>







                                            </tr>

                                            <tr>


                                                <!-- QTY PACK -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Pack Qty:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control m_changes" name="pack_qty" id="pack_qty" value="<?php echo $pack_qty;?>" >
                                                </td>


                                                <!-- TOtal Tablet -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Total Qty:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="unit_qty" id="unit_qty" value="<?php echo $unit_qty;?>" >
                                                </td>


                                                <!-- TOTAL COST MANUAL -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Total Cost Manual:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="tot_cost_manual" id="tot_cost_manual" value="<?php echo $total_cost_manual;?>" readonly >
                                                </td>





                                            </tr>


                                            <tr>
                                                <!-- PER UNIT RATE-->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Per Unit Rate:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="unit_rate" id="unit_rate" value="<?php echo $unit_rate;?>" readonly >
                                                </td>

                                                <!-- Weight Tablet -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Weight Per Unit:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="unit_wt" id="unit_wt" value="<?php echo $unit_wt;?>" >
                                                </td>










                                                <!-- UNIT COST MANUAL -->
                                                <td>
                                                    <label  class="control-label pull-right" style="font-weight: bold; color: black;">Unit Cost Manual:</label>
                                                </td>
                                                <td style="width: 150px;">
                                                    <input type="text" class="form-control" name="unit_cost_manual" id="unit_cost_manual" value="<?php echo $unit_cost_manual;?>">
                                                </td>



                                            </tr>




                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-block">


                                    <table class="table table-bordered table-responsive table-hover addrow_sale" id="addrow">
                                        <thead >
                                        <tr>
                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th width="8%" style="text-align: center;">SR</th>
                                            <th width="8%" style="text-align: center;">STOCK CODE</th>
                                            <th width="15%" style="text-align: center;">ITEM NAME</th>
                                            <th width="5%" style="text-align: center;">UNIT</th>
                                            <th width="10%" style="text-align: center;">PROCESS NAME</th>
                                            <th  width="8%" style="text-align: center;">QTY</th>
                                            <th  width="8%" style="text-align: center;">LL %</th>
                                            <th  width="8%" style="text-align: center;">LL QTY</th>
                                            <th  width="8%" style="text-align: center;">LL TOT</th>




                                            <th width="10%" style="text-align: center;">COST PRICE</th>

                                            <th width="10%" style="text-align: center;">AMOUNT</th>
                                        </tr>

                                        </thead>




                                        <?php

                                        try
                                        {
                                            $edit_query =  "SELECT
	d.*,
	 i.size,
	i.description,
	i.party_stock_code

FROM
	tfdet d
LEFT JOIN item i ON d.stock_code = i.stock_code

   WHERE d.voucher_id = ? and d.comp_id = ? AND d.year_id = ?
 order by d.lineitem/1 ";
                                            $resultd = $dbcon->prepare($edit_query);
                                            $resultd->execute(array($v_id, $comp_id, $year_id ));
                                        }
                                        catch(PDOException $e)
                                        {
                                            echo "Error : ". $e->getMessage();
                                        }

                                        $cnt = 0;
                                        $itemtot = '';
                                        $tot_qty = '';
                                        while($rowd = $resultd->fetch(PDO::FETCH_OBJ))
                                        {
                                            $lineitem = $rowd->lineitem;
                                            $cnt = $lineitem;
                                            $itemtot += $rowd->itemtot;

                                            $tot_qty += $rowd->qty;

                                            $party_stock_code = $rowd->party_stock_code;


                                            $process_id = $rowd->process_id;


                                            ?>

                                            <!----------------------------------------------------------------------------------------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------SALE INVOICE DETAIL EDIT FORM---------------------------------------
                                            ------------------------------------------------------------------------------------------------------------------------
                                            ----------------------------------------------------------------------------------------------------------------------->
                                            <tr class="addrow_sale">
                                                <td><input class="case" type="checkbox"/></td>
                                                <td> <input type="text" class="form-control" name="lineitem[]" size="1" value="<?php echo $lineitem;?>" readonly /></td>


                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input type="text" data-type="stock_code" name="stock_code[]" class="form-control  autocomplete_txt stock_code" id="stockcode_<?php echo $cnt;?>" value="<?php echo $rowd->stock_code;?>" maxlength="11">
                                                </td>



                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php echo $cnt;?>" autocomplete="off"  size="30"  value="<?php echo $rowd->description ;?>">
                                                </td>

                                                <!-- UNIT -->

                                                <td>
                                                    <input type="text" class="form-control particulars" name="unit[]"  id="unit_<?php echo $cnt;?>"  value="<?php echo $rowd->unit;?>" readonly/>
                                                </td>


                                                <!-- PROCESS -->
                                                <td>

                                                    <select name="process_id[]" id="processid_<?php echo $cnt;?>" class="acct_id form-control">
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $act_query = "SELECT p.process_id, p.process_name  FROM process p  ORDER BY p.process_id ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }

                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {

                                                            if ($process_id == $rowact->process_id)
                                                            {
                                                                echo '<option value="' . $rowact->process_id . '"selected>' . $rowact->process_name . '</option>';

                                                            }
                                                            else
                                                            {
                                                                echo '<option value="' . $rowact->process_id . '">' . $rowact->process_name . '</option>';
                                                            }






                                                        }
                                                        ?>
                                                    </select>


                                                </td>


                                                <!-- QUANTITY -->
                                                <td>
                                                    <input type="text" class="form-control qty changesNo qty grand_tot_qty" name="qty[]" id="qty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->qty, $qty_decimals);?>" />
                                                </td>



                                                <!-- LL % -->
                                                <td>
                                                    <input type="text" class="form-control changesNo" name="ll_p[]" id="llp_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->ll_p);?>" />
                                                </td>


                                                <!-- LL QUANTITY -->
                                                <td>
                                                    <input type="text" class="form-control qty changesNo qty grand_tot_qty" name="ll_qty[]" id="llqty_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->ll_qty, $qty_decimals);?>" readonly />
                                                </td>



                                                <!-- TOTAL LL -->
                                                <td>
                                                    <input type="text" class="form-control qty changesNo qty grand_tot_qty" name="ll_tot[]" id="lltot_<?php echo $cnt;?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return true;" value="<?php echo round($rowd->ll_qty, $qty_decimals);?>" readonly />
                                                </td>










                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]" id="orate_<?php echo $cnt;?>"  value="<?php echo round($rowd->rate, $rate_decimals);?>"/>
                                                </td>



                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]" id="itemtot_<?php echo $cnt;?>" readonly value="<?php echo round($rowd->itemtot, $rate_decimals);?>"/>
                                                </td>
                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>



                                        <!----------------------------------------------------------------------------------------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------SALE INVOICE DETAIL ADD FORM---------------------------------------
                                        ------------------------------------------------------------------------------------------------------------------------
                                        ----------------------------------------------------------------------------------------------------------------------->


                                        <?php  $numberofrow = 5; ?>  <?php for($counter = 1;$counter<=$numberofrow;$counter++){ ?>

                                            <tr class="addrow_sale">
                                                <!-- CHECKBOX FOR ADD NEW FORM FIELD -->
                                                <td>
                                                    <input class="case" type="checkbox" id="disable_<?php echo $counter;?>"/>
                                                </td>

                                                <!-- LINEITEM -->
                                                <td style="width: 60px;">
                                                    <?php $lineitem += 1;?>
                                                    <input type="text" class="form-control " name="lineitem[]<?php echo $counter;?>"  id="lineitem_1" value="<?php echo $lineitem;?>" readonly  />
                                                </td>

                                                <!-- STOCK CODE -->
                                                <td style="width: 130px;">
                                                    <input  type="text"  data-type="stock_code" name="stock_code[]"  class="form-control   autocomplete_txt stock_code" id="stockcode_<?php

                                                    if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }


                                                    ?>" autocomplete="off" maxlength="11" autofocus >
                                                </td>




                                                <!-- DESCRIPTION -->
                                                <td>
                                                    <input type="text" data-type="description" name="description[]"  class="form-control description autocomplete_txt " id="description_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" autocomplete="off"  size="30">
                                                </td>

                                                <!-- UNITS -->

                                                <td>
                                                    <input type="text" class="form-control"  name="unit[]<?php echo $counter;?>"  id="unit_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly  />
                                                </td>

                                                <!-- PROCESS -->
                                                <td>
                                                    <select
                                                            name="process_id[]<?php if ($add == "Y") {
                                                                echo $counter;
                                                            } else {
                                                                echo $lineitem;
                                                            }

                                                            ?>" id="processid_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" class="acct_id form-control">
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $act_query = "SELECT p.process_id, p.process_name  FROM process p  ORDER BY p.process_id ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }

                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                            echo '<option value="' . $rowact->process_id . '">' . $rowact->process_name . '</option>';

                                                        }
                                                        ?>
                                                    </select>
                                                </td>


                                                <!-- QUANTITY -->
                                                <td>
                                                    <input  type="text"  class="form-control qty  changesNo qty grand_tot_qty"  name="qty[]<?php echo $counter;?>" id="qty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>



                                                <!-- LL %-->
                                                <td>
                                                    <input  type="text"  class="form-control changesNo"  name="ll_p[]<?php echo $counter;?>" id="llp_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"   />
                                                </td>



                                                <!-- LL QUANTITY -->
                                                <td>
                                                    <input  type="text"  class="form-control"  name="ll_qty[]<?php echo $counter;?>" id="llqty_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"  readonly  />
                                                </td>



                                                <!-- LL TOTAL -->
                                                <td>
                                                    <input  type="text"  class="form-control qty  changesNo qty grand_tot_qty"  name="ll_tot[]<?php echo $counter;?>" id="lltot_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly  />
                                                </td>













                                                <!-- RATE -->
                                                <td>
                                                    <input type="text" class="form-control  changesNo orate" name="rate[]<?php echo $counter;?>" id="orate_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>"  />
                                                </td>


                                                <!-- TOTAL AMOUNT -->
                                                <td>
                                                    <input type="text" class="form-control itemtot totalLinePrice" name="itemtot[]<?php echo $counter;?>" id="itemtot_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }
                                                    ?>" readonly/>
                                                </td>
                                            </tr>
                                        <?php } ?>


                                        <thead>
                                        <tr>




                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>

                                            <td   align="right" >

                                                <input type="text" class="form-control  grandtot_qty" name="grandtot_qty" id="grandtot_qty" autocomplete="off"  readonly value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['tot_qty'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['tot_qty'] = $tot_qty;
                                                }

                                                echo round($_SESSION['tot_qty']);?>" style="width: 100px;  font-weight: bold;" /></td>


                                            <td >


                                            </td>



                                            <td></td>
                                            <td></td>
                                            <td></td>


                                            <td width="10%" colspan="1" align="right">
                                                <input type="text" class="form-control  grandtot " name="grandtot" id="grandtot" autocomplete="off" readonly   value="<?php

                                                if($add == "Y") {
                                                    $_SESSION['itemtot'] = 0;

                                                }

                                                else
                                                {
                                                    $_SESSION['itemtot'] = $itemtot;
                                                }

                                                echo round($_SESSION['itemtot'], $rate_decimals);?>" style="width: 100px;  font-weight: bold;" />
                                            </td>
                                        </tr>




                                        </thead>

                                    </table>

                                    <div id="view"></div>
                                    <div class='row'>
                                        <div class='col-xl-12 col-sm-3 col-md-3 col-lg-12'>
                                            <button class="btn btn-danger delete_sale" type="button">- Delete</button>
                                            <button class="btn btn-success addmore_sale" type="button">+ Add More</button>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save" onClick="sale_invoice_add()"/>
                                        </div>
                                    </div>


                </form>





            </div>

        </div>
    </div>
    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
    <script src="vendors/select2/select2.min.js"></script>
    <script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>



    <!---------------------------START JAVASCRIPT-------------------------------->
    <script type="text/javascript">

        //autocomplete script sale invoice select stock code
        $(document).on('focus','.autocomplete_txt',function(){
            type = $(this).data('type');

            if(type =='stock_code' )autoTypeNo=0;
            if(type =='description' )autoTypeNo=1;
            if(type =='party_stock_code' )autoTypeNo=2;


            $(this).autocomplete({
                source: function( request, response ) {
                    $.ajax({
                        url : 'kt_pl_select_stock.php',
                        dataType: "json",
                        method: 'post',
                        data: {
                            name_startsWith: request.term,
                            type: type
                        },
                        success: function( data ) {
                            response( $.map( data, function( item ) {
                                var code = item.split("|");
                                return {
                                    label: code[autoTypeNo],
                                    value: code[autoTypeNo],
                                    data : item
                                }
                            }));
                        }
                    });
                },
                autoFocus: true,
                minLength: 1,

                select: function( event, ui ) {
                    var names = ui.item.data.split("|");
                    id_arr = $(this).attr('id');
                    id = id_arr.split("_");
                    $('#stockcode_'+id[1]).val(names[0]);
                    $('#description_'+id[1]).val(names[1]);
                    $('#partystockcode_'+id[1]).val(names[2]);
                    $('#orate_'+id[1]).val(names[3]);
                    $('#unit_'+id[1]).val(names[4]);

                    s_rate =  $('#orate_'+id[1]).val();
                    s_qty =  $('#qty_'+id[1]).val(1);

                    $('#qty_' + id[1]).focus();

                    $('#itemtot_' + id[1]).val(1 * names[2]);

                    calculateTotal();
                    calculateTotal_qty();



                }
            });






        });








        function sale_invoice_add()
        {

            //declare variables master form
            var v_date = $('#v_date').val();
            var v_id = $('#voucher_id').val();
            var m_stock_code = $('#m_stock_code').val();
            var pack_size = $('#pack_size').val();
            var pack_qty = $('#pack_qty').val();



            //declare variables detail form
            var stock_code = $('#stockcode_1').val();
            var qty = $('#qty_1').val();





            //check condition
            if(v_id == "")
            {
                alert("Please Enter Voucher ID");
                $('#v_id').focus();
            }

            else if(v_date == "")
            {
                alert("Please Enter Date");
                $('#v_date').focus();
            }
            else if(m_stock_code == "")
            {
                alert("Please Select Item");
                $('#m_stock_code').focus();
            }
            else if(pack_size == "")
            {
                alert("Please Type Pack Size");
                $('#pack_size').focus();
            }
            else if(pack_qty == "")
            {
                alert("Please Type Pack Qty.");
                $('#pack_qty').focus();
            }

            else if(stock_code == "")
            {
                alert("Please Select Stock Code");
                $('#stockcode_1').focus();
            }



            else if(qty == "" || qty == '0' )
            {
                alert("Please Enter Quantity");
                $('#qty_1').focus();
            }



            else
            {
                var formdata = $('#sale_invoice').serializeArray();

                $.ajax({
                    type:"POST",
                    url:"process/tf_inv_process.php",
                    data:$.param(formdata),
                    beforeSend: function()
                    {
                        $("#view").html('<div class="loader-block"> <img src="images/pageloader/images/loader2.gif"style="max-width: 100px;"/></div><br clear="all">');
                    },
                    success: function(result)
                    {
                        //alert(result);
                        //alert('Voucher has been successfully submitted.');
                        //window.location = "sl_inv_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"

                        window.location = "tf_inv_detail?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''&p_comp_id=<?php echo $comp_id;?>&p_year_id=<?php echo $year_id;?>";
                    }
                });
                $('#savedata').addClass("disabled");
            }




        }


        $(document).on('change', '#check_all', function () {
            $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
        });



        //delete the selected table row

        $(".delete_sale").on('click', function () {
            $('.case:checkbox:checked').parents("tr").remove();
            $("#check_all").prop("checked", false);
            calculateTotal();
            calculateTotal_qty();
        });






        <?php

        //ADD MORE FIELD SHOW ACCOUNTS
        try {
            $act_query = "SELECT p.process_id, p.process_name  FROM process p  ORDER BY p.process_id ASC";
            $act_result = $dbcon->prepare($act_query);
            $act_result->execute(array());
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }
        $options = '';
        $options = "<option></option>";
        while($row_nom = $act_result->fetch(PDO::FETCH_OBJ))
        {

            $options .= "<option value='{$row_nom->process_id}'>{$row_nom->process_name}</option>";
        }
        ?>
        //add table rows


        var process = "<?php echo $options; ?>";




        //add table rows

        var i = $('.addrow_sale').length;



        $(".addmore_sale").on('click',function(){
            html = '<tr>';
            html += '<td><input class="case" type="checkbox"/></td>';
            html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
            html += '<td><input type="text" data-type="stock_code" name="stock_code[]" id="stockcode_'+i+'" class="form-control autocomplete_txt stock_code" autocomplete="off" maxlength="11"></td>';
            html += '<td><input type="text" data-type="description" name="discription[]" id="description_'+i+'" class="form-control autocomplete_txt" autocomplete="off" ></td>';
            html += '<td><input type="text"  name="unit[]" id="unit_'+i+'" class="form-control" autocomplete="off" readonly></td>';
            html += '<td><select name="process_id[]" id="processid_'+i+'" class="form-control" >'+process+'</select></td>';
            html += '<td><input type="text" name="qty[]" id="qty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="ll_p[]" id="llp_'+i+'" class="form-control changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="ll_qty[]" id="llqty_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
            html += '<td><input type="text" name="ll_tot[]" id="lltot_'+i+'" class="form-control qty changesNo grand_tot_qty" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly ></td>';
            html += '<td><input type="text" name="rate[]" id="orate_'+i+'" class="form-control rate changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" ></td>';
            html += '<td><input type="text" name="itemtot[]" id="itemtot_'+i+'" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" readonly></td>';
            html += '</tr>';
            $('#addrow').append(html);
            i++;
            $('select') .select2();
        });







        //date picker
        $('.v_date').datepicker({
            format: 'dd-mm-yyyy',
            autoclose: true
        });


        //dropdown with search
        $(".acct_id").select2();


        //price change
        $(document).on('change keyup blur','.changesNo',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");
            avqty = $('#availableqty_' + id[1]).val();
            qty = $('#qty_' + id[1]).val();
            orate = $('#orate_' + id[1]).val();
            discp = $('#discp_' + id[1]).val();

            pack_qty = $('#pack_qty').val();
            grandtot = $('#grandtot').val();



            if(orate != '') {

                $('#itemtot_' + id[1]).val(parseFloat(orate) * parseFloat(qty));
            }

            if(pack_qty != '') {

                $('#unit_rate').val(parseFloat(grandtot) / parseFloat(pack_qty));
            }


            //if( qty!='' && orate !='' && discp !='' ) $('#itemtot_'+id[1]).val( (parseFloat(orate)*parseFloat(qty)).toFixed(2)*(1-discp/100) );

            calculateTotal();
            calculateTotal_qty();
        });












        //total price calculation
        function calculateTotal() {
            grandtot = 0;
            itemtot = 0;
            $('.totalLinePrice').each(function () {
                if ($(this).val() != '')grandtot += parseFloat($(this).val());
            });
            $('#grandtot').val(grandtot);
            itemtot += grandtot;

            var grand_tot = $('#grandtot').val();

            //alert(grand_tot);


            var freight_tot = $('#freight').val();

            var inv_tot = parseFloat(grand_tot) - parseFloat(freight_tot);

            $('#invoice_tot').val(inv_tot);


        }

        //total pqty calculation
        function calculateTotal_qty() {
            grandtot_qty = 0;
            qty = 0;
            $('.grand_tot_qty').each(function () {
                if ($(this).val() != '')grandtot_qty += parseFloat($(this).val());
            });
            $('#grandtot_qty').val(grandtot_qty);
            qty += grandtot_qty;
        }







        //CALCULATE TOTAL QTY
        $(document).on('change keyup blur','.m_changes',function() {

            pack_qty = $('#pack_qty').val();
            pack_size = $('#pack_size').val();


            if(pack_qty != '' && pack_size != '' ) {

                $('#unit_qty').val(parseFloat(pack_qty) * parseFloat(pack_size));
            }

        });











        //LL CHANGE
        $(document).on('change keyup blur','.changesNo',function() {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");

            qty = $('#qty_' + id[1]).val();
            llp = $('#llp_' + id[1]).val();
            llqty = $('#llqty_' + id[1]).val();

            if(qty != '') {

                $('#llqty_' + id[1]).val(parseFloat((qty * llp) / 100));

                $('#lltot_' + id[1]).val(Math.round(qty) + Math.round(llqty));

            }
            calculateTotal();
            calculateTotal_qty();
        });

















    </script>
    <!---------------------------START JAVASCRIPT-------------------------------->





</body>
</html>