<?php
session_start();
include("include/dbconnect.php");
include("include/functions.php");

if(isset($_POST['action']) && !empty($_POST['action']))
{
    if($_POST['action'] == "search") {

        $emp_id = clean_data($_SESSION["VALID_USER_NAME"]);
        $auth_id = find_value('users', 'auth_id', " and emp_id='$emp_id'");

        $from_date = clean_data($_POST['from_date']);
        $change_from_date = strtotime($from_date);
        $new_from_date = date('Y-m-d', $change_from_date);

        $to_date = clean_data($_POST['to_date']);
        $change_to_date = strtotime($to_date);
        $new_to_date = date('Y-m-d', $change_to_date);

        $comp_id = clean_data($_POST['comp_id']);

        $acct_id = clean_data($_POST['acct_id']);
        $exp_type = clean_data($_POST['exp_type']);


            /*****************START MYSQL VARIABLES**************/



        /*************START FINDE COMPANY NAME***************/
        if ($comp_id != "All") {

            $comp_name = find_value('company', 'comp_name', " and comp_id = '$comp_id'");
        }
        else
        {
            $comp_name = find_value('v_system', 'comp_name', "");

        }
        /*************END FINDE COMPANY NAME*****************/


        $and = '';
        $n_and = '';

        if ($comp_id != "All") {
            $and_comp .= " and v.comp_id = '$comp_id'";
        }else if($auth_id<'6'){
            $and_comp .= " and v.comp_id in(select comp_id from users_comp where emp_id='$emp_id')";
        }


        if ($acct_id != "All") {
            $and .= " and v.acct_id like '$acct_id%'";

            $n_and .= " and n.acct_id like '$acct_id%'";
        }




/*if ($exp_type == "debit") {

    $exp_and = " and v.debit <> 0";
    $having = 'HAVING balance > 0 and v.debit > 0';

}

if ($exp_type == "credit") {

    $exp_and .= " and v.credit <> 0";
    $having = 'HAVING balance < 0 and v.credit > 0';

}*/


        if ($exp_type == "debit") {


            $having = 'HAVING balance > 0 and v.debit > 0';

        }

        if ($exp_type == "credit") {


            $having = 'HAVING balance < 0  and v.credit > 0';

        }








        $and .= " and (v.debit is not null or v.credit is not null)";
        /*****************END MYSQL VARIABLES**************/



        /***************START MYSQL QUERY FOR GROUP ACCOUNT ID AND ACCOUNT NAME*****************/
        try {
            $msqlquery = "SELECT
	n.acct_id,
	n.acct_name,
	o.o_bal,
	v.debit,
	v.credit,
	ifnull(o.o_bal, 0) + ifnull(v.debit, 0) - ifnull(v.credit, 0) balance
FROM
	nom n
LEFT JOIN (
	SELECT
		acct_id,
		
		sum(
			ifnull(debit, 0) - ifnull(credit, 0)
		) o_bal
	FROM
		v_vouchers v
	WHERE 1=1 $and $and_comp 
		and v.voucher_date < '$new_from_date'
	GROUP BY
		acct_id
) o ON n.acct_id = o.acct_id
LEFT JOIN (
	SELECT
		acct_id,
		sum(debit) debit,
		sum(credit) credit
	FROM
		v_vouchers v
	WHERE
		1 = 1  $and $and_comp 
		and (v.voucher_date BETWEEN '$new_from_date'  AND '$new_to_date')
	GROUP BY
		acct_id
) v ON n.acct_id = v.acct_id
WHERE
1 = 1 

$n_and
 $having 
order by substr(n.acct_id,1,6), n.acct_id";

        // echo $msqlquery;

            $q_result = $dbcon->prepare($msqlquery);
            $q_result->execute();
        }
        catch(PDOException $e)
        {
            echo "Error : ". $e->getMessage();
        }



        ?>

        <h1 style="text-align: center; font-size: 35px; font-weight: bold;"><?php echo $comp_name ; ?></h1>


        <i class="fa fa-file-excel pull-right exportToExcel ml-2" data-toggle="tooltip"
           data-placement="top" title="Export to Excel"><button class="btn btn-green">Export To Excel</button> </i>



        <br clear="all"> <br clear="all">
        <?php


        ?>
                <table class="table table-bordered table-striped table2excel">
                    <tr>
                        <th>ACCOUNT ID</th>
                        <th>ACCOUNT NAME</th>
                        <td  align=right><b>OPENING</td>
                        <td align=right><b>DEBIT</td>
                        <td align=right><b>CREDIT</td>
                        <td align=right><b>BALANCE</th>

                    </tr>
                    <?php
                    $bal = 0;
                    $serno = 0;

                    $o_bal_tot = 0;
                    $debit_amount_tot = 0;
                    $credit_amount_tot = 0;
                    $balance_tot = 0;

		                    $g1_o_bal_tot=0;
		                    $g1_debit_tot=0;
		                    $g1_credit_tot=0;
		                    $g1_balance_tot=0;

                    $l1_o_bal_tot=0;
                    $l1_debit_tot=0;
                    $l1_credit_tot=0;
                    $l1_balance_tot=0;

                    while ($report_row = $q_result->fetch(PDO::FETCH_ASSOC)) {



                        $serno = $serno + 1;

                        $o_bal_tot += $report_row['o_bal'];
                        $debit_amount_tot += $report_row['debit'];
                        $credit_amount_tot += $report_row['credit'];
                        $balance_tot += $report_row['balance'];

						$bold='';
						$bold_close='';

						$d_o_bal=format_number_drcr($report_row['o_bal'], 0);
						$d_debit=format_number($report_row['debit'], 0);
						$d_credit=format_number($report_row['credit'], 0);
						$d_balance=format_number_drcr($report_row['balance'], 0);

                    	$g1_o_bal_tot +=$report_row['o_bal'];
                    	$g1_debit_tot +=$report_row['debit'];
                    	$g1_credit_tot +=$report_row['credit'];
                    	$g1_balance_tot +=$report_row['balance'];

                        $l1_o_bal_tot +=$report_row['o_bal'];
                        $l1_debit_tot +=$report_row['debit'];
                        $l1_credit_tot +=$report_row['credit'];
                        $l1_balance_tot +=$report_row['balance'];


                        if (strlen($report_row['acct_id'])<=6) {



                            ?>
                            <tr>
                                <td></td>
                                <td></td>
                                <td align=right><b><?php echo format_number_drcr($g1_o_bal_tot, 0); ?></b></td>
                                <td align=right><b><?php echo format_number($g1_debit_tot, 0); ?></b></td>
                                <td align=right><b><?php echo format_number($g1_credit_tot, 0); ?></b></td>
                                <td align=right><b><?php echo format_number_drcr($g1_balance_tot, 0); ?></b></td>
                            </tr>

                            <?php
                            if (strlen($report_row['acct_id']) == 2){

                                ?>
                                <tr>
                                <td></td>
                                <td align="right"><b>Total <?php echo $l1_name;?></b></td>
                                <td align=right><b><?php echo format_number_drcr($l1_o_bal_tot, 0); ?></b></td>
                            <td align=right><b><?php echo format_number($l1_debit_tot, 0); ?></b></td>
                            <td align=right><b><?php echo format_number($l1_credit_tot, 0); ?></b></td>
                            <td align=right><b><?php echo format_number_drcr($l1_balance_tot, 0); ?></b></td>
                            </tr>
                            <?php

                                if (strlen($report_row['acct_id'])=='2')
                                    $l1_name=$report_row['acct_name'];

                                $l1_o_bal_tot=0;
                                $l1_debit_tot=0;
                                $l1_credit_tot=0;
                                $l1_balance_tot=0;
                            }

		                    $g1_o_bal_tot=0;
		                    $g1_debit_tot=0;
		                    $g1_credit_tot=0;
		                    $g1_balance_tot=0;

							$bold='<b>';
							$d_o_bal='';
							$d_debit='';
							$d_credit='';
							$d_balance='';






						}

if ($report_row['o_bal']<>0 || $report_row['debit']<>0 ||$report_row['credit']<>0 ||$report_row['balance']<>0 || strlen($report_row['acct_id'])<10)
{



                        ?>

                        <tr class="<?php echo $ex_class;?>">
                            <td><?php echo $bold; echo $report_row['acct_id']; ?></td>
                            <td "><?php echo $bold; echo $report_row['acct_name']; ?></td>
                            <td align=right><?php echo $d_o_bal; ?></td>
                            <td align=right><?php echo $d_debit; ?></td>
                            <td align=right><?php echo $d_credit; ?></td>
                            <td align=right><?php echo $d_balance; ?></td>

                        </tr>
                        <?php
}
                    }
                    ?>
                    <tr >


                        <td></td>
                        <td></td>
                        <td align=right><b><?php echo format_number_drcr(($o_bal_tot), 0); ?></b></td>
                        <td align=right><b><?php echo format_number(($debit_amount_tot), 0); ?></b></td>
                        <td align=right><b><?php echo format_number(($credit_amount_tot), 0); ?></b></td>
                        <td align=right><b><?php echo format_number_drcr(($balance_tot), 0); ?></b></td>
                    </tr>

                </table>


                <?php
            }
}



?>


<script type="text/javascript">
    $(".exportToExcel").click(function(){
        $(".table2excel").table2excel({
            exclude: ".noExl",
            name: "Trial Balance",
            filename: "Trial Balance"+ ".xls",
            fileext: ".xls",
            exclude_img: true,
            exclude_links: true,
            exclude_inputs: true
        });
    });
</script>
