<?php
session_start();

//include db connection
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");

}

$sms=find_value('v_system','sms','');
$cs=find_value('v_system','cs','');

/*******************START VARIABLES***********************/
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);

$emp_id = clean_data($_SESSION["VALID_USER_ID"]);
$auth_id = find_value("users", 'auth_id', " and emp_id = '$emp_id'");
$date_close = find_value("v_system", 'date_close', '');

$menu_id = $_GET['menu_id'];
$menu_cmd = find_value("menu", 'menu_cmd', " and menu_id = '$menu_id'");
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");
$menu_link = find_value("menu", 'menu_link', " and menu_id = '$menu_id'");
$table = find_value("menu", 'menu_table', " and menu_id = '$menu_id'");

$title = find_value("(select concat(ifnull(m1.menu_name,''), ' ', m.menu_name) menu_name
                      from menu m left join menu m1 on m1.menu_id=substr(m.menu_id,1,instr('$menu_id','.')-1)
                      where m.menu_id='$menu_id') v", 'menu_name', "");

$menu_print = find_value("menu", 'menu_print', " and menu_id = '$menu_id'");

$comp_id = clean_data($_GET["comp_id"]);
if (empty($comp_id))
    $comp_id = clean_data($_SESSION["comp_id"]);

$year_id = $_GET["year_id"];
if (empty($year_id))
    $year_id = clean_data($_SESSION["year_id"]);

$v_id = clean_data($_GET['v_id']);
$_SESSION['v_id'] = $v_id;

$insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
$update_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and update_allowed='Y' and menu_id = '$menu_id'");
$delete_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and delete_allowed='Y' and menu_id = '$menu_id'");
/*******************END VARIABLES***********************/

$log = $_GET['log'];
$log_name= '';
$table='voucher';
$tabledet='voucherdet';
if ($log=='log_') {
    $table = $log.$table;
    $tabledet = $log.$tabledet;
    $log_name = 'LOG';
}

$table = $log.'voucher';
$tabledet = $log.'voucherdet';

/*******************START MYSQL QUERY***********************/
$and = " AND (substring(v.voucher_id,1,2)) = '$voucher_type'";
$and .= " AND v.voucher_id = '$v_id'";
$and .= " AND v.comp_id = '$comp_id'";
$and .= " AND v.year_id = '$year_id'";


try {
    $voucher_query = "SELECT v.emp_id, v.acct_id, v.voucher_id, n.acct_name, v.voucher_date, nc.acct_name particulars, 
                             c.acct_name cur_name, v.er, nc2.acct_name cs_name,
	                         v.posted
        FROM $table v 
        LEFT JOIN $tabledet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id AND v.year_id = d.year_id
        LEFT JOIN nom n ON v.acct_id = n.acct_id
        LEFT JOIN cost_centre nc ON v.acct_id_cs_1 = nc.acct_id
        LEFT JOIN cost_centre nc2 ON d.acct_id_cs = nc2.acct_id
        LEFT JOIN currency c ON c.acct_id = v.cur_id
        WHERE 1=1  $and";
    $voucher_result = $dbcon->prepare($voucher_query);
    $voucher_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

$v_row = $voucher_result->fetch(PDO::FETCH_OBJ);
$v_emp_id = $v_row->emp_id;
$voucher_date = $v_row->voucher_date;
$vID = $v_row->voucher_id;
$posted = $v_row->posted;

/*******************END MYSQL QUERY***********************/

/********************START PAGE HEADING***************/
if($voucher_type == 'CP')
{
    $hname = 'CASH PAYMENT';
}
if($voucher_type == 'BP')
{
    $hname = 'BANK PAYMENT';
}
if($voucher_type == 'CR')
{
    $hname = 'CASH RECEIPTS';
}
if($voucher_type == 'BR')
{
    $hname = 'BANK RECEIPTS';
}

$title = $hname. ' VOUCHERS SHOWCASE ' . $log_name;

/********************END PAGE HEADING***************/

$db_name = $_SESSION['db'];

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->

    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">

    <link type="text/css" rel="stylesheet" href="css/custom.css">

    <link type="text/css" rel="stylesheet" href="vendors/fancybox-master/dist/jquery.fancybox.min.css">


</head>

<body class="sidebar-icons">



    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->


    <!----------START WRAPPER--------->
    <div id="wrapper">


        <!--BEGIN SIDEBAR MENU-->
        <?php include('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!---------------START PAGE WRAPPER----------------->
        <div id="page-wrapper">
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title"><?php echo $title; ?></div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index.php">Home</a>&nbsp;&nbsp;<i
                            class="fa fa-angle-right"></i>&nbsp;&nbsp;
                    </li>
                    <li><a href="show_voucher?voucher_type=<?php echo $voucher_type;?>"><?php echo $title; ?></a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active"><?php echo $title; ?></li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->


            <!---------------START PAGE CONTENT----------------->
            <div class="page-content">
                <?php
                if(empty($log))
                {
                ?>


                    <!---------------------START NEW VOUCHER------------------->
                    <?php
                    $insert_allowed = find_value("users_menu", 'menu_id', " and emp_id = '$emp_id' AND inactive <> 'Y' and insert_allowed='Y' and menu_id = '$menu_id'");
                    if(!empty($insert_allowed) or ($auth_id == '9' ))
                    {
                        ?>
                        <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                            <input type="hidden" name="add" value="Y">
                            <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                            <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                            <button type="submit" class="btn btn-primary"><i class="fa fa-plus-circle"></i>
                                <i class="icon-user icon-white"></i></button>
                        </form>
                    <?php }?>
                    <!---------------------END NEW VOUCHER------------------->


                    <!--------------START EDIT  BUTTON---------------->
                    <?php
                    if ($posted != 'on' && ( ($emp_id == $v_emp_id || $auth_id == '8') && ($voucher_date > $date_close) && !empty($update_allowed) || ($auth_id == '9'))) {
                        ?>
                        <form method="get"action="<?php echo $menu_cmd;?>" style ='float: left; padding: 0px;'>
                            <input type="hidden" name="add" value="N">
                            <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                            <input type="hidden" name="v_id" value="<?php echo $v_row->voucher_id;?>">
                            <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                            <input type="hidden" name="comp_id" value="<?php echo $comp_id;?>">
                            <input type="submit" class="btn  waves-effect waves-light" value="Edit">
                        </form>
                    <?php }
                    ?>
                    <!--------------END EDIT BUTTON---------------->

                    <!--------------START POST BUTTON---------------->

                    <?php
                    $label = 'Post';
                    if ($posted == 'on') {
                        $label = 'Un-Post';
                    }
                    if ( (($emp_id == $v_emp_id || $auth_id == '8' ) && $voucher_date > $date_close) || $auth_id == '9' ) {
                        ?>
                        <input type="hidden" name="comp_id" id="comp_id" value="<?php echo $comp_id;?>">
                        <input type="hidden" name="year_id" id="year_id" value="<?php echo $year_id;?>">
                        <input type="hidden" name="v_id" id="v_id" value="<?php echo $v_id;?>">
                        <input type="hidden" name="voucher_type" id="voucher_type" value="<?php echo $voucher_type;?>">
                        <input type="hidden" name="post" id="post" value="<?php echo $posted;?>">
                        <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                        <input type="hidden" name="table" id="table" value="<?php echo $table;?>">
                        <button type="button" class="btn btn-success" onClick="post_voucher()"><?php echo $label; ?> <i class="zmdi zmdi-check"></i>
                        </button>
                        <?php
                    }
                    ?>
                    <!--------------END POST BUTTON---------------->

                    <!--------------START DELETE VOUCHER BUTTON---------------->
                    <?php
                    if ($posted != 'on' && ((!empty($delete_allowed)) && ($voucher_date > $date_close) || ($auth_id == '9'))) {
                        ?>
                        <button type="button" class="btn btn-danger" onClick="delete_voucher('<?php echo $v_id;?>','<?php echo $comp_id;?>','<?php echo $year_id;?>','<?php echo $table;?>')">Delete<i class="zmdi zmdi-delete"></i></button>
                    <?php }
                    ?>
                    <!--------------END DELETE VOUCHER BUTTON---------------->

                    <?php
                    if($posted == 'on')
                    {
                        $detail = find_value("v_system", "voucher_print", "");
                        if(empty($detail))
                            $detail = "pdf_gl_print";
                        ?>
                        <!--------------START PRINT PDF BUTTON---------------->
                        <a href="<?php echo $detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&voucher_type=<?php echo $voucher_type;?>" target="_blank"><button class="btn btn-default"><u>P</u>RINT <i class="zmdi zmdi-print"></i></button></a>
                        <!--------------END PRINT PDF BUTTON---------------->
                    <?php } ?>





                <?php
                if($posted == 'on')
                {
                ?>
                <!--------------START UPLOAD DOCUMENT---------------->
                    <?php
                $files = ("dist/".$db_name."/docs/vouchers/".$comp_id.$year_id.$v_id.".JPG");
                //$files = ("dist/".$db_name."/docs/vouchers/".find_value('voucher',"ifnull(image_name,'!')"," and comp_id='$comp_id' and year_id='$year_id' and voucher_id='$v_id'"));
//echo $files;
                if(!file_exists($files))
                {
                ?>
                    <button type="button" class="btn btn-warning" id="show_file_box" >
                        <i class="glyphicon glyphicon-file"></i>Upload Document
                    </button>

                    <?php } else { ?>

                    <a id="single_1" href="<?php echo $files;?>" target="_blank">
                        <button type="button" class="btn btn-warning" >
                            <i class="glyphicon glyphicon-file"></i>View Document
                         </button>
                    </a>
                    <?php } ?>

                    <a id="single_1" href="<?php echo $files;?>" target="_blank">
                    <button type="button" class="btn btn-warning" id="view_doc" >
                        <i class="glyphicon glyphicon-file"></i>View Document
                    </button>
                    </a>

                <form id="image_upload_form" method="post" enctype="multipart/form-data" action='upload.php' autocomplete="off">
                    <div class="alert alert-danger hide"></div>
                    <div class="alert alert-success hide"></div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" class="form-control" id="input_image_text" readonly >
                                <span class="input-group-btn">
				                <span class="btn btn-success btn-file">Browse…<input type="file" id="photoimg" name="photoimg"></span>
				                <button type="submit" class="btn btn-warning"><i class="glyphicon glyphicon-upload"></i>Upload</button>
				            </span>
                            </div>
                        </div>
                    </div>
                </form>

                <!--------------END UPLOAD DOCUMENT---------------->
                <?php }?>

                <!--------------START DUPLICATE VOUCHER BUTTON---------------->

                <a href="p_duplicate_voucher?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"> <button class="btn btn-red pull-right">Duplicate Voucher<i class="zmdi zmdi-print"></i></button></a>

                <!--------------END DUPLICATE VOUCHER BUTTON---------------->

<?php } ?>
                <br clear="all"><br clear="all">

                <!-------------START MASTER TABLE---------------->

                <div class="table-responsive">
                    <table class="table table-bordered  ">
                        <tr>
                            <td><b>Account ID:</b></td>
                            <td><?php echo $v_row->acct_id;?></td>
                            <td><b>Voucher ID:</b></td>
                            <td><?php echo $v_row->voucher_id;
                            $_SESSION['voucher_id'] = $v_row->voucher_id;
                            ?></td>
                        </tr>

                        <tr>
                            <td><b>Account Name:</b></td>
                            <td><?php echo $v_row->acct_name;?></td>
                            <td><b>Voucher Date:</b></td>
                            <td><?php echo format_date($voucher_date);?></td>
                        </tr>


                        <tr>
                            <td><b>Cost Center:</b></td>
                            <td><?php echo $v_row->particulars;?></td>
                            <td><b>Voucher No:</b></td>
                            <td><?php echo $v_row->inv_no;

                                $_SESSION['inv_no'] = $v_row->inv_no;

                                $inv_no = $v_row->inv_no;

                                ?></td>
                        </tr>


                        <tr>
                            <td><b>Currency:</b></td>
                            <td><?php echo $v_row->cur_name;?></td>
                            <td><b>Exchange Rate:</b></td>
                            <td><?php echo $v_row->er; ?></td>
                        </tr>


                      <!--  <tr>
                            <td><b>Document:</b></td>
                            <td>

                                <?php
/*                                $files = glob("dist/".$db_name."/vouchers/*.*");
                                for ($i=0; $i<count($files); $i++) {
                                    $image = $files[$i];
                                    //print $image ."<br />";
                                    echo '<img src="'.$image .'" alt="Random image" width="100" height="100" />'."<br /><br />";
                                }


                                */?>
                            </td>

                        </tr>-->

                        <?php
                        if(!empty($log))
                        {
                        ?>

                        <tr>
                            <td><b>Update Date</td>
                            <td><?php echo $v_row->upd_date;?></td>
                            <td><b>User ID</td>
                            <td><?php echo $v_row->upd_emp_id;?></td>
                        </tr>
                            <tr>

                                <td><b>Update Type</td>
                                <td><?php echo $v_row->upd_type;?></td>
                        </tr>



                        <?php
                        }
                        ?>


                    </table>
                </div>

                <!-------------END MASTER TABLE---------------->

                <div class="table-responsive">
                    <table id="" class="table dt-responsive table-striped table-bordered nowrap" style="font-size: 13px;">
                        <thead>
                        <tr>
                            <th>SR NO.</th>
                            <th>ACCOUNT ID</th>
                            <th>ACCOUNT NAME</th>
<?php
if ($sms=='Y')
                            print "<th>SMS NO</th>";
?>

                            <?php
                            if ($cs=='Y')
                                print "<th>COST CENTER</th>";
                            ?>

                            <th>PARTICULARS</th>
                            <?php
                            if(substr($voucher_type,0,1) == 'B')
                            {
                            ?>
                            <th>MODE</th>
                            <th>CHEQUE NO</th>
                            <th>CHEQUE DATE</th>
                            <th>CHEQUE CLEAR DATE</th>
                            <?php } ?>
                            <td align=right><b>AMOUNT</td>

                            <td align=left><b>Print</td>

                            <?php
                            if ($posted == 'on') {
                                ?>
                                <?php
                            } else {
                                ?>

                                <th>DELETE</th>
                            <?php } ?>


                        </tr>
                        </thead>

                        <tbody>

                        <?php

                        /*******************************************************************
                         ********mysql query CashPayment Voucher Display*********************
                         *******************************************************************/
                        $debit = 'd.debit';
                        if (substr($voucher_type, 1, 1) == 'R')
                            $debit = 'd.credit';

                        $and = " AND (substring(d.voucher_id,1,2)) = '$voucher_type'";
                        $and .= " AND d.voucher_id = '$v_id'";
                        $and .= " AND d.comp_id = '$comp_id'";
                        $and .= " AND d.year_id = '$year_id'";
                        $and .= " AND substring(d.lineitem,-1) <> '.'";


                        try {
                            $vd_query = "SELECT d.comp_id, d.year_id, d.voucher_id, d.acct_id, d.lineitem, d.acct_id f1, n.acct_name, d.particulars, $debit amount, chq_no, DATE_FORMAT(d.chq_date, \"%d-%m-%Y\") chq_date, if(d.chq_clr_date='0000-00-00','',DATE_FORMAT(d.chq_clr_date, \"%d-%m-%Y\")) chq_clr_date, p.acct_name mode_name, d.sms_no, nc.acct_name cs_name
 	FROM $tabledet d  
 	LEFT JOIN nom n ON d.acct_id = n.acct_id 
 	LEFT JOIN cost_centre nc ON d.acct_id_cs = nc.acct_id 
 	LEFT JOIN pay_mode p ON p.acct_id = d.mode_id
 	WHERE 1=1  $and ORDER BY d.lineitem/1 asc";
//echo $vd_query;

                            $vd_result = $dbcon->prepare($vd_query);
                            $vd_result->execute(array());
                        } catch (PDOException $e) {
                            echo "Error : " . $e->getMessage();
                        }

                        $tot = '';
                        $srno = '';
                        while ($d_row = $vd_result->fetch(PDO::FETCH_OBJ)) {
                            $srno += 1;
                            $v = $d_row->voucher_id;
                            $tot += $d_row->amount;

                              $grp_2 = $d_row->acct_id;
//                            $grp_2 = '2610000001';
//                            $grp_2='1310000001';

                            ?>

                            <tr>
                                <td><?php echo $d_row->lineitem; ?></td>
                                <td><?php echo($d_row->acct_id); ?></td>
                                <td><?php echo($d_row->acct_name); ?></td>

                                <?php
                                if ($sms=='Y')
                                    print "<td><?php echo($d_row->sms_no); ?></td>";
                                ?>

                                <?php
                                if ($cs=='Y')
                                    print "<td>$d_row->cs_name</td>";
                                ?>

                                <td><?php echo($d_row->particulars); ?></td>
                            <?php
                            if(substr($voucher_type,0,1) == 'B')
                            {
                                ?>
                                <td><?php echo($d_row->mode_name); ?></td>
                                <td><?php echo($d_row->chq_no); ?></td>
                                <td><?php echo($d_row->chq_date); ?></td>
                                <td><?php echo($d_row->chq_clr_date); ?></td>
                                <?php } ?>

                                <td align="right" data-toggle="modal" data-target="#edit-modal"><?php echo number_format($d_row->amount); ?></td>

                                <td>
                                    <form method="get"action="<?php echo $menu_print;?>" style ='float: left; padding: 0px;'>
                                        <input type="hidden" name="voucher_type" value="<?php echo $voucher_type;?>">
                                        <input type="hidden" name="comp_id" value="<?php echo $d_row->comp_id;?>">
                                        <input type="hidden" name="year_id" value="<?php echo $d_row->year_id;?>">
                                        <input type="hidden" name="v_id" value="<?php echo $d_row->voucher_id;?>">
                                        <input type="hidden" name="lineitem" value="<?php echo $d_row->lineitem;?>">
                                        <input type="hidden" name="amount" value="<?php echo $d_row->amount;?>">
                                        <input type="hidden" name="menu_id" value="<?php echo $menu_id;?>">
                                        <button type="submit" <i class="fa fa-print"></i>
                                    </form>
                                </td>

                                <?php
                                if ($posted == 'on') {
                                    ?>


                                    <?php
                                } else {
                                    ?>

                                    <td>
                                        <a  class="text-muted delete_product"  onclick="delete_single('<?php echo $v_id;?>','<?php echo $d_row->lineitem;?>','<?php echo $comp_id;?>','<?php echo $year_id;?>','<?php echo $table;?>')" href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="glyphicon glyphicon-trash"></i></a>
                                    </td>




                                <?php } ?>

                            </tr>



                            <script>
                                $('#edit-modal').on('show.bs.modal', function(e) {

                                    var $modal = $(this),
                                        esseyId = e.relatedTarget.id;
                                    $modal.find('.edit-content').html(esseyId);
                                });
                            </script>

                            <?php
                        }
                        ?>
                        <tr>
                            <?php
                            if(substr($voucher_type,0,1) == 'B')
                            {
                            ?>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <?php } ?>

                            <?php
                            if ($cs=='Y')
                            {
                                ?>
                                <td></td>
                            <?php } ?>

                            <td></td>
                            <td></td>
                            <td></td>
                            <td align=right><b>Total</b></td>
                            <td align=right><b><?php echo number_format($tot); ?></b></td>
                            <td></td>
                        </tr>
                        </tbody>
                    </table>
                </div>

            </div>
            <!---------------END PAGE CONTENT----------------->
        </div>
        <!---------------END PAGE WRAPPER----------------->
    </div>
    <!----------END WRAPPER--------->

    <!---------------------------------Start Total Ledgers-------------------------->
    <div class="modal fade" id="edit-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <center><h4 class="modal-title" id="myModalLabel" style="color:#00F;">Apply Payments to Invoices<br />
                            <?php ;?></h4></center>
                </div>
                <div class="modal-body edit-content">
                    <table class="table table-bordered table-striped">

                        <tr>
                            <th>Date</th>
                            <th>Detail</th>
                            <th>Amount</th>
                        </tr>

                        <?php

//                        $grp_2=$_SESSION['grp_2'];
                        $and = " AND i.acct_id='$grp_2'";
                        $debit_tot =0;

                        try {
                            $ledgers_query = "SELECT i.voucher_id, i.voucher_date, '' particulars, i.net_payable debit
                          FROM sl_invoice i 
                          WHERE 1 = 1 $and  ORDER BY 1";
                            //echo $ledgers_query;
                            $ledger_result = $dbcon->prepare($ledgers_query);
                            $ledger_result->execute(array());
                        } catch (PDOException $e) {
                            echo "Error : " . $e->getMessage();
                        }

                        while ($history_row = $ledger_result->fetch(PDO::FETCH_OBJ)) {
                             $debit_tot +=$history_row->debit;
                        ?>

                        <tr>
                            <td><?php
                                $v_date = $history_row->voucher_date;
                                $change_v_date = strtotime($v_date);
                                $new_v_date = date('d-m-Y', $change_v_date);
                                echo $new_v_date;  echo "<br>"?></td>
                            <td><?php echo ($history_row->particulars); echo "<br>"?></td>
                            <td style=" text-align:right"><?php echo number_format($history_row->debit,0); echo "<br>"?></td>

                            <?php
                            }
                            ?>
                        <tr>

                            <td></td>
                            <td></td>
                            <td><b><?php echo number_format(($debit_tot),0);?></b></td>



                        </tr>
                        </tr>
                    </table>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </td>
    </tr>
    </table>
    <!---------------------------------End Code of Total Ledges-------------------------->


    <script src="js/jquery-1.10.2.min.js"></script>
    <script src="js/jquery-migrate-1.2.1.min.js"></script>
    <script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
    <script src="vendors/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <script src="vendors/metisMenu/jquery.metisMenu.js"></script>
    <script src="vendors/slimScroll/jquery.slimscroll.js"></script>
    <script src="vendors/jquery-cookie/jquery.cookie.js"></script>
    <script src="vendors/iCheck/icheck.min.js"></script>
    <script src="vendors/iCheck/custom.min.js"></script>
    <script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
    <script src="vendors/jquery-highcharts/highcharts.js"></script>
    <script src="js/jquery.menu.js"></script>
    <script src="vendors/jquery-pace/pace.min.js"></script>
    <script src="vendors/holder/holder.js"></script>
    <script src="vendors/responsive-tabs/responsive-tabs.js"></script>
    <script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
    <script src="vendors/moment/moment.js"></script>
    <script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!--CORE JAVASCRIPT-->
    <script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->

    <!-- BOOT BOX ALERT -->
    <script src="js/bootbox.min.js" type="text/javascript"></script>
    <script src="vendors/fancybox-master/dist/jquery.fancybox.min.js"></script>



<script type="text/javascript">

    /****************START SINGLE ITEM DELETE LINEITEM WISE**************/
    function delete_single(voucherid,lineitem, comp_id, year_id, table)
    {
        var status=confirm("Are you sure want to Single Entery Delete");
        if(status==true)
        {
            var datastring = 'voucherid=' + voucherid  + '&lineitem=' + lineitem  + '&comp_id=' + comp_id  + '&year_id=' + year_id + '&table=' + table + '&action=' + 'delete_lineitem';
            $.ajax({
                type:"POST",
                url:"delete_voucher",
                data: datastring,
                success: function(result)
                {
                    //alert(result);
                    window.location = "<?php echo $menu_detail;?>?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"
                }
            });
        }
    }
    /****************END SINGLE ITEM DELETE LINEITEM WISE**************/

    //delete voucher
    function delete_voucher(voucherid, comp_id, year_id, table)
    {
        var status=confirm("Are you sure want to Full Voucher Delete");
        if(status==true)
        {
            var datastring = 'voucherid=' + voucherid + '&comp_id=' + comp_id  + '&year_id=' + year_id + '&table=' + table + '&action=' + 'delete_voucher';

            $.ajax({
                type:"POST",
                url:"delete_voucher",
                data: datastring,
                success: function(result)
                {
                    //alert(result);
                    window.location = "<?php echo $menu_link;?>&menu_id=<?php echo $menu_id;?>"
                }
            });
        }
    }



    /****************START POST VOUCHER**************/
    function post_voucher() {
        var comp_id = $('#comp_id').val();
        var year_id = $('#year_id').val();
        var v_id = $('#v_id').val();
        var voucher_type = $('#voucher_type').val();
        var post = $('#post').val();
        var table = $('#table').val();

        var status = confirm("Are you sure want to <?php echo $label;?> Data.");

        if (status == true) {
            var datastring = 'comp_id=' + comp_id + '&year_id=' + year_id + '&v_id=' + v_id + '&voucher_type=' + voucher_type + '&post=' + post + '&table=' + table;

            $.ajax({
                type: "POST",
                url: "process/post_voucher.php",
                data: datastring,
                beforeSend: function()
                {
                    plsWaitDiv('body', 'show');
                },
                success: function (result) {
                    //alert(result)

                    var voucher_id = result;
                        window.location = "<?php echo $menu_detail;?>?v_id=" + voucher_id + "&voucher_type=<?php echo $voucher_type;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>"
                }

            });

        }
    }
    /****************END POST VOUCHER**************/


    /*************START BEFORE SAVE PLEASE WAIT MSG SHOW OVERLAY***********/
    function plsWaitDiv(selector, visibility) {
        if ('show' == visibility) {
            $(selector).css('position', 'relative');
            $(selector).append('<div  class="plswait_overlay">Please wait<span class="dots"><span>.</span><span>.</span><span>.</span></span></div>');
        } else {
            $(selector).css('position', 'static');
            $('.plswait_overlay').remove();
        }
    }


    /*************START BEFORE SAVE PLEASE WAIT MSG SHOW OVERLAY***********/


    $('#show_file_box').on('click', function() {
        $('#image_upload_form').show();
    });

    jQuery(document).ready(function(){
        $('#photoimg').on('change', function() {
            var label = $(this).val().replace(/\\/g, '/').replace(/.*\//, ''),
                input = $('#input_image_text').val(label);
            $('.alert').addClass('hide');
            $('.alert').removeClass('show');

        });

        var frm = $('#image_upload_form');

        frm.submit(function (e) {
            e.preventDefault();
            var formData = new FormData();
            formData.append('photoimg', $('#photoimg')[0].files[0]);


            $.ajax({
                type: frm.attr('method'),
                url: frm.attr('action'),
                data: formData,
                dataType: "json",
                processData: false,  // tell jQuery not to process the data
                contentType: false,  // tell jQuery not to set contentType

                success: function (data) {
                    console.log(data['error']);
                    if(data.error == 1) {
                        $('.alert-danger').removeClass('hide').addClass('show').html(data['msg']);
                    } else {
                        $('.alert-success').removeClass('hide').addClass('show').html('Uploaded');
                        console.log(data);
                        $('#image_upload_form').delay(1000).fadeOut('slow');
                        $('#show_file_box').hide();
                        $('#view_doc').show();


                    }

                },
                error: function (data) {
                    console.log(data);
                    $('.alert-danger').removeClass('hide').addClass('show').html(data);
                },
            });
        });
    });

    $(document).ready(function() {
        $("#single_1").fancybox({
            helpers: {
                title: {
                    type: 'float'
                }
            }
        });
    })
</script>

    <?php

    function display_grid($month, $grp_1, $grp_2, $new_from_date, $new_to_date, $f)
    {

        $and = " AND i.acct_id='$grp_2'";

        try {
            $ledgers_query = "SELECT i.voucher_id, i.voucher_date, '' particulars, i.net_payable debit
                          FROM sl_invoice i 
                          WHERE 1 = 1 $and  ORDER BY 1";
//            echo $ledgers_query;
            $ledger_result = $dbcon->prepare($ledgers_query);
            $ledger_result->execute(array());
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }


        echo "<table class='table table-bordered table-striped'>";

        echo "<tr>";
        echo "<th>Date</th>";
        echo "<th>Detail</th>";
        echo "<th align='right'>Amount</th>";
        echo "</tr>";

        $debit_tot =0;
        while ($history_row = $ledger_result->fetch(PDO::FETCH_OBJ)) {
            $debit_tot +=$history_row->debit;
            echo "<tr>";
            $v_date = $history_row->voucher_date;
            $change_v_date = strtotime($v_date);
            $new_v_date = date('d-m-Y', $change_v_date);
            $particulars = clean_Data($history_row->particulars);
            echo "<td>$new_v_date</td>";
            echo "<td>$particulars</td>";
            $d = number_format($history_row->debit);
            echo "<td align='right'>$d</td>";

            echo "</tr>";

        }

        $t = number_format($debit_tot);
        echo "<tr><td></td><td align=right><b>Total:</b></td><td align='right'><b>$t</b></td></tr>";

        echo "</table>";


    }
    ?>

</body>
</html>