<?php
session_start();
//include db connection
include("include/dbconnect.php");
include("include/functions.php");
if($_SESSION['VALID_USER_NAME'] == false)
{
    header("location: login");

}
/****************************************************************
 *****************************Add Voucher*************************
 ****************************************************************/
$voucher_type = clean_data($_GET['voucher_type']);
$menu_id = $_GET['menu_id'];
$menu_detail = find_value("menu", 'menu_detail', " and menu_id = '$menu_id'");

$add = clean_data($_GET['add']);
$year_id = clean_data($_SESSION["year_id"]);
//$comp_id = clean_data($_SESSION["comp_id"]);

$p_year_id = clean_data($_POST['year_id']);
if(empty($p_year_id))
{
    $year_id = clean_data($_SESSION["year_id"]);
}
else{

    $year_id =  $p_year_id;
}

$p_comp_id = clean_data($_POST['comp_id']);

if(empty($p_comp_id))
{
    $comp_id = clean_data($_SESSION["comp_id"]);
}
else{

    $comp_id =  $p_comp_id;

}

$cs = find_value("v_system", 'cs', '');
$sms = find_value("v_system", 'sms', '');

if($add == "Y")
{
    $lineitem = 0;
    $acct_id = '';
    $voucher_date = date('d-m-Y');

    $close_date = find_value('v_system', 'date_close', '');
    $v_date = date('d-m-Y', strtotime($close_date . ' +1 day'));

    //MAXIMUM VOUCHER ID CHK QUERY
    try
    {
        $Maxquery =  "SELECT max(v.v_id) + 1 v_id FROM voucher_id v
		WHERE v_type = ? and comp_id = ? ";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute(array($voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $v_id = $row_max->v_id;
    if(empty($v_id))
    {
        $v_id = 1;
    }


//MAXIMUM VOUCHER ID INSERT NEW ID QUERY
    try
    {
        $InserMaxquery =  "INSERT INTO voucher_id (v_id, v_type,comp_id) VALUES (?, ?, ? )";
        $insert_max = $dbcon->prepare($InserMaxquery);
        $insert_max->execute(array($v_id, $voucher_type, $comp_id ));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $v_id = $voucher_type . $v_id;
    // END MAXIMUM VOUCHER ID CHK QUERY
    $acct_id_cs_1 = "";
}
else
{
    $v_id = clean_data($_GET['v_id']);
    try
    {
        $edit_query =  "SELECT v.acct_id, v.voucher_date,acct_id_cs_1, cur_id, er FROM voucher v  WHERE v.voucher_id = ? AND v.comp_id = ? AND year_id = ?";
        $edit_result = $dbcon->prepare($edit_query);
        $edit_result->execute(array($v_id, $comp_id, $year_id));
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }

    $rowm = $edit_result->fetch(PDO::FETCH_OBJ);

    $voucherdate = $rowm->voucher_date;
    $v_date = date('d-m-Y', strtotime($voucherdate));


    $acct_id = $rowm->acct_id;
    $acct_id_cs_1 = $rowm->acct_id_cs_1;
    $cur_id = $rowm->cur_id;
    $er = $rowm->er;


}




//find cash or bank
$cash_id = 's.cash_id';
if(substr($voucher_type,0,1) == 'B')
    $cash_id = 's.bank_id';



#$and = " and n.acct_id LIKE concat('26100004','%')";
try
{
    $f_query =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n, system s WHERE length(n.acct_id) = 10   ORDER BY n.acct_name ASC";
    $f_result = $dbcon->prepare($f_query);
    $f_result->execute(array());
}
catch(PDOException $e)
{
    echo "Error : ". $e->getMessage();
}


//lable change debit and credit
if(substr($voucher_type,-1) == 'P')
{
    $name_master = 'Credit:';
}
else
{
    $name_master = 'Debit:';
}



//lable change debit and credit
if(substr($voucher_type,-1) == 'P')
{
    $name_detail = 'Debit';
}
else
{
    $name_detail = 'Credit';
}


        if($voucher_type == 'CP')
        {
            $h_name = 'CASH PAYMENT VOUCHER';
        }
        if($voucher_type == 'BP')
        {
            $h_name = 'BANK PAYMENT VOUCHER';
        }
        if($voucher_type == 'CR')
        {
            $h_name = 'CASH RECEIPTS VOUCHER';
        }
        if($voucher_type == 'BR')
        {
            $h_name = 'BANK RECEIPTS VOUCHER';
        }

        ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $hname;?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="Thu, 19 Nov 1900 08:52:00 GMT">
    <link rel="shortcut icon" href="images/icons/favicon.html">
    <link rel="apple-touch-icon" href="images/icons/favicon-2.html">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icons/favicon-72x72.html">
    <link rel="apple-touch-icon" sizes="114x114" href="images/icons/favicon-114x114.html"><!--Loading bootstrap css-->
    <link type="text/css" rel="stylesheet"
          href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Oswald:400,700,300">
    <link type="text/css" rel="stylesheet"
          href="vendors/jquery-ui-1.10.4.custom/css/ui-lightness/jquery-ui-1.10.4.custom.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap/css/bootstrap.min.css">
    <!--LOADING STYLESHEET FOR PAGE-->
    <link type="text/css" rel="stylesheet" href="vendors/select2/select2-madmin.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-select/bootstrap-select.min.css">
    <!--Loading style vendors-->
    <link type="text/css" rel="stylesheet" href="vendors/animate.css/animate.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-pace/pace.css">
    <link type="text/css" rel="stylesheet" href="vendors/iCheck/skins/all.css">
    <link type="text/css" rel="stylesheet" href="vendors/jquery-notific8/jquery.notific8.min.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-daterangepicker/daterangepicker-bs3.css">
    <link type="text/css" rel="stylesheet" href="vendors/bootstrap-datepicker/css/datepicker.css">
    <!--Loading style-->
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" class="default-style">
    <link type="text/css" rel="stylesheet" href="css/themes/style1/orange-blue.css" id="theme-change"
          class="style-change color-change">
    <link type="text/css" rel="stylesheet" href="css/style-responsive.css">
</head>
<body class="sidebar-icons">
<div>

    <a id="totop" href="#"><i class="fa fa-angle-up"></i></a><!--END BACK TO TOP--><!--BEGIN TOPBAR-->



    <!--BEGIN TOPBAR-->
    <?php include ('header.php'); ?>
    <!--END TOPBAR-->




    <div id="wrapper"><!--BEGIN SIDEBAR MENU-->
        <!--BEGIN SIDEBAR MENU-->
        <?php include ('left.php'); ?>
        <!--END SIDEBAR MENU-->


        <!--BEGIN PAGE WRAPPER-->
        <div id="page-wrapper"><!--BEGIN TITLE & BREADCRUMB PAGE-->
            <div id="title-breadcrumb-option-demo" class="page-title-breadcrumb">
                <div class="page-header pull-left">
                    <div class="page-title"><?php echo $h_name;?></div>
                </div>
                <ol class="breadcrumb page-breadcrumb pull-right">
                    <li><i class="fa fa-home"></i>&nbsp;<a href="index.html">Home</a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li><a href="show_voucher?voucher_type=<?php echo $voucher_type;?>"><?php echo $hname; ?></a>&nbsp;&nbsp;<i class="fa fa-angle-right"></i>&nbsp;&nbsp;</li>
                    <li class="active"><?php echo $h_name; ?></li>
                </ol>
                <div class="clearfix"></div>
            </div>
            <!--END TITLE & BREADCRUMB PAGE-->



            <!--BEGIN CONTENT-->
            <div class="page-content">

                <form class="form-horizontal"  name="payment_voucher"  id="payment_voucher">

                    <div class="row">
                        <div class='col-xs-12 '>
                            <button class="btn btn-danger delete" type="button">- Delete Row</button>
                            <button class="btn btn-success addmore" type="button">+ Add <u>R</u>ow</button>
                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save"
                                   onClick="voucher_edit()"/>
                            <!--<input type="button" class="btn btn-default" name="savedata" value="Back" onClick="history.go(-1);"/>-->
                            <div id="view"></div>
                        </div>
                    </div>
                    <br clear="all">

                    <!------------------------START MASTER TABLE---------------------------->


                    <input type="hidden" class="form-control" name="voucher_type" id="voucher_type"
                           value="<?php echo $voucher_type; ?>">

                    <input type="hidden" class="form-control" name="add" id="add"
                           value="<?php echo $add; ?>">


                    <input type="hidden" class="form-control" name="p_comp_id" id="p_comp_id"
                           value="<?php echo $comp_id; ?>">

                    <input type="hidden" class="form-control" name="p_year_id" id="p_year_id"
                           value="<?php echo $year_id; ?>">


                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">

                                <div class="card-block">
                                    <div class="table-responsive">

                                        <table class="table dt-responsive  table-bordered nowrap">
                                            <thead>
                                            <tr>
                                                <!-- DATE -->
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Date:</label></td>
                                                <td>
                                                    <input type="text" class="form-control" name="v_date" id="v_date"
                                                           placeholder="Date" readonly value="<?php echo($v_date); ?>">
                                                </td>

                                                <!-- VOUCHER ID -->
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Voucher ID:</label></td>
                                                <td><input type="text" class="form-control" name="voucher_id" id="voucher_id"
                                                           placeholder="voucher id" value="<?php echo $v_id; ?>" readonly></td>

                                                <!-- ACCOUNT NAME -->
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;"><?php echo $name_master; ?></label></td>

                                                <td>

                                                    <?php

                                                    $cash_id = find_value('v_system','cash_id','');
                                                    $cash='n.cash';

                                                    if($comp_id == 'KT' ||$comp_id == 'IT' || $comp_id == 'BT')
                                                       $cash_id = find_value('company', 'debtors', " AND comp_id = '$comp_id'");


                                                    ?>

                                                    <select  name="credit_acct_name" id="credit_acct_name"
                                                             class="debit_acct_id" style="width: 200px;">

                                                        <?php

                                                        if (substr($voucher_type, 0, 1) == 'B'){
                                                            $cash_id = find_value('v_system','bank_id','');
                                                            $cash='n.bank';
                                                        }

                                                        $and = '';
                                                       // $and .= " and (n.acct_id LIKE concat('$cash_id','%') or $cash='Y')";

                                                        $and .= " and (n.acct_id LIKE concat('$cash_id','%'))";
                                                        #$and .= " and n.comp_id = '$comp_id'";
                                                        try {
                                                            $p_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id, n.comp_id  FROM nom n
                                                                WHERE length(n.acct_id) = 10 $and ORDER BY n.acct_name ASC";
                                                            $p_result = $dbcon->prepare($p_query);
                                                            $p_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowp = $p_result->fetch(PDO::FETCH_OBJ)) {
                                                            $selected = '';


                                                            if ($acct_id == $rowp->acct_id)
                                                            {
                                                                echo '<option  value="' . $rowp->acct_id . '" selected>' . $rowp->acct_name . '</option>';
                                                            }

                                                            else
                                                            {
                                                                echo '<option  value="' . $rowp->acct_id . '">' . $rowp->acct_name . '</option>';
                                                            }


                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                            </tr>

                                            <tr>


                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Cost Centre:</label></td>
                                                <td><select style="width:300px" name="cost_centre_one" id="cost_centre"
                                                            class="debit_acct_id">
                                                        <option value=''></option>
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $query_cs = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM cost_centre n WHERE 1=1 
                                                                         ORDER BY n.acct_name ASC";
                                                            $cs_result = $dbcon->prepare($query_cs);
                                                            $cs_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowcs = $cs_result->fetch(PDO::FETCH_OBJ)) {
                                                            $selected = '';
                                                            if ($acct_id_cs_1 == $rowcs->acct_id) {
                                                                echo '<option  value="' . $rowcs->acct_id . '" selected>' . $rowcs->acct_name . '</option>';
                                                            } else {
                                                                echo '<option  value="' . $rowcs->acct_id . '">' . $rowcs->acct_name . '</option>';
                                                            }

                                                        }
                                                        ?>
                                                    </select>
                                                </td>



                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">Currency:</label></td>
                                                <td><select style="width:300px" name="cur_id" id="cur_id"
                                                            class="debit_acct_id">
                                                        <option></option>
                                                        <?php


                                                        try {
                                                            $query_cur = "SELECT c.acct_id cur_id, c.acct_name cur_name  FROM currency c ORDER BY 2 ASC";
                                                            $cs_result = $dbcon->prepare($query_cur);
                                                            $cs_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowcs = $cs_result->fetch(PDO::FETCH_OBJ)) {

                                                            if ($cur_id == $rowcs->cur_id) {
                                                                echo '<option  value="' . $rowcs->cur_id . '" selected>' . $rowcs->cur_name . '</option>';
                                                            } else {
                                                                echo '<option  value="' . $rowcs->cur_id . '">' . $rowcs->cur_name . '</option>';
                                                            }

                                                        }
                                                        ?>
                                                    </select>
                                                </td>


                                                <!-- EXCHANGE RATE-->
                                                <td> <label  class="control-label pull-right" style="font-weight: bold; color: black;">ER:</label></td>
                                                <td><input type="text" class="form-control" name="er" id="er" value="<?php echo $er; ?>"></td>





                                            </tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END MASTER TABLE---------------------------->


                    <!------------------------START DETAIL TABLE---------------------------->

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">

                                <div class="card-block">


                                    <table class="table table-bordered table-responsive table-striped gl_addrow" id="addrow">
                                        <thead>
                                        <tr>
                                            <th width="2%"><input id="check_all" class="formcontrol" type="checkbox"/></th>
                                            <th style="text-align: center">SR</th>
                                            <th style="text-align: center" width="25%"><?php echo strtoupper($name_detail); ?>ACCOUNT
                                            </th>
                                            <th width="10%">PARTY BALANCE</th>
                                            <?php
                                            if($cs == 'Y')
                                            {
                                            ?>
                                            <th width="15%">COST CENTER</th>
                                            <?php } ?>
                                            <?php
                                            if($sms == 'Y')
                                            {
                                            ?>
                                            <th>SMS</th>
                                            <?php } ?>
                                            <th style="text-align: center">V.NO</th>
                                            <th style="text-align: center">BILL NO</th>
                                            <th style="text-align: center">PARTICULARS</th>
                                            <?php
                                            if(substr($voucher_type,0,1) == 'B')
                                            {
                                            ?>
                                                <th style="text-align: center">MODE</th>
                                            <th style="text-align: center">CHQ NO</th>
                                            <th style="text-align: center">CHQ DATE</th>
                                            <th style="text-align: center">CHQ DATE</th>
                                            <?php } ?>
                                            <th style="text-align: center; width: 13%;">AMOUNT</th>
                                        </tr>
                                        </thead>

                                        <?php

                                        $debit = 'debit';
                                        if (substr($voucher_type, 1, 1) == 'R')
                                            $debit = 'credit';


                                        try {
                                            $edit_vdquery = "SELECT d.voucher_id,  d.acct_id, d.lineitem,  d.particulars, $debit amount, d.v_no,d.acct_id_cs, d.mode_id, d.chq_no, d.chq_date, d.chq_clr_date , d.acct_id_cs, d.v_no bill_no
 FROM voucherdet d WHERE d.comp_id = '$comp_id' and d.voucher_id = '$v_id' and substring(d.lineitem,-1) <> '.' AND year_id = '$year_id' ORDER BY d.lineitem/1 asc";
                                            $edit_vdresult = $dbcon->prepare($edit_vdquery);
                                            $edit_vdresult->execute(array());
                                        } catch (PDOException $e) {
                                            echo "Error : " . $e->getMessage();
                                        }

                                        //$comp_id = clean_data($_SESSION["comp_id"]);


                                        //QUERY FOR SHOW TOTAL
                                        if ($add != 'Y') {
                                            try {
                                                $totquery = "SELECT $debit amount
 FROM voucherdet d WHERE d.comp_id = '$comp_id' and d.voucher_id = '$v_id' and substring(d.lineitem,-1) <> '.'";


                                                $totresult = $dbcon->prepare($totquery);
                                                $totresult->execute(array());
                                            } catch (PDOException $e) {
                                                echo "Error : " . $e->getMessage();
                                            }
                                            $totrow = $totresult->fetch(PDO::FETCH_OBJ);
                                            $tot = $totrow->amount;

                                        } else {
                                            $tot = '';

                                        }


                                        //$tot = find_value($t_d, $debit, " and comp_id = '$comp_id' and voucher_id = '$v_id' and lineitem = 0");


                                        $cnt = 0;
                                        while ($rowvd = $edit_vdresult->fetch(PDO::FETCH_OBJ)) {

                                            $lineitem = $rowvd->lineitem;
                                            $cnt = $lineitem;

                                            $acct_id_cs = $rowvd->acct_id_cs;

                                            ?>


                                            <tr class="gl_addrow">
                                                <td><input class="case" type="checkbox"/></td>

                                                <td><input type="text" class="form-control" name="lineitem[]" size="1"
                                                           value="<?php echo $lineitem; ?>" readonly/></td>

                                                <!------------------------------------------account name------------------------------------------------->
                                                <?php


                                                $acct_id = $rowvd->acct_id;
                                                $mode_id = $rowvd->mode_id; ?>

                                                <td >
                                                    <select style="width: 300px;"  name="debit_acct_id[]<?php echo $cnt; ?>"
                                                             id="debitacctid_<?php echo $cnt; ?>"
                                                             class=" form-control debit_acct_id">

                                                        <?php

                                                        try {
                                                            $p_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10 ORDER BY n.acct_name ASC";
                                                            $p_result = $dbcon->prepare($p_query);
                                                            $p_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }


                                                        while ($rowd = $p_result->fetch(PDO::FETCH_OBJ)) {


                                                            if ($acct_id == $rowd->acct_id) {
                                                                echo '<option  value="' . $rowd->acct_id . '" selected>' . $rowd->acct_name . '</option>';
                                                            } else {


                                                                echo '<option  value="' . $rowd->acct_id . '">' . $rowd->acct_name . '</option>';

                                                            }
                                                        }

                                                        ?>
                                                    </select>
                                                </td>



                                                <!-- PARTY BALANCE -->
                                                <td><input type="text" class="form-control party_bal" name="party_balance[]<?php echo $cnt; ?>"
                                                           id="partybalance_<?php echo $cnt; ?>"
                                                           readonly/></td>




                                                <!------------------------------------------Cost Center name------------------------------------------------->

                                                <?php
                                                if($cs == 'Y')
                                                {
                                                ?>

                                                <td>
                                                    <select  name="acct_id_cs[]<?php echo $cnt;?>" id="acctidcs_<?php echo $cnt;?>" class=" form-control acct_id">

                                                        <?php

                                                        try
                                                        {
                                                            $p_query =  "SELECT n.acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10 and acct_id like '99%' ORDER BY n.acct_id ASC";
                                                            $p_result = $dbcon->prepare($query_cs);
                                                            $p_result->execute(array());
                                                        }
                                                        catch(PDOException $e)
                                                        {
                                                            echo "Error : ". $e->getMessage();
                                                        }


                                                        echo '<option  value="">'.'</option>';
                                                        while($rowd = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {
                                                            if($acct_id_cs == $rowd->acct_id)
                                                            {
                                                                echo '<option  value="'.$rowd->acct_id.'" selected>'.$rowd->acct_name.'</option>';
                                                            }
                                                            else
                                                            {
                                                                echo '<option  value="'.$rowd->acct_id.'">'.$rowd->acct_name.'</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                                <?php } ?>


                                                <?php
                                                if($sms == 'Y')
                                                {
                                                ?>

                                                <!-- SMS -->
                                                <td><input type="text" class="form-control sms_no" name="sms_no[]<?php echo $cnt; ?>"
                                                           id="smsno_<?php echo $cnt; ?>"
                                                           /></td>
                                                <?php } ?>



                                                <!-- edit voucher no -->
                                                <td><input type="text" class="form-control" name="v_no[]<?php echo $cnt; ?>"
                                                           id="vno_<?php echo $cnt; ?>"
                                                           value="<?php echo $rowvd->v_no; ?>" tabindex="1"/></td>


                                                <td><input type="text" class="form-control" name="bill_no[]<?php echo $cnt; ?>"
                                                           id="vno_<?php echo $cnt; ?>"
                                                           value="<?php echo $rowvd->v_no; ?>" tabindex="1"/></td>

                                                <!-- edit particulars -->
                                                <td><input type="text" class="form-control "
                                                           name="particulars[]<?php echo $cnt; ?>"
                                                           id="particulars<?php echo $cnt; ?>"
                                                           value="<?php echo $rowvd->particulars; ?>" tabindex="2"/></td>


                                                <?php
                                                if(substr($voucher_type,0,1) == 'B')
                                                {
                                                ?>

                                                    <td >
                                                        <select  name="pay_mode[]<?php echo $cnt; ?>"
                                                                 id="paymode_<?php echo $cnt; ?>"
                                                                 class=" form-control">

                                                            <?php

                                                            try {
                                                                $p_query = "SELECT p.acct_id, p.acct_name  FROM pay_mode p ORDER BY 2 ASC";
                                                                $p_result = $dbcon->prepare($p_query);
                                                                $p_result->execute(array());
                                                            } catch (PDOException $e) {
                                                                echo "Error : " . $e->getMessage();
                                                            }


                                                            while ($rowd = $p_result->fetch(PDO::FETCH_OBJ)) {


                                                                if ($mode_id == $rowd->acct_id) {
                                                                    echo '<option  value="' . $rowd->acct_id . '" selected>' . $rowd->acct_name . '</option>';
                                                                } else {


                                                                    echo '<option  value="' . $rowd->acct_id . '">' . $rowd->acct_name . '</option>';

                                                                }
                                                            }

                                                            ?>
                                                        </select>
                                                    </td>
                                                <td><input type="text" class="form-control" name="chq_no[]<?php echo $cnt; ?>"
                                                           id="vno_<?php echo $cnt; ?>"
                                                           value="<?php echo $rowvd->chq_no; ?>" tabindex="1"/></td>

                                                <td><input type="text" class="form-control chq_date" name="chq_date[]<?php echo $cnt; ?>"
                                                           id="vno_<?php echo $cnt; ?>"
                                                           value="<?php echo $rowvd->chq_date; ?>" tabindex="1"/></td>


                                                <td><input type="text" class="form-control chq_date" name="clr_date[]<?php echo $cnt; ?>"
                                                           id="vno_<?php echo $cnt; ?>"
                                                           value="<?php echo $rowvd->chq_clr_date; ?>" tabindex="1"/></td>


                                                <?php } ?>


                                                <!-- total amount -->

                                                <td><input type="text"
                                                           class="form-control debit_amount changesNo price_1 totalLinePrice"
                                                           name="debit_amount[]" id="total_<?php echo $cnt; ?>"
                                                           value="<?php echo round($rowvd->amount); ?>"/></td>
                                            </tr>

                                            <?php
                                        }
                                        $_SESSION['cnt'] = $cnt;
                                        ?>







                                        <?php $numberofrow = 10; ?>  <?php for ($counter = 1;
                                                                               $counter <= $numberofrow;
                                                                               $counter++){ ?>
                                            <tr class="gl_addrow">
                                                <td><input class="case" type="checkbox"/></td>

                                                <td><?php $lineitem += 1; ?>
                                                    <input type="text" class="form-control" name="lineitem[]" size="4"
                                                           value="<?php echo $lineitem; ?>" readonly/>
                                                </td>

                                                <!-- account name -->
                                                <td >
                                                    <select
                                                            name="debit_acct_id[]<?php if ($add == "Y") {
                                                                echo $counter;
                                                            } else {
                                                                echo $lineitem;
                                                            }

                                                            ?>" id="debitacctid_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" class=" form-control debit_acct_id">
                                                        <option></option>
                                                        <?php

                                                        try {
                                                            $act_query = "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10  ORDER BY n.acct_name ASC";
                                                            $act_result = $dbcon->prepare($act_query);
                                                            $act_result->execute(array());
                                                        } catch (PDOException $e) {
                                                            echo "Error : " . $e->getMessage();
                                                        }

                                                        while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {
                                                            $actid = $rowact->acct_id;
                                                            $acct_name = $rowact->acct_name;

                                                            if (strlen($actid) == '10') {
                                                                //echo '<option value="'.$row["acct_id"].'">'.$row["acct_id"].'-'.$row["acct_name"].'</option>';
                                                                echo '<option value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </td>


                                                <!-- PARTY BALANCE -->
                                                <td><input type="text" class="form-control party_bal" name="party_balance[]<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" id="partybalance_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    } ?>" readonly/></td>



                                                <!------------------------------------------cost center name------------------------------------------------->



                                                <?php
                                                if($cs == 'Y')
                                                {
                                                ?>

                                                <td>
                                                    <select  name="acct_id_cs[]<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }

                                                    ?>" id="acctidcs_<?php if($add == "Y") {
                                                        echo $counter;
                                                    }

                                                    else
                                                    {
                                                        echo $lineitem;
                                                    }?>" class=" form-control debit_acct_id">
                                                        <option></option>
                                                        <?php

                                                        try
                                                        {
                                                            $p_query =  "SELECT n.acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10 and acct_id like '99%' ORDER BY n.acct_id ASC";
                                                            $p_result = $dbcon->prepare($query_cs);
                                                            $p_result->execute(array());
                                                        }
                                                        catch(PDOException $e)
                                                        {
                                                            echo "Error : ". $e->getMessage();
                                                        }


                                                        while($rowd = $p_result->fetch(PDO::FETCH_OBJ))
                                                        {


                                                            echo '<option  value="'.$rowd->acct_id.'">'.$rowd->acct_name.'</option>';

                                                        }
                                                        ?>
                                                    </select>
                                                </td>
                                                <?php } ?>


                                                <?php
                                                if($sms == 'Y')
                                                {
                                                ?>

                                                <!-- SMS NO -->
                                                <td><input type="text" class="form-control sms_no" name="sms_no[]<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" id="smsno_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    } ?>"/></td>
                                                <?php } ?>

                                                <!------------------------------------------voucher NO------------------------------------------------->
                                                <td><input type="text" class="form-control "
                                                           name="v_no[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="vno_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>" size="10"/></td>
                                                <!-- partuclars -->
                                                <td><input type="text" class="form-control"
                                                           name="particulars[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" size="30"/></td>



                                                <?php
                                                if(substr($voucher_type,0,1) == 'B')
                                                {
                                                ?>
                                                    <td >
                                                        <select style="width: 100px;"
                                                                name="pay_mode[]<?php if ($add == "Y") {
                                                                    echo $counter;
                                                                } else {
                                                                    echo $lineitem;
                                                                }

                                                                ?>" id="paymode_<?php if ($add == "Y") {
                                                            echo $counter;
                                                        } else {
                                                            echo $lineitem;
                                                        }

                                                        ?>" class=" form-control">
                                                            <option></option>
                                                            <?php

                                                            try {
                                                                $act_query = "SELECT p.acct_id, p.acct_name  FROM pay_mode p ORDER BY 2 ASC";
                                                                $act_result = $dbcon->prepare($act_query);
                                                                $act_result->execute(array());
                                                            } catch (PDOException $e) {
                                                                echo "Error : " . $e->getMessage();
                                                            }

                                                            while ($rowact = $act_result->fetch(PDO::FETCH_OBJ)) {


                                                                echo '<option value="' . $rowact->acct_id . '">' . $rowact->acct_name . '</option>';

                                                            }
                                                            ?>
                                                        </select>
                                                    </td>
                                                <td>
                                                    <input type="text" class="form-control "
                                                           name="chq_no[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="chqno_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>


                                                <td>
                                                    <input type="text" class="form-control chq_date "
                                                           name="chq_date[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="chqdate_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>


                                                <td>
                                                    <input type="text" class="form-control chq_date "
                                                           name="clr_date[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="clrdate_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    }

                                                    ?>"/>
                                                </td>




                                                <?php } ?>






                                                <!-- total ammount -->
                                                <td><input type="text"
                                                           class="form-control debit_amount changesNo price_1 totalLinePrice "
                                                           name="debit_amount[]<?php if ($add == "Y") {
                                                               echo $counter;
                                                           } else {
                                                               echo $lineitem;
                                                           }

                                                           ?>" id="total_<?php if ($add == "Y") {
                                                        echo $counter;
                                                    } else {
                                                        echo $lineitem;
                                                    } ?>" autocomplete="off" onkeypress="return IsNumeric(event);"
                                                           ondrop="return true;" onpaste="return true;" size="30"/></td>
                                            </tr>


                                        <?php } ?>

                                        <thead>

                                        <tr>

                                            <td align="right" colspan="11">
                                                <input type="text" class="form-control subTotal" name="subTotal" id="subTotal"
                                                       autocomplete="off" readonly value="<?php echo round($tot); ?>" style="width: 130px;"/>
                                            </td>
                                        </tr>

                                        </thead>





                                    </table>


                                    <div id="view"></div>
                                    <div class="row">
                                        <div class='col-xs-12 '>
                                            <button class="btn btn-danger delete" type="button">- Delete Row</button>
                                            <button class="btn btn-success addmore_gl" type="button">+ Add Row</button>
                                            <input type="button" class="btn btn-primary" name="savedata" id="savedata" value="Save"
                                                   onClick="voucher_edit()"/>
                                            <!-- <input type="button" class="btn btn-default" name="savedata" value="Back" onClick="history.go(-1);"/>-->
                                        </div>
                                    </div>




                                </div>
                            </div>
                        </div>
                    </div>
                    <!------------------------END DETAIL TABLE---------------------------->




                </form>




            </div>

        </div>

        <!--END FOOTER--></div>
    <!--END PAGE WRAPPER--></div>
</div>
<script src="js/jquery-1.10.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/jquery-ui.js"></script><!--loading bootstrap js-->
<script src="vendors/bootstrap/js/bootstrap.min.js"></script>
<script src="vendors/bootstrap-hover-dropdown/bootstrap-hover-dropdown.js"></script>
<script src="js/html5shiv.js"></script>
<script src="js/respond.min.js"></script>
<script src="vendors/metisMenu/jquery.metisMenu.js"></script>
<script src="vendors/slimScroll/jquery.slimscroll.js"></script>
<script src="vendors/jquery-cookie/jquery.cookie.js"></script>
<script src="vendors/iCheck/icheck.min.js"></script>
<script src="vendors/iCheck/custom.min.js"></script>
<script src="vendors/jquery-notific8/jquery.notific8.min.js"></script>
<script src="vendors/jquery-highcharts/highcharts.js"></script>
<script src="js/jquery.menu.js"></script>
<script src="vendors/jquery-pace/pace.min.js"></script>
<script src="vendors/holder/holder.js"></script>
<script src="vendors/responsive-tabs/responsive-tabs.js"></script>
<script src="vendors/jquery-news-ticker/jquery.newsTicker.min.js"></script>
<script src="vendors/moment/moment.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
<script src="vendors/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="js/main.js"></script><!--LOADING SCRIPTS FOR PAGE-->
<script src="vendors/select2/select2.min.js"></script>
<script src="vendors/bootstrap-select/bootstrap-select.min.js"></script>

<!---------------------------START JAVASCRIPT-------------------------------->
<script type="text/javascript">


    function voucher_edit()
    {
        //declare variables master form
        var v_date = $('#v_date').val();
        var v_id = $('#voucher_id').val();
        var credit_acct_name = $('#credit_acct_name').val();

        //declare variables detail form

        var debit_acct_id = $('#debitacctid_1').val();
        var v_no = $('#v_no').val();
        var particulars = $('#particulars').val();
        var debit_amount = $('#total_1').val();




        //check condition
        if(v_id == "")
        {
            alert("Please Enter Voucher ID");
            $('#v_id').focus();
        }


        else if(v_date == "")
        {
            alert("Please Enter Date");
            $('#v_date').focus();
        }
        else if(credit_acct_name == "")
        {
            alert("Please Select Credit Account");
            $('#credit_acct_name').focus();
        }
        else if(debit_acct_id == "")
        {
            alert("Please Select Account Name");
            $('#debitacctid_1').focus();
        }

        else if(debit_amount == "")
        {
            alert("Please Enter Debit Amount");
            $('#total_1').focus();
        }


        else
        {
            var formdata = $('#payment_voucher').serializeArray();

            $.ajax({
                type:"POST",
                url:"process/payment_process.php",
                data:$.param(formdata),
                beforeSend: function()
                {
                    $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                },
                success: function(result)
                {
                    //alert(result);
                    window.location = "<?php echo $menu_detail;?>?v_id=<?php echo $v_id;?>&comp_id=<?php echo $comp_id;?>&year_id=<?php echo $year_id;?>&menu_id=<?php echo $menu_id;?>&voucher_type=<?php echo $voucher_type;?>";
                }
            });

            $('#savedata').addClass("disabled");
        }


    }





    /******************************************************************************************
     ************************VOUCHER DATE PICKER************************************************
     *******************************************************************************************/
    $('#v_date').datepicker({
        format: 'dd-mm-yyyy',
        autoclose: true
    });


    $('.chq_date').datepicker({
        format: 'yyyy-mm-dd',
        autoclose: true
    });


    /******************************************************************************************
     ************************It restrict the non-numbers****************************************
     *******************************************************************************************/

    var specialKeys = new Array();
    specialKeys.push(8,46); //Backspace
    function IsNumeric(e) {
        var keyCode = e.which ? e.which : e.keyCode;
        console.log( keyCode );
        var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
        return ret;
    }

    /******************************************************************************************
     ************************ADD AUTO COMMA*****************************************************
     *******************************************************************************************/
    /*$('.debit_amount').keyup(function(event) {

     // skip for arrow keys
     if(event.which >= 37 && event.which <= 40) return;

     // format number
     $(this).val(function(index, value) {
     return value
     .replace(/\D/g, '')
     .replace(/\B(?=(\d{3})+(?!\d))/g, ",")
     ;
     });
     });

     $('.subTotal').keyup(function(event) {

     // skip for arrow keys
     if(event.which >= 37 && event.which <= 40) return;

     // format number
     $(this).val(function(index, value) {
     return value
     .replace(/\D/g, '')
     .replace(/\B(?=(\d{3})+(?!\d))/g, ",")
     ;
     });
     });*/




    //price change
    $(document).on('change keyup blur','.changesNo',function(){
        id_arr = $(this).attr('id');
        id = id_arr.split("_");






        calculateTotal();
    });



    //total price calculation
    function calculateTotal(){
        subTotal = 0 ; total = 0;
        $('.totalLinePrice').each(function(){
            if($(this).val() != '' )subTotal += parseFloat( $(this).val() );
        });
        $('#subTotal').val( subTotal);
        total += subTotal;


    }




    $(document).ready(function() {
        $(".debit_acct_id").select2({

            enoughRoomBelow:true,
            enoughRoomAbove:false,

        });
    });
    //stop backspace
    $(document).keydown(function(e) {
        var element = e.target.nodeName.toLowerCase();
        if (element != 'input' && element != 'textarea') {
            if (e.keyCode === 8) {
                return false;
            }
        }
    });




    <?php

    //ADD MORE FIELD SHOW ACCOUNTS
    try
    {
        $nom_query =  "SELECT concat(n.acct_name,'-',n.acct_id) acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10  ORDER BY n.acct_name ASC";
        $nom_result = $dbcon->prepare($nom_query);
        $nom_result->execute(array());
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }
    $options = '';
    $options = "<option></option>";
    while($row_nom = $nom_result->fetch(PDO::FETCH_OBJ))
    {

        $options .= "<option value='{$row_nom->acct_id}'>{$row_nom->acct_name}</option>";
    }
    ?>
    //add table rows


    var option = "<?php echo $options; ?>";




    <?php

    //ADD MORE FIELD SHOW PAY MODE
    try
    {
        $mode_query =  "SELECT p.acct_id, p.acct_name  FROM pay_mode p ORDER BY 2 ASC";
        $mode_result = $dbcon->prepare($mode_query);
        $mode_result->execute(array());
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }
    $options_mode = '';
    $options_mode = "<option></option>";
    while($row_mode = $mode_result->fetch(PDO::FETCH_OBJ))
    {

        $options_mode .= "<option value='{$row_mode->acct_id}'>{$row_mode->acct_name}</option>";
    }
    ?>

    var option_mode = "<?php echo $options_mode; ?>";






    <?php

    //ADD MORE FIELD SHOW ACCOUNTS
    try
    {
        $nom_query =  "SELECT n.acct_name, n.acct_id  FROM nom n WHERE length(acct_id) = 10 and acct_id like '99%' ORDER BY n.acct_id ASC";
        $nom_result = $dbcon->prepare($nom_query);
        $nom_result->execute(array());
    }
    catch(PDOException $e)
    {
        echo "Error : ". $e->getMessage();
    }
    $cs_options = '';
    $cs_options = "<option></option>";
    while($row_nom = $nom_result->fetch(PDO::FETCH_OBJ))
    {

        $cs_options .= "<option value='{$row_nom->acct_id}'>{$row_nom->acct_name}</option>";
    }
    ?>


    var cs_option = "<?php echo $cs_options; ?>";











    //add table rows
    var i = $('.gl_addrow').length;

    $(".addmore_gl").on('click',function(){

        html = '<tr>';
        html += '<td><input class="case" type="checkbox"/></td>';
        html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
        html += '<td><select name="debit_acct_id[]" id="debitacctid_'+i+'" class=" form-control debit_acct_id" >'+option+'</select></td>';
        html += '<td><input type="text"  name="party_balance[]" id="partybalance_'+i+'" class="form-control party_bal"  readonly></td>';

        <?php
        if($cs == 'Y')
        {
        ?>
        html += '<td><select name="acct_id_cs[]" id="acctidcs'+i+'" class=" form-control" >'+cs_option+'</select></td>';
        <?php } ?>
        <?php
        if($sms == 'Y')
        {
        ?>

        html += '<td><input type="text"  name="sms_no[]" id="smsno_'+i+'" class="form-control sms_no" ></td>';
        <?php } ?>

        html += '<td><input type="text" data-type="v_no" name="v_no[]" id="vno_'+i+'" class="form-control" autocomplete="on" ></td>';
        html += '<td><input type="text" data-type="particulars" name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="on" size="30"></td>';
        <?php
        if(substr($voucher_type,0,1) == 'B')
        {
        ?>
        html += '<td><select name="pay_mode[]" id="paymode_'+i+'" class=" form-control" >'+option_mode+'</select></td>';
        html += '<td><input type="text" data-type="chq_no" name="chq_no[]" id="chqno_'+i+'" class="form-control" autocomplete="on" ></td>';
        html += '<td><input type="text" data-type="chq_date" name="chq_date[]" id="chqdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
        html += '<td><input type="text" data-type="clr_date" name="clr_date[]" id="clrdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
        <?php } ?>
        html += '<td><input type="text" class="form-control debit_amount changesNo price_1 totalLinePrice" name="debit_amount[]" id="total_'+i+'"  /></td>';
        html += '</tr>';


        $('#addrow').append(html);
        i++;


        get_party_bal();
        enter_key();

        $('.chq_date').datepicker({
            format: 'yyyy-mm-dd',
            autoclose: true
        });


    });

    $('debit_acct_id') .select2();
    $(".acct_id").select2();


    //to check all checkbox
    $(document).on('change', '#check_all', function () {
        $('input[class = case]:checkbox').prop("checked", $(this).is(':checked'))
    });

    //delete the selected table row
    $(".delete").on('click', function () {
        $('.case:checkbox:checked').parents("tr").remove();
        $("#check_all").prop("checked", false);
        calculateTotal();
        calculateTotal_qty();
    });












    /****************START GET PARTY BALANCES***************/
    function get_party_bal() {
        $(".debit_acct_id").change(function ()
        {
            id_arr = $(this).attr('id');
            id = id_arr.split("_");
            var acct_id = $('#debitacctid_' + id[1]).val();


            var action = 'party_bal';

            var dataString = 'acct_id=' + acct_id + '&action=' + action;
            $.ajax({
                type: "POST",
                url: "ajax/get_party_bal.php",
                data: dataString,
                success: function (data, status) {
                    // PARSE json data
                    var user = JSON.parse(data);
                    // Assing existing values to the modal popup fields
                    $('#partybalance_' + id[1]).val(format_number_drcr(user.bal_amt));

                    <?php if(substr($voucher_type, 1, 1) == 'R') { ?>

                    $('#smsno_' + id[1]).val(user.phone);
                    <?php } ?>

                    $('#vno_' + id[1]).focus();

                }
            });
        });


        /*$('.debit_acct_id' ).change(function() {
         id_arr = $(this).attr('id');
         id = id_arr.split("_");
         var acct_id = $('#debitacctid_' + id[1]).val();

         var dataString = 'acct_id=' + acct_id ;

         $.ajax({
         type: 'post',
         url: 'ajax/get_party_bal.php',
         data:dataString,
         success: function (result) {
         // alert(result);
         $('#partybalance_' + id[1]).val(result);
         $('#vno_' + id[1]).focus();
         }
         });
         });*/

    }

    get_party_bal();

    /****************END GET PARTY BALANCES***************/




    /****************START ENTER KEY***************/
    function enter_key() {
        $('.form-control, .debit_acct_id').keydown(function (e) {
            if (e.which === 13) {
                var index = $('.form-control, .debit_acct_id').index(this) + 1;
                $('.form-control, .debit_acct_id').eq(index).focus();
            }
        });

    }
    enter_key();
    /****************END ENTER KEY***************/













        //add table rows
    var i = $('.gl_addrow').length;

    $(document).on('keyup', '.totalLinePrice', function(e) {
        var code = (e.keyCode ? e.keyCode : e.which);
        if (code == 13) {


            html = '<tr>';
            html += '<td><input class="case" type="checkbox"/></td>';
            html += '<td><input type="text" data-type="lineitem" name="lineitem[]"  id="lineitem_'+i+'" class="form-control" readonly size="1" value="'+i+'"/></td>';
            html += '<td><select name="debit_acct_id[]" id="debitacctid_'+i+'" class=" form-control debit_acct_id" >'+option+'</select></td>';
            html += '<td><input type="text"  name="party_balance[]" id="partybalance_'+i+'" class="form-control party_bal"  readonly></td>';
            html += '<td><input type="text"  name="sms_no[]" id="smsno_'+i+'" class="form-control sms_no" ></td>';

            html += '<td><input type="text" data-type="v_no" name="v_no[]" id="vno_'+i+'" class="form-control" autocomplete="on" ></td>';
            html += '<td><input type="text" data-type="particulars" name="particulars[]" id="particulars_'+i+'" class="form-control" autocomplete="on" size="30"></td>';
            <?php
            if(substr($voucher_type,0,1) == 'B')
            {
            ?>
            html += '<td><select name="pay_mode[]" id="paymode_'+i+'" class=" form-control" >'+option_mode+'</select></td>';
            html += '<td><input type="text" data-type="chq_no" name="chq_no[]" id="chqno_'+i+'" class="form-control" autocomplete="on" ></td>';
            html += '<td><input type="text" data-type="chq_date" name="chq_date[]" id="chqdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
            html += '<td><input type="text" data-type="clr_date" name="clr_date[]" id="clrdate_'+i+'" class="form-control chq_date" autocomplete="on" ></td>';
            <?php } ?>
            html += '<td><input type="text" class="form-control debit_amount changesNo price_1 totalLinePrice" name="debit_amount[]" id="total_'+i+'"  /></td>';
            html += '</tr>';

            $('#addrow').append(html);
            i++;


            get_party_bal();

            $('select') .select2();
        }

        enter_key();

        $('.chq_date').datepicker({
            format: 'yyyy-mm-dd',
            autoclose: true
        });
    });













    $(document).on('keydown', function(e){
        if(e.ctrlKey && e.which === 83){ // Check for the Ctrl key being pressed, and if the key = [S] (83)

            //declare variables master form
            var v_date = $('#v_date').val();
            var v_id = $('#v_id').val();
            var credit_acct_name = $('#credit_acct_name').val();

            //declare variables detail form

            var debit_acct_id = $('#debitacctid_1').val();
            var v_no = $('#v_no').val();
            var particulars = $('#particulars').val();
            var debit_amount = $('#total_1').val();


            //check condition
            if(v_date == "")
            {
                alert("Please Enter Date");
                $('#v_date').focus();
            }
            else if(credit_acct_name == "")
            {
                alert("Please Select Credit Account");
                $('#credit_acct_name').focus();
            }
            else if(debit_acct_id == "")
            {
                alert("Please Select Account Name");
                $('#debitacctid_1').focus();
            }

            else if(debit_amount == "")
            {
                alert("Please Enter Debit Amount");
                $('#total_1').focus();
            }


            else
            {
                var formdata = $('#payment_voucher').serializeArray();

                $.ajax({
                    type:"POST",
                    url:"process/payment_process.php",
                    data:$.param(formdata),
                    beforeSend: function()
                    {
                        $("#view").html('<div align="center"><font style="font-family:Verdana, Geneva, sans-serif; font-size:15px; color:black;"></font> Loading.... <img src="images/ajax-loader.gif" alt="Loading...." align="absmiddle" title="Loading...."/></div><br clear="all">');
                    },
                    success: function()
                    {
                        window.location = "payment_detail.php?v_id=<?php echo $v_id;?>&voucher_type=<?php echo $voucher_type;?>&posted=''"
                    }
                });

                $('#savedata').addClass("disabled");
            }



            console.log('Ctrl+S!');
            e.preventDefault();
            return false;
        }
    });

</script>

<!---------------------------END JAVASCRIPT-------------------------------->

</body>
</html>